#pragma once

inline const static constexpr std::pair<const char*, uint32_t> packet_types[] = {
    {"MsgInvalid", -1},
    {"MsgSessionAcceptChat", 0x62},
    {"MsgStartMatchCmd", 0x2D},
    {"MsgSetInvitableCmd", 0x1F},
    {"MsgSessionMemberIds", 0x23},
    {"MsgRequestGamerInfo", 0x54},
    {"MsgRemoveGamersFromSessionCmd", 0x53},
    {"MsgNotMigrating", 0x35},
    {"MsgMigrateHostResponse", 0x12},
    {"MsgMigrateHostRequest", 0x66},
    {"MsgJoinResponse", 0x2A},
    {"MsgJoinRequest", 0x41},
    {"MsgHostLeftWhilstJoiningCmd", 0x58},
    {"MsgConfigResponse", 0x5F},
    {"MsgConfigRequest", 0x48},
    {"MsgChangeSessionAttributesCmd", 0x5A},
    {"MsgAddGamerToSessionCmd", 0x64},
    {"MsgReassignResponse", 0x10},
    {"MsgReassignNegotiate", 0x01},
    {"MsgReassignConfirm", 0x26},
    {"MsgPlayerData", 0x18},
    {"MsgPackedReliables", 0x30},
    {"MsgPackedCloneSyncACKs", 0x3B},
    {"MsgNonPhysicalData", 0x16},
    {"MsgNetArrayMgrUpdateAck", 0x5D},
    {"MsgNetArrayMgrUpdate", 0x60},
    {"MsgNetArrayMgrSplitUpdateAck", 0x25},
    {"MsgScriptVerifyHostAck", 0x0B},
    {"MsgScriptVerifyHost", 0x3E},
    {"MsgScriptNewHost", 0x0E},
    {"MsgScriptMigrateHostFailAck", 0x1A},
    {"MsgScriptMigrateHost", 0x33},
    {"MsgScriptLeaveAck", 0x40},
    {"MsgScriptLeave", 0x17},
    {"MsgScriptJoinHostAck", 0x4D},
    {"MsgScriptJoinAck", 0x43},
    {"MsgScriptJoin", 0x5C},
    {"MsgScriptHostRequest", 0x67},
    {"MsgScriptHandshakeAck", 0x5B},
    {"MsgScriptHandshake", 0x57},
    {"MsgScriptBotLeave", 0x2B},
    {"MsgScriptBotJoinAck", 0x63},
    {"MsgScriptBotJoin", 0x1C},
    {"MsgScriptBotHandshakeAck", 0x31},
    {"MsgScriptBotHandshake", 0x4B},
    {"MsgPartyLeaveGame", 0x3D},
    {"MsgPartyEnterGame", 0x1E},
    {"MsgCloneSync", 0x4E},
    {"MsgActivateNetworkBot", 0x65},
    {"MsgRequestObjectIds", 0x29},
    {"MsgInformObjectIds", 0x09},
    {"MsgTextMessage", 0x24},
    {"MsgPlayerIsTyping", 0x61},
    {"MsgPackedEvents", 0x4F},
    {"MsgPackedEventReliablesMsgs", 0x20},
    {"MsgRequestKickFromHost", 0x0D},
    {"MsgTransitionToGameStart", 0x50},
    {"MsgTransitionToGameNotify", 0x02},
    {"MsgTransitionToActivityStart", 0x06},
    {"MsgTransitionToActivityFinish", 0x36},
    {"MsgTransitionParameters", 0x3C},
    {"MsgTransitionParameterString", 0x37},
    {"MsgTransitionLaunchNotify", 0x1B},
    {"MsgTransitionLaunch", 0x19},
    {"MsgTransitionGamerInstruction", 0x14},
    {"MsgTextMessage2", 0x0A},
    {"MsgSessionEstablishedRequest", 0x52},
    {"MsgSessionEstablished", 0x07},
    {"MsgRequestTransitionParameters", 0x42},
    {"MsgRadioStationSyncRequest", 0x47},
    {"MsgRadioStationSync", 0x46},
    {"MsgPlayerCardSync", 0x3A},
    {"MsgPlayerCardRequest", 0x6A},
    {"MsgLostConnectionToHost", 0x81},
    {"MsgKickPlayer", 0x34},
    {"MsgDebugStall", 0x7E},
    {"MsgCheckQueuedJoinRequestReply", 0x59},
    {"MsgCheckQueuedJoinRequest", 0x51},
    {"MsgBlacklist", 0x0C},
    {"MsgRoamingRequestBubbleRequiredResponse", 0x83},
    {"MsgRoamingRequestBubbleRequiredCheck", 0x82},
    {"MsgRoamingRequestBubble", 0x2E},
    {"MsgRoamingJoinBubble", 0x4C},
    {"MsgRoamingJoinBubbleAck", 0x3F},
    {"MsgRoamingInitialBubble", 0x32},
    {"MsgVoiceStatus", 0x03},
    {"MsgTextChatStatus", 0x00},
    {"MsgSnJoinResponse", 0x08},
    {"MsgSnJoinRequest", 0x68},
    {"MsgNetTimeSync", 0x38},
    {"MsgNetComplaint", 0x55},
    {"MsgNetLagPing", 0x27},
    {"MsgSearchResponse", 0x6B},
    {"MsgSearchRequest", 0x05},
    {"MsgQosProbeResponse", 0x2C},
    {"MsgQosProbeRequest", 0x1D},
    {"MsgCxnRelayAddressChanged", 0x49},
    {"MsgCxnRequestRemoteTimeout", 0x2F},
    {"MsgSessionDetailRequest", 0x22},
    {"MsgSessionDetailResponse", 0x13},
    {"MsgKeyExchangeOffer", 0x0F},
    {"MsgKeyExchangeAnswer", 0x44},
    {"Msg_0x87", 0x87},
    {"Msg_0x88", 0x88},
    {"Msg_0x80", 0x80},
    {"Msg_0x28", 0x28},
    {"MsgNatTunnelerResponse", 0x11},
    {"MsgNatTunnelerRequest", 0x15},
    {"MsgNatTunnelerUnk", 0x7F},
    {"Msg_0x45", 0x45},
    {"Msg_0x89", 0x89},
    {"Msg_0x86", 0x86},
    {"MsgDtlsCxnCommand", 0x8A},
    {"MsgSetKickVote", 0x8E}, 
    {"MsgTransitionHandshake", 0x8D}, 
    {"MsgDidInvitePlayerRequest", 0x8B},
    {"MsgDidInvitePlayerResponse", 0x8C},
};