#pragma once

#include "gta/joaat.hpp"
#include "natives.hpp"

enum Rewards : Hash
{
	REWARD_AMMO_ADVANCEDRIFLE             = "REWARD_AMMO_ADVANCEDRIFLE"_J,
	REWARD_AMMO_APPISTOL                  = "REWARD_AMMO_APPISTOL"_J,
	REWARD_AMMO_ASSAULTRIFLE              = "REWARD_AMMO_ASSAULTRIFLE"_J,
	REWARD_AMMO_ASSAULTSHOTGUN            = "REWARD_AMMO_ASSAULTSHOTGUN"_J,
	REWARD_AMMO_ASSAULTSMG                = "REWARD_AMMO_ASSAULTSMG"_J,
	REWARD_AMMO_AUTOSHOTGUN               = "REWARD_AMMO_AUTOSHOTGUN"_J,
	REWARD_AMMO_BULLET_MP                 = "REWARD_AMMO_BULLET_MP"_J,
	REWARD_AMMO_BULLPUPRIFLE              = "REWARD_AMMO_BULLPUPRIFLE"_J,
	REWARD_AMMO_BULLPUPSHOTGUN            = "REWARD_AMMO_BULLPUPSHOTGUN"_J,
	REWARD_AMMO_CARBINERIFLE              = "REWARD_AMMO_CARBINERIFLE"_J,
	REWARD_AMMO_COMBATMG                  = "REWARD_AMMO_COMBATMG"_J,
	REWARD_AMMO_COMBATPDW                 = "REWARD_AMMO_COMBATPDW"_J,
	REWARD_AMMO_COMBATPISTOL              = "REWARD_AMMO_COMBATPISTOL"_J,
	REWARD_AMMO_COMPACTLAUNCHER           = "REWARD_AMMO_COMPACTLAUNCHER"_J,
	REWARD_AMMO_COMPACTRIFLE              = "REWARD_AMMO_COMPACTRIFLE"_J,
	REWARD_AMMO_DBSHOTGUN                 = "REWARD_AMMO_DBSHOTGUN"_J,
	REWARD_AMMO_DOUBLEACTION              = "REWARD_AMMO_DOUBLEACTION"_J,
	REWARD_AMMO_FIREWORK                  = "REWARD_AMMO_FIREWORK"_J,
	REWARD_AMMO_FIREWORK_MP               = "REWARD_AMMO_FIREWORK_MP"_J,
	REWARD_AMMO_FLAREGUN                  = "REWARD_AMMO_FLAREGUN"_J,
	REWARD_AMMO_GRENADE                   = "REWARD_AMMO_GRENADE"_J,
	REWARD_AMMO_GRENADELAUNCHER           = "REWARD_AMMO_GRENADELAUNCHER"_J,
	REWARD_AMMO_GRENADELAUNCHER_MP        = "REWARD_AMMO_GRENADELAUNCHER_MP"_J,
	REWARD_AMMO_GUSENBERG                 = "REWARD_AMMO_GUSENBERG"_J,
	REWARD_AMMO_HEAVYPISTOL               = "REWARD_AMMO_HEAVYPISTOL"_J,
	REWARD_AMMO_HEAVYSHOTGUN              = "REWARD_AMMO_HEAVYSHOTGUN"_J,
	REWARD_AMMO_HEAVYSNIPER               = "REWARD_AMMO_HEAVYSNIPER"_J,
	REWARD_AMMO_HOMINGLAUNCHER            = "REWARD_AMMO_HOMINGLAUNCHER"_J,
	REWARD_AMMO_MACHINEPISTOL             = "REWARD_AMMO_MACHINEPISTOL"_J,
	REWARD_AMMO_MARKSMANPISTOL            = "REWARD_AMMO_MARKSMANPISTOL"_J,
	REWARD_AMMO_MARKSMANRIFLE             = "REWARD_AMMO_MARKSMANRIFLE"_J,
	REWARD_AMMO_MG                        = "REWARD_AMMO_MG"_J,
	REWARD_AMMO_MICROSMG                  = "REWARD_AMMO_MICROSMG"_J,
	REWARD_AMMO_MINIGUN                   = "REWARD_AMMO_MINIGUN"_J,
	REWARD_AMMO_MINISMG                   = "REWARD_AMMO_MINISMG"_J,
	REWARD_AMMO_MISSILE_MP                = "REWARD_AMMO_MISSILE_MP"_J,
	REWARD_AMMO_MOLOTOV                   = "REWARD_AMMO_MOLOTOV"_J,
	REWARD_AMMO_MUSKET                    = "REWARD_AMMO_MUSKET"_J,
	REWARD_AMMO_PETROLCAN                 = "REWARD_AMMO_PETROLCAN"_J,
	REWARD_AMMO_PIPEBOMB                  = "REWARD_AMMO_PIPEBOMB"_J,
	REWARD_AMMO_PISTOL                    = "REWARD_AMMO_PISTOL"_J,
	REWARD_AMMO_PISTOL50                  = "REWARD_AMMO_PISTOL50"_J,
	REWARD_AMMO_PROXMINE                  = "REWARD_AMMO_PROXMINE"_J,
	REWARD_AMMO_PUMPSHOTGUN               = "REWARD_AMMO_PUMPSHOTGUN"_J,
	REWARD_AMMO_PUMPSHOTGUN_ENTER_VEHICLE = "REWARD_AMMO_PUMPSHOTGUN_ENTER_VEHICLE"_J,
	REWARD_AMMO_RAILGUN                   = "REWARD_AMMO_RAILGUN"_J,
	REWARD_AMMO_RAYPISTOL                 = "REWARD_AMMO_RAYPISTOL"_J,
	REWARD_AMMO_REVOLVER                  = "REWARD_AMMO_REVOLVER"_J,
	REWARD_AMMO_RPG                       = "REWARD_AMMO_RPG"_J,
	REWARD_AMMO_SAWNOFFSHOTGUN            = "REWARD_AMMO_SAWNOFFSHOTGUN"_J,
	REWARD_AMMO_SMG                       = "REWARD_AMMO_SMG"_J,
	REWARD_AMMO_SMOKEGRENADE              = "REWARD_AMMO_SMOKEGRENADE"_J,
	REWARD_AMMO_SNIPERRIFLE               = "REWARD_AMMO_SNIPERRIFLE"_J,
	REWARD_AMMO_SNSPISTOL                 = "REWARD_AMMO_SNSPISTOL"_J,
	REWARD_AMMO_SPECIALCARBINE            = "REWARD_AMMO_SPECIALCARBINE"_J,
	REWARD_AMMO_STICKYBOMB                = "REWARD_AMMO_STICKYBOMB"_J,
	REWARD_AMMO_STUNGUN                   = "REWARD_AMMO_STUNGUN"_J,
	REWARD_AMMO_VINTAGEPISTOL             = "REWARD_AMMO_VINTAGEPISTOL"_J,
	REWARD_ARMOUR                         = "REWARD_ARMOUR"_J,
	REWARD_HEALTH                         = "REWARD_HEALTH"_J,
	REWARD_HEALTH_ENTER_VEHICLE           = "REWARD_HEALTH_ENTER_VEHICLE"_J,
	REWARD_HEALTH_VARIABLE                = "REWARD_HEALTH_VARIABLE"_J,
	REWARD_MONEY_VARIABLE                 = "REWARD_MONEY_VARIABLE"_J,
	REWARD_PARACHUTE                      = "REWARD_PARACHUTE"_J,
	REWARD_STAT_HEALTH                    = "REWARD_STAT_HEALTH"_J,
	REWARD_STAT_HEALTH_VARIABLE           = "REWARD_STAT_HEALTH_VARIABLE"_J,
	REWARD_STAT_WEAPON                    = "REWARD_STAT_WEAPON"_J,
	REWARD_VEHICLE_FIX                    = "REWARD_VEHICLE_FIX"_J,
	REWARD_WEAPON_ADVANCEDRIFLE           = "REWARD_WEAPON_ADVANCEDRIFLE"_J,
	REWARD_WEAPON_APPISTOL                = "REWARD_WEAPON_APPISTOL"_J,
	REWARD_WEAPON_ASSAULTRIFLE            = "REWARD_WEAPON_ASSAULTRIFLE"_J,
	REWARD_WEAPON_ASSAULTRIFLE_MK2        = "REWARD_WEAPON_ASSAULTRIFLE_MK2"_J,
	REWARD_WEAPON_ASSAULTSHOTGUN          = "REWARD_WEAPON_ASSAULTSHOTGUN"_J,
	REWARD_WEAPON_ASSAULTSMG              = "REWARD_WEAPON_ASSAULTSMG"_J,
	REWARD_WEAPON_AUTOSHOTGUN             = "REWARD_WEAPON_AUTOSHOTGUN"_J,
	REWARD_WEAPON_BAT                     = "REWARD_WEAPON_BAT"_J,
	REWARD_WEAPON_BATTLEAXE               = "REWARD_WEAPON_BATTLEAXE"_J,
	REWARD_WEAPON_BOTTLE                  = "REWARD_WEAPON_BOTTLE"_J,
	REWARD_WEAPON_BULLPUPRIFLE            = "REWARD_WEAPON_BULLPUPRIFLE"_J,
	REWARD_WEAPON_BULLPUPRIFLE_MK2        = "REWARD_WEAPON_BULLPUPRIFLE_MK2"_J,
	REWARD_WEAPON_BULLPUPSHOTGUN          = "REWARD_WEAPON_BULLPUPSHOTGUN"_J,
	REWARD_WEAPON_CARBINERIFLE            = "REWARD_WEAPON_CARBINERIFLE"_J,
	REWARD_WEAPON_CARBINERIFLE_MK2        = "REWARD_WEAPON_CARBINERIFLE_MK2"_J,
	REWARD_WEAPON_COMBATMG                = "REWARD_WEAPON_COMBATMG"_J,
	REWARD_WEAPON_COMBATMG_MK2            = "REWARD_WEAPON_COMBATMG_MK2"_J,
	REWARD_WEAPON_COMBATPDW               = "REWARD_WEAPON_COMBATPDW"_J,
	REWARD_WEAPON_COMBATPISTOL            = "REWARD_WEAPON_COMBATPISTOL"_J,
	REWARD_WEAPON_COMPACTLAUNCHER         = "REWARD_WEAPON_COMPACTLAUNCHER"_J,
	REWARD_WEAPON_COMPACTRIFLE            = "REWARD_WEAPON_COMPACTRIFLE"_J,
	REWARD_WEAPON_CROWBAR                 = "REWARD_WEAPON_CROWBAR"_J,
	REWARD_WEAPON_DAGGER                  = "REWARD_WEAPON_DAGGER"_J,
	REWARD_WEAPON_DBSHOTGUN               = "REWARD_WEAPON_DBSHOTGUN"_J,
	REWARD_WEAPON_DOUBLEACTION            = "REWARD_WEAPON_DOUBLEACTION"_J,
	REWARD_WEAPON_FIREWORK                = "REWARD_WEAPON_FIREWORK"_J,
	REWARD_WEAPON_FLAREGUN                = "REWARD_WEAPON_FLAREGUN"_J,
	REWARD_WEAPON_FLASHLIGHT              = "REWARD_WEAPON_FLASHLIGHT"_J,
	REWARD_WEAPON_GOLFCLUB                = "REWARD_WEAPON_GOLFCLUB"_J,
	REWARD_WEAPON_GRENADE                 = "REWARD_WEAPON_GRENADE"_J,
	REWARD_WEAPON_GRENADELAUNCHER         = "REWARD_WEAPON_GRENADELAUNCHER"_J,
	REWARD_WEAPON_GUSENBERG               = "REWARD_WEAPON_GUSENBERG"_J,
	REWARD_WEAPON_HAMMER                  = "REWARD_WEAPON_HAMMER"_J,
	REWARD_WEAPON_HATCHET                 = "REWARD_WEAPON_HATCHET"_J,
	REWARD_WEAPON_HEAVYPISTOL             = "REWARD_WEAPON_HEAVYPISTOL"_J,
	REWARD_WEAPON_HEAVYSHOTGUN            = "REWARD_WEAPON_HEAVYSHOTGUN"_J,
	REWARD_WEAPON_HEAVYSNIPER             = "REWARD_WEAPON_HEAVYSNIPER"_J,
	REWARD_WEAPON_HEAVYSNIPER_MK2         = "REWARD_WEAPON_HEAVYSNIPER_MK2"_J,
	REWARD_WEAPON_HOMINGLAUNCHER          = "REWARD_WEAPON_HOMINGLAUNCHER"_J,
	REWARD_WEAPON_KNIFE                   = "REWARD_WEAPON_KNIFE"_J,
	REWARD_WEAPON_KNUCKLE                 = "REWARD_WEAPON_KNUCKLE"_J,
	REWARD_WEAPON_MACHETE                 = "REWARD_WEAPON_MACHETE"_J,
	REWARD_WEAPON_MACHINEPISTOL           = "REWARD_WEAPON_MACHINEPISTOL"_J,
	REWARD_WEAPON_MARKSMANPISTOL          = "REWARD_WEAPON_MARKSMANPISTOL"_J,
	REWARD_WEAPON_MARKSMANRIFLE           = "REWARD_WEAPON_MARKSMANRIFLE"_J,
	REWARD_WEAPON_MARKSMANRIFLE_MK2       = "REWARD_WEAPON_MARKSMANRIFLE_MK2"_J,
	REWARD_WEAPON_MG                      = "REWARD_WEAPON_MG"_J,
	REWARD_WEAPON_MICROSMG                = "REWARD_WEAPON_MICROSMG"_J,
	REWARD_WEAPON_MINIGUN                 = "REWARD_WEAPON_MINIGUN"_J,
	REWARD_WEAPON_MINISMG                 = "REWARD_WEAPON_MINISMG"_J,
	REWARD_WEAPON_MOLOTOV                 = "REWARD_WEAPON_MOLOTOV"_J,
	REWARD_WEAPON_MUSKET                  = "REWARD_WEAPON_MUSKET"_J,
	REWARD_WEAPON_NIGHTSTICK              = "REWARD_WEAPON_NIGHTSTICK"_J,
	REWARD_WEAPON_PETROLCAN               = "REWARD_WEAPON_PETROLCAN"_J,
	REWARD_WEAPON_PIPEBOMB                = "REWARD_WEAPON_PIPEBOMB"_J,
	REWARD_WEAPON_PISTOL                  = "REWARD_WEAPON_PISTOL"_J,
	REWARD_WEAPON_PISTOL50                = "REWARD_WEAPON_PISTOL50"_J,
	REWARD_WEAPON_PISTOL_MK2              = "REWARD_WEAPON_PISTOL_MK2"_J,
	REWARD_WEAPON_POOLCUE                 = "REWARD_WEAPON_POOLCUE"_J,
	REWARD_WEAPON_PROXMINE                = "REWARD_WEAPON_PROXMINE"_J,
	REWARD_WEAPON_PUMPSHOTGUN             = "REWARD_WEAPON_PUMPSHOTGUN"_J,
	REWARD_WEAPON_PUMPSHOTGUN_MK2         = "REWARD_WEAPON_PUMPSHOTGUN_MK2"_J,
	REWARD_WEAPON_RAILGUN                 = "REWARD_WEAPON_RAILGUN"_J,
	REWARD_WEAPON_RAYCARBINE              = "REWARD_WEAPON_RAYCARBINE"_J,
	REWARD_WEAPON_RAYMINIGUN              = "REWARD_WEAPON_RAYMINIGUN"_J,
	REWARD_WEAPON_RAYPISTOL               = "REWARD_WEAPON_RAYPISTOL"_J,
	REWARD_WEAPON_REVOLVER                = "REWARD_WEAPON_REVOLVER"_J,
	REWARD_WEAPON_REVOLVER_MK2            = "REWARD_WEAPON_REVOLVER_MK2"_J,
	REWARD_WEAPON_RPG                     = "REWARD_WEAPON_RPG"_J,
	REWARD_WEAPON_SAWNOFFSHOTGUN          = "REWARD_WEAPON_SAWNOFFSHOTGUN"_J,
	REWARD_WEAPON_SMG                     = "REWARD_WEAPON_SMG"_J,
	REWARD_WEAPON_SMG_MK2                 = "REWARD_WEAPON_SMG_MK2"_J,
	REWARD_WEAPON_SMOKEGRENADE            = "REWARD_WEAPON_SMOKEGRENADE"_J,
	REWARD_WEAPON_SNIPERRIFLE             = "REWARD_WEAPON_SNIPERRIFLE"_J,
	REWARD_WEAPON_SNSPISTOL               = "REWARD_WEAPON_SNSPISTOL"_J,
	REWARD_WEAPON_SNSPISTOL_MK2           = "REWARD_WEAPON_SNSPISTOL_MK2"_J,
	REWARD_WEAPON_SPECIALCARBINE          = "REWARD_WEAPON_SPECIALCARBINE"_J,
	REWARD_WEAPON_SPECIALCARBINE_MK2      = "REWARD_WEAPON_SPECIALCARBINE_MK2"_J,
	REWARD_WEAPON_STICKYBOMB              = "REWARD_WEAPON_STICKYBOMB"_J,
	REWARD_WEAPON_STONE_HATCHET           = "REWARD_WEAPON_STONE_HATCHET"_J,
	REWARD_WEAPON_STUNGUN                 = "REWARD_WEAPON_STUNGUN"_J,
	REWARD_WEAPON_SWITCHBLADE             = "REWARD_WEAPON_SWITCHBLADE"_J,
	REWARD_WEAPON_VINTAGEPISTOL           = "REWARD_WEAPON_VINTAGEPISTOL"_J,
	REWARD_WEAPON_WRENCH                  = "REWARD_WEAPON_WRENCH"_J
};
