#pragma once
#include "invoker/invoker.hpp"

// clang-format off
enum class NativeIndex
{
	WAIT = 0,
	START_NEW_SCRIPT = 1,
	START_NEW_SCRIPT_WITH_ARGS = 2,
	START_NEW_SCRIPT_WITH_NAME_HASH = 3,
	START_NEW_SCRIPT_WITH_NAME_HASH_AND_ARGS = 4,
	TIMERA = 5,
	TIMERB = 6,
	SETTIMERA = 7,
	SETTIMERB = 8,
	TIMESTEP = 9,
	SIN = 10,
	COS = 11,
	SQRT = 12,
	POW = 13,
	LOG10 = 14,
	VMAG = 15,
	VMAG2 = 16,
	VDIST = 17,
	VDIST2 = 18,
	SHIFT_LEFT = 19,
	SHIFT_RIGHT = 20,
	FLOOR = 21,
	CEIL = 22,
	ROUND = 23,
	TO_FLOAT = 24,
	SET_THIS_THREAD_PRIORITY = 25,
	APP_DATA_VALID = 26,
	APP_GET_INT = 27,
	APP_GET_FLOAT = 28,
	APP_GET_STRING = 29,
	APP_SET_INT = 30,
	APP_SET_FLOAT = 31,
	APP_SET_STRING = 32,
	APP_SET_APP = 33,
	APP_SET_BLOCK = 34,
	APP_CLEAR_BLOCK = 35,
	APP_CLOSE_APP = 36,
	APP_CLOSE_BLOCK = 37,
	APP_HAS_LINKED_SOCIAL_CLUB_ACCOUNT = 38,
	APP_HAS_SYNCED_DATA = 39,
	APP_SAVE_DATA = 40,
	APP_GET_DELETED_FILE_STATUS = 41,
	APP_DELETE_APP_DATA = 42,
	PLAY_PED_RINGTONE = 43,
	IS_PED_RINGTONE_PLAYING = 44,
	STOP_PED_RINGTONE = 45,
	IS_MOBILE_PHONE_CALL_ONGOING = 46,
	IS_MOBILE_INTERFERENCE_ACTIVE = 47,
	GET_CURRENT_TV_SHOW_PLAY_TIME = 48,
	CREATE_NEW_SCRIPTED_CONVERSATION = 49,
	ADD_LINE_TO_CONVERSATION = 50,
	ADD_PED_TO_CONVERSATION = 51,
	SET_POSITION_FOR_NULL_CONV_PED = 52,
	SET_ENTITY_FOR_NULL_CONV_PED = 53,
	SET_MICROPHONE_POSITION = 54,
	SET_CONVERSATION_AUDIO_CONTROLLED_BY_ANIM = 55,
	SET_CONVERSATION_AUDIO_PLACEHOLDER = 56,
	START_SCRIPT_PHONE_CONVERSATION = 57,
	PRELOAD_SCRIPT_PHONE_CONVERSATION = 58,
	START_SCRIPT_CONVERSATION = 59,
	PRELOAD_SCRIPT_CONVERSATION = 60,
	START_PRELOADED_CONVERSATION = 61,
	GET_IS_PRELOADED_CONVERSATION_READY = 62,
	IS_SCRIPTED_CONVERSATION_ONGOING = 63,
	IS_SCRIPTED_CONVERSATION_LOADED = 64,
	GET_CURRENT_SCRIPTED_CONVERSATION_LINE = 65,
	PAUSE_SCRIPTED_CONVERSATION = 66,
	RESTART_SCRIPTED_CONVERSATION = 67,
	STOP_SCRIPTED_CONVERSATION = 68,
	SKIP_TO_NEXT_SCRIPTED_CONVERSATION_LINE = 69,
	INTERRUPT_CONVERSATION = 70,
	INTERRUPT_CONVERSATION_AND_PAUSE = 71,
	GET_VARIATION_CHOSEN_FOR_SCRIPTED_LINE = 72,
	SET_NO_DUCKING_FOR_CONVERSATION = 73,
	REGISTER_SCRIPT_WITH_AUDIO = 74,
	UNREGISTER_SCRIPT_WITH_AUDIO = 75,
	REQUEST_MISSION_AUDIO_BANK = 76,
	REQUEST_AMBIENT_AUDIO_BANK = 77,
	REQUEST_SCRIPT_AUDIO_BANK = 78,
	HINT_MISSION_AUDIO_BANK = 79,
	HINT_AMBIENT_AUDIO_BANK = 80,
	HINT_SCRIPT_AUDIO_BANK = 81,
	RELEASE_MISSION_AUDIO_BANK = 82,
	RELEASE_AMBIENT_AUDIO_BANK = 83,
	RELEASE_NAMED_SCRIPT_AUDIO_BANK = 84,
	RELEASE_SCRIPT_AUDIO_BANK = 85,
	UNHINT_AMBIENT_AUDIO_BANK = 86,
	UNHINT_SCRIPT_AUDIO_BANK = 87,
	UNHINT_NAMED_SCRIPT_AUDIO_BANK = 88,
	GET_SOUND_ID = 89,
	RELEASE_SOUND_ID = 90,
	PLAY_SOUND = 91,
	PLAY_SOUND_FRONTEND = 92,
	PLAY_DEFERRED_SOUND_FRONTEND = 93,
	PLAY_SOUND_FROM_ENTITY = 94,
	PLAY_SOUND_FROM_ENTITY_HASH = 95,
	PLAY_SOUND_FROM_COORD = 96,
	UPDATE_SOUND_COORD = 97,
	STOP_SOUND = 98,
	GET_NETWORK_ID_FROM_SOUND_ID = 99,
	GET_SOUND_ID_FROM_NETWORK_ID = 100,
	SET_VARIABLE_ON_SOUND = 101,
	SET_VARIABLE_ON_STREAM = 102,
	OVERRIDE_UNDERWATER_STREAM = 103,
	SET_VARIABLE_ON_UNDER_WATER_STREAM = 104,
	HAS_SOUND_FINISHED = 105,
	PLAY_PED_AMBIENT_SPEECH_NATIVE = 106,
	PLAY_PED_AMBIENT_SPEECH_AND_CLONE_NATIVE = 107,
	PLAY_PED_AMBIENT_SPEECH_WITH_VOICE_NATIVE = 108,
	PLAY_AMBIENT_SPEECH_FROM_POSITION_NATIVE = 109,
	OVERRIDE_TREVOR_RAGE = 110,
	RESET_TREVOR_RAGE = 111,
	SET_PLAYER_ANGRY = 112,
	PLAY_PAIN = 113,
	RELEASE_WEAPON_AUDIO = 114,
	ACTIVATE_AUDIO_SLOWMO_MODE = 115,
	DEACTIVATE_AUDIO_SLOWMO_MODE = 116,
	SET_AMBIENT_VOICE_NAME = 117,
	SET_AMBIENT_VOICE_NAME_HASH = 118,
	GET_AMBIENT_VOICE_NAME_HASH = 119,
	SET_PED_VOICE_FULL = 120,
	SET_PED_RACE_AND_VOICE_GROUP = 121,
	SET_PED_VOICE_GROUP = 122,
	SET_PED_VOICE_GROUP_FROM_RACE_TO_PVG = 123,
	SET_PED_GENDER = 124,
	STOP_CURRENT_PLAYING_SPEECH = 125,
	STOP_CURRENT_PLAYING_AMBIENT_SPEECH = 126,
	IS_AMBIENT_SPEECH_PLAYING = 127,
	IS_SCRIPTED_SPEECH_PLAYING = 128,
	IS_ANY_SPEECH_PLAYING = 129,
	IS_ANY_POSITIONAL_SPEECH_PLAYING = 130,
	DOES_CONTEXT_EXIST_FOR_THIS_PED = 131,
	IS_PED_IN_CURRENT_CONVERSATION = 132,
	SET_PED_IS_DRUNK = 133,
	PLAY_ANIMAL_VOCALIZATION = 134,
	IS_ANIMAL_VOCALIZATION_PLAYING = 135,
	SET_ANIMAL_MOOD = 136,
	IS_MOBILE_PHONE_RADIO_ACTIVE = 137,
	SET_MOBILE_PHONE_RADIO_STATE = 138,
	GET_PLAYER_RADIO_STATION_INDEX = 139,
	GET_PLAYER_RADIO_STATION_NAME = 140,
	GET_RADIO_STATION_NAME = 141,
	GET_PLAYER_RADIO_STATION_GENRE = 142,
	IS_RADIO_RETUNING = 143,
	IS_RADIO_FADED_OUT = 144,
	SET_RADIO_RETUNE_UP = 145,
	SET_RADIO_RETUNE_DOWN = 146,
	SET_RADIO_TO_STATION_NAME = 147,
	SET_VEH_RADIO_STATION = 148,
	SET_VEH_HAS_NORMAL_RADIO = 149,
	IS_VEHICLE_RADIO_ON = 150,
	SET_VEH_FORCED_RADIO_THIS_FRAME = 151,
	SET_EMITTER_RADIO_STATION = 152,
	SET_STATIC_EMITTER_ENABLED = 153,
	LINK_STATIC_EMITTER_TO_ENTITY = 154,
	SET_RADIO_TO_STATION_INDEX = 155,
	SET_FRONTEND_RADIO_ACTIVE = 156,
	UNLOCK_MISSION_NEWS_STORY = 157,
	IS_MISSION_NEWS_STORY_UNLOCKED = 158,
	GET_AUDIBLE_MUSIC_TRACK_TEXT_ID = 159,
	PLAY_END_CREDITS_MUSIC = 160,
	SKIP_RADIO_FORWARD = 161,
	FREEZE_RADIO_STATION = 162,
	UNFREEZE_RADIO_STATION = 163,
	SET_RADIO_AUTO_UNFREEZE = 164,
	SET_INITIAL_PLAYER_STATION = 165,
	SET_USER_RADIO_CONTROL_ENABLED = 166,
	SET_RADIO_TRACK = 167,
	SET_RADIO_TRACK_WITH_START_OFFSET = 168,
	SET_NEXT_RADIO_TRACK = 169,
	SET_VEHICLE_RADIO_LOUD = 170,
	CAN_VEHICLE_RECEIVE_CB_RADIO = 171,
	SET_MOBILE_RADIO_ENABLED_DURING_GAMEPLAY = 172,
	DOES_PLAYER_VEH_HAVE_RADIO = 173,
	IS_PLAYER_VEH_RADIO_ENABLE = 174,
	SET_VEHICLE_RADIO_ENABLED = 175,
	SET_POSITIONED_PLAYER_VEHICLE_RADIO_EMITTER_ENABLED = 176,
	SET_CUSTOM_RADIO_TRACK_LIST = 177,
	CLEAR_CUSTOM_RADIO_TRACK_LIST = 178,
	GET_NUM_UNLOCKED_RADIO_STATIONS = 179,
	FIND_RADIO_STATION_INDEX = 180,
	SET_RADIO_STATION_MUSIC_ONLY = 181,
	SET_RADIO_FRONTEND_FADE_TIME = 182,
	UNLOCK_RADIO_STATION_TRACK_LIST = 183,
	LOCK_RADIO_STATION_TRACK_LIST = 184,
	UPDATE_UNLOCKABLE_DJ_RADIO_TRACKS = 185,
	LOCK_RADIO_STATION = 186,
	SET_RADIO_STATION_AS_FAVOURITE = 187,
	IS_RADIO_STATION_FAVOURITED = 188,
	GET_NEXT_AUDIBLE_BEAT = 189,
	FORCE_MUSIC_TRACK_LIST = 190,
	GET_CURRENT_TRACK_PLAY_TIME = 191,
	GET_CURRENT_TRACK_SOUND_NAME = 192,
	SET_VEHICLE_MISSILE_WARNING_ENABLED = 193,
	SET_AMBIENT_ZONE_STATE = 194,
	CLEAR_AMBIENT_ZONE_STATE = 195,
	SET_AMBIENT_ZONE_LIST_STATE = 196,
	CLEAR_AMBIENT_ZONE_LIST_STATE = 197,
	SET_AMBIENT_ZONE_STATE_PERSISTENT = 198,
	SET_AMBIENT_ZONE_LIST_STATE_PERSISTENT = 199,
	IS_AMBIENT_ZONE_ENABLED = 200,
	REFRESH_CLOSEST_OCEAN_SHORELINE = 201,
	SET_CUTSCENE_AUDIO_OVERRIDE = 202,
	SET_VARIABLE_ON_SYNCH_SCENE_AUDIO = 203,
	PLAY_POLICE_REPORT = 204,
	CANCEL_ALL_POLICE_REPORTS = 205,
	BLIP_SIREN = 206,
	OVERRIDE_VEH_HORN = 207,
	IS_HORN_ACTIVE = 208,
	SET_AGGRESSIVE_HORNS = 209,
	SET_RADIO_POSITION_AUDIO_MUTE = 210,
	SET_VEHICLE_CONVERSATIONS_PERSIST = 211,
	SET_VEHICLE_CONVERSATIONS_PERSIST_NEW = 212,
	IS_STREAM_PLAYING = 213,
	GET_STREAM_PLAY_TIME = 214,
	LOAD_STREAM = 215,
	LOAD_STREAM_WITH_START_OFFSET = 216,
	PLAY_STREAM_FROM_PED = 217,
	PLAY_STREAM_FROM_VEHICLE = 218,
	PLAY_STREAM_FROM_OBJECT = 219,
	PLAY_STREAM_FRONTEND = 220,
	PLAY_STREAM_FROM_POSITION = 221,
	STOP_STREAM = 222,
	STOP_PED_SPEAKING = 223,
	BLOCK_ALL_SPEECH_FROM_PED = 224,
	STOP_PED_SPEAKING_SYNCED = 225,
	DISABLE_PED_PAIN_AUDIO = 226,
	IS_AMBIENT_SPEECH_DISABLED = 227,
	BLOCK_SPEECH_CONTEXT_GROUP = 228,
	UNBLOCK_SPEECH_CONTEXT_GROUP = 229,
	SET_SIREN_WITH_NO_DRIVER = 230,
	SET_SIREN_BYPASS_MP_DRIVER_CHECK = 231,
	TRIGGER_SIREN_AUDIO = 232,
	SET_HORN_PERMANENTLY_ON = 233,
	SET_HORN_ENABLED = 234,
	SET_AUDIO_VEHICLE_PRIORITY = 235,
	SET_HORN_PERMANENTLY_ON_TIME = 236,
	USE_SIREN_AS_HORN = 237,
	FORCE_USE_AUDIO_GAME_OBJECT = 238,
	PRELOAD_VEHICLE_AUDIO_BANK = 239,
	SET_VEHICLE_STARTUP_REV_SOUND = 240,
	RESET_VEHICLE_STARTUP_REV_SOUND = 241,
	SET_VEHICLE_FORCE_REVERSE_WARNING = 242,
	IS_VEHICLE_AUDIBLY_DAMAGED = 243,
	SET_VEHICLE_AUDIO_ENGINE_DAMAGE_FACTOR = 244,
	SET_VEHICLE_AUDIO_BODY_DAMAGE_FACTOR = 245,
	_FORCE_VEHICLE_ENGINE_SYNTH = 246,
	ENABLE_VEHICLE_FANBELT_DAMAGE = 247,
	ENABLE_VEHICLE_EXHAUST_POPS = 248,
	SET_VEHICLE_BOOST_ACTIVE = 249,
	SET_PLAYER_VEHICLE_ALARM_AUDIO_ACTIVE = 250,
	SET_SCRIPT_UPDATE_DOOR_AUDIO = 251,
	PLAY_VEHICLE_DOOR_OPEN_SOUND = 252,
	PLAY_VEHICLE_DOOR_CLOSE_SOUND = 253,
	ENABLE_STALL_WARNING_SOUNDS = 254,
	_ENABLE_DRAG_RACE_STATIONARY_WARNING_SOUNDS = 255,
	IS_GAME_IN_CONTROL_OF_MUSIC = 256,
	SET_GPS_ACTIVE = 257,
	PLAY_MISSION_COMPLETE_AUDIO = 258,
	IS_MISSION_COMPLETE_PLAYING = 259,
	IS_MISSION_COMPLETE_READY_FOR_UI = 260,
	BLOCK_DEATH_JINGLE = 261,
	START_AUDIO_SCENE = 262,
	STOP_AUDIO_SCENE = 263,
	STOP_AUDIO_SCENES = 264,
	IS_AUDIO_SCENE_ACTIVE = 265,
	SET_AUDIO_SCENE_VARIABLE = 266,
	SET_AUDIO_SCRIPT_CLEANUP_TIME = 267,
	ADD_ENTITY_TO_AUDIO_MIX_GROUP = 268,
	REMOVE_ENTITY_FROM_AUDIO_MIX_GROUP = 269,
	AUDIO_IS_MUSIC_PLAYING = 270,
	AUDIO_IS_SCRIPTED_MUSIC_PLAYING = 271,
	PREPARE_MUSIC_EVENT = 272,
	CANCEL_MUSIC_EVENT = 273,
	TRIGGER_MUSIC_EVENT = 274,
	IS_MUSIC_ONESHOT_PLAYING = 275,
	GET_MUSIC_PLAYTIME = 276,
	SET_GLOBAL_RADIO_SIGNAL_LEVEL = 277,
	RECORD_BROKEN_GLASS = 278,
	CLEAR_ALL_BROKEN_GLASS = 279,
	SCRIPT_OVERRIDES_WIND_ELEVATION = 280,
	SET_PED_WALLA_DENSITY = 281,
	SET_PED_INTERIOR_WALLA_DENSITY = 282,
	FORCE_PED_PANIC_WALLA = 283,
	PREPARE_ALARM = 284,
	START_ALARM = 285,
	STOP_ALARM = 286,
	STOP_ALL_ALARMS = 287,
	IS_ALARM_PLAYING = 288,
	GET_VEHICLE_DEFAULT_HORN = 289,
	GET_VEHICLE_DEFAULT_HORN_IGNORE_MODS = 290,
	RESET_PED_AUDIO_FLAGS = 291,
	SET_PED_FOOTSTEPS_EVENTS_ENABLED = 292,
	SET_PED_CLOTH_EVENTS_ENABLED = 293,
	OVERRIDE_PLAYER_GROUND_MATERIAL = 294,
	USE_FOOTSTEP_SCRIPT_SWEETENERS = 295,
	OVERRIDE_MICROPHONE_SETTINGS = 296,
	FREEZE_MICROPHONE = 297,
	DISTANT_COP_CAR_SIRENS = 298,
	SET_SIREN_CAN_BE_CONTROLLED_BY_AUDIO = 299,
	ENABLE_STUNT_JUMP_AUDIO = 300,
	SET_AUDIO_FLAG = 301,
	PREPARE_SYNCHRONIZED_AUDIO_EVENT = 302,
	PREPARE_SYNCHRONIZED_AUDIO_EVENT_FOR_SCENE = 303,
	PLAY_SYNCHRONIZED_AUDIO_EVENT = 304,
	STOP_SYNCHRONIZED_AUDIO_EVENT = 305,
	INIT_SYNCH_SCENE_AUDIO_WITH_POSITION = 306,
	INIT_SYNCH_SCENE_AUDIO_WITH_ENTITY = 307,
	SET_AUDIO_SPECIAL_EFFECT_MODE = 308,
	SET_PORTAL_SETTINGS_OVERRIDE = 309,
	REMOVE_PORTAL_SETTINGS_OVERRIDE = 310,
	STOP_SMOKE_GRENADE_EXPLOSION_SOUNDS = 311,
	GET_MUSIC_VOL_SLIDER = 312,
	REQUEST_TENNIS_BANKS = 313,
	UNREQUEST_TENNIS_BANKS = 314,
	SET_SKIP_MINIGUN_SPIN_UP_AUDIO = 315,
	STOP_CUTSCENE_AUDIO = 316,
	HAS_LOADED_MP_DATA_SET = 317,
	HAS_LOADED_SP_DATA_SET = 318,
	GET_VEHICLE_HORN_SOUND_INDEX = 319,
	SET_VEHICLE_HORN_SOUND_INDEX = 320,
	ADD_SCRIPT_TO_RANDOM_PED = 321,
	REGISTER_OBJECT_SCRIPT_BRAIN = 322,
	IS_OBJECT_WITHIN_BRAIN_ACTIVATION_RANGE = 323,
	REGISTER_WORLD_POINT_SCRIPT_BRAIN = 324,
	IS_WORLD_POINT_WITHIN_BRAIN_ACTIVATION_RANGE = 325,
	ENABLE_SCRIPT_BRAIN_SET = 326,
	DISABLE_SCRIPT_BRAIN_SET = 327,
	REACTIVATE_ALL_WORLD_BRAINS_THAT_ARE_WAITING_TILL_OUT_OF_RANGE = 328,
	REACTIVATE_ALL_OBJECT_BRAINS_THAT_ARE_WAITING_TILL_OUT_OF_RANGE = 329,
	REACTIVATE_NAMED_WORLD_BRAINS_WAITING_TILL_OUT_OF_RANGE = 330,
	REACTIVATE_NAMED_OBJECT_BRAINS_WAITING_TILL_OUT_OF_RANGE = 331,
	RENDER_SCRIPT_CAMS = 332,
	STOP_RENDERING_SCRIPT_CAMS_USING_CATCH_UP = 333,
	CREATE_CAM = 334,
	CREATE_CAM_WITH_PARAMS = 335,
	CREATE_CAMERA = 336,
	CREATE_CAMERA_WITH_PARAMS = 337,
	DESTROY_CAM = 338,
	DESTROY_ALL_CAMS = 339,
	DOES_CAM_EXIST = 340,
	SET_CAM_ACTIVE = 341,
	IS_CAM_ACTIVE = 342,
	IS_CAM_RENDERING = 343,
	GET_RENDERING_CAM = 344,
	GET_CAM_COORD = 345,
	GET_CAM_ROT = 346,
	GET_CAM_FOV = 347,
	GET_CAM_NEAR_CLIP = 348,
	GET_CAM_FAR_CLIP = 349,
	GET_CAM_NEAR_DOF = 350,
	GET_CAM_FAR_DOF = 351,
	GET_CAM_DOF_STRENGTH = 352,
	SET_CAM_PARAMS = 353,
	SET_CAM_COORD = 354,
	SET_CAM_ROT = 355,
	SET_CAM_FOV = 356,
	SET_CAM_NEAR_CLIP = 357,
	SET_CAM_FAR_CLIP = 358,
	FORCE_CAM_FAR_CLIP = 359,
	SET_CAM_MOTION_BLUR_STRENGTH = 360,
	SET_CAM_NEAR_DOF = 361,
	SET_CAM_FAR_DOF = 362,
	SET_CAM_DOF_STRENGTH = 363,
	SET_CAM_DOF_PLANES = 364,
	SET_CAM_USE_SHALLOW_DOF_MODE = 365,
	SET_USE_HI_DOF = 366,
	SET_USE_HI_DOF_ON_SYNCED_SCENE_THIS_UPDATE = 367,
	SET_CAM_DOF_OVERRIDDEN_FOCUS_DISTANCE = 368,
	SET_CAM_DOF_OVERRIDDEN_FOCUS_DISTANCE_BLEND_LEVEL = 369,
	SET_CAM_DOF_FNUMBER_OF_LENS = 370,
	SET_CAM_DOF_FOCAL_LENGTH_MULTIPLIER = 371,
	SET_CAM_DOF_FOCUS_DISTANCE_BIAS = 372,
	SET_CAM_DOF_MAX_NEAR_IN_FOCUS_DISTANCE = 373,
	SET_CAM_DOF_MAX_NEAR_IN_FOCUS_DISTANCE_BLEND_LEVEL = 374,
	SET_CAM_DOF_SHOULD_KEEP_LOOK_AT_TARGET_IN_FOCUS = 375,
	ATTACH_CAM_TO_ENTITY = 376,
	ATTACH_CAM_TO_PED_BONE = 377,
	HARD_ATTACH_CAM_TO_PED_BONE = 378,
	HARD_ATTACH_CAM_TO_ENTITY = 379,
	ATTACH_CAM_TO_VEHICLE_BONE = 380,
	DETACH_CAM = 381,
	SET_CAM_INHERIT_ROLL_VEHICLE = 382,
	POINT_CAM_AT_COORD = 383,
	POINT_CAM_AT_ENTITY = 384,
	POINT_CAM_AT_PED_BONE = 385,
	STOP_CAM_POINTING = 386,
	SET_CAM_AFFECTS_AIMING = 387,
	SET_CAM_CONTROLS_MINI_MAP_HEADING = 388,
	SET_CAM_IS_INSIDE_VEHICLE = 389,
	ALLOW_MOTION_BLUR_DECAY = 390,
	SET_CAM_DEBUG_NAME = 391,
	GET_DEBUG_CAM = 392,
	ADD_CAM_SPLINE_NODE = 393,
	ADD_CAM_SPLINE_NODE_USING_CAMERA_FRAME = 394,
	ADD_CAM_SPLINE_NODE_USING_CAMERA = 395,
	ADD_CAM_SPLINE_NODE_USING_GAMEPLAY_FRAME = 396,
	SET_CAM_SPLINE_PHASE = 397,
	GET_CAM_SPLINE_PHASE = 398,
	GET_CAM_SPLINE_NODE_PHASE = 399,
	SET_CAM_SPLINE_DURATION = 400,
	SET_CAM_SPLINE_SMOOTHING_STYLE = 401,
	GET_CAM_SPLINE_NODE_INDEX = 402,
	SET_CAM_SPLINE_NODE_EASE = 403,
	SET_CAM_SPLINE_NODE_VELOCITY_SCALE = 404,
	OVERRIDE_CAM_SPLINE_VELOCITY = 405,
	OVERRIDE_CAM_SPLINE_MOTION_BLUR = 406,
	SET_CAM_SPLINE_NODE_EXTRA_FLAGS = 407,
	IS_CAM_SPLINE_PAUSED = 408,
	_INTERPOLATE_CAM_WITH_PARAMS = 409,
	_ACTIVATE_CAM_WITH_INTERP_AND_FOV_CURVE = 410,
	SET_CAM_ACTIVE_WITH_INTERP = 411,
	IS_CAM_INTERPOLATING = 412,
	SHAKE_CAM = 413,
	ANIMATED_SHAKE_CAM = 414,
	IS_CAM_SHAKING = 415,
	SET_CAM_SHAKE_AMPLITUDE = 416,
	STOP_CAM_SHAKING = 417,
	SHAKE_SCRIPT_GLOBAL = 418,
	ANIMATED_SHAKE_SCRIPT_GLOBAL = 419,
	IS_SCRIPT_GLOBAL_SHAKING = 420,
	STOP_SCRIPT_GLOBAL_SHAKING = 421,
	TRIGGER_VEHICLE_PART_BROKEN_CAMERA_SHAKE = 422,
	PLAY_CAM_ANIM = 423,
	IS_CAM_PLAYING_ANIM = 424,
	SET_CAM_ANIM_CURRENT_PHASE = 425,
	GET_CAM_ANIM_CURRENT_PHASE = 426,
	PLAY_SYNCHRONIZED_CAM_ANIM = 427,
	SET_FLY_CAM_HORIZONTAL_RESPONSE = 428,
	SET_FLY_CAM_VERTICAL_RESPONSE = 429,
	SET_FLY_CAM_MAX_HEIGHT = 430,
	SET_FLY_CAM_COORD_AND_CONSTRAIN = 431,
	SET_FLY_CAM_VERTICAL_CONTROLS_THIS_UPDATE = 432,
	WAS_FLY_CAM_CONSTRAINED_ON_PREVIOUS_UDPATE = 433,
	IS_SCREEN_FADED_OUT = 434,
	IS_SCREEN_FADED_IN = 435,
	IS_SCREEN_FADING_OUT = 436,
	IS_SCREEN_FADING_IN = 437,
	DO_SCREEN_FADE_IN = 438,
	DO_SCREEN_FADE_OUT = 439,
	SET_WIDESCREEN_BORDERS = 440,
	ARE_WIDESCREEN_BORDERS_ACTIVE = 441,
	GET_GAMEPLAY_CAM_COORD = 442,
	GET_GAMEPLAY_CAM_ROT = 443,
	GET_GAMEPLAY_CAM_FOV = 444,
	SET_GAMEPLAY_CAM_MOTION_BLUR_SCALING_THIS_UPDATE = 445,
	SET_GAMEPLAY_CAM_MAX_MOTION_BLUR_STRENGTH_THIS_UPDATE = 446,
	GET_GAMEPLAY_CAM_RELATIVE_HEADING = 447,
	SET_GAMEPLAY_CAM_RELATIVE_HEADING = 448,
	GET_GAMEPLAY_CAM_RELATIVE_PITCH = 449,
	SET_GAMEPLAY_CAM_RELATIVE_PITCH = 450,
	RESET_GAMEPLAY_CAM_FULL_ATTACH_PARENT_TRANSFORM_TIMER = 451,
	FORCE_CAMERA_RELATIVE_HEADING_AND_PITCH = 452,
	FORCE_BONNET_CAMERA_RELATIVE_HEADING_AND_PITCH = 453,
	SET_FIRST_PERSON_SHOOTER_CAMERA_HEADING = 454,
	SET_FIRST_PERSON_SHOOTER_CAMERA_PITCH = 455,
	SET_SCRIPTED_CAMERA_IS_FIRST_PERSON_THIS_FRAME = 456,
	SHAKE_GAMEPLAY_CAM = 457,
	IS_GAMEPLAY_CAM_SHAKING = 458,
	SET_GAMEPLAY_CAM_SHAKE_AMPLITUDE = 459,
	STOP_GAMEPLAY_CAM_SHAKING = 460,
	SET_GAMEPLAY_CAM_FOLLOW_PED_THIS_UPDATE = 461,
	IS_GAMEPLAY_CAM_RENDERING = 462,
	IS_INTERPOLATING_FROM_SCRIPT_CAMS = 463,
	IS_INTERPOLATING_TO_SCRIPT_CAMS = 464,
	SET_GAMEPLAY_CAM_ALTITUDE_FOV_SCALING_STATE = 465,
	DISABLE_GAMEPLAY_CAM_ALTITUDE_FOV_SCALING_THIS_UPDATE = 466,
	IS_GAMEPLAY_CAM_LOOKING_BEHIND = 467,
	SET_GAMEPLAY_CAM_IGNORE_ENTITY_COLLISION_THIS_UPDATE = 468,
	DISABLE_CAM_COLLISION_FOR_OBJECT = 469,
	BYPASS_CAMERA_COLLISION_BUOYANCY_TEST_THIS_UPDATE = 470,
	SET_GAMEPLAY_CAM_ENTITY_TO_LIMIT_FOCUS_OVER_BOUNDING_SPHERE_THIS_UPDATE = 471,
	DISABLE_FIRST_PERSON_CAMERA_WATER_CLIPPING_TEST_THIS_UPDATE = 472,
	SET_FOLLOW_CAM_IGNORE_ATTACH_PARENT_MOVEMENT_THIS_UPDATE = 473,
	IS_SPHERE_VISIBLE = 474,
	IS_FOLLOW_PED_CAM_ACTIVE = 475,
	SET_FOLLOW_PED_CAM_THIS_UPDATE = 476,
	USE_SCRIPT_CAM_FOR_AMBIENT_POPULATION_ORIGIN_THIS_FRAME = 477,
	SET_FOLLOW_PED_CAM_LADDER_ALIGN_THIS_UPDATE = 478,
	SET_THIRD_PERSON_CAM_RELATIVE_HEADING_LIMITS_THIS_UPDATE = 479,
	SET_THIRD_PERSON_CAM_RELATIVE_PITCH_LIMITS_THIS_UPDATE = 480,
	SET_THIRD_PERSON_CAM_ORBIT_DISTANCE_LIMITS_THIS_UPDATE = 481,
	_GET_THIRD_PERSON_CAM_MIN_ORBIT_DISTANCE_SPRING = 482,
	_GET_THIRD_PERSON_CAM_MAX_ORBIT_DISTANCE_SPRING = 483,
	SET_IN_VEHICLE_CAM_STATE_THIS_UPDATE = 484,
	DISABLE_ON_FOOT_FIRST_PERSON_VIEW_THIS_UPDATE = 485,
	DISABLE_FIRST_PERSON_FLASH_EFFECT_THIS_UPDATE = 486,
	BLOCK_FIRST_PERSON_ORIENTATION_RESET_THIS_UPDATE = 487,
	GET_FOLLOW_PED_CAM_ZOOM_LEVEL = 488,
	GET_FOLLOW_PED_CAM_VIEW_MODE = 489,
	SET_FOLLOW_PED_CAM_VIEW_MODE = 490,
	IS_FOLLOW_VEHICLE_CAM_ACTIVE = 491,
	SET_FOLLOW_VEHICLE_CAM_HIGH_ANGLE_MODE_THIS_UPDATE = 492,
	SET_FOLLOW_VEHICLE_CAM_HIGH_ANGLE_MODE_EVERY_UPDATE = 493,
	SET_TABLE_GAMES_CAMERA_THIS_UPDATE = 494,
	GET_FOLLOW_VEHICLE_CAM_ZOOM_LEVEL = 495,
	SET_FOLLOW_VEHICLE_CAM_ZOOM_LEVEL = 496,
	GET_FOLLOW_VEHICLE_CAM_VIEW_MODE = 497,
	SET_FOLLOW_VEHICLE_CAM_VIEW_MODE = 498,
	GET_CAM_VIEW_MODE_FOR_CONTEXT = 499,
	SET_CAM_VIEW_MODE_FOR_CONTEXT = 500,
	GET_CAM_ACTIVE_VIEW_MODE_CONTEXT = 501,
	USE_VEHICLE_CAM_STUNT_SETTINGS_THIS_UPDATE = 502,
	USE_DEDICATED_STUNT_CAMERA_THIS_UPDATE = 503,
	FORCE_VEHICLE_CAM_STUNT_SETTINGS_THIS_UPDATE = 504,
	SET_FOLLOW_VEHICLE_CAM_SEAT_THIS_UPDATE = 505,
	IS_AIM_CAM_ACTIVE = 506,
	IS_AIM_CAM_ACTIVE_IN_ACCURATE_MODE = 507,
	IS_FIRST_PERSON_AIM_CAM_ACTIVE = 508,
	DISABLE_AIM_CAM_THIS_UPDATE = 509,
	GET_FIRST_PERSON_AIM_CAM_ZOOM_FACTOR = 510,
	SET_FIRST_PERSON_AIM_CAM_ZOOM_FACTOR = 511,
	SET_FIRST_PERSON_AIM_CAM_ZOOM_FACTOR_LIMITS_THIS_UPDATE = 512,
	SET_FIRST_PERSON_AIM_CAM_RELATIVE_HEADING_LIMITS_THIS_UPDATE = 513,
	SET_FIRST_PERSON_AIM_CAM_RELATIVE_PITCH_LIMITS_THIS_UPDATE = 514,
	SET_FIRST_PERSON_AIM_CAM_NEAR_CLIP_THIS_UPDATE = 515,
	SET_THIRD_PERSON_AIM_CAM_NEAR_CLIP_THIS_UPDATE = 516,
	SET_ALLOW_CUSTOM_VEHICLE_DRIVE_BY_CAM_THIS_UPDATE = 517,
	FORCE_TIGHTSPACE_CUSTOM_FRAMING_THIS_UPDATE = 518,
	GET_FINAL_RENDERED_CAM_COORD = 519,
	GET_FINAL_RENDERED_CAM_ROT = 520,
	GET_FINAL_RENDERED_REMOTE_PLAYER_CAM_ROT = 521,
	GET_FINAL_RENDERED_CAM_FOV = 522,
	GET_FINAL_RENDERED_REMOTE_PLAYER_CAM_FOV = 523,
	GET_FINAL_RENDERED_CAM_NEAR_CLIP = 524,
	GET_FINAL_RENDERED_CAM_FAR_CLIP = 525,
	GET_FINAL_RENDERED_CAM_NEAR_DOF = 526,
	GET_FINAL_RENDERED_CAM_FAR_DOF = 527,
	GET_FINAL_RENDERED_CAM_MOTION_BLUR_STRENGTH = 528,
	SET_GAMEPLAY_COORD_HINT = 529,
	SET_GAMEPLAY_PED_HINT = 530,
	SET_GAMEPLAY_VEHICLE_HINT = 531,
	SET_GAMEPLAY_OBJECT_HINT = 532,
	SET_GAMEPLAY_ENTITY_HINT = 533,
	IS_GAMEPLAY_HINT_ACTIVE = 534,
	STOP_GAMEPLAY_HINT = 535,
	STOP_GAMEPLAY_HINT_BEING_CANCELLED_THIS_UPDATE = 536,
	STOP_CODE_GAMEPLAY_HINT = 537,
	IS_CODE_GAMEPLAY_HINT_ACTIVE = 538,
	SET_GAMEPLAY_HINT_FOV = 539,
	SET_GAMEPLAY_HINT_FOLLOW_DISTANCE_SCALAR = 540,
	SET_GAMEPLAY_HINT_BASE_ORBIT_PITCH_OFFSET = 541,
	SET_GAMEPLAY_HINT_CAMERA_RELATIVE_SIDE_OFFSET = 542,
	SET_GAMEPLAY_HINT_CAMERA_RELATIVE_VERTICAL_OFFSET = 543,
	SET_GAMEPLAY_HINT_CAMERA_BLEND_TO_FOLLOW_PED_MEDIUM_VIEW_MODE = 544,
	SET_CINEMATIC_BUTTON_ACTIVE = 545,
	IS_CINEMATIC_CAM_RENDERING = 546,
	SHAKE_CINEMATIC_CAM = 547,
	IS_CINEMATIC_CAM_SHAKING = 548,
	SET_CINEMATIC_CAM_SHAKE_AMPLITUDE = 549,
	STOP_CINEMATIC_CAM_SHAKING = 550,
	DISABLE_CINEMATIC_BONNET_CAMERA_THIS_UPDATE = 551,
	DISABLE_CINEMATIC_VEHICLE_IDLE_MODE_THIS_UPDATE = 552,
	INVALIDATE_CINEMATIC_VEHICLE_IDLE_MODE = 553,
	INVALIDATE_IDLE_CAM = 554,
	IS_CINEMATIC_IDLE_CAM_RENDERING = 555,
	IS_CINEMATIC_FIRST_PERSON_VEHICLE_INTERIOR_CAM_RENDERING = 556,
	CREATE_CINEMATIC_SHOT = 557,
	IS_CINEMATIC_SHOT_ACTIVE = 558,
	STOP_CINEMATIC_SHOT = 559,
	FORCE_CINEMATIC_RENDERING_THIS_UPDATE = 560,
	SET_CINEMATIC_NEWS_CHANNEL_ACTIVE_THIS_UPDATE = 561,
	SET_CINEMATIC_MODE_ACTIVE = 562,
	IS_IN_VEHICLE_MOBILE_PHONE_CAMERA_RENDERING = 563,
	DISABLE_CINEMATIC_SLOW_MO_THIS_UPDATE = 564,
	IS_BONNET_CINEMATIC_CAM_RENDERING = 565,
	IS_CINEMATIC_CAM_INPUT_ACTIVE = 566,
	IGNORE_MENU_PREFERENCE_FOR_BONNET_CAMERA_THIS_UPDATE = 567,
	BYPASS_CUTSCENE_CAM_RENDERING_THIS_UPDATE = 568,
	STOP_CUTSCENE_CAM_SHAKING = 569,
	SET_CUTSCENE_CAM_FAR_CLIP_THIS_UPDATE = 570,
	GET_FOCUS_PED_ON_SCREEN = 571,
	DISABLE_NEAR_CLIP_SCAN_THIS_UPDATE = 572,
	SET_CAM_DEATH_FAIL_EFFECT_STATE = 573,
	SET_FIRST_PERSON_FLASH_EFFECT_TYPE = 574,
	SET_FIRST_PERSON_FLASH_EFFECT_VEHICLE_MODEL_NAME = 575,
	SET_FIRST_PERSON_FLASH_EFFECT_VEHICLE_MODEL_HASH = 576,
	IS_ALLOWED_INDEPENDENT_CAMERA_MODES = 577,
	CAMERA_PREVENT_COLLISION_SETTINGS_FOR_TRIPLEHEAD_IN_INTERIORS_THIS_UPDATE = 578,
	REPLAY_GET_MAX_DISTANCE_ALLOWED_FROM_PLAYER = 579,
	SET_CLOCK_TIME = 580,
	PAUSE_CLOCK = 581,
	ADVANCE_CLOCK_TIME_TO = 582,
	ADD_TO_CLOCK_TIME = 583,
	GET_CLOCK_HOURS = 584,
	GET_CLOCK_MINUTES = 585,
	GET_CLOCK_SECONDS = 586,
	SET_CLOCK_DATE = 587,
	GET_CLOCK_DAY_OF_WEEK = 588,
	GET_CLOCK_DAY_OF_MONTH = 589,
	GET_CLOCK_MONTH = 590,
	GET_CLOCK_YEAR = 591,
	GET_MILLISECONDS_PER_GAME_MINUTE = 592,
	GET_POSIX_TIME = 593,
	GET_UTC_TIME = 594,
	GET_LOCAL_TIME = 595,
	REQUEST_CUTSCENE = 596,
	REQUEST_CUTSCENE_WITH_PLAYBACK_LIST = 597,
	REMOVE_CUTSCENE = 598,
	HAS_CUTSCENE_LOADED = 599,
	HAS_THIS_CUTSCENE_LOADED = 600,
	SET_SCRIPT_CAN_START_CUTSCENE = 601,
	CAN_REQUEST_ASSETS_FOR_CUTSCENE_ENTITY = 602,
	IS_CUTSCENE_PLAYBACK_FLAG_SET = 603,
	SET_CUTSCENE_ENTITY_STREAMING_FLAGS = 604,
	REQUEST_CUT_FILE = 605,
	HAS_CUT_FILE_LOADED = 606,
	REMOVE_CUT_FILE = 607,
	GET_CUT_FILE_CONCAT_COUNT = 608,
	START_CUTSCENE = 609,
	START_CUTSCENE_AT_COORDS = 610,
	STOP_CUTSCENE = 611,
	STOP_CUTSCENE_IMMEDIATELY = 612,
	SET_CUTSCENE_ORIGIN = 613,
	SET_CUTSCENE_ORIGIN_AND_ORIENTATION = 614,
	GET_CUTSCENE_TIME = 615,
	GET_CUTSCENE_PLAY_TIME = 616,
	GET_CUTSCENE_TOTAL_DURATION = 617,
	GET_CUTSCENE_END_TIME = 618,
	GET_CUTSCENE_PLAY_DURATION = 619,
	WAS_CUTSCENE_SKIPPED = 620,
	HAS_CUTSCENE_FINISHED = 621,
	IS_CUTSCENE_ACTIVE = 622,
	IS_CUTSCENE_PLAYING = 623,
	GET_CUTSCENE_SECTION_PLAYING = 624,
	GET_ENTITY_INDEX_OF_CUTSCENE_ENTITY = 625,
	GET_CUTSCENE_CONCAT_SECTION_PLAYING = 626,
	IS_CUTSCENE_AUTHORIZED = 627,
	DOES_CUTSCENE_HANDLE_EXIST = 628,
	REGISTER_ENTITY_FOR_CUTSCENE = 629,
	GET_ENTITY_INDEX_OF_REGISTERED_ENTITY = 630,
	SET_VEHICLE_MODEL_PLAYER_WILL_EXIT_SCENE = 631,
	SET_CUTSCENE_TRIGGER_AREA = 632,
	CAN_SET_ENTER_STATE_FOR_REGISTERED_ENTITY = 633,
	CAN_SET_EXIT_STATE_FOR_REGISTERED_ENTITY = 634,
	CAN_SET_EXIT_STATE_FOR_CAMERA = 635,
	SET_PAD_CAN_SHAKE_DURING_CUTSCENE = 636,
	SET_CUTSCENE_FADE_VALUES = 637,
	SET_CUTSCENE_MULTIHEAD_FADE = 638,
	SET_CUTSCENE_MULTIHEAD_FADE_MANUAL = 639,
	IS_MULTIHEAD_FADE_UP = 640,
	NETWORK_SET_MOCAP_CUTSCENE_CAN_BE_SKIPPED = 641,
	SET_CAR_GENERATORS_CAN_UPDATE_DURING_CUTSCENE = 642,
	CAN_USE_MOBILE_PHONE_DURING_CUTSCENE = 643,
	SET_CUTSCENE_CAN_BE_SKIPPED = 644,
	SET_CAN_DISPLAY_MINIMAP_DURING_CUTSCENE_THIS_UPDATE = 645,
	SET_CUTSCENE_PED_COMPONENT_VARIATION = 646,
	SET_CUTSCENE_PED_COMPONENT_VARIATION_FROM_PED = 647,
	DOES_CUTSCENE_ENTITY_EXIST = 648,
	SET_CUTSCENE_PED_PROP_VARIATION = 649,
	HAS_CUTSCENE_CUT_THIS_FRAME = 650,
	DATAFILE_WATCH_REQUEST_ID = 651,
	DATAFILE_CLEAR_WATCH_LIST = 652,
	DATAFILE_IS_VALID_REQUEST_ID = 653,
	DATAFILE_HAS_LOADED_FILE_DATA = 654,
	DATAFILE_HAS_VALID_FILE_DATA = 655,
	DATAFILE_SELECT_ACTIVE_FILE = 656,
	DATAFILE_DELETE_REQUESTED_FILE = 657,
	UGC_CREATE_CONTENT = 658,
	UGC_CREATE_MISSION = 659,
	UGC_UPDATE_CONTENT = 660,
	UGC_UPDATE_MISSION = 661,
	UGC_SET_PLAYER_DATA = 662,
	DATAFILE_SELECT_UGC_DATA = 663,
	DATAFILE_SELECT_UGC_STATS = 664,
	DATAFILE_SELECT_UGC_PLAYER_DATA = 665,
	DATAFILE_SELECT_CREATOR_STATS = 666,
	DATAFILE_LOAD_OFFLINE_UGC = 667,
	DATAFILE_CREATE = 668,
	DATAFILE_DELETE = 669,
	DATAFILE_STORE_MISSION_HEADER = 670,
	DATAFILE_FLUSH_MISSION_HEADER = 671,
	DATAFILE_GET_FILE_DICT = 672,
	DATAFILE_START_SAVE_TO_CLOUD = 673,
	DATAFILE_UPDATE_SAVE_TO_CLOUD = 674,
	DATAFILE_IS_SAVE_PENDING = 675,
	DATAFILE_LOAD_OFFLINE_UGC_FOR_ADDITIONAL_DATA_FILE = 676,
	DATAFILE_DELETE_FOR_ADDITIONAL_DATA_FILE = 677,
	DATAFILE_GET_FILE_DICT_FOR_ADDITIONAL_DATA_FILE = 678,
	DATADICT_SET_BOOL = 679,
	DATADICT_SET_INT = 680,
	DATADICT_SET_FLOAT = 681,
	DATADICT_SET_STRING = 682,
	DATADICT_SET_VECTOR = 683,
	DATADICT_CREATE_DICT = 684,
	DATADICT_CREATE_ARRAY = 685,
	DATADICT_GET_BOOL = 686,
	DATADICT_GET_INT = 687,
	DATADICT_GET_FLOAT = 688,
	DATADICT_GET_STRING = 689,
	DATADICT_GET_VECTOR = 690,
	DATADICT_GET_DICT = 691,
	DATADICT_GET_ARRAY = 692,
	DATADICT_GET_TYPE = 693,
	DATAARRAY_ADD_BOOL = 694,
	DATAARRAY_ADD_INT = 695,
	DATAARRAY_ADD_FLOAT = 696,
	DATAARRAY_ADD_STRING = 697,
	DATAARRAY_ADD_VECTOR = 698,
	DATAARRAY_ADD_DICT = 699,
	DATAARRAY_GET_BOOL = 700,
	DATAARRAY_GET_INT = 701,
	DATAARRAY_GET_FLOAT = 702,
	DATAARRAY_GET_STRING = 703,
	DATAARRAY_GET_VECTOR = 704,
	DATAARRAY_GET_DICT = 705,
	DATAARRAY_GET_COUNT = 706,
	DATAARRAY_GET_TYPE = 707,
	DECOR_SET_TIME = 708,
	DECOR_SET_BOOL = 709,
	DECOR_SET_FLOAT = 710,
	DECOR_SET_INT = 711,
	DECOR_GET_BOOL = 712,
	DECOR_GET_FLOAT = 713,
	DECOR_GET_INT = 714,
	DECOR_EXIST_ON = 715,
	DECOR_REMOVE = 716,
	DECOR_REGISTER = 717,
	DECOR_IS_REGISTERED_AS_TYPE = 718,
	DECOR_REGISTER_LOCK = 719,
	ARE_ANY_CCS_PENDING = 720,
	IS_DLC_PRESENT = 721,
	DLC_CHECK_CLOUD_DATA_CORRECT = 722,
	GET_EXTRACONTENT_CLOUD_RESULT = 723,
	DLC_CHECK_COMPAT_PACK_CONFIGURATION = 724,
	GET_EVER_HAD_BAD_PACK_ORDER = 725,
	GET_IS_LOADING_SCREEN_ACTIVE = 726,
	GET_IS_INITIAL_LOADING_SCREEN_ACTIVE = 727,
	HAS_CLOUD_REQUESTS_FINISHED = 728,
	ON_ENTER_SP = 729,
	ON_ENTER_MP = 730,
	DOES_ENTITY_EXIST = 731,
	DOES_ENTITY_BELONG_TO_THIS_SCRIPT = 732,
	DOES_ENTITY_HAVE_DRAWABLE = 733,
	DOES_ENTITY_HAVE_PHYSICS = 734,
	DOES_ENTITY_HAVE_SKELETON = 735,
	DOES_ENTITY_HAVE_ANIM_DIRECTOR = 736,
	HAS_ENTITY_ANIM_FINISHED = 737,
	HAS_ENTITY_BEEN_DAMAGED_BY_ANY_OBJECT = 738,
	HAS_ENTITY_BEEN_DAMAGED_BY_ANY_PED = 739,
	HAS_ENTITY_BEEN_DAMAGED_BY_ANY_VEHICLE = 740,
	HAS_ENTITY_BEEN_DAMAGED_BY_ENTITY = 741,
	HAS_ENTITY_CLEAR_LOS_TO_ENTITY = 742,
	HAS_ENTITY_CLEAR_LOS_TO_ENTITY_ADJUST_FOR_COVER = 743,
	HAS_ENTITY_CLEAR_LOS_TO_ENTITY_IN_FRONT = 744,
	HAS_ENTITY_COLLIDED_WITH_ANYTHING = 745,
	_GET_LAST_ENTITY_HIT_BY_ENTITY = 746,
	GET_LAST_MATERIAL_HIT_BY_ENTITY = 747,
	GET_COLLISION_NORMAL_OF_LAST_HIT_FOR_ENTITY = 748,
	FORCE_ENTITY_AI_AND_ANIMATION_UPDATE = 749,
	GET_ENTITY_ANIM_CURRENT_TIME = 750,
	GET_ENTITY_ANIM_TOTAL_TIME = 751,
	GET_ANIM_DURATION = 752,
	GET_ENTITY_ATTACHED_TO = 753,
	GET_ENTITY_COORDS = 754,
	GET_ENTITY_FORWARD_VECTOR = 755,
	GET_ENTITY_FORWARD_X = 756,
	GET_ENTITY_FORWARD_Y = 757,
	GET_ENTITY_HEADING = 758,
	GET_ENTITY_HEADING_FROM_EULERS = 759,
	GET_ENTITY_HEALTH = 760,
	GET_ENTITY_MAX_HEALTH = 761,
	SET_ENTITY_MAX_HEALTH = 762,
	GET_ENTITY_HEIGHT = 763,
	GET_ENTITY_HEIGHT_ABOVE_GROUND = 764,
	GET_ENTITY_MATRIX = 765,
	GET_ENTITY_MODEL = 766,
	GET_OFFSET_FROM_ENTITY_GIVEN_WORLD_COORDS = 767,
	GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS = 768,
	GET_ENTITY_PITCH = 769,
	GET_ENTITY_QUATERNION = 770,
	GET_ENTITY_ROLL = 771,
	GET_ENTITY_ROTATION = 772,
	GET_ENTITY_ROTATION_VELOCITY = 773,
	GET_ENTITY_SCRIPT = 774,
	GET_ENTITY_SPEED = 775,
	GET_ENTITY_SPEED_VECTOR = 776,
	GET_ENTITY_UPRIGHT_VALUE = 777,
	GET_ENTITY_VELOCITY = 778,
	GET_OBJECT_INDEX_FROM_ENTITY_INDEX = 779,
	GET_PED_INDEX_FROM_ENTITY_INDEX = 780,
	GET_VEHICLE_INDEX_FROM_ENTITY_INDEX = 781,
	GET_WORLD_POSITION_OF_ENTITY_BONE = 782,
	GET_NEAREST_PLAYER_TO_ENTITY = 783,
	GET_NEAREST_PLAYER_TO_ENTITY_ON_TEAM = 784,
	GET_NEAREST_PARTICIPANT_TO_ENTITY = 785,
	GET_ENTITY_TYPE = 786,
	GET_ENTITY_POPULATION_TYPE = 787,
	IS_AN_ENTITY = 788,
	IS_ENTITY_A_PED = 789,
	IS_ENTITY_A_MISSION_ENTITY = 790,
	IS_ENTITY_A_VEHICLE = 791,
	IS_ENTITY_AN_OBJECT = 792,
	IS_ENTITY_AT_COORD = 793,
	IS_ENTITY_AT_ENTITY = 794,
	IS_ENTITY_ATTACHED = 795,
	IS_ENTITY_ATTACHED_TO_ANY_OBJECT = 796,
	IS_ENTITY_ATTACHED_TO_ANY_PED = 797,
	IS_ENTITY_ATTACHED_TO_ANY_VEHICLE = 798,
	IS_ENTITY_ATTACHED_TO_ENTITY = 799,
	IS_ENTITY_DEAD = 800,
	IS_ENTITY_IN_AIR = 801,
	IS_ENTITY_IN_ANGLED_AREA = 802,
	IS_ENTITY_IN_AREA = 803,
	IS_ENTITY_IN_ZONE = 804,
	IS_ENTITY_IN_WATER = 805,
	GET_ENTITY_SUBMERGED_LEVEL = 806,
	SET_ENTITY_REQUIRES_MORE_EXPENSIVE_RIVER_CHECK = 807,
	IS_ENTITY_ON_SCREEN = 808,
	IS_ENTITY_PLAYING_ANIM = 809,
	IS_ENTITY_STATIC = 810,
	IS_ENTITY_TOUCHING_ENTITY = 811,
	IS_ENTITY_TOUCHING_MODEL = 812,
	IS_ENTITY_UPRIGHT = 813,
	IS_ENTITY_UPSIDEDOWN = 814,
	IS_ENTITY_VISIBLE = 815,
	IS_ENTITY_VISIBLE_TO_SCRIPT = 816,
	IS_ENTITY_OCCLUDED = 817,
	WOULD_ENTITY_BE_OCCLUDED = 818,
	IS_ENTITY_WAITING_FOR_WORLD_COLLISION = 819,
	APPLY_FORCE_TO_ENTITY_CENTER_OF_MASS = 820,
	APPLY_FORCE_TO_ENTITY = 821,
	ATTACH_ENTITY_TO_ENTITY = 822,
	ATTACH_ENTITY_BONE_TO_ENTITY_BONE = 823,
	ATTACH_ENTITY_BONE_TO_ENTITY_BONE_Y_FORWARD = 824,
	ATTACH_ENTITY_TO_ENTITY_PHYSICALLY = 825,
	ATTACH_ENTITY_TO_ENTITY_PHYSICALLY_OVERRIDE_INVERSE_MASS = 826,
	PROCESS_ENTITY_ATTACHMENTS = 827,
	GET_ENTITY_BONE_INDEX_BY_NAME = 828,
	CLEAR_ENTITY_LAST_DAMAGE_ENTITY = 829,
	DELETE_ENTITY = 830,
	DETACH_ENTITY = 831,
	FREEZE_ENTITY_POSITION = 832,
	SET_ENTITY_SHOULD_FREEZE_WAITING_ON_COLLISION = 833,
	PLAY_ENTITY_ANIM = 834,
	PLAY_SYNCHRONIZED_ENTITY_ANIM = 835,
	PLAY_SYNCHRONIZED_MAP_ENTITY_ANIM = 836,
	STOP_SYNCHRONIZED_MAP_ENTITY_ANIM = 837,
	STOP_ENTITY_ANIM = 838,
	STOP_SYNCHRONIZED_ENTITY_ANIM = 839,
	HAS_ANIM_EVENT_FIRED = 840,
	FIND_ANIM_EVENT_PHASE = 841,
	SET_ENTITY_ANIM_CURRENT_TIME = 842,
	SET_ENTITY_ANIM_SPEED = 843,
	SET_ENTITY_AS_MISSION_ENTITY = 844,
	SET_ENTITY_AS_NO_LONGER_NEEDED = 845,
	SET_PED_AS_NO_LONGER_NEEDED = 846,
	SET_VEHICLE_AS_NO_LONGER_NEEDED = 847,
	SET_OBJECT_AS_NO_LONGER_NEEDED = 848,
	SET_ENTITY_CAN_BE_DAMAGED = 849,
	GET_ENTITY_CAN_BE_DAMAGED = 850,
	SET_ENTITY_CAN_BE_DAMAGED_BY_RELATIONSHIP_GROUP = 851,
	SET_ENTITY_CAN_ONLY_BE_DAMAGED_BY_SCRIPT_PARTICIPANTS = 852,
	SET_ENTITY_CAN_BE_TARGETED_WITHOUT_LOS = 853,
	SET_ENTITY_COLLISION = 854,
	GET_ENTITY_COLLISION_DISABLED = 855,
	SET_ENTITY_COMPLETELY_DISABLE_COLLISION = 856,
	SET_ENTITY_COORDS = 857,
	SET_ENTITY_COORDS_WITHOUT_PLANTS_RESET = 858,
	SET_ENTITY_COORDS_NO_OFFSET = 859,
	SET_ENTITY_DYNAMIC = 860,
	SET_ENTITY_HEADING = 861,
	SET_ENTITY_HEALTH = 862,
	SET_ENTITY_INVINCIBLE = 863,
	SET_ENTITY_IS_TARGET_PRIORITY = 864,
	SET_ENTITY_LIGHTS = 865,
	SET_ENTITY_LOAD_COLLISION_FLAG = 866,
	HAS_COLLISION_LOADED_AROUND_ENTITY = 867,
	SET_ENTITY_MAX_SPEED = 868,
	SET_ENTITY_ONLY_DAMAGED_BY_PLAYER = 869,
	SET_ENTITY_ONLY_DAMAGED_BY_RELATIONSHIP_GROUP = 870,
	SET_ENTITY_PROOFS = 871,
	GET_ENTITY_PROOFS = 872,
	SET_ENTITY_QUATERNION = 873,
	SET_ENTITY_RECORDS_COLLISIONS = 874,
	SET_ENTITY_ROTATION = 875,
	SET_ENTITY_VISIBLE = 876,
	SET_ENTITY_WATER_REFLECTION_FLAG = 877,
	SET_ENTITY_MIRROR_REFLECTION_FLAG = 878,
	SET_ENTITY_VELOCITY = 879,
	SET_ENTITY_ANGULAR_VELOCITY = 880,
	SET_ENTITY_HAS_GRAVITY = 881,
	SET_ENTITY_LOD_DIST = 882,
	GET_ENTITY_LOD_DIST = 883,
	SET_ENTITY_ALPHA = 884,
	GET_ENTITY_ALPHA = 885,
	RESET_ENTITY_ALPHA = 886,
	RESET_PICKUP_ENTITY_GLOW = 887,
	SET_PICKUP_COLLIDES_WITH_PROJECTILES = 888,
	SET_ENTITY_SORT_BIAS = 889,
	SET_ENTITY_ALWAYS_PRERENDER = 890,
	SET_ENTITY_RENDER_SCORCHED = 891,
	SET_ENTITY_TRAFFICLIGHT_OVERRIDE = 892,
	SET_ENTITY_IS_IN_VEHICLE = 893,
	CREATE_MODEL_SWAP = 894,
	REMOVE_MODEL_SWAP = 895,
	CREATE_MODEL_HIDE = 896,
	CREATE_MODEL_HIDE_EXCLUDING_SCRIPT_OBJECTS = 897,
	REMOVE_MODEL_HIDE = 898,
	CREATE_FORCED_OBJECT = 899,
	REMOVE_FORCED_OBJECT = 900,
	SET_ENTITY_NO_COLLISION_ENTITY = 901,
	SET_ENTITY_MOTION_BLUR = 902,
	SET_CAN_AUTO_VAULT_ON_ENTITY = 903,
	SET_CAN_CLIMB_ON_ENTITY = 904,
	SET_WAIT_FOR_COLLISIONS_BEFORE_PROBE = 905,
	SET_ENTITY_NOWEAPONDECALS = 906,
	SET_ENTITY_USE_MAX_DISTANCE_FOR_WATER_REFLECTION = 907,
	GET_ENTITY_BONE_ROTATION = 908,
	GET_ENTITY_BONE_POSTION = 909,
	GET_ENTITY_BONE_OBJECT_ROTATION = 910,
	GET_ENTITY_BONE_OBJECT_POSTION = 911,
	GET_ENTITY_BONE_COUNT = 912,
	ENABLE_ENTITY_BULLET_COLLISION = 913,
	SET_ENTITY_CAN_ONLY_BE_DAMAGED_BY_ENTITY = 914,
	SET_ENTITY_CANT_CAUSE_COLLISION_DAMAGED_ENTITY = 915,
	SET_ALLOW_MIGRATE_TO_SPECTATOR = 916,
	GET_ENTITY_OF_TYPE_ATTACHED_TO_ENTITY = 917,
	SET_PICK_UP_BY_CARGOBOB_DISABLED = 918,
	SET_DECISION_MAKER = 919,
	CLEAR_DECISION_MAKER_EVENT_RESPONSE = 920,
	BLOCK_DECISION_MAKER_EVENT = 921,
	UNBLOCK_DECISION_MAKER_EVENT = 922,
	ADD_SHOCKING_EVENT_AT_POSITION = 923,
	ADD_SHOCKING_EVENT_FOR_ENTITY = 924,
	IS_SHOCKING_EVENT_IN_SPHERE = 925,
	REMOVE_SHOCKING_EVENT = 926,
	REMOVE_ALL_SHOCKING_EVENTS = 927,
	REMOVE_SHOCKING_EVENT_SPAWN_BLOCKING_AREAS = 928,
	SUPPRESS_SHOCKING_EVENTS_NEXT_FRAME = 929,
	SUPPRESS_SHOCKING_EVENT_TYPE_NEXT_FRAME = 930,
	SUPPRESS_AGITATION_EVENTS_NEXT_FRAME = 931,
	GET_NUM_TATTOO_SHOP_DLC_ITEMS = 932,
	GET_TATTOO_SHOP_DLC_ITEM_DATA = 933,
	GET_TATTOO_SHOP_DLC_ITEM_INDEX = 934,
	INIT_SHOP_PED_COMPONENT = 935,
	INIT_SHOP_PED_PROP = 936,
	SETUP_SHOP_PED_APPAREL_QUERY = 937,
	SETUP_SHOP_PED_APPAREL_QUERY_TU = 938,
	GET_SHOP_PED_QUERY_COMPONENT = 939,
	GET_SHOP_PED_QUERY_COMPONENT_INDEX = 940,
	GET_SHOP_PED_COMPONENT = 941,
	GET_SHOP_PED_QUERY_PROP = 942,
	GET_SHOP_PED_QUERY_PROP_INDEX = 943,
	GET_SHOP_PED_PROP = 944,
	GET_HASH_NAME_FOR_COMPONENT = 945,
	GET_HASH_NAME_FOR_PROP = 946,
	GET_SHOP_PED_APPAREL_VARIANT_COMPONENT_COUNT = 947,
	GET_SHOP_PED_APPAREL_VARIANT_PROP_COUNT = 948,
	GET_VARIANT_COMPONENT = 949,
	GET_VARIANT_PROP = 950,
	GET_SHOP_PED_APPAREL_FORCED_COMPONENT_COUNT = 951,
	GET_SHOP_PED_APPAREL_FORCED_PROP_COUNT = 952,
	GET_FORCED_COMPONENT = 953,
	GET_FORCED_PROP = 954,
	DOES_SHOP_PED_APPAREL_HAVE_RESTRICTION_TAG = 955,
	DOES_CURRENT_PED_COMPONENT_HAVE_RESTRICTION_TAG = 956,
	DOES_CURRENT_PED_PROP_HAVE_RESTRICTION_TAG = 957,
	SETUP_SHOP_PED_OUTFIT_QUERY = 958,
	GET_SHOP_PED_QUERY_OUTFIT = 959,
	GET_SHOP_PED_OUTFIT = 960,
	GET_SHOP_PED_OUTFIT_LOCATE = 961,
	GET_SHOP_PED_OUTFIT_PROP_VARIANT = 962,
	GET_SHOP_PED_OUTFIT_COMPONENT_VARIANT = 963,
	GET_NUM_DLC_VEHICLES = 964,
	GET_DLC_VEHICLE_MODEL = 965,
	GET_DLC_VEHICLE_DATA = 966,
	GET_DLC_VEHICLE_FLAGS = 967,
	GET_NUM_DLC_WEAPONS = 968,
	GET_NUM_DLC_WEAPONS_SP = 969,
	GET_DLC_WEAPON_DATA = 970,
	GET_DLC_WEAPON_DATA_SP = 971,
	GET_NUM_DLC_WEAPON_COMPONENTS = 972,
	GET_NUM_DLC_WEAPON_COMPONENTS_SP = 973,
	GET_DLC_WEAPON_COMPONENT_DATA = 974,
	GET_DLC_WEAPON_COMPONENT_DATA_SP = 975,
	IS_CONTENT_ITEM_LOCKED = 976,
	IS_DLC_VEHICLE_MOD = 977,
	GET_DLC_VEHICLE_MOD_LOCK_HASH = 978,
	EXECUTE_CONTENT_CHANGESET_GROUP_FOR_ALL = 979,
	REVERT_CONTENT_CHANGESET_GROUP_FOR_ALL = 980,
	START_SCRIPT_FIRE = 981,
	REMOVE_SCRIPT_FIRE = 982,
	START_ENTITY_FIRE = 983,
	STOP_ENTITY_FIRE = 984,
	IS_ENTITY_ON_FIRE = 985,
	GET_NUMBER_OF_FIRES_IN_RANGE = 986,
	SET_FLAMMABILITY_MULTIPLIER = 987,
	STOP_FIRE_IN_RANGE = 988,
	GET_CLOSEST_FIRE_POS = 989,
	ADD_EXPLOSION = 990,
	ADD_OWNED_EXPLOSION = 991,
	ADD_EXPLOSION_WITH_USER_VFX = 992,
	IS_EXPLOSION_IN_AREA = 993,
	IS_EXPLOSION_ACTIVE_IN_AREA = 994,
	IS_EXPLOSION_IN_SPHERE = 995,
	GET_OWNER_OF_EXPLOSION_IN_SPHERE = 996,
	IS_EXPLOSION_IN_ANGLED_AREA = 997,
	GET_OWNER_OF_EXPLOSION_IN_ANGLED_AREA = 998,
	SET_DEBUG_LINES_AND_SPHERES_DRAWING_ACTIVE = 999,
	DRAW_DEBUG_LINE = 1000,
	DRAW_DEBUG_LINE_WITH_TWO_COLOURS = 1001,
	DRAW_DEBUG_SPHERE = 1002,
	DRAW_DEBUG_BOX = 1003,
	DRAW_DEBUG_CROSS = 1004,
	DRAW_DEBUG_TEXT = 1005,
	DRAW_DEBUG_TEXT_2D = 1006,
	DRAW_LINE = 1007,
	DRAW_POLY = 1008,
	DRAW_TEXTURED_POLY = 1009,
	DRAW_TEXTURED_POLY_WITH_THREE_COLOURS = 1010,
	DRAW_BOX = 1011,
	SET_BACKFACECULLING = 1012,
	SET_DEPTHWRITING = 1013,
	BEGIN_TAKE_MISSION_CREATOR_PHOTO = 1014,
	GET_STATUS_OF_TAKE_MISSION_CREATOR_PHOTO = 1015,
	FREE_MEMORY_FOR_MISSION_CREATOR_PHOTO = 1016,
	LOAD_MISSION_CREATOR_PHOTO = 1017,
	GET_STATUS_OF_LOAD_MISSION_CREATOR_PHOTO = 1018,
	BEGIN_CREATE_MISSION_CREATOR_PHOTO_PREVIEW = 1019,
	GET_STATUS_OF_CREATE_MISSION_CREATOR_PHOTO_PREVIEW = 1020,
	FREE_MEMORY_FOR_MISSION_CREATOR_PHOTO_PREVIEW = 1021,
	BEGIN_TAKE_HIGH_QUALITY_PHOTO = 1022,
	GET_STATUS_OF_TAKE_HIGH_QUALITY_PHOTO = 1023,
	FREE_MEMORY_FOR_HIGH_QUALITY_PHOTO = 1024,
	SET_TAKEN_PHOTO_IS_MUGSHOT = 1025,
	SET_ARENA_THEME_AND_VARIATION_FOR_TAKEN_PHOTO = 1026,
	SET_ON_ISLAND_X_FOR_TAKEN_PHOTO = 1027,
	SAVE_HIGH_QUALITY_PHOTO = 1028,
	GET_STATUS_OF_SAVE_HIGH_QUALITY_PHOTO = 1029,
	BEGIN_CREATE_LOW_QUALITY_COPY_OF_PHOTO = 1030,
	GET_STATUS_OF_CREATE_LOW_QUALITY_COPY_OF_PHOTO = 1031,
	FREE_MEMORY_FOR_LOW_QUALITY_PHOTO = 1032,
	DRAW_LOW_QUALITY_PHOTO_TO_PHONE = 1033,
	GET_MAXIMUM_NUMBER_OF_PHOTOS = 1034,
	GET_MAXIMUM_NUMBER_OF_CLOUD_PHOTOS = 1035,
	GET_CURRENT_NUMBER_OF_CLOUD_PHOTOS = 1036,
	QUEUE_OPERATION_TO_CREATE_SORTED_LIST_OF_PHOTOS = 1037,
	GET_STATUS_OF_SORTED_LIST_OPERATION = 1038,
	CLEAR_STATUS_OF_SORTED_LIST_OPERATION = 1039,
	DOES_THIS_PHOTO_SLOT_CONTAIN_A_VALID_PHOTO = 1040,
	LOAD_HIGH_QUALITY_PHOTO = 1041,
	GET_LOAD_HIGH_QUALITY_PHOTO_STATUS = 1042,
	DRAW_LIGHT_WITH_RANGEEX = 1043,
	DRAW_LIGHT_WITH_RANGE = 1044,
	DRAW_SPOT_LIGHT = 1045,
	DRAW_SHADOWED_SPOT_LIGHT = 1046,
	FADE_UP_PED_LIGHT = 1047,
	UPDATE_LIGHTS_ON_ENTITY = 1048,
	SET_LIGHT_OVERRIDE_MAX_INTENSITY_SCALE = 1049,
	GET_LIGHT_OVERRIDE_MAX_INTENSITY_SCALE = 1050,
	DRAW_MARKER = 1051,
	DRAW_MARKER_EX = 1052,
	DRAW_MARKER_SPHERE = 1053,
	CREATE_CHECKPOINT = 1054,
	SET_CHECKPOINT_INSIDE_CYLINDER_HEIGHT_SCALE = 1055,
	SET_CHECKPOINT_INSIDE_CYLINDER_SCALE = 1056,
	SET_CHECKPOINT_CYLINDER_HEIGHT = 1057,
	SET_CHECKPOINT_RGBA = 1058,
	SET_CHECKPOINT_RGBA2 = 1059,
	SET_CHECKPOINT_CLIPPLANE_WITH_POS_NORM = 1060,
	SET_CHECKPOINT_FORCE_OLD_ARROW_POINTING = 1061,
	SET_CHECKPOINT_DECAL_ROT_ALIGNED_TO_CAMERA_ROT = 1062,
	SET_CHECKPOINT_FORCE_DIRECTION = 1063,
	SET_CHECKPOINT_DIRECTION = 1064,
	DELETE_CHECKPOINT = 1065,
	DONT_RENDER_IN_GAME_UI = 1066,
	FORCE_RENDER_IN_GAME_UI = 1067,
	REQUEST_STREAMED_TEXTURE_DICT = 1068,
	HAS_STREAMED_TEXTURE_DICT_LOADED = 1069,
	SET_STREAMED_TEXTURE_DICT_AS_NO_LONGER_NEEDED = 1070,
	DRAW_RECT = 1071,
	SET_SCRIPT_GFX_DRAW_BEHIND_PAUSEMENU = 1072,
	SET_SCRIPT_GFX_DRAW_ORDER = 1073,
	SET_SCRIPT_GFX_ALIGN = 1074,
	RESET_SCRIPT_GFX_ALIGN = 1075,
	SET_SCRIPT_GFX_ALIGN_PARAMS = 1076,
	GET_SCRIPT_GFX_ALIGN_POSITION = 1077,
	GET_SAFE_ZONE_SIZE = 1078,
	DRAW_SPRITE = 1079,
	DRAW_SPRITE_ARX = 1080,
	DRAW_SPRITE_NAMED_RENDERTARGET = 1081,
	DRAW_SPRITE_ARX_WITH_UV = 1082,
	ADD_ENTITY_ICON = 1083,
	SET_ENTITY_ICON_VISIBILITY = 1084,
	SET_ENTITY_ICON_COLOR = 1085,
	SET_DRAW_ORIGIN = 1086,
	CLEAR_DRAW_ORIGIN = 1087,
	SET_BINK_MOVIE = 1088,
	PLAY_BINK_MOVIE = 1089,
	STOP_BINK_MOVIE = 1090,
	RELEASE_BINK_MOVIE = 1091,
	DRAW_BINK_MOVIE = 1092,
	SET_BINK_MOVIE_TIME = 1093,
	GET_BINK_MOVIE_TIME = 1094,
	SET_BINK_MOVIE_VOLUME = 1095,
	ATTACH_TV_AUDIO_TO_ENTITY = 1096,
	SET_BINK_MOVIE_AUDIO_FRONTEND = 1097,
	SET_TV_AUDIO_FRONTEND = 1098,
	SET_BINK_SHOULD_SKIP = 1099,
	LOAD_MOVIE_MESH_SET = 1100,
	RELEASE_MOVIE_MESH_SET = 1101,
	QUERY_MOVIE_MESH_SET_STATE = 1102,
	GET_SCREEN_RESOLUTION = 1103,
	GET_ACTUAL_SCREEN_RESOLUTION = 1104,
	GET_ASPECT_RATIO = 1105,
	GET_SCREEN_ASPECT_RATIO = 1106,
	GET_IS_WIDESCREEN = 1107,
	GET_IS_HIDEF = 1108,
	ADJUST_NEXT_POS_SIZE_AS_NORMALIZED_16_9 = 1109,
	SET_NIGHTVISION = 1110,
	GET_REQUESTINGNIGHTVISION = 1111,
	GET_USINGNIGHTVISION = 1112,
	SET_EXPOSURETWEAK = 1113,
	FORCE_EXPOSURE_READBACK = 1114,
	OVERRIDE_NIGHTVISION_LIGHT_RANGE = 1115,
	SET_NOISEOVERIDE = 1116,
	SET_NOISINESSOVERIDE = 1117,
	GET_SCREEN_COORD_FROM_WORLD_COORD = 1118,
	GET_TEXTURE_RESOLUTION = 1119,
	OVERRIDE_PED_CREW_LOGO_TEXTURE = 1120,
	SET_DISTANCE_BLUR_STRENGTH_OVERRIDE = 1121,
	SET_FLASH = 1122,
	DISABLE_OCCLUSION_THIS_FRAME = 1123,
	SET_ARTIFICIAL_LIGHTS_STATE = 1124,
	SET_ARTIFICIAL_VEHICLE_LIGHTS_STATE = 1125,
	DISABLE_HDTEX_THIS_FRAME = 1126,
	CREATE_TRACKED_POINT = 1127,
	SET_TRACKED_POINT_INFO = 1128,
	IS_TRACKED_POINT_VISIBLE = 1129,
	DESTROY_TRACKED_POINT = 1130,
	SET_GRASS_CULL_SPHERE = 1131,
	REMOVE_GRASS_CULL_SPHERE = 1132,
	PROCGRASS_ENABLE_CULLSPHERE = 1133,
	PROCGRASS_DISABLE_CULLSPHERE = 1134,
	PROCGRASS_IS_CULLSPHERE_ENABLED = 1135,
	PROCGRASS_ENABLE_AMBSCALESCAN = 1136,
	PROCGRASS_DISABLE_AMBSCALESCAN = 1137,
	DISABLE_PROCOBJ_CREATION = 1138,
	ENABLE_PROCOBJ_CREATION = 1139,
	GRASSBATCH_ENABLE_FLATTENING_EXT_IN_SPHERE = 1140,
	GRASSBATCH_ENABLE_FLATTENING_IN_SPHERE = 1141,
	GRASSBATCH_DISABLE_FLATTENING = 1142,
	CASCADE_SHADOWS_INIT_SESSION = 1143,
	CASCADE_SHADOWS_SET_CASCADE_BOUNDS = 1144,
	CASCADE_SHADOWS_SET_CASCADE_BOUNDS_SCALE = 1145,
	CASCADE_SHADOWS_SET_ENTITY_TRACKER_SCALE = 1146,
	CASCADE_SHADOWS_SET_SPLIT_Z_EXP_WEIGHT = 1147,
	CASCADE_SHADOWS_SET_BOUND_POSITION = 1148,
	CASCADE_SHADOWS_ENABLE_ENTITY_TRACKER = 1149,
	CASCADE_SHADOWS_SET_SCREEN_SIZE_CHECK_ENABLED = 1150,
	CASCADE_SHADOWS_SET_SHADOW_SAMPLE_TYPE = 1151,
	CASCADE_SHADOWS_CLEAR_SHADOW_SAMPLE_TYPE = 1152,
	CASCADE_SHADOWS_SET_AIRCRAFT_MODE = 1153,
	CASCADE_SHADOWS_SET_DYNAMIC_DEPTH_MODE = 1154,
	CASCADE_SHADOWS_SET_DYNAMIC_DEPTH_VALUE = 1155,
	CASCADE_SHADOWS_ENABLE_FREEZER = 1156,
	WATER_REFLECTION_SET_SCRIPT_OBJECT_VISIBILITY = 1157,
	GOLF_TRAIL_SET_ENABLED = 1158,
	GOLF_TRAIL_SET_PATH = 1159,
	GOLF_TRAIL_SET_RADIUS = 1160,
	GOLF_TRAIL_SET_COLOUR = 1161,
	GOLF_TRAIL_SET_TESSELLATION = 1162,
	GOLF_TRAIL_SET_FIXED_CONTROL_POINT_ENABLE = 1163,
	GOLF_TRAIL_SET_FIXED_CONTROL_POINT = 1164,
	GOLF_TRAIL_SET_SHADER_PARAMS = 1165,
	GOLF_TRAIL_SET_FACING = 1166,
	GOLF_TRAIL_GET_MAX_HEIGHT = 1167,
	GOLF_TRAIL_GET_VISUAL_CONTROL_POINT = 1168,
	SET_SEETHROUGH = 1169,
	GET_USINGSEETHROUGH = 1170,
	SEETHROUGH_RESET = 1171,
	SEETHROUGH_SET_FADE_STARTDISTANCE = 1172,
	SEETHROUGH_SET_FADE_ENDDISTANCE = 1173,
	SEETHROUGH_GET_MAX_THICKNESS = 1174,
	SEETHROUGH_SET_MAX_THICKNESS = 1175,
	SEETHROUGH_SET_NOISE_MIN = 1176,
	SEETHROUGH_SET_NOISE_MAX = 1177,
	SEETHROUGH_SET_HILIGHT_INTENSITY = 1178,
	SEETHROUGH_SET_HIGHLIGHT_NOISE = 1179,
	SEETHROUGH_SET_HEATSCALE = 1180,
	SEETHROUGH_SET_COLOR_NEAR = 1181,
	SET_MOTIONBLUR_MAX_VEL_SCALER = 1182,
	GET_MOTIONBLUR_MAX_VEL_SCALER = 1183,
	SET_FORCE_MOTIONBLUR = 1184,
	TOGGLE_PLAYER_DAMAGE_OVERLAY = 1185,
	RESET_ADAPTATION = 1186,
	TRIGGER_SCREENBLUR_FADE_IN = 1187,
	TRIGGER_SCREENBLUR_FADE_OUT = 1188,
	DISABLE_SCREENBLUR_FADE = 1189,
	GET_SCREENBLUR_FADE_CURRENT_TIME = 1190,
	IS_SCREENBLUR_FADE_RUNNING = 1191,
	TOGGLE_PAUSED_RENDERPHASES = 1192,
	GET_TOGGLE_PAUSED_RENDERPHASES_STATUS = 1193,
	RESET_PAUSED_RENDERPHASES = 1194,
	GRAB_PAUSEMENU_OWNERSHIP = 1195,
	SET_HIDOF_OVERRIDE = 1196,
	SET_LOCK_ADAPTIVE_DOF_DISTANCE = 1197,
	PHONEPHOTOEDITOR_TOGGLE = 1198,
	PHONEPHOTOEDITOR_IS_ACTIVE = 1199,
	PHONEPHOTOEDITOR_SET_FRAME_TXD = 1200,
	START_PARTICLE_FX_NON_LOOPED_AT_COORD = 1201,
	START_NETWORKED_PARTICLE_FX_NON_LOOPED_AT_COORD = 1202,
	START_PARTICLE_FX_NON_LOOPED_ON_PED_BONE = 1203,
	START_NETWORKED_PARTICLE_FX_NON_LOOPED_ON_PED_BONE = 1204,
	START_PARTICLE_FX_NON_LOOPED_ON_ENTITY = 1205,
	START_NETWORKED_PARTICLE_FX_NON_LOOPED_ON_ENTITY = 1206,
	START_PARTICLE_FX_NON_LOOPED_ON_ENTITY_BONE = 1207,
	SET_PARTICLE_FX_NON_LOOPED_COLOUR = 1208,
	SET_PARTICLE_FX_NON_LOOPED_ALPHA = 1209,
	SET_PARTICLE_FX_NON_LOOPED_SCALE = 1210,
	SET_PARTICLE_FX_NON_LOOPED_EMITTER_SIZE = 1211,
	SET_PARTICLE_FX_FORCE_VEHICLE_INTERIOR = 1212,
	START_PARTICLE_FX_LOOPED_AT_COORD = 1213,
	START_PARTICLE_FX_LOOPED_ON_PED_BONE = 1214,
	START_PARTICLE_FX_LOOPED_ON_ENTITY = 1215,
	START_PARTICLE_FX_LOOPED_ON_ENTITY_BONE = 1216,
	START_NETWORKED_PARTICLE_FX_LOOPED_ON_ENTITY = 1217,
	START_NETWORKED_PARTICLE_FX_LOOPED_ON_ENTITY_BONE = 1218,
	STOP_PARTICLE_FX_LOOPED = 1219,
	REMOVE_PARTICLE_FX = 1220,
	REMOVE_PARTICLE_FX_FROM_ENTITY = 1221,
	REMOVE_PARTICLE_FX_IN_RANGE = 1222,
	FORCE_PARTICLE_FX_IN_VEHICLE_INTERIOR = 1223,
	DOES_PARTICLE_FX_LOOPED_EXIST = 1224,
	SET_PARTICLE_FX_LOOPED_OFFSETS = 1225,
	SET_PARTICLE_FX_LOOPED_EVOLUTION = 1226,
	SET_PARTICLE_FX_LOOPED_COLOUR = 1227,
	SET_PARTICLE_FX_LOOPED_ALPHA = 1228,
	SET_PARTICLE_FX_LOOPED_SCALE = 1229,
	SET_PARTICLE_FX_LOOPED_FAR_CLIP_DIST = 1230,
	_SET_PARTICLE_FX_LOOPED_CAMERA_BIAS = 1231,
	SET_PARTICLE_FX_CAM_INSIDE_VEHICLE = 1232,
	SET_PARTICLE_FX_CAM_INSIDE_NONPLAYER_VEHICLE = 1233,
	SET_PARTICLE_FX_SHOOTOUT_BOAT = 1234,
	CLEAR_PARTICLE_FX_SHOOTOUT_BOAT = 1235,
	SET_PARTICLE_FX_BLOOD_SCALE = 1236,
	DISABLE_IN_WATER_PTFX = 1237,
	DISABLE_DOWNWASH_PTFX = 1238,
	SET_PARTICLE_FX_SLIPSTREAM_LODRANGE_SCALE = 1239,
	ENABLE_CLOWN_BLOOD_VFX = 1240,
	ENABLE_ALIEN_BLOOD_VFX = 1241,
	SET_PARTICLE_FX_BULLET_IMPACT_SCALE = 1242,
	SET_PARTICLE_FX_BULLET_IMPACT_LODRANGE_SCALE = 1243,
	SET_PARTICLE_FX_BULLET_TRACE_NO_ANGLE_REJECT = 1244,
	SET_PARTICLE_FX_BANG_SCRAPE_LODRANGE_SCALE = 1245,
	SET_PARTICLE_FX_FOOT_LODRANGE_SCALE = 1246,
	SET_PARTICLE_FX_FOOT_OVERRIDE_NAME = 1247,
	SET_SKIDMARK_RANGE_SCALE = 1248,
	SET_PTFX_FORCE_VEHICLE_INTERIOR_FLAG = 1249,
	REGISTER_POSTFX_BULLET_IMPACT = 1250,
	FORCE_POSTFX_BULLET_IMPACTS_AFTER_HUD = 1251,
	USE_PARTICLE_FX_ASSET = 1252,
	SET_PARTICLE_FX_OVERRIDE = 1253,
	RESET_PARTICLE_FX_OVERRIDE = 1254,
	_START_VEHICLE_PARTICLE_FX_LOOPED = 1255,
	SET_WEATHER_PTFX_USE_OVERRIDE_SETTINGS = 1256,
	SET_WEATHER_PTFX_OVERRIDE_CURR_LEVEL = 1257,
	WASH_DECALS_IN_RANGE = 1258,
	WASH_DECALS_FROM_VEHICLE = 1259,
	FADE_DECALS_IN_RANGE = 1260,
	REMOVE_DECALS_IN_RANGE = 1261,
	REMOVE_DECALS_FROM_OBJECT = 1262,
	REMOVE_DECALS_FROM_OBJECT_FACING = 1263,
	REMOVE_DECALS_FROM_VEHICLE = 1264,
	ADD_DECAL = 1265,
	ADD_PETROL_DECAL = 1266,
	ADD_OIL_DECAL = 1267,
	START_PETROL_TRAIL_DECALS = 1268,
	ADD_PETROL_TRAIL_DECAL_INFO = 1269,
	END_PETROL_TRAIL_DECALS = 1270,
	REMOVE_DECAL = 1271,
	IS_DECAL_ALIVE = 1272,
	GET_DECAL_WASH_LEVEL = 1273,
	SET_DISABLE_PETROL_DECALS_IGNITING_THIS_FRAME = 1274,
	SET_DISABLE_PETROL_DECALS_RECYCLING_THIS_FRAME = 1275,
	SET_DISABLE_DECAL_RENDERING_THIS_FRAME = 1276,
	GET_IS_PETROL_DECAL_IN_RANGE = 1277,
	PATCH_DECAL_DIFFUSE_MAP = 1278,
	UNPATCH_DECAL_DIFFUSE_MAP = 1279,
	MOVE_VEHICLE_DECALS = 1280,
	ADD_VEHICLE_CREW_EMBLEM = 1281,
	ABORT_VEHICLE_CREW_EMBLEM_REQUEST = 1282,
	REMOVE_VEHICLE_CREW_EMBLEM = 1283,
	GET_VEHICLE_CREW_EMBLEM_REQUEST_STATE = 1284,
	DOES_VEHICLE_HAVE_CREW_EMBLEM = 1285,
	DISABLE_COMPOSITE_SHOTGUN_DECALS = 1286,
	DISABLE_SCUFF_DECALS = 1287,
	SET_DECAL_BULLET_IMPACT_RANGE_SCALE = 1288,
	OVERRIDE_INTERIOR_SMOKE_NAME = 1289,
	OVERRIDE_INTERIOR_SMOKE_LEVEL = 1290,
	OVERRIDE_INTERIOR_SMOKE_END = 1291,
	REGISTER_NOIR_LENS_EFFECT = 1292,
	DISABLE_VEHICLE_DISTANTLIGHTS = 1293,
	RENDER_SHADOWED_LIGHTS_WITH_NO_SHADOWS = 1294,
	REQUEST_EARLY_LIGHT_CHECK = 1295,
	USE_SNOW_FOOT_VFX_WHEN_UNSHELTERED = 1296,
	_FORCE_ALLOW_SNOW_FOOT_VFX_ON_ICE = 1297,
	USE_SNOW_WHEEL_VFX_WHEN_UNSHELTERED = 1298,
	DISABLE_REGION_VFX = 1299,
	_FORCE_GROUND_SNOW_PASS = 1300,
	PRESET_INTERIOR_AMBIENT_CACHE = 1301,
	SET_TIMECYCLE_MODIFIER = 1302,
	SET_TIMECYCLE_MODIFIER_STRENGTH = 1303,
	SET_TRANSITION_TIMECYCLE_MODIFIER = 1304,
	SET_TRANSITION_OUT_OF_TIMECYCLE_MODIFIER = 1305,
	CLEAR_TIMECYCLE_MODIFIER = 1306,
	GET_TIMECYCLE_MODIFIER_INDEX = 1307,
	GET_TIMECYCLE_TRANSITION_MODIFIER_INDEX = 1308,
	GET_IS_TIMECYCLE_TRANSITIONING_OUT = 1309,
	PUSH_TIMECYCLE_MODIFIER = 1310,
	POP_TIMECYCLE_MODIFIER = 1311,
	SET_CURRENT_PLAYER_TCMODIFIER = 1312,
	SET_PLAYER_TCMODIFIER_TRANSITION = 1313,
	SET_NEXT_PLAYER_TCMODIFIER = 1314,
	ADD_TCMODIFIER_OVERRIDE = 1315,
	CLEAR_ALL_TCMODIFIER_OVERRIDES = 1316,
	SET_EXTRA_TCMODIFIER = 1317,
	CLEAR_EXTRA_TCMODIFIER = 1318,
	GET_EXTRA_TCMODIFIER = 1319,
	ENABLE_MOON_CYCLE_OVERRIDE = 1320,
	DISABLE_MOON_CYCLE_OVERRIDE = 1321,
	REQUEST_SCALEFORM_MOVIE = 1322,
	REQUEST_SCALEFORM_MOVIE_WITH_IGNORE_SUPER_WIDESCREEN = 1323,
	REQUEST_SCALEFORM_MOVIE_INSTANCE = 1324,
	REQUEST_SCALEFORM_MOVIE_SKIP_RENDER_WHILE_PAUSED = 1325,
	HAS_SCALEFORM_MOVIE_LOADED = 1326,
	IS_ACTIVE_SCALEFORM_MOVIE_DELETING = 1327,
	IS_SCALEFORM_MOVIE_DELETING = 1328,
	HAS_SCALEFORM_MOVIE_FILENAME_LOADED = 1329,
	HAS_SCALEFORM_CONTAINER_MOVIE_LOADED_INTO_PARENT = 1330,
	SET_SCALEFORM_MOVIE_AS_NO_LONGER_NEEDED = 1331,
	SET_SCALEFORM_MOVIE_TO_USE_SYSTEM_TIME = 1332,
	SET_SCALEFORM_MOVIE_TO_USE_LARGE_RT = 1333,
	SET_SCALEFORM_MOVIE_TO_USE_SUPER_LARGE_RT = 1334,
	DRAW_SCALEFORM_MOVIE = 1335,
	DRAW_SCALEFORM_MOVIE_FULLSCREEN = 1336,
	DRAW_SCALEFORM_MOVIE_FULLSCREEN_MASKED = 1337,
	DRAW_SCALEFORM_MOVIE_3D = 1338,
	DRAW_SCALEFORM_MOVIE_3D_SOLID = 1339,
	CALL_SCALEFORM_MOVIE_METHOD = 1340,
	CALL_SCALEFORM_MOVIE_METHOD_WITH_NUMBER = 1341,
	CALL_SCALEFORM_MOVIE_METHOD_WITH_STRING = 1342,
	CALL_SCALEFORM_MOVIE_METHOD_WITH_NUMBER_AND_STRING = 1343,
	BEGIN_SCALEFORM_SCRIPT_HUD_MOVIE_METHOD = 1344,
	BEGIN_SCALEFORM_MOVIE_METHOD = 1345,
	BEGIN_SCALEFORM_MOVIE_METHOD_ON_FRONTEND = 1346,
	BEGIN_SCALEFORM_MOVIE_METHOD_ON_FRONTEND_HEADER = 1347,
	END_SCALEFORM_MOVIE_METHOD = 1348,
	END_SCALEFORM_MOVIE_METHOD_RETURN_VALUE = 1349,
	IS_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_READY = 1350,
	GET_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_INT = 1351,
	GET_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_BOOL = 1352,
	GET_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_STRING = 1353,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_INT = 1354,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_FLOAT = 1355,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_BOOL = 1356,
	BEGIN_TEXT_COMMAND_SCALEFORM_STRING = 1357,
	END_TEXT_COMMAND_SCALEFORM_STRING = 1358,
	END_TEXT_COMMAND_UNPARSED_SCALEFORM_STRING = 1359,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_LITERAL_STRING = 1360,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_TEXTURE_NAME_STRING = 1361,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_PLAYER_NAME_STRING = 1362,
	DOES_LATEST_BRIEF_STRING_EXIST = 1363,
	SCALEFORM_MOVIE_METHOD_ADD_PARAM_LATEST_BRIEF_STRING = 1364,
	REQUEST_SCALEFORM_SCRIPT_HUD_MOVIE = 1365,
	HAS_SCALEFORM_SCRIPT_HUD_MOVIE_LOADED = 1366,
	REMOVE_SCALEFORM_SCRIPT_HUD_MOVIE = 1367,
	PASS_KEYBOARD_INPUT_TO_SCALEFORM = 1368,
	SET_TV_CHANNEL = 1369,
	GET_TV_CHANNEL = 1370,
	SET_TV_VOLUME = 1371,
	GET_TV_VOLUME = 1372,
	DRAW_TV_CHANNEL = 1373,
	SET_TV_CHANNEL_PLAYLIST = 1374,
	SET_TV_CHANNEL_PLAYLIST_AT_HOUR = 1375,
	_SET_TV_CHANNEL_PLAYLIST_DIRTY = 1376,
	CLEAR_TV_CHANNEL_PLAYLIST = 1377,
	IS_PLAYLIST_ON_CHANNEL = 1378,
	IS_TVSHOW_CURRENTLY_PLAYING = 1379,
	ENABLE_MOVIE_KEYFRAME_WAIT = 1380,
	SET_TV_PLAYER_WATCHING_THIS_FRAME = 1381,
	GET_CURRENT_TV_CLIP_NAMEHASH = 1382,
	ENABLE_MOVIE_SUBTITLES = 1383,
	UI3DSCENE_IS_AVAILABLE = 1384,
	UI3DSCENE_PUSH_PRESET = 1385,
	UI3DSCENE_ASSIGN_PED_TO_SLOT = 1386,
	UI3DSCENE_CLEAR_PATCHED_DATA = 1387,
	UI3DSCENE_MAKE_PUSHED_PRESET_PERSISTENT = 1388,
	TERRAINGRID_ACTIVATE = 1389,
	TERRAINGRID_SET_PARAMS = 1390,
	TERRAINGRID_SET_COLOURS = 1391,
	ANIMPOSTFX_PLAY = 1392,
	ANIMPOSTFX_STOP = 1393,
	ANIMPOSTFX_GET_CURRENT_TIME = 1394,
	ANIMPOSTFX_IS_RUNNING = 1395,
	ANIMPOSTFX_STOP_ALL = 1396,
	ANIMPOSTFX_STOP_AND_FLUSH_REQUESTS = 1397,
	BEGIN_TEXT_COMMAND_BUSYSPINNER_ON = 1398,
	END_TEXT_COMMAND_BUSYSPINNER_ON = 1399,
	BUSYSPINNER_OFF = 1400,
	PRELOAD_BUSYSPINNER = 1401,
	BUSYSPINNER_IS_ON = 1402,
	BUSYSPINNER_IS_DISPLAYING = 1403,
	DISABLE_PAUSEMENU_SPINNER = 1404,
	SET_MOUSE_CURSOR_THIS_FRAME = 1405,
	SET_MOUSE_CURSOR_STYLE = 1406,
	SET_MOUSE_CURSOR_VISIBLE = 1407,
	IS_MOUSE_ROLLED_OVER_INSTRUCTIONAL_BUTTONS = 1408,
	GET_MOUSE_EVENT = 1409,
	THEFEED_ONLY_SHOW_TOOLTIPS = 1410,
	THEFEED_SET_SCRIPTED_MENU_HEIGHT = 1411,
	THEFEED_HIDE = 1412,
	THEFEED_HIDE_THIS_FRAME = 1413,
	THEFEED_SHOW = 1414,
	THEFEED_FLUSH_QUEUE = 1415,
	THEFEED_REMOVE_ITEM = 1416,
	THEFEED_FORCE_RENDER_ON = 1417,
	THEFEED_FORCE_RENDER_OFF = 1418,
	THEFEED_PAUSE = 1419,
	THEFEED_RESUME = 1420,
	THEFEED_IS_PAUSED = 1421,
	THEFEED_REPORT_LOGO_ON = 1422,
	THEFEED_REPORT_LOGO_OFF = 1423,
	THEFEED_GET_LAST_SHOWN_PHONE_ACTIVATABLE_FEED_ID = 1424,
	THEFEED_AUTO_POST_GAMETIPS_ON = 1425,
	THEFEED_AUTO_POST_GAMETIPS_OFF = 1426,
	THEFEED_SET_BACKGROUND_COLOR_FOR_NEXT_POST = 1427,
	THEFEED_SET_RGBA_PARAMETER_FOR_NEXT_MESSAGE = 1428,
	THEFEED_SET_FLASH_DURATION_PARAMETER_FOR_NEXT_MESSAGE = 1429,
	THEFEED_SET_VIBRATE_PARAMETER_FOR_NEXT_MESSAGE = 1430,
	THEFEED_RESET_ALL_PARAMETERS = 1431,
	THEFEED_FREEZE_NEXT_POST = 1432,
	THEFEED_CLEAR_FROZEN_POST = 1433,
	THEFEED_SET_SNAP_FEED_ITEM_POSITIONS = 1434,
	THEFEED_UPDATE_ITEM_TEXTURE = 1435,
	BEGIN_TEXT_COMMAND_THEFEED_POST = 1436,
	END_TEXT_COMMAND_THEFEED_POST_STATS = 1437,
	END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT = 1438,
	END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_SUBTITLE_LABEL = 1439,
	END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_TU = 1440,
	END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_WITH_CREW_TAG = 1441,
	END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_WITH_CREW_TAG_AND_ADDITIONAL_ICON = 1442,
	END_TEXT_COMMAND_THEFEED_POST_TICKER = 1443,
	END_TEXT_COMMAND_THEFEED_POST_TICKER_FORCED = 1444,
	END_TEXT_COMMAND_THEFEED_POST_TICKER_WITH_TOKENS = 1445,
	END_TEXT_COMMAND_THEFEED_POST_AWARD = 1446,
	END_TEXT_COMMAND_THEFEED_POST_CREWTAG = 1447,
	END_TEXT_COMMAND_THEFEED_POST_CREWTAG_WITH_GAME_NAME = 1448,
	END_TEXT_COMMAND_THEFEED_POST_UNLOCK = 1449,
	END_TEXT_COMMAND_THEFEED_POST_UNLOCK_TU = 1450,
	END_TEXT_COMMAND_THEFEED_POST_UNLOCK_TU_WITH_COLOR = 1451,
	END_TEXT_COMMAND_THEFEED_POST_MPTICKER = 1452,
	END_TEXT_COMMAND_THEFEED_POST_CREW_RANKUP_WITH_LITERAL_FLAG = 1453,
	END_TEXT_COMMAND_THEFEED_POST_VERSUS_TU = 1454,
	END_TEXT_COMMAND_THEFEED_POST_REPLAY = 1455,
	END_TEXT_COMMAND_THEFEED_POST_REPLAY_INPUT = 1456,
	BEGIN_TEXT_COMMAND_PRINT = 1457,
	END_TEXT_COMMAND_PRINT = 1458,
	BEGIN_TEXT_COMMAND_IS_MESSAGE_DISPLAYED = 1459,
	END_TEXT_COMMAND_IS_MESSAGE_DISPLAYED = 1460,
	BEGIN_TEXT_COMMAND_DISPLAY_TEXT = 1461,
	END_TEXT_COMMAND_DISPLAY_TEXT = 1462,
	BEGIN_TEXT_COMMAND_GET_SCREEN_WIDTH_OF_DISPLAY_TEXT = 1463,
	END_TEXT_COMMAND_GET_SCREEN_WIDTH_OF_DISPLAY_TEXT = 1464,
	BEGIN_TEXT_COMMAND_GET_NUMBER_OF_LINES_FOR_STRING = 1465,
	END_TEXT_COMMAND_GET_NUMBER_OF_LINES_FOR_STRING = 1466,
	BEGIN_TEXT_COMMAND_DISPLAY_HELP = 1467,
	END_TEXT_COMMAND_DISPLAY_HELP = 1468,
	BEGIN_TEXT_COMMAND_IS_THIS_HELP_MESSAGE_BEING_DISPLAYED = 1469,
	END_TEXT_COMMAND_IS_THIS_HELP_MESSAGE_BEING_DISPLAYED = 1470,
	BEGIN_TEXT_COMMAND_SET_BLIP_NAME = 1471,
	END_TEXT_COMMAND_SET_BLIP_NAME = 1472,
	BEGIN_TEXT_COMMAND_ADD_DIRECTLY_TO_PREVIOUS_BRIEFS = 1473,
	END_TEXT_COMMAND_ADD_DIRECTLY_TO_PREVIOUS_BRIEFS = 1474,
	BEGIN_TEXT_COMMAND_CLEAR_PRINT = 1475,
	END_TEXT_COMMAND_CLEAR_PRINT = 1476,
	BEGIN_TEXT_COMMAND_OVERRIDE_BUTTON_TEXT = 1477,
	END_TEXT_COMMAND_OVERRIDE_BUTTON_TEXT = 1478,
	ADD_TEXT_COMPONENT_INTEGER = 1479,
	ADD_TEXT_COMPONENT_FLOAT = 1480,
	ADD_TEXT_COMPONENT_SUBSTRING_TEXT_LABEL = 1481,
	ADD_TEXT_COMPONENT_SUBSTRING_TEXT_LABEL_HASH_KEY = 1482,
	ADD_TEXT_COMPONENT_SUBSTRING_BLIP_NAME = 1483,
	ADD_TEXT_COMPONENT_SUBSTRING_PLAYER_NAME = 1484,
	ADD_TEXT_COMPONENT_SUBSTRING_TIME = 1485,
	ADD_TEXT_COMPONENT_FORMATTED_INTEGER = 1486,
	ADD_TEXT_COMPONENT_SUBSTRING_PHONE_NUMBER = 1487,
	ADD_TEXT_COMPONENT_SUBSTRING_WEBSITE = 1488,
	ADD_TEXT_COMPONENT_SUBSTRING_KEYBOARD_DISPLAY = 1489,
	SET_COLOUR_OF_NEXT_TEXT_COMPONENT = 1490,
	GET_CHARACTER_FROM_AUDIO_CONVERSATION_FILENAME = 1491,
	GET_CHARACTER_FROM_AUDIO_CONVERSATION_FILENAME_WITH_BYTE_LIMIT = 1492,
	GET_CHARACTER_FROM_AUDIO_CONVERSATION_FILENAME_BYTES = 1493,
	GET_FILENAME_FOR_AUDIO_CONVERSATION = 1494,
	CLEAR_PRINTS = 1495,
	CLEAR_BRIEF = 1496,
	CLEAR_ALL_HELP_MESSAGES = 1497,
	CLEAR_THIS_PRINT = 1498,
	CLEAR_SMALL_PRINTS = 1499,
	DOES_TEXT_BLOCK_EXIST = 1500,
	REQUEST_ADDITIONAL_TEXT = 1501,
	REQUEST_ADDITIONAL_TEXT_FOR_DLC = 1502,
	HAS_ADDITIONAL_TEXT_LOADED = 1503,
	CLEAR_ADDITIONAL_TEXT = 1504,
	IS_STREAMING_ADDITIONAL_TEXT = 1505,
	HAS_THIS_ADDITIONAL_TEXT_LOADED = 1506,
	IS_MESSAGE_BEING_DISPLAYED = 1507,
	DOES_TEXT_LABEL_EXIST = 1508,
	GET_FIRST_N_CHARACTERS_OF_LITERAL_STRING = 1509,
	GET_LENGTH_OF_STRING_WITH_THIS_TEXT_LABEL = 1510,
	GET_LENGTH_OF_LITERAL_STRING = 1511,
	GET_LENGTH_OF_LITERAL_STRING_IN_BYTES = 1512,
	GET_STREET_NAME_FROM_HASH_KEY = 1513,
	IS_HUD_PREFERENCE_SWITCHED_ON = 1514,
	IS_RADAR_PREFERENCE_SWITCHED_ON = 1515,
	IS_SUBTITLE_PREFERENCE_SWITCHED_ON = 1516,
	DISPLAY_HUD = 1517,
	DISPLAY_HUD_WHEN_NOT_IN_STATE_OF_PLAY_THIS_FRAME = 1518,
	DISPLAY_HUD_WHEN_PAUSED_THIS_FRAME = 1519,
	DISPLAY_RADAR = 1520,
	SET_FAKE_SPECTATOR_MODE = 1521,
	GET_FAKE_SPECTATOR_MODE = 1522,
	IS_HUD_HIDDEN = 1523,
	IS_RADAR_HIDDEN = 1524,
	IS_MINIMAP_RENDERING = 1525,
	USE_VEHICLE_TARGETING_RETICULE = 1526,
	_USE_VEHICLE_TARGETING_RETICULE_ON_VEHICLES = 1527,
	ADD_VALID_VEHICLE_HIT_HASH = 1528,
	CLEAR_VALID_VEHICLE_HIT_HASHES = 1529,
	SET_BLIP_ROUTE = 1530,
	CLEAR_ALL_BLIP_ROUTES = 1531,
	SET_BLIP_ROUTE_COLOUR = 1532,
	SET_FORCE_SHOW_GPS = 1533,
	SET_USE_SET_DESTINATION_IN_PAUSE_MAP = 1534,
	SET_BLOCK_WANTED_FLASH = 1535,
	ADD_NEXT_MESSAGE_TO_PREVIOUS_BRIEFS = 1536,
	FORCE_NEXT_MESSAGE_TO_PREVIOUS_BRIEFS_LIST = 1537,
	SET_RADAR_ZOOM_PRECISE = 1538,
	SET_RADAR_ZOOM = 1539,
	SET_RADAR_ZOOM_TO_BLIP = 1540,
	SET_RADAR_ZOOM_TO_DISTANCE = 1541,
	UPDATE_RADAR_ZOOM_TO_BLIP = 1542,
	GET_HUD_COLOUR = 1543,
	SET_SCRIPT_VARIABLE_HUD_COLOUR = 1544,
	SET_SECOND_SCRIPT_VARIABLE_HUD_COLOUR = 1545,
	REPLACE_HUD_COLOUR = 1546,
	REPLACE_HUD_COLOUR_WITH_RGBA = 1547,
	SET_ABILITY_BAR_VISIBILITY = 1548,
	SET_ALLOW_ABILITY_BAR = 1549,
	FLASH_ABILITY_BAR = 1550,
	SET_ABILITY_BAR_VALUE = 1551,
	FLASH_WANTED_DISPLAY = 1552,
	FORCE_OFF_WANTED_STAR_FLASH = 1553,
	SET_CUSTOM_MP_HUD_COLOR = 1554,
	GET_RENDERED_CHARACTER_HEIGHT = 1555,
	SET_TEXT_SCALE = 1556,
	SET_TEXT_COLOUR = 1557,
	SET_TEXT_CENTRE = 1558,
	SET_TEXT_RIGHT_JUSTIFY = 1559,
	SET_TEXT_JUSTIFICATION = 1560,
	SET_TEXT_LINE_HEIGHT_MULT = 1561,
	SET_TEXT_WRAP = 1562,
	SET_TEXT_LEADING = 1563,
	SET_TEXT_PROPORTIONAL = 1564,
	SET_TEXT_FONT = 1565,
	SET_TEXT_DROP_SHADOW = 1566,
	SET_TEXT_DROPSHADOW = 1567,
	SET_TEXT_OUTLINE = 1568,
	SET_TEXT_EDGE = 1569,
	SET_TEXT_RENDER_ID = 1570,
	GET_DEFAULT_SCRIPT_RENDERTARGET_RENDER_ID = 1571,
	REGISTER_NAMED_RENDERTARGET = 1572,
	IS_NAMED_RENDERTARGET_REGISTERED = 1573,
	RELEASE_NAMED_RENDERTARGET = 1574,
	LINK_NAMED_RENDERTARGET = 1575,
	GET_NAMED_RENDERTARGET_RENDER_ID = 1576,
	IS_NAMED_RENDERTARGET_LINKED = 1577,
	CLEAR_HELP = 1578,
	IS_HELP_MESSAGE_ON_SCREEN = 1579,
	HAS_SCRIPT_HIDDEN_HELP_THIS_FRAME = 1580,
	IS_HELP_MESSAGE_BEING_DISPLAYED = 1581,
	IS_HELP_MESSAGE_FADING_OUT = 1582,
	SET_HELP_MESSAGE_STYLE = 1583,
	GET_STANDARD_BLIP_ENUM_ID = 1584,
	GET_WAYPOINT_BLIP_ENUM_ID = 1585,
	GET_NUMBER_OF_ACTIVE_BLIPS = 1586,
	GET_NEXT_BLIP_INFO_ID = 1587,
	GET_FIRST_BLIP_INFO_ID = 1588,
	GET_CLOSEST_BLIP_INFO_ID = 1589,
	GET_BLIP_INFO_ID_COORD = 1590,
	GET_BLIP_INFO_ID_DISPLAY = 1591,
	GET_BLIP_INFO_ID_TYPE = 1592,
	GET_BLIP_INFO_ID_ENTITY_INDEX = 1593,
	GET_BLIP_INFO_ID_PICKUP_INDEX = 1594,
	GET_BLIP_FROM_ENTITY = 1595,
	ADD_BLIP_FOR_RADIUS = 1596,
	ADD_BLIP_FOR_AREA = 1597,
	ADD_BLIP_FOR_ENTITY = 1598,
	ADD_BLIP_FOR_PICKUP = 1599,
	ADD_BLIP_FOR_COORD = 1600,
	TRIGGER_SONAR_BLIP = 1601,
	ALLOW_SONAR_BLIPS = 1602,
	SET_BLIP_COORDS = 1603,
	GET_BLIP_COORDS = 1604,
	SET_BLIP_SPRITE = 1605,
	GET_BLIP_SPRITE = 1606,
	SET_COP_BLIP_SPRITE = 1607,
	SET_COP_BLIP_SPRITE_AS_STANDARD = 1608,
	SET_BLIP_NAME_FROM_TEXT_FILE = 1609,
	SET_BLIP_NAME_TO_PLAYER_NAME = 1610,
	SET_BLIP_ALPHA = 1611,
	GET_BLIP_ALPHA = 1612,
	SET_BLIP_FADE = 1613,
	GET_BLIP_FADE_DIRECTION = 1614,
	SET_BLIP_ROTATION = 1615,
	SET_BLIP_ROTATION_WITH_FLOAT = 1616,
	GET_BLIP_ROTATION = 1617,
	SET_BLIP_FLASH_TIMER = 1618,
	SET_BLIP_FLASH_INTERVAL = 1619,
	SET_BLIP_COLOUR = 1620,
	SET_BLIP_SECONDARY_COLOUR = 1621,
	GET_BLIP_COLOUR = 1622,
	GET_BLIP_HUD_COLOUR = 1623,
	IS_BLIP_SHORT_RANGE = 1624,
	IS_BLIP_ON_MINIMAP = 1625,
	DOES_BLIP_HAVE_GPS_ROUTE = 1626,
	SET_BLIP_HIDDEN_ON_LEGEND = 1627,
	SET_BLIP_HIGH_DETAIL = 1628,
	SET_BLIP_AS_MISSION_CREATOR_BLIP = 1629,
	IS_MISSION_CREATOR_BLIP = 1630,
	GET_NEW_SELECTED_MISSION_CREATOR_BLIP = 1631,
	IS_HOVERING_OVER_MISSION_CREATOR_BLIP = 1632,
	SHOW_START_MISSION_INSTRUCTIONAL_BUTTON = 1633,
	SHOW_CONTACT_INSTRUCTIONAL_BUTTON = 1634,
	RELOAD_MAP_MENU = 1635,
	SET_BLIP_MARKER_LONG_DISTANCE = 1636,
	SET_BLIP_FLASHES = 1637,
	SET_BLIP_FLASHES_ALTERNATE = 1638,
	IS_BLIP_FLASHING = 1639,
	SET_BLIP_AS_SHORT_RANGE = 1640,
	SET_BLIP_SCALE = 1641,
	SET_BLIP_SCALE_2D = 1642,
	SET_BLIP_PRIORITY = 1643,
	SET_BLIP_DISPLAY = 1644,
	SET_BLIP_CATEGORY = 1645,
	REMOVE_BLIP = 1646,
	SET_BLIP_AS_FRIENDLY = 1647,
	PULSE_BLIP = 1648,
	SHOW_NUMBER_ON_BLIP = 1649,
	HIDE_NUMBER_ON_BLIP = 1650,
	SHOW_HEIGHT_ON_BLIP = 1651,
	SHOW_TICK_ON_BLIP = 1652,
	SHOW_GOLD_TICK_ON_BLIP = 1653,
	SHOW_FOR_SALE_ICON_ON_BLIP = 1654,
	SHOW_HEADING_INDICATOR_ON_BLIP = 1655,
	SHOW_OUTLINE_INDICATOR_ON_BLIP = 1656,
	SHOW_FRIEND_INDICATOR_ON_BLIP = 1657,
	SHOW_CREW_INDICATOR_ON_BLIP = 1658,
	SET_BLIP_EXTENDED_HEIGHT_THRESHOLD = 1659,
	SET_BLIP_SHORT_HEIGHT_THRESHOLD = 1660,
	SET_BLIP_USE_HEIGHT_INDICATOR_ON_EDGE = 1661,
	SET_BLIP_AS_MINIMAL_ON_EDGE = 1662,
	SET_RADIUS_BLIP_EDGE = 1663,
	DOES_BLIP_EXIST = 1664,
	SET_WAYPOINT_OFF = 1665,
	DELETE_WAYPOINTS_FROM_THIS_PLAYER = 1666,
	REFRESH_WAYPOINT = 1667,
	IS_WAYPOINT_ACTIVE = 1668,
	SET_NEW_WAYPOINT = 1669,
	SET_BLIP_BRIGHT = 1670,
	SET_BLIP_SHOW_CONE = 1671,
	REMOVE_COP_BLIP_FROM_PED = 1672,
	SETUP_FAKE_CONE_DATA = 1673,
	REMOVE_FAKE_CONE_DATA = 1674,
	CLEAR_FAKE_CONE_ARRAY = 1675,
	_SET_BLIP_GPS_ROUTE_DISPLAY_DISTANCE = 1676,
	SET_MINIMAP_COMPONENT = 1677,
	SET_MINIMAP_SONAR_SWEEP = 1678,
	SHOW_ACCOUNT_PICKER = 1679,
	GET_MAIN_PLAYER_BLIP_ID = 1680,
	SET_PM_WARNINGSCREEN_ACTIVE = 1681,
	HIDE_LOADING_ON_FADE_THIS_FRAME = 1682,
	SET_RADAR_AS_INTERIOR_THIS_FRAME = 1683,
	SET_INSIDE_VERY_SMALL_INTERIOR = 1684,
	SET_INSIDE_VERY_LARGE_INTERIOR = 1685,
	SET_RADAR_AS_EXTERIOR_THIS_FRAME = 1686,
	SET_FAKE_PAUSEMAP_PLAYER_POSITION_THIS_FRAME = 1687,
	SET_FAKE_GPS_PLAYER_POSITION_THIS_FRAME = 1688,
	IS_PAUSEMAP_IN_INTERIOR_MODE = 1689,
	HIDE_MINIMAP_EXTERIOR_MAP_THIS_FRAME = 1690,
	HIDE_MINIMAP_INTERIOR_MAP_THIS_FRAME = 1691,
	SET_USE_ISLAND_MAP = 1692,
	_SET_PAUSE_EXTERIOR_RENDERING_WHILE_IN_INTERIOR = 1693,
	DONT_TILT_MINIMAP_THIS_FRAME = 1694,
	DONT_ZOOM_MINIMAP_WHEN_RUNNING_THIS_FRAME = 1695,
	DONT_ZOOM_MINIMAP_WHEN_SNIPING_THIS_FRAME = 1696,
	SET_WIDESCREEN_FORMAT = 1697,
	DISPLAY_AREA_NAME = 1698,
	DISPLAY_CASH = 1699,
	USE_FAKE_MP_CASH = 1700,
	CHANGE_FAKE_MP_CASH = 1701,
	DISPLAY_AMMO_THIS_FRAME = 1702,
	DISPLAY_SNIPER_SCOPE_THIS_FRAME = 1703,
	HIDE_HUD_AND_RADAR_THIS_FRAME = 1704,
	ALLOW_DISPLAY_OF_MULTIPLAYER_CASH_TEXT = 1705,
	SET_MULTIPLAYER_WALLET_CASH = 1706,
	REMOVE_MULTIPLAYER_WALLET_CASH = 1707,
	SET_MULTIPLAYER_BANK_CASH = 1708,
	REMOVE_MULTIPLAYER_BANK_CASH = 1709,
	SET_MULTIPLAYER_HUD_CASH = 1710,
	REMOVE_MULTIPLAYER_HUD_CASH = 1711,
	HIDE_HELP_TEXT_THIS_FRAME = 1712,
	IS_IME_IN_PROGRESS = 1713,
	DISPLAY_HELP_TEXT_THIS_FRAME = 1714,
	HUD_FORCE_WEAPON_WHEEL = 1715,
	HUD_FORCE_SPECIAL_VEHICLE_WEAPON_WHEEL = 1716,
	HUD_SUPPRESS_WEAPON_WHEEL_RESULTS_THIS_FRAME = 1717,
	HUD_GET_WEAPON_WHEEL_CURRENTLY_HIGHLIGHTED = 1718,
	HUD_SET_WEAPON_WHEEL_TOP_SLOT = 1719,
	HUD_GET_WEAPON_WHEEL_TOP_SLOT = 1720,
	HUD_SHOWING_CHARACTER_SWITCH_SELECTION = 1721,
	SET_GPS_FLAGS = 1722,
	CLEAR_GPS_FLAGS = 1723,
	SET_RACE_TRACK_RENDER = 1724,
	CLEAR_GPS_RACE_TRACK = 1725,
	START_GPS_CUSTOM_ROUTE = 1726,
	ADD_POINT_TO_GPS_CUSTOM_ROUTE = 1727,
	SET_GPS_CUSTOM_ROUTE_RENDER = 1728,
	CLEAR_GPS_CUSTOM_ROUTE = 1729,
	START_GPS_MULTI_ROUTE = 1730,
	ADD_POINT_TO_GPS_MULTI_ROUTE = 1731,
	SET_GPS_MULTI_ROUTE_RENDER = 1732,
	CLEAR_GPS_MULTI_ROUTE = 1733,
	CLEAR_GPS_PLAYER_WAYPOINT = 1734,
	SET_GPS_FLASHES = 1735,
	SET_PLAYER_ICON_COLOUR = 1736,
	FLASH_MINIMAP_DISPLAY = 1737,
	FLASH_MINIMAP_DISPLAY_WITH_COLOR = 1738,
	TOGGLE_STEALTH_RADAR = 1739,
	SET_MINIMAP_IN_SPECTATOR_MODE = 1740,
	SET_MISSION_NAME = 1741,
	SET_MISSION_NAME_FOR_UGC_MISSION = 1742,
	SET_DESCRIPTION_FOR_UGC_MISSION_EIGHT_STRINGS = 1743,
	SET_MINIMAP_BLOCK_WAYPOINT = 1744,
	SET_MINIMAP_IN_PROLOGUE = 1745,
	SET_MINIMAP_BACKGROUND_HIDDEN = 1746,
	SET_MINIMAP_HIDE_FOW = 1747,
	GET_MINIMAP_FOW_DISCOVERY_RATIO = 1748,
	GET_MINIMAP_FOW_COORDINATE_IS_REVEALED = 1749,
	SET_MINIMAP_FOW_DO_NOT_UPDATE = 1750,
	SET_MINIMAP_FOW_REVEAL_COORDINATE = 1751,
	SET_MINIMAP_GOLF_COURSE = 1752,
	SET_MINIMAP_GOLF_COURSE_OFF = 1753,
	LOCK_MINIMAP_ANGLE = 1754,
	UNLOCK_MINIMAP_ANGLE = 1755,
	LOCK_MINIMAP_POSITION = 1756,
	UNLOCK_MINIMAP_POSITION = 1757,
	SET_FAKE_MINIMAP_MAX_ALTIMETER_HEIGHT = 1758,
	SET_HEALTH_HUD_DISPLAY_VALUES = 1759,
	SET_MAX_HEALTH_HUD_DISPLAY = 1760,
	SET_MAX_ARMOUR_HUD_DISPLAY = 1761,
	SET_BIGMAP_ACTIVE = 1762,
	IS_HUD_COMPONENT_ACTIVE = 1763,
	IS_SCRIPTED_HUD_COMPONENT_ACTIVE = 1764,
	HIDE_SCRIPTED_HUD_COMPONENT_THIS_FRAME = 1765,
	SHOW_SCRIPTED_HUD_COMPONENT_THIS_FRAME = 1766,
	IS_SCRIPTED_HUD_COMPONENT_HIDDEN_THIS_FRAME = 1767,
	HIDE_HUD_COMPONENT_THIS_FRAME = 1768,
	SHOW_HUD_COMPONENT_THIS_FRAME = 1769,
	HIDE_STREET_AND_CAR_NAMES_THIS_FRAME = 1770,
	RESET_RETICULE_VALUES = 1771,
	RESET_HUD_COMPONENT_VALUES = 1772,
	SET_HUD_COMPONENT_POSITION = 1773,
	GET_HUD_COMPONENT_POSITION = 1774,
	CLEAR_REMINDER_MESSAGE = 1775,
	GET_HUD_SCREEN_POSITION_FROM_WORLD_POSITION = 1776,
	OPEN_REPORTUGC_MENU = 1777,
	FORCE_CLOSE_REPORTUGC_MENU = 1778,
	IS_REPORTUGC_MENU_OPEN = 1779,
	IS_FLOATING_HELP_TEXT_ON_SCREEN = 1780,
	SET_FLOATING_HELP_TEXT_SCREEN_POSITION = 1781,
	SET_FLOATING_HELP_TEXT_WORLD_POSITION = 1782,
	SET_FLOATING_HELP_TEXT_TO_ENTITY = 1783,
	SET_FLOATING_HELP_TEXT_STYLE = 1784,
	CLEAR_FLOATING_HELP = 1785,
	CREATE_MP_GAMER_TAG_WITH_CREW_COLOR = 1786,
	IS_MP_GAMER_TAG_MOVIE_ACTIVE = 1787,
	CREATE_FAKE_MP_GAMER_TAG = 1788,
	REMOVE_MP_GAMER_TAG = 1789,
	IS_MP_GAMER_TAG_ACTIVE = 1790,
	IS_MP_GAMER_TAG_FREE = 1791,
	SET_MP_GAMER_TAG_VISIBILITY = 1792,
	SET_ALL_MP_GAMER_TAGS_VISIBILITY = 1793,
	SET_MP_GAMER_TAGS_SHOULD_USE_VEHICLE_HEALTH = 1794,
	SET_MP_GAMER_TAGS_SHOULD_USE_POINTS_HEALTH = 1795,
	SET_MP_GAMER_TAGS_POINT_HEALTH = 1796,
	SET_MP_GAMER_TAG_COLOUR = 1797,
	SET_MP_GAMER_TAG_HEALTH_BAR_COLOUR = 1798,
	SET_MP_GAMER_TAG_ALPHA = 1799,
	SET_MP_GAMER_TAG_WANTED_LEVEL = 1800,
	SET_MP_GAMER_TAG_NUM_PACKAGES = 1801,
	SET_MP_GAMER_TAG_NAME = 1802,
	IS_UPDATING_MP_GAMER_TAG_NAME_AND_CREW_DETAILS = 1803,
	SET_MP_GAMER_TAG_BIG_TEXT = 1804,
	GET_CURRENT_WEBPAGE_ID = 1805,
	GET_CURRENT_WEBSITE_ID = 1806,
	GET_GLOBAL_ACTIONSCRIPT_FLAG = 1807,
	RESET_GLOBAL_ACTIONSCRIPT_FLAG = 1808,
	IS_WARNING_MESSAGE_READY_FOR_CONTROL = 1809,
	SET_WARNING_MESSAGE = 1810,
	SET_WARNING_MESSAGE_WITH_HEADER = 1811,
	SET_WARNING_MESSAGE_WITH_HEADER_AND_SUBSTRING_FLAGS = 1812,
	SET_WARNING_MESSAGE_WITH_HEADER_EXTENDED = 1813,
	SET_WARNING_MESSAGE_WITH_HEADER_AND_SUBSTRING_FLAGS_EXTENDED = 1814,
	GET_WARNING_SCREEN_MESSAGE_HASH = 1815,
	SET_WARNING_MESSAGE_OPTION_ITEMS = 1816,
	SET_WARNING_MESSAGE_OPTION_HIGHLIGHT = 1817,
	REMOVE_WARNING_MESSAGE_OPTION_ITEMS = 1818,
	IS_WARNING_MESSAGE_ACTIVE = 1819,
	CLEAR_DYNAMIC_PAUSE_MENU_ERROR_MESSAGE = 1820,
	CUSTOM_MINIMAP_SET_ACTIVE = 1821,
	CUSTOM_MINIMAP_SET_BLIP_OBJECT = 1822,
	CUSTOM_MINIMAP_CREATE_BLIP = 1823,
	CUSTOM_MINIMAP_CLEAR_BLIPS = 1824,
	FORCE_SONAR_BLIPS_THIS_FRAME = 1825,
	GET_NORTH_BLID_INDEX = 1826,
	DISPLAY_PLAYER_NAME_TAGS_ON_BLIPS = 1827,
	DRAW_FRONTEND_BACKGROUND_THIS_FRAME = 1828,
	DRAW_HUD_OVER_FADE_THIS_FRAME = 1829,
	ACTIVATE_FRONTEND_MENU = 1830,
	RESTART_FRONTEND_MENU = 1831,
	GET_CURRENT_FRONTEND_MENU_VERSION = 1832,
	SET_PAUSE_MENU_ACTIVE = 1833,
	DISABLE_FRONTEND_THIS_FRAME = 1834,
	SUPPRESS_FRONTEND_RENDERING_THIS_FRAME = 1835,
	ALLOW_PAUSE_WHEN_NOT_IN_STATE_OF_PLAY_THIS_FRAME = 1836,
	SET_FRONTEND_ACTIVE = 1837,
	IS_PAUSE_MENU_ACTIVE = 1838,
	IS_STORE_PENDING_NETWORK_SHUTDOWN_TO_OPEN = 1839,
	GET_PAUSE_MENU_STATE = 1840,
	GET_PAUSE_MENU_POSITION = 1841,
	IS_PAUSE_MENU_RESTARTING = 1842,
	FORCE_SCRIPTED_GFX_WHEN_FRONTEND_ACTIVE = 1843,
	PAUSE_MENUCEPTION_GO_DEEPER = 1844,
	PAUSE_MENUCEPTION_THE_KICK = 1845,
	PAUSE_TOGGLE_FULLSCREEN_MAP = 1846,
	PAUSE_MENU_ACTIVATE_CONTEXT = 1847,
	PAUSE_MENU_DEACTIVATE_CONTEXT = 1848,
	PAUSE_MENU_IS_CONTEXT_ACTIVE = 1849,
	PAUSE_MENU_IS_CONTEXT_MENU_ACTIVE = 1850,
	PAUSE_MENU_GET_HAIR_COLOUR_INDEX = 1851,
	PAUSE_MENU_GET_MOUSE_HOVER_INDEX = 1852,
	PAUSE_MENU_GET_MOUSE_HOVER_UNIQUE_ID = 1853,
	PAUSE_MENU_GET_MOUSE_CLICK_EVENT = 1854,
	PAUSE_MENU_REDRAW_INSTRUCTIONAL_BUTTONS = 1855,
	PAUSE_MENU_SET_BUSY_SPINNER = 1856,
	PAUSE_MENU_SET_WARN_ON_TAB_CHANGE = 1857,
	IS_FRONTEND_READY_FOR_CONTROL = 1858,
	TAKE_CONTROL_OF_FRONTEND = 1859,
	RELEASE_CONTROL_OF_FRONTEND = 1860,
	CODE_WANTS_SCRIPT_TO_TAKE_CONTROL = 1861,
	GET_SCREEN_CODE_WANTS_SCRIPT_TO_CONTROL = 1862,
	IS_NAVIGATING_MENU_CONTENT = 1863,
	HAS_MENU_TRIGGER_EVENT_OCCURRED = 1864,
	HAS_MENU_LAYOUT_CHANGED_EVENT_OCCURRED = 1865,
	SET_SAVEGAME_LIST_UNIQUE_ID = 1866,
	GET_MENU_TRIGGER_EVENT_DETAILS = 1867,
	GET_MENU_LAYOUT_CHANGED_EVENT_DETAILS = 1868,
	GET_PM_PLAYER_CREW_COLOR = 1869,
	GET_MENU_PED_INT_STAT = 1870,
	GET_CHARACTER_MENU_PED_INT_STAT = 1871,
	GET_MENU_PED_MASKED_INT_STAT = 1872,
	GET_CHARACTER_MENU_PED_MASKED_INT_STAT = 1873,
	GET_MENU_PED_FLOAT_STAT = 1874,
	GET_CHARACTER_MENU_PED_FLOAT_STAT = 1875,
	GET_MENU_PED_BOOL_STAT = 1876,
	CLEAR_PED_IN_PAUSE_MENU = 1877,
	GIVE_PED_TO_PAUSE_MENU = 1878,
	SET_PAUSE_MENU_PED_LIGHTING = 1879,
	SET_PAUSE_MENU_PED_SLEEP_STATE = 1880,
	OPEN_ONLINE_POLICIES_MENU = 1881,
	ARE_ONLINE_POLICIES_UP_TO_DATE = 1882,
	IS_ONLINE_POLICIES_MENU_ACTIVE = 1883,
	OPEN_SOCIAL_CLUB_MENU = 1884,
	CLOSE_SOCIAL_CLUB_MENU = 1885,
	SET_SOCIAL_CLUB_TOUR = 1886,
	IS_SOCIAL_CLUB_ACTIVE = 1887,
	SET_TEXT_INPUT_BOX_ENABLED = 1888,
	FORCE_CLOSE_TEXT_INPUT_BOX = 1889,
	SET_ALLOW_COMMA_ON_TEXT_INPUT = 1890,
	OVERRIDE_MP_TEXT_CHAT_TEAM_STRING = 1891,
	IS_MP_TEXT_CHAT_TYPING = 1892,
	CLOSE_MP_TEXT_CHAT = 1893,
	MP_TEXT_CHAT_IS_TEAM_JOB = 1894,
	OVERRIDE_MP_TEXT_CHAT_COLOR = 1895,
	MP_TEXT_CHAT_DISABLE = 1896,
	FLAG_PLAYER_CONTEXT_IN_TOURNAMENT = 1897,
	SET_PED_HAS_AI_BLIP = 1898,
	SET_PED_HAS_AI_BLIP_WITH_COLOUR = 1899,
	DOES_PED_HAVE_AI_BLIP = 1900,
	SET_PED_AI_BLIP_GANG_ID = 1901,
	SET_PED_AI_BLIP_HAS_CONE = 1902,
	SET_PED_AI_BLIP_FORCED_ON = 1903,
	SET_PED_AI_BLIP_NOTICE_RANGE = 1904,
	SET_PED_AI_BLIP_SPRITE = 1905,
	GET_AI_PED_PED_BLIP_INDEX = 1906,
	GET_AI_PED_VEHICLE_BLIP_INDEX = 1907,
	HAS_DIRECTOR_MODE_BEEN_LAUNCHED_BY_CODE = 1908,
	SET_DIRECTOR_MODE_LAUNCHED_BY_SCRIPT = 1909,
	SET_PLAYER_IS_IN_DIRECTOR_MODE = 1910,
	SET_DIRECTOR_MODE_AVAILABLE = 1911,
	HIDE_HUDMARKERS_THIS_FRAME = 1912,
	GET_INTERIOR_HEADING = 1913,
	GET_INTERIOR_LOCATION_AND_NAMEHASH = 1914,
	GET_INTERIOR_GROUP_ID = 1915,
	GET_OFFSET_FROM_INTERIOR_IN_WORLD_COORDS = 1916,
	IS_INTERIOR_SCENE = 1917,
	IS_VALID_INTERIOR = 1918,
	CLEAR_ROOM_FOR_ENTITY = 1919,
	FORCE_ROOM_FOR_ENTITY = 1920,
	GET_ROOM_KEY_FROM_ENTITY = 1921,
	GET_KEY_FOR_ENTITY_IN_ROOM = 1922,
	GET_INTERIOR_FROM_ENTITY = 1923,
	RETAIN_ENTITY_IN_INTERIOR = 1924,
	CLEAR_INTERIOR_STATE_OF_ENTITY = 1925,
	FORCE_ACTIVATING_TRACKING_ON_ENTITY = 1926,
	FORCE_ROOM_FOR_GAME_VIEWPORT = 1927,
	SET_ROOM_FOR_GAME_VIEWPORT_BY_NAME = 1928,
	SET_ROOM_FOR_GAME_VIEWPORT_BY_KEY = 1929,
	GET_ROOM_KEY_FOR_GAME_VIEWPORT = 1930,
	CLEAR_ROOM_FOR_GAME_VIEWPORT = 1931,
	GET_INTERIOR_FROM_PRIMARY_VIEW = 1932,
	GET_INTERIOR_AT_COORDS = 1933,
	ADD_PICKUP_TO_INTERIOR_ROOM_BY_NAME = 1934,
	PIN_INTERIOR_IN_MEMORY = 1935,
	UNPIN_INTERIOR = 1936,
	IS_INTERIOR_READY = 1937,
	SET_INTERIOR_IN_USE = 1938,
	GET_INTERIOR_AT_COORDS_WITH_TYPE = 1939,
	GET_INTERIOR_AT_COORDS_WITH_TYPEHASH = 1940,
	ACTIVATE_INTERIOR_GROUPS_USING_CAMERA = 1941,
	IS_COLLISION_MARKED_OUTSIDE = 1942,
	GET_INTERIOR_FROM_COLLISION = 1943,
	ENABLE_STADIUM_PROBES_THIS_FRAME = 1944,
	ACTIVATE_INTERIOR_ENTITY_SET = 1945,
	DEACTIVATE_INTERIOR_ENTITY_SET = 1946,
	IS_INTERIOR_ENTITY_SET_ACTIVE = 1947,
	SET_INTERIOR_ENTITY_SET_TINT_INDEX = 1948,
	REFRESH_INTERIOR = 1949,
	ENABLE_EXTERIOR_CULL_MODEL_THIS_FRAME = 1950,
	ENABLE_SHADOW_CULL_MODEL_THIS_FRAME = 1951,
	DISABLE_INTERIOR = 1952,
	IS_INTERIOR_DISABLED = 1953,
	CAP_INTERIOR = 1954,
	IS_INTERIOR_CAPPED = 1955,
	DISABLE_METRO_SYSTEM = 1956,
	SET_IS_EXTERIOR_ONLY = 1957,
	CREATE_ITEMSET = 1958,
	DESTROY_ITEMSET = 1959,
	IS_ITEMSET_VALID = 1960,
	ADD_TO_ITEMSET = 1961,
	REMOVE_FROM_ITEMSET = 1962,
	GET_ITEMSET_SIZE = 1963,
	GET_INDEXED_ITEM_IN_ITEMSET = 1964,
	IS_IN_ITEMSET = 1965,
	CLEAN_ITEMSET = 1966,
	LOBBY_AUTO_MULTIPLAYER_MENU = 1967,
	LOBBY_AUTO_MULTIPLAYER_FREEMODE = 1968,
	LOBBY_SET_AUTO_MULTIPLAYER = 1969,
	LOBBY_AUTO_MULTIPLAYER_EVENT = 1970,
	LOBBY_SET_AUTO_MULTIPLAYER_EVENT = 1971,
	LOBBY_AUTO_MULTIPLAYER_RANDOM_JOB = 1972,
	LOBBY_SET_AUTO_MP_RANDOM_JOB = 1973,
	SHUTDOWN_SESSION_CLEARS_AUTO_MULTIPLAYER = 1974,
	LOCALIZATION_GET_SYSTEM_LANGUAGE = 1975,
	GET_CURRENT_LANGUAGE = 1976,
	LOCALIZATION_GET_SYSTEM_DATE_TYPE = 1977,
	GET_ALLOCATED_STACK_SIZE = 1978,
	GET_NUMBER_OF_FREE_STACKS_OF_THIS_SIZE = 1979,
	SET_RANDOM_SEED = 1980,
	SET_TIME_SCALE = 1981,
	SET_MISSION_FLAG = 1982,
	GET_MISSION_FLAG = 1983,
	SET_RANDOM_EVENT_FLAG = 1984,
	GET_RANDOM_EVENT_FLAG = 1985,
	GET_CONTENT_TO_LOAD = 1986,
	ACTIVITY_FEED_CREATE = 1987,
	ACTIVITY_FEED_ADD_SUBSTRING_TO_CAPTION = 1988,
	ACTIVITY_FEED_ADD_LITERAL_SUBSTRING_TO_CAPTION = 1989,
	ACTIVITY_FEED_ADD_INT_TO_CAPTION = 1990,
	ACTIVITY_FEED_LARGE_IMAGE_URL = 1991,
	ACTIVITY_FEED_ACTION_START_WITH_COMMAND_LINE = 1992,
	ACTIVITY_FEED_ACTION_START_WITH_COMMAND_LINE_ADD = 1993,
	ACTIVITY_FEED_POST = 1994,
	ACTIVITY_FEED_ONLINE_PLAYED_WITH_POST = 1995,
	HAS_RESUMED_FROM_SUSPEND = 1996,
	SET_SCRIPT_HIGH_PRIO = 1997,
	SET_THIS_IS_A_TRIGGER_SCRIPT = 1998,
	INFORM_CODE_OF_CONTENT_ID_OF_CURRENT_UGC_MISSION = 1999,
	GET_BASE_ELEMENT_LOCATION_FROM_METADATA_BLOCK = 2000,
	GET_PREV_WEATHER_TYPE_HASH_NAME = 2001,
	GET_NEXT_WEATHER_TYPE_HASH_NAME = 2002,
	IS_PREV_WEATHER_TYPE = 2003,
	IS_NEXT_WEATHER_TYPE = 2004,
	SET_WEATHER_TYPE_PERSIST = 2005,
	SET_WEATHER_TYPE_NOW_PERSIST = 2006,
	SET_WEATHER_TYPE_NOW = 2007,
	SET_WEATHER_TYPE_OVERTIME_PERSIST = 2008,
	SET_RANDOM_WEATHER_TYPE = 2009,
	CLEAR_WEATHER_TYPE_PERSIST = 2010,
	CLEAR_WEATHER_TYPE_NOW_PERSIST_NETWORK = 2011,
	GET_CURR_WEATHER_STATE = 2012,
	SET_CURR_WEATHER_STATE = 2013,
	SET_OVERRIDE_WEATHER = 2014,
	SET_OVERRIDE_WEATHEREX = 2015,
	CLEAR_OVERRIDE_WEATHER = 2016,
	WATER_OVERRIDE_SET_SHOREWAVEAMPLITUDE = 2017,
	WATER_OVERRIDE_SET_SHOREWAVEMINAMPLITUDE = 2018,
	WATER_OVERRIDE_SET_SHOREWAVEMAXAMPLITUDE = 2019,
	WATER_OVERRIDE_SET_OCEANNOISEMINAMPLITUDE = 2020,
	WATER_OVERRIDE_SET_OCEANWAVEAMPLITUDE = 2021,
	WATER_OVERRIDE_SET_OCEANWAVEMINAMPLITUDE = 2022,
	WATER_OVERRIDE_SET_OCEANWAVEMAXAMPLITUDE = 2023,
	WATER_OVERRIDE_SET_RIPPLEBUMPINESS = 2024,
	WATER_OVERRIDE_SET_RIPPLEMINBUMPINESS = 2025,
	WATER_OVERRIDE_SET_RIPPLEMAXBUMPINESS = 2026,
	WATER_OVERRIDE_SET_RIPPLEDISTURB = 2027,
	WATER_OVERRIDE_SET_STRENGTH = 2028,
	WATER_OVERRIDE_FADE_IN = 2029,
	WATER_OVERRIDE_FADE_OUT = 2030,
	SET_WIND = 2031,
	SET_WIND_SPEED = 2032,
	GET_WIND_SPEED = 2033,
	SET_WIND_DIRECTION = 2034,
	GET_WIND_DIRECTION = 2035,
	SET_RAIN = 2036,
	GET_RAIN_LEVEL = 2037,
	SET_SNOW = 2038,
	GET_SNOW_LEVEL = 2039,
	FORCE_LIGHTNING_FLASH = 2040,
	SET_CLOUD_SETTINGS_OVERRIDE = 2041,
	PRELOAD_CLOUD_HAT = 2042,
	LOAD_CLOUD_HAT = 2043,
	UNLOAD_CLOUD_HAT = 2044,
	UNLOAD_ALL_CLOUD_HATS = 2045,
	SET_CLOUDS_ALPHA = 2046,
	GET_CLOUDS_ALPHA = 2047,
	GET_GAME_TIMER = 2048,
	GET_FRAME_TIME = 2049,
	GET_SYSTEM_TIME_STEP = 2050,
	GET_FRAME_COUNT = 2051,
	GET_RANDOM_FLOAT_IN_RANGE = 2052,
	GET_RANDOM_INT_IN_RANGE = 2053,
	GET_RANDOM_MWC_INT_IN_RANGE = 2054,
	GET_GROUND_Z_FOR_3D_COORD = 2055,
	GET_GROUND_Z_AND_NORMAL_FOR_3D_COORD = 2056,
	GET_GROUND_Z_EXCLUDING_OBJECTS_FOR_3D_COORD = 2057,
	ASIN = 2058,
	ACOS = 2059,
	TAN = 2060,
	ATAN = 2061,
	ATAN2 = 2062,
	GET_DISTANCE_BETWEEN_COORDS = 2063,
	GET_ANGLE_BETWEEN_2D_VECTORS = 2064,
	GET_HEADING_FROM_VECTOR_2D = 2065,
	GET_RATIO_OF_CLOSEST_POINT_ON_LINE = 2066,
	GET_CLOSEST_POINT_ON_LINE = 2067,
	GET_LINE_PLANE_INTERSECTION = 2068,
	GET_POINT_AREA_OVERLAP = 2069,
	SET_BIT = 2070,
	CLEAR_BIT = 2071,
	GET_HASH_KEY = 2072,
	SLERP_NEAR_QUATERNION = 2073,
	IS_AREA_OCCUPIED = 2074,
	IS_AREA_OCCUPIED_SLOW = 2075,
	IS_POSITION_OCCUPIED = 2076,
	IS_POINT_OBSCURED_BY_A_MISSION_ENTITY = 2077,
	CLEAR_AREA = 2078,
	CLEAR_AREA_LEAVE_VEHICLE_HEALTH = 2079,
	CLEAR_AREA_OF_VEHICLES = 2080,
	CLEAR_ANGLED_AREA_OF_VEHICLES = 2081,
	CLEAR_AREA_OF_OBJECTS = 2082,
	CLEAR_AREA_OF_PEDS = 2083,
	CLEAR_AREA_OF_COPS = 2084,
	CLEAR_AREA_OF_PROJECTILES = 2085,
	CLEAR_SCENARIO_SPAWN_HISTORY = 2086,
	SET_SAVE_MENU_ACTIVE = 2087,
	GET_STATUS_OF_MANUAL_SAVE = 2088,
	SET_CREDITS_ACTIVE = 2089,
	SET_CREDITS_FADE_OUT_WITH_SCREEN = 2090,
	HAVE_CREDITS_REACHED_END = 2091,
	ARE_CREDITS_RUNNING = 2092,
	TERMINATE_ALL_SCRIPTS_WITH_THIS_NAME = 2093,
	NETWORK_SET_SCRIPT_IS_SAFE_FOR_NETWORK_GAME = 2094,
	ADD_HOSPITAL_RESTART = 2095,
	DISABLE_HOSPITAL_RESTART = 2096,
	ADD_POLICE_RESTART = 2097,
	DISABLE_POLICE_RESTART = 2098,
	SET_RESTART_COORD_OVERRIDE = 2099,
	CLEAR_RESTART_COORD_OVERRIDE = 2100,
	PAUSE_DEATH_ARREST_RESTART = 2101,
	IGNORE_NEXT_RESTART = 2102,
	SET_FADE_OUT_AFTER_DEATH = 2103,
	SET_FADE_OUT_AFTER_ARREST = 2104,
	SET_FADE_IN_AFTER_DEATH_ARREST = 2105,
	SET_FADE_IN_AFTER_LOAD = 2106,
	REGISTER_SAVE_HOUSE = 2107,
	SET_SAVE_HOUSE = 2108,
	OVERRIDE_SAVE_HOUSE = 2109,
	GET_SAVE_HOUSE_DETAILS_AFTER_SUCCESSFUL_LOAD = 2110,
	DO_AUTO_SAVE = 2111,
	GET_IS_AUTO_SAVE_OFF = 2112,
	IS_AUTO_SAVE_IN_PROGRESS = 2113,
	HAS_CODE_REQUESTED_AUTOSAVE = 2114,
	CLEAR_CODE_REQUESTED_AUTOSAVE = 2115,
	BEGIN_REPLAY_STATS = 2116,
	ADD_REPLAY_STAT_VALUE = 2117,
	END_REPLAY_STATS = 2118,
	HAVE_REPLAY_STATS_BEEN_STORED = 2119,
	GET_REPLAY_STAT_MISSION_ID = 2120,
	GET_REPLAY_STAT_MISSION_TYPE = 2121,
	GET_REPLAY_STAT_COUNT = 2122,
	GET_REPLAY_STAT_AT_INDEX = 2123,
	CLEAR_REPLAY_STATS = 2124,
	QUEUE_MISSION_REPEAT_LOAD = 2125,
	QUEUE_MISSION_REPEAT_SAVE = 2126,
	QUEUE_MISSION_REPEAT_SAVE_FOR_BENCHMARK_TEST = 2127,
	GET_STATUS_OF_MISSION_REPEAT_SAVE = 2128,
	IS_MEMORY_CARD_IN_USE = 2129,
	SHOOT_SINGLE_BULLET_BETWEEN_COORDS = 2130,
	SHOOT_SINGLE_BULLET_BETWEEN_COORDS_IGNORE_ENTITY = 2131,
	SHOOT_SINGLE_BULLET_BETWEEN_COORDS_IGNORE_ENTITY_NEW = 2132,
	GET_MODEL_DIMENSIONS = 2133,
	SET_FAKE_WANTED_LEVEL = 2134,
	GET_FAKE_WANTED_LEVEL = 2135,
	USING_MISSION_CREATOR = 2136,
	ALLOW_MISSION_CREATOR_WARP = 2137,
	SET_MINIGAME_IN_PROGRESS = 2138,
	IS_MINIGAME_IN_PROGRESS = 2139,
	IS_THIS_A_MINIGAME_SCRIPT = 2140,
	IS_SNIPER_INVERTED = 2141,
	SHOULD_USE_METRIC_MEASUREMENTS = 2142,
	GET_PROFILE_SETTING = 2143,
	ARE_STRINGS_EQUAL = 2144,
	COMPARE_STRINGS = 2145,
	ABSI = 2146,
	ABSF = 2147,
	IS_SNIPER_BULLET_IN_AREA = 2148,
	IS_PROJECTILE_IN_AREA = 2149,
	IS_PROJECTILE_TYPE_IN_AREA = 2150,
	IS_PROJECTILE_TYPE_IN_ANGLED_AREA = 2151,
	IS_PROJECTILE_TYPE_WITHIN_DISTANCE = 2152,
	GET_COORDS_OF_PROJECTILE_TYPE_IN_AREA = 2153,
	GET_COORDS_OF_PROJECTILE_TYPE_IN_ANGLED_AREA = 2154,
	GET_COORDS_OF_PROJECTILE_TYPE_WITHIN_DISTANCE = 2155,
	GET_PROJECTILE_OF_PROJECTILE_TYPE_WITHIN_DISTANCE = 2156,
	IS_BULLET_IN_ANGLED_AREA = 2157,
	IS_BULLET_IN_AREA = 2158,
	IS_BULLET_IN_BOX = 2159,
	HAS_BULLET_IMPACTED_IN_AREA = 2160,
	HAS_BULLET_IMPACTED_IN_BOX = 2161,
	IS_ORBIS_VERSION = 2162,
	IS_DURANGO_VERSION = 2163,
	IS_XBOX360_VERSION = 2164,
	IS_PS3_VERSION = 2165,
	IS_PC_VERSION = 2166,
	IS_STEAM_VERSION = 2167,
	IS_AUSSIE_VERSION = 2168,
	IS_JAPANESE_VERSION = 2169,
	IS_XBOX_PLATFORM = 2170,
	IS_SCARLETT_VERSION = 2171,
	IS_SCE_PLATFORM = 2172,
	IS_PROSPERO_VERSION = 2173,
	IS_STRING_NULL = 2174,
	IS_STRING_NULL_OR_EMPTY = 2175,
	STRING_TO_INT = 2176,
	SET_BITS_IN_RANGE = 2177,
	GET_BITS_IN_RANGE = 2178,
	ADD_STUNT_JUMP = 2179,
	ADD_STUNT_JUMP_ANGLED = 2180,
	TOGGLE_SHOW_OPTIONAL_STUNT_JUMP_CAMERA = 2181,
	DELETE_STUNT_JUMP = 2182,
	ENABLE_STUNT_JUMP_SET = 2183,
	DISABLE_STUNT_JUMP_SET = 2184,
	SET_STUNT_JUMPS_CAN_TRIGGER = 2185,
	IS_STUNT_JUMP_IN_PROGRESS = 2186,
	IS_STUNT_JUMP_MESSAGE_SHOWING = 2187,
	GET_NUM_SUCCESSFUL_STUNT_JUMPS = 2188,
	GET_TOTAL_SUCCESSFUL_STUNT_JUMPS = 2189,
	CANCEL_STUNT_JUMP = 2190,
	SET_GAME_PAUSED = 2191,
	SET_THIS_SCRIPT_CAN_BE_PAUSED = 2192,
	SET_THIS_SCRIPT_CAN_REMOVE_BLIPS_CREATED_BY_ANY_SCRIPT = 2193,
	HAS_CHEAT_WITH_HASH_BEEN_ACTIVATED = 2194,
	HAS_PC_CHEAT_WITH_HASH_BEEN_ACTIVATED = 2195,
	OVERRIDE_FREEZE_FLAGS = 2196,
	SET_INSTANCE_PRIORITY_MODE = 2197,
	SET_INSTANCE_PRIORITY_HINT = 2198,
	IS_FRONTEND_FADING = 2199,
	POPULATE_NOW = 2200,
	GET_INDEX_OF_CURRENT_LEVEL = 2201,
	SET_GRAVITY_LEVEL = 2202,
	START_SAVE_DATA = 2203,
	STOP_SAVE_DATA = 2204,
	GET_SIZE_OF_SAVE_DATA = 2205,
	REGISTER_INT_TO_SAVE = 2206,
	REGISTER_INT64_TO_SAVE = 2207,
	REGISTER_ENUM_TO_SAVE = 2208,
	REGISTER_FLOAT_TO_SAVE = 2209,
	REGISTER_BOOL_TO_SAVE = 2210,
	REGISTER_TEXT_LABEL_TO_SAVE = 2211,
	REGISTER_TEXT_LABEL_15_TO_SAVE = 2212,
	REGISTER_TEXT_LABEL_23_TO_SAVE = 2213,
	REGISTER_TEXT_LABEL_31_TO_SAVE = 2214,
	REGISTER_TEXT_LABEL_63_TO_SAVE = 2215,
	START_SAVE_STRUCT_WITH_SIZE = 2216,
	STOP_SAVE_STRUCT = 2217,
	START_SAVE_ARRAY_WITH_SIZE = 2218,
	STOP_SAVE_ARRAY = 2219,
	COPY_SCRIPT_STRUCT = 2220,
	ENABLE_DISPATCH_SERVICE = 2221,
	BLOCK_DISPATCH_SERVICE_RESOURCE_CREATION = 2222,
	GET_NUMBER_RESOURCES_ALLOCATED_TO_WANTED_LEVEL = 2223,
	CREATE_INCIDENT = 2224,
	CREATE_INCIDENT_WITH_ENTITY = 2225,
	DELETE_INCIDENT = 2226,
	IS_INCIDENT_VALID = 2227,
	SET_INCIDENT_REQUESTED_UNITS = 2228,
	SET_IDEAL_SPAWN_DISTANCE_FOR_INCIDENT = 2229,
	FIND_SPAWN_POINT_IN_DIRECTION = 2230,
	ADD_POP_MULTIPLIER_AREA = 2231,
	DOES_POP_MULTIPLIER_AREA_EXIST = 2232,
	REMOVE_POP_MULTIPLIER_AREA = 2233,
	IS_POP_MULTIPLIER_AREA_NETWORKED = 2234,
	ADD_POP_MULTIPLIER_SPHERE = 2235,
	DOES_POP_MULTIPLIER_SPHERE_EXIST = 2236,
	REMOVE_POP_MULTIPLIER_SPHERE = 2237,
	ENABLE_TENNIS_MODE = 2238,
	IS_TENNIS_MODE = 2239,
	PLAY_TENNIS_SWING_ANIM = 2240,
	GET_TENNIS_SWING_ANIM_COMPLETE = 2241,
	GET_TENNIS_SWING_ANIM_CAN_BE_INTERRUPTED = 2242,
	GET_TENNIS_SWING_ANIM_SWUNG = 2243,
	PLAY_TENNIS_DIVE_ANIM = 2244,
	SET_TENNIS_MOVE_NETWORK_SIGNAL_FLOAT = 2245,
	RESET_DISPATCH_SPAWN_LOCATION = 2246,
	SET_DISPATCH_SPAWN_LOCATION = 2247,
	RESET_DISPATCH_IDEAL_SPAWN_DISTANCE = 2248,
	SET_DISPATCH_IDEAL_SPAWN_DISTANCE = 2249,
	RESET_DISPATCH_TIME_BETWEEN_SPAWN_ATTEMPTS = 2250,
	SET_DISPATCH_TIME_BETWEEN_SPAWN_ATTEMPTS = 2251,
	SET_DISPATCH_TIME_BETWEEN_SPAWN_ATTEMPTS_MULTIPLIER = 2252,
	ADD_DISPATCH_SPAWN_ANGLED_BLOCKING_AREA = 2253,
	ADD_DISPATCH_SPAWN_SPHERE_BLOCKING_AREA = 2254,
	REMOVE_DISPATCH_SPAWN_BLOCKING_AREA = 2255,
	RESET_DISPATCH_SPAWN_BLOCKING_AREAS = 2256,
	RESET_WANTED_RESPONSE_NUM_PEDS_TO_SPAWN = 2257,
	SET_WANTED_RESPONSE_NUM_PEDS_TO_SPAWN = 2258,
	ADD_TACTICAL_NAV_MESH_POINT = 2259,
	CLEAR_TACTICAL_NAV_MESH_POINTS = 2260,
	SET_RIOT_MODE_ENABLED = 2261,
	DISPLAY_ONSCREEN_KEYBOARD_WITH_LONGER_INITIAL_STRING = 2262,
	DISPLAY_ONSCREEN_KEYBOARD = 2263,
	UPDATE_ONSCREEN_KEYBOARD = 2264,
	GET_ONSCREEN_KEYBOARD_RESULT = 2265,
	CANCEL_ONSCREEN_KEYBOARD = 2266,
	NEXT_ONSCREEN_KEYBOARD_RESULT_WILL_DISPLAY_USING_THESE_FONTS = 2267,
	ACTION_MANAGER_ENABLE_ACTION = 2268,
	GET_REAL_WORLD_TIME = 2269,
	SUPRESS_RANDOM_EVENT_THIS_FRAME = 2270,
	SET_EXPLOSIVE_AMMO_THIS_FRAME = 2271,
	SET_FIRE_AMMO_THIS_FRAME = 2272,
	SET_EXPLOSIVE_MELEE_THIS_FRAME = 2273,
	SET_SUPER_JUMP_THIS_FRAME = 2274,
	SET_BEAST_JUMP_THIS_FRAME = 2275,
	SET_FORCED_JUMP_THIS_FRAME = 2276,
	HAS_GAME_INSTALLED_THIS_SESSION = 2277,
	SET_TICKER_JOHNMARSTON_IS_DONE = 2278,
	ARE_PROFILE_SETTINGS_VALID = 2279,
	PREVENT_ARREST_STATE_THIS_FRAME = 2280,
	FORCE_GAME_STATE_PLAYING = 2281,
	SCRIPT_RACE_INIT = 2282,
	SCRIPT_RACE_SHUTDOWN = 2283,
	SCRIPT_RACE_PLAYER_HIT_CHECKPOINT = 2284,
	SCRIPT_RACE_GET_PLAYER_SPLIT_TIME = 2285,
	START_END_USER_BENCHMARK = 2286,
	STOP_END_USER_BENCHMARK = 2287,
	RESET_END_USER_BENCHMARK = 2288,
	SAVE_END_USER_BENCHMARK = 2289,
	UI_STARTED_END_USER_BENCHMARK = 2290,
	LANDING_SCREEN_STARTED_END_USER_BENCHMARK = 2291,
	IS_COMMANDLINE_END_USER_BENCHMARK = 2292,
	GET_BENCHMARK_ITERATIONS = 2293,
	GET_BENCHMARK_PASS = 2294,
	RESTART_GAME = 2295,
	QUIT_GAME = 2296,
	HAS_ASYNC_INSTALL_FINISHED = 2297,
	CLEANUP_ASYNC_INSTALL = 2298,
	PLM_IS_IN_CONSTRAINED_MODE = 2299,
	PLM_GET_CONSTRAINED_DURATION_MS = 2300,
	SET_PLAYER_IS_IN_ANIMAL_FORM = 2301,
	GET_IS_PLAYER_IN_ANIMAL_FORM = 2302,
	SET_PLAYER_IS_REPEATING_A_MISSION = 2303,
	DISABLE_SCREEN_DIMMING_THIS_FRAME = 2304,
	GET_CITY_DENSITY = 2305,
	USE_ACTIVE_CAMERA_FOR_TIMESLICING_CENTRE = 2306,
	SET_CONTENT_ID_INDEX = 2307,
	GET_CONTENT_ID_INDEX = 2308,
	_SET_CONTENT_PROP_TYPE = 2309,
	_GET_CONTENT_PROP_TYPE = 2310,
	CREATE_MOBILE_PHONE = 2311,
	DESTROY_MOBILE_PHONE = 2312,
	SET_MOBILE_PHONE_SCALE = 2313,
	SET_MOBILE_PHONE_ROTATION = 2314,
	GET_MOBILE_PHONE_ROTATION = 2315,
	SET_MOBILE_PHONE_POSITION = 2316,
	GET_MOBILE_PHONE_POSITION = 2317,
	SCRIPT_IS_MOVING_MOBILE_PHONE_OFFSCREEN = 2318,
	CAN_PHONE_BE_SEEN_ON_SCREEN = 2319,
	SET_MOBILE_PHONE_DOF_STATE = 2320,
	CELL_SET_INPUT = 2321,
	CELL_HORIZONTAL_MODE_TOGGLE = 2322,
	CELL_CAM_ACTIVATE = 2323,
	CELL_CAM_ACTIVATE_SELFIE_MODE = 2324,
	CELL_CAM_ACTIVATE_SHALLOW_DOF_MODE = 2325,
	CELL_CAM_SET_SELFIE_MODE_SIDE_OFFSET_SCALING = 2326,
	CELL_CAM_SET_SELFIE_MODE_HORZ_PAN_OFFSET = 2327,
	CELL_CAM_SET_SELFIE_MODE_VERT_PAN_OFFSET = 2328,
	CELL_CAM_SET_SELFIE_MODE_ROLL_OFFSET = 2329,
	CELL_CAM_SET_SELFIE_MODE_DISTANCE_SCALING = 2330,
	CELL_CAM_SET_SELFIE_MODE_HEAD_YAW_OFFSET = 2331,
	CELL_CAM_SET_SELFIE_MODE_HEAD_ROLL_OFFSET = 2332,
	CELL_CAM_SET_SELFIE_MODE_HEAD_PITCH_OFFSET = 2333,
	CELL_CAM_IS_CHAR_VISIBLE_NO_FACE_CHECK = 2334,
	GET_MOBILE_PHONE_RENDER_ID = 2335,
	NETWORK_INITIALIZE_CASH = 2336,
	NETWORK_DELETE_CHARACTER = 2337,
	NETWORK_MANUAL_DELETE_CHARACTER = 2338,
	NETWORK_GET_PLAYER_IS_HIGH_EARNER = 2339,
	NETWORK_CLEAR_CHARACTER_WALLET = 2340,
	NETWORK_GIVE_PLAYER_JOBSHARE_CASH = 2341,
	NETWORK_RECEIVE_PLAYER_JOBSHARE_CASH = 2342,
	NETWORK_CAN_SHARE_JOB_CASH = 2343,
	NETWORK_REFUND_CASH = 2344,
	NETWORK_DEDUCT_CASH = 2345,
	NETWORK_MONEY_CAN_BET = 2346,
	NETWORK_CAN_BET = 2347,
	NETWORK_CASINO_CAN_BET = 2348,
	NETWORK_CASINO_CAN_BET_PVC = 2349,
	NETWORK_CASINO_CAN_BET_AMOUNT = 2350,
	NETWORK_CASINO_CAN_BUY_CHIPS_PVC = 2351,
	NETWORK_CASINO_BUY_CHIPS = 2352,
	NETWORK_CASINO_SELL_CHIPS = 2353,
	NETWORK_DEFER_CASH_TRANSACTIONS_UNTIL_SHOP_SAVE = 2354,
	CAN_PAY_AMOUNT_TO_BOSS = 2355,
	NETWORK_EARN_FROM_PICKUP = 2356,
	NETWORK_EARN_FROM_CASHING_OUT = 2357,
	NETWORK_EARN_FROM_GANGATTACK_PICKUP = 2358,
	NETWORK_EARN_ASSASSINATE_TARGET_KILLED = 2359,
	NETWORK_EARN_FROM_ROB_ARMORED_CARS = 2360,
	NETWORK_EARN_FROM_CRATE_DROP = 2361,
	NETWORK_EARN_FROM_BETTING = 2362,
	NETWORK_EARN_FROM_JOB = 2363,
	NETWORK_EARN_FROM_JOBX2 = 2364,
	NETWORK_EARN_FROM_PREMIUM_JOB = 2365,
	NETWORK_EARN_FROM_BEND_JOB = 2366,
	NETWORK_EARN_FROM_CHALLENGE_WIN = 2367,
	NETWORK_EARN_FROM_BOUNTY = 2368,
	NETWORK_EARN_FROM_IMPORT_EXPORT = 2369,
	NETWORK_EARN_FROM_HOLDUPS = 2370,
	NETWORK_EARN_FROM_PROPERTY = 2371,
	NETWORK_EARN_FROM_AI_TARGET_KILL = 2372,
	NETWORK_EARN_FROM_NOT_BADSPORT = 2373,
	NETWORK_EARN_FROM_VEHICLE = 2374,
	NETWORK_EARN_FROM_PERSONAL_VEHICLE = 2375,
	NETWORK_EARN_FROM_DAILY_OBJECTIVES = 2376,
	NETWORK_EARN_FROM_AMBIENT_JOB = 2377,
	NETWORK_EARN_FROM_JOB_BONUS = 2378,
	NETWORK_EARN_FROM_CRIMINAL_MASTERMIND = 2379,
	NETWORK_EARN_HEIST_AWARD = 2380,
	NETWORK_EARN_FIRST_TIME_BONUS = 2381,
	NETWORK_EARN_GOON = 2382,
	NETWORK_EARN_BOSS = 2383,
	NETWORK_EARN_AGENCY = 2384,
	NETWORK_EARN_FROM_WAREHOUSE = 2385,
	NETWORK_EARN_FROM_CONTRABAND = 2386,
	NETWORK_EARN_FROM_DESTROYING_CONTRABAND = 2387,
	NETWORK_EARN_FROM_SMUGGLER_WORK = 2388,
	NETWORK_EARN_FROM_HANGAR_TRADE = 2389,
	NETWORK_EARN_PURCHASE_CLUB_HOUSE = 2390,
	NETWORK_EARN_FROM_BUSINESS_PRODUCT = 2391,
	NETWORK_EARN_FROM_VEHICLE_EXPORT = 2392,
	NETWORK_EARN_SMUGGLER_AGENCY = 2393,
	NETWORK_EARN_BOUNTY_HUNTER_REWARD = 2394,
	NETWORK_EARN_FROM_BUSINESS_BATTLE = 2395,
	NETWORK_EARN_FROM_CLUB_MANAGEMENT_PARTICIPATION = 2396,
	NETWORK_EARN_FROM_FMBB_PHONECALL_MISSION = 2397,
	NETWORK_EARN_FROM_BUSINESS_HUB_SELL = 2398,
	NETWORK_EARN_FROM_FMBB_BOSS_WORK = 2399,
	NETWORK_EARN_FMBB_WAGE_BONUS = 2400,
	NETWORK_CAN_SPEND_MONEY = 2401,
	NETWORK_CAN_SPEND_MONEY2 = 2402,
	NETWORK_BUY_ITEM = 2403,
	NETWORK_SPENT_TAXI = 2404,
	NETWORK_PAY_EMPLOYEE_WAGE = 2405,
	NETWORK_PAY_MATCH_ENTRY_FEE = 2406,
	NETWORK_SPENT_BETTING = 2407,
	NETWORK_SPENT_WAGER = 2408,
	NETWORK_SPENT_IN_STRIPCLUB = 2409,
	NETWORK_BUY_HEALTHCARE = 2410,
	NETWORK_BUY_AIRSTRIKE = 2411,
	NETWORK_BUY_BACKUP_GANG = 2412,
	NETWORK_BUY_HELI_STRIKE = 2413,
	NETWORK_SPENT_AMMO_DROP = 2414,
	NETWORK_BUY_BOUNTY = 2415,
	NETWORK_BUY_PROPERTY = 2416,
	NETWORK_BUY_SMOKES = 2417,
	NETWORK_SPENT_HELI_PICKUP = 2418,
	NETWORK_SPENT_BOAT_PICKUP = 2419,
	NETWORK_SPENT_BULL_SHARK = 2420,
	NETWORK_SPENT_CASH_DROP = 2421,
	NETWORK_SPENT_HIRE_MUGGER = 2422,
	NETWORK_SPENT_ROBBED_BY_MUGGER = 2423,
	NETWORK_SPENT_HIRE_MERCENARY = 2424,
	NETWORK_SPENT_BUY_WANTEDLEVEL = 2425,
	NETWORK_SPENT_BUY_OFFTHERADAR = 2426,
	NETWORK_SPENT_BUY_REVEAL_PLAYERS = 2427,
	NETWORK_SPENT_CARWASH = 2428,
	NETWORK_SPENT_CINEMA = 2429,
	NETWORK_SPENT_TELESCOPE = 2430,
	NETWORK_SPENT_HOLDUPS = 2431,
	NETWORK_SPENT_BUY_PASSIVE_MODE = 2432,
	NETWORK_SPENT_BANK_INTEREST = 2433,
	NETWORK_SPENT_PROSTITUTES = 2434,
	NETWORK_SPENT_ARREST_BAIL = 2435,
	NETWORK_SPENT_PAY_VEHICLE_INSURANCE_PREMIUM = 2436,
	NETWORK_SPENT_CALL_PLAYER = 2437,
	NETWORK_SPENT_BOUNTY = 2438,
	NETWORK_SPENT_FROM_ROCKSTAR = 2439,
	NETWORK_SPEND_EARNED_FROM_BANK_AND_WALLETS = 2440,
	PROCESS_CASH_GIFT = 2441,
	NETWORK_SPENT_MOVE_SUBMARINE = 2442,
	NETWORK_SPENT_PLAYER_HEALTHCARE = 2443,
	NETWORK_SPENT_NO_COPS = 2444,
	NETWORK_SPENT_CARGO_SOURCING = 2445,
	NETWORK_SPENT_REQUEST_JOB = 2446,
	NETWORK_SPENT_REQUEST_HEIST = 2447,
	NETWORK_BUY_FAIRGROUND_RIDE = 2448,
	NETWORK_ECONOMY_HAS_FIXED_CRAZY_NUMBERS = 2449,
	NETWORK_SPENT_JOB_SKIP = 2450,
	NETWORK_SPENT_BOSS_GOON = 2451,
	NETWORK_SPEND_GOON = 2452,
	NETWORK_SPEND_BOSS = 2453,
	NETWORK_SPENT_MOVE_YACHT = 2454,
	NETWORK_SPENT_RENAME_ORGANIZATION = 2455,
	NETWORK_BUY_CONTRABAND_MISSION = 2456,
	NETWORK_SPENT_PA_SERVICE_HELI = 2457,
	NETWORK_SPENT_PA_SERVICE_VEHICLE = 2458,
	NETWORK_SPENT_PA_SERVICE_SNACK = 2459,
	NETWORK_SPENT_PA_SERVICE_DANCER = 2460,
	NETWORK_SPENT_PA_SERVICE_IMPOUND = 2461,
	NETWORK_SPENT_PA_HELI_PICKUP = 2462,
	NETWORK_SPENT_PURCHASE_OFFICE_PROPERTY = 2463,
	NETWORK_SPENT_UPGRADE_OFFICE_PROPERTY = 2464,
	NETWORK_SPENT_PURCHASE_WAREHOUSE_PROPERTY = 2465,
	NETWORK_SPENT_UPGRADE_WAREHOUSE_PROPERTY = 2466,
	NETWORK_SPENT_PURCHASE_IMPEXP_WAREHOUSE_PROPERTY = 2467,
	NETWORK_SPENT_UPGRADE_IMPEXP_WAREHOUSE_PROPERTY = 2468,
	NETWORK_SPENT_TRADE_IMPEXP_WAREHOUSE_PROPERTY = 2469,
	NETWORK_SPENT_ORDER_WAREHOUSE_VEHICLE = 2470,
	NETWORK_SPENT_ORDER_BODYGUARD_VEHICLE = 2471,
	NETWORK_SPENT_JUKEBOX = 2472,
	NETWORK_SPENT_PURCHASE_CLUB_HOUSE = 2473,
	NETWORK_SPENT_UPGRADE_CLUB_HOUSE = 2474,
	NETWORK_SPENT_PURCHASE_BUSINESS_PROPERTY = 2475,
	NETWORK_SPENT_UPGRADE_BUSINESS_PROPERTY = 2476,
	NETWORK_SPENT_TRADE_BUSINESS_PROPERTY = 2477,
	NETWORK_SPENT_MC_ABILITY = 2478,
	NETWORK_SPENT_PAY_BUSINESS_SUPPLIES = 2479,
	NETWORK_SPENT_CHANGE_APPEARANCE = 2480,
	NETWORK_SPENT_VEHICLE_EXPORT_MODS = 2481,
	NETWORK_SPENT_PURCHASE_OFFICE_GARAGE = 2482,
	NETWORK_SPENT_UPGRADE_OFFICE_GARAGE = 2483,
	NETWORK_SPENT_IMPORT_EXPORT_REPAIR = 2484,
	NETWORK_SPENT_PURCHASE_HANGAR = 2485,
	NETWORK_SPENT_UPGRADE_HANGAR = 2486,
	NETWORK_SPENT_HANGAR_UTILITY_CHARGES = 2487,
	NETWORK_SPENT_HANGAR_STAFF_CHARGES = 2488,
	NETWORK_SPENT_BUY_TRUCK = 2489,
	NETWORK_SPENT_UPGRADE_TRUCK = 2490,
	NETWORK_SPENT_BUY_BUNKER = 2491,
	NETWORK_SPENT_UPRADE_BUNKER = 2492,
	NETWORK_EARN_FROM_SELL_BUNKER = 2493,
	NETWORK_SPENT_BALLISTIC_EQUIPMENT = 2494,
	NETWORK_EARN_RDR_BONUS = 2495,
	NETWORK_EARN_WAGE_PAYMENT = 2496,
	NETWORK_EARN_WAGE_PAYMENT_BONUS = 2497,
	NETWORK_SPENT_BUY_BASE = 2498,
	NETWORK_SPENT_UPGRADE_BASE = 2499,
	NETWORK_SPENT_BUY_TILTROTOR = 2500,
	NETWORK_SPENT_UPGRADE_TILTROTOR = 2501,
	NETWORK_SPENT_EMPLOY_ASSASSINS = 2502,
	NETWORK_SPEND_GANGOPS_CANNON = 2503,
	NETWORK_SPEND_GANGOPS_SKIP_MISSION = 2504,
	NETWORK_SPEND_CASINO_HEIST_SKIP_MISSION = 2505,
	NETWORK_EARN_SELL_BASE = 2506,
	NETWORK_EARN_TARGET_REFUND = 2507,
	NETWORK_EARN_GANGOPS_WAGES = 2508,
	NETWORK_EARN_GANGOPS_WAGES_BONUS = 2509,
	NETWORK_EARN_DAR_CHALLENGE = 2510,
	NETWORK_EARN_DOOMSDAY_FINALE_BONUS = 2511,
	NETWORK_EARN_GANGOPS_AWARD = 2512,
	NETWORK_EARN_GANGOPS_ELITE = 2513,
	NETWORK_SERVICE_EARN_GANGOPS_RIVAL_DELIVERY = 2514,
	NETWORK_SPEND_GANGOPS_START_STRAND = 2515,
	NETWORK_SPEND_GANGOPS_TRIP_SKIP = 2516,
	NETWORK_EARN_GANGOPS_PREP_PARTICIPATION = 2517,
	NETWORK_EARN_GANGOPS_SETUP = 2518,
	NETWORK_EARN_GANGOPS_FINALE = 2519,
	NETWORK_SPEND_GANGOPS_REPAIR_COST = 2520,
	NETWORK_EARN_NIGHTCLUB = 2521,
	NETWORK_EARN_NIGHTCLUB_DANCING = 2522,
	NETWORK_EARN_BB_EVENT_BONUS = 2523,
	NETWORK_SPENT_PURCHASE_HACKER_TRUCK = 2524,
	NETWORK_SPENT_UPGRADE_HACKER_TRUCK = 2525,
	NETWORK_EARN_HACKER_TRUCK = 2526,
	NETWORK_SPENT_PURCHASE_NIGHTCLUB_AND_WAREHOUSE = 2527,
	NETWORK_SPENT_UPGRADE_NIGHTCLUB_AND_WAREHOUSE = 2528,
	NETWORK_EARN_NIGHTCLUB_AND_WAREHOUSE = 2529,
	NETWORK_SPEND_NIGHTCLUB_AND_WAREHOUSE = 2530,
	NETWORK_SPENT_RDR_HATCHET_BONUS = 2531,
	NETWORK_SPENT_NIGHTCLUB_ENTRY_FEE = 2532,
	NETWORK_SPEND_NIGHTCLUB_BAR_DRINK = 2533,
	NETWORK_SPEND_BOUNTY_HUNTER_MISSION = 2534,
	NETWORK_SPENT_REHIRE_DJ = 2535,
	NETWORK_SPENT_ARENA_JOIN_SPECTATOR = 2536,
	NETWORK_EARN_ARENA_SKILL_LEVEL_PROGRESSION = 2537,
	NETWORK_EARN_ARENA_CAREER_PROGRESSION = 2538,
	NETWORK_SPEND_MAKE_IT_RAIN = 2539,
	NETWORK_SPEND_BUY_ARENA = 2540,
	NETWORK_SPEND_UPGRADE_ARENA = 2541,
	NETWORK_SPEND_ARENA_SPECTATOR_BOX = 2542,
	NETWORK_SPEND_SPIN_THE_WHEEL_PAYMENT = 2543,
	NETWORK_EARN_SPIN_THE_WHEEL_CASH = 2544,
	NETWORK_SPEND_ARENA_PREMIUM = 2545,
	NETWORK_EARN_ARENA_WAR = 2546,
	NETWORK_EARN_ARENA_WAR_ASSASSINATE_TARGET = 2547,
	NETWORK_EARN_ARENA_WAR_EVENT_CARGO = 2548,
	NETWORK_EARN_RC_TIME_TRIAL = 2549,
	NETWORK_EARN_DAILY_OBJECTIVE_EVENT = 2550,
	NETWORK_SPEND_CASINO_MEMBERSHIP = 2551,
	NETWORK_SPEND_BUY_CASINO = 2552,
	NETWORK_SPEND_UPGRADE_CASINO = 2553,
	NETWORK_SPEND_CASINO_GENERIC = 2554,
	NETWORK_EARN_CASINO_TIME_TRIAL_WIN = 2555,
	NETWORK_EARN_COLLECTABLES_ACTION_FIGURES = 2556,
	NETWORK_EARN_CASINO_COLLECTABLE_COMPLETED_COLLECTION = 2557,
	NETWORK_EARN_SELL_PRIZE_VEHICLE = 2558,
	NETWORK_EARN_CASINO_MISSION_REWARD = 2559,
	NETWORK_EARN_CASINO_STORY_MISSION_REWARD = 2560,
	NETWORK_EARN_CASINO_MISSION_PARTICIPATION = 2561,
	NETWORK_EARN_CASINO_AWARD = 2562,
	NETWORK_SPEND_BUY_ARCADE = 2563,
	NETWORK_SPEND_UPGRADE_ARCADE = 2564,
	NETWORK_SPEND_CASINO_HEIST = 2565,
	NETWORK_SPEND_ARCADE_MGMT = 2566,
	NETWORK_SPEND_PLAY_ARCADE = 2567,
	NETWORK_SPEND_ARCADE = 2568,
	NETWORK_EARN_CASINO_HEIST = 2569,
	NETWORK_EARN_UPGRADE_ARCADE = 2570,
	NETWORK_EARN_ARCADE = 2571,
	NETWORK_EARN_COLLECTABLES = 2572,
	NETWORK_EARN_CHALLENGE = 2573,
	NETWORK_EARN_CASINO_HEIST_AWARDS = 2574,
	NETWORK_EARN_COLLECTABLE_ITEM = 2575,
	NETWORK_EARN_COLLECTABLE_COMPLETED_COLLECTION = 2576,
	NETWORK_EARN_YATCH_MISSION = 2577,
	NETWORK_EARN_DISPATCH_CALL = 2578,
	NETWORK_SPEND_BEACH_PARTY = 2579,
	NETWORK_SPEND_SUBMARINE = 2580,
	NETWORK_SPEND_CASINO_CLUB = 2581,
	NETWORK_SPEND_BUY_SUB = 2582,
	NETWORK_SPEND_UPGRADE_SUB = 2583,
	NETWORK_SPEND_ISLAND_HEIST = 2584,
	NETWORK_EARN_ISLAND_HEIST = 2585,
	NETWORK_EARN_BEACH_PARTY_LOST_FOUND = 2586,
	NETWORK_EARN_FROM_ISLAND_HEIST_DJ_MISSION = 2587,
	NETWORK_SPEND_CAR_CLUB_MEMBERSHIP = 2588,
	NETWORK_SPEND_CAR_CLUB_BAR = 2589,
	NETWORK_SPEND_AUTOSHOP_MODIFY = 2590,
	NETWORK_SPEND_CAR_CLUB_TAKEOVER = 2591,
	NETWORK_SPEND_BUY_AUTOSHOP = 2592,
	NETWORK_SPEND_UPGRADE_AUTOSHOP = 2593,
	NETWORK_EARN_AUTOSHOP_BUSINESS = 2594,
	NETWORK_EARN_AUTOSHOP_INCOME = 2595,
	NETWORK_EARN_CARCLUB_MEMBERSHIP = 2596,
	NETWORK_EARN_DAILY_VEHICLE = 2597,
	NETWORK_EARN_DAILY_VEHICLE_BONUS = 2598,
	NETWORK_EARN_TUNER_AWARD = 2599,
	NETWORK_EARN_TUNER_ROBBERY = 2600,
	NETWORK_EARN_UPGRADE_AUTOSHOP = 2601,
	NETWORK_SPEND_INTERACTION_MENU_ABILITY = 2602,
	NETWORK_SPEND_SET_COMMON_FIELDS = 2603,
	NETWORK_SPEND_SET_DISCOUNT = 2604,
	NETWORK_SPEND_BUY_AGENCY = 2605,
	NETWORK_SPEND_UPGRADE_AGENCY = 2606,
	NETWORK_SPEND_AGENCY = 2607,
	NETWORK_SPEND_HIDDEN = 2608,
	NETWORK_SPEND_SOURCE_BIKE = 2609,
	NETWORK_SPEND_COMP_SUV = 2610,
	NETWORK_SPEND_SUV_FST_TRVL = 2611,
	NETWORK_SPEND_SUPPLY = 2612,
	NETWORK_SPEND_BIKE_SHOP = 2613,
	NETWORK_SPEND_VEHICLE_REQUESTED = 2614,
	NETWORK_SPEND_GUNRUNNING = 2615,
	NETWORK_EARN_AGENCY_SAFE = 2616,
	NETWORK_EARN_AWARD_CONTRACT = 2617,
	NETWORK_EARN_AGENCY_CONTRACT = 2618,
	NETWORK_EARN_AWARD_PHONE = 2619,
	NETWORK_EARN_AGENCY_PHONE = 2620,
	NETWORK_EARN_AWARD_FIXER_MISSION = 2621,
	NETWORK_EARN_FIXER_PREP = 2622,
	NETWORK_EARN_FIXER_FINALE = 2623,
	NETWORK_EARN_FIXER_AGENCY_SHORT_TRIP = 2624,
	NETWORK_EARN_AWARD_SHORT_TRIP = 2625,
	NETWORK_EARN_FIXER_RIVAL_DELIVERY = 2626,
	NETWORK_EARN_UPGRADE_AGENCY = 2627,
	NETWORK_SPEND_APARTMENT_UTILITIES = 2628,
	NETWORK_SPEND_BUSINESS_PROPERTY_FEES = 2629,
	NETWORK_EARN_SIGHTSEEING_REWARD = 2630,
	NETWORK_EARN_BIKER_SHOP = 2631,
	NETWORK_EARN_BIKER = 2632,
	NETWORK_YOHAN_SOURCE_GOODS = 2633,
	_NETWORK_SPEND_BUY_MFGARAGE = 2634,
	_NETWORK_SPEND_UPGRADE_MFGARAGE = 2635,
	_NETWORK_SPEND_BUY_SUPPLIES = 2636,
	_NETWORK_SPEND_BUY_ACID_LAB = 2637,
	_NETWORK_SPEND_UPGRADE_ACID_LAB_EQUIPMENT = 2638,
	_NETWORK_SPEND_UPGRADE_ACID_LAB_ARMOR = 2639,
	_NETWORK_SPEND_UPGRADE_ACID_LAB_SCOOP = 2640,
	_NETWORK_SPEND_UPGRADE_ACID_LAB_MINES = 2641,
	_NETWORK_SPEND_RENAME_ACID_LAB = 2642,
	_NETWORK_SPEND_RENAME_ACID_PRODUCT = 2643,
	_NETWORK_EARN_AWARD_JUGGALO_MISSION = 2644,
	_NETWORK_EARN_AWARD_ACID_LAB = 2645,
	_NETWORK_EARN_AWARD_DAILY_STASH = 2646,
	_NETWORK_EARN_AWARD_DEAD_DROP = 2647,
	_NETWORK_EARN_AWARD_RANDOM_EVENT = 2648,
	_NETWORK_EARN_AWARD_TAXI = 2649,
	_NETWORK_EARN_STREET_DEALER = 2650,
	_NETWORK_EARN_SELL_ACID = 2651,
	_NETWORK_EARN_SETUP_PARTICIPATION_ACID_LAB = 2652,
	_NETWORK_EARN_SOURCE_PARTICIPATION_ACID_LAB = 2653,
	_NETWORK_EARN_SELL_PARTICIPATION_ACID_LAB = 2654,
	_NETWORK_EARN_JUGGALO_STORY_MISSION = 2655,
	_NETWORK_EARN_JUGGALO_STORY_MISSION_PARTICIPATION = 2656,
	_NETWORK_EARN_FOOLIGAN_JOB = 2657,
	_NETWORK_EARN_FOOLIGAN_JOB_PARTICIPATION = 2658,
	_NETWORK_EARN_TAXI_JOB = 2659,
	_NETWORK_EARN_DAILY_STASH_HOUSE_COMPLETED = 2660,
	_NETWORK_EARN_DAILY_STASH_HOUSE_PARTICIPATION = 2661,
	_NETWORK_EARN_AVENGER = 2662,
	_NETWORK_EARN_SMUGGLER_OPS = 2663,
	_NETWORK_EARN_BONUS_OBJECTIVE = 2664,
	_NETWORK_EARN_PROGRESS_HUB = 2665,
	_NETWORK_SPENT_AIR_FREIGHT = 2666,
	_NETWORK_SPENT_SKIP_CARGO_SOURCE_SETUP = 2667,
	_NETWORK_SPENT_STEALTH_MODULE = 2668,
	_NETWORK_SPENT_MISSILE_JAMMER = 2669,
	_NETWORK_SPENT_GENERIC = 2670,
	_NETWORK_EARN_GENERIC = 2671,
	_NETWORK_CLEAR_TRANSACTION_TELEMETRY_NONCE = 2672,
	NETWORK_GET_VC_BANK_BALANCE = 2673,
	NETWORK_GET_VC_WALLET_BALANCE = 2674,
	NETWORK_GET_VC_BALANCE = 2675,
	NETWORK_GET_EVC_BALANCE = 2676,
	NETWORK_GET_PVC_BALANCE = 2677,
	NETWORK_GET_STRING_WALLET_BALANCE = 2678,
	NETWORK_GET_STRING_BANK_BALANCE = 2679,
	NETWORK_GET_STRING_BANK_WALLET_BALANCE = 2680,
	NETWORK_GET_CAN_SPEND_FROM_WALLET = 2681,
	NETWORK_GET_CAN_SPEND_FROM_BANK = 2682,
	NETWORK_GET_CAN_SPEND_FROM_BANK_AND_WALLET = 2683,
	NETWORK_GET_PVC_TRANSFER_BALANCE = 2684,
	NETWORK_GET_CAN_TRANSFER_CASH = 2685,
	NETWORK_CAN_RECEIVE_PLAYER_CASH = 2686,
	NETWORK_GET_REMAINING_TRANSFER_BALANCE = 2687,
	WITHDRAW_VC = 2688,
	DEPOSIT_VC = 2689,
	HAS_VC_WITHDRAWAL_COMPLETED = 2690,
	WAS_VC_WITHDRAWAL_SUCCESSFUL = 2691,
	NET_GAMESERVER_USE_SERVER_TRANSACTIONS = 2692,
	NET_GAMESERVER_CATALOG_ITEM_IS_VALID = 2693,
	NET_GAMESERVER_CATALOG_ITEM_KEY_IS_VALID = 2694,
	NET_GAMESERVER_GET_PRICE = 2695,
	NET_GAMESERVER_CATALOG_IS_VALID = 2696,
	NET_GAMESERVER_IS_CATALOG_CURRENT = 2697,
	NET_GAMESERVER_GET_CATALOG_CLOUD_CRC = 2698,
	NET_GAMESERVER_REFRESH_SERVER_CATALOG = 2699,
	NET_GAMESERVER_RETRIEVE_CATALOG_REFRESH_STATUS = 2700,
	NET_GAMESERVER_INIT_SESSION = 2701,
	NET_GAMESERVER_RETRIEVE_INIT_SESSION_STATUS = 2702,
	NET_GAMESERVER_START_SESSION = 2703,
	NET_GAMESERVER_START_SESSION_PENDING = 2704,
	NET_GAMESERVER_RETRIEVE_START_SESSION_STATUS = 2705,
	NET_GAMESERVER_RETRIEVE_SESSION_ERROR_CODE = 2706,
	NET_GAMESERVER_IS_SESSION_VALID = 2707,
	NET_GAMESERVER_CLEAR_SESSION = 2708,
	NET_GAMESERVER_SESSION_APPLY_RECEIVED_DATA = 2709,
	NET_GAMESERVER_IS_SESSION_REFRESH_PENDING = 2710,
	NET_GAMESERVER_START_SESSION_RESTART = 2711,
	NET_GAMESERVER_TRANSACTION_IN_PROGRESS = 2712,
	NET_GAMESERVER_GET_SESSION_STATE_AND_STATUS = 2713,
	NET_GAMESERVER_BASKET_START = 2714,
	NET_GAMESERVER_BASKET_END = 2715,
	NET_GAMESERVER_BASKET_IS_ACTIVE = 2716,
	NET_GAMESERVER_BASKET_ADD_ITEM = 2717,
	NET_GAMESERVER_BASKET_IS_FULL = 2718,
	NET_GAMESERVER_BASKET_APPLY_SERVER_DATA = 2719,
	NET_GAMESERVER_CHECKOUT_START = 2720,
	NET_GAMESERVER_BEGIN_SERVICE = 2721,
	NET_GAMESERVER_END_SERVICE = 2722,
	NET_GAMESERVER_DELETE_CHARACTER = 2723,
	NET_GAMESERVER_DELETE_CHARACTER_GET_STATUS = 2724,
	NET_GAMESERVER_DELETE_SET_TELEMETRY_NONCE_SEED = 2725,
	NET_GAMESERVER_TRANSFER_BANK_TO_WALLET = 2726,
	NET_GAMESERVER_TRANSFER_WALLET_TO_BANK = 2727,
	NET_GAMESERVER_TRANSFER_BANK_TO_WALLET_GET_STATUS = 2728,
	NET_GAMESERVER_TRANSFER_WALLET_TO_BANK_GET_STATUS = 2729,
	NET_GAMESERVER_TRANSFER_CASH_SET_TELEMETRY_NONCE_SEED = 2730,
	NET_GAMESERVER_SET_TELEMETRY_NONCE_SEED = 2731,
	GET_ONLINE_VERSION = 2732,
	_GET_BATTLEYE_INIT_STATE = 2733,
	NETWORK_IS_SIGNED_IN = 2734,
	NETWORK_IS_SIGNED_ONLINE = 2735,
	NETWORK_IS_NP_AVAILABLE = 2736,
	NETWORK_IS_NP_PENDING = 2737,
	NETWORK_GET_NP_UNAVAILABLE_REASON = 2738,
	NETWORK_IS_CONNETED_TO_NP_PRESENCE = 2739,
	NETWORK_IS_LOGGED_IN_TO_PSN = 2740,
	NETWORK_HAS_VALID_ROS_CREDENTIALS = 2741,
	NETWORK_IS_REFRESHING_ROS_CREDENTIALS = 2742,
	NETWORK_IS_CLOUD_AVAILABLE = 2743,
	NETWORK_HAS_SOCIAL_CLUB_ACCOUNT = 2744,
	NETWORK_ARE_SOCIAL_CLUB_POLICIES_CURRENT = 2745,
	NETWORK_IS_HOST = 2746,
	NETWORK_GET_HOST_PLAYER_INDEX = 2747,
	NETWORK_WAS_GAME_SUSPENDED = 2748,
	NETWORK_HAVE_ONLINE_PRIVILEGES = 2749,
	NETWORK_HAS_AGE_RESTRICTIONS = 2750,
	NETWORK_HAVE_USER_CONTENT_PRIVILEGES = 2751,
	NETWORK_HAVE_COMMUNICATION_PRIVILEGES = 2752,
	_NETWORK_HAVE_PLATFORM_COMMUNICATION_PRIVILEGES = 2753,
	NETWORK_CHECK_ONLINE_PRIVILEGES = 2754,
	NETWORK_CHECK_USER_CONTENT_PRIVILEGES = 2755,
	NETWORK_CHECK_COMMUNICATION_PRIVILEGES = 2756,
	NETWORK_CHECK_TEXT_COMMUNICATION_PRIVILEGES = 2757,
	NETWORK_IS_USING_ONLINE_PROMOTION = 2758,
	NETWORK_SHOULD_SHOW_PROMOTION_ALERT_SCREEN = 2759,
	NETWORK_HAS_SOCIAL_NETWORKING_SHARING_PRIV = 2760,
	NETWORK_GET_AGE_GROUP = 2761,
	NETWORK_CHECK_PRIVILEGES = 2762,
	NETWORK_IS_PRIVILEGE_CHECK_IN_PROGRESS = 2763,
	NETWORK_SET_PRIVILEGE_CHECK_RESULT_NOT_NEEDED = 2764,
	NETWORK_RESOLVE_PRIVILEGE_USER_CONTENT = 2765,
	NETWORK_HAVE_PLATFORM_SUBSCRIPTION = 2766,
	NETWORK_IS_PLATFORM_SUBSCRIPTION_CHECK_PENDING = 2767,
	NETWORK_SHOW_ACCOUNT_UPGRADE_UI = 2768,
	NETWORK_IS_SHOWING_SYSTEM_UI_OR_RECENTLY_REQUESTED_UPSELL = 2769,
	NETWORK_NEED_TO_START_NEW_GAME_BUT_BLOCKED = 2770,
	NETWORK_CAN_BAIL = 2771,
	NETWORK_BAIL = 2772,
	NETWORK_ON_RETURN_TO_SINGLE_PLAYER = 2773,
	NETWORK_TRANSITION_START = 2774,
	NETWORK_TRANSITION_ADD_STAGE = 2775,
	NETWORK_TRANSITION_FINISH = 2776,
	NETWORK_CAN_ACCESS_MULTIPLAYER = 2777,
	NETWORK_IS_MULTIPLAYER_DISABLED = 2778,
	NETWORK_CAN_ENTER_MULTIPLAYER = 2779,
	NETWORK_SESSION_DO_FREEROAM_QUICKMATCH = 2780,
	NETWORK_SESSION_DO_FRIEND_MATCHMAKING = 2781,
	NETWORK_SESSION_DO_CREW_MATCHMAKING = 2782,
	NETWORK_SESSION_DO_ACTIVITY_QUICKMATCH = 2783,
	NETWORK_SESSION_HOST = 2784,
	NETWORK_SESSION_HOST_CLOSED = 2785,
	NETWORK_SESSION_HOST_FRIENDS_ONLY = 2786,
	NETWORK_SESSION_IS_CLOSED_FRIENDS = 2787,
	NETWORK_SESSION_IS_CLOSED_CREW = 2788,
	NETWORK_SESSION_IS_SOLO = 2789,
	NETWORK_SESSION_IS_PRIVATE = 2790,
	_NETWORK_SESSION_LEAVE_INCLUDING_REASON = 2791,
	NETWORK_SESSION_END = 2792,
	NETWORK_SESSION_LEAVE = 2793,
	NETWORK_SESSION_KICK_PLAYER = 2794,
	NETWORK_SESSION_GET_KICK_VOTE = 2795,
	NETWORK_SESSION_RESERVE_SLOTS_TRANSITION = 2796,
	NETWORK_JOIN_PREVIOUSLY_FAILED_SESSION = 2797,
	NETWORK_JOIN_PREVIOUSLY_FAILED_TRANSITION = 2798,
	NETWORK_SESSION_SET_MATCHMAKING_GROUP = 2799,
	NETWORK_SESSION_SET_MATCHMAKING_GROUP_MAX = 2800,
	NETWORK_SESSION_GET_MATCHMAKING_GROUP_FREE = 2801,
	NETWORK_SESSION_ADD_ACTIVE_MATCHMAKING_GROUP = 2802,
	NETWORK_SESSION_SET_UNIQUE_CREW_LIMIT = 2803,
	NETWORK_SESSION_GET_UNIQUE_CREW_LIMIT = 2804,
	NETWORK_SESSION_SET_UNIQUE_CREW_LIMIT_TRANSITION = 2805,
	NETWORK_SESSION_SET_UNIQUE_CREW_ONLY_CREWS_TRANSITION = 2806,
	NETWORK_SESSION_SET_CREW_LIMIT_MAX_MEMBERS_TRANSITION = 2807,
	NETWORK_SESSION_SET_MATCHMAKING_PROPERTY_ID = 2808,
	NETWORK_SESSION_SET_MATCHMAKING_MENTAL_STATE = 2809,
	NETWORK_SESSION_SET_NUM_BOSSES = 2810,
	NETWORK_SESSION_SET_SCRIPT_VALIDATE_JOIN = 2811,
	NETWORK_SESSION_VALIDATE_JOIN = 2812,
	NETWORK_ADD_FOLLOWERS = 2813,
	NETWORK_CLEAR_FOLLOWERS = 2814,
	NETWORK_GET_GLOBAL_MULTIPLAYER_CLOCK = 2815,
	NETWORK_SESSION_SET_GAMEMODE = 2816,
	NETWORK_SESSION_GET_HOST_AIM_PREFERENCE = 2817,
	NETWORK_FIND_GAMERS_IN_CREW = 2818,
	NETWORK_FIND_MATCHED_GAMERS = 2819,
	NETWORK_IS_FINDING_GAMERS = 2820,
	NETWORK_DID_FIND_GAMERS_SUCCEED = 2821,
	NETWORK_GET_NUM_FOUND_GAMERS = 2822,
	NETWORK_GET_FOUND_GAMER = 2823,
	NETWORK_CLEAR_FOUND_GAMERS = 2824,
	NETWORK_QUEUE_GAMER_FOR_STATUS = 2825,
	NETWORK_GET_GAMER_STATUS_FROM_QUEUE = 2826,
	NETWORK_IS_GETTING_GAMER_STATUS = 2827,
	NETWORK_DID_GET_GAMER_STATUS_SUCCEED = 2828,
	NETWORK_GET_GAMER_STATUS_RESULT = 2829,
	NETWORK_CLEAR_GET_GAMER_STATUS = 2830,
	NETWORK_SESSION_JOIN_INVITE = 2831,
	NETWORK_SESSION_CANCEL_INVITE = 2832,
	NETWORK_SESSION_FORCE_CANCEL_INVITE = 2833,
	NETWORK_HAS_PENDING_INVITE = 2834,
	NETWORK_HAS_CONFIRMED_INVITE = 2835,
	NETWORK_REQUEST_INVITE_CONFIRMED_EVENT = 2836,
	NETWORK_SESSION_WAS_INVITED = 2837,
	NETWORK_SESSION_GET_INVITER = 2838,
	NETWORK_SESSION_IS_AWAITING_INVITE_RESPONSE = 2839,
	NETWORK_SESSION_IS_DISPLAYING_INVITE_CONFIRMATION = 2840,
	NETWORK_SUPPRESS_INVITE = 2841,
	NETWORK_BLOCK_INVITES = 2842,
	NETWORK_BLOCK_JOIN_QUEUE_INVITES = 2843,
	NETWORK_SET_CAN_RECEIVE_RS_INVITES = 2844,
	NETWORK_STORE_INVITE_THROUGH_RESTART = 2845,
	NETWORK_ALLOW_INVITE_PROCESS_IN_PLAYER_SWITCH = 2846,
	NETWORK_SET_SCRIPT_READY_FOR_EVENTS = 2847,
	NETWORK_IS_OFFLINE_INVITE_PENDING = 2848,
	NETWORK_CLEAR_OFFLINE_INVITE_PENDING = 2849,
	NETWORK_SESSION_HOST_SINGLE_PLAYER = 2850,
	NETWORK_SESSION_LEAVE_SINGLE_PLAYER = 2851,
	NETWORK_IS_GAME_IN_PROGRESS = 2852,
	NETWORK_IS_SESSION_ACTIVE = 2853,
	NETWORK_IS_IN_SESSION = 2854,
	_NETWORK_IS_AMERICAS_VERSION = 2855,
	NETWORK_IS_SESSION_STARTED = 2856,
	NETWORK_IS_SESSION_BUSY = 2857,
	NETWORK_CAN_SESSION_END = 2858,
	NETWORK_GET_GAME_MODE = 2859,
	NETWORK_SESSION_MARK_VISIBLE = 2860,
	NETWORK_SESSION_IS_VISIBLE = 2861,
	NETWORK_SESSION_BLOCK_JOIN_REQUESTS = 2862,
	NETWORK_SESSION_CHANGE_SLOTS = 2863,
	NETWORK_SESSION_GET_PRIVATE_SLOTS = 2864,
	NETWORK_SESSION_VOICE_HOST = 2865,
	NETWORK_SESSION_VOICE_LEAVE = 2866,
	NETWORK_SESSION_VOICE_CONNECT_TO_PLAYER = 2867,
	NETWORK_SESSION_VOICE_RESPOND_TO_REQUEST = 2868,
	NETWORK_SESSION_VOICE_SET_TIMEOUT = 2869,
	NETWORK_SESSION_IS_IN_VOICE_SESSION = 2870,
	NETWORK_SESSION_IS_VOICE_SESSION_ACTIVE = 2871,
	NETWORK_SESSION_IS_VOICE_SESSION_BUSY = 2872,
	NETWORK_SEND_TEXT_MESSAGE = 2873,
	NETWORK_SET_ACTIVITY_SPECTATOR = 2874,
	NETWORK_IS_ACTIVITY_SPECTATOR = 2875,
	NETWORK_SET_ACTIVITY_PLAYER_MAX = 2876,
	NETWORK_SET_ACTIVITY_SPECTATOR_MAX = 2877,
	NETWORK_GET_ACTIVITY_PLAYER_NUM = 2878,
	NETWORK_IS_ACTIVITY_SPECTATOR_FROM_HANDLE = 2879,
	NETWORK_HOST_TRANSITION = 2880,
	NETWORK_DO_TRANSITION_QUICKMATCH = 2881,
	NETWORK_DO_TRANSITION_QUICKMATCH_ASYNC = 2882,
	NETWORK_DO_TRANSITION_QUICKMATCH_WITH_GROUP = 2883,
	NETWORK_JOIN_GROUP_ACTIVITY = 2884,
	NETWORK_CLEAR_GROUP_ACTIVITY = 2885,
	NETWORK_RETAIN_ACTIVITY_GROUP = 2886,
	NETWORK_IS_TRANSITION_CLOSED_FRIENDS = 2887,
	NETWORK_IS_TRANSITION_CLOSED_CREW = 2888,
	NETWORK_IS_TRANSITION_SOLO = 2889,
	NETWORK_IS_TRANSITION_PRIVATE = 2890,
	NETWORK_GET_NUM_TRANSITION_NON_ASYNC_GAMERS = 2891,
	NETWORK_MARK_AS_PREFERRED_ACTIVITY = 2892,
	NETWORK_MARK_AS_WAITING_ASYNC = 2893,
	NETWORK_SET_IN_PROGRESS_FINISH_TIME = 2894,
	NETWORK_SET_TRANSITION_CREATOR_HANDLE = 2895,
	NETWORK_CLEAR_TRANSITION_CREATOR_HANDLE = 2896,
	NETWORK_INVITE_GAMERS_TO_TRANSITION = 2897,
	NETWORK_SET_GAMER_INVITED_TO_TRANSITION = 2898,
	NETWORK_LEAVE_TRANSITION = 2899,
	NETWORK_LAUNCH_TRANSITION = 2900,
	NETWORK_SET_DO_NOT_LAUNCH_FROM_JOIN_AS_MIGRATED_HOST = 2901,
	NETWORK_CANCEL_TRANSITION_MATCHMAKING = 2902,
	NETWORK_BAIL_TRANSITION = 2903,
	NETWORK_DO_TRANSITION_TO_GAME = 2904,
	NETWORK_DO_TRANSITION_TO_NEW_GAME = 2905,
	NETWORK_DO_TRANSITION_TO_FREEMODE = 2906,
	NETWORK_DO_TRANSITION_TO_NEW_FREEMODE = 2907,
	NETWORK_IS_TRANSITION_TO_GAME = 2908,
	NETWORK_GET_TRANSITION_MEMBERS = 2909,
	NETWORK_APPLY_TRANSITION_PARAMETER = 2910,
	NETWORK_APPLY_TRANSITION_PARAMETER_STRING = 2911,
	NETWORK_SEND_TRANSITION_GAMER_INSTRUCTION = 2912,
	NETWORK_MARK_TRANSITION_GAMER_AS_FULLY_JOINED = 2913,
	NETWORK_IS_TRANSITION_HOST = 2914,
	NETWORK_IS_TRANSITION_HOST_FROM_HANDLE = 2915,
	NETWORK_GET_TRANSITION_HOST = 2916,
	NETWORK_IS_IN_TRANSITION = 2917,
	NETWORK_IS_TRANSITION_STARTED = 2918,
	NETWORK_IS_TRANSITION_BUSY = 2919,
	NETWORK_IS_TRANSITION_MATCHMAKING = 2920,
	NETWORK_IS_TRANSITION_LEAVE_POSTPONED = 2921,
	NETWORK_TRANSITION_SET_IN_PROGRESS = 2922,
	NETWORK_TRANSITION_SET_CONTENT_CREATOR = 2923,
	NETWORK_TRANSITION_SET_ACTIVITY_ISLAND = 2924,
	NETWORK_OPEN_TRANSITION_MATCHMAKING = 2925,
	NETWORK_CLOSE_TRANSITION_MATCHMAKING = 2926,
	NETWORK_IS_TRANSITION_OPEN_TO_MATCHMAKING = 2927,
	NETWORK_SET_TRANSITION_VISIBILITY_LOCK = 2928,
	NETWORK_IS_TRANSITION_VISIBILITY_LOCKED = 2929,
	NETWORK_SET_TRANSITION_ACTIVITY_ID = 2930,
	NETWORK_CHANGE_TRANSITION_SLOTS = 2931,
	NETWORK_TRANSITION_BLOCK_JOIN_REQUESTS = 2932,
	NETWORK_HAS_PLAYER_STARTED_TRANSITION = 2933,
	NETWORK_ARE_TRANSITION_DETAILS_VALID = 2934,
	NETWORK_JOIN_TRANSITION = 2935,
	NETWORK_HAS_INVITED_GAMER_TO_TRANSITION = 2936,
	NETWORK_HAS_TRANSITION_INVITE_BEEN_ACKED = 2937,
	NETWORK_IS_ACTIVITY_SESSION = 2938,
	NETWORK_DISABLE_REALTIME_MULTIPLAYER = 2939,
	NETWORK_SET_PRESENCE_SESSION_INVITES_BLOCKED = 2940,
	NETWORK_SEND_INVITE_VIA_PRESENCE = 2941,
	NETWORK_SEND_TRANSITION_INVITE_VIA_PRESENCE = 2942,
	NETWORK_SEND_IMPORTANT_TRANSITION_INVITE_VIA_PRESENCE = 2943,
	NETWORK_GET_PRESENCE_INVITE_INDEX_BY_ID = 2944,
	NETWORK_GET_NUM_PRESENCE_INVITES = 2945,
	NETWORK_ACCEPT_PRESENCE_INVITE = 2946,
	NETWORK_REMOVE_PRESENCE_INVITE = 2947,
	NETWORK_GET_PRESENCE_INVITE_ID = 2948,
	NETWORK_GET_PRESENCE_INVITE_INVITER = 2949,
	NETWORK_GET_PRESENCE_INVITE_HANDLE = 2950,
	NETWORK_GET_PRESENCE_INVITE_SESSION_ID = 2951,
	NETWORK_GET_PRESENCE_INVITE_CONTENT_ID = 2952,
	NETWORK_GET_PRESENCE_INVITE_PLAYLIST_LENGTH = 2953,
	NETWORK_GET_PRESENCE_INVITE_PLAYLIST_CURRENT = 2954,
	NETWORK_GET_PRESENCE_INVITE_FROM_ADMIN = 2955,
	NETWORK_GET_PRESENCE_INVITE_IS_TOURNAMENT = 2956,
	NETWORK_HAS_FOLLOW_INVITE = 2957,
	NETWORK_ACTION_FOLLOW_INVITE = 2958,
	NETWORK_CLEAR_FOLLOW_INVITE = 2959,
	NETWORK_REMOVE_AND_CANCEL_ALL_INVITES = 2960,
	NETWORK_REMOVE_TRANSITION_INVITE = 2961,
	NETWORK_REMOVE_ALL_TRANSITION_INVITE = 2962,
	NETWORK_REMOVE_AND_CANCEL_ALL_TRANSITION_INVITES = 2963,
	NETWORK_INVITE_GAMERS = 2964,
	NETWORK_HAS_INVITED_GAMER = 2965,
	NETWORK_HAS_MADE_INVITE_DECISION = 2966,
	NETWORK_GET_INVITE_REPLY_STATUS = 2967,
	NETWORK_GET_CURRENTLY_SELECTED_GAMER_HANDLE_FROM_INVITE_MENU = 2968,
	NETWORK_SET_CURRENTLY_SELECTED_GAMER_HANDLE_FROM_INVITE_MENU = 2969,
	NETWORK_SET_INVITE_ON_CALL_FOR_INVITE_MENU = 2970,
	NETWORK_CHECK_DATA_MANAGER_SUCCEEDED_FOR_HANDLE = 2971,
	NETWORK_CHECK_DATA_MANAGER_FOR_HANDLE = 2972,
	NETWORK_SET_INVITE_FAILED_MESSAGE_FOR_INVITE_MENU = 2973,
	FILLOUT_PM_PLAYER_LIST = 2974,
	FILLOUT_PM_PLAYER_LIST_WITH_NAMES = 2975,
	REFRESH_PLAYER_LIST_STATS = 2976,
	NETWORK_SET_CURRENT_DATA_MANAGER_HANDLE = 2977,
	NETWORK_IS_IN_PLATFORM_PARTY = 2978,
	NETWORK_GET_PLATFORM_PARTY_MEMBER_COUNT = 2979,
	NETWORK_GET_PLATFORM_PARTY_MEMBERS = 2980,
	NETWORK_IS_IN_PLATFORM_PARTY_CHAT = 2981,
	NETWORK_IS_CHATTING_IN_PLATFORM_PARTY = 2982,
	NETWORK_CAN_QUEUE_FOR_PREVIOUS_SESSION_JOIN = 2983,
	NETWORK_IS_QUEUING_FOR_SESSION_JOIN = 2984,
	NETWORK_CLEAR_QUEUED_JOIN_REQUEST = 2985,
	NETWORK_SEND_QUEUED_JOIN_REQUEST = 2986,
	NETWORK_REMOVE_ALL_QUEUED_JOIN_REQUESTS = 2987,
	NETWORK_SEED_RANDOM_NUMBER_GENERATOR = 2988,
	NETWORK_GET_RANDOM_INT = 2989,
	NETWORK_GET_RANDOM_INT_RANGED = 2990,
	_NETWORK_GET_RANDOM_FLOAT_RANGED = 2991,
	NETWORK_PLAYER_IS_CHEATER = 2992,
	NETWORK_PLAYER_GET_CHEATER_REASON = 2993,
	NETWORK_PLAYER_IS_BADSPORT = 2994,
	REMOTE_CHEATER_PLAYER_DETECTED = 2995,
	BAD_SPORT_PLAYER_LEFT_DETECTED = 2996,
	NETWORK_ADD_INVALID_OBJECT_MODEL = 2997,
	NETWORK_REMOVE_INVALID_OBJECT_MODEL = 2998,
	NETWORK_CLEAR_INVALID_OBJECT_MODELS = 2999,
	NETWORK_APPLY_PED_SCAR_DATA = 3000,
	NETWORK_SET_THIS_SCRIPT_IS_NETWORK_SCRIPT = 3001,
	NETWORK_TRY_TO_SET_THIS_SCRIPT_IS_NETWORK_SCRIPT = 3002,
	NETWORK_GET_THIS_SCRIPT_IS_NETWORK_SCRIPT = 3003,
	NETWORK_GET_MAX_NUM_PARTICIPANTS = 3004,
	NETWORK_GET_NUM_PARTICIPANTS = 3005,
	NETWORK_GET_SCRIPT_STATUS = 3006,
	NETWORK_REGISTER_HOST_BROADCAST_VARIABLES = 3007,
	NETWORK_REGISTER_PLAYER_BROADCAST_VARIABLES = 3008,
	NETWORK_REGISTER_HIGH_FREQUENCY_HOST_BROADCAST_VARIABLES = 3009,
	NETWORK_REGISTER_HIGH_FREQUENCY_PLAYER_BROADCAST_VARIABLES = 3010,
	NETWORK_FINISH_BROADCASTING_DATA = 3011,
	NETWORK_HAS_RECEIVED_HOST_BROADCAST_DATA = 3012,
	NETWORK_GET_PLAYER_INDEX = 3013,
	NETWORK_GET_PARTICIPANT_INDEX = 3014,
	NETWORK_GET_PLAYER_INDEX_FROM_PED = 3015,
	NETWORK_GET_NUM_CONNECTED_PLAYERS = 3016,
	NETWORK_IS_PLAYER_CONNECTED = 3017,
	NETWORK_GET_TOTAL_NUM_PLAYERS = 3018,
	NETWORK_IS_PARTICIPANT_ACTIVE = 3019,
	NETWORK_IS_PLAYER_ACTIVE = 3020,
	NETWORK_IS_PLAYER_A_PARTICIPANT = 3021,
	NETWORK_IS_HOST_OF_THIS_SCRIPT = 3022,
	NETWORK_GET_HOST_OF_THIS_SCRIPT = 3023,
	NETWORK_GET_HOST_OF_SCRIPT = 3024,
	NETWORK_SET_MISSION_FINISHED = 3025,
	NETWORK_IS_SCRIPT_ACTIVE = 3026,
	NETWORK_IS_SCRIPT_ACTIVE_BY_HASH = 3027,
	NETWORK_IS_THREAD_A_NETWORK_SCRIPT = 3028,
	NETWORK_GET_NUM_SCRIPT_PARTICIPANTS = 3029,
	NETWORK_GET_INSTANCE_ID_OF_THIS_SCRIPT = 3030,
	NETWORK_GET_POSITION_HASH_OF_THIS_SCRIPT = 3031,
	NETWORK_IS_PLAYER_A_PARTICIPANT_ON_SCRIPT = 3032,
	NETWORK_PREVENT_SCRIPT_HOST_MIGRATION = 3033,
	NETWORK_REQUEST_TO_BE_HOST_OF_THIS_SCRIPT = 3034,
	PARTICIPANT_ID = 3035,
	PARTICIPANT_ID_TO_INT = 3036,
	NETWORK_GET_KILLER_OF_PLAYER = 3037,
	NETWORK_GET_DESTROYER_OF_NETWORK_ID = 3038,
	NETWORK_GET_DESTROYER_OF_ENTITY = 3039,
	NETWORK_GET_ASSISTED_KILL_OF_ENTITY = 3040,
	NETWORK_GET_ASSISTED_DAMAGE_OF_ENTITY = 3041,
	NETWORK_GET_ENTITY_KILLER_OF_PLAYER = 3042,
	NETWORK_SET_CURRENT_PUBLIC_CONTENT_ID = 3043,
	NETWORK_SET_CURRENT_CHAT_OPTION = 3044,
	NETWORK_SET_CURRENT_SPAWN_LOCATION_OPTION = 3045,
	NETWORK_SET_VEHICLE_DRIVEN_IN_TEST_DRIVE = 3046,
	NETWORK_SET_VEHICLE_DRIVEN_LOCATION = 3047,
	NETWORK_RESURRECT_LOCAL_PLAYER = 3048,
	NETWORK_SET_LOCAL_PLAYER_INVINCIBLE_TIME = 3049,
	NETWORK_IS_LOCAL_PLAYER_INVINCIBLE = 3050,
	NETWORK_DISABLE_INVINCIBLE_FLASHING = 3051,
	NETWORK_PATCH_POST_CUTSCENE_HS4F_TUN_ENT = 3052,
	NETWORK_SET_LOCAL_PLAYER_SYNC_LOOK_AT = 3053,
	NETWORK_HAS_ENTITY_BEEN_REGISTERED_WITH_THIS_THREAD = 3054,
	NETWORK_GET_NETWORK_ID_FROM_ENTITY = 3055,
	NETWORK_GET_ENTITY_FROM_NETWORK_ID = 3056,
	NETWORK_GET_ENTITY_IS_NETWORKED = 3057,
	NETWORK_GET_ENTITY_IS_LOCAL = 3058,
	NETWORK_REGISTER_ENTITY_AS_NETWORKED = 3059,
	NETWORK_UNREGISTER_NETWORKED_ENTITY = 3060,
	NETWORK_DOES_NETWORK_ID_EXIST = 3061,
	NETWORK_DOES_ENTITY_EXIST_WITH_NETWORK_ID = 3062,
	NETWORK_REQUEST_CONTROL_OF_NETWORK_ID = 3063,
	NETWORK_HAS_CONTROL_OF_NETWORK_ID = 3064,
	NETWORK_IS_NETWORK_ID_REMOTELY_CONTROLLED = 3065,
	NETWORK_REQUEST_CONTROL_OF_ENTITY = 3066,
	NETWORK_REQUEST_CONTROL_OF_DOOR = 3067,
	NETWORK_HAS_CONTROL_OF_ENTITY = 3068,
	NETWORK_HAS_CONTROL_OF_PICKUP = 3069,
	NETWORK_HAS_CONTROL_OF_DOOR = 3070,
	NETWORK_IS_DOOR_NETWORKED = 3071,
	VEH_TO_NET = 3072,
	PED_TO_NET = 3073,
	OBJ_TO_NET = 3074,
	NET_TO_VEH = 3075,
	NET_TO_PED = 3076,
	NET_TO_OBJ = 3077,
	NET_TO_ENT = 3078,
	NETWORK_GET_LOCAL_HANDLE = 3079,
	NETWORK_HANDLE_FROM_USER_ID = 3080,
	NETWORK_HANDLE_FROM_MEMBER_ID = 3081,
	NETWORK_HANDLE_FROM_PLAYER = 3082,
	NETWORK_HASH_FROM_PLAYER_HANDLE = 3083,
	NETWORK_HASH_FROM_GAMER_HANDLE = 3084,
	NETWORK_HANDLE_FROM_FRIEND = 3085,
	NETWORK_GAMERTAG_FROM_HANDLE_START = 3086,
	NETWORK_GAMERTAG_FROM_HANDLE_PENDING = 3087,
	NETWORK_GAMERTAG_FROM_HANDLE_SUCCEEDED = 3088,
	NETWORK_GET_GAMERTAG_FROM_HANDLE = 3089,
	NETWORK_DISPLAYNAMES_FROM_HANDLES_START = 3090,
	NETWORK_GET_DISPLAYNAMES_FROM_HANDLES = 3091,
	NETWORK_ARE_HANDLES_THE_SAME = 3092,
	NETWORK_IS_HANDLE_VALID = 3093,
	NETWORK_GET_PLAYER_FROM_GAMER_HANDLE = 3094,
	NETWORK_MEMBER_ID_FROM_GAMER_HANDLE = 3095,
	NETWORK_IS_GAMER_IN_MY_SESSION = 3096,
	NETWORK_SHOW_PROFILE_UI = 3097,
	NETWORK_PLAYER_GET_NAME = 3098,
	NETWORK_PLAYER_GET_USERID = 3099,
	NETWORK_PLAYER_IS_ROCKSTAR_DEV = 3100,
	NETWORK_PLAYER_INDEX_IS_CHEATER = 3101,
	NETWORK_ENTITY_GET_OBJECT_ID = 3102,
	NETWORK_GET_ENTITY_FROM_OBJECT_ID = 3103,
	NETWORK_IS_INACTIVE_PROFILE = 3104,
	_NETWORK_LOAD_GAMER_DISPLAY_NAME = 3105,
	NETWORK_GET_MAX_FRIENDS = 3106,
	NETWORK_GET_FRIEND_COUNT = 3107,
	NETWORK_GET_FRIEND_NAME = 3108,
	NETWORK_GET_FRIEND_DISPLAY_NAME = 3109,
	NETWORK_IS_FRIEND_ONLINE = 3110,
	NETWORK_IS_FRIEND_HANDLE_ONLINE = 3111,
	NETWORK_IS_FRIEND_IN_SAME_TITLE = 3112,
	NETWORK_IS_FRIEND_IN_MULTIPLAYER = 3113,
	NETWORK_IS_FRIEND = 3114,
	NETWORK_IS_PENDING_FRIEND = 3115,
	NETWORK_IS_ADDING_FRIEND = 3116,
	NETWORK_ADD_FRIEND = 3117,
	NETWORK_IS_FRIEND_INDEX_ONLINE = 3118,
	NETWORK_SET_PLAYER_IS_PASSIVE = 3119,
	NETWORK_GET_PLAYER_OWNS_WAYPOINT = 3120,
	NETWORK_CAN_SET_WAYPOINT = 3121,
	NETWORK_IGNORE_REMOTE_WAYPOINTS = 3122,
	_NETWORK_DOES_COMMUNICATION_GROUP_EXIST = 3123,
	_NETWORK_GET_COMMUNICATION_GROUP_FLAGS = 3124,
	_NETWORK_SET_COMMUNICATION_GROUP_FLAGS = 3125,
	_NETWORK_HAS_PLAYER_PASSED_CHECK_TYPE = 3126,
	NETWORK_IS_PLAYER_ON_BLOCKLIST = 3127,
	NETWORK_SET_SCRIPT_AUTOMUTED = 3128,
	NETWORK_HAS_AUTOMUTE_OVERRIDE = 3129,
	NETWORK_HAS_HEADSET = 3130,
	NETWORK_SET_LOOK_AT_TALKERS = 3131,
	NETWORK_IS_PUSH_TO_TALK_ACTIVE = 3132,
	NETWORK_GAMER_HAS_HEADSET = 3133,
	NETWORK_IS_GAMER_TALKING = 3134,
	NETWORK_PERMISSIONS_HAS_GAMER_RECORD = 3135,
	NETWORK_CAN_COMMUNICATE_WITH_GAMER = 3136,
	NETWORK_CAN_TEXT_CHAT_WITH_GAMER = 3137,
	NETWORK_IS_GAMER_MUTED_BY_ME = 3138,
	NETWORK_AM_I_MUTED_BY_GAMER = 3139,
	NETWORK_IS_GAMER_BLOCKED_BY_ME = 3140,
	NETWORK_AM_I_BLOCKED_BY_GAMER = 3141,
	NETWORK_CAN_VIEW_GAMER_USER_CONTENT = 3142,
	NETWORK_HAS_VIEW_GAMER_USER_CONTENT_RESULT = 3143,
	_NETWORK_CAN_TEXT_FROM_GAMER_BE_VIEWED = 3144,
	NETWORK_CAN_PLAY_MULTIPLAYER_WITH_GAMER = 3145,
	NETWORK_CAN_GAMER_PLAY_MULTIPLAYER_WITH_ME = 3146,
	NETWORK_CAN_SEND_LOCAL_INVITE = 3147,
	NETWORK_CAN_RECEIVE_LOCAL_INVITE = 3148,
	NETWORK_IS_PLAYER_TALKING = 3149,
	NETWORK_PLAYER_HAS_HEADSET = 3150,
	NETWORK_IS_PLAYER_MUTED_BY_ME = 3151,
	NETWORK_AM_I_MUTED_BY_PLAYER = 3152,
	NETWORK_IS_PLAYER_BLOCKED_BY_ME = 3153,
	NETWORK_AM_I_BLOCKED_BY_PLAYER = 3154,
	NETWORK_GET_PLAYER_LOUDNESS = 3155,
	NETWORK_SET_TALKER_PROXIMITY = 3156,
	NETWORK_GET_TALKER_PROXIMITY = 3157,
	NETWORK_SET_VOICE_ACTIVE = 3158,
	NETWORK_REMAIN_IN_GAME_CHAT = 3159,
	NETWORK_OVERRIDE_TRANSITION_CHAT = 3160,
	NETWORK_SET_TEAM_ONLY_CHAT = 3161,
	NETWORK_SET_SCRIPT_CONTROLLING_TEAMS = 3162,
	NETWORK_SET_SAME_TEAM_AS_LOCAL_PLAYER = 3163,
	NETWORK_OVERRIDE_TEAM_RESTRICTIONS = 3164,
	NETWORK_SET_OVERRIDE_SPECTATOR_MODE = 3165,
	NETWORK_SET_OVERRIDE_TUTORIAL_SESSION_CHAT = 3166,
	NETWORK_SET_PROXIMITY_AFFECTS_TEAM = 3167,
	NETWORK_SET_NO_SPECTATOR_CHAT = 3168,
	NETWORK_SET_IGNORE_SPECTATOR_CHAT_LIMITS_SAME_TEAM = 3169,
	NETWORK_OVERRIDE_CHAT_RESTRICTIONS = 3170,
	NETWORK_OVERRIDE_SEND_RESTRICTIONS = 3171,
	NETWORK_OVERRIDE_SEND_RESTRICTIONS_ALL = 3172,
	NETWORK_OVERRIDE_RECEIVE_RESTRICTIONS = 3173,
	NETWORK_OVERRIDE_RECEIVE_RESTRICTIONS_ALL = 3174,
	NETWORK_SET_VOICE_CHANNEL = 3175,
	NETWORK_CLEAR_VOICE_CHANNEL = 3176,
	NETWORK_APPLY_VOICE_PROXIMITY_OVERRIDE = 3177,
	NETWORK_CLEAR_VOICE_PROXIMITY_OVERRIDE = 3178,
	NETWORK_ENABLE_VOICE_BANDWIDTH_RESTRICTION = 3179,
	NETWORK_DISABLE_VOICE_BANDWIDTH_RESTRICTION = 3180,
	NETWORK_GET_MUTE_COUNT_FOR_PLAYER = 3181,
	NETWORK_SET_SPECTATOR_TO_NON_SPECTATOR_TEXT_CHAT = 3182,
	NETWORK_TEXT_CHAT_IS_TYPING = 3183,
	SHUTDOWN_AND_LAUNCH_SINGLE_PLAYER_GAME = 3184,
	SHUTDOWN_AND_LOAD_MOST_RECENT_SAVE = 3185,
	NETWORK_SET_FRIENDLY_FIRE_OPTION = 3186,
	NETWORK_SET_RICH_PRESENCE = 3187,
	NETWORK_SET_RICH_PRESENCE_STRING = 3188,
	NETWORK_GET_TIMEOUT_TIME = 3189,
	NETWORK_LEAVE_PED_BEHIND_BEFORE_WARP = 3190,
	NETWORK_LEAVE_PED_BEHIND_BEFORE_CUTSCENE = 3191,
	REMOVE_ALL_STICKY_BOMBS_FROM_ENTITY = 3192,
	NETWORK_KEEP_ENTITY_COLLISION_DISABLED_AFTER_ANIM_SCENE = 3193,
	NETWORK_IS_ANY_PLAYER_NEAR = 3194,
	NETWORK_CLAN_SERVICE_IS_VALID = 3195,
	NETWORK_CLAN_PLAYER_IS_ACTIVE = 3196,
	NETWORK_CLAN_PLAYER_GET_DESC = 3197,
	NETWORK_CLAN_IS_ROCKSTAR_CLAN = 3198,
	NETWORK_CLAN_GET_UI_FORMATTED_TAG = 3199,
	NETWORK_CLAN_GET_LOCAL_MEMBERSHIPS_COUNT = 3200,
	NETWORK_CLAN_GET_MEMBERSHIP_DESC = 3201,
	NETWORK_CLAN_DOWNLOAD_MEMBERSHIP = 3202,
	NETWORK_CLAN_DOWNLOAD_MEMBERSHIP_PENDING = 3203,
	NETWORK_CLAN_ANY_DOWNLOAD_MEMBERSHIP_PENDING = 3204,
	NETWORK_CLAN_REMOTE_MEMBERSHIPS_ARE_IN_CACHE = 3205,
	NETWORK_CLAN_GET_MEMBERSHIP_COUNT = 3206,
	NETWORK_CLAN_GET_MEMBERSHIP_VALID = 3207,
	NETWORK_CLAN_GET_MEMBERSHIP = 3208,
	NETWORK_CLAN_JOIN = 3209,
	NETWORK_CLAN_CREWINFO_GET_STRING_VALUE = 3210,
	NETWORK_CLAN_CREWINFO_GET_CREWRANKTITLE = 3211,
	NETWORK_CLAN_HAS_CREWINFO_METADATA_BEEN_RECEIVED = 3212,
	NETWORK_CLAN_GET_EMBLEM_TXD_NAME = 3213,
	NETWORK_CLAN_REQUEST_EMBLEM = 3214,
	NETWORK_CLAN_IS_EMBLEM_READY = 3215,
	NETWORK_CLAN_RELEASE_EMBLEM = 3216,
	NETWORK_GET_PRIMARY_CLAN_DATA_CLEAR = 3217,
	NETWORK_GET_PRIMARY_CLAN_DATA_CANCEL = 3218,
	NETWORK_GET_PRIMARY_CLAN_DATA_START = 3219,
	NETWORK_GET_PRIMARY_CLAN_DATA_PENDING = 3220,
	NETWORK_GET_PRIMARY_CLAN_DATA_SUCCESS = 3221,
	NETWORK_GET_PRIMARY_CLAN_DATA_NEW = 3222,
	SET_NETWORK_ID_CAN_MIGRATE = 3223,
	SET_NETWORK_ID_EXISTS_ON_ALL_MACHINES = 3224,
	SET_NETWORK_ID_ALWAYS_EXISTS_FOR_PLAYER = 3225,
	SET_NETWORK_ID_CAN_BE_REASSIGNED = 3226,
	NETWORK_SET_ENTITY_CAN_BLEND = 3227,
	NETWORK_SET_OBJECT_CAN_BLEND_WHEN_FIXED = 3228,
	NETWORK_SET_ENTITY_ONLY_EXISTS_FOR_PARTICIPANTS = 3229,
	SET_NETWORK_ID_VISIBLE_IN_CUTSCENE = 3230,
	SET_NETWORK_ID_VISIBLE_IN_CUTSCENE_HACK = 3231,
	SET_NETWORK_ID_VISIBLE_IN_CUTSCENE_REMAIN_HACK = 3232,
	SET_NETWORK_CUTSCENE_ENTITIES = 3233,
	ARE_CUTSCENE_ENTITIES_NETWORKED = 3234,
	SET_NETWORK_ID_PASS_CONTROL_IN_TUTORIAL = 3235,
	IS_NETWORK_ID_OWNED_BY_PARTICIPANT = 3236,
	SET_REMOTE_PLAYER_VISIBLE_IN_CUTSCENE = 3237,
	SET_LOCAL_PLAYER_VISIBLE_IN_CUTSCENE = 3238,
	SET_LOCAL_PLAYER_INVISIBLE_LOCALLY = 3239,
	SET_LOCAL_PLAYER_VISIBLE_LOCALLY = 3240,
	SET_PLAYER_INVISIBLE_LOCALLY = 3241,
	SET_PLAYER_VISIBLE_LOCALLY = 3242,
	FADE_OUT_LOCAL_PLAYER = 3243,
	NETWORK_FADE_OUT_ENTITY = 3244,
	NETWORK_FADE_IN_ENTITY = 3245,
	NETWORK_IS_PLAYER_FADING = 3246,
	NETWORK_IS_ENTITY_FADING = 3247,
	IS_PLAYER_IN_CUTSCENE = 3248,
	SET_ENTITY_VISIBLE_IN_CUTSCENE = 3249,
	SET_ENTITY_LOCALLY_INVISIBLE = 3250,
	SET_ENTITY_LOCALLY_VISIBLE = 3251,
	IS_DAMAGE_TRACKER_ACTIVE_ON_NETWORK_ID = 3252,
	ACTIVATE_DAMAGE_TRACKER_ON_NETWORK_ID = 3253,
	IS_DAMAGE_TRACKER_ACTIVE_ON_PLAYER = 3254,
	ACTIVATE_DAMAGE_TRACKER_ON_PLAYER = 3255,
	IS_SPHERE_VISIBLE_TO_ANOTHER_MACHINE = 3256,
	IS_SPHERE_VISIBLE_TO_PLAYER = 3257,
	RESERVE_NETWORK_MISSION_OBJECTS = 3258,
	RESERVE_NETWORK_MISSION_PEDS = 3259,
	RESERVE_NETWORK_MISSION_VEHICLES = 3260,
	RESERVE_LOCAL_NETWORK_MISSION_OBJECTS = 3261,
	RESERVE_LOCAL_NETWORK_MISSION_PEDS = 3262,
	RESERVE_LOCAL_NETWORK_MISSION_VEHICLES = 3263,
	CAN_REGISTER_MISSION_OBJECTS = 3264,
	CAN_REGISTER_MISSION_PEDS = 3265,
	CAN_REGISTER_MISSION_VEHICLES = 3266,
	CAN_REGISTER_MISSION_PICKUPS = 3267,
	CAN_REGISTER_MISSION_DOORS = 3268,
	CAN_REGISTER_MISSION_ENTITIES = 3269,
	GET_NUM_RESERVED_MISSION_OBJECTS = 3270,
	GET_NUM_RESERVED_MISSION_PEDS = 3271,
	GET_NUM_RESERVED_MISSION_VEHICLES = 3272,
	GET_NUM_CREATED_MISSION_OBJECTS = 3273,
	GET_NUM_CREATED_MISSION_PEDS = 3274,
	GET_NUM_CREATED_MISSION_VEHICLES = 3275,
	GET_RESERVED_MISSION_ENTITIES_IN_AREA = 3276,
	GET_MAX_NUM_NETWORK_OBJECTS = 3277,
	GET_MAX_NUM_NETWORK_PEDS = 3278,
	GET_MAX_NUM_NETWORK_VEHICLES = 3279,
	GET_MAX_NUM_NETWORK_PICKUPS = 3280,
	NETWORK_SET_OBJECT_SCOPE_DISTANCE = 3281,
	NETWORK_ALLOW_CLONING_WHILE_IN_TUTORIAL = 3282,
	NETWORK_SET_TASK_CUTSCENE_INSCOPE_MULTIPLER = 3283,
	_NETWORK_HIDE_ENTITY_IN_TUTORIAL_SESSION = 3284,
	GET_NETWORK_TIME = 3285,
	GET_NETWORK_TIME_ACCURATE = 3286,
	HAS_NETWORK_TIME_STARTED = 3287,
	GET_TIME_OFFSET = 3288,
	IS_TIME_LESS_THAN = 3289,
	IS_TIME_MORE_THAN = 3290,
	IS_TIME_EQUAL_TO = 3291,
	GET_TIME_DIFFERENCE = 3292,
	GET_TIME_AS_STRING = 3293,
	GET_CLOUD_TIME_AS_STRING = 3294,
	GET_CLOUD_TIME_AS_INT = 3295,
	CONVERT_POSIX_TIME = 3296,
	NETWORK_SET_IN_SPECTATOR_MODE = 3297,
	NETWORK_SET_IN_SPECTATOR_MODE_EXTENDED = 3298,
	NETWORK_SET_IN_FREE_CAM_MODE = 3299,
	NETWORK_SET_ANTAGONISTIC_TO_PLAYER = 3300,
	NETWORK_IS_IN_SPECTATOR_MODE = 3301,
	NETWORK_SET_IN_MP_CUTSCENE = 3302,
	NETWORK_IS_IN_MP_CUTSCENE = 3303,
	NETWORK_IS_PLAYER_IN_MP_CUTSCENE = 3304,
	NETWORK_HIDE_PROJECTILE_IN_CUTSCENE = 3305,
	SET_NETWORK_VEHICLE_RESPOT_TIMER = 3306,
	IS_NETWORK_VEHICLE_RUNNING_RESPOT_TIMER = 3307,
	SET_NETWORK_VEHICLE_AS_GHOST = 3308,
	SET_NETWORK_VEHICLE_MAX_POSITION_DELTA_MULTIPLIER = 3309,
	SET_NETWORK_ENABLE_HIGH_SPEED_EDGE_FALL_DETECTION = 3310,
	SET_LOCAL_PLAYER_AS_GHOST = 3311,
	IS_ENTITY_A_GHOST = 3312,
	SET_NON_PARTICIPANTS_OF_THIS_SCRIPT_AS_GHOSTS = 3313,
	SET_REMOTE_PLAYER_AS_GHOST = 3314,
	SET_GHOST_ALPHA = 3315,
	RESET_GHOST_ALPHA = 3316,
	SET_ENTITY_GHOSTED_FOR_GHOST_PLAYERS = 3317,
	SET_INVERT_GHOSTING = 3318,
	IS_ENTITY_IN_GHOST_COLLISION = 3319,
	_SET_FREEMODE_REPORT_DATA = 3320,
	USE_PLAYER_COLOUR_INSTEAD_OF_TEAM_COLOUR = 3321,
	NETWORK_CREATE_SYNCHRONISED_SCENE = 3322,
	NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE = 3323,
	NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE_WITH_IK = 3324,
	NETWORK_ADD_ENTITY_TO_SYNCHRONISED_SCENE = 3325,
	NETWORK_ADD_MAP_ENTITY_TO_SYNCHRONISED_SCENE = 3326,
	NETWORK_ADD_SYNCHRONISED_SCENE_CAMERA = 3327,
	NETWORK_ATTACH_SYNCHRONISED_SCENE_TO_ENTITY = 3328,
	NETWORK_START_SYNCHRONISED_SCENE = 3329,
	NETWORK_STOP_SYNCHRONISED_SCENE = 3330,
	NETWORK_GET_LOCAL_SCENE_FROM_NETWORK_ID = 3331,
	NETWORK_FORCE_LOCAL_USE_OF_SYNCED_SCENE_CAMERA = 3332,
	NETWORK_ALLOW_REMOTE_SYNCED_SCENE_LOCAL_PLAYER_REQUESTS = 3333,
	NETWORK_FIND_LARGEST_BUNCH_OF_PLAYERS = 3334,
	NETWORK_START_RESPAWN_SEARCH_FOR_PLAYER = 3335,
	NETWORK_START_RESPAWN_SEARCH_IN_ANGLED_AREA_FOR_PLAYER = 3336,
	NETWORK_QUERY_RESPAWN_RESULTS = 3337,
	NETWORK_CANCEL_RESPAWN_SEARCH = 3338,
	NETWORK_GET_RESPAWN_RESULT = 3339,
	NETWORK_GET_RESPAWN_RESULT_FLAGS = 3340,
	NETWORK_START_SOLO_TUTORIAL_SESSION = 3341,
	NETWORK_ALLOW_GANG_TO_JOIN_TUTORIAL_SESSION = 3342,
	NETWORK_END_TUTORIAL_SESSION = 3343,
	NETWORK_IS_IN_TUTORIAL_SESSION = 3344,
	NETWORK_WAITING_POP_CLEAR_TUTORIAL_SESSION = 3345,
	NETWORK_IS_TUTORIAL_SESSION_CHANGE_PENDING = 3346,
	NETWORK_GET_PLAYER_TUTORIAL_SESSION_INSTANCE = 3347,
	NETWORK_ARE_PLAYERS_IN_SAME_TUTORIAL_SESSION = 3348,
	NETWORK_BLOCK_PROXY_MIGRATION_BETWEEN_TUTORIAL_SESSIONS = 3349,
	NETWORK_CONCEAL_PLAYER = 3350,
	NETWORK_IS_PLAYER_CONCEALED = 3351,
	NETWORK_CONCEAL_ENTITY = 3352,
	NETWORK_IS_ENTITY_CONCEALED = 3353,
	NETWORK_OVERRIDE_CLOCK_TIME = 3354,
	NETWORK_OVERRIDE_CLOCK_RATE = 3355,
	NETWORK_CLEAR_CLOCK_TIME_OVERRIDE = 3356,
	NETWORK_IS_CLOCK_TIME_OVERRIDDEN = 3357,
	NETWORK_ADD_ENTITY_AREA = 3358,
	NETWORK_ADD_ENTITY_ANGLED_AREA = 3359,
	NETWORK_ADD_CLIENT_ENTITY_AREA = 3360,
	NETWORK_ADD_CLIENT_ENTITY_ANGLED_AREA = 3361,
	NETWORK_REMOVE_ENTITY_AREA = 3362,
	NETWORK_ENTITY_AREA_DOES_EXIST = 3363,
	NETWORK_ENTITY_AREA_HAVE_ALL_REPLIED = 3364,
	NETWORK_ENTITY_AREA_IS_OCCUPIED = 3365,
	NETWORK_USE_HIGH_PRECISION_BLENDING = 3366,
	NETWORK_SET_CUSTOM_ARENA_BALL_PARAMS = 3367,
	NETWORK_ENTITY_USE_HIGH_PRECISION_ROTATION = 3368,
	NETWORK_REQUEST_CLOUD_BACKGROUND_SCRIPTS = 3369,
	NETWORK_IS_CLOUD_BACKGROUND_SCRIPT_REQUEST_PENDING = 3370,
	NETWORK_REQUEST_CLOUD_TUNABLES = 3371,
	NETWORK_IS_TUNABLE_CLOUD_REQUEST_PENDING = 3372,
	NETWORK_GET_TUNABLE_CLOUD_CRC = 3373,
	_NETWORK_SET_TUNABLES_REGISTRATION_CONTEXTS = 3374,
	_NETWORK_CLEAR_TUNABLES_REGISTRATION_CONTEXTS = 3375,
	_NETWORK_GET_TUNABLES_REGISTRATION_BOOL = 3376,
	_NETWORK_GET_TUNABLES_REGISTRATION_INT = 3377,
	_NETWORK_GET_TUNABLES_REGISTRATION_FLOAT = 3378,
	NETWORK_DOES_TUNABLE_EXIST = 3379,
	NETWORK_ACCESS_TUNABLE_INT = 3380,
	NETWORK_ACCESS_TUNABLE_FLOAT = 3381,
	NETWORK_ACCESS_TUNABLE_BOOL = 3382,
	NETWORK_DOES_TUNABLE_EXIST_HASH = 3383,
	NETWORK_ACCESS_TUNABLE_MODIFICATION_DETECTION_CLEAR = 3384,
	NETWORK_ACCESS_TUNABLE_INT_HASH = 3385,
	NETWORK_ACCESS_TUNABLE_INT_MODIFICATION_DETECTION_REGISTRATION_HASH = 3386,
	NETWORK_ACCESS_TUNABLE_FLOAT_HASH = 3387,
	NETWORK_ACCESS_TUNABLE_FLOAT_MODIFICATION_DETECTION_REGISTRATION_HASH = 3388,
	NETWORK_ACCESS_TUNABLE_BOOL_HASH = 3389,
	NETWORK_ACCESS_TUNABLE_BOOL_MODIFICATION_DETECTION_REGISTRATION_HASH = 3390,
	NETWORK_TRY_ACCESS_TUNABLE_BOOL_HASH = 3391,
	NETWORK_GET_CONTENT_MODIFIER_LIST_ID = 3392,
	NETWORK_GET_BONE_ID_OF_FATAL_HIT = 3393,
	NETWORK_RESET_BODY_TRACKER = 3394,
	NETWORK_GET_NUMBER_BODY_TRACKER_HITS = 3395,
	NETWORK_HAS_BONE_BEEN_HIT_BY_KILLER = 3396,
	NETWORK_SET_ATTRIBUTE_DAMAGE_TO_PLAYER = 3397,
	NETWORK_TRIGGER_DAMAGE_EVENT_FOR_ZERO_DAMAGE = 3398,
	_NETWORK_TRIGGER_DAMAGE_EVENT_FOR_ZERO_PED_DAMAGE = 3399,
	NETWORK_TRIGGER_DAMAGE_EVENT_FOR_ZERO_WEAPON_HASH = 3400,
	NETWORK_SET_NO_LONGER_NEEDED = 3401,
	NETWORK_EXPLODE_VEHICLE = 3402,
	NETWORK_EXPLODE_HELI = 3403,
	NETWORK_USE_LOGARITHMIC_BLENDING_THIS_FRAME = 3404,
	NETWORK_OVERRIDE_COORDS_AND_HEADING = 3405,
	NETWORK_ENABLE_EXTRA_VEHICLE_ORIENTATION_BLEND_CHECKS = 3406,
	NETWORK_DISABLE_PROXIMITY_MIGRATION = 3407,
	NETWORK_SET_PROPERTY_ID = 3408,
	NETWORK_CLEAR_PROPERTY_ID = 3409,
	NETWORK_SET_PLAYER_MENTAL_STATE = 3410,
	NETWORK_SET_MINIMUM_RANK_FOR_MISSION = 3411,
	NETWORK_CACHE_LOCAL_PLAYER_HEAD_BLEND_DATA = 3412,
	NETWORK_HAS_CACHED_PLAYER_HEAD_BLEND_DATA = 3413,
	NETWORK_APPLY_CACHED_PLAYER_HEAD_BLEND_DATA = 3414,
	GET_NUM_COMMERCE_ITEMS = 3415,
	IS_COMMERCE_DATA_VALID = 3416,
	TRIGGER_COMMERCE_DATA_FETCH = 3417,
	IS_COMMERCE_DATA_FETCH_IN_PROGRESS = 3418,
	GET_COMMERCE_ITEM_ID = 3419,
	GET_COMMERCE_ITEM_NAME = 3420,
	GET_COMMERCE_PRODUCT_PRICE = 3421,
	GET_COMMERCE_ITEM_NUM_CATS = 3422,
	GET_COMMERCE_ITEM_CAT = 3423,
	OPEN_COMMERCE_STORE = 3424,
	IS_COMMERCE_STORE_OPEN = 3425,
	SET_STORE_ENABLED = 3426,
	REQUEST_COMMERCE_ITEM_IMAGE = 3427,
	RELEASE_ALL_COMMERCE_ITEM_IMAGES = 3428,
	GET_COMMERCE_ITEM_TEXTURENAME = 3429,
	IS_STORE_AVAILABLE_TO_USER = 3430,
	DELAY_MP_STORE_OPEN = 3431,
	RESET_STORE_NETWORK_GAME_TRACKING = 3432,
	IS_USER_OLD_ENOUGH_TO_ACCESS_STORE = 3433,
	SET_LAST_VIEWED_SHOP_ITEM = 3434,
	GET_USER_PREMIUM_ACCESS = 3435,
	GET_USER_STARTER_ACCESS = 3436,
	CLOUD_DELETE_MEMBER_FILE = 3437,
	CLOUD_HAS_REQUEST_COMPLETED = 3438,
	CLOUD_DID_REQUEST_SUCCEED = 3439,
	CLOUD_CHECK_AVAILABILITY = 3440,
	CLOUD_IS_CHECKING_AVAILABILITY = 3441,
	CLOUD_GET_AVAILABILITY_CHECK_RESULT = 3442,
	GET_CONTENT_TO_LOAD_TYPE = 3443,
	GET_IS_LAUNCH_FROM_LIVE_AREA = 3444,
	GET_IS_LIVE_AREA_LAUNCH_WITH_CONTENT = 3445,
	CLEAR_SERVICE_EVENT_ARGUMENTS = 3446,
	UGC_COPY_CONTENT = 3447,
	UGC_IS_CREATING = 3448,
	UGC_HAS_CREATE_FINISHED = 3449,
	UGC_DID_CREATE_SUCCEED = 3450,
	UGC_GET_CREATE_RESULT = 3451,
	UGC_GET_CREATE_CONTENT_ID = 3452,
	UGC_CLEAR_CREATE_RESULT = 3453,
	UGC_QUERY_MY_CONTENT = 3454,
	UGC_QUERY_BY_CATEGORY = 3455,
	UGC_QUERY_BY_CONTENT_ID = 3456,
	UGC_QUERY_BY_CONTENT_IDS = 3457,
	UGC_QUERY_MOST_RECENTLY_CREATED_CONTENT = 3458,
	UGC_GET_BOOKMARKED_CONTENT = 3459,
	UGC_GET_MY_CONTENT = 3460,
	UGC_GET_FRIEND_CONTENT = 3461,
	UGC_GET_CREW_CONTENT = 3462,
	UGC_GET_GET_BY_CATEGORY = 3463,
	UGC_GET_GET_BY_CONTENT_ID = 3464,
	UGC_GET_GET_BY_CONTENT_IDS = 3465,
	UGC_GET_MOST_RECENTLY_CREATED_CONTENT = 3466,
	UGC_GET_MOST_RECENTLY_PLAYED_CONTENT = 3467,
	UGC_GET_TOP_RATED_CONTENT = 3468,
	UGC_CANCEL_QUERY = 3469,
	UGC_IS_GETTING = 3470,
	UGC_HAS_GET_FINISHED = 3471,
	UGC_DID_GET_SUCCEED = 3472,
	UGC_WAS_QUERY_FORCE_CANCELLED = 3473,
	UGC_GET_QUERY_RESULT = 3474,
	UGC_GET_CONTENT_NUM = 3475,
	UGC_GET_CONTENT_TOTAL = 3476,
	UGC_GET_CONTENT_HASH = 3477,
	UGC_CLEAR_QUERY_RESULTS = 3478,
	UGC_GET_CONTENT_USER_ID = 3479,
	UGC_GET_CONTENT_CREATOR_GAMER_HANDLE = 3480,
	UGC_GET_CONTENT_CREATED_BY_LOCAL_PLAYER = 3481,
	UGC_GET_CONTENT_USER_NAME = 3482,
	UGC_GET_CONTENT_IS_USING_SC_NICKNAME = 3483,
	UGC_GET_CONTENT_CATEGORY = 3484,
	UGC_GET_CONTENT_ID = 3485,
	UGC_GET_ROOT_CONTENT_ID = 3486,
	UGC_GET_CONTENT_NAME = 3487,
	UGC_GET_CONTENT_DESCRIPTION_HASH = 3488,
	UGC_GET_CONTENT_PATH = 3489,
	UGC_GET_CONTENT_UPDATED_DATE = 3490,
	UGC_GET_CONTENT_FILE_VERSION = 3491,
	UGC_GET_CONTENT_HAS_LO_RES_PHOTO = 3492,
	UGC_GET_CONTENT_HAS_HI_RES_PHOTO = 3493,
	UGC_GET_CONTENT_LANGUAGE = 3494,
	UGC_GET_CONTENT_IS_PUBLISHED = 3495,
	UGC_GET_CONTENT_IS_VERIFIED = 3496,
	UGC_GET_CONTENT_RATING = 3497,
	UGC_GET_CONTENT_RATING_COUNT = 3498,
	UGC_GET_CONTENT_RATING_POSITIVE_COUNT = 3499,
	UGC_GET_CONTENT_RATING_NEGATIVE_COUNT = 3500,
	UGC_GET_CONTENT_HAS_PLAYER_RECORD = 3501,
	UGC_GET_CONTENT_HAS_PLAYER_BOOKMARKED = 3502,
	UGC_REQUEST_CONTENT_DATA_FROM_INDEX = 3503,
	UGC_REQUEST_CONTENT_DATA_FROM_PARAMS = 3504,
	UGC_REQUEST_CACHED_DESCRIPTION = 3505,
	UGC_IS_DESCRIPTION_REQUEST_IN_PROGRESS = 3506,
	UGC_HAS_DESCRIPTION_REQUEST_FINISHED = 3507,
	UGC_DID_DESCRIPTION_REQUEST_SUCCEED = 3508,
	UGC_GET_CACHED_DESCRIPTION = 3509,
	UGC_RELEASE_CACHED_DESCRIPTION = 3510,
	UGC_RELEASE_ALL_CACHED_DESCRIPTIONS = 3511,
	UGC_HAS_PERMISSION_TO_WRITE = 3512,
	UGC_PUBLISH = 3513,
	UGC_SET_BOOKMARKED = 3514,
	UGC_SET_DELETED = 3515,
	UGC_IS_MODIFYING = 3516,
	UGC_HAS_MODIFY_FINISHED = 3517,
	UGC_DID_MODIFY_SUCCEED = 3518,
	UGC_GET_MODIFY_RESULT = 3519,
	UGC_CLEAR_MODIFY_RESULT = 3520,
	UGC_GET_CREATORS_BY_USER_ID = 3521,
	UGC_HAS_QUERY_CREATORS_FINISHED = 3522,
	UGC_DID_QUERY_CREATORS_SUCCEED = 3523,
	UGC_GET_CREATOR_NUM = 3524,
	UGC_LOAD_OFFLINE_QUERY = 3525,
	UGC_CLEAR_OFFLINE_QUERY = 3526,
	UGC_SET_QUERY_DATA_FROM_OFFLINE = 3527,
	UGC_SET_USING_OFFLINE_CONTENT = 3528,
	UGC_IS_LANGUAGE_SUPPORTED = 3529,
	FACEBOOK_POST_COMPLETED_HEIST = 3530,
	FACEBOOK_POST_CREATE_CHARACTER = 3531,
	FACEBOOK_POST_COMPLETED_MILESTONE = 3532,
	FACEBOOK_HAS_POST_COMPLETED = 3533,
	FACEBOOK_DID_POST_SUCCEED = 3534,
	FACEBOOK_CAN_POST_TO_FACEBOOK = 3535,
	TEXTURE_DOWNLOAD_REQUEST = 3536,
	TITLE_TEXTURE_DOWNLOAD_REQUEST = 3537,
	UGC_TEXTURE_DOWNLOAD_REQUEST = 3538,
	TEXTURE_DOWNLOAD_RELEASE = 3539,
	TEXTURE_DOWNLOAD_HAS_FAILED = 3540,
	TEXTURE_DOWNLOAD_GET_NAME = 3541,
	GET_STATUS_OF_TEXTURE_DOWNLOAD = 3542,
	NETWORK_CHECK_ROS_LINK_WENTDOWN_NOT_NET = 3543,
	NETWORK_SHOULD_SHOW_STRICT_NAT_WARNING = 3544,
	NETWORK_IS_CABLE_CONNECTED = 3545,
	NETWORK_HAVE_SCS_PRIVATE_MSG_PRIV = 3546,
	NETWORK_HAVE_ROS_SOCIAL_CLUB_PRIV = 3547,
	NETWORK_HAVE_ROS_BANNED_PRIV = 3548,
	NETWORK_HAVE_ROS_CREATE_TICKET_PRIV = 3549,
	NETWORK_HAVE_ROS_MULTIPLAYER_PRIV = 3550,
	NETWORK_HAVE_ROS_LEADERBOARD_WRITE_PRIV = 3551,
	NETWORK_HAS_ROS_PRIVILEGE = 3552,
	NETWORK_HAS_ROS_PRIVILEGE_END_DATE = 3553,
	NETWORK_HAS_ROS_PRIVILEGE_PLAYED_LAST_GEN = 3554,
	NETWORK_HAS_ROS_PRIVILEGE_SPECIAL_EDITION_CONTENT = 3555,
	_NETWORK_HAS_ROS_PRIVILEGE_MP_TEXT_COMMUNICATION = 3556,
	_NETWORK_HAS_ROS_PRIVILEGE_MP_VOICE_COMMUNICATION = 3557,
	_NETWORK_HAS_ROS_PRIVILEGE_REPORTING = 3558,
	NETWORK_START_COMMUNICATION_PERMISSIONS_CHECK = 3559,
	NETWORK_START_USER_CONTENT_PERMISSIONS_CHECK = 3560,
	NETWORK_SKIP_RADIO_RESET_NEXT_CLOSE = 3561,
	NETWORK_SKIP_RADIO_RESET_NEXT_OPEN = 3562,
	NETWORK_SKIP_RADIO_WARNING = 3563,
	NETWORK_FORCE_LOCAL_PLAYER_SCAR_SYNC = 3564,
	NETWORK_DISABLE_LEAVE_REMOTE_PED_BEHIND = 3565,
	NETWORK_ALLOW_REMOTE_ATTACHMENT_MODIFICATION = 3566,
	NETWORK_SHOW_CHAT_RESTRICTION_MSC = 3567,
	NETWORK_SHOW_PSN_UGC_RESTRICTION = 3568,
	NETWORK_IS_TITLE_UPDATE_REQUIRED = 3569,
	NETWORK_QUIT_MP_TO_DESKTOP = 3570,
	NETWORK_IS_CONNECTED_VIA_RELAY = 3571,
	NETWORK_GET_AVERAGE_LATENCY = 3572,
	NETWORK_GET_AVERAGE_PING = 3573,
	NETWORK_GET_AVERAGE_PACKET_LOSS = 3574,
	NETWORK_GET_NUM_UNACKED_RELIABLES = 3575,
	NETWORK_GET_UNRELIABLE_RESEND_COUNT = 3576,
	NETWORK_GET_HIGHEST_RELIABLE_RESEND_COUNT = 3577,
	NETWORK_REPORT_CODE_TAMPER = 3578,
	NETWORK_GET_LAST_ENTITY_POS_RECEIVED_OVER_NETWORK = 3579,
	NETWORK_GET_LAST_PLAYER_POS_RECEIVED_OVER_NETWORK = 3580,
	NETWORK_GET_LAST_VEL_RECEIVED_OVER_NETWORK = 3581,
	NETWORK_GET_PREDICTED_VELOCITY = 3582,
	NETWORK_DUMP_NET_IF_CONFIG = 3583,
	NETWORK_GET_SIGNALLING_INFO = 3584,
	NETWORK_GET_NET_STATISTICS_INFO = 3585,
	NETWORK_GET_PLAYER_ACCOUNT_ID = 3586,
	NETWORK_UGC_NAV = 3587,
	CREATE_OBJECT = 3588,
	CREATE_OBJECT_NO_OFFSET = 3589,
	DELETE_OBJECT = 3590,
	PLACE_OBJECT_ON_GROUND_PROPERLY = 3591,
	PLACE_OBJECT_ON_GROUND_OR_OBJECT_PROPERLY = 3592,
	ROTATE_OBJECT = 3593,
	SLIDE_OBJECT = 3594,
	SET_OBJECT_TARGETTABLE = 3595,
	_SET_OBJECT_TARGETTABLE_BY_PLAYER = 3596,
	SET_OBJECT_FORCE_VEHICLES_TO_AVOID = 3597,
	GET_CLOSEST_OBJECT_OF_TYPE = 3598,
	HAS_OBJECT_BEEN_BROKEN = 3599,
	HAS_CLOSEST_OBJECT_OF_TYPE_BEEN_BROKEN = 3600,
	HAS_CLOSEST_OBJECT_OF_TYPE_BEEN_COMPLETELY_DESTROYED = 3601,
	GET_HAS_OBJECT_BEEN_COMPLETELY_DESTROYED = 3602,
	GET_OFFSET_FROM_COORD_AND_HEADING_IN_WORLD_COORDS = 3603,
	GET_COORDS_AND_ROTATION_OF_CLOSEST_OBJECT_OF_TYPE = 3604,
	SET_STATE_OF_CLOSEST_DOOR_OF_TYPE = 3605,
	GET_STATE_OF_CLOSEST_DOOR_OF_TYPE = 3606,
	SET_LOCKED_UNSTREAMED_IN_DOOR_OF_TYPE = 3607,
	PLAY_OBJECT_AUTO_START_ANIM = 3608,
	ADD_DOOR_TO_SYSTEM = 3609,
	REMOVE_DOOR_FROM_SYSTEM = 3610,
	DOOR_SYSTEM_SET_DOOR_STATE = 3611,
	DOOR_SYSTEM_GET_DOOR_STATE = 3612,
	DOOR_SYSTEM_GET_DOOR_PENDING_STATE = 3613,
	DOOR_SYSTEM_SET_AUTOMATIC_RATE = 3614,
	DOOR_SYSTEM_SET_AUTOMATIC_DISTANCE = 3615,
	DOOR_SYSTEM_SET_OPEN_RATIO = 3616,
	DOOR_SYSTEM_GET_AUTOMATIC_DISTANCE = 3617,
	DOOR_SYSTEM_GET_OPEN_RATIO = 3618,
	DOOR_SYSTEM_SET_SPRING_REMOVED = 3619,
	DOOR_SYSTEM_SET_HOLD_OPEN = 3620,
	DOOR_SYSTEM_SET_DOOR_OPEN_FOR_RACES = 3621,
	IS_DOOR_REGISTERED_WITH_SYSTEM = 3622,
	IS_DOOR_CLOSED = 3623,
	OPEN_ALL_BARRIERS_FOR_RACE = 3624,
	CLOSE_ALL_BARRIERS_FOR_RACE = 3625,
	DOOR_SYSTEM_GET_IS_PHYSICS_LOADED = 3626,
	DOOR_SYSTEM_FIND_EXISTING_DOOR = 3627,
	IS_GARAGE_EMPTY = 3628,
	IS_PLAYER_ENTIRELY_INSIDE_GARAGE = 3629,
	IS_PLAYER_PARTIALLY_INSIDE_GARAGE = 3630,
	ARE_ENTITIES_ENTIRELY_INSIDE_GARAGE = 3631,
	IS_ANY_ENTITY_ENTIRELY_INSIDE_GARAGE = 3632,
	IS_OBJECT_ENTIRELY_INSIDE_GARAGE = 3633,
	IS_OBJECT_PARTIALLY_INSIDE_GARAGE = 3634,
	CLEAR_GARAGE = 3635,
	CLEAR_OBJECTS_INSIDE_GARAGE = 3636,
	DISABLE_TIDYING_UP_IN_GARAGE = 3637,
	ENABLE_SAVING_IN_GARAGE = 3638,
	CLOSE_SAFEHOUSE_GARAGES = 3639,
	DOES_OBJECT_OF_TYPE_EXIST_AT_COORDS = 3640,
	IS_POINT_IN_ANGLED_AREA = 3641,
	SET_OBJECT_ALLOW_LOW_LOD_BUOYANCY = 3642,
	SET_OBJECT_PHYSICS_PARAMS = 3643,
	GET_OBJECT_FRAGMENT_DAMAGE_HEALTH = 3644,
	SET_ACTIVATE_OBJECT_PHYSICS_AS_SOON_AS_IT_IS_UNFROZEN = 3645,
	IS_ANY_OBJECT_NEAR_POINT = 3646,
	IS_OBJECT_NEAR_POINT = 3647,
	REMOVE_OBJECT_HIGH_DETAIL_MODEL = 3648,
	BREAK_OBJECT_FRAGMENT_CHILD = 3649,
	DAMAGE_OBJECT_FRAGMENT_CHILD = 3650,
	FIX_OBJECT_FRAGMENT = 3651,
	TRACK_OBJECT_VISIBILITY = 3652,
	IS_OBJECT_VISIBLE = 3653,
	SET_OBJECT_IS_SPECIAL_GOLFBALL = 3654,
	SET_OBJECT_TAKES_DAMAGE_FROM_COLLIDING_WITH_BUILDINGS = 3655,
	ALLOW_DAMAGE_EVENTS_FOR_NON_NETWORKED_OBJECTS = 3656,
	SET_CUTSCENES_WEAPON_FLASHLIGHT_ON_THIS_FRAME = 3657,
	GET_RAYFIRE_MAP_OBJECT = 3658,
	SET_STATE_OF_RAYFIRE_MAP_OBJECT = 3659,
	GET_STATE_OF_RAYFIRE_MAP_OBJECT = 3660,
	DOES_RAYFIRE_MAP_OBJECT_EXIST = 3661,
	GET_RAYFIRE_MAP_OBJECT_ANIM_PHASE = 3662,
	CREATE_PICKUP = 3663,
	CREATE_PICKUP_ROTATE = 3664,
	FORCE_PICKUP_ROTATE_FACE_UP = 3665,
	SET_CUSTOM_PICKUP_WEAPON_HASH = 3666,
	CREATE_AMBIENT_PICKUP = 3667,
	CREATE_NON_NETWORKED_AMBIENT_PICKUP = 3668,
	BLOCK_PLAYERS_FOR_AMBIENT_PICKUP = 3669,
	CREATE_PORTABLE_PICKUP = 3670,
	CREATE_NON_NETWORKED_PORTABLE_PICKUP = 3671,
	ATTACH_PORTABLE_PICKUP_TO_PED = 3672,
	DETACH_PORTABLE_PICKUP_FROM_PED = 3673,
	FORCE_PORTABLE_PICKUP_LAST_ACCESSIBLE_POSITION_SETTING = 3674,
	HIDE_PORTABLE_PICKUP_WHEN_DETACHED = 3675,
	SET_MAX_NUM_PORTABLE_PICKUPS_CARRIED_BY_PLAYER = 3676,
	SET_LOCAL_PLAYER_CAN_COLLECT_PORTABLE_PICKUPS = 3677,
	GET_SAFE_PICKUP_COORDS = 3678,
	ADD_EXTENDED_PICKUP_PROBE_AREA = 3679,
	CLEAR_EXTENDED_PICKUP_PROBE_AREAS = 3680,
	GET_PICKUP_COORDS = 3681,
	SUPPRESS_PICKUP_SOUND_FOR_PICKUP = 3682,
	REMOVE_ALL_PICKUPS_OF_TYPE = 3683,
	HAS_PICKUP_BEEN_COLLECTED = 3684,
	REMOVE_PICKUP = 3685,
	CREATE_MONEY_PICKUPS = 3686,
	DOES_PICKUP_EXIST = 3687,
	DOES_PICKUP_OBJECT_EXIST = 3688,
	GET_PICKUP_OBJECT = 3689,
	IS_OBJECT_A_PICKUP = 3690,
	IS_OBJECT_A_PORTABLE_PICKUP = 3691,
	DOES_PICKUP_OF_TYPE_EXIST_IN_AREA = 3692,
	SET_PICKUP_REGENERATION_TIME = 3693,
	FORCE_PICKUP_REGENERATE = 3694,
	SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE = 3695,
	SET_LOCAL_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_WITH_MODEL = 3696,
	ALLOW_ALL_PLAYERS_TO_COLLECT_PICKUPS_OF_TYPE = 3697,
	SET_TEAM_PICKUP_OBJECT = 3698,
	PREVENT_COLLECTION_OF_PORTABLE_PICKUP = 3699,
	SET_PICKUP_OBJECT_GLOW_WHEN_UNCOLLECTABLE = 3700,
	SET_PICKUP_GLOW_OFFSET = 3701,
	SET_PICKUP_OBJECT_GLOW_OFFSET = 3702,
	SET_OBJECT_GLOW_IN_SAME_TEAM = 3703,
	SET_PICKUP_OBJECT_ARROW_MARKER = 3704,
	ALLOW_PICKUP_ARROW_MARKER_WHEN_UNCOLLECTABLE = 3705,
	GET_DEFAULT_AMMO_FOR_WEAPON_PICKUP = 3706,
	SET_PICKUP_GENERATION_RANGE_MULTIPLIER = 3707,
	GET_PICKUP_GENERATION_RANGE_MULTIPLIER = 3708,
	SET_ONLY_ALLOW_AMMO_COLLECTION_WHEN_LOW = 3709,
	SET_PICKUP_UNCOLLECTABLE = 3710,
	SET_PICKUP_TRANSPARENT_WHEN_UNCOLLECTABLE = 3711,
	SET_PICKUP_HIDDEN_WHEN_UNCOLLECTABLE = 3712,
	SET_PICKUP_OBJECT_TRANSPARENT_WHEN_UNCOLLECTABLE = 3713,
	SET_PICKUP_OBJECT_ALPHA_WHEN_TRANSPARENT = 3714,
	SET_PORTABLE_PICKUP_PERSIST = 3715,
	ALLOW_PORTABLE_PICKUP_TO_MIGRATE_TO_NON_PARTICIPANTS = 3716,
	FORCE_ACTIVATE_PHYSICS_ON_UNFIXED_PICKUP = 3717,
	ALLOW_PICKUP_BY_NONE_PARTICIPANT = 3718,
	SUPPRESS_PICKUP_REWARD_TYPE = 3719,
	CLEAR_ALL_PICKUP_REWARD_TYPE_SUPPRESSION = 3720,
	CLEAR_PICKUP_REWARD_TYPE_SUPPRESSION = 3721,
	RENDER_FAKE_PICKUP_GLOW = 3722,
	SET_PICKUP_OBJECT_COLLECTABLE_IN_VEHICLE = 3723,
	SET_PICKUP_TRACK_DAMAGE_EVENTS = 3724,
	SET_ENTITY_FLAG_SUPPRESS_SHADOW = 3725,
	SET_ENTITY_FLAG_RENDER_SMALL_SHADOW = 3726,
	GET_WEAPON_TYPE_FROM_PICKUP_TYPE = 3727,
	GET_PICKUP_TYPE_FROM_WEAPON_HASH = 3728,
	IS_PICKUP_WEAPON_OBJECT_VALID = 3729,
	GET_OBJECT_TINT_INDEX = 3730,
	SET_OBJECT_TINT_INDEX = 3731,
	SET_TINT_INDEX_CLOSEST_BUILDING_OF_TYPE = 3732,
	SET_PROP_TINT_INDEX = 3733,
	SET_PROP_LIGHT_COLOR = 3734,
	IS_PROP_LIGHT_OVERRIDEN = 3735,
	SET_OBJECT_IS_VISIBLE_IN_MIRRORS = 3736,
	SET_OBJECT_SPEED_BOOST_AMOUNT = 3737,
	SET_OBJECT_SPEED_BOOST_DURATION = 3738,
	CONVERT_OLD_PICKUP_TYPE_TO_NEW = 3739,
	SET_FORCE_OBJECT_THIS_FRAME = 3740,
	ONLY_CLEAN_UP_OBJECT_WHEN_OUT_OF_RANGE = 3741,
	SET_DISABLE_COLLISIONS_BETWEEN_CARS_AND_CAR_PARACHUTE = 3742,
	SET_PROJECTILES_SHOULD_EXPLODE_ON_CONTACT = 3743,
	SET_DRIVE_ARTICULATED_JOINT = 3744,
	SET_DRIVE_ARTICULATED_JOINT_WITH_INFLICTOR = 3745,
	SET_OBJECT_IS_A_PRESSURE_PLATE = 3746,
	SET_WEAPON_IMPACTS_APPLY_GREATER_FORCE = 3747,
	GET_IS_ARTICULATED_JOINT_AT_MIN_ANGLE = 3748,
	GET_IS_ARTICULATED_JOINT_AT_MAX_ANGLE = 3749,
	SET_IS_OBJECT_ARTICULATED = 3750,
	SET_IS_OBJECT_BALL = 3751,
	IS_CONTROL_ENABLED = 3752,
	IS_CONTROL_PRESSED = 3753,
	IS_CONTROL_RELEASED = 3754,
	IS_CONTROL_JUST_PRESSED = 3755,
	IS_CONTROL_JUST_RELEASED = 3756,
	GET_CONTROL_VALUE = 3757,
	GET_CONTROL_NORMAL = 3758,
	SET_USE_ADJUSTED_MOUSE_COORDS = 3759,
	GET_CONTROL_UNBOUND_NORMAL = 3760,
	SET_CONTROL_VALUE_NEXT_FRAME = 3761,
	IS_DISABLED_CONTROL_PRESSED = 3762,
	IS_DISABLED_CONTROL_RELEASED = 3763,
	IS_DISABLED_CONTROL_JUST_PRESSED = 3764,
	IS_DISABLED_CONTROL_JUST_RELEASED = 3765,
	GET_DISABLED_CONTROL_NORMAL = 3766,
	GET_DISABLED_CONTROL_UNBOUND_NORMAL = 3767,
	GET_CONTROL_HOW_LONG_AGO = 3768,
	IS_USING_KEYBOARD_AND_MOUSE = 3769,
	IS_USING_CURSOR = 3770,
	SET_CURSOR_POSITION = 3771,
	IS_USING_REMOTE_PLAY = 3772,
	HAVE_CONTROLS_CHANGED = 3773,
	GET_CONTROL_INSTRUCTIONAL_BUTTONS_STRING = 3774,
	GET_CONTROL_GROUP_INSTRUCTIONAL_BUTTONS_STRING = 3775,
	SET_CONTROL_LIGHT_EFFECT_COLOR = 3776,
	CLEAR_CONTROL_LIGHT_EFFECT = 3777,
	SET_CONTROL_SHAKE = 3778,
	SET_CONTROL_TRIGGER_SHAKE = 3779,
	STOP_CONTROL_SHAKE = 3780,
	SET_CONTROL_SHAKE_SUPPRESSED_ID = 3781,
	CLEAR_CONTROL_SHAKE_SUPPRESSED_ID = 3782,
	IS_LOOK_INVERTED = 3783,
	IS_MOUSE_LOOK_INVERTED = 3784,
	GET_LOCAL_PLAYER_AIM_STATE = 3785,
	GET_LOCAL_PLAYER_GAMEPAD_AIM_STATE = 3786,
	GET_IS_USING_ALTERNATE_HANDBRAKE = 3787,
	GET_IS_USING_ALTERNATE_DRIVEBY = 3788,
	GET_ALLOW_MOVEMENT_WHILE_ZOOMED = 3789,
	SET_PLAYERPAD_SHAKES_WHEN_CONTROLLER_DISABLED = 3790,
	SET_INPUT_EXCLUSIVE = 3791,
	DISABLE_CONTROL_ACTION = 3792,
	ENABLE_CONTROL_ACTION = 3793,
	DISABLE_ALL_CONTROL_ACTIONS = 3794,
	ENABLE_ALL_CONTROL_ACTIONS = 3795,
	INIT_PC_SCRIPTED_CONTROLS = 3796,
	SWITCH_PC_SCRIPTED_CONTROLS = 3797,
	SHUTDOWN_PC_SCRIPTED_CONTROLS = 3798,
	ALLOW_ALTERNATIVE_SCRIPT_CONTROLS_LAYOUT = 3799,
	SET_ROADS_IN_AREA = 3800,
	SET_ROADS_IN_ANGLED_AREA = 3801,
	SET_PED_PATHS_IN_AREA = 3802,
	GET_SAFE_COORD_FOR_PED = 3803,
	GET_CLOSEST_VEHICLE_NODE = 3804,
	GET_CLOSEST_MAJOR_VEHICLE_NODE = 3805,
	GET_CLOSEST_VEHICLE_NODE_WITH_HEADING = 3806,
	GET_NTH_CLOSEST_VEHICLE_NODE = 3807,
	GET_NTH_CLOSEST_VEHICLE_NODE_ID = 3808,
	GET_NTH_CLOSEST_VEHICLE_NODE_WITH_HEADING = 3809,
	GET_NTH_CLOSEST_VEHICLE_NODE_ID_WITH_HEADING = 3810,
	GET_NTH_CLOSEST_VEHICLE_NODE_FAVOUR_DIRECTION = 3811,
	GET_VEHICLE_NODE_PROPERTIES = 3812,
	IS_VEHICLE_NODE_ID_VALID = 3813,
	GET_VEHICLE_NODE_POSITION = 3814,
	GET_VEHICLE_NODE_IS_GPS_ALLOWED = 3815,
	GET_VEHICLE_NODE_IS_SWITCHED_OFF = 3816,
	GET_CLOSEST_ROAD = 3817,
	LOAD_ALL_PATH_NODES = 3818,
	SET_ALLOW_STREAM_PROLOGUE_NODES = 3819,
	SET_ALLOW_STREAM_HEIST_ISLAND_NODES = 3820,
	ARE_NODES_LOADED_FOR_AREA = 3821,
	REQUEST_PATH_NODES_IN_AREA_THIS_FRAME = 3822,
	SET_ROADS_BACK_TO_ORIGINAL = 3823,
	SET_ROADS_BACK_TO_ORIGINAL_IN_ANGLED_AREA = 3824,
	SET_AMBIENT_PED_RANGE_MULTIPLIER_THIS_FRAME = 3825,
	ADJUST_AMBIENT_PED_SPAWN_DENSITIES_THIS_FRAME = 3826,
	SET_PED_PATHS_BACK_TO_ORIGINAL = 3827,
	GET_RANDOM_VEHICLE_NODE = 3828,
	GET_SPAWN_COORDS_FOR_VEHICLE_NODE = 3829,
	GET_STREET_NAME_AT_COORD = 3830,
	GENERATE_DIRECTIONS_TO_COORD = 3831,
	SET_IGNORE_NO_GPS_FLAG = 3832,
	SET_IGNORE_NO_GPS_FLAG_UNTIL_FIRST_NORMAL_NODE = 3833,
	SET_GPS_DISABLED_ZONE = 3834,
	GET_GPS_BLIP_ROUTE_LENGTH = 3835,
	GET_POS_ALONG_GPS_TYPE_ROUTE = 3836,
	GET_GPS_BLIP_ROUTE_FOUND = 3837,
	GET_ROAD_BOUNDARY_USING_HEADING = 3838,
	GET_POSITION_BY_SIDE_OF_ROAD = 3839,
	IS_POINT_ON_ROAD = 3840,
	GET_NEXT_GPS_DISABLED_ZONE_INDEX = 3841,
	SET_GPS_DISABLED_ZONE_AT_INDEX = 3842,
	CLEAR_GPS_DISABLED_ZONE_AT_INDEX = 3843,
	ADD_NAVMESH_REQUIRED_REGION = 3844,
	REMOVE_NAVMESH_REQUIRED_REGIONS = 3845,
	IS_NAVMESH_REQUIRED_REGION_IN_USE = 3846,
	DISABLE_NAVMESH_IN_AREA = 3847,
	ARE_ALL_NAVMESH_REGIONS_LOADED = 3848,
	IS_NAVMESH_LOADED_IN_AREA = 3849,
	GET_NUM_NAVMESHES_EXISTING_IN_AREA = 3850,
	ADD_NAVMESH_BLOCKING_OBJECT = 3851,
	UPDATE_NAVMESH_BLOCKING_OBJECT = 3852,
	REMOVE_NAVMESH_BLOCKING_OBJECT = 3853,
	DOES_NAVMESH_BLOCKING_OBJECT_EXIST = 3854,
	GET_APPROX_HEIGHT_FOR_POINT = 3855,
	GET_APPROX_HEIGHT_FOR_AREA = 3856,
	GET_APPROX_FLOOR_FOR_POINT = 3857,
	GET_APPROX_FLOOR_FOR_AREA = 3858,
	CALCULATE_TRAVEL_DISTANCE_BETWEEN_POINTS = 3859,
	CREATE_PED = 3860,
	DELETE_PED = 3861,
	CLONE_PED = 3862,
	CLONE_PED_ALT = 3863,
	CLONE_PED_TO_TARGET = 3864,
	CLONE_PED_TO_TARGET_ALT = 3865,
	IS_PED_IN_VEHICLE = 3866,
	IS_PED_IN_MODEL = 3867,
	IS_PED_IN_ANY_VEHICLE = 3868,
	IS_COP_PED_IN_AREA_3D = 3869,
	IS_PED_INJURED = 3870,
	IS_PED_HURT = 3871,
	IS_PED_FATALLY_INJURED = 3872,
	IS_PED_DEAD_OR_DYING = 3873,
	IS_CONVERSATION_PED_DEAD = 3874,
	IS_PED_AIMING_FROM_COVER = 3875,
	IS_PED_RELOADING = 3876,
	IS_PED_A_PLAYER = 3877,
	CREATE_PED_INSIDE_VEHICLE = 3878,
	SET_PED_DESIRED_HEADING = 3879,
	FORCE_ALL_HEADING_VALUES_TO_ALIGN = 3880,
	IS_PED_FACING_PED = 3881,
	IS_PED_IN_MELEE_COMBAT = 3882,
	IS_PED_STOPPED = 3883,
	IS_PED_SHOOTING_IN_AREA = 3884,
	IS_ANY_PED_SHOOTING_IN_AREA = 3885,
	IS_PED_SHOOTING = 3886,
	SET_PED_ACCURACY = 3887,
	GET_PED_ACCURACY = 3888,
	SET_AMBIENT_LAW_PED_ACCURACY_MODIFIER = 3889,
	IS_PED_MODEL = 3890,
	EXPLODE_PED_HEAD = 3891,
	REMOVE_PED_ELEGANTLY = 3892,
	ADD_ARMOUR_TO_PED = 3893,
	SET_PED_ARMOUR = 3894,
	SET_PED_INTO_VEHICLE = 3895,
	SET_PED_ALLOW_VEHICLES_OVERRIDE = 3896,
	CAN_CREATE_RANDOM_PED = 3897,
	CREATE_RANDOM_PED = 3898,
	CREATE_RANDOM_PED_AS_DRIVER = 3899,
	CAN_CREATE_RANDOM_DRIVER = 3900,
	CAN_CREATE_RANDOM_BIKE_RIDER = 3901,
	SET_PED_MOVE_ANIMS_BLEND_OUT = 3902,
	SET_PED_CAN_BE_DRAGGED_OUT = 3903,
	SET_PED_ALLOW_HURT_COMBAT_FOR_ALL_MISSION_PEDS = 3904,
	IS_PED_MALE = 3905,
	IS_PED_HUMAN = 3906,
	GET_VEHICLE_PED_IS_IN = 3907,
	RESET_PED_LAST_VEHICLE = 3908,
	SET_PED_DENSITY_MULTIPLIER_THIS_FRAME = 3909,
	SET_SCENARIO_PED_DENSITY_MULTIPLIER_THIS_FRAME = 3910,
	SUPPRESS_AMBIENT_PED_AGGRESSIVE_CLEANUP_THIS_FRAME = 3911,
	SET_SCRIPTED_CONVERSION_COORD_THIS_FRAME = 3912,
	SET_PED_NON_CREATION_AREA = 3913,
	CLEAR_PED_NON_CREATION_AREA = 3914,
	INSTANTLY_FILL_PED_POPULATION = 3915,
	IS_PED_ON_MOUNT = 3916,
	GET_MOUNT = 3917,
	IS_PED_ON_VEHICLE = 3918,
	IS_PED_ON_SPECIFIC_VEHICLE = 3919,
	SET_PED_MONEY = 3920,
	GET_PED_MONEY = 3921,
	SET_HEALTH_SNACKS_CARRIED_BY_ALL_NEW_PEDS = 3922,
	SET_AMBIENT_PEDS_DROP_MONEY = 3923,
	_SET_BLOCK_AMBIENT_PEDS_FROM_DROPPING_WEAPONS_THIS_FRAME = 3924,
	SET_BLOCKING_OF_NON_TEMPORARY_EVENTS_FOR_AMBIENT_PEDS_THIS_FRAME = 3925,
	SET_PED_SUFFERS_CRITICAL_HITS = 3926,
	SET_PED_UPPER_BODY_DAMAGE_ONLY = 3927,
	IS_PED_SITTING_IN_VEHICLE = 3928,
	IS_PED_SITTING_IN_ANY_VEHICLE = 3929,
	IS_PED_ON_FOOT = 3930,
	IS_PED_ON_ANY_BIKE = 3931,
	IS_PED_PLANTING_BOMB = 3932,
	GET_DEAD_PED_PICKUP_COORDS = 3933,
	IS_PED_IN_ANY_BOAT = 3934,
	IS_PED_IN_ANY_SUB = 3935,
	IS_PED_IN_ANY_HELI = 3936,
	IS_PED_IN_ANY_PLANE = 3937,
	IS_PED_IN_FLYING_VEHICLE = 3938,
	SET_PED_DIES_IN_WATER = 3939,
	GET_PED_DIES_IN_WATER = 3940,
	SET_PED_DIES_IN_SINKING_VEHICLE = 3941,
	GET_PED_ARMOUR = 3942,
	SET_PED_STAY_IN_VEHICLE_WHEN_JACKED = 3943,
	SET_PED_CAN_BE_SHOT_IN_VEHICLE = 3944,
	GET_PED_LAST_DAMAGE_BONE = 3945,
	CLEAR_PED_LAST_DAMAGE_BONE = 3946,
	SET_AI_WEAPON_DAMAGE_MODIFIER = 3947,
	RESET_AI_WEAPON_DAMAGE_MODIFIER = 3948,
	SET_AI_MELEE_WEAPON_DAMAGE_MODIFIER = 3949,
	RESET_AI_MELEE_WEAPON_DAMAGE_MODIFIER = 3950,
	SET_TREAT_AS_AMBIENT_PED_FOR_DRIVER_LOCKON = 3951,
	SET_PED_CAN_BE_TARGETTED = 3952,
	SET_PED_CAN_BE_TARGETTED_BY_TEAM = 3953,
	SET_PED_CAN_BE_TARGETTED_BY_PLAYER = 3954,
	SET_ALLOW_LOCKON_TO_PED_IF_FRIENDLY = 3955,
	SET_USE_CAMERA_HEADING_FOR_DESIRED_DIRECTION_LOCK_ON_TEST = 3956,
	IS_PED_IN_ANY_POLICE_VEHICLE = 3957,
	FORCE_PED_TO_OPEN_PARACHUTE = 3958,
	IS_PED_IN_PARACHUTE_FREE_FALL = 3959,
	IS_PED_FALLING = 3960,
	IS_PED_JUMPING = 3961,
	IS_PED_LANDING = 3962,
	IS_PED_DOING_A_BEAST_JUMP = 3963,
	IS_PED_CLIMBING = 3964,
	IS_PED_VAULTING = 3965,
	IS_PED_DIVING = 3966,
	IS_PED_JUMPING_OUT_OF_VEHICLE = 3967,
	IS_PED_OPENING_DOOR = 3968,
	GET_PED_PARACHUTE_STATE = 3969,
	GET_PED_PARACHUTE_LANDING_TYPE = 3970,
	SET_PED_PARACHUTE_TINT_INDEX = 3971,
	GET_PED_PARACHUTE_TINT_INDEX = 3972,
	SET_PED_RESERVE_PARACHUTE_TINT_INDEX = 3973,
	CREATE_PARACHUTE_BAG_OBJECT = 3974,
	SET_PED_DUCKING = 3975,
	IS_PED_DUCKING = 3976,
	IS_PED_IN_ANY_TAXI = 3977,
	SET_PED_ID_RANGE = 3978,
	SET_PED_HIGHLY_PERCEPTIVE = 3979,
	SET_COP_PERCEPTION_OVERRIDES = 3980,
	SET_PED_INJURED_ON_GROUND_BEHAVIOUR = 3981,
	DISABLE_PED_INJURED_ON_GROUND_BEHAVIOUR = 3982,
	SET_PED_SEEING_RANGE = 3983,
	SET_PED_HEARING_RANGE = 3984,
	SET_PED_VISUAL_FIELD_MIN_ANGLE = 3985,
	SET_PED_VISUAL_FIELD_MAX_ANGLE = 3986,
	SET_PED_VISUAL_FIELD_MIN_ELEVATION_ANGLE = 3987,
	SET_PED_VISUAL_FIELD_MAX_ELEVATION_ANGLE = 3988,
	SET_PED_VISUAL_FIELD_PERIPHERAL_RANGE = 3989,
	SET_PED_VISUAL_FIELD_CENTER_ANGLE = 3990,
	GET_PED_VISUAL_FIELD_CENTER_ANGLE = 3991,
	SET_PED_STEALTH_MOVEMENT = 3992,
	GET_PED_STEALTH_MOVEMENT = 3993,
	CREATE_GROUP = 3994,
	SET_PED_AS_GROUP_LEADER = 3995,
	SET_PED_AS_GROUP_MEMBER = 3996,
	SET_PED_CAN_TELEPORT_TO_GROUP_LEADER = 3997,
	REMOVE_GROUP = 3998,
	REMOVE_PED_FROM_GROUP = 3999,
	IS_PED_GROUP_MEMBER = 4000,
	IS_PED_HANGING_ON_TO_VEHICLE = 4001,
	SET_GROUP_SEPARATION_RANGE = 4002,
	SET_PED_MIN_GROUND_TIME_FOR_STUNGUN = 4003,
	IS_PED_PRONE = 4004,
	IS_PED_IN_COMBAT = 4005,
	GET_PED_TARGET_FROM_COMBAT_PED = 4006,
	CAN_PED_IN_COMBAT_SEE_TARGET = 4007,
	IS_PED_DOING_DRIVEBY = 4008,
	IS_PED_JACKING = 4009,
	IS_PED_BEING_JACKED = 4010,
	IS_PED_BEING_STUNNED = 4011,
	GET_PEDS_JACKER = 4012,
	GET_JACK_TARGET = 4013,
	IS_PED_FLEEING = 4014,
	IS_PED_IN_COVER = 4015,
	IS_PED_IN_COVER_FACING_LEFT = 4016,
	IS_PED_IN_HIGH_COVER = 4017,
	IS_PED_GOING_INTO_COVER = 4018,
	SET_PED_PINNED_DOWN = 4019,
	_HAS_PED_CLEAR_LOS_TO_ENTITY = 4020,
	GET_SEAT_PED_IS_TRYING_TO_ENTER = 4021,
	GET_VEHICLE_PED_IS_TRYING_TO_ENTER = 4022,
	GET_PED_SOURCE_OF_DEATH = 4023,
	GET_PED_CAUSE_OF_DEATH = 4024,
	GET_PED_TIME_OF_DEATH = 4025,
	COUNT_PEDS_IN_COMBAT_WITH_TARGET = 4026,
	COUNT_PEDS_IN_COMBAT_WITH_TARGET_WITHIN_RADIUS = 4027,
	SET_PED_RELATIONSHIP_GROUP_DEFAULT_HASH = 4028,
	SET_PED_RELATIONSHIP_GROUP_HASH = 4029,
	SET_RELATIONSHIP_BETWEEN_GROUPS = 4030,
	CLEAR_RELATIONSHIP_BETWEEN_GROUPS = 4031,
	ADD_RELATIONSHIP_GROUP = 4032,
	REMOVE_RELATIONSHIP_GROUP = 4033,
	DOES_RELATIONSHIP_GROUP_EXIST = 4034,
	GET_RELATIONSHIP_BETWEEN_PEDS = 4035,
	GET_PED_RELATIONSHIP_GROUP_DEFAULT_HASH = 4036,
	GET_PED_RELATIONSHIP_GROUP_HASH = 4037,
	GET_RELATIONSHIP_BETWEEN_GROUPS = 4038,
	SET_RELATIONSHIP_GROUP_AFFECTS_WANTED_LEVEL = 4039,
	TELL_GROUP_PEDS_IN_AREA_TO_ATTACK = 4040,
	SET_PED_CAN_BE_TARGETED_WITHOUT_LOS = 4041,
	SET_PED_TO_INFORM_RESPECTED_FRIENDS = 4042,
	IS_PED_RESPONDING_TO_EVENT = 4043,
	GET_POS_FROM_FIRED_EVENT = 4044,
	SET_PED_FIRING_PATTERN = 4045,
	SET_PED_SHOOT_RATE = 4046,
	SET_COMBAT_FLOAT = 4047,
	GET_COMBAT_FLOAT = 4048,
	GET_GROUP_SIZE = 4049,
	DOES_GROUP_EXIST = 4050,
	GET_PED_GROUP_INDEX = 4051,
	IS_PED_IN_GROUP = 4052,
	GET_PLAYER_PED_IS_FOLLOWING = 4053,
	SET_GROUP_FORMATION = 4054,
	SET_GROUP_FORMATION_SPACING = 4055,
	RESET_GROUP_FORMATION_DEFAULT_SPACING = 4056,
	GET_VEHICLE_PED_IS_USING = 4057,
	GET_VEHICLE_PED_IS_ENTERING = 4058,
	SET_PED_GRAVITY = 4059,
	APPLY_DAMAGE_TO_PED = 4060,
	GET_TIME_PED_DAMAGED_BY_WEAPON = 4061,
	SET_PED_ALLOWED_TO_DUCK = 4062,
	SET_PED_NEVER_LEAVES_GROUP = 4063,
	GET_PED_TYPE = 4064,
	SET_PED_AS_COP = 4065,
	SET_PED_HEALTH_PENDING_LAST_DAMAGE_EVENT_OVERRIDE_FLAG = 4066,
	SET_PED_MAX_HEALTH = 4067,
	GET_PED_MAX_HEALTH = 4068,
	SET_PED_MAX_TIME_IN_WATER = 4069,
	SET_PED_MAX_TIME_UNDERWATER = 4070,
	SET_CORPSE_RAGDOLL_FRICTION = 4071,
	SET_PED_VEHICLE_FORCED_SEAT_USAGE = 4072,
	CLEAR_ALL_PED_VEHICLE_FORCED_SEAT_USAGE = 4073,
	SET_PED_CAN_BE_KNOCKED_OFF_BIKE = 4074,
	SET_PED_CAN_BE_KNOCKED_OFF_VEHICLE = 4075,
	CAN_KNOCK_PED_OFF_VEHICLE = 4076,
	KNOCK_PED_OFF_VEHICLE = 4077,
	SET_PED_COORDS_NO_GANG = 4078,
	GET_PED_AS_GROUP_MEMBER = 4079,
	GET_PED_AS_GROUP_LEADER = 4080,
	SET_PED_KEEP_TASK = 4081,
	SET_PED_ALLOW_MINOR_REACTIONS_AS_MISSION_PED = 4082,
	IS_PED_SWIMMING = 4083,
	IS_PED_SWIMMING_UNDER_WATER = 4084,
	SET_PED_COORDS_KEEP_VEHICLE = 4085,
	SET_PED_DIES_IN_VEHICLE = 4086,
	SET_CREATE_RANDOM_COPS = 4087,
	SET_CREATE_RANDOM_COPS_NOT_ON_SCENARIOS = 4088,
	SET_CREATE_RANDOM_COPS_ON_SCENARIOS = 4089,
	CAN_CREATE_RANDOM_COPS = 4090,
	SET_PED_AS_ENEMY = 4091,
	SET_PED_CAN_SMASH_GLASS = 4092,
	IS_PED_IN_ANY_TRAIN = 4093,
	IS_PED_GETTING_INTO_A_VEHICLE = 4094,
	IS_PED_TRYING_TO_ENTER_A_LOCKED_VEHICLE = 4095,
	SET_ENABLE_HANDCUFFS = 4096,
	SET_ENABLE_BOUND_ANKLES = 4097,
	SET_ENABLE_SCUBA = 4098,
	SET_CAN_ATTACK_FRIENDLY = 4099,
	GET_PED_ALERTNESS = 4100,
	SET_PED_ALERTNESS = 4101,
	SET_PED_GET_OUT_UPSIDE_DOWN_VEHICLE = 4102,
	SET_PED_MOVEMENT_CLIPSET = 4103,
	RESET_PED_MOVEMENT_CLIPSET = 4104,
	SET_PED_STRAFE_CLIPSET = 4105,
	RESET_PED_STRAFE_CLIPSET = 4106,
	SET_PED_WEAPON_MOVEMENT_CLIPSET = 4107,
	RESET_PED_WEAPON_MOVEMENT_CLIPSET = 4108,
	SET_PED_DRIVE_BY_CLIPSET_OVERRIDE = 4109,
	CLEAR_PED_DRIVE_BY_CLIPSET_OVERRIDE = 4110,
	SET_PED_MOTION_IN_COVER_CLIPSET_OVERRIDE = 4111,
	CLEAR_PED_MOTION_IN_COVER_CLIPSET_OVERRIDE = 4112,
	CLEAR_PED_FALL_UPPER_BODY_CLIPSET_OVERRIDE = 4113,
	SET_PED_IN_VEHICLE_CONTEXT = 4114,
	RESET_PED_IN_VEHICLE_CONTEXT = 4115,
	IS_SCRIPTED_SCENARIO_PED_USING_CONDITIONAL_ANIM = 4116,
	SET_PED_ALTERNATE_WALK_ANIM = 4117,
	CLEAR_PED_ALTERNATE_WALK_ANIM = 4118,
	SET_PED_ALTERNATE_MOVEMENT_ANIM = 4119,
	CLEAR_PED_ALTERNATE_MOVEMENT_ANIM = 4120,
	SET_PED_GESTURE_GROUP = 4121,
	GET_ANIM_INITIAL_OFFSET_POSITION = 4122,
	GET_ANIM_INITIAL_OFFSET_ROTATION = 4123,
	GET_PED_DRAWABLE_VARIATION = 4124,
	GET_NUMBER_OF_PED_DRAWABLE_VARIATIONS = 4125,
	GET_PED_TEXTURE_VARIATION = 4126,
	GET_NUMBER_OF_PED_TEXTURE_VARIATIONS = 4127,
	GET_NUMBER_OF_PED_PROP_DRAWABLE_VARIATIONS = 4128,
	GET_NUMBER_OF_PED_PROP_TEXTURE_VARIATIONS = 4129,
	GET_PED_PALETTE_VARIATION = 4130,
	GET_MP_OUTFIT_DATA_FROM_METADATA = 4131,
	GET_FM_MALE_SHOP_PED_APPAREL_ITEM_INDEX = 4132,
	GET_FM_FEMALE_SHOP_PED_APPAREL_ITEM_INDEX = 4133,
	IS_PED_COMPONENT_VARIATION_VALID = 4134,
	SET_PED_COMPONENT_VARIATION = 4135,
	SET_PED_RANDOM_COMPONENT_VARIATION = 4136,
	SET_PED_RANDOM_PROPS = 4137,
	SET_PED_DEFAULT_COMPONENT_VARIATION = 4138,
	SET_PED_BLEND_FROM_PARENTS = 4139,
	SET_PED_HEAD_BLEND_DATA = 4140,
	GET_PED_HEAD_BLEND_DATA = 4141,
	UPDATE_PED_HEAD_BLEND_DATA = 4142,
	SET_HEAD_BLEND_EYE_COLOR = 4143,
	GET_HEAD_BLEND_EYE_COLOR = 4144,
	SET_PED_HEAD_OVERLAY = 4145,
	GET_PED_HEAD_OVERLAY = 4146,
	GET_PED_HEAD_OVERLAY_NUM = 4147,
	SET_PED_HEAD_OVERLAY_TINT = 4148,
	SET_PED_HAIR_TINT = 4149,
	GET_NUM_PED_HAIR_TINTS = 4150,
	GET_NUM_PED_MAKEUP_TINTS = 4151,
	GET_PED_HAIR_TINT_COLOR = 4152,
	GET_PED_MAKEUP_TINT_COLOR = 4153,
	IS_PED_HAIR_TINT_FOR_CREATOR = 4154,
	GET_DEFAULT_SECONDARY_TINT_FOR_CREATOR = 4155,
	IS_PED_LIPSTICK_TINT_FOR_CREATOR = 4156,
	IS_PED_BLUSH_TINT_FOR_CREATOR = 4157,
	IS_PED_HAIR_TINT_FOR_BARBER = 4158,
	GET_DEFAULT_SECONDARY_TINT_FOR_BARBER = 4159,
	IS_PED_LIPSTICK_TINT_FOR_BARBER = 4160,
	IS_PED_BLUSH_TINT_FOR_BARBER = 4161,
	IS_PED_BLUSH_FACEPAINT_TINT_FOR_BARBER = 4162,
	GET_TINT_INDEX_FOR_LAST_GEN_HAIR_TEXTURE = 4163,
	SET_PED_MICRO_MORPH = 4164,
	HAS_PED_HEAD_BLEND_FINISHED = 4165,
	FINALIZE_HEAD_BLEND = 4166,
	SET_HEAD_BLEND_PALETTE_COLOR = 4167,
	DISABLE_HEAD_BLEND_PALETTE_COLOR = 4168,
	GET_PED_HEAD_BLEND_FIRST_INDEX = 4169,
	GET_PED_HEAD_BLEND_NUM_HEADS = 4170,
	SET_PED_PRELOAD_VARIATION_DATA = 4171,
	HAS_PED_PRELOAD_VARIATION_DATA_FINISHED = 4172,
	RELEASE_PED_PRELOAD_VARIATION_DATA = 4173,
	SET_PED_PRELOAD_PROP_DATA = 4174,
	HAS_PED_PRELOAD_PROP_DATA_FINISHED = 4175,
	RELEASE_PED_PRELOAD_PROP_DATA = 4176,
	GET_PED_PROP_INDEX = 4177,
	SET_PED_PROP_INDEX = 4178,
	KNOCK_OFF_PED_PROP = 4179,
	CLEAR_PED_PROP = 4180,
	CLEAR_ALL_PED_PROPS = 4181,
	DROP_AMBIENT_PROP = 4182,
	GET_PED_PROP_TEXTURE_INDEX = 4183,
	CLEAR_PED_PARACHUTE_PACK_VARIATION = 4184,
	SET_PED_SCUBA_GEAR_VARIATION = 4185,
	CLEAR_PED_SCUBA_GEAR_VARIATION = 4186,
	IS_USING_PED_SCUBA_GEAR_VARIATION = 4187,
	SET_BLOCKING_OF_NON_TEMPORARY_EVENTS = 4188,
	SET_PED_BOUNDS_ORIENTATION = 4189,
	REGISTER_TARGET = 4190,
	REGISTER_HATED_TARGETS_AROUND_PED = 4191,
	GET_RANDOM_PED_AT_COORD = 4192,
	GET_CLOSEST_PED = 4193,
	SET_SCENARIO_PEDS_TO_BE_RETURNED_BY_NEXT_COMMAND = 4194,
	GET_CAN_PED_BE_GRABBED_BY_SCRIPT = 4195,
	SET_DRIVER_RACING_MODIFIER = 4196,
	SET_DRIVER_ABILITY = 4197,
	SET_DRIVER_AGGRESSIVENESS = 4198,
	CAN_PED_RAGDOLL = 4199,
	SET_PED_TO_RAGDOLL = 4200,
	SET_PED_TO_RAGDOLL_WITH_FALL = 4201,
	SET_PED_RAGDOLL_ON_COLLISION = 4202,
	IS_PED_RAGDOLL = 4203,
	IS_PED_RUNNING_RAGDOLL_TASK = 4204,
	SET_PED_RAGDOLL_FORCE_FALL = 4205,
	RESET_PED_RAGDOLL_TIMER = 4206,
	SET_PED_CAN_RAGDOLL = 4207,
	IS_PED_RUNNING_MELEE_TASK = 4208,
	IS_PED_RUNNING_MOBILE_PHONE_TASK = 4209,
	IS_MOBILE_PHONE_TO_PED_EAR = 4210,
	SET_RAGDOLL_BLOCKING_FLAGS = 4211,
	CLEAR_RAGDOLL_BLOCKING_FLAGS = 4212,
	SET_PED_ANGLED_DEFENSIVE_AREA = 4213,
	SET_PED_SPHERE_DEFENSIVE_AREA = 4214,
	SET_PED_DEFENSIVE_SPHERE_ATTACHED_TO_PED = 4215,
	SET_PED_DEFENSIVE_SPHERE_ATTACHED_TO_VEHICLE = 4216,
	SET_PED_DEFENSIVE_AREA_ATTACHED_TO_PED = 4217,
	SET_PED_DEFENSIVE_AREA_DIRECTION = 4218,
	REMOVE_PED_DEFENSIVE_AREA = 4219,
	GET_PED_DEFENSIVE_AREA_POSITION = 4220,
	IS_PED_DEFENSIVE_AREA_ACTIVE = 4221,
	SET_PED_PREFERRED_COVER_SET = 4222,
	REMOVE_PED_PREFERRED_COVER_SET = 4223,
	REVIVE_INJURED_PED = 4224,
	RESURRECT_PED = 4225,
	SET_PED_NAME_DEBUG = 4226,
	GET_PED_EXTRACTED_DISPLACEMENT = 4227,
	SET_PED_DIES_WHEN_INJURED = 4228,
	SET_PED_ENABLE_WEAPON_BLOCKING = 4229,
	SPECIAL_FUNCTION_DO_NOT_USE = 4230,
	RESET_PED_VISIBLE_DAMAGE = 4231,
	APPLY_PED_BLOOD_DAMAGE_BY_ZONE = 4232,
	APPLY_PED_BLOOD = 4233,
	APPLY_PED_BLOOD_BY_ZONE = 4234,
	APPLY_PED_BLOOD_SPECIFIC = 4235,
	APPLY_PED_DAMAGE_DECAL = 4236,
	APPLY_PED_DAMAGE_PACK = 4237,
	CLEAR_PED_BLOOD_DAMAGE = 4238,
	CLEAR_PED_BLOOD_DAMAGE_BY_ZONE = 4239,
	HIDE_PED_BLOOD_DAMAGE_BY_ZONE = 4240,
	CLEAR_PED_DAMAGE_DECAL_BY_ZONE = 4241,
	GET_PED_DECORATIONS_STATE = 4242,
	MARK_PED_DECORATIONS_AS_CLONED_FROM_LOCAL_PLAYER = 4243,
	CLEAR_PED_WETNESS = 4244,
	SET_PED_WETNESS_HEIGHT = 4245,
	SET_PED_WETNESS_ENABLED_THIS_FRAME = 4246,
	SET_PED_WETNESS = 4247,
	CLEAR_PED_ENV_DIRT = 4248,
	SET_PED_SWEAT = 4249,
	ADD_PED_DECORATION_FROM_HASHES = 4250,
	ADD_PED_DECORATION_FROM_HASHES_IN_CORONA = 4251,
	GET_PED_DECORATION_ZONE_FROM_HASHES = 4252,
	CLEAR_PED_DECORATIONS = 4253,
	CLEAR_PED_DECORATIONS_LEAVE_SCARS = 4254,
	WAS_PED_SKELETON_UPDATED = 4255,
	GET_PED_BONE_COORDS = 4256,
	CREATE_NM_MESSAGE = 4257,
	GIVE_PED_NM_MESSAGE = 4258,
	ADD_SCENARIO_BLOCKING_AREA = 4259,
	REMOVE_SCENARIO_BLOCKING_AREAS = 4260,
	REMOVE_SCENARIO_BLOCKING_AREA = 4261,
	SET_SCENARIO_PEDS_SPAWN_IN_SPHERE_AREA = 4262,
	DOES_SCENARIO_BLOCKING_AREA_EXISTS = 4263,
	IS_PED_USING_SCENARIO = 4264,
	IS_PED_USING_ANY_SCENARIO = 4265,
	SET_PED_PANIC_EXIT_SCENARIO = 4266,
	TOGGLE_SCENARIO_PED_COWER_IN_PLACE = 4267,
	TRIGGER_PED_SCENARIO_PANICEXITTOFLEE = 4268,
	SET_PED_SHOULD_PLAY_DIRECTED_NORMAL_SCENARIO_EXIT = 4269,
	SET_PED_SHOULD_PLAY_NORMAL_SCENARIO_EXIT = 4270,
	SET_PED_SHOULD_PLAY_IMMEDIATE_SCENARIO_EXIT = 4271,
	SET_PED_SHOULD_PLAY_FLEE_SCENARIO_EXIT = 4272,
	SET_PED_SHOULD_IGNORE_SCENARIO_EXIT_COLLISION_CHECKS = 4273,
	SET_PED_SHOULD_IGNORE_SCENARIO_NAV_CHECKS = 4274,
	SET_PED_SHOULD_PROBE_FOR_SCENARIO_EXITS_IN_ONE_FRAME = 4275,
	IS_PED_GESTURING = 4276,
	RESET_FACIAL_IDLE_ANIM = 4277,
	PLAY_FACIAL_ANIM = 4278,
	SET_FACIAL_CLIPSET = 4279,
	SET_FACIAL_IDLE_ANIM_OVERRIDE = 4280,
	CLEAR_FACIAL_IDLE_ANIM_OVERRIDE = 4281,
	SET_PED_CAN_PLAY_GESTURE_ANIMS = 4282,
	SET_PED_CAN_PLAY_VISEME_ANIMS = 4283,
	SET_PED_IS_IGNORED_BY_AUTO_OPEN_DOORS = 4284,
	SET_PED_CAN_PLAY_AMBIENT_ANIMS = 4285,
	SET_PED_CAN_PLAY_AMBIENT_BASE_ANIMS = 4286,
	TRIGGER_IDLE_ANIMATION_ON_PED = 4287,
	SET_PED_CAN_ARM_IK = 4288,
	SET_PED_CAN_HEAD_IK = 4289,
	SET_PED_CAN_LEG_IK = 4290,
	SET_PED_CAN_TORSO_IK = 4291,
	SET_PED_CAN_TORSO_REACT_IK = 4292,
	SET_PED_CAN_TORSO_VEHICLE_IK = 4293,
	SET_PED_CAN_USE_AUTO_CONVERSATION_LOOKAT = 4294,
	IS_PED_HEADTRACKING_PED = 4295,
	IS_PED_HEADTRACKING_ENTITY = 4296,
	SET_PED_PRIMARY_LOOKAT = 4297,
	SET_PED_CLOTH_PIN_FRAMES = 4298,
	SET_PED_CLOTH_PACKAGE_INDEX = 4299,
	SET_PED_CLOTH_PRONE = 4300,
	SET_PED_CONFIG_FLAG = 4301,
	SET_PED_RESET_FLAG = 4302,
	GET_PED_CONFIG_FLAG = 4303,
	GET_PED_RESET_FLAG = 4304,
	SET_PED_GROUP_MEMBER_PASSENGER_INDEX = 4305,
	SET_PED_CAN_EVASIVE_DIVE = 4306,
	IS_PED_EVASIVE_DIVING = 4307,
	SET_PED_SHOOTS_AT_COORD = 4308,
	SET_PED_MODEL_IS_SUPPRESSED = 4309,
	STOP_ANY_PED_MODEL_BEING_SUPPRESSED = 4310,
	SET_PED_CAN_BE_TARGETED_WHEN_INJURED = 4311,
	SET_PED_GENERATES_DEAD_BODY_EVENTS = 4312,
	BLOCK_PED_FROM_GENERATING_DEAD_BODY_EVENTS_WHEN_DEAD = 4313,
	SET_PED_WILL_ONLY_ATTACK_WANTED_PLAYER = 4314,
	SET_PED_CAN_RAGDOLL_FROM_PLAYER_IMPACT = 4315,
	GIVE_PED_HELMET = 4316,
	REMOVE_PED_HELMET = 4317,
	IS_PED_TAKING_OFF_HELMET = 4318,
	SET_PED_HELMET = 4319,
	SET_PED_HELMET_FLAG = 4320,
	SET_PED_HELMET_PROP_INDEX = 4321,
	SET_PED_HELMET_VISOR_PROP_INDICES = 4322,
	IS_PED_HELMET_VISOR_UP = 4323,
	SET_PED_HELMET_TEXTURE_INDEX = 4324,
	IS_PED_WEARING_HELMET = 4325,
	CLEAR_PED_STORED_HAT_PROP = 4326,
	GET_PED_HELMET_STORED_HAT_PROP_INDEX = 4327,
	GET_PED_HELMET_STORED_HAT_TEX_INDEX = 4328,
	IS_CURRENT_HEAD_PROP_A_HELMET = 4329,
	SET_PED_TO_LOAD_COVER = 4330,
	SET_PED_CAN_COWER_IN_COVER = 4331,
	SET_PED_CAN_PEEK_IN_COVER = 4332,
	SET_PED_PLAYS_HEAD_ON_HORN_ANIM_WHEN_DIES_IN_VEHICLE = 4333,
	SET_PED_LEG_IK_MODE = 4334,
	SET_PED_MOTION_BLUR = 4335,
	SET_PED_CAN_SWITCH_WEAPON = 4336,
	SET_PED_DIES_INSTANTLY_IN_WATER = 4337,
	SET_LADDER_CLIMB_INPUT_STATE = 4338,
	STOP_PED_WEAPON_FIRING_WHEN_DROPPED = 4339,
	SET_SCRIPTED_ANIM_SEAT_OFFSET = 4340,
	SET_PED_COMBAT_MOVEMENT = 4341,
	GET_PED_COMBAT_MOVEMENT = 4342,
	SET_PED_COMBAT_ABILITY = 4343,
	SET_PED_COMBAT_RANGE = 4344,
	GET_PED_COMBAT_RANGE = 4345,
	SET_PED_COMBAT_ATTRIBUTES = 4346,
	SET_PED_TARGET_LOSS_RESPONSE = 4347,
	IS_PED_PERFORMING_MELEE_ACTION = 4348,
	IS_PED_PERFORMING_STEALTH_KILL = 4349,
	IS_PED_PERFORMING_A_COUNTER_ATTACK = 4350,
	IS_PED_BEING_STEALTH_KILLED = 4351,
	GET_MELEE_TARGET_FOR_PED = 4352,
	WAS_PED_KILLED_BY_STEALTH = 4353,
	WAS_PED_KILLED_BY_TAKEDOWN = 4354,
	WAS_PED_KNOCKED_OUT = 4355,
	SET_PED_FLEE_ATTRIBUTES = 4356,
	SET_PED_COWER_HASH = 4357,
	SET_PED_STEERS_AROUND_DEAD_BODIES = 4358,
	SET_PED_STEERS_AROUND_PEDS = 4359,
	SET_PED_STEERS_AROUND_OBJECTS = 4360,
	SET_PED_STEERS_AROUND_VEHICLES = 4361,
	SET_PED_IS_AVOIDED_BY_OTHERS = 4362,
	SET_PED_INCREASED_AVOIDANCE_RADIUS = 4363,
	SET_PED_BLOCKS_PATHING_WHEN_DEAD = 4364,
	SET_PED_NO_TIME_DELAY_BEFORE_SHOT = 4365,
	IS_ANY_PED_NEAR_POINT = 4366,
	FORCE_PED_AI_AND_ANIMATION_UPDATE = 4367,
	IS_PED_HEADING_TOWARDS_POSITION = 4368,
	REQUEST_PED_VISIBILITY_TRACKING = 4369,
	REQUEST_PED_VEHICLE_VISIBILITY_TRACKING = 4370,
	REQUEST_PED_RESTRICTED_VEHICLE_VISIBILITY_TRACKING = 4371,
	REQUEST_PED_USE_SMALL_BBOX_VISIBILITY_TRACKING = 4372,
	IS_TRACKED_PED_VISIBLE = 4373,
	GET_TRACKED_PED_PIXELCOUNT = 4374,
	IS_PED_TRACKED = 4375,
	HAS_PED_RECEIVED_EVENT = 4376,
	CAN_PED_SEE_HATED_PED = 4377,
	CAN_PED_SHUFFLE_TO_OR_FROM_TURRET_SEAT = 4378,
	CAN_PED_SHUFFLE_TO_OR_FROM_EXTRA_SEAT = 4379,
	GET_PED_BONE_INDEX = 4380,
	GET_PED_RAGDOLL_BONE_INDEX = 4381,
	SET_PED_ENVEFF_SCALE = 4382,
	GET_PED_ENVEFF_SCALE = 4383,
	SET_ENABLE_PED_ENVEFF_SCALE = 4384,
	SET_PED_ENVEFF_CPV_ADD = 4385,
	SET_PED_ENVEFF_COLOR_MODULATOR = 4386,
	SET_PED_EMISSIVE_SCALE = 4387,
	GET_PED_EMISSIVE_SCALE = 4388,
	IS_PED_SHADER_READY = 4389,
	SET_PED_ENABLE_CREW_EMBLEM = 4390,
	REQUEST_RAGDOLL_BOUNDS_UPDATE = 4391,
	SET_PED_AO_BLOB_RENDERING = 4392,
	IS_PED_SHELTERED = 4393,
	CREATE_SYNCHRONIZED_SCENE = 4394,
	CREATE_SYNCHRONIZED_SCENE_AT_MAP_OBJECT = 4395,
	IS_SYNCHRONIZED_SCENE_RUNNING = 4396,
	SET_SYNCHRONIZED_SCENE_ORIGIN = 4397,
	SET_SYNCHRONIZED_SCENE_PHASE = 4398,
	GET_SYNCHRONIZED_SCENE_PHASE = 4399,
	SET_SYNCHRONIZED_SCENE_RATE = 4400,
	GET_SYNCHRONIZED_SCENE_RATE = 4401,
	SET_SYNCHRONIZED_SCENE_LOOPED = 4402,
	IS_SYNCHRONIZED_SCENE_LOOPED = 4403,
	SET_SYNCHRONIZED_SCENE_HOLD_LAST_FRAME = 4404,
	IS_SYNCHRONIZED_SCENE_HOLD_LAST_FRAME = 4405,
	ATTACH_SYNCHRONIZED_SCENE_TO_ENTITY = 4406,
	DETACH_SYNCHRONIZED_SCENE = 4407,
	TAKE_OWNERSHIP_OF_SYNCHRONIZED_SCENE = 4408,
	FORCE_PED_MOTION_STATE = 4409,
	GET_PED_CURRENT_MOVE_BLEND_RATIO = 4410,
	SET_PED_MAX_MOVE_BLEND_RATIO = 4411,
	SET_PED_MIN_MOVE_BLEND_RATIO = 4412,
	SET_PED_MOVE_RATE_OVERRIDE = 4413,
	SET_PED_MOVE_RATE_IN_WATER_OVERRIDE = 4414,
	PED_HAS_SEXINESS_FLAG_SET = 4415,
	GET_PED_NEARBY_VEHICLES = 4416,
	GET_PED_NEARBY_PEDS = 4417,
	HAVE_ALL_STREAMING_REQUESTS_COMPLETED = 4418,
	IS_PED_USING_ACTION_MODE = 4419,
	SET_PED_USING_ACTION_MODE = 4420,
	SET_MOVEMENT_MODE_OVERRIDE = 4421,
	SET_PED_CAPSULE = 4422,
	REGISTER_PEDHEADSHOT = 4423,
	REGISTER_PEDHEADSHOT_HIRES = 4424,
	REGISTER_PEDHEADSHOT_TRANSPARENT = 4425,
	UNREGISTER_PEDHEADSHOT = 4426,
	IS_PEDHEADSHOT_VALID = 4427,
	IS_PEDHEADSHOT_READY = 4428,
	GET_PEDHEADSHOT_TXD_STRING = 4429,
	REQUEST_PEDHEADSHOT_IMG_UPLOAD = 4430,
	RELEASE_PEDHEADSHOT_IMG_UPLOAD = 4431,
	IS_PEDHEADSHOT_IMG_UPLOAD_AVAILABLE = 4432,
	HAS_PEDHEADSHOT_IMG_UPLOAD_FAILED = 4433,
	HAS_PEDHEADSHOT_IMG_UPLOAD_SUCCEEDED = 4434,
	SET_PED_HEATSCALE_OVERRIDE = 4435,
	DISABLE_PED_HEATSCALE_OVERRIDE = 4436,
	SPAWNPOINTS_START_SEARCH = 4437,
	SPAWNPOINTS_START_SEARCH_IN_ANGLED_AREA = 4438,
	SPAWNPOINTS_CANCEL_SEARCH = 4439,
	SPAWNPOINTS_IS_SEARCH_ACTIVE = 4440,
	SPAWNPOINTS_IS_SEARCH_COMPLETE = 4441,
	SPAWNPOINTS_IS_SEARCH_FAILED = 4442,
	SPAWNPOINTS_GET_NUM_SEARCH_RESULTS = 4443,
	SPAWNPOINTS_GET_SEARCH_RESULT = 4444,
	SPAWNPOINTS_GET_SEARCH_RESULT_FLAGS = 4445,
	SET_IK_TARGET = 4446,
	FORCE_INSTANT_LEG_IK_SETUP = 4447,
	REQUEST_ACTION_MODE_ASSET = 4448,
	HAS_ACTION_MODE_ASSET_LOADED = 4449,
	REMOVE_ACTION_MODE_ASSET = 4450,
	REQUEST_STEALTH_MODE_ASSET = 4451,
	HAS_STEALTH_MODE_ASSET_LOADED = 4452,
	REMOVE_STEALTH_MODE_ASSET = 4453,
	SET_PED_LOD_MULTIPLIER = 4454,
	SET_PED_CAN_LOSE_PROPS_ON_DAMAGE = 4455,
	SET_FORCE_FOOTSTEP_UPDATE = 4456,
	SET_FORCE_STEP_TYPE = 4457,
	IS_ANY_HOSTILE_PED_NEAR_POINT = 4458,
	SET_PED_CAN_PLAY_IN_CAR_IDLES = 4459,
	IS_TARGET_PED_IN_PERCEPTION_AREA = 4460,
	SET_POP_CONTROL_SPHERE_THIS_FRAME = 4461,
	FORCE_ZERO_MASS_IN_COLLISIONS = 4462,
	SET_DISABLE_HIGH_FALL_DEATH = 4463,
	SET_PED_PHONE_PALETTE_IDX = 4464,
	SET_PED_STEER_BIAS = 4465,
	IS_PED_SWITCHING_WEAPON = 4466,
	SET_PED_TREATED_AS_FRIENDLY = 4467,
	SET_DISABLE_PED_MAP_COLLISION = 4468,
	ENABLE_MP_LIGHT = 4469,
	GET_MP_LIGHT_ENABLED = 4470,
	CLEAR_COVER_POINT_FOR_PED = 4471,
	SET_ALLOW_STUNT_JUMP_CAMERA = 4472,
	ADD_ROPE = 4473,
	DELETE_ROPE = 4474,
	DELETE_CHILD_ROPE = 4475,
	DOES_ROPE_EXIST = 4476,
	ROPE_DRAW_ENABLED = 4477,
	ROPE_DRAW_SHADOW_ENABLED = 4478,
	LOAD_ROPE_DATA = 4479,
	PIN_ROPE_VERTEX = 4480,
	UNPIN_ROPE_VERTEX = 4481,
	GET_ROPE_VERTEX_COUNT = 4482,
	ATTACH_ENTITIES_TO_ROPE = 4483,
	ATTACH_ROPE_TO_ENTITY = 4484,
	DETACH_ROPE_FROM_ENTITY = 4485,
	ROPE_SET_UPDATE_PINVERTS = 4486,
	ROPE_SET_UPDATE_ORDER = 4487,
	ROPE_SET_SMOOTH_REELIN = 4488,
	IS_ROPE_ATTACHED_AT_BOTH_ENDS = 4489,
	GET_ROPE_LAST_VERTEX_COORD = 4490,
	GET_ROPE_VERTEX_COORD = 4491,
	START_ROPE_WINDING = 4492,
	STOP_ROPE_WINDING = 4493,
	START_ROPE_UNWINDING_FRONT = 4494,
	STOP_ROPE_UNWINDING_FRONT = 4495,
	ROPE_CONVERT_TO_SIMPLE = 4496,
	ROPE_LOAD_TEXTURES = 4497,
	ROPE_ARE_TEXTURES_LOADED = 4498,
	ROPE_UNLOAD_TEXTURES = 4499,
	DOES_SCRIPT_OWN_ROPE = 4500,
	ROPE_ATTACH_VIRTUAL_BOUND_GEOM = 4501,
	ROPE_CHANGE_SCRIPT_OWNER = 4502,
	ROPE_SET_REFFRAMEVELOCITY_COLLIDERORDER = 4503,
	ROPE_GET_DISTANCE_BETWEEN_ENDS = 4504,
	ROPE_FORCE_LENGTH = 4505,
	ROPE_RESET_LENGTH = 4506,
	APPLY_IMPULSE_TO_CLOTH = 4507,
	SET_DAMPING = 4508,
	ACTIVATE_PHYSICS = 4509,
	SET_CGOFFSET = 4510,
	GET_CGOFFSET = 4511,
	SET_CG_AT_BOUNDCENTER = 4512,
	BREAK_ENTITY_GLASS = 4513,
	GET_IS_ENTITY_A_FRAG = 4514,
	SET_DISABLE_BREAKING = 4515,
	RESET_DISABLE_BREAKING = 4516,
	SET_DISABLE_FRAG_DAMAGE = 4517,
	SET_USE_KINEMATIC_PHYSICS = 4518,
	SET_IN_STUNT_MODE = 4519,
	SET_IN_ARENA_MODE = 4520,
	GET_PLAYER_PED = 4521,
	GET_PLAYER_PED_SCRIPT_INDEX = 4522,
	SET_PLAYER_MODEL = 4523,
	CHANGE_PLAYER_PED = 4524,
	GET_PLAYER_RGB_COLOUR = 4525,
	GET_NUMBER_OF_PLAYERS = 4526,
	GET_PLAYER_TEAM = 4527,
	SET_PLAYER_TEAM = 4528,
	GET_NUMBER_OF_PLAYERS_IN_TEAM = 4529,
	GET_PLAYER_NAME = 4530,
	GET_WANTED_LEVEL_RADIUS = 4531,
	GET_PLAYER_WANTED_CENTRE_POSITION = 4532,
	SET_PLAYER_WANTED_CENTRE_POSITION = 4533,
	GET_WANTED_LEVEL_THRESHOLD = 4534,
	SET_PLAYER_WANTED_LEVEL = 4535,
	SET_PLAYER_WANTED_LEVEL_NO_DROP = 4536,
	SET_PLAYER_WANTED_LEVEL_NOW = 4537,
	ARE_PLAYER_FLASHING_STARS_ABOUT_TO_DROP = 4538,
	ARE_PLAYER_STARS_GREYED_OUT = 4539,
	IS_WANTED_AND_HAS_BEEN_SEEN_BY_COPS = 4540,
	SET_DISPATCH_COPS_FOR_PLAYER = 4541,
	IS_PLAYER_WANTED_LEVEL_GREATER = 4542,
	CLEAR_PLAYER_WANTED_LEVEL = 4543,
	IS_PLAYER_DEAD = 4544,
	IS_PLAYER_PRESSING_HORN = 4545,
	SET_PLAYER_CONTROL = 4546,
	GET_PLAYER_WANTED_LEVEL = 4547,
	SET_MAX_WANTED_LEVEL = 4548,
	SET_POLICE_RADAR_BLIPS = 4549,
	SET_POLICE_IGNORE_PLAYER = 4550,
	IS_PLAYER_PLAYING = 4551,
	SET_EVERYONE_IGNORE_PLAYER = 4552,
	SET_ALL_RANDOM_PEDS_FLEE = 4553,
	SET_ALL_RANDOM_PEDS_FLEE_THIS_FRAME = 4554,
	SET_ALL_NEUTRAL_RANDOM_PEDS_FLEE = 4555,
	SET_ALL_NEUTRAL_RANDOM_PEDS_FLEE_THIS_FRAME = 4556,
	SET_LAW_PEDS_CAN_ATTACK_NON_WANTED_PLAYER_THIS_FRAME = 4557,
	SET_IGNORE_LOW_PRIORITY_SHOCKING_EVENTS = 4558,
	SET_WANTED_LEVEL_MULTIPLIER = 4559,
	SET_WANTED_LEVEL_DIFFICULTY = 4560,
	RESET_WANTED_LEVEL_DIFFICULTY = 4561,
	GET_WANTED_LEVEL_TIME_TO_ESCAPE = 4562,
	SET_WANTED_LEVEL_HIDDEN_ESCAPE_TIME = 4563,
	RESET_WANTED_LEVEL_HIDDEN_ESCAPE_TIME = 4564,
	START_FIRING_AMNESTY = 4565,
	REPORT_CRIME = 4566,
	SUPPRESS_CRIME_THIS_FRAME = 4567,
	UPDATE_WANTED_POSITION_THIS_FRAME = 4568,
	SUPPRESS_LOSING_WANTED_LEVEL_IF_HIDDEN_THIS_FRAME = 4569,
	ALLOW_EVASION_HUD_IF_DISABLING_HIDDEN_EVASION_THIS_FRAME = 4570,
	FORCE_START_HIDDEN_EVASION = 4571,
	SUPPRESS_WITNESSES_CALLING_POLICE_THIS_FRAME = 4572,
	REPORT_POLICE_SPOTTED_PLAYER = 4573,
	SET_LAW_RESPONSE_DELAY_OVERRIDE = 4574,
	RESET_LAW_RESPONSE_DELAY_OVERRIDE = 4575,
	CAN_PLAYER_START_MISSION = 4576,
	IS_PLAYER_READY_FOR_CUTSCENE = 4577,
	IS_PLAYER_TARGETTING_ENTITY = 4578,
	GET_PLAYER_TARGET_ENTITY = 4579,
	IS_PLAYER_FREE_AIMING = 4580,
	IS_PLAYER_FREE_AIMING_AT_ENTITY = 4581,
	GET_ENTITY_PLAYER_IS_FREE_AIMING_AT = 4582,
	SET_PLAYER_LOCKON_RANGE_OVERRIDE = 4583,
	SET_PLAYER_CAN_DO_DRIVE_BY = 4584,
	SET_PLAYER_CAN_BE_HASSLED_BY_GANGS = 4585,
	SET_PLAYER_CAN_USE_COVER = 4586,
	GET_MAX_WANTED_LEVEL = 4587,
	IS_PLAYER_TARGETTING_ANYTHING = 4588,
	SET_PLAYER_SPRINT = 4589,
	RESET_PLAYER_STAMINA = 4590,
	RESTORE_PLAYER_STAMINA = 4591,
	GET_PLAYER_SPRINT_STAMINA_REMAINING = 4592,
	GET_PLAYER_SPRINT_TIME_REMAINING = 4593,
	GET_PLAYER_UNDERWATER_TIME_REMAINING = 4594,
	SET_PLAYER_UNDERWATER_BREATH_PERCENT_REMAINING = 4595,
	GET_PLAYER_GROUP = 4596,
	GET_PLAYER_MAX_ARMOUR = 4597,
	IS_PLAYER_CONTROL_ON = 4598,
	GET_ARE_CAMERA_CONTROLS_DISABLED = 4599,
	IS_PLAYER_SCRIPT_CONTROL_ON = 4600,
	IS_PLAYER_CLIMBING = 4601,
	IS_PLAYER_BEING_ARRESTED = 4602,
	RESET_PLAYER_ARREST_STATE = 4603,
	GET_PLAYERS_LAST_VEHICLE = 4604,
	GET_PLAYER_INDEX = 4605,
	INT_TO_PLAYERINDEX = 4606,
	INT_TO_PARTICIPANTINDEX = 4607,
	GET_TIME_SINCE_PLAYER_HIT_VEHICLE = 4608,
	GET_TIME_SINCE_PLAYER_HIT_PED = 4609,
	GET_TIME_SINCE_PLAYER_DROVE_ON_PAVEMENT = 4610,
	GET_TIME_SINCE_PLAYER_DROVE_AGAINST_TRAFFIC = 4611,
	IS_PLAYER_FREE_FOR_AMBIENT_TASK = 4612,
	PLAYER_ID = 4613,
	PLAYER_PED_ID = 4614,
	NETWORK_PLAYER_ID_TO_INT = 4615,
	HAS_FORCE_CLEANUP_OCCURRED = 4616,
	FORCE_CLEANUP = 4617,
	FORCE_CLEANUP_FOR_ALL_THREADS_WITH_THIS_NAME = 4618,
	FORCE_CLEANUP_FOR_THREAD_WITH_THIS_ID = 4619,
	GET_CAUSE_OF_MOST_RECENT_FORCE_CLEANUP = 4620,
	SET_PLAYER_MAY_ONLY_ENTER_THIS_VEHICLE = 4621,
	SET_PLAYER_MAY_NOT_ENTER_ANY_VEHICLE = 4622,
	GIVE_ACHIEVEMENT_TO_PLAYER = 4623,
	SET_ACHIEVEMENT_PROGRESS = 4624,
	GET_ACHIEVEMENT_PROGRESS = 4625,
	HAS_ACHIEVEMENT_BEEN_PASSED = 4626,
	IS_PLAYER_ONLINE = 4627,
	IS_PLAYER_LOGGING_IN_NP = 4628,
	DISPLAY_SYSTEM_SIGNIN_UI = 4629,
	IS_SYSTEM_UI_BEING_DISPLAYED = 4630,
	SET_PLAYER_INVINCIBLE = 4631,
	GET_PLAYER_INVINCIBLE = 4632,
	GET_PLAYER_DEBUG_INVINCIBLE = 4633,
	SET_PLAYER_INVINCIBLE_BUT_HAS_REACTIONS = 4634,
	SET_PLAYER_CAN_COLLECT_DROPPED_MONEY = 4635,
	REMOVE_PLAYER_HELMET = 4636,
	GIVE_PLAYER_RAGDOLL_CONTROL = 4637,
	SET_PLAYER_LOCKON = 4638,
	SET_PLAYER_TARGETING_MODE = 4639,
	SET_PLAYER_TARGET_LEVEL = 4640,
	GET_IS_USING_FPS_THIRD_PERSON_COVER = 4641,
	GET_IS_USING_HOOD_CAMERA = 4642,
	CLEAR_PLAYER_HAS_DAMAGED_AT_LEAST_ONE_PED = 4643,
	HAS_PLAYER_DAMAGED_AT_LEAST_ONE_PED = 4644,
	CLEAR_PLAYER_HAS_DAMAGED_AT_LEAST_ONE_NON_ANIMAL_PED = 4645,
	HAS_PLAYER_DAMAGED_AT_LEAST_ONE_NON_ANIMAL_PED = 4646,
	SET_AIR_DRAG_MULTIPLIER_FOR_PLAYERS_VEHICLE = 4647,
	SET_SWIM_MULTIPLIER_FOR_PLAYER = 4648,
	SET_RUN_SPRINT_MULTIPLIER_FOR_PLAYER = 4649,
	GET_TIME_SINCE_LAST_ARREST = 4650,
	GET_TIME_SINCE_LAST_DEATH = 4651,
	ASSISTED_MOVEMENT_CLOSE_ROUTE = 4652,
	ASSISTED_MOVEMENT_FLUSH_ROUTE = 4653,
	SET_PLAYER_FORCED_AIM = 4654,
	SET_PLAYER_FORCED_ZOOM = 4655,
	SET_PLAYER_FORCE_SKIP_AIM_INTRO = 4656,
	DISABLE_PLAYER_FIRING = 4657,
	DISABLE_PLAYER_THROW_GRENADE_WHILE_USING_GUN = 4658,
	SET_DISABLE_AMBIENT_MELEE_MOVE = 4659,
	SET_PLAYER_MAX_ARMOUR = 4660,
	SPECIAL_ABILITY_ACTIVATE = 4661,
	SET_SPECIAL_ABILITY_MP = 4662,
	SPECIAL_ABILITY_DEACTIVATE_MP = 4663,
	SPECIAL_ABILITY_DEACTIVATE = 4664,
	SPECIAL_ABILITY_DEACTIVATE_FAST = 4665,
	SPECIAL_ABILITY_RESET = 4666,
	SPECIAL_ABILITY_CHARGE_ON_MISSION_FAILED = 4667,
	SPECIAL_ABILITY_CHARGE_SMALL = 4668,
	SPECIAL_ABILITY_CHARGE_MEDIUM = 4669,
	SPECIAL_ABILITY_CHARGE_LARGE = 4670,
	SPECIAL_ABILITY_CHARGE_CONTINUOUS = 4671,
	SPECIAL_ABILITY_CHARGE_ABSOLUTE = 4672,
	SPECIAL_ABILITY_CHARGE_NORMALIZED = 4673,
	SPECIAL_ABILITY_FILL_METER = 4674,
	SPECIAL_ABILITY_DEPLETE_METER = 4675,
	SPECIAL_ABILITY_LOCK = 4676,
	SPECIAL_ABILITY_UNLOCK = 4677,
	IS_SPECIAL_ABILITY_UNLOCKED = 4678,
	IS_SPECIAL_ABILITY_ACTIVE = 4679,
	IS_SPECIAL_ABILITY_METER_FULL = 4680,
	ENABLE_SPECIAL_ABILITY = 4681,
	IS_SPECIAL_ABILITY_ENABLED = 4682,
	SET_SPECIAL_ABILITY_MULTIPLIER = 4683,
	UPDATE_SPECIAL_ABILITY_FROM_STAT = 4684,
	GET_IS_PLAYER_DRIVING_ON_HIGHWAY = 4685,
	GET_IS_PLAYER_DRIVING_WRECKLESS = 4686,
	GET_IS_MOPPING_AREA_FREE_IN_FRONT_OF_PLAYER = 4687,
	START_PLAYER_TELEPORT = 4688,
	UPDATE_PLAYER_TELEPORT = 4689,
	STOP_PLAYER_TELEPORT = 4690,
	IS_PLAYER_TELEPORT_ACTIVE = 4691,
	GET_PLAYER_CURRENT_STEALTH_NOISE = 4692,
	SET_PLAYER_HEALTH_RECHARGE_MULTIPLIER = 4693,
	GET_PLAYER_HEALTH_RECHARGE_MAX_PERCENT = 4694,
	SET_PLAYER_HEALTH_RECHARGE_MAX_PERCENT = 4695,
	DISABLE_PLAYER_HEALTH_RECHARGE = 4696,
	SET_PLAYER_FALL_DISTANCE_TO_TRIGGER_RAGDOLL_OVERRIDE = 4697,
	SET_PLAYER_WEAPON_DAMAGE_MODIFIER = 4698,
	SET_PLAYER_WEAPON_DEFENSE_MODIFIER = 4699,
	SET_PLAYER_WEAPON_MINIGUN_DEFENSE_MODIFIER = 4700,
	SET_PLAYER_MELEE_WEAPON_DAMAGE_MODIFIER = 4701,
	SET_PLAYER_MELEE_WEAPON_DEFENSE_MODIFIER = 4702,
	SET_PLAYER_VEHICLE_DAMAGE_MODIFIER = 4703,
	SET_PLAYER_VEHICLE_DEFENSE_MODIFIER = 4704,
	SET_PLAYER_MAX_EXPLOSIVE_DAMAGE = 4705,
	SET_PLAYER_EXPLOSIVE_DAMAGE_MODIFIER = 4706,
	SET_PLAYER_WEAPON_TAKEDOWN_DEFENSE_MODIFIER = 4707,
	SET_PLAYER_PARACHUTE_TINT_INDEX = 4708,
	GET_PLAYER_PARACHUTE_TINT_INDEX = 4709,
	SET_PLAYER_RESERVE_PARACHUTE_TINT_INDEX = 4710,
	GET_PLAYER_RESERVE_PARACHUTE_TINT_INDEX = 4711,
	SET_PLAYER_PARACHUTE_PACK_TINT_INDEX = 4712,
	GET_PLAYER_PARACHUTE_PACK_TINT_INDEX = 4713,
	SET_PLAYER_HAS_RESERVE_PARACHUTE = 4714,
	GET_PLAYER_HAS_RESERVE_PARACHUTE = 4715,
	SET_PLAYER_CAN_LEAVE_PARACHUTE_SMOKE_TRAIL = 4716,
	SET_PLAYER_PARACHUTE_SMOKE_TRAIL_COLOR = 4717,
	GET_PLAYER_PARACHUTE_SMOKE_TRAIL_COLOR = 4718,
	SET_PLAYER_PHONE_PALETTE_IDX = 4719,
	SET_PLAYER_NOISE_MULTIPLIER = 4720,
	SET_PLAYER_SNEAKING_NOISE_MULTIPLIER = 4721,
	CAN_PED_HEAR_PLAYER = 4722,
	SIMULATE_PLAYER_INPUT_GAIT = 4723,
	RESET_PLAYER_INPUT_GAIT = 4724,
	SET_AUTO_GIVE_PARACHUTE_WHEN_ENTER_PLANE = 4725,
	SET_AUTO_GIVE_SCUBA_GEAR_WHEN_EXIT_VEHICLE = 4726,
	SET_PLAYER_STEALTH_PERCEPTION_MODIFIER = 4727,
	IS_REMOTE_PLAYER_IN_NON_CLONED_VEHICLE = 4728,
	INCREASE_PLAYER_JUMP_SUPPRESSION_RANGE = 4729,
	SET_PLAYER_SIMULATE_AIMING = 4730,
	SET_PLAYER_CLOTH_PIN_FRAMES = 4731,
	SET_PLAYER_CLOTH_PACKAGE_INDEX = 4732,
	SET_PLAYER_CLOTH_LOCK_COUNTER = 4733,
	PLAYER_ATTACH_VIRTUAL_BOUND = 4734,
	PLAYER_DETACH_VIRTUAL_BOUND = 4735,
	HAS_PLAYER_BEEN_SPOTTED_IN_STOLEN_VEHICLE = 4736,
	IS_PLAYER_BATTLE_AWARE = 4737,
	GET_PLAYER_RECEIVED_BATTLE_EVENT_RECENTLY = 4738,
	EXTEND_WORLD_BOUNDARY_FOR_PLAYER = 4739,
	RESET_WORLD_BOUNDARY_FOR_PLAYER = 4740,
	IS_PLAYER_RIDING_TRAIN = 4741,
	HAS_PLAYER_LEFT_THE_WORLD = 4742,
	SET_PLAYER_LEAVE_PED_BEHIND = 4743,
	SET_PLAYER_PARACHUTE_VARIATION_OVERRIDE = 4744,
	CLEAR_PLAYER_PARACHUTE_VARIATION_OVERRIDE = 4745,
	SET_PLAYER_PARACHUTE_MODEL_OVERRIDE = 4746,
	SET_PLAYER_RESERVE_PARACHUTE_MODEL_OVERRIDE = 4747,
	GET_PLAYER_PARACHUTE_MODEL_OVERRIDE = 4748,
	GET_PLAYER_RESERVE_PARACHUTE_MODEL_OVERRIDE = 4749,
	CLEAR_PLAYER_PARACHUTE_MODEL_OVERRIDE = 4750,
	CLEAR_PLAYER_RESERVE_PARACHUTE_MODEL_OVERRIDE = 4751,
	SET_PLAYER_PARACHUTE_PACK_MODEL_OVERRIDE = 4752,
	CLEAR_PLAYER_PARACHUTE_PACK_MODEL_OVERRIDE = 4753,
	DISABLE_PLAYER_VEHICLE_REWARDS = 4754,
	SET_PLAYER_SPECTATED_VEHICLE_RADIO_OVERRIDE = 4755,
	SET_PLAYER_BLUETOOTH_STATE = 4756,
	IS_PLAYER_BLUETOOTH_ENABLE = 4757,
	DISABLE_CAMERA_VIEW_MODE_CYCLE = 4758,
	GET_PLAYER_FAKE_WANTED_LEVEL = 4759,
	SET_PLAYER_CAN_DAMAGE_PLAYER = 4760,
	SET_APPLY_WAYPOINT_OF_PLAYER = 4761,
	IS_PLAYER_VEHICLE_WEAPON_TOGGLED_TO_NON_HOMING = 4762,
	SET_PLAYER_VEHICLE_WEAPON_TO_NON_HOMING = 4763,
	SET_PLAYER_HOMING_DISABLED_FOR_ALL_VEHICLE_WEAPONS = 4764,
	ADD_PLAYER_TARGETABLE_ENTITY = 4765,
	REMOVE_PLAYER_TARGETABLE_ENTITY = 4766,
	SET_PLAYER_PREVIOUS_VARIATION_DATA = 4767,
	REMOVE_SCRIPT_FIRE_POSITION = 4768,
	SET_SCRIPT_FIRE_POSITION = 4769,
	REPLAY_START_EVENT = 4770,
	REPLAY_STOP_EVENT = 4771,
	REPLAY_CANCEL_EVENT = 4772,
	REPLAY_RECORD_BACK_FOR_TIME = 4773,
	REPLAY_CHECK_FOR_EVENT_THIS_FRAME = 4774,
	REPLAY_PREVENT_RECORDING_THIS_FRAME = 4775,
	REPLAY_RESET_EVENT_INFO = 4776,
	REPLAY_DISABLE_CAMERA_MOVEMENT_THIS_FRAME = 4777,
	RECORD_GREATEST_MOMENT = 4778,
	START_REPLAY_RECORDING = 4779,
	STOP_REPLAY_RECORDING = 4780,
	CANCEL_REPLAY_RECORDING = 4781,
	SAVE_REPLAY_RECORDING = 4782,
	IS_REPLAY_RECORDING = 4783,
	IS_REPLAY_INITIALIZED = 4784,
	IS_REPLAY_AVAILABLE = 4785,
	IS_REPLAY_RECORD_SPACE_AVAILABLE = 4786,
	REGISTER_EFFECT_FOR_REPLAY_EDITOR = 4787,
	REPLAY_SYSTEM_HAS_REQUESTED_A_SCRIPT_CLEANUP = 4788,
	SET_SCRIPTS_HAVE_CLEANED_UP_FOR_REPLAY_SYSTEM = 4789,
	SET_REPLAY_SYSTEM_PAUSED_FOR_SAVE = 4790,
	REPLAY_CONTROL_SHUTDOWN = 4791,
	ACTIVATE_ROCKSTAR_EDITOR = 4792,
	SAVEMIGRATION_IS_MP_ENABLED = 4793,
	SAVEMIGRATION_MP_REQUEST_ACCOUNTS = 4794,
	SAVEMIGRATION_MP_GET_ACCOUNTS_STATUS = 4795,
	SAVEMIGRATION_MP_NUM_ACCOUNTS = 4796,
	SAVEMIGRATION_MP_GET_ACCOUNT = 4797,
	SAVEMIGRATION_MP_REQUEST_STATUS = 4798,
	SAVEMIGRATION_MP_GET_STATUS = 4799,
	REQUEST_SCRIPT = 4800,
	SET_SCRIPT_AS_NO_LONGER_NEEDED = 4801,
	HAS_SCRIPT_LOADED = 4802,
	DOES_SCRIPT_EXIST = 4803,
	REQUEST_SCRIPT_WITH_NAME_HASH = 4804,
	SET_SCRIPT_WITH_NAME_HASH_AS_NO_LONGER_NEEDED = 4805,
	HAS_SCRIPT_WITH_NAME_HASH_LOADED = 4806,
	DOES_SCRIPT_WITH_NAME_HASH_EXIST = 4807,
	TERMINATE_THREAD = 4808,
	IS_THREAD_ACTIVE = 4809,
	GET_NAME_OF_SCRIPT_WITH_THIS_ID = 4810,
	SCRIPT_THREAD_ITERATOR_RESET = 4811,
	SCRIPT_THREAD_ITERATOR_GET_NEXT_THREAD_ID = 4812,
	GET_ID_OF_THIS_THREAD = 4813,
	TERMINATE_THIS_THREAD = 4814,
	GET_NUMBER_OF_THREADS_RUNNING_THE_SCRIPT_WITH_THIS_HASH = 4815,
	GET_THIS_SCRIPT_NAME = 4816,
	GET_HASH_OF_THIS_SCRIPT_NAME = 4817,
	GET_NUMBER_OF_EVENTS = 4818,
	GET_EVENT_EXISTS = 4819,
	GET_EVENT_AT_INDEX = 4820,
	GET_EVENT_DATA = 4821,
	TRIGGER_SCRIPT_EVENT = 4822,
	SHUTDOWN_LOADING_SCREEN = 4823,
	SET_NO_LOADING_SCREEN = 4824,
	GET_NO_LOADING_SCREEN = 4825,
	COMMIT_TO_LOADINGSCREEN_SELCTION = 4826,
	BG_IS_EXITFLAG_SET = 4827,
	BG_SET_EXITFLAG_RESPONSE = 4828,
	BG_START_CONTEXT_HASH = 4829,
	BG_END_CONTEXT_HASH = 4830,
	BG_START_CONTEXT = 4831,
	BG_END_CONTEXT = 4832,
	BG_DOES_LAUNCH_PARAM_EXIST = 4833,
	BG_GET_LAUNCH_PARAM_VALUE = 4834,
	BG_GET_SCRIPT_ID_FROM_NAME_HASH = 4835,
	_SEND_TU_SCRIPT_EVENT_NEW = 4836,
	REGISTER_SCRIPT_VARIABLE = 4837,
	UNREGISTER_SCRIPT_VARIABLE = 4838,
	FORCE_CHECK_SCRIPT_VARIABLES = 4839,
	START_SHAPE_TEST_LOS_PROBE = 4840,
	START_EXPENSIVE_SYNCHRONOUS_SHAPE_TEST_LOS_PROBE = 4841,
	START_SHAPE_TEST_BOUNDING_BOX = 4842,
	START_SHAPE_TEST_BOX = 4843,
	START_SHAPE_TEST_BOUND = 4844,
	START_SHAPE_TEST_CAPSULE = 4845,
	START_SHAPE_TEST_SWEPT_SPHERE = 4846,
	START_SHAPE_TEST_MOUSE_CURSOR_LOS_PROBE = 4847,
	GET_SHAPE_TEST_RESULT = 4848,
	GET_SHAPE_TEST_RESULT_INCLUDING_MATERIAL = 4849,
	RELEASE_SCRIPT_GUID_FROM_ENTITY = 4850,
	SC_INBOX_GET_TOTAL_NUM_MESSAGES = 4851,
	SC_INBOX_GET_MESSAGE_TYPE_AT_INDEX = 4852,
	SC_INBOX_GET_MESSAGE_IS_READ_AT_INDEX = 4853,
	SC_INBOX_SET_MESSAGE_AS_READ_AT_INDEX = 4854,
	SC_INBOX_MESSAGE_GET_DATA_INT = 4855,
	SC_INBOX_MESSAGE_GET_DATA_BOOL = 4856,
	SC_INBOX_MESSAGE_GET_DATA_STRING = 4857,
	SC_INBOX_MESSAGE_DO_APPLY = 4858,
	SC_INBOX_MESSAGE_GET_RAW_TYPE_AT_INDEX = 4859,
	SC_INBOX_MESSAGE_PUSH_GAMER_T0_RECIP_LIST = 4860,
	SC_INBOX_SEND_UGCSTATUPDATE_TO_RECIP_LIST = 4861,
	SC_INBOX_MESSAGE_GET_UGCDATA = 4862,
	SC_INBOX_GET_BOUNTY_DATA_AT_INDEX = 4863,
	SC_EMAIL_RETRIEVE_EMAILS = 4864,
	SC_EMAIL_GET_RETRIEVAL_STATUS = 4865,
	SC_EMAIL_GET_NUM_RETRIEVED_EMAILS = 4866,
	SC_EMAIL_GET_EMAIL_AT_INDEX = 4867,
	_SC_EMAIL_MARKETING_EMAIL_OPENED = 4868,
	SC_EMAIL_DELETE_EMAILS = 4869,
	SC_EMAIL_MESSAGE_PUSH_GAMER_TO_RECIP_LIST = 4870,
	SC_EMAIL_MESSAGE_CLEAR_RECIP_LIST = 4871,
	SC_EMAIL_SEND_EMAIL = 4872,
	SC_EMAIL_SET_CURRENT_EMAIL_TAG = 4873,
	SC_CACHE_NEW_ROCKSTAR_MSGS = 4874,
	SC_HAS_NEW_ROCKSTAR_MSG = 4875,
	SC_GET_NEW_ROCKSTAR_MSG = 4876,
	SC_PRESENCE_ATTR_SET_INT = 4877,
	SC_PRESENCE_ATTR_SET_FLOAT = 4878,
	SC_PRESENCE_ATTR_SET_STRING = 4879,
	SC_PRESENCE_SET_ACTIVITY_RATING = 4880,
	SC_GAMERDATA_GET_INT = 4881,
	SC_GAMERDATA_GET_FLOAT = 4882,
	SC_GAMERDATA_GET_BOOL = 4883,
	SC_GAMERDATA_GET_STRING = 4884,
	SC_GAMERDATA_GET_ACTIVE_XP_BONUS = 4885,
	SC_PROFANITY_CHECK_STRING = 4886,
	SC_PROFANITY_CHECK_STRING_UGC = 4887,
	SC_PROFANITY_GET_CHECK_IS_VALID = 4888,
	SC_PROFANITY_GET_CHECK_IS_PENDING = 4889,
	SC_PROFANITY_GET_STRING_PASSED = 4890,
	SC_PROFANITY_GET_STRING_STATUS = 4891,
	SC_PROFANITY_GET_PROFANE_WORD = 4892,
	SC_LICENSEPLATE_CHECK_STRING = 4893,
	SC_LICENSEPLATE_GET_CHECK_IS_VALID = 4894,
	SC_LICENSEPLATE_GET_CHECK_IS_PENDING = 4895,
	SC_LICENSEPLATE_GET_COUNT = 4896,
	SC_LICENSEPLATE_GET_PLATE = 4897,
	SC_LICENSEPLATE_GET_PLATE_DATA = 4898,
	SC_LICENSEPLATE_SET_PLATE_DATA = 4899,
	SC_LICENSEPLATE_ADD = 4900,
	SC_LICENSEPLATE_GET_ADD_IS_PENDING = 4901,
	SC_LICENSEPLATE_GET_ADD_STATUS = 4902,
	SC_LICENSEPLATE_ISVALID = 4903,
	SC_LICENSEPLATE_GET_ISVALID_IS_PENDING = 4904,
	SC_LICENSEPLATE_GET_ISVALID_STATUS = 4905,
	SC_COMMUNITY_EVENT_IS_ACTIVE = 4906,
	SC_COMMUNITY_EVENT_GET_EVENT_ID = 4907,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_INT = 4908,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_FLOAT = 4909,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_STRING = 4910,
	SC_COMMUNITY_EVENT_GET_DISPLAY_NAME = 4911,
	SC_COMMUNITY_EVENT_IS_ACTIVE_FOR_TYPE = 4912,
	SC_COMMUNITY_EVENT_GET_EVENT_ID_FOR_TYPE = 4913,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_INT_FOR_TYPE = 4914,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_FLOAT_FOR_TYPE = 4915,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_STRING_FOR_TYPE = 4916,
	SC_COMMUNITY_EVENT_GET_DISPLAY_NAME_FOR_TYPE = 4917,
	SC_COMMUNITY_EVENT_IS_ACTIVE_BY_ID = 4918,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_INT_BY_ID = 4919,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_FLOAT_BY_ID = 4920,
	SC_COMMUNITY_EVENT_GET_EXTRA_DATA_STRING_BY_ID = 4921,
	SC_COMMUNITY_EVENT_GET_DISPLAY_NAME_BY_ID = 4922,
	SC_TRANSITION_NEWS_SHOW = 4923,
	SC_TRANSITION_NEWS_SHOW_TIMED = 4924,
	SC_TRANSITION_NEWS_SHOW_NEXT_ITEM = 4925,
	SC_TRANSITION_NEWS_HAS_EXTRA_DATA_TU = 4926,
	SC_TRANSITION_NEWS_GET_EXTRA_DATA_INT_TU = 4927,
	SC_TRANSITION_NEWS_END = 4928,
	SC_PAUSE_NEWS_INIT_STARTER_PACK = 4929,
	SC_PAUSE_NEWS_GET_PENDING_STORY = 4930,
	SC_PAUSE_NEWS_SHUTDOWN = 4931,
	SC_ACCOUNT_INFO_GET_NICKNAME = 4932,
	SC_ACHIEVEMENT_INFO_STATUS = 4933,
	SC_HAS_ACHIEVEMENT_BEEN_PASSED = 4934,
	STAT_CLEAR_SLOT_FOR_RELOAD = 4935,
	STAT_LOAD = 4936,
	STAT_SAVE = 4937,
	STAT_SET_OPEN_SAVETYPE_IN_JOB = 4938,
	STAT_LOAD_PENDING = 4939,
	STAT_SAVE_PENDING = 4940,
	STAT_SAVE_PENDING_OR_REQUESTED = 4941,
	STAT_DELETE_SLOT = 4942,
	STAT_SLOT_IS_LOADED = 4943,
	STAT_CLOUD_SLOT_LOAD_FAILED = 4944,
	STAT_CLOUD_SLOT_LOAD_FAILED_CODE = 4945,
	STAT_SET_BLOCK_SAVES = 4946,
	STAT_GET_BLOCK_SAVES = 4947,
	STAT_CLOUD_SLOT_SAVE_FAILED = 4948,
	STAT_CLEAR_PENDING_SAVES = 4949,
	STAT_LOAD_DIRTY_READ_DETECTED = 4950,
	STAT_CLEAR_DIRTY_READ_DETECTED = 4951,
	STAT_GET_LOAD_SAFE_TO_PROGRESS_TO_MP_FROM_SP = 4952,
	_GET_STAT_HASH_FOR_CHARACTER_STAT = 4953,
	STAT_SET_INT = 4954,
	STAT_SET_FLOAT = 4955,
	STAT_SET_BOOL = 4956,
	STAT_SET_GXT_LABEL = 4957,
	STAT_SET_DATE = 4958,
	STAT_SET_STRING = 4959,
	STAT_SET_POS = 4960,
	STAT_SET_MASKED_INT = 4961,
	STAT_SET_USER_ID = 4962,
	STAT_SET_CURRENT_POSIX_TIME = 4963,
	STAT_GET_INT = 4964,
	STAT_GET_FLOAT = 4965,
	STAT_GET_BOOL = 4966,
	STAT_GET_DATE = 4967,
	STAT_GET_STRING = 4968,
	STAT_GET_POS = 4969,
	STAT_GET_MASKED_INT = 4970,
	STAT_GET_USER_ID = 4971,
	STAT_GET_LICENSE_PLATE = 4972,
	STAT_SET_LICENSE_PLATE = 4973,
	STAT_INCREMENT = 4974,
	STAT_COMMUNITY_START_SYNCH = 4975,
	STAT_COMMUNITY_SYNCH_IS_PENDING = 4976,
	STAT_COMMUNITY_GET_HISTORY = 4977,
	STAT_RESET_ALL_ONLINE_CHARACTER_STATS = 4978,
	STAT_LOCAL_RESET_ALL_ONLINE_CHARACTER_STATS = 4979,
	STAT_GET_NUMBER_OF_DAYS = 4980,
	STAT_GET_NUMBER_OF_HOURS = 4981,
	STAT_GET_NUMBER_OF_MINUTES = 4982,
	STAT_GET_NUMBER_OF_SECONDS = 4983,
	STAT_SET_PROFILE_SETTING_VALUE = 4984,
	STATS_COMPLETED_CHARACTER_CREATION = 4985,
	PACKED_STAT_GET_INT_STAT_INDEX = 4986,
	GET_PACKED_INT_STAT_KEY = 4987,
	GET_PACKED_TU_INT_STAT_KEY = 4988,
	GET_PACKED_NG_INT_STAT_KEY = 4989,
	GET_PACKED_STAT_BOOL_CODE = 4990,
	GET_PACKED_STAT_INT_CODE = 4991,
	SET_PACKED_STAT_BOOL_CODE = 4992,
	SET_PACKED_STAT_INT_CODE = 4993,
	PLAYSTATS_BACKGROUND_SCRIPT_ACTION = 4994,
	_PLAYSTATS_FLOW_LOW = 4995,
	_PLAYSTATS_FLOW_MEDIUM = 4996,
	PLAYSTATS_NPC_INVITE = 4997,
	PLAYSTATS_AWARD_XP = 4998,
	PLAYSTATS_RANK_UP = 4999,
	PLAYSTATS_STARTED_SESSION_IN_OFFLINEMODE = 5000,
	PLAYSTATS_ACTIVITY_DONE = 5001,
	PLAYSTATS_LEAVE_JOB_CHAIN = 5002,
	PLAYSTATS_MISSION_STARTED = 5003,
	PLAYSTATS_MISSION_OVER = 5004,
	PLAYSTATS_MISSION_CHECKPOINT = 5005,
	PLAYSTATS_RANDOM_MISSION_DONE = 5006,
	PLAYSTATS_ROS_BET = 5007,
	PLAYSTATS_RACE_CHECKPOINT = 5008,
	PLAYSTATS_CREATE_MATCH_HISTORY_ID_2 = 5009,
	PLAYSTATS_MATCH_STARTED = 5010,
	PLAYSTATS_SHOP_ITEM = 5011,
	PLAYSTATS_CRATE_DROP_MISSION_DONE = 5012,
	PLAYSTATS_CRATE_CREATED = 5013,
	PLAYSTATS_HOLD_UP_MISSION_DONE = 5014,
	PLAYSTATS_IMPORT_EXPORT_MISSION_DONE = 5015,
	PLAYSTATS_RACE_TO_POINT_MISSION_DONE = 5016,
	PLAYSTATS_ACQUIRED_HIDDEN_PACKAGE = 5017,
	PLAYSTATS_WEBSITE_VISITED = 5018,
	PLAYSTATS_FRIEND_ACTIVITY = 5019,
	PLAYSTATS_ODDJOB_DONE = 5020,
	PLAYSTATS_PROP_CHANGE = 5021,
	PLAYSTATS_CLOTH_CHANGE = 5022,
	PLAYSTATS_WEAPON_MODE_CHANGE = 5023,
	PLAYSTATS_CHEAT_APPLIED = 5024,
	PLAYSTATS_JOB_ACTIVITY_END = 5025,
	PLAYSTATS_JOB_BEND = 5026,
	PLAYSTATS_JOB_LTS_END = 5027,
	PLAYSTATS_JOB_LTS_ROUND_END = 5028,
	PLAYSTATS_QUICKFIX_TOOL = 5029,
	PLAYSTATS_IDLE_KICK = 5030,
	PLAYSTATS_SET_JOIN_TYPE = 5031,
	PLAYSTATS_HEIST_SAVE_CHEAT = 5032,
	PLAYSTATS_APPEND_DIRECTOR_METRIC = 5033,
	PLAYSTATS_AWARD_BAD_SPORT = 5034,
	PLAYSTATS_PEGASUS_AS_PERSONAL_AIRCRAFT = 5035,
	_PLAYSTATS_SHOPMENU_NAV = 5036,
	PLAYSTATS_FM_EVENT_CHALLENGES = 5037,
	PLAYSTATS_FM_EVENT_VEHICLETARGET = 5038,
	PLAYSTATS_FM_EVENT_URBANWARFARE = 5039,
	PLAYSTATS_FM_EVENT_CHECKPOINTCOLLECTION = 5040,
	PLAYSTATS_FM_EVENT_ATOB = 5041,
	PLAYSTATS_FM_EVENT_PENNEDIN = 5042,
	PLAYSTATS_FM_EVENT_PASSTHEPARCEL = 5043,
	PLAYSTATS_FM_EVENT_HOTPROPERTY = 5044,
	PLAYSTATS_FM_EVENT_DEADDROP = 5045,
	PLAYSTATS_FM_EVENT_KINGOFTHECASTLE = 5046,
	PLAYSTATS_FM_EVENT_CRIMINALDAMAGE = 5047,
	PLAYSTATS_FM_EVENT_COMPETITIVEURBANWARFARE = 5048,
	PLAYSTATS_FM_EVENT_HUNTBEAST = 5049,
	PLAYSTATS_PIMENU_HIDE_OPTIONS = 5050,
	_PLAYSTATS_NAMED_USER_CONTENT = 5051,
	LEADERBOARDS_GET_NUMBER_OF_COLUMNS = 5052,
	LEADERBOARDS_GET_COLUMN_ID = 5053,
	LEADERBOARDS_GET_COLUMN_TYPE = 5054,
	LEADERBOARDS_READ_CLEAR_ALL = 5055,
	LEADERBOARDS_READ_CLEAR = 5056,
	LEADERBOARDS_READ_PENDING = 5057,
	LEADERBOARDS_READ_ANY_PENDING = 5058,
	LEADERBOARDS_READ_SUCCESSFUL = 5059,
	LEADERBOARDS2_READ_FRIENDS_BY_ROW = 5060,
	LEADERBOARDS2_READ_BY_HANDLE = 5061,
	LEADERBOARDS2_READ_BY_RANK = 5062,
	LEADERBOARDS2_READ_BY_RADIUS = 5063,
	LEADERBOARDS2_READ_BY_SCORE_INT = 5064,
	LEADERBOARDS2_READ_BY_SCORE_FLOAT = 5065,
	LEADERBOARDS2_READ_RANK_PREDICTION = 5066,
	LEADERBOARDS2_READ_BY_PLAFORM = 5067,
	LEADERBOARDS2_READ_GET_ROW_DATA_START = 5068,
	LEADERBOARDS2_READ_GET_ROW_DATA_END = 5069,
	LEADERBOARDS2_READ_GET_ROW_DATA_INFO = 5070,
	LEADERBOARDS2_READ_GET_ROW_DATA_INT = 5071,
	LEADERBOARDS2_READ_GET_ROW_DATA_FLOAT = 5072,
	LEADERBOARDS2_WRITE_DATA = 5073,
	LEADERBOARDS_WRITE_ADD_COLUMN = 5074,
	LEADERBOARDS_WRITE_ADD_COLUMN_LONG = 5075,
	LEADERBOARDS_CACHE_DATA_ROW = 5076,
	LEADERBOARDS_CLEAR_CACHE_DATA = 5077,
	LEADERBOARDS_CLEAR_CACHE_DATA_ID = 5078,
	LEADERBOARDS_GET_CACHE_EXISTS = 5079,
	LEADERBOARDS_GET_CACHE_TIME = 5080,
	LEADERBOARDS_GET_CACHE_NUMBER_OF_ROWS = 5081,
	LEADERBOARDS_GET_CACHE_DATA_ROW = 5082,
	PRESENCE_EVENT_UPDATESTAT_INT = 5083,
	PRESENCE_EVENT_UPDATESTAT_FLOAT = 5084,
	PRESENCE_EVENT_UPDATESTAT_INT_WITH_STRING = 5085,
	GET_PLAYER_HAS_DRIVEN_ALL_VEHICLES = 5086,
	SET_HAS_POSTED_ALL_VEHICLES_DRIVEN = 5087,
	SET_PROFILE_SETTING_PROLOGUE_COMPLETE = 5088,
	SET_PROFILE_SETTING_SP_CHOP_MISSION_COMPLETE = 5089,
	SET_PROFILE_SETTING_CREATOR_RACES_DONE = 5090,
	SET_PROFILE_SETTING_CREATOR_DM_DONE = 5091,
	SET_PROFILE_SETTING_CREATOR_CTF_DONE = 5092,
	SET_JOB_ACTIVITY_ID_STARTED = 5093,
	SET_FREEMODE_PROLOGUE_DONE = 5094,
	SET_FREEMODE_STRAND_PROGRESSION_STATUS = 5095,
	STAT_NETWORK_INCREMENT_ON_SUICIDE = 5096,
	STAT_SET_CHEAT_IS_ACTIVE = 5097,
	LEADERBOARDS2_WRITE_DATA_FOR_EVENT_TYPE = 5098,
	FORCE_CLOUD_MP_STATS_DOWNLOAD_AND_OVERWRITE_LOCAL_SAVE = 5099,
	STAT_MIGRATE_CLEAR_FOR_RESTART = 5100,
	STAT_MIGRATE_SAVEGAME_START = 5101,
	STAT_MIGRATE_SAVEGAME_GET_STATUS = 5102,
	STAT_MIGRATE_CHECK_ALREADY_DONE = 5103,
	STAT_MIGRATE_CHECK_START = 5104,
	STAT_MIGRATE_CHECK_GET_IS_PLATFORM_AVAILABLE = 5105,
	STAT_MIGRATE_CHECK_GET_PLATFORM_STATUS = 5106,
	STAT_GET_SAVE_MIGRATION_STATUS = 5107,
	STAT_SAVE_MIGRATION_CANCEL_PENDING_OPERATION = 5108,
	STAT_GET_CANCEL_SAVE_MIGRATION_STATUS = 5109,
	STAT_SAVE_MIGRATION_CONSUME_CONTENT = 5110,
	STAT_GET_SAVE_MIGRATION_CONSUME_CONTENT_STATUS = 5111,
	STAT_ENABLE_STATS_TRACKING = 5112,
	STAT_DISABLE_STATS_TRACKING = 5113,
	STAT_IS_STATS_TRACKING_ENABLED = 5114,
	STAT_START_RECORD_STAT = 5115,
	STAT_STOP_RECORD_STAT = 5116,
	STAT_GET_RECORDED_VALUE = 5117,
	STAT_IS_RECORDING_STAT = 5118,
	STAT_GET_CURRENT_NEAR_MISS_NOCRASH_PRECISE = 5119,
	STAT_GET_CURRENT_REAR_WHEEL_DISTANCE = 5120,
	STAT_GET_CURRENT_FRONT_WHEEL_DISTANCE = 5121,
	STAT_GET_CURRENT_JUMP_DISTANCE = 5122,
	STAT_GET_CURRENT_DRIVE_NOCRASH_DISTANCE = 5123,
	STAT_GET_CURRENT_SPEED = 5124,
	STAT_GET_CURRENT_DRIVING_REVERSE_DISTANCE = 5125,
	STAT_GET_CURRENT_SKYDIVING_DISTANCE = 5126,
	STAT_GET_CHALLENGE_FLYING_DIST = 5127,
	STAT_GET_FLYING_ALTITUDE = 5128,
	STAT_IS_PLAYER_VEHICLE_ABOVE_OCEAN = 5129,
	STAT_GET_VEHICLE_BAIL_DISTANCE = 5130,
	STAT_ROLLBACK_SAVE_MIGRATION = 5131,
	SET_HAS_SPECIALEDITION_CONTENT = 5132,
	SET_SAVE_MIGRATION_TRANSACTION_ID_WARNING = 5133,
	GET_BOSS_GOON_UUID = 5134,
	PLAYSTATS_BW_BOSSONBOSSDEATHMATCH = 5135,
	PLAYSTATS_BW_YATCHATTACK = 5136,
	PLAYSTATS_BW_HUNT_THE_BOSS = 5137,
	PLAYSTATS_BW_SIGHTSEER = 5138,
	PLAYSTATS_BW_ASSAULT = 5139,
	PLAYSTATS_BW_BELLY_OF_THE_BEAST = 5140,
	PLAYSTATS_BW_HEAD_HUNTER = 5141,
	PLAYSTATS_BW_FRAGILE_GOODS = 5142,
	PLAYSTATS_BW_AIR_FREIGHT = 5143,
	PLAYSTATS_BC_CAR_JACKING = 5144,
	PLAYSTATS_BC_SMASH_AND_GRAB = 5145,
	PLAYSTATS_BC_PROTECTION_RACKET = 5146,
	PLAYSTATS_BC_MOST_WANTED = 5147,
	PLAYSTATS_BC_FINDERS_KEEPERS = 5148,
	PLAYSTATS_BC_POINT_TO_POINT = 5149,
	PLAYSTATS_BC_CASHING = 5150,
	PLAYSTATS_BC_SALVAGE = 5151,
	PLAYSTATS_SPENT_PI_CUSTOM_LOADOUT = 5152,
	PLAYSTATS_BUY_CONTRABAND_MISSION = 5153,
	PLAYSTATS_SELL_CONTRABAND_MISSION = 5154,
	PLAYSTATS_DEFEND_CONTRABAND_MISSION = 5155,
	PLAYSTATS_RECOVER_CONTRABAND_MISSION = 5156,
	PLAYSTATS_HIT_CONTRABAND_DESTROY_LIMIT = 5157,
	START_BEING_BOSS = 5158,
	START_BEING_GOON = 5159,
	END_BEING_BOSS = 5160,
	END_BEING_GOON = 5161,
	HIRED_LIMO = 5162,
	ORDER_BOSS_VEHICLE = 5163,
	CHANGE_UNIFORM = 5164,
	CHANGE_GOON_LOOKING_FOR_WORK = 5165,
	SEND_METRIC_GHOSTING_TO_PLAYER = 5166,
	SEND_METRIC_VIP_POACH = 5167,
	SEND_METRIC_PUNISH_BODYGUARD = 5168,
	PLAYSTATS_START_TRACKING_STUNTS = 5169,
	PLAYSTATS_STOP_TRACKING_STUNTS = 5170,
	PLAYSTATS_MISSION_ENDED = 5171,
	PLAYSTATS_IMPEXP_MISSION_ENDED = 5172,
	PLAYSTATS_CHANGE_MC_ROLE = 5173,
	PLAYSTATS_CHANGE_MC_OUTFIT = 5174,
	PLAYSTATS_SWITCH_MC_EMBLEM = 5175,
	PLAYSTATS_MC_REQUEST_BIKE = 5176,
	PLAYSTATS_MC_KILLED_RIVAL_MC_MEMBER = 5177,
	PLAYSTATS_ABANDONED_MC = 5178,
	PLAYSTATS_EARNED_MC_POINTS = 5179,
	PLAYSTATS_MC_FORMATION_ENDS = 5180,
	PLAYSTATS_MC_CLUBHOUSE_ACTIVITY = 5181,
	PLAYSTATS_RIVAL_BEHAVIOR = 5182,
	PLAYSTATS_COPY_RANK_INTO_NEW_SLOT = 5183,
	PLAYSTATS_DUPE_DETECTED = 5184,
	PLAYSTATS_BAN_ALERT = 5185,
	PLAYSTATS_GUNRUNNING_MISSION_ENDED = 5186,
	PLAYSTATS_GUNRUNNING_RND = 5187,
	PLAYSTATS_BUSINESS_BATTLE_ENDED = 5188,
	PLAYSTATS_WAREHOUSE_MISSION_ENDED = 5189,
	PLAYSTATS_NIGHTCLUB_MISSION_ENDED = 5190,
	PLAYSTATS_DJ_USAGE = 5191,
	PLAYSTATS_MINIGAME_USAGE = 5192,
	PLAYSTATS_STONE_HATCHET_ENDED = 5193,
	PLAYSTATS_SMUGGLER_MISSION_ENDED = 5194,
	PLAYSTATS_FM_HEIST_PREP_ENDED = 5195,
	PLAYSTATS_INSTANCED_HEIST_ENDED = 5196,
	PLAYSTATS_DAR_CHECKPOINT = 5197,
	PLAYSTATS_ENTER_SESSION_PACK = 5198,
	PLAYSTATS_DRONE_USAGE = 5199,
	PLAYSTATS_SPIN_WHEEL = 5200,
	PLAYSTATS_ARENA_WARS_SPECTATOR = 5201,
	PLAYSTATS_ARENA_WARS_ENDED = 5202,
	PLAYSTATS_SWITCH_PASSIVE_MODE = 5203,
	PLAYSTATS_COLLECTIBLE_PICKED_UP = 5204,
	PLAYSTATS_CASINO_STORY_MISSION_ENDED = 5205,
	PLAYSTATS_CASINO_CHIP = 5206,
	PLAYSTATS_CASINO_ROULETTE = 5207,
	PLAYSTATS_CASINO_BLACKJACK = 5208,
	PLAYSTATS_CASINO_THREE_CARD_POKER = 5209,
	PLAYSTATS_CASINO_SLOT_MACHINE = 5210,
	PLAYSTATS_CASINO_INSIDE_TRACK = 5211,
	PLAYSTATS_CASINO_LUCKY_SEVEN = 5212,
	PLAYSTATS_CASINO_ROULETTE_LIGHT = 5213,
	PLAYSTATS_CASINO_BLACKJACK_LIGHT = 5214,
	PLAYSTATS_CASINO_THREE_CARD_POKER_LIGHT = 5215,
	PLAYSTATS_CASINO_SLOT_MACHINE_LIGHT = 5216,
	PLAYSTATS_CASINO_INSIDE_TRACK_LIGHT = 5217,
	PLAYSTATS_ARCADE_GAME = 5218,
	PLAYSTATS_ARCADE_LOVE_MATCH = 5219,
	PLAYSTATS_FREEMODE_CASINO_MISSION_ENDED = 5220,
	PLAYSTATS_HEIST3_DRONE = 5221,
	PLAYSTATS_HEIST3_HACK = 5222,
	PLAYSTATS_NPC_PHONE = 5223,
	PLAYSTATS_ARCADE_CABINET = 5224,
	PLAYSTATS_HEIST3_FINALE = 5225,
	PLAYSTATS_HEIST3_PREP = 5226,
	PLAYSTATS_MASTER_CONTROL = 5227,
	PLAYSTATS_QUIT_MODE = 5228,
	PLAYSTATS_MISSION_VOTE = 5229,
	PLAYSTATS_NJVS_VOTE = 5230,
	PLAYSTATS_FM_MISSION_END = 5231,
	PLAYSTATS_HEIST4_PREP = 5232,
	PLAYSTATS_HEIST4_FINALE = 5233,
	PLAYSTATS_HEIST4_HACK = 5234,
	PLAYSTATS_SUB_WEAP = 5235,
	PLAYSTATS_FAST_TRVL = 5236,
	PLAYSTATS_HUB_ENTRY = 5237,
	PLAYSTATS_DJ_MISSION_ENDED = 5238,
	PLAYSTATS_ROBBERY_PREP = 5239,
	PLAYSTATS_ROBBERY_FINALE = 5240,
	PLAYSTATS_EXTRA_EVENT = 5241,
	PLAYSTATS_CARCLUB_POINTS = 5242,
	PLAYSTATS_CARCLUB_CHALLENGE = 5243,
	PLAYSTATS_CARCLUB_PRIZE = 5244,
	PLAYSTATS_AWARD_NAV = 5245,
	PLAYSTATS_INST_MISSION_END = 5246,
	PLAYSTATS_HUB_EXIT = 5247,
	PLAYSTATS_VEH_DEL = 5248,
	PLAYSTATS_INVENTORY = 5249,
	_PLAYSTATS_ACID_MISSION_END = 5250,
	_PLAYSTATS_ACID_RND = 5251,
	_PLAYSTATS_IDLE = 5252,
	_PLAYSTATS_PLAYER_STYLE = 5253,
	_PLAYSTATS_RANDOM_EVENT = 5254,
	_PLAYSTATS_ALERT = 5255,
	_PLAYSTATS_ATTRITION_STAGE_END = 5256,
	_PLAYSTATS_SHOWROOM_NAV = 5257,
	_PLAYSTATS_SHOWROOM_OVERVIEW = 5258,
	_PLAYSTATS_PIMENU_NAV = 5259,
	_PLAYSTATS_RECOVER_VEHICLE = 5260,
	LOAD_ALL_OBJECTS_NOW = 5261,
	LOAD_SCENE = 5262,
	NETWORK_UPDATE_LOAD_SCENE = 5263,
	IS_NETWORK_LOADING_SCENE = 5264,
	SET_INTERIOR_ACTIVE = 5265,
	REQUEST_MODEL = 5266,
	REQUEST_MENU_PED_MODEL = 5267,
	HAS_MODEL_LOADED = 5268,
	REQUEST_MODELS_IN_ROOM = 5269,
	SET_MODEL_AS_NO_LONGER_NEEDED = 5270,
	IS_MODEL_IN_CDIMAGE = 5271,
	IS_MODEL_VALID = 5272,
	IS_MODEL_A_PED = 5273,
	IS_MODEL_A_VEHICLE = 5274,
	REQUEST_COLLISION_AT_COORD = 5275,
	REQUEST_COLLISION_FOR_MODEL = 5276,
	HAS_COLLISION_FOR_MODEL_LOADED = 5277,
	REQUEST_ADDITIONAL_COLLISION_AT_COORD = 5278,
	DOES_ANIM_DICT_EXIST = 5279,
	REQUEST_ANIM_DICT = 5280,
	HAS_ANIM_DICT_LOADED = 5281,
	REMOVE_ANIM_DICT = 5282,
	REQUEST_ANIM_SET = 5283,
	HAS_ANIM_SET_LOADED = 5284,
	REMOVE_ANIM_SET = 5285,
	REQUEST_CLIP_SET = 5286,
	HAS_CLIP_SET_LOADED = 5287,
	REMOVE_CLIP_SET = 5288,
	REQUEST_IPL = 5289,
	REMOVE_IPL = 5290,
	IS_IPL_ACTIVE = 5291,
	SET_STREAMING = 5292,
	LOAD_GLOBAL_WATER_FILE = 5293,
	GET_GLOBAL_WATER_FILE = 5294,
	SET_GAME_PAUSES_FOR_STREAMING = 5295,
	SET_REDUCE_PED_MODEL_BUDGET = 5296,
	SET_REDUCE_VEHICLE_MODEL_BUDGET = 5297,
	SET_DITCH_POLICE_MODELS = 5298,
	GET_NUMBER_OF_STREAMING_REQUESTS = 5299,
	REQUEST_PTFX_ASSET = 5300,
	HAS_PTFX_ASSET_LOADED = 5301,
	REMOVE_PTFX_ASSET = 5302,
	REQUEST_NAMED_PTFX_ASSET = 5303,
	HAS_NAMED_PTFX_ASSET_LOADED = 5304,
	REMOVE_NAMED_PTFX_ASSET = 5305,
	SET_VEHICLE_POPULATION_BUDGET = 5306,
	SET_PED_POPULATION_BUDGET = 5307,
	CLEAR_FOCUS = 5308,
	SET_FOCUS_POS_AND_VEL = 5309,
	SET_FOCUS_ENTITY = 5310,
	IS_ENTITY_FOCUS = 5311,
	SET_RESTORE_FOCUS_ENTITY = 5312,
	SET_MAPDATACULLBOX_ENABLED = 5313,
	SET_ALL_MAPDATA_CULLED = 5314,
	STREAMVOL_CREATE_SPHERE = 5315,
	STREAMVOL_CREATE_FRUSTUM = 5316,
	STREAMVOL_CREATE_LINE = 5317,
	STREAMVOL_DELETE = 5318,
	STREAMVOL_HAS_LOADED = 5319,
	STREAMVOL_IS_VALID = 5320,
	IS_STREAMVOL_ACTIVE = 5321,
	NEW_LOAD_SCENE_START = 5322,
	NEW_LOAD_SCENE_START_SPHERE = 5323,
	NEW_LOAD_SCENE_STOP = 5324,
	IS_NEW_LOAD_SCENE_ACTIVE = 5325,
	IS_NEW_LOAD_SCENE_LOADED = 5326,
	IS_SAFE_TO_START_PLAYER_SWITCH = 5327,
	START_PLAYER_SWITCH = 5328,
	STOP_PLAYER_SWITCH = 5329,
	IS_PLAYER_SWITCH_IN_PROGRESS = 5330,
	GET_PLAYER_SWITCH_TYPE = 5331,
	GET_IDEAL_PLAYER_SWITCH_TYPE = 5332,
	GET_PLAYER_SWITCH_STATE = 5333,
	GET_PLAYER_SHORT_SWITCH_STATE = 5334,
	SET_PLAYER_SHORT_SWITCH_STYLE = 5335,
	GET_PLAYER_SWITCH_JUMP_CUT_INDEX = 5336,
	SET_PLAYER_SWITCH_OUTRO = 5337,
	SET_PLAYER_SWITCH_ESTABLISHING_SHOT = 5338,
	ALLOW_PLAYER_SWITCH_PAN = 5339,
	ALLOW_PLAYER_SWITCH_OUTRO = 5340,
	ALLOW_PLAYER_SWITCH_ASCENT = 5341,
	ALLOW_PLAYER_SWITCH_DESCENT = 5342,
	IS_SWITCH_READY_FOR_DESCENT = 5343,
	ENABLE_SWITCH_PAUSE_BEFORE_DESCENT = 5344,
	DISABLE_SWITCH_OUTRO_FX = 5345,
	SWITCH_TO_MULTI_FIRSTPART = 5346,
	SWITCH_TO_MULTI_SECONDPART = 5347,
	IS_SWITCH_TO_MULTI_FIRSTPART_FINISHED = 5348,
	GET_PLAYER_SWITCH_INTERP_OUT_DURATION = 5349,
	GET_PLAYER_SWITCH_INTERP_OUT_CURRENT_TIME = 5350,
	IS_SWITCH_SKIPPING_DESCENT = 5351,
	SET_SCENE_STREAMING_TRACKS_CAM_POS_THIS_FRAME = 5352,
	GET_LODSCALE = 5353,
	OVERRIDE_LODSCALE_THIS_FRAME = 5354,
	REMAP_LODSCALE_RANGE_THIS_FRAME = 5355,
	SUPPRESS_HD_MAP_STREAMING_THIS_FRAME = 5356,
	SET_RENDER_HD_ONLY = 5357,
	FORCE_ALLOW_TIME_BASED_FADING_THIS_FRAME = 5358,
	IPL_GROUP_SWAP_START = 5359,
	IPL_GROUP_SWAP_CANCEL = 5360,
	IPL_GROUP_SWAP_IS_READY = 5361,
	IPL_GROUP_SWAP_FINISH = 5362,
	IPL_GROUP_SWAP_IS_ACTIVE = 5363,
	PREFETCH_SRL = 5364,
	IS_SRL_LOADED = 5365,
	BEGIN_SRL = 5366,
	END_SRL = 5367,
	SET_SRL_TIME = 5368,
	SET_SRL_POST_CUTSCENE_CAMERA = 5369,
	SET_SRL_READAHEAD_TIMES = 5370,
	SET_SRL_LONG_JUMP_MODE = 5371,
	SET_SRL_FORCE_PRESTREAM = 5372,
	SET_HD_AREA = 5373,
	CLEAR_HD_AREA = 5374,
	INIT_CREATOR_BUDGET = 5375,
	SHUTDOWN_CREATOR_BUDGET = 5376,
	ADD_MODEL_TO_CREATOR_BUDGET = 5377,
	REMOVE_MODEL_FROM_CREATOR_BUDGET = 5378,
	GET_USED_CREATOR_BUDGET = 5379,
	SET_ISLAND_ENABLED = 5380,
	TASK_PAUSE = 5381,
	TASK_STAND_STILL = 5382,
	TASK_JUMP = 5383,
	TASK_COWER = 5384,
	TASK_HANDS_UP = 5385,
	UPDATE_TASK_HANDS_UP_DURATION = 5386,
	TASK_OPEN_VEHICLE_DOOR = 5387,
	TASK_ENTER_VEHICLE = 5388,
	TASK_LEAVE_VEHICLE = 5389,
	TASK_GET_OFF_BOAT = 5390,
	TASK_SKY_DIVE = 5391,
	TASK_PARACHUTE = 5392,
	TASK_PARACHUTE_TO_TARGET = 5393,
	SET_PARACHUTE_TASK_TARGET = 5394,
	SET_PARACHUTE_TASK_THRUST = 5395,
	TASK_RAPPEL_FROM_HELI = 5396,
	TASK_VEHICLE_DRIVE_TO_COORD = 5397,
	TASK_VEHICLE_DRIVE_TO_COORD_LONGRANGE = 5398,
	TASK_VEHICLE_DRIVE_WANDER = 5399,
	TASK_FOLLOW_TO_OFFSET_OF_ENTITY = 5400,
	TASK_GO_STRAIGHT_TO_COORD = 5401,
	TASK_GO_STRAIGHT_TO_COORD_RELATIVE_TO_ENTITY = 5402,
	TASK_ACHIEVE_HEADING = 5403,
	TASK_FLUSH_ROUTE = 5404,
	TASK_EXTEND_ROUTE = 5405,
	TASK_FOLLOW_POINT_ROUTE = 5406,
	TASK_GO_TO_ENTITY = 5407,
	TASK_SMART_FLEE_COORD = 5408,
	TASK_SMART_FLEE_PED = 5409,
	TASK_REACT_AND_FLEE_PED = 5410,
	TASK_SHOCKING_EVENT_REACT = 5411,
	TASK_WANDER_IN_AREA = 5412,
	TASK_WANDER_STANDARD = 5413,
	TASK_WANDER_SPECIFIC = 5414,
	TASK_VEHICLE_PARK = 5415,
	TASK_STEALTH_KILL = 5416,
	TASK_PLANT_BOMB = 5417,
	TASK_FOLLOW_NAV_MESH_TO_COORD = 5418,
	TASK_FOLLOW_NAV_MESH_TO_COORD_ADVANCED = 5419,
	SET_PED_PATH_CAN_USE_CLIMBOVERS = 5420,
	SET_PED_PATH_CAN_USE_LADDERS = 5421,
	SET_PED_PATH_CAN_DROP_FROM_HEIGHT = 5422,
	SET_PED_PATH_CLIMB_COST_MODIFIER = 5423,
	SET_PED_PATH_MAY_ENTER_WATER = 5424,
	SET_PED_PATH_PREFER_TO_AVOID_WATER = 5425,
	SET_PED_PATH_AVOID_FIRE = 5426,
	SET_GLOBAL_MIN_BIRD_FLIGHT_HEIGHT = 5427,
	GET_NAVMESH_ROUTE_DISTANCE_REMAINING = 5428,
	GET_NAVMESH_ROUTE_RESULT = 5429,
	IS_CONTROLLED_VEHICLE_UNABLE_TO_GET_TO_ROAD = 5430,
	TASK_GO_TO_COORD_ANY_MEANS = 5431,
	TASK_GO_TO_COORD_ANY_MEANS_EXTRA_PARAMS = 5432,
	TASK_GO_TO_COORD_ANY_MEANS_EXTRA_PARAMS_WITH_CRUISE_SPEED = 5433,
	TASK_PLAY_ANIM = 5434,
	TASK_PLAY_ANIM_ADVANCED = 5435,
	STOP_ANIM_TASK = 5436,
	TASK_SCRIPTED_ANIMATION = 5437,
	PLAY_ENTITY_SCRIPTED_ANIM = 5438,
	STOP_ANIM_PLAYBACK = 5439,
	SET_ANIM_WEIGHT = 5440,
	SET_ANIM_PHASE = 5441,
	SET_ANIM_RATE = 5442,
	SET_ANIM_LOOPED = 5443,
	TASK_PLAY_PHONE_GESTURE_ANIMATION = 5444,
	TASK_STOP_PHONE_GESTURE_ANIMATION = 5445,
	IS_PLAYING_PHONE_GESTURE_ANIM = 5446,
	GET_PHONE_GESTURE_ANIM_CURRENT_TIME = 5447,
	GET_PHONE_GESTURE_ANIM_TOTAL_TIME = 5448,
	TASK_VEHICLE_PLAY_ANIM = 5449,
	TASK_LOOK_AT_COORD = 5450,
	TASK_LOOK_AT_ENTITY = 5451,
	TASK_CLEAR_LOOK_AT = 5452,
	OPEN_SEQUENCE_TASK = 5453,
	CLOSE_SEQUENCE_TASK = 5454,
	TASK_PERFORM_SEQUENCE = 5455,
	TASK_PERFORM_SEQUENCE_LOCALLY = 5456,
	CLEAR_SEQUENCE_TASK = 5457,
	SET_SEQUENCE_TO_REPEAT = 5458,
	GET_SEQUENCE_PROGRESS = 5459,
	GET_IS_TASK_ACTIVE = 5460,
	GET_SCRIPT_TASK_STATUS = 5461,
	GET_ACTIVE_VEHICLE_MISSION_TYPE = 5462,
	TASK_LEAVE_ANY_VEHICLE = 5463,
	TASK_AIM_GUN_SCRIPTED = 5464,
	TASK_AIM_GUN_SCRIPTED_WITH_TARGET = 5465,
	UPDATE_TASK_AIM_GUN_SCRIPTED_TARGET = 5466,
	GET_CLIP_SET_FOR_SCRIPTED_GUN_TASK = 5467,
	TASK_AIM_GUN_AT_ENTITY = 5468,
	TASK_TURN_PED_TO_FACE_ENTITY = 5469,
	TASK_AIM_GUN_AT_COORD = 5470,
	TASK_SHOOT_AT_COORD = 5471,
	TASK_SHUFFLE_TO_NEXT_VEHICLE_SEAT = 5472,
	CLEAR_PED_TASKS = 5473,
	CLEAR_PED_SECONDARY_TASK = 5474,
	TASK_EVERYONE_LEAVE_VEHICLE = 5475,
	TASK_GOTO_ENTITY_OFFSET = 5476,
	TASK_GOTO_ENTITY_OFFSET_XY = 5477,
	TASK_TURN_PED_TO_FACE_COORD = 5478,
	TASK_VEHICLE_TEMP_ACTION = 5479,
	TASK_VEHICLE_MISSION = 5480,
	TASK_VEHICLE_MISSION_PED_TARGET = 5481,
	TASK_VEHICLE_MISSION_COORS_TARGET = 5482,
	TASK_VEHICLE_ESCORT = 5483,
	TASK_VEHICLE_FOLLOW = 5484,
	TASK_VEHICLE_CHASE = 5485,
	TASK_VEHICLE_HELI_PROTECT = 5486,
	SET_TASK_VEHICLE_CHASE_BEHAVIOR_FLAG = 5487,
	SET_TASK_VEHICLE_CHASE_IDEAL_PURSUIT_DISTANCE = 5488,
	TASK_HELI_CHASE = 5489,
	TASK_PLANE_CHASE = 5490,
	TASK_PLANE_LAND = 5491,
	CLEAR_DEFAULT_PRIMARY_TASK = 5492,
	CLEAR_PRIMARY_VEHICLE_TASK = 5493,
	CLEAR_VEHICLE_CRASH_TASK = 5494,
	TASK_PLANE_GOTO_PRECISE_VTOL = 5495,
	TASK_SUBMARINE_GOTO_AND_STOP = 5496,
	TASK_HELI_MISSION = 5497,
	TASK_HELI_ESCORT_HELI = 5498,
	TASK_PLANE_MISSION = 5499,
	TASK_PLANE_TAXI = 5500,
	TASK_BOAT_MISSION = 5501,
	TASK_DRIVE_BY = 5502,
	SET_DRIVEBY_TASK_TARGET = 5503,
	CLEAR_DRIVEBY_TASK_UNDERNEATH_DRIVING_TASK = 5504,
	IS_DRIVEBY_TASK_UNDERNEATH_DRIVING_TASK = 5505,
	CONTROL_MOUNTED_WEAPON = 5506,
	SET_MOUNTED_WEAPON_TARGET = 5507,
	IS_MOUNTED_WEAPON_TASK_UNDERNEATH_DRIVING_TASK = 5508,
	TASK_USE_MOBILE_PHONE = 5509,
	TASK_USE_MOBILE_PHONE_TIMED = 5510,
	TASK_CHAT_TO_PED = 5511,
	TASK_WARP_PED_INTO_VEHICLE = 5512,
	TASK_SHOOT_AT_ENTITY = 5513,
	TASK_CLIMB = 5514,
	TASK_CLIMB_LADDER = 5515,
	TASK_RAPPEL_DOWN_WALL_USING_CLIPSET_OVERRIDE = 5516,
	GET_TASK_RAPPEL_DOWN_WALL_STATE = 5517,
	CLEAR_PED_TASKS_IMMEDIATELY = 5518,
	TASK_PERFORM_SEQUENCE_FROM_PROGRESS = 5519,
	SET_NEXT_DESIRED_MOVE_STATE = 5520,
	SET_PED_DESIRED_MOVE_BLEND_RATIO = 5521,
	GET_PED_DESIRED_MOVE_BLEND_RATIO = 5522,
	TASK_GOTO_ENTITY_AIMING = 5523,
	TASK_SET_DECISION_MAKER = 5524,
	TASK_SET_SPHERE_DEFENSIVE_AREA = 5525,
	TASK_CLEAR_DEFENSIVE_AREA = 5526,
	TASK_PED_SLIDE_TO_COORD = 5527,
	TASK_PED_SLIDE_TO_COORD_HDG_RATE = 5528,
	ADD_COVER_POINT = 5529,
	REMOVE_COVER_POINT = 5530,
	DOES_SCRIPTED_COVER_POINT_EXIST_AT_COORDS = 5531,
	GET_SCRIPTED_COVER_POINT_COORDS = 5532,
	ADD_SCRIPTED_COVER_AREA = 5533,
	TASK_COMBAT_PED = 5534,
	TASK_COMBAT_PED_TIMED = 5535,
	TASK_SEEK_COVER_FROM_POS = 5536,
	TASK_SEEK_COVER_FROM_PED = 5537,
	TASK_SEEK_COVER_TO_COVER_POINT = 5538,
	TASK_SEEK_COVER_TO_COORDS = 5539,
	TASK_PUT_PED_DIRECTLY_INTO_COVER = 5540,
	TASK_WARP_PED_DIRECTLY_INTO_COVER = 5541,
	TASK_EXIT_COVER = 5542,
	TASK_PUT_PED_DIRECTLY_INTO_MELEE = 5543,
	TASK_TOGGLE_DUCK = 5544,
	TASK_GUARD_CURRENT_POSITION = 5545,
	TASK_GUARD_ASSIGNED_DEFENSIVE_AREA = 5546,
	TASK_GUARD_SPHERE_DEFENSIVE_AREA = 5547,
	TASK_STAND_GUARD = 5548,
	SET_DRIVE_TASK_CRUISE_SPEED = 5549,
	SET_DRIVE_TASK_MAX_CRUISE_SPEED = 5550,
	SET_DRIVE_TASK_DRIVING_STYLE = 5551,
	ADD_COVER_BLOCKING_AREA = 5552,
	REMOVE_ALL_COVER_BLOCKING_AREAS = 5553,
	REMOVE_COVER_BLOCKING_AREAS_AT_POSITION = 5554,
	REMOVE_SPECIFIC_COVER_BLOCKING_AREAS = 5555,
	TASK_START_SCENARIO_IN_PLACE = 5556,
	TASK_START_SCENARIO_AT_POSITION = 5557,
	TASK_USE_NEAREST_SCENARIO_TO_COORD = 5558,
	TASK_USE_NEAREST_SCENARIO_TO_COORD_WARP = 5559,
	TASK_USE_NEAREST_SCENARIO_CHAIN_TO_COORD = 5560,
	TASK_USE_NEAREST_SCENARIO_CHAIN_TO_COORD_WARP = 5561,
	DOES_SCENARIO_EXIST_IN_AREA = 5562,
	DOES_SCENARIO_OF_TYPE_EXIST_IN_AREA = 5563,
	IS_SCENARIO_OCCUPIED = 5564,
	PED_HAS_USE_SCENARIO_TASK = 5565,
	PLAY_ANIM_ON_RUNNING_SCENARIO = 5566,
	DOES_SCENARIO_GROUP_EXIST = 5567,
	IS_SCENARIO_GROUP_ENABLED = 5568,
	SET_SCENARIO_GROUP_ENABLED = 5569,
	RESET_SCENARIO_GROUPS_ENABLED = 5570,
	SET_EXCLUSIVE_SCENARIO_GROUP = 5571,
	RESET_EXCLUSIVE_SCENARIO_GROUP = 5572,
	IS_SCENARIO_TYPE_ENABLED = 5573,
	SET_SCENARIO_TYPE_ENABLED = 5574,
	RESET_SCENARIO_TYPES_ENABLED = 5575,
	IS_PED_ACTIVE_IN_SCENARIO = 5576,
	IS_PED_PLAYING_BASE_CLIP_IN_SCENARIO = 5577,
	SET_PED_CAN_PLAY_AMBIENT_IDLES = 5578,
	TASK_COMBAT_HATED_TARGETS_IN_AREA = 5579,
	TASK_COMBAT_HATED_TARGETS_AROUND_PED = 5580,
	TASK_COMBAT_HATED_TARGETS_AROUND_PED_TIMED = 5581,
	TASK_THROW_PROJECTILE = 5582,
	TASK_SWAP_WEAPON = 5583,
	TASK_RELOAD_WEAPON = 5584,
	IS_PED_GETTING_UP = 5585,
	TASK_WRITHE = 5586,
	IS_PED_IN_WRITHE = 5587,
	OPEN_PATROL_ROUTE = 5588,
	CLOSE_PATROL_ROUTE = 5589,
	ADD_PATROL_ROUTE_NODE = 5590,
	ADD_PATROL_ROUTE_LINK = 5591,
	CREATE_PATROL_ROUTE = 5592,
	DELETE_PATROL_ROUTE = 5593,
	GET_PATROL_TASK_INFO = 5594,
	TASK_PATROL = 5595,
	TASK_STAY_IN_COVER = 5596,
	ADD_VEHICLE_SUBTASK_ATTACK_COORD = 5597,
	ADD_VEHICLE_SUBTASK_ATTACK_PED = 5598,
	TASK_VEHICLE_SHOOT_AT_PED = 5599,
	TASK_VEHICLE_AIM_AT_PED = 5600,
	TASK_VEHICLE_SHOOT_AT_COORD = 5601,
	TASK_VEHICLE_AIM_AT_COORD = 5602,
	TASK_VEHICLE_GOTO_NAVMESH = 5603,
	TASK_GO_TO_COORD_WHILE_AIMING_AT_COORD = 5604,
	TASK_GO_TO_COORD_WHILE_AIMING_AT_ENTITY = 5605,
	TASK_GO_TO_COORD_AND_AIM_AT_HATED_ENTITIES_NEAR_COORD = 5606,
	TASK_GO_TO_ENTITY_WHILE_AIMING_AT_COORD = 5607,
	TASK_GO_TO_ENTITY_WHILE_AIMING_AT_ENTITY = 5608,
	SET_HIGH_FALL_TASK = 5609,
	REQUEST_WAYPOINT_RECORDING = 5610,
	GET_IS_WAYPOINT_RECORDING_LOADED = 5611,
	REMOVE_WAYPOINT_RECORDING = 5612,
	WAYPOINT_RECORDING_GET_NUM_POINTS = 5613,
	WAYPOINT_RECORDING_GET_COORD = 5614,
	WAYPOINT_RECORDING_GET_SPEED_AT_POINT = 5615,
	WAYPOINT_RECORDING_GET_CLOSEST_WAYPOINT = 5616,
	TASK_FOLLOW_WAYPOINT_RECORDING = 5617,
	IS_WAYPOINT_PLAYBACK_GOING_ON_FOR_PED = 5618,
	GET_PED_WAYPOINT_PROGRESS = 5619,
	GET_PED_WAYPOINT_DISTANCE = 5620,
	SET_PED_WAYPOINT_ROUTE_OFFSET = 5621,
	GET_WAYPOINT_DISTANCE_ALONG_ROUTE = 5622,
	WAYPOINT_PLAYBACK_GET_IS_PAUSED = 5623,
	WAYPOINT_PLAYBACK_PAUSE = 5624,
	WAYPOINT_PLAYBACK_RESUME = 5625,
	WAYPOINT_PLAYBACK_OVERRIDE_SPEED = 5626,
	WAYPOINT_PLAYBACK_USE_DEFAULT_SPEED = 5627,
	USE_WAYPOINT_RECORDING_AS_ASSISTED_MOVEMENT_ROUTE = 5628,
	WAYPOINT_PLAYBACK_START_AIMING_AT_PED = 5629,
	WAYPOINT_PLAYBACK_START_AIMING_AT_COORD = 5630,
	WAYPOINT_PLAYBACK_START_SHOOTING_AT_PED = 5631,
	WAYPOINT_PLAYBACK_START_SHOOTING_AT_COORD = 5632,
	WAYPOINT_PLAYBACK_STOP_AIMING_OR_SHOOTING = 5633,
	ASSISTED_MOVEMENT_REQUEST_ROUTE = 5634,
	ASSISTED_MOVEMENT_REMOVE_ROUTE = 5635,
	ASSISTED_MOVEMENT_IS_ROUTE_LOADED = 5636,
	ASSISTED_MOVEMENT_SET_ROUTE_PROPERTIES = 5637,
	ASSISTED_MOVEMENT_OVERRIDE_LOAD_DISTANCE_THIS_FRAME = 5638,
	TASK_VEHICLE_FOLLOW_WAYPOINT_RECORDING = 5639,
	IS_WAYPOINT_PLAYBACK_GOING_ON_FOR_VEHICLE = 5640,
	GET_VEHICLE_WAYPOINT_PROGRESS = 5641,
	GET_VEHICLE_WAYPOINT_TARGET_POINT = 5642,
	VEHICLE_WAYPOINT_PLAYBACK_PAUSE = 5643,
	VEHICLE_WAYPOINT_PLAYBACK_RESUME = 5644,
	VEHICLE_WAYPOINT_PLAYBACK_USE_DEFAULT_SPEED = 5645,
	VEHICLE_WAYPOINT_PLAYBACK_OVERRIDE_SPEED = 5646,
	TASK_SET_BLOCKING_OF_NON_TEMPORARY_EVENTS = 5647,
	TASK_FORCE_MOTION_STATE = 5648,
	TASK_MOVE_NETWORK_BY_NAME = 5649,
	TASK_MOVE_NETWORK_ADVANCED_BY_NAME = 5650,
	TASK_MOVE_NETWORK_BY_NAME_WITH_INIT_PARAMS = 5651,
	TASK_MOVE_NETWORK_ADVANCED_BY_NAME_WITH_INIT_PARAMS = 5652,
	IS_TASK_MOVE_NETWORK_ACTIVE = 5653,
	IS_TASK_MOVE_NETWORK_READY_FOR_TRANSITION = 5654,
	REQUEST_TASK_MOVE_NETWORK_STATE_TRANSITION = 5655,
	SET_EXPECTED_CLONE_NEXT_TASK_MOVE_NETWORK_STATE = 5656,
	GET_TASK_MOVE_NETWORK_STATE = 5657,
	SET_TASK_MOVE_NETWORK_ANIM_SET = 5658,
	SET_TASK_MOVE_NETWORK_SIGNAL_FLOAT = 5659,
	SET_TASK_MOVE_NETWORK_SIGNAL_LOCAL_FLOAT = 5660,
	SET_TASK_MOVE_NETWORK_SIGNAL_FLOAT_LERP_RATE = 5661,
	SET_TASK_MOVE_NETWORK_SIGNAL_BOOL = 5662,
	GET_TASK_MOVE_NETWORK_SIGNAL_FLOAT = 5663,
	GET_TASK_MOVE_NETWORK_SIGNAL_BOOL = 5664,
	GET_TASK_MOVE_NETWORK_EVENT = 5665,
	SET_TASK_MOVE_NETWORK_ENABLE_COLLISION_ON_NETWORK_CLONE_WHEN_FIXED = 5666,
	_SET_SCRIPT_TASK_ENABLE_COLLISION_ON_NETWORK_CLONE_WHEN_FIXED = 5667,
	IS_MOVE_BLEND_RATIO_STILL = 5668,
	IS_MOVE_BLEND_RATIO_WALKING = 5669,
	IS_MOVE_BLEND_RATIO_RUNNING = 5670,
	IS_MOVE_BLEND_RATIO_SPRINTING = 5671,
	IS_PED_STILL = 5672,
	IS_PED_WALKING = 5673,
	IS_PED_RUNNING = 5674,
	IS_PED_SPRINTING = 5675,
	IS_PED_STRAFING = 5676,
	TASK_SYNCHRONIZED_SCENE = 5677,
	TASK_AGITATED_ACTION_CONFRONT_RESPONSE = 5678,
	TASK_SWEEP_AIM_ENTITY = 5679,
	UPDATE_TASK_SWEEP_AIM_ENTITY = 5680,
	TASK_SWEEP_AIM_POSITION = 5681,
	UPDATE_TASK_SWEEP_AIM_POSITION = 5682,
	TASK_ARREST_PED = 5683,
	IS_PED_RUNNING_ARREST_TASK = 5684,
	IS_PED_BEING_ARRESTED = 5685,
	UNCUFF_PED = 5686,
	IS_PED_CUFFED = 5687,
	CREATE_VEHICLE = 5688,
	DELETE_VEHICLE = 5689,
	SET_VEHICLE_ALLOW_HOMING_MISSLE_LOCKON = 5690,
	SET_VEHICLE_ALLOW_HOMING_MISSLE_LOCKON_SYNCED = 5691,
	SET_VEHICLE_ALLOW_NO_PASSENGERS_LOCKON = 5692,
	GET_VEHICLE_HOMING_LOCKON_STATE = 5693,
	GET_VEHICLE_HOMING_LOCKEDONTO_STATE = 5694,
	SET_VEHICLE_HOMING_LOCKEDONTO_STATE = 5695,
	IS_VEHICLE_MODEL = 5696,
	DOES_SCRIPT_VEHICLE_GENERATOR_EXIST = 5697,
	CREATE_SCRIPT_VEHICLE_GENERATOR = 5698,
	DELETE_SCRIPT_VEHICLE_GENERATOR = 5699,
	SET_SCRIPT_VEHICLE_GENERATOR = 5700,
	SET_ALL_VEHICLE_GENERATORS_ACTIVE_IN_AREA = 5701,
	SET_ALL_VEHICLE_GENERATORS_ACTIVE = 5702,
	SET_ALL_LOW_PRIORITY_VEHICLE_GENERATORS_ACTIVE = 5703,
	SET_VEHICLE_GENERATOR_AREA_OF_INTEREST = 5704,
	CLEAR_VEHICLE_GENERATOR_AREA_OF_INTEREST = 5705,
	SET_VEHICLE_ON_GROUND_PROPERLY = 5706,
	SET_VEHICLE_USE_CUTSCENE_WHEEL_COMPRESSION = 5707,
	IS_VEHICLE_STUCK_ON_ROOF = 5708,
	ADD_VEHICLE_UPSIDEDOWN_CHECK = 5709,
	REMOVE_VEHICLE_UPSIDEDOWN_CHECK = 5710,
	IS_VEHICLE_STOPPED = 5711,
	GET_VEHICLE_NUMBER_OF_PASSENGERS = 5712,
	GET_VEHICLE_MAX_NUMBER_OF_PASSENGERS = 5713,
	GET_VEHICLE_MODEL_NUMBER_OF_SEATS = 5714,
	IS_SEAT_WARP_ONLY = 5715,
	IS_TURRET_SEAT = 5716,
	DOES_VEHICLE_ALLOW_RAPPEL = 5717,
	SET_VEHICLE_DENSITY_MULTIPLIER_THIS_FRAME = 5718,
	SET_RANDOM_VEHICLE_DENSITY_MULTIPLIER_THIS_FRAME = 5719,
	SET_PARKED_VEHICLE_DENSITY_MULTIPLIER_THIS_FRAME = 5720,
	SET_DISABLE_RANDOM_TRAINS_THIS_FRAME = 5721,
	SET_AMBIENT_VEHICLE_RANGE_MULTIPLIER_THIS_FRAME = 5722,
	SET_FAR_DRAW_VEHICLES = 5723,
	SET_NUMBER_OF_PARKED_VEHICLES = 5724,
	SET_VEHICLE_DOORS_LOCKED = 5725,
	SET_VEHICLE_INDIVIDUAL_DOORS_LOCKED = 5726,
	SET_VEHICLE_HAS_MUTED_SIRENS = 5727,
	SET_VEHICLE_DOORS_LOCKED_FOR_PLAYER = 5728,
	GET_VEHICLE_DOORS_LOCKED_FOR_PLAYER = 5729,
	SET_VEHICLE_DOORS_LOCKED_FOR_ALL_PLAYERS = 5730,
	SET_VEHICLE_DOORS_LOCKED_FOR_NON_SCRIPT_PLAYERS = 5731,
	SET_VEHICLE_DOORS_LOCKED_FOR_TEAM = 5732,
	SET_VEHICLE_DOORS_LOCKED_FOR_ALL_TEAMS = 5733,
	SET_VEHICLE_DONT_TERMINATE_TASK_WHEN_ACHIEVED = 5734,
	_SET_VEHICLE_MAX_LAUNCH_ENGINE_REVS = 5735,
	_GET_VEHICLE_THROTTLE = 5736,
	EXPLODE_VEHICLE = 5737,
	SET_VEHICLE_OUT_OF_CONTROL = 5738,
	SET_VEHICLE_TIMED_EXPLOSION = 5739,
	ADD_VEHICLE_PHONE_EXPLOSIVE_DEVICE = 5740,
	CLEAR_VEHICLE_PHONE_EXPLOSIVE_DEVICE = 5741,
	HAS_VEHICLE_PHONE_EXPLOSIVE_DEVICE = 5742,
	DETONATE_VEHICLE_PHONE_EXPLOSIVE_DEVICE = 5743,
	HAVE_VEHICLE_REAR_DOORS_BEEN_BLOWN_OPEN_BY_STICKYBOMB = 5744,
	SET_TAXI_LIGHTS = 5745,
	IS_TAXI_LIGHT_ON = 5746,
	IS_VEHICLE_IN_GARAGE_AREA = 5747,
	SET_VEHICLE_COLOURS = 5748,
	SET_VEHICLE_FULLBEAM = 5749,
	SET_VEHICLE_IS_RACING = 5750,
	SET_VEHICLE_CUSTOM_PRIMARY_COLOUR = 5751,
	GET_VEHICLE_CUSTOM_PRIMARY_COLOUR = 5752,
	CLEAR_VEHICLE_CUSTOM_PRIMARY_COLOUR = 5753,
	GET_IS_VEHICLE_PRIMARY_COLOUR_CUSTOM = 5754,
	SET_VEHICLE_CUSTOM_SECONDARY_COLOUR = 5755,
	GET_VEHICLE_CUSTOM_SECONDARY_COLOUR = 5756,
	CLEAR_VEHICLE_CUSTOM_SECONDARY_COLOUR = 5757,
	GET_IS_VEHICLE_SECONDARY_COLOUR_CUSTOM = 5758,
	SET_VEHICLE_ENVEFF_SCALE = 5759,
	GET_VEHICLE_ENVEFF_SCALE = 5760,
	SET_CAN_RESPRAY_VEHICLE = 5761,
	SET_GOON_BOSS_VEHICLE = 5762,
	SET_OPEN_REAR_DOORS_ON_EXPLOSION = 5763,
	FORCE_SUBMARINE_SURFACE_MODE = 5764,
	FORCE_SUBMARINE_NEURTAL_BUOYANCY = 5765,
	SET_SUBMARINE_CRUSH_DEPTHS = 5766,
	GET_SUBMARINE_IS_UNDER_DESIGN_DEPTH = 5767,
	GET_SUBMARINE_NUMBER_OF_AIR_LEAKS = 5768,
	SET_BOAT_IGNORE_LAND_PROBES = 5769,
	_SET_BOUNDS_AFFECT_WATER_PROBES = 5770,
	SET_BOAT_ANCHOR = 5771,
	CAN_ANCHOR_BOAT_HERE = 5772,
	CAN_ANCHOR_BOAT_HERE_IGNORE_PLAYERS = 5773,
	SET_BOAT_REMAINS_ANCHORED_WHILE_PLAYER_IS_DRIVER = 5774,
	SET_FORCE_LOW_LOD_ANCHOR_MODE = 5775,
	SET_BOAT_LOW_LOD_ANCHOR_DISTANCE = 5776,
	IS_BOAT_ANCHORED = 5777,
	SET_BOAT_SINKS_WHEN_WRECKED = 5778,
	SET_BOAT_WRECKED = 5779,
	SET_VEHICLE_SIREN = 5780,
	IS_VEHICLE_SIREN_ON = 5781,
	IS_VEHICLE_SIREN_AUDIO_ON = 5782,
	SET_VEHICLE_STRONG = 5783,
	REMOVE_VEHICLE_STUCK_CHECK = 5784,
	GET_VEHICLE_COLOURS = 5785,
	IS_VEHICLE_SEAT_FREE = 5786,
	GET_PED_IN_VEHICLE_SEAT = 5787,
	GET_LAST_PED_IN_VEHICLE_SEAT = 5788,
	GET_VEHICLE_LIGHTS_STATE = 5789,
	IS_VEHICLE_TYRE_BURST = 5790,
	SET_VEHICLE_FORWARD_SPEED = 5791,
	SET_VEHICLE_FORWARD_SPEED_XY = 5792,
	BRING_VEHICLE_TO_HALT = 5793,
	SET_VEHICLE_STEER_FOR_BUILDINGS = 5794,
	SET_VEHICLE_CAUSES_SWERVING = 5795,
	SET_IGNORE_PLANES_SMALL_PITCH_CHANGE = 5796,
	STOP_BRINGING_VEHICLE_TO_HALT = 5797,
	IS_VEHICLE_BEING_BROUGHT_TO_HALT = 5798,
	LOWER_FORKLIFT_FORKS = 5799,
	SET_FORKLIFT_FORK_HEIGHT = 5800,
	IS_ENTITY_ATTACHED_TO_HANDLER_FRAME = 5801,
	IS_ANY_ENTITY_ATTACHED_TO_HANDLER_FRAME = 5802,
	FIND_HANDLER_VEHICLE_CONTAINER_IS_ATTACHED_TO = 5803,
	IS_HANDLER_FRAME_LINED_UP_WITH_CONTAINER = 5804,
	ATTACH_CONTAINER_TO_HANDLER_FRAME_WHEN_LINED_UP = 5805,
	DETACH_CONTAINER_FROM_HANDLER_FRAME = 5806,
	SET_VEHICLE_DISABLE_HEIGHT_MAP_AVOIDANCE = 5807,
	SET_BOAT_DISABLE_AVOIDANCE = 5808,
	IS_HELI_LANDING_AREA_BLOCKED = 5809,
	SET_SHORT_SLOWDOWN_FOR_LANDING = 5810,
	SET_HELI_TURBULENCE_SCALAR = 5811,
	SET_CAR_BOOT_OPEN = 5812,
	SET_VEHICLE_TYRE_BURST = 5813,
	SET_VEHICLE_DOORS_SHUT = 5814,
	SET_VEHICLE_TYRES_CAN_BURST = 5815,
	GET_VEHICLE_TYRES_CAN_BURST = 5816,
	SET_VEHICLE_WHEELS_CAN_BREAK = 5817,
	SET_VEHICLE_DOOR_OPEN = 5818,
	SET_VEHICLE_DOOR_AUTO_LOCK = 5819,
	SET_FLEEING_VEHICLES_USE_SWITCHED_OFF_NODES = 5820,
	REMOVE_VEHICLE_WINDOW = 5821,
	ROLL_DOWN_WINDOWS = 5822,
	ROLL_DOWN_WINDOW = 5823,
	ROLL_UP_WINDOW = 5824,
	SMASH_VEHICLE_WINDOW = 5825,
	FIX_VEHICLE_WINDOW = 5826,
	POP_OUT_VEHICLE_WINDSCREEN = 5827,
	POP_OFF_VEHICLE_ROOF_WITH_IMPULSE = 5828,
	SET_VEHICLE_LIGHTS = 5829,
	SET_VEHICLE_USE_PLAYER_LIGHT_SETTINGS = 5830,
	SET_VEHICLE_HEADLIGHT_SHADOWS = 5831,
	SET_VEHICLE_ALARM = 5832,
	START_VEHICLE_ALARM = 5833,
	IS_VEHICLE_ALARM_ACTIVATED = 5834,
	SET_VEHICLE_INTERIORLIGHT = 5835,
	SET_VEHICLE_FORCE_INTERIORLIGHT = 5836,
	SET_VEHICLE_LIGHT_MULTIPLIER = 5837,
	ATTACH_VEHICLE_TO_TRAILER = 5838,
	ATTACH_VEHICLE_ON_TO_TRAILER = 5839,
	STABILISE_ENTITY_ATTACHED_TO_HELI = 5840,
	DETACH_VEHICLE_FROM_TRAILER = 5841,
	IS_VEHICLE_ATTACHED_TO_TRAILER = 5842,
	SET_TRAILER_INVERSE_MASS_SCALE = 5843,
	SET_TRAILER_LEGS_RAISED = 5844,
	SET_TRAILER_LEGS_LOWERED = 5845,
	SET_VEHICLE_TYRE_FIXED = 5846,
	SET_VEHICLE_NUMBER_PLATE_TEXT = 5847,
	GET_VEHICLE_NUMBER_PLATE_TEXT = 5848,
	GET_NUMBER_OF_VEHICLE_NUMBER_PLATES = 5849,
	SET_VEHICLE_NUMBER_PLATE_TEXT_INDEX = 5850,
	GET_VEHICLE_NUMBER_PLATE_TEXT_INDEX = 5851,
	SET_RANDOM_TRAINS = 5852,
	CREATE_MISSION_TRAIN = 5853,
	SWITCH_TRAIN_TRACK = 5854,
	SET_TRAIN_TRACK_SPAWN_FREQUENCY = 5855,
	ALLOW_TRAIN_TO_BE_REMOVED_BY_POPULATION = 5856,
	DELETE_ALL_TRAINS = 5857,
	SET_TRAIN_SPEED = 5858,
	SET_TRAIN_CRUISE_SPEED = 5859,
	SET_RANDOM_BOATS = 5860,
	SET_RANDOM_BOATS_MP = 5861,
	SET_GARBAGE_TRUCKS = 5862,
	DOES_VEHICLE_HAVE_STUCK_VEHICLE_CHECK = 5863,
	GET_VEHICLE_RECORDING_ID = 5864,
	REQUEST_VEHICLE_RECORDING = 5865,
	HAS_VEHICLE_RECORDING_BEEN_LOADED = 5866,
	REMOVE_VEHICLE_RECORDING = 5867,
	GET_POSITION_OF_VEHICLE_RECORDING_ID_AT_TIME = 5868,
	GET_POSITION_OF_VEHICLE_RECORDING_AT_TIME = 5869,
	GET_ROTATION_OF_VEHICLE_RECORDING_ID_AT_TIME = 5870,
	GET_ROTATION_OF_VEHICLE_RECORDING_AT_TIME = 5871,
	GET_TOTAL_DURATION_OF_VEHICLE_RECORDING_ID = 5872,
	GET_TOTAL_DURATION_OF_VEHICLE_RECORDING = 5873,
	GET_POSITION_IN_RECORDING = 5874,
	GET_TIME_POSITION_IN_RECORDING = 5875,
	START_PLAYBACK_RECORDED_VEHICLE = 5876,
	START_PLAYBACK_RECORDED_VEHICLE_WITH_FLAGS = 5877,
	FORCE_PLAYBACK_RECORDED_VEHICLE_UPDATE = 5878,
	STOP_PLAYBACK_RECORDED_VEHICLE = 5879,
	PAUSE_PLAYBACK_RECORDED_VEHICLE = 5880,
	UNPAUSE_PLAYBACK_RECORDED_VEHICLE = 5881,
	IS_PLAYBACK_GOING_ON_FOR_VEHICLE = 5882,
	IS_PLAYBACK_USING_AI_GOING_ON_FOR_VEHICLE = 5883,
	GET_CURRENT_PLAYBACK_FOR_VEHICLE = 5884,
	SKIP_TO_END_AND_STOP_PLAYBACK_RECORDED_VEHICLE = 5885,
	SET_PLAYBACK_SPEED = 5886,
	START_PLAYBACK_RECORDED_VEHICLE_USING_AI = 5887,
	SKIP_TIME_IN_PLAYBACK_RECORDED_VEHICLE = 5888,
	SET_PLAYBACK_TO_USE_AI = 5889,
	SET_PLAYBACK_TO_USE_AI_TRY_TO_REVERT_BACK_LATER = 5890,
	SET_ADDITIONAL_ROTATION_FOR_RECORDED_VEHICLE_PLAYBACK = 5891,
	SET_POSITION_OFFSET_FOR_RECORDED_VEHICLE_PLAYBACK = 5892,
	SET_GLOBAL_POSITION_OFFSET_FOR_RECORDED_VEHICLE_PLAYBACK = 5893,
	SET_SHOULD_LERP_FROM_AI_TO_FULL_RECORDING = 5894,
	EXPLODE_VEHICLE_IN_CUTSCENE = 5895,
	ADD_VEHICLE_STUCK_CHECK_WITH_WARP = 5896,
	SET_VEHICLE_MODEL_IS_SUPPRESSED = 5897,
	GET_RANDOM_VEHICLE_IN_SPHERE = 5898,
	GET_RANDOM_VEHICLE_FRONT_BUMPER_IN_SPHERE = 5899,
	GET_RANDOM_VEHICLE_BACK_BUMPER_IN_SPHERE = 5900,
	GET_CLOSEST_VEHICLE = 5901,
	GET_TRAIN_CARRIAGE = 5902,
	IS_MISSION_TRAIN = 5903,
	DELETE_MISSION_TRAIN = 5904,
	SET_MISSION_TRAIN_AS_NO_LONGER_NEEDED = 5905,
	SET_MISSION_TRAIN_COORDS = 5906,
	IS_THIS_MODEL_A_BOAT = 5907,
	IS_THIS_MODEL_A_JETSKI = 5908,
	IS_THIS_MODEL_A_PLANE = 5909,
	IS_THIS_MODEL_A_HELI = 5910,
	IS_THIS_MODEL_A_CAR = 5911,
	IS_THIS_MODEL_A_TRAIN = 5912,
	IS_THIS_MODEL_A_BIKE = 5913,
	IS_THIS_MODEL_A_BICYCLE = 5914,
	IS_THIS_MODEL_A_QUADBIKE = 5915,
	IS_THIS_MODEL_AN_AMPHIBIOUS_CAR = 5916,
	IS_THIS_MODEL_AN_AMPHIBIOUS_QUADBIKE = 5917,
	SET_HELI_BLADES_FULL_SPEED = 5918,
	SET_HELI_BLADES_SPEED = 5919,
	FORCE_SUB_THROTTLE_FOR_TIME = 5920,
	SET_VEHICLE_CAN_BE_TARGETTED = 5921,
	SET_DONT_ALLOW_PLAYER_TO_ENTER_VEHICLE_IF_LOCKED_FOR_PLAYER = 5922,
	SET_VEHICLE_CAN_BE_VISIBLY_DAMAGED = 5923,
	SET_VEHICLE_HAS_UNBREAKABLE_LIGHTS = 5924,
	SET_VEHICLE_RESPECTS_LOCKS_WHEN_HAS_DRIVER = 5925,
	SET_VEHICLE_CAN_EJECT_PASSENGERS_IF_LOCKED = 5926,
	GET_VEHICLE_DIRT_LEVEL = 5927,
	SET_VEHICLE_DIRT_LEVEL = 5928,
	GET_DOES_VEHICLE_HAVE_DAMAGE_DECALS = 5929,
	IS_VEHICLE_DOOR_FULLY_OPEN = 5930,
	SET_VEHICLE_ENGINE_ON = 5931,
	SET_VEHICLE_UNDRIVEABLE = 5932,
	SET_VEHICLE_PROVIDES_COVER = 5933,
	SET_VEHICLE_DOOR_CONTROL = 5934,
	SET_VEHICLE_DOOR_LATCHED = 5935,
	GET_VEHICLE_DOOR_ANGLE_RATIO = 5936,
	GET_PED_USING_VEHICLE_DOOR = 5937,
	SET_VEHICLE_DOOR_SHUT = 5938,
	SET_VEHICLE_DOOR_BROKEN = 5939,
	SET_VEHICLE_CAN_BREAK = 5940,
	DOES_VEHICLE_HAVE_ROOF = 5941,
	SET_VEHICLE_REMOVE_AGGRESSIVE_CARJACK_MISSION = 5942,
	SET_VEHICLE_AVOID_PLAYER_VEHICLE_RIOT_VAN_MISSION = 5943,
	SET_CARJACK_MISSION_REMOVAL_PARAMETERS = 5944,
	IS_BIG_VEHICLE = 5945,
	GET_NUMBER_OF_VEHICLE_COLOURS = 5946,
	SET_VEHICLE_COLOUR_COMBINATION = 5947,
	GET_VEHICLE_COLOUR_COMBINATION = 5948,
	SET_VEHICLE_XENON_LIGHT_COLOR_INDEX = 5949,
	GET_VEHICLE_XENON_LIGHT_COLOR_INDEX = 5950,
	SET_VEHICLE_IS_CONSIDERED_BY_PLAYER = 5951,
	SET_VEHICLE_WILL_FORCE_OTHER_VEHICLES_TO_STOP = 5952,
	SET_VEHICLE_ACT_AS_IF_HAS_SIREN_ON = 5953,
	SET_VEHICLE_USE_MORE_RESTRICTIVE_SPAWN_CHECKS = 5954,
	SET_VEHICLE_MAY_BE_USED_BY_GOTO_POINT_ANY_MEANS = 5955,
	GET_RANDOM_VEHICLE_MODEL_IN_MEMORY = 5956,
	GET_VEHICLE_DOOR_LOCK_STATUS = 5957,
	GET_VEHICLE_INDIVIDUAL_DOOR_LOCK_STATUS = 5958,
	IS_VEHICLE_DOOR_DAMAGED = 5959,
	SET_DOOR_ALLOWED_TO_BE_BROKEN_OFF = 5960,
	IS_VEHICLE_BUMPER_BOUNCING = 5961,
	IS_VEHICLE_BUMPER_BROKEN_OFF = 5962,
	IS_COP_VEHICLE_IN_AREA_3D = 5963,
	IS_VEHICLE_ON_ALL_WHEELS = 5964,
	GET_VEHICLE_MODEL_VALUE = 5965,
	GET_VEHICLE_LAYOUT_HASH = 5966,
	GET_IN_VEHICLE_CLIPSET_HASH_FOR_SEAT = 5967,
	SET_RENDER_TRAIN_AS_DERAILED = 5968,
	SET_VEHICLE_EXTRA_COLOURS = 5969,
	GET_VEHICLE_EXTRA_COLOURS = 5970,
	SET_VEHICLE_EXTRA_COLOUR_5 = 5971,
	GET_VEHICLE_EXTRA_COLOUR_5 = 5972,
	SET_VEHICLE_EXTRA_COLOUR_6 = 5973,
	GET_VEHICLE_EXTRA_COLOUR_6 = 5974,
	STOP_ALL_GARAGE_ACTIVITY = 5975,
	SET_VEHICLE_FIXED = 5976,
	SET_VEHICLE_DEFORMATION_FIXED = 5977,
	SET_VEHICLE_CAN_ENGINE_MISSFIRE = 5978,
	SET_VEHICLE_CAN_LEAK_OIL = 5979,
	SET_VEHICLE_CAN_LEAK_PETROL = 5980,
	SET_DISABLE_VEHICLE_PETROL_TANK_FIRES = 5981,
	SET_DISABLE_VEHICLE_PETROL_TANK_DAMAGE = 5982,
	SET_DISABLE_VEHICLE_ENGINE_FIRES = 5983,
	SET_VEHICLE_LIMIT_SPEED_WHEN_PLAYER_INACTIVE = 5984,
	SET_VEHICLE_STOP_INSTANTLY_WHEN_PLAYER_INACTIVE = 5985,
	SET_DISABLE_PRETEND_OCCUPANTS = 5986,
	REMOVE_VEHICLES_FROM_GENERATORS_IN_AREA = 5987,
	SET_VEHICLE_STEER_BIAS = 5988,
	IS_VEHICLE_EXTRA_TURNED_ON = 5989,
	SET_VEHICLE_EXTRA = 5990,
	DOES_EXTRA_EXIST = 5991,
	IS_EXTRA_BROKEN_OFF = 5992,
	SET_CONVERTIBLE_ROOF = 5993,
	LOWER_CONVERTIBLE_ROOF = 5994,
	RAISE_CONVERTIBLE_ROOF = 5995,
	GET_CONVERTIBLE_ROOF_STATE = 5996,
	IS_VEHICLE_A_CONVERTIBLE = 5997,
	TRANSFORM_TO_SUBMARINE = 5998,
	TRANSFORM_TO_CAR = 5999,
	IS_VEHICLE_IN_SUBMARINE_MODE = 6000,
	IS_VEHICLE_STOPPED_AT_TRAFFIC_LIGHTS = 6001,
	SET_VEHICLE_DAMAGE = 6002,
	SET_VEHICLE_OCCUPANTS_TAKE_EXPLOSIVE_DAMAGE = 6003,
	GET_VEHICLE_ENGINE_HEALTH = 6004,
	SET_VEHICLE_ENGINE_HEALTH = 6005,
	SET_PLANE_ENGINE_HEALTH = 6006,
	GET_VEHICLE_PETROL_TANK_HEALTH = 6007,
	SET_VEHICLE_PETROL_TANK_HEALTH = 6008,
	IS_VEHICLE_STUCK_TIMER_UP = 6009,
	RESET_VEHICLE_STUCK_TIMER = 6010,
	IS_VEHICLE_DRIVEABLE = 6011,
	SET_VEHICLE_HAS_BEEN_OWNED_BY_PLAYER = 6012,
	SET_VEHICLE_NEEDS_TO_BE_HOTWIRED = 6013,
	SET_VEHICLE_BLIP_THROTTLE_RANDOMLY = 6014,
	SET_POLICE_FOCUS_WILL_TRACK_VEHICLE = 6015,
	START_VEHICLE_HORN = 6016,
	SET_VEHICLE_IN_CAR_MOD_SHOP = 6017,
	SET_VEHICLE_HAS_STRONG_AXLES = 6018,
	GET_DISPLAY_NAME_FROM_VEHICLE_MODEL = 6019,
	GET_MAKE_NAME_FROM_VEHICLE_MODEL = 6020,
	GET_VEHICLE_DEFORMATION_AT_POS = 6021,
	SET_VEHICLE_LIVERY = 6022,
	GET_VEHICLE_LIVERY = 6023,
	GET_VEHICLE_LIVERY_COUNT = 6024,
	SET_VEHICLE_LIVERY2 = 6025,
	GET_VEHICLE_LIVERY2 = 6026,
	GET_VEHICLE_LIVERY2_COUNT = 6027,
	IS_VEHICLE_WINDOW_INTACT = 6028,
	ARE_ALL_VEHICLE_WINDOWS_INTACT = 6029,
	ARE_ANY_VEHICLE_SEATS_FREE = 6030,
	RESET_VEHICLE_WHEELS = 6031,
	IS_HELI_PART_BROKEN = 6032,
	GET_HELI_MAIN_ROTOR_HEALTH = 6033,
	GET_HELI_TAIL_ROTOR_HEALTH = 6034,
	GET_HELI_TAIL_BOOM_HEALTH = 6035,
	SET_HELI_MAIN_ROTOR_HEALTH = 6036,
	SET_HELI_TAIL_ROTOR_HEALTH = 6037,
	SET_HELI_TAIL_BOOM_CAN_BREAK_OFF = 6038,
	SET_VEHICLE_NAME_DEBUG = 6039,
	SET_VEHICLE_EXPLODES_ON_HIGH_EXPLOSION_DAMAGE = 6040,
	SET_VEHICLE_EXPLODES_ON_EXPLOSION_DAMAGE_AT_ZERO_BODY_HEALTH = 6041,
	SET_ALLOW_VEHICLE_EXPLODES_ON_CONTACT = 6042,
	SET_VEHICLE_DISABLE_TOWING = 6043,
	GET_VEHICLE_HAS_LANDING_GEAR = 6044,
	CONTROL_LANDING_GEAR = 6045,
	GET_LANDING_GEAR_STATE = 6046,
	IS_ANY_VEHICLE_NEAR_POINT = 6047,
	REQUEST_VEHICLE_HIGH_DETAIL_MODEL = 6048,
	_GET_VEHICLE_MODEL_NUM_DRIVE_GEARS = 6049,
	_GET_VEHICLE_MAX_DRIVE_GEAR_COUNT = 6050,
	_GET_IS_VEHICLE_ELECTRIC = 6051,
	_GET_VEHICLE_DRIVETRAIN_TYPE = 6052,
	_GET_VEHICLE_CURRENT_DRIVE_GEAR = 6053,
	_GET_VEHICLE_CURRENT_REV_RATIO = 6054,
	REMOVE_VEHICLE_HIGH_DETAIL_MODEL = 6055,
	IS_VEHICLE_HIGH_DETAIL = 6056,
	REQUEST_VEHICLE_ASSET = 6057,
	HAS_VEHICLE_ASSET_LOADED = 6058,
	REMOVE_VEHICLE_ASSET = 6059,
	SET_VEHICLE_TOW_TRUCK_ARM_POSITION = 6060,
	_SET_ATTACHED_VEHICLE_TO_TOW_TRUCK_ARM = 6061,
	ATTACH_VEHICLE_TO_TOW_TRUCK = 6062,
	DETACH_VEHICLE_FROM_TOW_TRUCK = 6063,
	DETACH_VEHICLE_FROM_ANY_TOW_TRUCK = 6064,
	IS_VEHICLE_ATTACHED_TO_TOW_TRUCK = 6065,
	GET_ENTITY_ATTACHED_TO_TOW_TRUCK = 6066,
	SET_VEHICLE_AUTOMATICALLY_ATTACHES = 6067,
	SET_VEHICLE_BULLDOZER_ARM_POSITION = 6068,
	SET_VEHICLE_TANK_TURRET_POSITION = 6069,
	SET_VEHICLE_TURRET_TARGET = 6070,
	SET_VEHICLE_TANK_STATIONARY = 6071,
	SET_VEHICLE_TURRET_SPEED_THIS_FRAME = 6072,
	DISABLE_VEHICLE_TURRET_MOVEMENT_THIS_FRAME = 6073,
	SET_VEHICLE_FLIGHT_NOZZLE_POSITION = 6074,
	SET_VEHICLE_FLIGHT_NOZZLE_POSITION_IMMEDIATE = 6075,
	GET_VEHICLE_FLIGHT_NOZZLE_POSITION = 6076,
	SET_DISABLE_VERTICAL_FLIGHT_MODE_TRANSITION = 6077,
	GENERATE_VEHICLE_CREATION_POS_FROM_PATHS = 6078,
	SET_VEHICLE_BURNOUT = 6079,
	IS_VEHICLE_IN_BURNOUT = 6080,
	SET_VEHICLE_REDUCE_GRIP = 6081,
	SET_VEHICLE_REDUCE_GRIP_LEVEL = 6082,
	SET_VEHICLE_INDICATOR_LIGHTS = 6083,
	SET_VEHICLE_BRAKE_LIGHTS = 6084,
	SET_VEHICLE_TAIL_LIGHTS = 6085,
	SET_VEHICLE_HANDBRAKE = 6086,
	SET_VEHICLE_BRAKE = 6087,
	INSTANTLY_FILL_VEHICLE_POPULATION = 6088,
	HAS_INSTANT_FILL_VEHICLE_POPULATION_FINISHED = 6089,
	NETWORK_ENABLE_EMPTY_CROWDING_VEHICLES_REMOVAL = 6090,
	NETWORK_CAP_EMPTY_CROWDING_VEHICLES_REMOVAL = 6091,
	GET_VEHICLE_TRAILER_VEHICLE = 6092,
	_GET_VEHICLE_TRAILER_PARENT_VEHICLE = 6093,
	SET_VEHICLE_USES_LARGE_REAR_RAMP = 6094,
	SET_VEHICLE_RUDDER_BROKEN = 6095,
	SET_CONVERTIBLE_ROOF_LATCH_STATE = 6096,
	GET_VEHICLE_ESTIMATED_MAX_SPEED = 6097,
	GET_VEHICLE_MAX_BRAKING = 6098,
	GET_VEHICLE_MAX_TRACTION = 6099,
	GET_VEHICLE_ACCELERATION = 6100,
	GET_VEHICLE_MODEL_ESTIMATED_MAX_SPEED = 6101,
	GET_VEHICLE_MODEL_MAX_BRAKING = 6102,
	GET_VEHICLE_MODEL_MAX_BRAKING_MAX_MODS = 6103,
	GET_VEHICLE_MODEL_MAX_TRACTION = 6104,
	GET_VEHICLE_MODEL_ACCELERATION = 6105,
	GET_VEHICLE_MODEL_ACCELERATION_MAX_MODS = 6106,
	GET_FLYING_VEHICLE_MODEL_AGILITY = 6107,
	GET_BOAT_VEHICLE_MODEL_AGILITY = 6108,
	GET_VEHICLE_CLASS_ESTIMATED_MAX_SPEED = 6109,
	GET_VEHICLE_CLASS_MAX_TRACTION = 6110,
	GET_VEHICLE_CLASS_MAX_AGILITY = 6111,
	GET_VEHICLE_CLASS_MAX_ACCELERATION = 6112,
	GET_VEHICLE_CLASS_MAX_BRAKING = 6113,
	ADD_ROAD_NODE_SPEED_ZONE = 6114,
	REMOVE_ROAD_NODE_SPEED_ZONE = 6115,
	OPEN_BOMB_BAY_DOORS = 6116,
	CLOSE_BOMB_BAY_DOORS = 6117,
	GET_ARE_BOMB_BAY_DOORS_OPEN = 6118,
	IS_VEHICLE_SEARCHLIGHT_ON = 6119,
	SET_VEHICLE_SEARCHLIGHT = 6120,
	DOES_VEHICLE_HAVE_SEARCHLIGHT = 6121,
	IS_ENTRY_POINT_FOR_SEAT_CLEAR = 6122,
	GET_ENTRY_POINT_POSITION = 6123,
	CAN_SHUFFLE_SEAT = 6124,
	GET_NUM_MOD_KITS = 6125,
	SET_VEHICLE_MOD_KIT = 6126,
	GET_VEHICLE_MOD_KIT = 6127,
	GET_VEHICLE_MOD_KIT_TYPE = 6128,
	GET_VEHICLE_WHEEL_TYPE = 6129,
	SET_VEHICLE_WHEEL_TYPE = 6130,
	GET_NUM_MOD_COLORS = 6131,
	SET_VEHICLE_MOD_COLOR_1 = 6132,
	SET_VEHICLE_MOD_COLOR_2 = 6133,
	GET_VEHICLE_MOD_COLOR_1 = 6134,
	GET_VEHICLE_MOD_COLOR_2 = 6135,
	GET_VEHICLE_MOD_COLOR_1_NAME = 6136,
	GET_VEHICLE_MOD_COLOR_2_NAME = 6137,
	HAVE_VEHICLE_MODS_STREAMED_IN = 6138,
	IS_VEHICLE_MOD_GEN9_EXCLUSIVE = 6139,
	SET_VEHICLE_MOD = 6140,
	GET_VEHICLE_MOD = 6141,
	GET_VEHICLE_MOD_VARIATION = 6142,
	GET_NUM_VEHICLE_MODS = 6143,
	REMOVE_VEHICLE_MOD = 6144,
	TOGGLE_VEHICLE_MOD = 6145,
	IS_TOGGLE_MOD_ON = 6146,
	GET_MOD_TEXT_LABEL = 6147,
	GET_MOD_SLOT_NAME = 6148,
	GET_LIVERY_NAME = 6149,
	GET_VEHICLE_MOD_MODIFIER_VALUE = 6150,
	GET_VEHICLE_MOD_IDENTIFIER_HASH = 6151,
	PRELOAD_VEHICLE_MOD = 6152,
	HAS_PRELOAD_MODS_FINISHED = 6153,
	RELEASE_PRELOAD_MODS = 6154,
	SET_VEHICLE_TYRE_SMOKE_COLOR = 6155,
	GET_VEHICLE_TYRE_SMOKE_COLOR = 6156,
	SET_VEHICLE_WINDOW_TINT = 6157,
	GET_VEHICLE_WINDOW_TINT = 6158,
	GET_NUM_VEHICLE_WINDOW_TINTS = 6159,
	GET_VEHICLE_COLOR = 6160,
	GET_VEHICLE_COLOURS_WHICH_CAN_BE_SET = 6161,
	GET_VEHICLE_CAUSE_OF_DESTRUCTION = 6162,
	OVERRIDE_PLANE_DAMAGE_THREHSOLD = 6163,
	_SET_TRANSMISSION_REDUCED_GEAR_RATIO = 6164,
	_GET_VEHICLE_DESIRED_DRIVE_GEAR = 6165,
	GET_IS_LEFT_VEHICLE_HEADLIGHT_DAMAGED = 6166,
	GET_IS_RIGHT_VEHICLE_HEADLIGHT_DAMAGED = 6167,
	GET_BOTH_VEHICLE_HEADLIGHTS_DAMAGED = 6168,
	MODIFY_VEHICLE_TOP_SPEED = 6169,
	SET_VEHICLE_MAX_SPEED = 6170,
	SET_VEHICLE_STAYS_FROZEN_WHEN_CLEANED_UP = 6171,
	SET_VEHICLE_ACT_AS_IF_HIGH_SPEED_FOR_FRAG_SMASHING = 6172,
	SET_PEDS_CAN_FALL_OFF_THIS_VEHICLE_FROM_LARGE_FALL_DAMAGE = 6173,
	ADD_VEHICLE_COMBAT_ANGLED_AVOIDANCE_AREA = 6174,
	REMOVE_VEHICLE_COMBAT_AVOIDANCE_AREA = 6175,
	IS_ANY_PED_RAPPELLING_FROM_HELI = 6176,
	SET_VEHICLE_CHEAT_POWER_INCREASE = 6177,
	SET_VEHICLE_INFLUENCES_WANTED_LEVEL = 6178,
	SET_VEHICLE_IS_WANTED = 6179,
	SWING_BOAT_BOOM_TO_RATIO = 6180,
	SWING_BOAT_BOOM_FREELY = 6181,
	ALLOW_BOAT_BOOM_TO_ANIMATE = 6182,
	GET_BOAT_BOOM_POSITION_RATIO = 6183,
	DISABLE_PLANE_AILERON = 6184,
	GET_IS_VEHICLE_ENGINE_RUNNING = 6185,
	SET_VEHICLE_USE_ALTERNATE_HANDLING = 6186,
	SET_BIKE_ON_STAND = 6187,
	SET_VEHICLE_NOT_STEALABLE_AMBIENTLY = 6188,
	LOCK_DOORS_WHEN_NO_LONGER_NEEDED = 6189,
	SET_LAST_DRIVEN_VEHICLE = 6190,
	GET_LAST_DRIVEN_VEHICLE = 6191,
	CLEAR_LAST_DRIVEN_VEHICLE = 6192,
	SET_VEHICLE_HAS_BEEN_DRIVEN_FLAG = 6193,
	SET_TASK_VEHICLE_GOTO_PLANE_MIN_HEIGHT_ABOVE_TERRAIN = 6194,
	SET_VEHICLE_LOD_MULTIPLIER = 6195,
	SET_VEHICLE_CAN_SAVE_IN_GARAGE = 6196,
	GET_VEHICLE_NUM_OF_BROKEN_OFF_PARTS = 6197,
	GET_VEHICLE_NUM_OF_BROKEN_LOOSEN_PARTS = 6198,
	SET_FORCE_VEHICLE_ENGINE_DAMAGE_BY_BULLET = 6199,
	SET_VEHICLE_GENERATES_ENGINE_SHOCKING_EVENTS = 6200,
	COPY_VEHICLE_DAMAGES = 6201,
	DISABLE_VEHICLE_EXPLOSION_BREAK_OFF_PARTS = 6202,
	SET_LIGHTS_CUTOFF_DISTANCE_TWEAK = 6203,
	SET_VEHICLE_SHOOT_AT_TARGET = 6204,
	GET_VEHICLE_LOCK_ON_TARGET = 6205,
	SET_FORCE_HD_VEHICLE = 6206,
	SET_VEHICLE_CUSTOM_PATH_NODE_STREAMING_RADIUS = 6207,
	GET_VEHICLE_PLATE_TYPE = 6208,
	TRACK_VEHICLE_VISIBILITY = 6209,
	IS_VEHICLE_VISIBLE = 6210,
	SET_VEHICLE_GRAVITY = 6211,
	SET_ENABLE_VEHICLE_SLIPSTREAMING = 6212,
	SET_VEHICLE_SLIPSTREAMING_SHOULD_TIME_OUT = 6213,
	GET_VEHICLE_CURRENT_TIME_IN_SLIP_STREAM = 6214,
	IS_VEHICLE_PRODUCING_SLIP_STREAM = 6215,
	SET_VEHICLE_INACTIVE_DURING_PLAYBACK = 6216,
	SET_VEHICLE_ACTIVE_DURING_PLAYBACK = 6217,
	IS_VEHICLE_SPRAYABLE = 6218,
	SET_VEHICLE_ENGINE_CAN_DEGRADE = 6219,
	DISABLE_VEHCILE_DYNAMIC_AMBIENT_SCALES = 6220,
	ENABLE_VEHICLE_DYNAMIC_AMBIENT_SCALES = 6221,
	IS_PLANE_LANDING_GEAR_INTACT = 6222,
	ARE_PLANE_PROPELLERS_INTACT = 6223,
	SET_PLANE_PROPELLER_HEALTH = 6224,
	SET_VEHICLE_CAN_DEFORM_WHEELS = 6225,
	IS_VEHICLE_STOLEN = 6226,
	SET_VEHICLE_IS_STOLEN = 6227,
	SET_PLANE_TURBULENCE_MULTIPLIER = 6228,
	ARE_WINGS_OF_PLANE_INTACT = 6229,
	ALLOW_AMBIENT_VEHICLES_TO_AVOID_ADVERSE_CONDITIONS = 6230,
	DETACH_VEHICLE_FROM_CARGOBOB = 6231,
	DETACH_VEHICLE_FROM_ANY_CARGOBOB = 6232,
	DETACH_ENTITY_FROM_CARGOBOB = 6233,
	IS_VEHICLE_ATTACHED_TO_CARGOBOB = 6234,
	GET_VEHICLE_ATTACHED_TO_CARGOBOB = 6235,
	GET_ENTITY_ATTACHED_TO_CARGOBOB = 6236,
	ATTACH_VEHICLE_TO_CARGOBOB = 6237,
	ATTACH_ENTITY_TO_CARGOBOB = 6238,
	SET_CARGOBOB_FORCE_DONT_DETACH_VEHICLE = 6239,
	SET_CARGOBOB_EXCLUDE_FROM_PICKUP_ENTITY = 6240,
	CAN_CARGOBOB_PICK_UP_ENTITY = 6241,
	GET_ATTACHED_PICK_UP_HOOK_POSITION = 6242,
	DOES_CARGOBOB_HAVE_PICK_UP_ROPE = 6243,
	CREATE_PICK_UP_ROPE_FOR_CARGOBOB = 6244,
	REMOVE_PICK_UP_ROPE_FOR_CARGOBOB = 6245,
	SET_PICKUP_ROPE_LENGTH_FOR_CARGOBOB = 6246,
	SET_PICKUP_ROPE_LENGTH_WITHOUT_CREATING_ROPE_FOR_CARGOBOB = 6247,
	SET_CARGOBOB_PICKUP_ROPE_DAMPING_MULTIPLIER = 6248,
	SET_CARGOBOB_PICKUP_ROPE_TYPE = 6249,
	DOES_CARGOBOB_HAVE_PICKUP_MAGNET = 6250,
	SET_CARGOBOB_PICKUP_MAGNET_ACTIVE = 6251,
	SET_CARGOBOB_PICKUP_MAGNET_STRENGTH = 6252,
	SET_CARGOBOB_PICKUP_MAGNET_FALLOFF = 6253,
	SET_CARGOBOB_PICKUP_MAGNET_REDUCED_STRENGTH = 6254,
	SET_CARGOBOB_PICKUP_MAGNET_REDUCED_FALLOFF = 6255,
	SET_CARGOBOB_PICKUP_MAGNET_PULL_STRENGTH = 6256,
	SET_CARGOBOB_PICKUP_MAGNET_PULL_ROPE_LENGTH = 6257,
	SET_CARGOBOB_PICKUP_MAGNET_SET_TARGETED_MODE = 6258,
	SET_CARGOBOB_PICKUP_MAGNET_SET_AMBIENT_MODE = 6259,
	SET_CARGOBOB_PICKUP_MAGNET_ENSURE_PICKUP_ENTITY_UPRIGHT = 6260,
	DOES_VEHICLE_HAVE_WEAPONS = 6261,
	SET_VEHICLE_WILL_TELL_OTHERS_TO_HURRY = 6262,
	DISABLE_VEHICLE_WEAPON = 6263,
	IS_VEHICLE_WEAPON_DISABLED = 6264,
	SET_VEHICLE_USED_FOR_PILOT_SCHOOL = 6265,
	SET_VEHICLE_ACTIVE_FOR_PED_NAVIGATION = 6266,
	GET_VEHICLE_CLASS = 6267,
	GET_VEHICLE_CLASS_FROM_NAME = 6268,
	SET_PLAYERS_LAST_VEHICLE = 6269,
	SET_VEHICLE_CAN_BE_USED_BY_FLEEING_PEDS = 6270,
	SET_AIRCRAFT_PILOT_SKILL_NOISE_SCALAR = 6271,
	SET_VEHICLE_DROPS_MONEY_WHEN_BLOWN_UP = 6272,
	SET_VEHICLE_KEEP_ENGINE_ON_WHEN_ABANDONED = 6273,
	SET_VEHICLE_IMPATIENCE_TIMER = 6274,
	SET_VEHICLE_HANDLING_OVERRIDE = 6275,
	SET_VEHICLE_EXTENDED_REMOVAL_RANGE = 6276,
	SET_VEHICLE_STEERING_BIAS_SCALAR = 6277,
	SET_HELI_CONTROL_LAGGING_RATE_SCALAR = 6278,
	SET_VEHICLE_FRICTION_OVERRIDE = 6279,
	SET_VEHICLE_WHEELS_CAN_BREAK_OFF_WHEN_BLOW_UP = 6280,
	ARE_PLANE_CONTROL_PANELS_INTACT = 6281,
	SET_VEHICLE_CEILING_HEIGHT = 6282,
	SET_VEHICLE_NO_EXPLOSION_DAMAGE_FROM_DRIVER = 6283,
	CLEAR_VEHICLE_ROUTE_HISTORY = 6284,
	DOES_VEHICLE_EXIST_WITH_DECORATOR = 6285,
	SET_VEHICLE_AI_CAN_USE_EXCLUSIVE_SEATS = 6286,
	SET_VEHICLE_EXCLUSIVE_DRIVER = 6287,
	IS_PED_EXCLUSIVE_DRIVER_OF_VEHICLE = 6288,
	DISABLE_INDIVIDUAL_PLANE_PROPELLER = 6289,
	SET_VEHICLE_FORCE_AFTERBURNER = 6290,
	SET_DONT_PROCESS_VEHICLE_GLASS = 6291,
	SET_DISABLE_WANTED_CONES_RESPONSE = 6292,
	SET_USE_DESIRED_Z_CRUISE_SPEED_FOR_LANDING = 6293,
	SET_ARRIVE_DISTANCE_OVERRIDE_FOR_VEHICLE_PERSUIT_ATTACK = 6294,
	SET_VEHICLE_READY_FOR_CLEANUP = 6295,
	SET_DISTANT_CARS_ENABLED = 6296,
	SET_VEHICLE_NEON_COLOUR = 6297,
	SET_VEHICLE_NEON_INDEX_COLOUR = 6298,
	GET_VEHICLE_NEON_COLOUR = 6299,
	SET_VEHICLE_NEON_ENABLED = 6300,
	GET_VEHICLE_NEON_ENABLED = 6301,
	SET_AMBIENT_VEHICLE_NEON_ENABLED = 6302,
	SUPPRESS_NEONS_ON_VEHICLE = 6303,
	SET_DISABLE_SUPERDUMMY = 6304,
	REQUEST_VEHICLE_DIAL = 6305,
	GET_VEHICLE_BODY_HEALTH = 6306,
	SET_VEHICLE_BODY_HEALTH = 6307,
	GET_VEHICLE_SIZE = 6308,
	GET_FAKE_SUSPENSION_LOWERING_AMOUNT = 6309,
	SET_CAR_HIGH_SPEED_BUMP_SEVERITY_MULTIPLIER = 6310,
	GET_NUMBER_OF_VEHICLE_DOORS = 6311,
	SET_HYDRAULICS_CONTROL = 6312,
	SET_CAN_ADJUST_GROUND_CLEARANCE = 6313,
	GET_VEHICLE_HEALTH_PERCENTAGE = 6314,
	GET_VEHICLE_IS_MERCENARY = 6315,
	SET_VEHICLE_BROKEN_PARTS_DONT_AFFECT_AI_HANDLING = 6316,
	SET_VEHICLE_KERS_ALLOWED = 6317,
	GET_VEHICLE_HAS_KERS = 6318,
	SET_PLANE_RESIST_TO_EXPLOSION = 6319,
	SET_HELI_RESIST_TO_EXPLOSION = 6320,
	SET_DISABLE_BMX_EXTRA_TRICK_FORCES = 6321,
	SET_HYDRAULIC_SUSPENSION_RAISE_FACTOR = 6322,
	GET_HYDRAULIC_SUSPENSION_RAISE_FACTOR = 6323,
	SET_CAN_USE_HYDRAULICS = 6324,
	SET_HYDRAULIC_VEHICLE_STATE = 6325,
	SET_HYDRAULIC_WHEEL_STATE = 6326,
	HAS_VEHICLE_PETROLTANK_SET_ON_FIRE_BY_ENTITY = 6327,
	CLEAR_VEHICLE_PETROLTANK_FIRE_CULPRIT = 6328,
	SET_VEHICLE_BOBBLEHEAD_VELOCITY = 6329,
	GET_VEHICLE_IS_DUMMY = 6330,
	SET_VEHICLE_DAMAGE_SCALE = 6331,
	SET_VEHICLE_WEAPON_DAMAGE_SCALE = 6332,
	SET_DISABLE_DAMAGE_WITH_PICKED_UP_ENTITY = 6333,
	SET_VEHICLE_USES_MP_PLAYER_DAMAGE_MULTIPLIER = 6334,
	SET_BIKE_EASY_TO_LAND = 6335,
	SET_INVERT_VEHICLE_CONTROLS = 6336,
	SET_SPEED_BOOST_EFFECT_DISABLED = 6337,
	SET_SLOW_DOWN_EFFECT_DISABLED = 6338,
	SET_FORMATION_LEADER = 6339,
	RESET_FORMATION_LEADER = 6340,
	GET_IS_BOAT_CAPSIZED = 6341,
	SET_ALLOW_RAMMING_SOOP_OR_RAMP = 6342,
	SET_SCRIPT_RAMP_IMPULSE_SCALE = 6343,
	GET_IS_DOOR_VALID = 6344,
	SET_SCRIPT_ROCKET_BOOST_RECHARGE_TIME = 6345,
	GET_HAS_ROCKET_BOOST = 6346,
	IS_ROCKET_BOOST_ACTIVE = 6347,
	SET_ROCKET_BOOST_ACTIVE = 6348,
	GET_HAS_RETRACTABLE_WHEELS = 6349,
	GET_IS_WHEELS_RETRACTED = 6350,
	SET_WHEELS_EXTENDED_INSTANTLY = 6351,
	SET_WHEELS_RETRACTED_INSTANTLY = 6352,
	GET_CAR_HAS_JUMP = 6353,
	SET_USE_HIGHER_CAR_JUMP = 6354,
	SET_CLEAR_FREEZE_WAITING_ON_COLLISION_ONCE_PLAYER_ENTERS = 6355,
	SET_VEHICLE_WEAPON_RESTRICTED_AMMO = 6356,
	GET_VEHICLE_WEAPON_RESTRICTED_AMMO = 6357,
	GET_VEHICLE_HAS_PARACHUTE = 6358,
	GET_VEHICLE_CAN_DEPLOY_PARACHUTE = 6359,
	VEHICLE_START_PARACHUTING = 6360,
	IS_VEHICLE_PARACHUTE_DEPLOYED = 6361,
	VEHICLE_SET_RAMP_AND_RAMMING_CARS_TAKE_DAMAGE = 6362,
	VEHICLE_SET_ENABLE_RAMP_CAR_SIDE_IMPULSE = 6363,
	VEHICLE_SET_ENABLE_NORMALISE_RAMP_CAR_VERTICAL_VELOCTIY = 6364,
	VEHICLE_SET_JET_WASH_FORCE_ENABLED = 6365,
	SET_VEHICLE_WEAPON_CAN_TARGET_OBJECTS = 6366,
	SET_VEHICLE_USE_BOOST_BUTTON_FOR_WHEEL_RETRACT = 6367,
	_SET_VEHICLE_USE_HORN_BUTTON_FOR_NITROUS = 6368,
	VEHICLE_SET_PARACHUTE_MODEL_OVERRIDE = 6369,
	VEHICLE_SET_PARACHUTE_MODEL_TINT_INDEX = 6370,
	VEHICLE_SET_OVERRIDE_EXTENABLE_SIDE_RATIO = 6371,
	VEHICLE_SET_EXTENABLE_SIDE_TARGET_RATIO = 6372,
	VEHICLE_SET_OVERRIDE_SIDE_RATIO = 6373,
	GET_ALL_VEHICLES = 6374,
	SET_CARGOBOB_EXTA_PICKUP_RANGE = 6375,
	SET_OVERRIDE_VEHICLE_DOOR_TORQUE = 6376,
	SET_WHEELIE_ENABLED = 6377,
	SET_DISABLE_HELI_EXPLODE_FROM_BODY_DAMAGE = 6378,
	SET_DISABLE_EXPLODE_FROM_BODY_DAMAGE_ON_COLLISION = 6379,
	SET_TRAILER_ATTACHMENT_ENABLED = 6380,
	SET_ROCKET_BOOST_FILL = 6381,
	SET_GLIDER_ACTIVE = 6382,
	SET_SHOULD_RESET_TURRET_IN_SCRIPTED_CAMERAS = 6383,
	SET_VEHICLE_DISABLE_COLLISION_UPON_CREATION = 6384,
	SET_GROUND_EFFECT_REDUCES_DRAG = 6385,
	SET_DISABLE_MAP_COLLISION = 6386,
	SET_DISABLE_PED_STAND_ON_TOP = 6387,
	SET_VEHICLE_DAMAGE_SCALES = 6388,
	SET_PLANE_SECTION_DAMAGE_SCALE = 6389,
	SET_HELI_CAN_PICKUP_ENTITY_THAT_HAS_PICK_UP_DISABLED = 6390,
	SET_VEHICLE_BOMB_AMMO = 6391,
	GET_VEHICLE_BOMB_AMMO = 6392,
	SET_VEHICLE_COUNTERMEASURE_AMMO = 6393,
	GET_VEHICLE_COUNTERMEASURE_AMMO = 6394,
	SET_HELI_COMBAT_OFFSET = 6395,
	GET_CAN_VEHICLE_BE_PLACED_HERE = 6396,
	SET_DISABLE_AUTOMATIC_CRASH_TASK = 6397,
	SET_SPECIAL_FLIGHT_MODE_RATIO = 6398,
	SET_SPECIAL_FLIGHT_MODE_TARGET_RATIO = 6399,
	SET_SPECIAL_FLIGHT_MODE_ALLOWED = 6400,
	SET_DISABLE_HOVER_MODE_FLIGHT = 6401,
	GET_OUTRIGGERS_DEPLOYED = 6402,
	FIND_SPAWN_COORDINATES_FOR_HELI = 6403,
	SET_DEPLOY_FOLDING_WINGS = 6404,
	ARE_FOLDING_WINGS_DEPLOYED = 6405,
	_SET_DEPLOY_MISSILE_BAYS = 6406,
	_ARE_MISSILE_BAYS_DEPLOYED = 6407,
	SET_DIP_STRAIGHT_DOWN_WHEN_CRASHING_PLANE = 6408,
	SET_TURRET_HIDDEN = 6409,
	SET_HOVER_MODE_WING_RATIO = 6410,
	SET_DISABLE_TURRET_MOVEMENT = 6411,
	SET_FORCE_FIX_LINK_MATRICES = 6412,
	SET_TRANSFORM_RATE_FOR_ANIMATION = 6413,
	SET_TRANSFORM_TO_SUBMARINE_USES_ALTERNATE_INPUT = 6414,
	SET_VEHICLE_COMBAT_MODE = 6415,
	SET_VEHICLE_DETONATION_MODE = 6416,
	SET_VEHICLE_SHUNT_ON_STICK = 6417,
	GET_IS_VEHICLE_SHUNTING = 6418,
	GET_HAS_VEHICLE_BEEN_HIT_BY_SHUNT = 6419,
	GET_LAST_SHUNT_VEHICLE = 6420,
	SET_DISABLE_VEHICLE_EXPLOSIONS_DAMAGE = 6421,
	SET_OVERRIDE_NITROUS_LEVEL = 6422,
	SET_NITROUS_IS_ACTIVE = 6423,
	_SET_OVERRIDE_TRACTION_LOSS_MULTIPLIER = 6424,
	_SET_DRIFT_SLIP_ANGLE_LIMITS = 6425,
	_SET_MINIMUM_TIME_BETWEEN_GEAR_SHIFTS = 6426,
	FULLY_CHARGE_NITROUS = 6427,
	_GET_REMAINING_NITROUS_DURATION = 6428,
	IS_NITROUS_ACTIVE = 6429,
	CLEAR_NITROUS = 6430,
	SET_INCREASE_WHEEL_CRUSH_DAMAGE = 6431,
	SET_DISABLE_WEAPON_BLADE_FORCES = 6432,
	SET_USE_DOUBLE_CLICK_FOR_CAR_JUMP = 6433,
	GET_DOES_VEHICLE_HAVE_TOMBSTONE = 6434,
	HIDE_TOMBSTONE = 6435,
	APPLY_EMP_EFFECT = 6436,
	GET_IS_VEHICLE_DISABLED_BY_EMP = 6437,
	SET_DISABLE_RETRACTING_WEAPON_BLADES = 6438,
	GET_TYRE_HEALTH = 6439,
	SET_TYRE_HEALTH = 6440,
	GET_TYRE_WEAR_RATE = 6441,
	SET_TYRE_WEAR_RATE = 6442,
	SET_TYRE_WEAR_RATE_SCALE = 6443,
	SET_TYRE_MAXIMUM_GRIP_DIFFERENCE_DUE_TO_WEAR_RATE = 6444,
	SET_AIRCRAFT_IGNORE_HIGHTMAP_OPTIMISATION = 6445,
	SET_REDUCED_SUSPENSION_FORCE = 6446,
	SET_DRIFT_TYRES = 6447,
	GET_DRIFT_TYRES_SET = 6448,
	NETWORK_USE_HIGH_PRECISION_TRAIN_BLENDING = 6449,
	SET_CHECK_FOR_ENOUGH_ROOM_FOR_PED = 6450,
	_SET_ALLOW_COLLISION_WHEN_IN_VEHICLE = 6451,
	_IS_VEHICLE_GEN9_EXCLUSIVE_MODEL = 6452,
	_GET_VEHICLE_MAX_EXHAUST_BONE_COUNT = 6453,
	_GET_VEHICLE_EXHAUST_BONE = 6454,
	GET_WATER_HEIGHT = 6455,
	GET_WATER_HEIGHT_NO_WAVES = 6456,
	TEST_PROBE_AGAINST_WATER = 6457,
	TEST_PROBE_AGAINST_ALL_WATER = 6458,
	TEST_VERTICAL_PROBE_AGAINST_ALL_WATER = 6459,
	MODIFY_WATER = 6460,
	ADD_EXTRA_CALMING_QUAD = 6461,
	REMOVE_EXTRA_CALMING_QUAD = 6462,
	SET_DEEP_OCEAN_SCALER = 6463,
	GET_DEEP_OCEAN_SCALER = 6464,
	SET_CALMED_WAVE_HEIGHT_SCALER = 6465,
	RESET_DEEP_OCEAN_SCALER = 6466,
	ENABLE_LASER_SIGHT_RENDERING = 6467,
	GET_WEAPON_COMPONENT_TYPE_MODEL = 6468,
	GET_WEAPONTYPE_MODEL = 6469,
	GET_WEAPONTYPE_SLOT = 6470,
	GET_WEAPONTYPE_GROUP = 6471,
	GET_WEAPON_COMPONENT_VARIANT_EXTRA_COUNT = 6472,
	GET_WEAPON_COMPONENT_VARIANT_EXTRA_MODEL = 6473,
	SET_CURRENT_PED_WEAPON = 6474,
	GET_CURRENT_PED_WEAPON = 6475,
	GET_CURRENT_PED_WEAPON_ENTITY_INDEX = 6476,
	GET_BEST_PED_WEAPON = 6477,
	SET_CURRENT_PED_VEHICLE_WEAPON = 6478,
	GET_CURRENT_PED_VEHICLE_WEAPON = 6479,
	SET_PED_CYCLE_VEHICLE_WEAPONS_ONLY = 6480,
	IS_PED_ARMED = 6481,
	IS_WEAPON_VALID = 6482,
	HAS_PED_GOT_WEAPON = 6483,
	IS_PED_WEAPON_READY_TO_SHOOT = 6484,
	GET_PED_WEAPONTYPE_IN_SLOT = 6485,
	GET_AMMO_IN_PED_WEAPON = 6486,
	ADD_AMMO_TO_PED = 6487,
	SET_PED_AMMO = 6488,
	SET_PED_INFINITE_AMMO = 6489,
	SET_PED_INFINITE_AMMO_CLIP = 6490,
	SET_PED_STUN_GUN_FINITE_AMMO = 6491,
	GIVE_WEAPON_TO_PED = 6492,
	GIVE_DELAYED_WEAPON_TO_PED = 6493,
	REMOVE_ALL_PED_WEAPONS = 6494,
	REMOVE_WEAPON_FROM_PED = 6495,
	HIDE_PED_WEAPON_FOR_SCRIPTED_CUTSCENE = 6496,
	SET_PED_CURRENT_WEAPON_VISIBLE = 6497,
	SET_PED_DROPS_WEAPONS_WHEN_DEAD = 6498,
	HAS_PED_BEEN_DAMAGED_BY_WEAPON = 6499,
	CLEAR_PED_LAST_WEAPON_DAMAGE = 6500,
	HAS_ENTITY_BEEN_DAMAGED_BY_WEAPON = 6501,
	CLEAR_ENTITY_LAST_WEAPON_DAMAGE = 6502,
	SET_PED_DROPS_WEAPON = 6503,
	SET_PED_DROPS_INVENTORY_WEAPON = 6504,
	GET_MAX_AMMO_IN_CLIP = 6505,
	GET_AMMO_IN_CLIP = 6506,
	SET_AMMO_IN_CLIP = 6507,
	GET_MAX_AMMO = 6508,
	GET_MAX_AMMO_BY_TYPE = 6509,
	ADD_PED_AMMO_BY_TYPE = 6510,
	SET_PED_AMMO_BY_TYPE = 6511,
	GET_PED_AMMO_BY_TYPE = 6512,
	SET_PED_AMMO_TO_DROP = 6513,
	SET_PICKUP_AMMO_AMOUNT_SCALER = 6514,
	GET_PED_AMMO_TYPE_FROM_WEAPON = 6515,
	GET_PED_ORIGINAL_AMMO_TYPE_FROM_WEAPON = 6516,
	GET_PED_LAST_WEAPON_IMPACT_COORD = 6517,
	SET_PED_GADGET = 6518,
	GET_IS_PED_GADGET_EQUIPPED = 6519,
	GET_SELECTED_PED_WEAPON = 6520,
	EXPLODE_PROJECTILES = 6521,
	REMOVE_ALL_PROJECTILES_OF_TYPE = 6522,
	GET_LOCKON_DISTANCE_OF_CURRENT_PED_WEAPON = 6523,
	GET_MAX_RANGE_OF_CURRENT_PED_WEAPON = 6524,
	HAS_VEHICLE_GOT_PROJECTILE_ATTACHED = 6525,
	GIVE_WEAPON_COMPONENT_TO_PED = 6526,
	REMOVE_WEAPON_COMPONENT_FROM_PED = 6527,
	HAS_PED_GOT_WEAPON_COMPONENT = 6528,
	IS_PED_WEAPON_COMPONENT_ACTIVE = 6529,
	REFILL_AMMO_INSTANTLY = 6530,
	MAKE_PED_RELOAD = 6531,
	REQUEST_WEAPON_ASSET = 6532,
	HAS_WEAPON_ASSET_LOADED = 6533,
	REMOVE_WEAPON_ASSET = 6534,
	CREATE_WEAPON_OBJECT = 6535,
	GIVE_WEAPON_COMPONENT_TO_WEAPON_OBJECT = 6536,
	REMOVE_WEAPON_COMPONENT_FROM_WEAPON_OBJECT = 6537,
	HAS_WEAPON_GOT_WEAPON_COMPONENT = 6538,
	GIVE_WEAPON_OBJECT_TO_PED = 6539,
	DOES_WEAPON_TAKE_WEAPON_COMPONENT = 6540,
	GET_WEAPON_OBJECT_FROM_PED = 6541,
	GIVE_LOADOUT_TO_PED = 6542,
	SET_PED_WEAPON_TINT_INDEX = 6543,
	GET_PED_WEAPON_TINT_INDEX = 6544,
	SET_WEAPON_OBJECT_TINT_INDEX = 6545,
	GET_WEAPON_OBJECT_TINT_INDEX = 6546,
	GET_WEAPON_TINT_COUNT = 6547,
	SET_PED_WEAPON_COMPONENT_TINT_INDEX = 6548,
	GET_PED_WEAPON_COMPONENT_TINT_INDEX = 6549,
	SET_WEAPON_OBJECT_COMPONENT_TINT_INDEX = 6550,
	GET_WEAPON_OBJECT_COMPONENT_TINT_INDEX = 6551,
	GET_PED_WEAPON_CAMO_INDEX = 6552,
	SET_WEAPON_OBJECT_CAMO_INDEX = 6553,
	GET_WEAPON_HUD_STATS = 6554,
	GET_WEAPON_COMPONENT_HUD_STATS = 6555,
	GET_WEAPON_DAMAGE = 6556,
	GET_WEAPON_CLIP_SIZE = 6557,
	GET_WEAPON_TIME_BETWEEN_SHOTS = 6558,
	SET_PED_CHANCE_OF_FIRING_BLANKS = 6559,
	SET_PED_SHOOT_ORDNANCE_WEAPON = 6560,
	REQUEST_WEAPON_HIGH_DETAIL_MODEL = 6561,
	_SET_WEAPON_PED_DAMAGE_MODIFIER = 6562,
	SET_WEAPON_DAMAGE_MODIFIER = 6563,
	SET_WEAPON_AOE_MODIFIER = 6564,
	SET_WEAPON_EFFECT_DURATION_MODIFIER = 6565,
	IS_PED_CURRENT_WEAPON_SILENCED = 6566,
	IS_FLASH_LIGHT_ON = 6567,
	SET_FLASH_LIGHT_FADE_DISTANCE = 6568,
	SET_FLASH_LIGHT_ACTIVE_HISTORY = 6569,
	SET_WEAPON_ANIMATION_OVERRIDE = 6570,
	GET_WEAPON_DAMAGE_TYPE = 6571,
	SET_EQIPPED_WEAPON_START_SPINNING_AT_FULL_SPEED = 6572,
	CAN_USE_WEAPON_ON_PARACHUTE = 6573,
	CREATE_AIR_DEFENCE_SPHERE = 6574,
	CREATE_AIR_DEFENCE_ANGLED_AREA = 6575,
	REMOVE_AIR_DEFENCE_SPHERE = 6576,
	REMOVE_ALL_AIR_DEFENCE_SPHERES = 6577,
	SET_PLAYER_TARGETTABLE_FOR_AIR_DEFENCE_SPHERE = 6578,
	IS_AIR_DEFENCE_SPHERE_IN_AREA = 6579,
	FIRE_AIR_DEFENCE_SPHERE_WEAPON_AT_POSITION = 6580,
	DOES_AIR_DEFENCE_SPHERE_EXIST = 6581,
	SET_CAN_PED_SELECT_INVENTORY_WEAPON = 6582,
	SET_CAN_PED_SELECT_ALL_WEAPONS = 6583,
	GET_ZONE_AT_COORDS = 6584,
	GET_ZONE_FROM_NAME_ID = 6585,
	GET_ZONE_POPSCHEDULE = 6586,
	GET_NAME_OF_ZONE = 6587,
	SET_ZONE_ENABLED = 6588,
	GET_ZONE_SCUMMINESS = 6589,
	OVERRIDE_POPSCHEDULE_VEHICLE_MODEL = 6590,
	CLEAR_POPSCHEDULE_OVERRIDE_VEHICLE_MODEL = 6591,
	GET_HASH_OF_MAP_AREA_AT_COORDS = 6592,
};

namespace SYSTEM
{
	FORCEINLINE constexpr void WAIT(int ms) { return big::native_invoker::invoke<0, false, void>(ms); }
	FORCEINLINE constexpr int START_NEW_SCRIPT(const char* scriptName, int stackSize) { return big::native_invoker::invoke<1, false, int>(scriptName, stackSize); }
	FORCEINLINE constexpr int START_NEW_SCRIPT_WITH_ARGS(const char* scriptName, Any* args, int argCount, int stackSize) { return big::native_invoker::invoke<2, false, int>(scriptName, args, argCount, stackSize); }
	FORCEINLINE constexpr int START_NEW_SCRIPT_WITH_NAME_HASH(Hash scriptHash, int stackSize) { return big::native_invoker::invoke<3, false, int>(scriptHash, stackSize); }
	FORCEINLINE constexpr int START_NEW_SCRIPT_WITH_NAME_HASH_AND_ARGS(Hash scriptHash, Any* args, int argCount, int stackSize) { return big::native_invoker::invoke<4, false, int>(scriptHash, args, argCount, stackSize); }
	FORCEINLINE constexpr int TIMERA() { return big::native_invoker::invoke<5, false, int>(); }
	FORCEINLINE constexpr int TIMERB() { return big::native_invoker::invoke<6, false, int>(); }
	FORCEINLINE constexpr void SETTIMERA(int value) { return big::native_invoker::invoke<7, false, void>(value); }
	FORCEINLINE constexpr void SETTIMERB(int value) { return big::native_invoker::invoke<8, false, void>(value); }
	FORCEINLINE constexpr float TIMESTEP() { return big::native_invoker::invoke<9, false, float>(); }
	FORCEINLINE constexpr float SIN(float value) { return big::native_invoker::invoke<10, false, float>(value); }
	FORCEINLINE constexpr float COS(float value) { return big::native_invoker::invoke<11, false, float>(value); }
	FORCEINLINE constexpr float SQRT(float value) { return big::native_invoker::invoke<12, false, float>(value); }
	FORCEINLINE constexpr float POW(float base, float exponent) { return big::native_invoker::invoke<13, false, float>(base, exponent); }
	FORCEINLINE constexpr float LOG10(float value) { return big::native_invoker::invoke<14, false, float>(value); }
	FORCEINLINE constexpr float VMAG(float x, float y, float z) { return big::native_invoker::invoke<15, false, float>(x, y, z); }
	FORCEINLINE constexpr float VMAG2(float x, float y, float z) { return big::native_invoker::invoke<16, false, float>(x, y, z); }
	FORCEINLINE constexpr float VDIST(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<17, false, float>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr float VDIST2(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<18, false, float>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr int SHIFT_LEFT(int value, int bitShift) { return big::native_invoker::invoke<19, false, int>(value, bitShift); }
	FORCEINLINE constexpr int SHIFT_RIGHT(int value, int bitShift) { return big::native_invoker::invoke<20, false, int>(value, bitShift); }
	FORCEINLINE constexpr int FLOOR(float value) { return big::native_invoker::invoke<21, false, int>(value); }
	FORCEINLINE constexpr int CEIL(float value) { return big::native_invoker::invoke<22, false, int>(value); }
	FORCEINLINE constexpr int ROUND(float value) { return big::native_invoker::invoke<23, false, int>(value); }
	FORCEINLINE constexpr float TO_FLOAT(int value) { return big::native_invoker::invoke<24, false, float>(value); }
	FORCEINLINE constexpr void SET_THIS_THREAD_PRIORITY(int priority) { return big::native_invoker::invoke<25, false, void>(priority); }
}

namespace APP
{
	FORCEINLINE constexpr BOOL APP_DATA_VALID() { return big::native_invoker::invoke<26, false, BOOL>(); }
	FORCEINLINE constexpr int APP_GET_INT(const char* property) { return big::native_invoker::invoke<27, false, int>(property); }
	FORCEINLINE constexpr float APP_GET_FLOAT(const char* property) { return big::native_invoker::invoke<28, false, float>(property); }
	FORCEINLINE constexpr const char* APP_GET_STRING(const char* property) { return big::native_invoker::invoke<29, false, const char*>(property); }
	FORCEINLINE constexpr void APP_SET_INT(const char* property, int value) { return big::native_invoker::invoke<30, false, void>(property, value); }
	FORCEINLINE constexpr void APP_SET_FLOAT(const char* property, float value) { return big::native_invoker::invoke<31, false, void>(property, value); }
	FORCEINLINE constexpr void APP_SET_STRING(const char* property, const char* value) { return big::native_invoker::invoke<32, false, void>(property, value); }
	FORCEINLINE constexpr void APP_SET_APP(const char* appName) { return big::native_invoker::invoke<33, false, void>(appName); }
	FORCEINLINE constexpr void APP_SET_BLOCK(const char* blockName) { return big::native_invoker::invoke<34, false, void>(blockName); }
	FORCEINLINE constexpr void APP_CLEAR_BLOCK() { return big::native_invoker::invoke<35, false, void>(); }
	FORCEINLINE constexpr void APP_CLOSE_APP() { return big::native_invoker::invoke<36, false, void>(); }
	FORCEINLINE constexpr void APP_CLOSE_BLOCK() { return big::native_invoker::invoke<37, false, void>(); }
	FORCEINLINE constexpr BOOL APP_HAS_LINKED_SOCIAL_CLUB_ACCOUNT() { return big::native_invoker::invoke<38, false, BOOL>(); }
	FORCEINLINE constexpr BOOL APP_HAS_SYNCED_DATA(const char* appName) { return big::native_invoker::invoke<39, false, BOOL>(appName); }
	FORCEINLINE constexpr void APP_SAVE_DATA() { return big::native_invoker::invoke<40, false, void>(); }
	FORCEINLINE constexpr int APP_GET_DELETED_FILE_STATUS() { return big::native_invoker::invoke<41, false, int>(); }
	FORCEINLINE constexpr BOOL APP_DELETE_APP_DATA(const char* appName) { return big::native_invoker::invoke<42, false, BOOL>(appName); }
}

namespace AUDIO
{
	FORCEINLINE constexpr void PLAY_PED_RINGTONE(const char* ringtoneName, Ped ped, BOOL p2) { return big::native_invoker::invoke<43, false, void>(ringtoneName, ped, p2); }
	FORCEINLINE constexpr BOOL IS_PED_RINGTONE_PLAYING(Ped ped) { return big::native_invoker::invoke<44, false, BOOL>(ped); }
	FORCEINLINE constexpr void STOP_PED_RINGTONE(Ped ped) { return big::native_invoker::invoke<45, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_MOBILE_PHONE_CALL_ONGOING() { return big::native_invoker::invoke<46, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_MOBILE_INTERFERENCE_ACTIVE() { return big::native_invoker::invoke<47, false, BOOL>(); }
	FORCEINLINE constexpr int GET_CURRENT_TV_SHOW_PLAY_TIME() { return big::native_invoker::invoke<48, false, int>(); }
	FORCEINLINE constexpr void CREATE_NEW_SCRIPTED_CONVERSATION() { return big::native_invoker::invoke<49, false, void>(); }
	FORCEINLINE constexpr void ADD_LINE_TO_CONVERSATION(int index, const char* p1, const char* p2, int p3, int p4, BOOL p5, BOOL p6, BOOL p7, BOOL p8, int p9, BOOL p10, BOOL p11, BOOL p12) { return big::native_invoker::invoke<50, false, void>(index, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12); }
	FORCEINLINE constexpr void ADD_PED_TO_CONVERSATION(int index, Ped ped, const char* p2) { return big::native_invoker::invoke<51, false, void>(index, ped, p2); }
	FORCEINLINE constexpr void SET_POSITION_FOR_NULL_CONV_PED(Any p0, float p1, float p2, float p3) { return big::native_invoker::invoke<52, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SET_ENTITY_FOR_NULL_CONV_PED(int p0, Entity entity) { return big::native_invoker::invoke<53, false, void>(p0, entity); }
	FORCEINLINE constexpr void SET_MICROPHONE_POSITION(BOOL toggle, float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3) { return big::native_invoker::invoke<54, false, void>(toggle, x1, y1, z1, x2, y2, z2, x3, y3, z3); }
	FORCEINLINE constexpr void SET_CONVERSATION_AUDIO_CONTROLLED_BY_ANIM(BOOL p0) { return big::native_invoker::invoke<55, false, void>(p0); }
	FORCEINLINE constexpr void SET_CONVERSATION_AUDIO_PLACEHOLDER(BOOL p0) { return big::native_invoker::invoke<56, false, void>(p0); }
	FORCEINLINE constexpr void START_SCRIPT_PHONE_CONVERSATION(BOOL p0, BOOL p1) { return big::native_invoker::invoke<57, false, void>(p0, p1); }
	FORCEINLINE constexpr void PRELOAD_SCRIPT_PHONE_CONVERSATION(BOOL p0, BOOL p1) { return big::native_invoker::invoke<58, false, void>(p0, p1); }
	FORCEINLINE constexpr void START_SCRIPT_CONVERSATION(BOOL p0, BOOL p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<59, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PRELOAD_SCRIPT_CONVERSATION(BOOL p0, BOOL p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<60, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void START_PRELOADED_CONVERSATION() { return big::native_invoker::invoke<61, false, void>(); }
	FORCEINLINE constexpr BOOL GET_IS_PRELOADED_CONVERSATION_READY() { return big::native_invoker::invoke<62, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCRIPTED_CONVERSATION_ONGOING() { return big::native_invoker::invoke<63, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCRIPTED_CONVERSATION_LOADED() { return big::native_invoker::invoke<64, false, BOOL>(); }
	FORCEINLINE constexpr int GET_CURRENT_SCRIPTED_CONVERSATION_LINE() { return big::native_invoker::invoke<65, false, int>(); }
	FORCEINLINE constexpr void PAUSE_SCRIPTED_CONVERSATION(BOOL p0) { return big::native_invoker::invoke<66, false, void>(p0); }
	FORCEINLINE constexpr void RESTART_SCRIPTED_CONVERSATION() { return big::native_invoker::invoke<67, false, void>(); }
	FORCEINLINE constexpr int STOP_SCRIPTED_CONVERSATION(BOOL p0) { return big::native_invoker::invoke<68, false, int>(p0); }
	FORCEINLINE constexpr void SKIP_TO_NEXT_SCRIPTED_CONVERSATION_LINE() { return big::native_invoker::invoke<69, false, void>(); }
	FORCEINLINE constexpr void INTERRUPT_CONVERSATION(Ped ped, const char* voiceline, const char* speaker) { return big::native_invoker::invoke<70, false, void>(ped, voiceline, speaker); }
	FORCEINLINE constexpr void INTERRUPT_CONVERSATION_AND_PAUSE(Ped ped, const char* p1, const char* speaker) { return big::native_invoker::invoke<71, false, void>(ped, p1, speaker); }
	FORCEINLINE constexpr int GET_VARIATION_CHOSEN_FOR_SCRIPTED_LINE(Any* p0) { return big::native_invoker::invoke<72, false, int>(p0); }
	FORCEINLINE constexpr void SET_NO_DUCKING_FOR_CONVERSATION(BOOL p0) { return big::native_invoker::invoke<73, false, void>(p0); }
	FORCEINLINE constexpr void REGISTER_SCRIPT_WITH_AUDIO(int p0) { return big::native_invoker::invoke<74, false, void>(p0); }
	FORCEINLINE constexpr void UNREGISTER_SCRIPT_WITH_AUDIO() { return big::native_invoker::invoke<75, false, void>(); }
	FORCEINLINE constexpr BOOL REQUEST_MISSION_AUDIO_BANK(const char* audioBank, BOOL p1, Any p2) { return big::native_invoker::invoke<76, false, BOOL>(audioBank, p1, p2); }
	FORCEINLINE constexpr BOOL REQUEST_AMBIENT_AUDIO_BANK(const char* audioBank, BOOL p1, Any p2) { return big::native_invoker::invoke<77, false, BOOL>(audioBank, p1, p2); }
	FORCEINLINE constexpr BOOL REQUEST_SCRIPT_AUDIO_BANK(const char* audioBank, BOOL p1, Any p2) { return big::native_invoker::invoke<78, false, BOOL>(audioBank, p1, p2); }
	FORCEINLINE constexpr BOOL HINT_MISSION_AUDIO_BANK(const char* audioBank, BOOL p1, Any p2) { return big::native_invoker::invoke<79, false, BOOL>(audioBank, p1, p2); }
	FORCEINLINE constexpr BOOL HINT_AMBIENT_AUDIO_BANK(const char* audioBank, BOOL p1, Any p2) { return big::native_invoker::invoke<80, false, BOOL>(audioBank, p1, p2); }
	FORCEINLINE constexpr BOOL HINT_SCRIPT_AUDIO_BANK(const char* audioBank, BOOL p1, Any p2) { return big::native_invoker::invoke<81, false, BOOL>(audioBank, p1, p2); }
	FORCEINLINE constexpr void RELEASE_MISSION_AUDIO_BANK() { return big::native_invoker::invoke<82, false, void>(); }
	FORCEINLINE constexpr void RELEASE_AMBIENT_AUDIO_BANK() { return big::native_invoker::invoke<83, false, void>(); }
	FORCEINLINE constexpr void RELEASE_NAMED_SCRIPT_AUDIO_BANK(const char* audioBank) { return big::native_invoker::invoke<84, false, void>(audioBank); }
	FORCEINLINE constexpr void RELEASE_SCRIPT_AUDIO_BANK() { return big::native_invoker::invoke<85, false, void>(); }
	FORCEINLINE constexpr void UNHINT_AMBIENT_AUDIO_BANK() { return big::native_invoker::invoke<86, false, void>(); }
	FORCEINLINE constexpr void UNHINT_SCRIPT_AUDIO_BANK() { return big::native_invoker::invoke<87, false, void>(); }
	FORCEINLINE constexpr void UNHINT_NAMED_SCRIPT_AUDIO_BANK(const char* audioBank) { return big::native_invoker::invoke<88, false, void>(audioBank); }
	FORCEINLINE constexpr int GET_SOUND_ID() { return big::native_invoker::invoke<89, false, int>(); }
	FORCEINLINE constexpr void RELEASE_SOUND_ID(int soundId) { return big::native_invoker::invoke<90, false, void>(soundId); }
	FORCEINLINE constexpr void PLAY_SOUND(int soundId, const char* audioName, const char* audioRef, BOOL p3, Any p4, BOOL p5) { return big::native_invoker::invoke<91, false, void>(soundId, audioName, audioRef, p3, p4, p5); }
	FORCEINLINE constexpr void PLAY_SOUND_FRONTEND(int soundId, const char* audioName, const char* audioRef, BOOL p3) { return big::native_invoker::invoke<92, false, void>(soundId, audioName, audioRef, p3); }
	FORCEINLINE constexpr void PLAY_DEFERRED_SOUND_FRONTEND(const char* soundName, const char* soundsetName) { return big::native_invoker::invoke<93, false, void>(soundName, soundsetName); }
	FORCEINLINE constexpr void PLAY_SOUND_FROM_ENTITY(int soundId, const char* audioName, Entity entity, const char* audioRef, BOOL isNetwork, Any p5) { return big::native_invoker::invoke<94, false, void>(soundId, audioName, entity, audioRef, isNetwork, p5); }
	FORCEINLINE constexpr void PLAY_SOUND_FROM_ENTITY_HASH(int soundId, Hash model, Entity entity, Hash soundSetHash, Any p4, Any p5) { return big::native_invoker::invoke<95, false, void>(soundId, model, entity, soundSetHash, p4, p5); }
	FORCEINLINE constexpr void PLAY_SOUND_FROM_COORD(int soundId, const char* audioName, float x, float y, float z, const char* audioRef, BOOL isNetwork, int range, BOOL p8) { return big::native_invoker::invoke<96, false, void>(soundId, audioName, x, y, z, audioRef, isNetwork, range, p8); }
	FORCEINLINE constexpr void UPDATE_SOUND_COORD(int soundId, float x, float y, float z) { return big::native_invoker::invoke<97, false, void>(soundId, x, y, z); }
	FORCEINLINE constexpr void STOP_SOUND(int soundId) { return big::native_invoker::invoke<98, false, void>(soundId); }
	FORCEINLINE constexpr int GET_NETWORK_ID_FROM_SOUND_ID(int soundId) { return big::native_invoker::invoke<99, false, int>(soundId); }
	FORCEINLINE constexpr int GET_SOUND_ID_FROM_NETWORK_ID(int netId) { return big::native_invoker::invoke<100, false, int>(netId); }
	FORCEINLINE constexpr void SET_VARIABLE_ON_SOUND(int soundId, const char* variable, float p2) { return big::native_invoker::invoke<101, false, void>(soundId, variable, p2); }
	FORCEINLINE constexpr void SET_VARIABLE_ON_STREAM(const char* variable, float p1) { return big::native_invoker::invoke<102, false, void>(variable, p1); }
	FORCEINLINE constexpr void OVERRIDE_UNDERWATER_STREAM(const char* p0, BOOL p1) { return big::native_invoker::invoke<103, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_VARIABLE_ON_UNDER_WATER_STREAM(const char* variableName, float value) { return big::native_invoker::invoke<104, false, void>(variableName, value); }
	FORCEINLINE constexpr BOOL HAS_SOUND_FINISHED(int soundId) { return big::native_invoker::invoke<105, false, BOOL>(soundId); }
	FORCEINLINE constexpr void PLAY_PED_AMBIENT_SPEECH_NATIVE(Ped ped, const char* speechName, const char* speechParam, Any p3) { return big::native_invoker::invoke<106, false, void>(ped, speechName, speechParam, p3); }
	FORCEINLINE constexpr void PLAY_PED_AMBIENT_SPEECH_AND_CLONE_NATIVE(Ped ped, const char* speechName, const char* speechParam, Any p3) { return big::native_invoker::invoke<107, false, void>(ped, speechName, speechParam, p3); }
	FORCEINLINE constexpr void PLAY_PED_AMBIENT_SPEECH_WITH_VOICE_NATIVE(Ped ped, const char* speechName, const char* voiceName, const char* speechParam, BOOL p4) { return big::native_invoker::invoke<108, false, void>(ped, speechName, voiceName, speechParam, p4); }
	FORCEINLINE constexpr void PLAY_AMBIENT_SPEECH_FROM_POSITION_NATIVE(const char* speechName, const char* voiceName, float x, float y, float z, const char* speechParam) { return big::native_invoker::invoke<109, false, void>(speechName, voiceName, x, y, z, speechParam); }
	FORCEINLINE constexpr void OVERRIDE_TREVOR_RAGE(const char* voiceEffect) { return big::native_invoker::invoke<110, false, void>(voiceEffect); }
	FORCEINLINE constexpr void RESET_TREVOR_RAGE() { return big::native_invoker::invoke<111, false, void>(); }
	FORCEINLINE constexpr void SET_PLAYER_ANGRY(Ped ped, BOOL toggle) { return big::native_invoker::invoke<112, false, void>(ped, toggle); }
	FORCEINLINE constexpr void PLAY_PAIN(Ped ped, int painID, int p1, Any p3) { return big::native_invoker::invoke<113, false, void>(ped, painID, p1, p3); }
	FORCEINLINE constexpr void RELEASE_WEAPON_AUDIO() { return big::native_invoker::invoke<114, false, void>(); }
	FORCEINLINE constexpr void ACTIVATE_AUDIO_SLOWMO_MODE(const char* mode) { return big::native_invoker::invoke<115, false, void>(mode); }
	FORCEINLINE constexpr void DEACTIVATE_AUDIO_SLOWMO_MODE(const char* mode) { return big::native_invoker::invoke<116, false, void>(mode); }
	FORCEINLINE constexpr void SET_AMBIENT_VOICE_NAME(Ped ped, const char* name) { return big::native_invoker::invoke<117, false, void>(ped, name); }
	FORCEINLINE constexpr void SET_AMBIENT_VOICE_NAME_HASH(Ped ped, Hash hash) { return big::native_invoker::invoke<118, false, void>(ped, hash); }
	FORCEINLINE constexpr Hash GET_AMBIENT_VOICE_NAME_HASH(Ped ped) { return big::native_invoker::invoke<119, false, Hash>(ped); }
	FORCEINLINE constexpr void SET_PED_VOICE_FULL(Ped ped) { return big::native_invoker::invoke<120, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_RACE_AND_VOICE_GROUP(Ped ped, int p1, Hash voiceGroup) { return big::native_invoker::invoke<121, false, void>(ped, p1, voiceGroup); }
	FORCEINLINE constexpr void SET_PED_VOICE_GROUP(Ped ped, Hash voiceGroupHash) { return big::native_invoker::invoke<122, false, void>(ped, voiceGroupHash); }
	FORCEINLINE constexpr void SET_PED_VOICE_GROUP_FROM_RACE_TO_PVG(Ped ped, Hash voiceGroupHash) { return big::native_invoker::invoke<123, false, void>(ped, voiceGroupHash); }
	FORCEINLINE constexpr void SET_PED_GENDER(Ped ped, BOOL p1) { return big::native_invoker::invoke<124, false, void>(ped, p1); }
	FORCEINLINE constexpr void STOP_CURRENT_PLAYING_SPEECH(Ped ped) { return big::native_invoker::invoke<125, false, void>(ped); }
	FORCEINLINE constexpr void STOP_CURRENT_PLAYING_AMBIENT_SPEECH(Ped ped) { return big::native_invoker::invoke<126, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_AMBIENT_SPEECH_PLAYING(Ped ped) { return big::native_invoker::invoke<127, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_SCRIPTED_SPEECH_PLAYING(Ped p0) { return big::native_invoker::invoke<128, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL IS_ANY_SPEECH_PLAYING(Ped ped) { return big::native_invoker::invoke<129, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_ANY_POSITIONAL_SPEECH_PLAYING() { return big::native_invoker::invoke<130, false, BOOL>(); }
	FORCEINLINE constexpr BOOL DOES_CONTEXT_EXIST_FOR_THIS_PED(Ped ped, const char* speechName, BOOL p2) { return big::native_invoker::invoke<131, false, BOOL>(ped, speechName, p2); }
	FORCEINLINE constexpr BOOL IS_PED_IN_CURRENT_CONVERSATION(Ped ped) { return big::native_invoker::invoke<132, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_IS_DRUNK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<133, false, void>(ped, toggle); }
	FORCEINLINE constexpr void PLAY_ANIMAL_VOCALIZATION(Ped pedHandle, int p1, const char* speechName) { return big::native_invoker::invoke<134, false, void>(pedHandle, p1, speechName); }
	FORCEINLINE constexpr BOOL IS_ANIMAL_VOCALIZATION_PLAYING(Ped pedHandle) { return big::native_invoker::invoke<135, false, BOOL>(pedHandle); }
	FORCEINLINE constexpr void SET_ANIMAL_MOOD(Ped animal, int mood) { return big::native_invoker::invoke<136, false, void>(animal, mood); }
	FORCEINLINE constexpr BOOL IS_MOBILE_PHONE_RADIO_ACTIVE() { return big::native_invoker::invoke<137, false, BOOL>(); }
	FORCEINLINE constexpr void SET_MOBILE_PHONE_RADIO_STATE(BOOL state) { return big::native_invoker::invoke<138, false, void>(state); }
	FORCEINLINE constexpr int GET_PLAYER_RADIO_STATION_INDEX() { return big::native_invoker::invoke<139, false, int>(); }
	FORCEINLINE constexpr const char* GET_PLAYER_RADIO_STATION_NAME() { return big::native_invoker::invoke<140, false, const char*>(); }
	FORCEINLINE constexpr const char* GET_RADIO_STATION_NAME(int radioStation) { return big::native_invoker::invoke<141, false, const char*>(radioStation); }
	FORCEINLINE constexpr int GET_PLAYER_RADIO_STATION_GENRE() { return big::native_invoker::invoke<142, false, int>(); }
	FORCEINLINE constexpr BOOL IS_RADIO_RETUNING() { return big::native_invoker::invoke<143, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_RADIO_FADED_OUT() { return big::native_invoker::invoke<144, false, BOOL>(); }
	FORCEINLINE constexpr void SET_RADIO_RETUNE_UP() { return big::native_invoker::invoke<145, false, void>(); }
	FORCEINLINE constexpr void SET_RADIO_RETUNE_DOWN() { return big::native_invoker::invoke<146, false, void>(); }
	FORCEINLINE constexpr void SET_RADIO_TO_STATION_NAME(const char* stationName) { return big::native_invoker::invoke<147, false, void>(stationName); }
	FORCEINLINE constexpr void SET_VEH_RADIO_STATION(Vehicle vehicle, const char* radioStation) { return big::native_invoker::invoke<148, false, void>(vehicle, radioStation); }
	FORCEINLINE constexpr void SET_VEH_HAS_NORMAL_RADIO(Vehicle vehicle) { return big::native_invoker::invoke<149, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_RADIO_ON(Vehicle vehicle) { return big::native_invoker::invoke<150, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEH_FORCED_RADIO_THIS_FRAME(Vehicle vehicle) { return big::native_invoker::invoke<151, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_EMITTER_RADIO_STATION(const char* emitterName, const char* radioStation, Any p2) { return big::native_invoker::invoke<152, false, void>(emitterName, radioStation, p2); }
	FORCEINLINE constexpr void SET_STATIC_EMITTER_ENABLED(const char* emitterName, BOOL toggle) { return big::native_invoker::invoke<153, false, void>(emitterName, toggle); }
	FORCEINLINE constexpr void LINK_STATIC_EMITTER_TO_ENTITY(const char* emitterName, Entity entity) { return big::native_invoker::invoke<154, false, void>(emitterName, entity); }
	FORCEINLINE constexpr void SET_RADIO_TO_STATION_INDEX(int radioStation) { return big::native_invoker::invoke<155, false, void>(radioStation); }
	FORCEINLINE constexpr void SET_FRONTEND_RADIO_ACTIVE(BOOL active) { return big::native_invoker::invoke<156, false, void>(active); }
	FORCEINLINE constexpr void UNLOCK_MISSION_NEWS_STORY(int newsStory) { return big::native_invoker::invoke<157, false, void>(newsStory); }
	FORCEINLINE constexpr BOOL IS_MISSION_NEWS_STORY_UNLOCKED(int newsStory) { return big::native_invoker::invoke<158, false, BOOL>(newsStory); }
	FORCEINLINE constexpr int GET_AUDIBLE_MUSIC_TRACK_TEXT_ID() { return big::native_invoker::invoke<159, false, int>(); }
	FORCEINLINE constexpr void PLAY_END_CREDITS_MUSIC(BOOL play) { return big::native_invoker::invoke<160, false, void>(play); }
	FORCEINLINE constexpr void SKIP_RADIO_FORWARD() { return big::native_invoker::invoke<161, false, void>(); }
	FORCEINLINE constexpr void FREEZE_RADIO_STATION(const char* radioStation) { return big::native_invoker::invoke<162, false, void>(radioStation); }
	FORCEINLINE constexpr void UNFREEZE_RADIO_STATION(const char* radioStation) { return big::native_invoker::invoke<163, false, void>(radioStation); }
	FORCEINLINE constexpr void SET_RADIO_AUTO_UNFREEZE(BOOL toggle) { return big::native_invoker::invoke<164, false, void>(toggle); }
	FORCEINLINE constexpr void SET_INITIAL_PLAYER_STATION(const char* radioStation) { return big::native_invoker::invoke<165, false, void>(radioStation); }
	FORCEINLINE constexpr void SET_USER_RADIO_CONTROL_ENABLED(BOOL toggle) { return big::native_invoker::invoke<166, false, void>(toggle); }
	FORCEINLINE constexpr void SET_RADIO_TRACK(const char* radioStation, const char* radioTrack) { return big::native_invoker::invoke<167, false, void>(radioStation, radioTrack); }
	FORCEINLINE constexpr void SET_RADIO_TRACK_WITH_START_OFFSET(const char* radioStationName, const char* mixName, int p2) { return big::native_invoker::invoke<168, false, void>(radioStationName, mixName, p2); }
	FORCEINLINE constexpr void SET_NEXT_RADIO_TRACK(const char* radioName, const char* radioTrack, const char* p2, const char* p3) { return big::native_invoker::invoke<169, false, void>(radioName, radioTrack, p2, p3); }
	FORCEINLINE constexpr void SET_VEHICLE_RADIO_LOUD(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<170, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL CAN_VEHICLE_RECEIVE_CB_RADIO(Vehicle vehicle) { return big::native_invoker::invoke<171, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_MOBILE_RADIO_ENABLED_DURING_GAMEPLAY(BOOL toggle) { return big::native_invoker::invoke<172, false, void>(toggle); }
	FORCEINLINE constexpr BOOL DOES_PLAYER_VEH_HAVE_RADIO() { return big::native_invoker::invoke<173, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_VEH_RADIO_ENABLE() { return big::native_invoker::invoke<174, false, BOOL>(); }
	FORCEINLINE constexpr void SET_VEHICLE_RADIO_ENABLED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<175, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_POSITIONED_PLAYER_VEHICLE_RADIO_EMITTER_ENABLED(Any p0) { return big::native_invoker::invoke<176, false, void>(p0); }
	FORCEINLINE constexpr void SET_CUSTOM_RADIO_TRACK_LIST(const char* radioStation, const char* trackListName, BOOL p2) { return big::native_invoker::invoke<177, false, void>(radioStation, trackListName, p2); }
	FORCEINLINE constexpr void CLEAR_CUSTOM_RADIO_TRACK_LIST(const char* radioStation) { return big::native_invoker::invoke<178, false, void>(radioStation); }
	FORCEINLINE constexpr int GET_NUM_UNLOCKED_RADIO_STATIONS() { return big::native_invoker::invoke<179, false, int>(); }
	FORCEINLINE constexpr int FIND_RADIO_STATION_INDEX(Hash stationNameHash) { return big::native_invoker::invoke<180, false, int>(stationNameHash); }
	FORCEINLINE constexpr void SET_RADIO_STATION_MUSIC_ONLY(const char* radioStation, BOOL toggle) { return big::native_invoker::invoke<181, false, void>(radioStation, toggle); }
	FORCEINLINE constexpr void SET_RADIO_FRONTEND_FADE_TIME(float fadeTime) { return big::native_invoker::invoke<182, false, void>(fadeTime); }
	FORCEINLINE constexpr void UNLOCK_RADIO_STATION_TRACK_LIST(const char* radioStation, const char* trackListName) { return big::native_invoker::invoke<183, false, void>(radioStation, trackListName); }
	FORCEINLINE constexpr void LOCK_RADIO_STATION_TRACK_LIST(const char* radioStation, const char* trackListName) { return big::native_invoker::invoke<184, false, void>(radioStation, trackListName); }
	FORCEINLINE constexpr void UPDATE_UNLOCKABLE_DJ_RADIO_TRACKS(BOOL enableMixes) { return big::native_invoker::invoke<185, false, void>(enableMixes); }
	FORCEINLINE constexpr void LOCK_RADIO_STATION(const char* radioStationName, BOOL toggle) { return big::native_invoker::invoke<186, false, void>(radioStationName, toggle); }
	FORCEINLINE constexpr void SET_RADIO_STATION_AS_FAVOURITE(const char* radioStation, BOOL toggle) { return big::native_invoker::invoke<187, false, void>(radioStation, toggle); }
	FORCEINLINE constexpr BOOL IS_RADIO_STATION_FAVOURITED(const char* radioStation) { return big::native_invoker::invoke<188, false, BOOL>(radioStation); }
	FORCEINLINE constexpr BOOL GET_NEXT_AUDIBLE_BEAT(float* out1, float* out2, int* out3) { return big::native_invoker::invoke<189, false, BOOL>(out1, out2, out3); }
	FORCEINLINE constexpr void FORCE_MUSIC_TRACK_LIST(const char* radioStation, const char* trackListName, int milliseconds) { return big::native_invoker::invoke<190, false, void>(radioStation, trackListName, milliseconds); }
	FORCEINLINE constexpr int GET_CURRENT_TRACK_PLAY_TIME(const char* radioStationName) { return big::native_invoker::invoke<191, false, int>(radioStationName); }
	FORCEINLINE constexpr Hash GET_CURRENT_TRACK_SOUND_NAME(const char* radioStationName) { return big::native_invoker::invoke<192, false, Hash>(radioStationName); }
	FORCEINLINE constexpr void SET_VEHICLE_MISSILE_WARNING_ENABLED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<193, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_AMBIENT_ZONE_STATE(const char* zoneName, BOOL p1, BOOL p2) { return big::native_invoker::invoke<194, false, void>(zoneName, p1, p2); }
	FORCEINLINE constexpr void CLEAR_AMBIENT_ZONE_STATE(const char* zoneName, BOOL p1) { return big::native_invoker::invoke<195, false, void>(zoneName, p1); }
	FORCEINLINE constexpr void SET_AMBIENT_ZONE_LIST_STATE(const char* ambientZone, BOOL p1, BOOL p2) { return big::native_invoker::invoke<196, false, void>(ambientZone, p1, p2); }
	FORCEINLINE constexpr void CLEAR_AMBIENT_ZONE_LIST_STATE(const char* ambientZone, BOOL p1) { return big::native_invoker::invoke<197, false, void>(ambientZone, p1); }
	FORCEINLINE constexpr void SET_AMBIENT_ZONE_STATE_PERSISTENT(const char* ambientZone, BOOL p1, BOOL p2) { return big::native_invoker::invoke<198, false, void>(ambientZone, p1, p2); }
	FORCEINLINE constexpr void SET_AMBIENT_ZONE_LIST_STATE_PERSISTENT(const char* ambientZone, BOOL p1, BOOL p2) { return big::native_invoker::invoke<199, false, void>(ambientZone, p1, p2); }
	FORCEINLINE constexpr BOOL IS_AMBIENT_ZONE_ENABLED(const char* ambientZone) { return big::native_invoker::invoke<200, false, BOOL>(ambientZone); }
	FORCEINLINE constexpr void REFRESH_CLOSEST_OCEAN_SHORELINE() { return big::native_invoker::invoke<201, false, void>(); }
	FORCEINLINE constexpr void SET_CUTSCENE_AUDIO_OVERRIDE(const char* name) { return big::native_invoker::invoke<202, false, void>(name); }
	FORCEINLINE constexpr void SET_VARIABLE_ON_SYNCH_SCENE_AUDIO(const char* variableName, float value) { return big::native_invoker::invoke<203, false, void>(variableName, value); }
	FORCEINLINE constexpr int PLAY_POLICE_REPORT(const char* name, float p1) { return big::native_invoker::invoke<204, false, int>(name, p1); }
	FORCEINLINE constexpr void CANCEL_ALL_POLICE_REPORTS() { return big::native_invoker::invoke<205, false, void>(); }
	FORCEINLINE constexpr void BLIP_SIREN(Vehicle vehicle) { return big::native_invoker::invoke<206, false, void>(vehicle); }
	FORCEINLINE constexpr void OVERRIDE_VEH_HORN(Vehicle vehicle, BOOL override, int hornHash) { return big::native_invoker::invoke<207, false, void>(vehicle, override, hornHash); }
	FORCEINLINE constexpr BOOL IS_HORN_ACTIVE(Vehicle vehicle) { return big::native_invoker::invoke<208, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_AGGRESSIVE_HORNS(BOOL toggle) { return big::native_invoker::invoke<209, false, void>(toggle); }
	FORCEINLINE constexpr void SET_RADIO_POSITION_AUDIO_MUTE(BOOL p0) { return big::native_invoker::invoke<210, false, void>(p0); }
	FORCEINLINE constexpr void SET_VEHICLE_CONVERSATIONS_PERSIST(BOOL p0, BOOL p1) { return big::native_invoker::invoke<211, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_CONVERSATIONS_PERSIST_NEW(BOOL p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<212, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL IS_STREAM_PLAYING() { return big::native_invoker::invoke<213, false, BOOL>(); }
	FORCEINLINE constexpr int GET_STREAM_PLAY_TIME() { return big::native_invoker::invoke<214, false, int>(); }
	FORCEINLINE constexpr BOOL LOAD_STREAM(const char* streamName, const char* soundSet) { return big::native_invoker::invoke<215, false, BOOL>(streamName, soundSet); }
	FORCEINLINE constexpr BOOL LOAD_STREAM_WITH_START_OFFSET(const char* streamName, int startOffset, const char* soundSet) { return big::native_invoker::invoke<216, false, BOOL>(streamName, startOffset, soundSet); }
	FORCEINLINE constexpr void PLAY_STREAM_FROM_PED(Ped ped) { return big::native_invoker::invoke<217, false, void>(ped); }
	FORCEINLINE constexpr void PLAY_STREAM_FROM_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<218, false, void>(vehicle); }
	FORCEINLINE constexpr void PLAY_STREAM_FROM_OBJECT(Object object) { return big::native_invoker::invoke<219, false, void>(object); }
	FORCEINLINE constexpr void PLAY_STREAM_FRONTEND() { return big::native_invoker::invoke<220, false, void>(); }
	FORCEINLINE constexpr void PLAY_STREAM_FROM_POSITION(float x, float y, float z) { return big::native_invoker::invoke<221, false, void>(x, y, z); }
	FORCEINLINE constexpr void STOP_STREAM() { return big::native_invoker::invoke<222, false, void>(); }
	FORCEINLINE constexpr void STOP_PED_SPEAKING(Ped ped, BOOL shaking) { return big::native_invoker::invoke<223, false, void>(ped, shaking); }
	FORCEINLINE constexpr void BLOCK_ALL_SPEECH_FROM_PED(Ped ped, BOOL p1, BOOL p2) { return big::native_invoker::invoke<224, false, void>(ped, p1, p2); }
	FORCEINLINE constexpr void STOP_PED_SPEAKING_SYNCED(Ped ped, BOOL p1) { return big::native_invoker::invoke<225, false, void>(ped, p1); }
	FORCEINLINE constexpr void DISABLE_PED_PAIN_AUDIO(Ped ped, BOOL toggle) { return big::native_invoker::invoke<226, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_AMBIENT_SPEECH_DISABLED(Ped ped) { return big::native_invoker::invoke<227, false, BOOL>(ped); }
	FORCEINLINE constexpr void BLOCK_SPEECH_CONTEXT_GROUP(const char* p0, int p1) { return big::native_invoker::invoke<228, false, void>(p0, p1); }
	FORCEINLINE constexpr void UNBLOCK_SPEECH_CONTEXT_GROUP(const char* p0) { return big::native_invoker::invoke<229, false, void>(p0); }
	FORCEINLINE constexpr void SET_SIREN_WITH_NO_DRIVER(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<230, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_SIREN_BYPASS_MP_DRIVER_CHECK(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<231, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void TRIGGER_SIREN_AUDIO(Vehicle vehicle) { return big::native_invoker::invoke<232, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_HORN_PERMANENTLY_ON(Vehicle vehicle) { return big::native_invoker::invoke<233, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_HORN_ENABLED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<234, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_AUDIO_VEHICLE_PRIORITY(Vehicle vehicle, Any p1) { return big::native_invoker::invoke<235, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_HORN_PERMANENTLY_ON_TIME(Vehicle vehicle, float time) { return big::native_invoker::invoke<236, false, void>(vehicle, time); }
	FORCEINLINE constexpr void USE_SIREN_AS_HORN(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<237, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void FORCE_USE_AUDIO_GAME_OBJECT(Vehicle vehicle, const char* audioName) { return big::native_invoker::invoke<238, false, void>(vehicle, audioName); }
	FORCEINLINE constexpr void PRELOAD_VEHICLE_AUDIO_BANK(Hash vehicleModel) { return big::native_invoker::invoke<239, false, void>(vehicleModel); }
	FORCEINLINE constexpr void SET_VEHICLE_STARTUP_REV_SOUND(Vehicle vehicle, const char* p1, const char* p2) { return big::native_invoker::invoke<240, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr void RESET_VEHICLE_STARTUP_REV_SOUND(Vehicle vehicle) { return big::native_invoker::invoke<241, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_FORCE_REVERSE_WARNING(Any p0, Any p1) { return big::native_invoker::invoke<242, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_AUDIBLY_DAMAGED(Vehicle vehicle) { return big::native_invoker::invoke<243, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_AUDIO_ENGINE_DAMAGE_FACTOR(Vehicle vehicle, float damageFactor) { return big::native_invoker::invoke<244, false, void>(vehicle, damageFactor); }
	FORCEINLINE constexpr void SET_VEHICLE_AUDIO_BODY_DAMAGE_FACTOR(Vehicle vehicle, float intensity) { return big::native_invoker::invoke<245, false, void>(vehicle, intensity); }
	FORCEINLINE constexpr void _FORCE_VEHICLE_ENGINE_SYNTH(Vehicle vehicle, BOOL force) { return big::native_invoker::invoke<246, false, void>(vehicle, force); }
	FORCEINLINE constexpr void ENABLE_VEHICLE_FANBELT_DAMAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<247, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void ENABLE_VEHICLE_EXHAUST_POPS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<248, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_BOOST_ACTIVE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<249, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_VEHICLE_ALARM_AUDIO_ACTIVE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<250, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_SCRIPT_UPDATE_DOOR_AUDIO(Hash doorHash, BOOL toggle) { return big::native_invoker::invoke<251, false, void>(doorHash, toggle); }
	FORCEINLINE constexpr void PLAY_VEHICLE_DOOR_OPEN_SOUND(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<252, false, void>(vehicle, doorId); }
	FORCEINLINE constexpr void PLAY_VEHICLE_DOOR_CLOSE_SOUND(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<253, false, void>(vehicle, doorId); }
	FORCEINLINE constexpr void ENABLE_STALL_WARNING_SOUNDS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<254, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void _ENABLE_DRAG_RACE_STATIONARY_WARNING_SOUNDS(Vehicle vehicle, BOOL enable) { return big::native_invoker::invoke<255, false, void>(vehicle, enable); }
	FORCEINLINE constexpr BOOL IS_GAME_IN_CONTROL_OF_MUSIC() { return big::native_invoker::invoke<256, false, BOOL>(); }
	FORCEINLINE constexpr void SET_GPS_ACTIVE(BOOL active) { return big::native_invoker::invoke<257, false, void>(active); }
	FORCEINLINE constexpr void PLAY_MISSION_COMPLETE_AUDIO(const char* audioName) { return big::native_invoker::invoke<258, false, void>(audioName); }
	FORCEINLINE constexpr BOOL IS_MISSION_COMPLETE_PLAYING() { return big::native_invoker::invoke<259, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_MISSION_COMPLETE_READY_FOR_UI() { return big::native_invoker::invoke<260, false, BOOL>(); }
	FORCEINLINE constexpr void BLOCK_DEATH_JINGLE(BOOL toggle) { return big::native_invoker::invoke<261, false, void>(toggle); }
	FORCEINLINE constexpr BOOL START_AUDIO_SCENE(const char* scene) { return big::native_invoker::invoke<262, false, BOOL>(scene); }
	FORCEINLINE constexpr void STOP_AUDIO_SCENE(const char* scene) { return big::native_invoker::invoke<263, false, void>(scene); }
	FORCEINLINE constexpr void STOP_AUDIO_SCENES() { return big::native_invoker::invoke<264, false, void>(); }
	FORCEINLINE constexpr BOOL IS_AUDIO_SCENE_ACTIVE(const char* scene) { return big::native_invoker::invoke<265, false, BOOL>(scene); }
	FORCEINLINE constexpr void SET_AUDIO_SCENE_VARIABLE(const char* scene, const char* variable, float value) { return big::native_invoker::invoke<266, false, void>(scene, variable, value); }
	FORCEINLINE constexpr void SET_AUDIO_SCRIPT_CLEANUP_TIME(int time) { return big::native_invoker::invoke<267, false, void>(time); }
	FORCEINLINE constexpr void ADD_ENTITY_TO_AUDIO_MIX_GROUP(Entity entity, const char* groupName, float p2) { return big::native_invoker::invoke<268, false, void>(entity, groupName, p2); }
	FORCEINLINE constexpr void REMOVE_ENTITY_FROM_AUDIO_MIX_GROUP(Entity entity, float p1) { return big::native_invoker::invoke<269, false, void>(entity, p1); }
	FORCEINLINE constexpr BOOL AUDIO_IS_MUSIC_PLAYING() { return big::native_invoker::invoke<270, false, BOOL>(); }
	FORCEINLINE constexpr BOOL AUDIO_IS_SCRIPTED_MUSIC_PLAYING() { return big::native_invoker::invoke<271, false, BOOL>(); }
	FORCEINLINE constexpr BOOL PREPARE_MUSIC_EVENT(const char* eventName) { return big::native_invoker::invoke<272, false, BOOL>(eventName); }
	FORCEINLINE constexpr BOOL CANCEL_MUSIC_EVENT(const char* eventName) { return big::native_invoker::invoke<273, false, BOOL>(eventName); }
	FORCEINLINE constexpr BOOL TRIGGER_MUSIC_EVENT(const char* eventName) { return big::native_invoker::invoke<274, false, BOOL>(eventName); }
	FORCEINLINE constexpr BOOL IS_MUSIC_ONESHOT_PLAYING() { return big::native_invoker::invoke<275, false, BOOL>(); }
	FORCEINLINE constexpr int GET_MUSIC_PLAYTIME() { return big::native_invoker::invoke<276, false, int>(); }
	FORCEINLINE constexpr void SET_GLOBAL_RADIO_SIGNAL_LEVEL(Any p0) { return big::native_invoker::invoke<277, false, void>(p0); }
	FORCEINLINE constexpr void RECORD_BROKEN_GLASS(float x, float y, float z, float radius) { return big::native_invoker::invoke<278, false, void>(x, y, z, radius); }
	FORCEINLINE constexpr void CLEAR_ALL_BROKEN_GLASS() { return big::native_invoker::invoke<279, false, void>(); }
	FORCEINLINE constexpr void SCRIPT_OVERRIDES_WIND_ELEVATION(BOOL p0, Any p1) { return big::native_invoker::invoke<280, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_WALLA_DENSITY(float p0, float p1) { return big::native_invoker::invoke<281, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_INTERIOR_WALLA_DENSITY(float p0, float p1) { return big::native_invoker::invoke<282, false, void>(p0, p1); }
	FORCEINLINE constexpr void FORCE_PED_PANIC_WALLA() { return big::native_invoker::invoke<283, false, void>(); }
	FORCEINLINE constexpr BOOL PREPARE_ALARM(const char* alarmName) { return big::native_invoker::invoke<284, false, BOOL>(alarmName); }
	FORCEINLINE constexpr void START_ALARM(const char* alarmName, BOOL p2) { return big::native_invoker::invoke<285, false, void>(alarmName, p2); }
	FORCEINLINE constexpr void STOP_ALARM(const char* alarmName, BOOL toggle) { return big::native_invoker::invoke<286, false, void>(alarmName, toggle); }
	FORCEINLINE constexpr void STOP_ALL_ALARMS(BOOL stop) { return big::native_invoker::invoke<287, false, void>(stop); }
	FORCEINLINE constexpr BOOL IS_ALARM_PLAYING(const char* alarmName) { return big::native_invoker::invoke<288, false, BOOL>(alarmName); }
	FORCEINLINE constexpr Hash GET_VEHICLE_DEFAULT_HORN(Vehicle vehicle) { return big::native_invoker::invoke<289, false, Hash>(vehicle); }
	FORCEINLINE constexpr Hash GET_VEHICLE_DEFAULT_HORN_IGNORE_MODS(Vehicle vehicle) { return big::native_invoker::invoke<290, false, Hash>(vehicle); }
	FORCEINLINE constexpr void RESET_PED_AUDIO_FLAGS(Ped ped) { return big::native_invoker::invoke<291, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_FOOTSTEPS_EVENTS_ENABLED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<292, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CLOTH_EVENTS_ENABLED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<293, false, void>(ped, toggle); }
	FORCEINLINE constexpr void OVERRIDE_PLAYER_GROUND_MATERIAL(Hash hash, BOOL toggle) { return big::native_invoker::invoke<294, false, void>(hash, toggle); }
	FORCEINLINE constexpr void USE_FOOTSTEP_SCRIPT_SWEETENERS(Ped ped, BOOL p1, Hash hash) { return big::native_invoker::invoke<295, false, void>(ped, p1, hash); }
	FORCEINLINE constexpr void OVERRIDE_MICROPHONE_SETTINGS(Hash hash, BOOL toggle) { return big::native_invoker::invoke<296, false, void>(hash, toggle); }
	FORCEINLINE constexpr void FREEZE_MICROPHONE() { return big::native_invoker::invoke<297, false, void>(); }
	FORCEINLINE constexpr void DISTANT_COP_CAR_SIRENS(BOOL value) { return big::native_invoker::invoke<298, false, void>(value); }
	FORCEINLINE constexpr void SET_SIREN_CAN_BE_CONTROLLED_BY_AUDIO(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<299, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void ENABLE_STUNT_JUMP_AUDIO() { return big::native_invoker::invoke<300, false, void>(); }
	FORCEINLINE constexpr void SET_AUDIO_FLAG(const char* flagName, BOOL toggle) { return big::native_invoker::invoke<301, false, void>(flagName, toggle); }
	FORCEINLINE constexpr BOOL PREPARE_SYNCHRONIZED_AUDIO_EVENT(const char* audioEvent, Any p1) { return big::native_invoker::invoke<302, false, BOOL>(audioEvent, p1); }
	FORCEINLINE constexpr BOOL PREPARE_SYNCHRONIZED_AUDIO_EVENT_FOR_SCENE(int sceneID, const char* audioEvent) { return big::native_invoker::invoke<303, false, BOOL>(sceneID, audioEvent); }
	FORCEINLINE constexpr BOOL PLAY_SYNCHRONIZED_AUDIO_EVENT(int sceneID) { return big::native_invoker::invoke<304, false, BOOL>(sceneID); }
	FORCEINLINE constexpr BOOL STOP_SYNCHRONIZED_AUDIO_EVENT(int sceneID) { return big::native_invoker::invoke<305, false, BOOL>(sceneID); }
	FORCEINLINE constexpr void INIT_SYNCH_SCENE_AUDIO_WITH_POSITION(const char* audioEvent, float x, float y, float z) { return big::native_invoker::invoke<306, false, void>(audioEvent, x, y, z); }
	FORCEINLINE constexpr void INIT_SYNCH_SCENE_AUDIO_WITH_ENTITY(const char* audioEvent, Entity entity) { return big::native_invoker::invoke<307, false, void>(audioEvent, entity); }
	FORCEINLINE constexpr void SET_AUDIO_SPECIAL_EFFECT_MODE(int mode) { return big::native_invoker::invoke<308, false, void>(mode); }
	FORCEINLINE constexpr void SET_PORTAL_SETTINGS_OVERRIDE(const char* p0, const char* p1) { return big::native_invoker::invoke<309, false, void>(p0, p1); }
	FORCEINLINE constexpr void REMOVE_PORTAL_SETTINGS_OVERRIDE(const char* p0) { return big::native_invoker::invoke<310, false, void>(p0); }
	FORCEINLINE constexpr void STOP_SMOKE_GRENADE_EXPLOSION_SOUNDS() { return big::native_invoker::invoke<311, false, void>(); }
	FORCEINLINE constexpr int GET_MUSIC_VOL_SLIDER() { return big::native_invoker::invoke<312, false, int>(); }
	FORCEINLINE constexpr void REQUEST_TENNIS_BANKS(Ped ped) { return big::native_invoker::invoke<313, false, void>(ped); }
	FORCEINLINE constexpr void UNREQUEST_TENNIS_BANKS() { return big::native_invoker::invoke<314, false, void>(); }
	FORCEINLINE constexpr void SET_SKIP_MINIGUN_SPIN_UP_AUDIO(BOOL p0) { return big::native_invoker::invoke<315, false, void>(p0); }
	FORCEINLINE constexpr void STOP_CUTSCENE_AUDIO() { return big::native_invoker::invoke<316, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_LOADED_MP_DATA_SET() { return big::native_invoker::invoke<317, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_LOADED_SP_DATA_SET() { return big::native_invoker::invoke<318, false, BOOL>(); }
	FORCEINLINE constexpr int GET_VEHICLE_HORN_SOUND_INDEX(Vehicle vehicle) { return big::native_invoker::invoke<319, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_HORN_SOUND_INDEX(Vehicle vehicle, int value) { return big::native_invoker::invoke<320, false, void>(vehicle, value); }
}

namespace BRAIN
{
	FORCEINLINE constexpr void ADD_SCRIPT_TO_RANDOM_PED(const char* name, Hash model, float p2, float p3) { return big::native_invoker::invoke<321, false, void>(name, model, p2, p3); }
	FORCEINLINE constexpr void REGISTER_OBJECT_SCRIPT_BRAIN(const char* scriptName, Hash modelHash, int p2, float activationRange, int p4, int p5) { return big::native_invoker::invoke<322, false, void>(scriptName, modelHash, p2, activationRange, p4, p5); }
	FORCEINLINE constexpr BOOL IS_OBJECT_WITHIN_BRAIN_ACTIVATION_RANGE(Object object) { return big::native_invoker::invoke<323, false, BOOL>(object); }
	FORCEINLINE constexpr void REGISTER_WORLD_POINT_SCRIPT_BRAIN(const char* scriptName, float activationRange, int p2) { return big::native_invoker::invoke<324, false, void>(scriptName, activationRange, p2); }
	FORCEINLINE constexpr BOOL IS_WORLD_POINT_WITHIN_BRAIN_ACTIVATION_RANGE() { return big::native_invoker::invoke<325, false, BOOL>(); }
	FORCEINLINE constexpr void ENABLE_SCRIPT_BRAIN_SET(int brainSet) { return big::native_invoker::invoke<326, false, void>(brainSet); }
	FORCEINLINE constexpr void DISABLE_SCRIPT_BRAIN_SET(int brainSet) { return big::native_invoker::invoke<327, false, void>(brainSet); }
	FORCEINLINE constexpr void REACTIVATE_ALL_WORLD_BRAINS_THAT_ARE_WAITING_TILL_OUT_OF_RANGE() { return big::native_invoker::invoke<328, false, void>(); }
	FORCEINLINE constexpr void REACTIVATE_ALL_OBJECT_BRAINS_THAT_ARE_WAITING_TILL_OUT_OF_RANGE() { return big::native_invoker::invoke<329, false, void>(); }
	FORCEINLINE constexpr void REACTIVATE_NAMED_WORLD_BRAINS_WAITING_TILL_OUT_OF_RANGE(const char* scriptName) { return big::native_invoker::invoke<330, false, void>(scriptName); }
	FORCEINLINE constexpr void REACTIVATE_NAMED_OBJECT_BRAINS_WAITING_TILL_OUT_OF_RANGE(const char* scriptName) { return big::native_invoker::invoke<331, false, void>(scriptName); }
}

namespace CAM
{
	FORCEINLINE constexpr void RENDER_SCRIPT_CAMS(BOOL render, BOOL ease, int easeTime, BOOL p3, BOOL p4, Any p5) { return big::native_invoker::invoke<332, false, void>(render, ease, easeTime, p3, p4, p5); }
	FORCEINLINE constexpr void STOP_RENDERING_SCRIPT_CAMS_USING_CATCH_UP(BOOL render, float p1, int p2, Any p3) { return big::native_invoker::invoke<333, false, void>(render, p1, p2, p3); }
	FORCEINLINE constexpr Cam CREATE_CAM(const char* camName, BOOL p1) { return big::native_invoker::invoke<334, false, Cam>(camName, p1); }
	FORCEINLINE constexpr Cam CREATE_CAM_WITH_PARAMS(const char* camName, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float fov, BOOL p8, int p9) { return big::native_invoker::invoke<335, false, Cam>(camName, posX, posY, posZ, rotX, rotY, rotZ, fov, p8, p9); }
	FORCEINLINE constexpr Cam CREATE_CAMERA(Hash camHash, BOOL p1) { return big::native_invoker::invoke<336, false, Cam>(camHash, p1); }
	FORCEINLINE constexpr Cam CREATE_CAMERA_WITH_PARAMS(Hash camHash, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float fov, BOOL p8, Any p9) { return big::native_invoker::invoke<337, false, Cam>(camHash, posX, posY, posZ, rotX, rotY, rotZ, fov, p8, p9); }
	FORCEINLINE constexpr void DESTROY_CAM(Cam cam, BOOL bScriptHostCam) { return big::native_invoker::invoke<338, false, void>(cam, bScriptHostCam); }
	FORCEINLINE constexpr void DESTROY_ALL_CAMS(BOOL bScriptHostCam) { return big::native_invoker::invoke<339, false, void>(bScriptHostCam); }
	FORCEINLINE constexpr BOOL DOES_CAM_EXIST(Cam cam) { return big::native_invoker::invoke<340, false, BOOL>(cam); }
	FORCEINLINE constexpr void SET_CAM_ACTIVE(Cam cam, BOOL active) { return big::native_invoker::invoke<341, false, void>(cam, active); }
	FORCEINLINE constexpr BOOL IS_CAM_ACTIVE(Cam cam) { return big::native_invoker::invoke<342, false, BOOL>(cam); }
	FORCEINLINE constexpr BOOL IS_CAM_RENDERING(Cam cam) { return big::native_invoker::invoke<343, false, BOOL>(cam); }
	FORCEINLINE constexpr Cam GET_RENDERING_CAM() { return big::native_invoker::invoke<344, false, Cam>(); }
	FORCEINLINE constexpr Vector3 GET_CAM_COORD(Cam cam) { return big::native_invoker::invoke<345, false, Vector3>(cam); }
	FORCEINLINE constexpr Vector3 GET_CAM_ROT(Cam cam, int rotationOrder) { return big::native_invoker::invoke<346, false, Vector3>(cam, rotationOrder); }
	FORCEINLINE constexpr float GET_CAM_FOV(Cam cam) { return big::native_invoker::invoke<347, false, float>(cam); }
	FORCEINLINE constexpr float GET_CAM_NEAR_CLIP(Cam cam) { return big::native_invoker::invoke<348, false, float>(cam); }
	FORCEINLINE constexpr float GET_CAM_FAR_CLIP(Cam cam) { return big::native_invoker::invoke<349, false, float>(cam); }
	FORCEINLINE constexpr float GET_CAM_NEAR_DOF(Cam cam) { return big::native_invoker::invoke<350, false, float>(cam); }
	FORCEINLINE constexpr float GET_CAM_FAR_DOF(Cam cam) { return big::native_invoker::invoke<351, false, float>(cam); }
	FORCEINLINE constexpr float GET_CAM_DOF_STRENGTH(Cam cam) { return big::native_invoker::invoke<352, false, float>(cam); }
	FORCEINLINE constexpr void SET_CAM_PARAMS(Cam cam, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float fieldOfView, Any p8, int p9, int p10, int p11) { return big::native_invoker::invoke<353, false, void>(cam, posX, posY, posZ, rotX, rotY, rotZ, fieldOfView, p8, p9, p10, p11); }
	FORCEINLINE constexpr void SET_CAM_COORD(Cam cam, float posX, float posY, float posZ) { return big::native_invoker::invoke<354, false, void>(cam, posX, posY, posZ); }
	FORCEINLINE constexpr void SET_CAM_ROT(Cam cam, float rotX, float rotY, float rotZ, int rotationOrder) { return big::native_invoker::invoke<355, false, void>(cam, rotX, rotY, rotZ, rotationOrder); }
	FORCEINLINE constexpr void SET_CAM_FOV(Cam cam, float fieldOfView) { return big::native_invoker::invoke<356, false, void>(cam, fieldOfView); }
	FORCEINLINE constexpr void SET_CAM_NEAR_CLIP(Cam cam, float nearClip) { return big::native_invoker::invoke<357, false, void>(cam, nearClip); }
	FORCEINLINE constexpr void SET_CAM_FAR_CLIP(Cam cam, float farClip) { return big::native_invoker::invoke<358, false, void>(cam, farClip); }
	FORCEINLINE constexpr void FORCE_CAM_FAR_CLIP(Cam cam, float p1) { return big::native_invoker::invoke<359, false, void>(cam, p1); }
	FORCEINLINE constexpr void SET_CAM_MOTION_BLUR_STRENGTH(Cam cam, float strength) { return big::native_invoker::invoke<360, false, void>(cam, strength); }
	FORCEINLINE constexpr void SET_CAM_NEAR_DOF(Cam cam, float nearDOF) { return big::native_invoker::invoke<361, false, void>(cam, nearDOF); }
	FORCEINLINE constexpr void SET_CAM_FAR_DOF(Cam cam, float farDOF) { return big::native_invoker::invoke<362, false, void>(cam, farDOF); }
	FORCEINLINE constexpr void SET_CAM_DOF_STRENGTH(Cam cam, float dofStrength) { return big::native_invoker::invoke<363, false, void>(cam, dofStrength); }
	FORCEINLINE constexpr void SET_CAM_DOF_PLANES(Cam cam, float p1, float p2, float p3, float p4) { return big::native_invoker::invoke<364, false, void>(cam, p1, p2, p3, p4); }
	FORCEINLINE constexpr void SET_CAM_USE_SHALLOW_DOF_MODE(Cam cam, BOOL toggle) { return big::native_invoker::invoke<365, false, void>(cam, toggle); }
	FORCEINLINE constexpr void SET_USE_HI_DOF() { return big::native_invoker::invoke<366, false, void>(); }
	FORCEINLINE constexpr void SET_USE_HI_DOF_ON_SYNCED_SCENE_THIS_UPDATE() { return big::native_invoker::invoke<367, false, void>(); }
	FORCEINLINE constexpr void SET_CAM_DOF_OVERRIDDEN_FOCUS_DISTANCE(Cam camera, float p1) { return big::native_invoker::invoke<368, false, void>(camera, p1); }
	FORCEINLINE constexpr void SET_CAM_DOF_OVERRIDDEN_FOCUS_DISTANCE_BLEND_LEVEL(Any p0, float p1) { return big::native_invoker::invoke<369, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_CAM_DOF_FNUMBER_OF_LENS(Cam camera, float p1) { return big::native_invoker::invoke<370, false, void>(camera, p1); }
	FORCEINLINE constexpr void SET_CAM_DOF_FOCAL_LENGTH_MULTIPLIER(Cam camera, float multiplier) { return big::native_invoker::invoke<371, false, void>(camera, multiplier); }
	FORCEINLINE constexpr void SET_CAM_DOF_FOCUS_DISTANCE_BIAS(Cam camera, float p1) { return big::native_invoker::invoke<372, false, void>(camera, p1); }
	FORCEINLINE constexpr void SET_CAM_DOF_MAX_NEAR_IN_FOCUS_DISTANCE(Cam camera, float p1) { return big::native_invoker::invoke<373, false, void>(camera, p1); }
	FORCEINLINE constexpr void SET_CAM_DOF_MAX_NEAR_IN_FOCUS_DISTANCE_BLEND_LEVEL(Cam camera, float p1) { return big::native_invoker::invoke<374, false, void>(camera, p1); }
	FORCEINLINE constexpr void SET_CAM_DOF_SHOULD_KEEP_LOOK_AT_TARGET_IN_FOCUS(Cam camera, BOOL state) { return big::native_invoker::invoke<375, false, void>(camera, state); }
	FORCEINLINE constexpr void ATTACH_CAM_TO_ENTITY(Cam cam, Entity entity, float xOffset, float yOffset, float zOffset, BOOL isRelative) { return big::native_invoker::invoke<376, false, void>(cam, entity, xOffset, yOffset, zOffset, isRelative); }
	FORCEINLINE constexpr void ATTACH_CAM_TO_PED_BONE(Cam cam, Ped ped, int boneIndex, float x, float y, float z, BOOL heading) { return big::native_invoker::invoke<377, false, void>(cam, ped, boneIndex, x, y, z, heading); }
	FORCEINLINE constexpr void HARD_ATTACH_CAM_TO_PED_BONE(Cam cam, Ped ped, int boneIndex, float p3, float p4, float p5, float p6, float p7, float p8, BOOL p9) { return big::native_invoker::invoke<378, false, void>(cam, ped, boneIndex, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr void HARD_ATTACH_CAM_TO_ENTITY(Cam cam, Entity entity, float xRot, float yRot, float zRot, float xOffset, float yOffset, float zOffset, BOOL isRelative) { return big::native_invoker::invoke<379, false, void>(cam, entity, xRot, yRot, zRot, xOffset, yOffset, zOffset, isRelative); }
	FORCEINLINE constexpr void ATTACH_CAM_TO_VEHICLE_BONE(Cam cam, Vehicle vehicle, int boneIndex, BOOL relativeRotation, float rotX, float rotY, float rotZ, float offsetX, float offsetY, float offsetZ, BOOL fixedDirection) { return big::native_invoker::invoke<380, false, void>(cam, vehicle, boneIndex, relativeRotation, rotX, rotY, rotZ, offsetX, offsetY, offsetZ, fixedDirection); }
	FORCEINLINE constexpr void DETACH_CAM(Cam cam) { return big::native_invoker::invoke<381, false, void>(cam); }
	FORCEINLINE constexpr void SET_CAM_INHERIT_ROLL_VEHICLE(Cam cam, BOOL p1) { return big::native_invoker::invoke<382, false, void>(cam, p1); }
	FORCEINLINE constexpr void POINT_CAM_AT_COORD(Cam cam, float x, float y, float z) { return big::native_invoker::invoke<383, false, void>(cam, x, y, z); }
	FORCEINLINE constexpr void POINT_CAM_AT_ENTITY(Cam cam, Entity entity, float p2, float p3, float p4, BOOL p5) { return big::native_invoker::invoke<384, false, void>(cam, entity, p2, p3, p4, p5); }
	FORCEINLINE constexpr void POINT_CAM_AT_PED_BONE(Cam cam, Ped ped, int boneIndex, float x, float y, float z, BOOL p6) { return big::native_invoker::invoke<385, false, void>(cam, ped, boneIndex, x, y, z, p6); }
	FORCEINLINE constexpr void STOP_CAM_POINTING(Cam cam) { return big::native_invoker::invoke<386, false, void>(cam); }
	FORCEINLINE constexpr void SET_CAM_AFFECTS_AIMING(Cam cam, BOOL toggle) { return big::native_invoker::invoke<387, false, void>(cam, toggle); }
	FORCEINLINE constexpr void SET_CAM_CONTROLS_MINI_MAP_HEADING(Cam cam, BOOL toggle) { return big::native_invoker::invoke<388, false, void>(cam, toggle); }
	FORCEINLINE constexpr void SET_CAM_IS_INSIDE_VEHICLE(Cam cam, BOOL toggle) { return big::native_invoker::invoke<389, false, void>(cam, toggle); }
	FORCEINLINE constexpr void ALLOW_MOTION_BLUR_DECAY(Any p0, BOOL p1) { return big::native_invoker::invoke<390, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_CAM_DEBUG_NAME(Cam camera, const char* name) { return big::native_invoker::invoke<391, false, void>(camera, name); }
	FORCEINLINE constexpr Cam GET_DEBUG_CAM() { return big::native_invoker::invoke<392, false, Cam>(); }
	FORCEINLINE constexpr void ADD_CAM_SPLINE_NODE(Cam camera, float x, float y, float z, float xRot, float yRot, float zRot, int length, int smoothingStyle, int rotationOrder) { return big::native_invoker::invoke<393, false, void>(camera, x, y, z, xRot, yRot, zRot, length, smoothingStyle, rotationOrder); }
	FORCEINLINE constexpr void ADD_CAM_SPLINE_NODE_USING_CAMERA_FRAME(Cam cam, Cam cam2, int length, int p3) { return big::native_invoker::invoke<394, false, void>(cam, cam2, length, p3); }
	FORCEINLINE constexpr void ADD_CAM_SPLINE_NODE_USING_CAMERA(Cam cam, Cam cam2, int length, int p3) { return big::native_invoker::invoke<395, false, void>(cam, cam2, length, p3); }
	FORCEINLINE constexpr void ADD_CAM_SPLINE_NODE_USING_GAMEPLAY_FRAME(Cam cam, int length, int p2) { return big::native_invoker::invoke<396, false, void>(cam, length, p2); }
	FORCEINLINE constexpr void SET_CAM_SPLINE_PHASE(Cam cam, float p1) { return big::native_invoker::invoke<397, false, void>(cam, p1); }
	FORCEINLINE constexpr float GET_CAM_SPLINE_PHASE(Cam cam) { return big::native_invoker::invoke<398, false, float>(cam); }
	FORCEINLINE constexpr float GET_CAM_SPLINE_NODE_PHASE(Cam cam) { return big::native_invoker::invoke<399, false, float>(cam); }
	FORCEINLINE constexpr void SET_CAM_SPLINE_DURATION(Cam cam, int timeDuration) { return big::native_invoker::invoke<400, false, void>(cam, timeDuration); }
	FORCEINLINE constexpr void SET_CAM_SPLINE_SMOOTHING_STYLE(Cam cam, int smoothingStyle) { return big::native_invoker::invoke<401, false, void>(cam, smoothingStyle); }
	FORCEINLINE constexpr int GET_CAM_SPLINE_NODE_INDEX(Cam cam) { return big::native_invoker::invoke<402, false, int>(cam); }
	FORCEINLINE constexpr void SET_CAM_SPLINE_NODE_EASE(Cam cam, int easingFunction, int p2, float p3) { return big::native_invoker::invoke<403, false, void>(cam, easingFunction, p2, p3); }
	FORCEINLINE constexpr void SET_CAM_SPLINE_NODE_VELOCITY_SCALE(Cam cam, int p1, float scale) { return big::native_invoker::invoke<404, false, void>(cam, p1, scale); }
	FORCEINLINE constexpr void OVERRIDE_CAM_SPLINE_VELOCITY(Cam cam, int p1, float p2, float p3) { return big::native_invoker::invoke<405, false, void>(cam, p1, p2, p3); }
	FORCEINLINE constexpr void OVERRIDE_CAM_SPLINE_MOTION_BLUR(Cam cam, int p1, float p2, float p3) { return big::native_invoker::invoke<406, false, void>(cam, p1, p2, p3); }
	FORCEINLINE constexpr void SET_CAM_SPLINE_NODE_EXTRA_FLAGS(Cam cam, int p1, int flags) { return big::native_invoker::invoke<407, false, void>(cam, p1, flags); }
	FORCEINLINE constexpr BOOL IS_CAM_SPLINE_PAUSED(Cam cam) { return big::native_invoker::invoke<408, false, BOOL>(cam); }
	FORCEINLINE constexpr void _INTERPOLATE_CAM_WITH_PARAMS(Cam camera, float camPosX, float camPosY, float camPosZ, float camRotX, float camRotY, float camRotZ, float fov, int duration, int posCurveType, int rotCurveType, int rotOrder, int fovCurveType) { return big::native_invoker::invoke<409, false, void>(camera, camPosX, camPosY, camPosZ, camRotX, camRotY, camRotZ, fov, duration, posCurveType, rotCurveType, rotOrder, fovCurveType); }
	FORCEINLINE constexpr void _ACTIVATE_CAM_WITH_INTERP_AND_FOV_CURVE(Cam camTo, Cam camFrom, int duration, int easeLocation, int easeRotation, int easeFov) { return big::native_invoker::invoke<410, false, void>(camTo, camFrom, duration, easeLocation, easeRotation, easeFov); }
	FORCEINLINE constexpr void SET_CAM_ACTIVE_WITH_INTERP(Cam camTo, Cam camFrom, int duration, int easeLocation, int easeRotation) { return big::native_invoker::invoke<411, false, void>(camTo, camFrom, duration, easeLocation, easeRotation); }
	FORCEINLINE constexpr BOOL IS_CAM_INTERPOLATING(Cam cam) { return big::native_invoker::invoke<412, false, BOOL>(cam); }
	FORCEINLINE constexpr void SHAKE_CAM(Cam cam, const char* type, float amplitude) { return big::native_invoker::invoke<413, false, void>(cam, type, amplitude); }
	FORCEINLINE constexpr void ANIMATED_SHAKE_CAM(Cam cam, const char* p1, const char* p2, const char* p3, float amplitude) { return big::native_invoker::invoke<414, false, void>(cam, p1, p2, p3, amplitude); }
	FORCEINLINE constexpr BOOL IS_CAM_SHAKING(Cam cam) { return big::native_invoker::invoke<415, false, BOOL>(cam); }
	FORCEINLINE constexpr void SET_CAM_SHAKE_AMPLITUDE(Cam cam, float amplitude) { return big::native_invoker::invoke<416, false, void>(cam, amplitude); }
	FORCEINLINE constexpr void STOP_CAM_SHAKING(Cam cam, BOOL p1) { return big::native_invoker::invoke<417, false, void>(cam, p1); }
	FORCEINLINE constexpr void SHAKE_SCRIPT_GLOBAL(const char* p0, float p1) { return big::native_invoker::invoke<418, false, void>(p0, p1); }
	FORCEINLINE constexpr void ANIMATED_SHAKE_SCRIPT_GLOBAL(const char* p0, const char* p1, const char* p2, float p3) { return big::native_invoker::invoke<419, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL IS_SCRIPT_GLOBAL_SHAKING() { return big::native_invoker::invoke<420, false, BOOL>(); }
	FORCEINLINE constexpr void STOP_SCRIPT_GLOBAL_SHAKING(BOOL p0) { return big::native_invoker::invoke<421, false, void>(p0); }
	FORCEINLINE constexpr void TRIGGER_VEHICLE_PART_BROKEN_CAMERA_SHAKE(Vehicle vehicle, int p1, float p2) { return big::native_invoker::invoke<422, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr BOOL PLAY_CAM_ANIM(Cam cam, const char* animName, const char* animDictionary, float x, float y, float z, float xRot, float yRot, float zRot, BOOL p9, int p10) { return big::native_invoker::invoke<423, false, BOOL>(cam, animName, animDictionary, x, y, z, xRot, yRot, zRot, p9, p10); }
	FORCEINLINE constexpr BOOL IS_CAM_PLAYING_ANIM(Cam cam, const char* animName, const char* animDictionary) { return big::native_invoker::invoke<424, false, BOOL>(cam, animName, animDictionary); }
	FORCEINLINE constexpr void SET_CAM_ANIM_CURRENT_PHASE(Cam cam, float phase) { return big::native_invoker::invoke<425, false, void>(cam, phase); }
	FORCEINLINE constexpr float GET_CAM_ANIM_CURRENT_PHASE(Cam cam) { return big::native_invoker::invoke<426, false, float>(cam); }
	FORCEINLINE constexpr BOOL PLAY_SYNCHRONIZED_CAM_ANIM(Any p0, Any p1, const char* animName, const char* animDictionary) { return big::native_invoker::invoke<427, false, BOOL>(p0, p1, animName, animDictionary); }
	FORCEINLINE constexpr void SET_FLY_CAM_HORIZONTAL_RESPONSE(Cam cam, float p1, float p2, float p3) { return big::native_invoker::invoke<428, false, void>(cam, p1, p2, p3); }
	FORCEINLINE constexpr void SET_FLY_CAM_VERTICAL_RESPONSE(Cam cam, float p1, float p2, float p3) { return big::native_invoker::invoke<429, false, void>(cam, p1, p2, p3); }
	FORCEINLINE constexpr void SET_FLY_CAM_MAX_HEIGHT(Cam cam, float height) { return big::native_invoker::invoke<430, false, void>(cam, height); }
	FORCEINLINE constexpr void SET_FLY_CAM_COORD_AND_CONSTRAIN(Cam cam, float x, float y, float z) { return big::native_invoker::invoke<431, false, void>(cam, x, y, z); }
	FORCEINLINE constexpr void SET_FLY_CAM_VERTICAL_CONTROLS_THIS_UPDATE(Cam cam) { return big::native_invoker::invoke<432, false, void>(cam); }
	FORCEINLINE constexpr BOOL WAS_FLY_CAM_CONSTRAINED_ON_PREVIOUS_UDPATE(Cam cam) { return big::native_invoker::invoke<433, false, BOOL>(cam); }
	FORCEINLINE constexpr BOOL IS_SCREEN_FADED_OUT() { return big::native_invoker::invoke<434, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCREEN_FADED_IN() { return big::native_invoker::invoke<435, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCREEN_FADING_OUT() { return big::native_invoker::invoke<436, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCREEN_FADING_IN() { return big::native_invoker::invoke<437, false, BOOL>(); }
	FORCEINLINE constexpr void DO_SCREEN_FADE_IN(int duration) { return big::native_invoker::invoke<438, false, void>(duration); }
	FORCEINLINE constexpr void DO_SCREEN_FADE_OUT(int duration) { return big::native_invoker::invoke<439, false, void>(duration); }
	FORCEINLINE constexpr void SET_WIDESCREEN_BORDERS(BOOL p0, int p1) { return big::native_invoker::invoke<440, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL ARE_WIDESCREEN_BORDERS_ACTIVE() { return big::native_invoker::invoke<441, false, BOOL>(); }
	FORCEINLINE constexpr Vector3 GET_GAMEPLAY_CAM_COORD() { return big::native_invoker::invoke<442, false, Vector3>(); }
	FORCEINLINE constexpr Vector3 GET_GAMEPLAY_CAM_ROT(int rotationOrder) { return big::native_invoker::invoke<443, false, Vector3>(rotationOrder); }
	FORCEINLINE constexpr float GET_GAMEPLAY_CAM_FOV() { return big::native_invoker::invoke<444, false, float>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_MOTION_BLUR_SCALING_THIS_UPDATE(float p0) { return big::native_invoker::invoke<445, false, void>(p0); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_MAX_MOTION_BLUR_STRENGTH_THIS_UPDATE(float p0) { return big::native_invoker::invoke<446, false, void>(p0); }
	FORCEINLINE constexpr float GET_GAMEPLAY_CAM_RELATIVE_HEADING() { return big::native_invoker::invoke<447, false, float>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_RELATIVE_HEADING(float heading) { return big::native_invoker::invoke<448, false, void>(heading); }
	FORCEINLINE constexpr float GET_GAMEPLAY_CAM_RELATIVE_PITCH() { return big::native_invoker::invoke<449, false, float>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_RELATIVE_PITCH(float angle, float scalingFactor) { return big::native_invoker::invoke<450, false, void>(angle, scalingFactor); }
	FORCEINLINE constexpr void RESET_GAMEPLAY_CAM_FULL_ATTACH_PARENT_TRANSFORM_TIMER() { return big::native_invoker::invoke<451, false, void>(); }
	FORCEINLINE constexpr void FORCE_CAMERA_RELATIVE_HEADING_AND_PITCH(float roll, float pitch, float yaw) { return big::native_invoker::invoke<452, false, void>(roll, pitch, yaw); }
	FORCEINLINE constexpr void FORCE_BONNET_CAMERA_RELATIVE_HEADING_AND_PITCH(float p0, float p1) { return big::native_invoker::invoke<453, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_SHOOTER_CAMERA_HEADING(float yaw) { return big::native_invoker::invoke<454, false, void>(yaw); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_SHOOTER_CAMERA_PITCH(float pitch) { return big::native_invoker::invoke<455, false, void>(pitch); }
	FORCEINLINE constexpr void SET_SCRIPTED_CAMERA_IS_FIRST_PERSON_THIS_FRAME(BOOL p0) { return big::native_invoker::invoke<456, false, void>(p0); }
	FORCEINLINE constexpr void SHAKE_GAMEPLAY_CAM(const char* shakeName, float intensity) { return big::native_invoker::invoke<457, false, void>(shakeName, intensity); }
	FORCEINLINE constexpr BOOL IS_GAMEPLAY_CAM_SHAKING() { return big::native_invoker::invoke<458, false, BOOL>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_SHAKE_AMPLITUDE(float amplitude) { return big::native_invoker::invoke<459, false, void>(amplitude); }
	FORCEINLINE constexpr void STOP_GAMEPLAY_CAM_SHAKING(BOOL p0) { return big::native_invoker::invoke<460, false, void>(p0); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_FOLLOW_PED_THIS_UPDATE(Ped ped) { return big::native_invoker::invoke<461, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_GAMEPLAY_CAM_RENDERING() { return big::native_invoker::invoke<462, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_INTERPOLATING_FROM_SCRIPT_CAMS() { return big::native_invoker::invoke<463, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_INTERPOLATING_TO_SCRIPT_CAMS() { return big::native_invoker::invoke<464, false, BOOL>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_ALTITUDE_FOV_SCALING_STATE(BOOL p0) { return big::native_invoker::invoke<465, false, void>(p0); }
	FORCEINLINE constexpr void DISABLE_GAMEPLAY_CAM_ALTITUDE_FOV_SCALING_THIS_UPDATE() { return big::native_invoker::invoke<466, false, void>(); }
	FORCEINLINE constexpr BOOL IS_GAMEPLAY_CAM_LOOKING_BEHIND() { return big::native_invoker::invoke<467, false, BOOL>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_IGNORE_ENTITY_COLLISION_THIS_UPDATE(Entity entity) { return big::native_invoker::invoke<468, false, void>(entity); }
	FORCEINLINE constexpr void DISABLE_CAM_COLLISION_FOR_OBJECT(Entity entity) { return big::native_invoker::invoke<469, false, void>(entity); }
	FORCEINLINE constexpr void BYPASS_CAMERA_COLLISION_BUOYANCY_TEST_THIS_UPDATE() { return big::native_invoker::invoke<470, false, void>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_CAM_ENTITY_TO_LIMIT_FOCUS_OVER_BOUNDING_SPHERE_THIS_UPDATE(Entity entity) { return big::native_invoker::invoke<471, false, void>(entity); }
	FORCEINLINE constexpr void DISABLE_FIRST_PERSON_CAMERA_WATER_CLIPPING_TEST_THIS_UPDATE() { return big::native_invoker::invoke<472, false, void>(); }
	FORCEINLINE constexpr void SET_FOLLOW_CAM_IGNORE_ATTACH_PARENT_MOVEMENT_THIS_UPDATE() { return big::native_invoker::invoke<473, false, void>(); }
	FORCEINLINE constexpr BOOL IS_SPHERE_VISIBLE(float x, float y, float z, float radius) { return big::native_invoker::invoke<474, false, BOOL>(x, y, z, radius); }
	FORCEINLINE constexpr BOOL IS_FOLLOW_PED_CAM_ACTIVE() { return big::native_invoker::invoke<475, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SET_FOLLOW_PED_CAM_THIS_UPDATE(const char* camName, int p1) { return big::native_invoker::invoke<476, false, BOOL>(camName, p1); }
	FORCEINLINE constexpr void USE_SCRIPT_CAM_FOR_AMBIENT_POPULATION_ORIGIN_THIS_FRAME(BOOL p0, BOOL p1) { return big::native_invoker::invoke<477, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_FOLLOW_PED_CAM_LADDER_ALIGN_THIS_UPDATE() { return big::native_invoker::invoke<478, false, void>(); }
	FORCEINLINE constexpr void SET_THIRD_PERSON_CAM_RELATIVE_HEADING_LIMITS_THIS_UPDATE(float minimum, float maximum) { return big::native_invoker::invoke<479, false, void>(minimum, maximum); }
	FORCEINLINE constexpr void SET_THIRD_PERSON_CAM_RELATIVE_PITCH_LIMITS_THIS_UPDATE(float minimum, float maximum) { return big::native_invoker::invoke<480, false, void>(minimum, maximum); }
	FORCEINLINE constexpr void SET_THIRD_PERSON_CAM_ORBIT_DISTANCE_LIMITS_THIS_UPDATE(float p0, float distance) { return big::native_invoker::invoke<481, false, void>(p0, distance); }
	FORCEINLINE constexpr float _GET_THIRD_PERSON_CAM_MIN_ORBIT_DISTANCE_SPRING() { return big::native_invoker::invoke<482, false, float>(); }
	FORCEINLINE constexpr float _GET_THIRD_PERSON_CAM_MAX_ORBIT_DISTANCE_SPRING() { return big::native_invoker::invoke<483, false, float>(); }
	FORCEINLINE constexpr void SET_IN_VEHICLE_CAM_STATE_THIS_UPDATE(Vehicle p0, int p1) { return big::native_invoker::invoke<484, false, void>(p0, p1); }
	FORCEINLINE constexpr void DISABLE_ON_FOOT_FIRST_PERSON_VIEW_THIS_UPDATE() { return big::native_invoker::invoke<485, false, void>(); }
	FORCEINLINE constexpr void DISABLE_FIRST_PERSON_FLASH_EFFECT_THIS_UPDATE() { return big::native_invoker::invoke<486, false, void>(); }
	FORCEINLINE constexpr void BLOCK_FIRST_PERSON_ORIENTATION_RESET_THIS_UPDATE() { return big::native_invoker::invoke<487, false, void>(); }
	FORCEINLINE constexpr int GET_FOLLOW_PED_CAM_ZOOM_LEVEL() { return big::native_invoker::invoke<488, false, int>(); }
	FORCEINLINE constexpr int GET_FOLLOW_PED_CAM_VIEW_MODE() { return big::native_invoker::invoke<489, false, int>(); }
	FORCEINLINE constexpr void SET_FOLLOW_PED_CAM_VIEW_MODE(int viewMode) { return big::native_invoker::invoke<490, false, void>(viewMode); }
	FORCEINLINE constexpr BOOL IS_FOLLOW_VEHICLE_CAM_ACTIVE() { return big::native_invoker::invoke<491, false, BOOL>(); }
	FORCEINLINE constexpr void SET_FOLLOW_VEHICLE_CAM_HIGH_ANGLE_MODE_THIS_UPDATE(BOOL p0) { return big::native_invoker::invoke<492, false, void>(p0); }
	FORCEINLINE constexpr void SET_FOLLOW_VEHICLE_CAM_HIGH_ANGLE_MODE_EVERY_UPDATE(BOOL p0, BOOL p1) { return big::native_invoker::invoke<493, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL SET_TABLE_GAMES_CAMERA_THIS_UPDATE(Hash hash) { return big::native_invoker::invoke<494, false, BOOL>(hash); }
	FORCEINLINE constexpr int GET_FOLLOW_VEHICLE_CAM_ZOOM_LEVEL() { return big::native_invoker::invoke<495, false, int>(); }
	FORCEINLINE constexpr void SET_FOLLOW_VEHICLE_CAM_ZOOM_LEVEL(int zoomLevel) { return big::native_invoker::invoke<496, false, void>(zoomLevel); }
	FORCEINLINE constexpr int GET_FOLLOW_VEHICLE_CAM_VIEW_MODE() { return big::native_invoker::invoke<497, false, int>(); }
	FORCEINLINE constexpr void SET_FOLLOW_VEHICLE_CAM_VIEW_MODE(int viewMode) { return big::native_invoker::invoke<498, false, void>(viewMode); }
	FORCEINLINE constexpr int GET_CAM_VIEW_MODE_FOR_CONTEXT(int context) { return big::native_invoker::invoke<499, false, int>(context); }
	FORCEINLINE constexpr void SET_CAM_VIEW_MODE_FOR_CONTEXT(int context, int viewMode) { return big::native_invoker::invoke<500, false, void>(context, viewMode); }
	FORCEINLINE constexpr int GET_CAM_ACTIVE_VIEW_MODE_CONTEXT() { return big::native_invoker::invoke<501, false, int>(); }
	FORCEINLINE constexpr void USE_VEHICLE_CAM_STUNT_SETTINGS_THIS_UPDATE() { return big::native_invoker::invoke<502, false, void>(); }
	FORCEINLINE constexpr void USE_DEDICATED_STUNT_CAMERA_THIS_UPDATE(const char* camName) { return big::native_invoker::invoke<503, false, void>(camName); }
	FORCEINLINE constexpr void FORCE_VEHICLE_CAM_STUNT_SETTINGS_THIS_UPDATE() { return big::native_invoker::invoke<504, false, void>(); }
	FORCEINLINE constexpr void SET_FOLLOW_VEHICLE_CAM_SEAT_THIS_UPDATE(int seatIndex) { return big::native_invoker::invoke<505, false, void>(seatIndex); }
	FORCEINLINE constexpr BOOL IS_AIM_CAM_ACTIVE() { return big::native_invoker::invoke<506, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_AIM_CAM_ACTIVE_IN_ACCURATE_MODE() { return big::native_invoker::invoke<507, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_FIRST_PERSON_AIM_CAM_ACTIVE() { return big::native_invoker::invoke<508, false, BOOL>(); }
	FORCEINLINE constexpr void DISABLE_AIM_CAM_THIS_UPDATE() { return big::native_invoker::invoke<509, false, void>(); }
	FORCEINLINE constexpr float GET_FIRST_PERSON_AIM_CAM_ZOOM_FACTOR() { return big::native_invoker::invoke<510, false, float>(); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_AIM_CAM_ZOOM_FACTOR(float zoomFactor) { return big::native_invoker::invoke<511, false, void>(zoomFactor); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_AIM_CAM_ZOOM_FACTOR_LIMITS_THIS_UPDATE(float p0, float p1) { return big::native_invoker::invoke<512, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_AIM_CAM_RELATIVE_HEADING_LIMITS_THIS_UPDATE(float p0, float p1) { return big::native_invoker::invoke<513, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_AIM_CAM_RELATIVE_PITCH_LIMITS_THIS_UPDATE(float p0, float p1) { return big::native_invoker::invoke<514, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_AIM_CAM_NEAR_CLIP_THIS_UPDATE(float p0) { return big::native_invoker::invoke<515, false, void>(p0); }
	FORCEINLINE constexpr void SET_THIRD_PERSON_AIM_CAM_NEAR_CLIP_THIS_UPDATE(float p0) { return big::native_invoker::invoke<516, false, void>(p0); }
	FORCEINLINE constexpr void SET_ALLOW_CUSTOM_VEHICLE_DRIVE_BY_CAM_THIS_UPDATE(BOOL p0) { return big::native_invoker::invoke<517, false, void>(p0); }
	FORCEINLINE constexpr void FORCE_TIGHTSPACE_CUSTOM_FRAMING_THIS_UPDATE() { return big::native_invoker::invoke<518, false, void>(); }
	FORCEINLINE constexpr Vector3 GET_FINAL_RENDERED_CAM_COORD() { return big::native_invoker::invoke<519, false, Vector3>(); }
	FORCEINLINE constexpr Vector3 GET_FINAL_RENDERED_CAM_ROT(int rotationOrder) { return big::native_invoker::invoke<520, false, Vector3>(rotationOrder); }
	FORCEINLINE constexpr Vector3 GET_FINAL_RENDERED_REMOTE_PLAYER_CAM_ROT(Player player, int rotationOrder) { return big::native_invoker::invoke<521, false, Vector3>(player, rotationOrder); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_CAM_FOV() { return big::native_invoker::invoke<522, false, float>(); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_REMOTE_PLAYER_CAM_FOV(Player player) { return big::native_invoker::invoke<523, false, float>(player); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_CAM_NEAR_CLIP() { return big::native_invoker::invoke<524, false, float>(); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_CAM_FAR_CLIP() { return big::native_invoker::invoke<525, false, float>(); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_CAM_NEAR_DOF() { return big::native_invoker::invoke<526, false, float>(); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_CAM_FAR_DOF() { return big::native_invoker::invoke<527, false, float>(); }
	FORCEINLINE constexpr float GET_FINAL_RENDERED_CAM_MOTION_BLUR_STRENGTH() { return big::native_invoker::invoke<528, false, float>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_COORD_HINT(float x, float y, float z, int duration, int blendOutDuration, int blendInDuration, int p6) { return big::native_invoker::invoke<529, false, void>(x, y, z, duration, blendOutDuration, blendInDuration, p6); }
	FORCEINLINE constexpr void SET_GAMEPLAY_PED_HINT(Ped ped, float x1, float y1, float z1, BOOL p4, int duration, int blendOutDuration, int blendInDuration) { return big::native_invoker::invoke<530, false, void>(ped, x1, y1, z1, p4, duration, blendOutDuration, blendInDuration); }
	FORCEINLINE constexpr void SET_GAMEPLAY_VEHICLE_HINT(Vehicle vehicle, float offsetX, float offsetY, float offsetZ, BOOL p4, int time, int easeInTime, int easeOutTime) { return big::native_invoker::invoke<531, false, void>(vehicle, offsetX, offsetY, offsetZ, p4, time, easeInTime, easeOutTime); }
	FORCEINLINE constexpr void SET_GAMEPLAY_OBJECT_HINT(Object object, float xOffset, float yOffset, float zOffset, BOOL p4, int time, int easeInTime, int easeOutTime) { return big::native_invoker::invoke<532, false, void>(object, xOffset, yOffset, zOffset, p4, time, easeInTime, easeOutTime); }
	FORCEINLINE constexpr void SET_GAMEPLAY_ENTITY_HINT(Entity entity, float xOffset, float yOffset, float zOffset, BOOL p4, int time, int easeInTime, int easeOutTime, int p8) { return big::native_invoker::invoke<533, false, void>(entity, xOffset, yOffset, zOffset, p4, time, easeInTime, easeOutTime, p8); }
	FORCEINLINE constexpr BOOL IS_GAMEPLAY_HINT_ACTIVE() { return big::native_invoker::invoke<534, false, BOOL>(); }
	FORCEINLINE constexpr void STOP_GAMEPLAY_HINT(BOOL p0) { return big::native_invoker::invoke<535, false, void>(p0); }
	FORCEINLINE constexpr void STOP_GAMEPLAY_HINT_BEING_CANCELLED_THIS_UPDATE(BOOL p0) { return big::native_invoker::invoke<536, false, void>(p0); }
	FORCEINLINE constexpr void STOP_CODE_GAMEPLAY_HINT(BOOL p0) { return big::native_invoker::invoke<537, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_CODE_GAMEPLAY_HINT_ACTIVE() { return big::native_invoker::invoke<538, false, BOOL>(); }
	FORCEINLINE constexpr void SET_GAMEPLAY_HINT_FOV(float FOV) { return big::native_invoker::invoke<539, false, void>(FOV); }
	FORCEINLINE constexpr void SET_GAMEPLAY_HINT_FOLLOW_DISTANCE_SCALAR(float value) { return big::native_invoker::invoke<540, false, void>(value); }
	FORCEINLINE constexpr void SET_GAMEPLAY_HINT_BASE_ORBIT_PITCH_OFFSET(float value) { return big::native_invoker::invoke<541, false, void>(value); }
	FORCEINLINE constexpr void SET_GAMEPLAY_HINT_CAMERA_RELATIVE_SIDE_OFFSET(float xOffset) { return big::native_invoker::invoke<542, false, void>(xOffset); }
	FORCEINLINE constexpr void SET_GAMEPLAY_HINT_CAMERA_RELATIVE_VERTICAL_OFFSET(float yOffset) { return big::native_invoker::invoke<543, false, void>(yOffset); }
	FORCEINLINE constexpr void SET_GAMEPLAY_HINT_CAMERA_BLEND_TO_FOLLOW_PED_MEDIUM_VIEW_MODE(BOOL toggle) { return big::native_invoker::invoke<544, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CINEMATIC_BUTTON_ACTIVE(BOOL p0) { return big::native_invoker::invoke<545, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_CINEMATIC_CAM_RENDERING() { return big::native_invoker::invoke<546, false, BOOL>(); }
	FORCEINLINE constexpr void SHAKE_CINEMATIC_CAM(const char* shakeType, float amount) { return big::native_invoker::invoke<547, false, void>(shakeType, amount); }
	FORCEINLINE constexpr BOOL IS_CINEMATIC_CAM_SHAKING() { return big::native_invoker::invoke<548, false, BOOL>(); }
	FORCEINLINE constexpr void SET_CINEMATIC_CAM_SHAKE_AMPLITUDE(float p0) { return big::native_invoker::invoke<549, false, void>(p0); }
	FORCEINLINE constexpr void STOP_CINEMATIC_CAM_SHAKING(BOOL p0) { return big::native_invoker::invoke<550, false, void>(p0); }
	FORCEINLINE constexpr void DISABLE_CINEMATIC_BONNET_CAMERA_THIS_UPDATE() { return big::native_invoker::invoke<551, false, void>(); }
	FORCEINLINE constexpr void DISABLE_CINEMATIC_VEHICLE_IDLE_MODE_THIS_UPDATE() { return big::native_invoker::invoke<552, false, void>(); }
	FORCEINLINE constexpr void INVALIDATE_CINEMATIC_VEHICLE_IDLE_MODE() { return big::native_invoker::invoke<553, false, void>(); }
	FORCEINLINE constexpr void INVALIDATE_IDLE_CAM() { return big::native_invoker::invoke<554, false, void>(); }
	FORCEINLINE constexpr BOOL IS_CINEMATIC_IDLE_CAM_RENDERING() { return big::native_invoker::invoke<555, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_CINEMATIC_FIRST_PERSON_VEHICLE_INTERIOR_CAM_RENDERING() { return big::native_invoker::invoke<556, false, BOOL>(); }
	FORCEINLINE constexpr void CREATE_CINEMATIC_SHOT(Hash p0, int time, BOOL p2, Entity entity) { return big::native_invoker::invoke<557, false, void>(p0, time, p2, entity); }
	FORCEINLINE constexpr BOOL IS_CINEMATIC_SHOT_ACTIVE(Hash p0) { return big::native_invoker::invoke<558, false, BOOL>(p0); }
	FORCEINLINE constexpr void STOP_CINEMATIC_SHOT(Hash p0) { return big::native_invoker::invoke<559, false, void>(p0); }
	FORCEINLINE constexpr void FORCE_CINEMATIC_RENDERING_THIS_UPDATE(BOOL toggle) { return big::native_invoker::invoke<560, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CINEMATIC_NEWS_CHANNEL_ACTIVE_THIS_UPDATE() { return big::native_invoker::invoke<561, false, void>(); }
	FORCEINLINE constexpr void SET_CINEMATIC_MODE_ACTIVE(BOOL toggle) { return big::native_invoker::invoke<562, false, void>(toggle); }
	FORCEINLINE constexpr BOOL IS_IN_VEHICLE_MOBILE_PHONE_CAMERA_RENDERING() { return big::native_invoker::invoke<563, false, BOOL>(); }
	FORCEINLINE constexpr BOOL DISABLE_CINEMATIC_SLOW_MO_THIS_UPDATE() { return big::native_invoker::invoke<564, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_BONNET_CINEMATIC_CAM_RENDERING() { return big::native_invoker::invoke<565, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_CINEMATIC_CAM_INPUT_ACTIVE() { return big::native_invoker::invoke<566, false, BOOL>(); }
	FORCEINLINE constexpr void IGNORE_MENU_PREFERENCE_FOR_BONNET_CAMERA_THIS_UPDATE() { return big::native_invoker::invoke<567, false, void>(); }
	FORCEINLINE constexpr void BYPASS_CUTSCENE_CAM_RENDERING_THIS_UPDATE() { return big::native_invoker::invoke<568, false, void>(); }
	FORCEINLINE constexpr void STOP_CUTSCENE_CAM_SHAKING(Any p0) { return big::native_invoker::invoke<569, false, void>(p0); }
	FORCEINLINE constexpr void SET_CUTSCENE_CAM_FAR_CLIP_THIS_UPDATE(float p0) { return big::native_invoker::invoke<570, false, void>(p0); }
	FORCEINLINE constexpr Ped GET_FOCUS_PED_ON_SCREEN(float p0, int p1, float p2, float p3, float p4, float p5, float p6, int p7, int p8) { return big::native_invoker::invoke<571, false, Ped>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void DISABLE_NEAR_CLIP_SCAN_THIS_UPDATE() { return big::native_invoker::invoke<572, false, void>(); }
	FORCEINLINE constexpr void SET_CAM_DEATH_FAIL_EFFECT_STATE(int p0) { return big::native_invoker::invoke<573, false, void>(p0); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_FLASH_EFFECT_TYPE(Any p0) { return big::native_invoker::invoke<574, false, void>(p0); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_FLASH_EFFECT_VEHICLE_MODEL_NAME(const char* vehicleName) { return big::native_invoker::invoke<575, false, void>(vehicleName); }
	FORCEINLINE constexpr void SET_FIRST_PERSON_FLASH_EFFECT_VEHICLE_MODEL_HASH(Hash vehicleModel) { return big::native_invoker::invoke<576, false, void>(vehicleModel); }
	FORCEINLINE constexpr BOOL IS_ALLOWED_INDEPENDENT_CAMERA_MODES() { return big::native_invoker::invoke<577, false, BOOL>(); }
	FORCEINLINE constexpr void CAMERA_PREVENT_COLLISION_SETTINGS_FOR_TRIPLEHEAD_IN_INTERIORS_THIS_UPDATE() { return big::native_invoker::invoke<578, false, void>(); }
	FORCEINLINE constexpr float REPLAY_GET_MAX_DISTANCE_ALLOWED_FROM_PLAYER() { return big::native_invoker::invoke<579, false, float>(); }
}

namespace CLOCK
{
	FORCEINLINE constexpr void SET_CLOCK_TIME(int hour, int minute, int second) { return big::native_invoker::invoke<580, false, void>(hour, minute, second); }
	FORCEINLINE constexpr void PAUSE_CLOCK(BOOL toggle) { return big::native_invoker::invoke<581, false, void>(toggle); }
	FORCEINLINE constexpr void ADVANCE_CLOCK_TIME_TO(int hour, int minute, int second) { return big::native_invoker::invoke<582, false, void>(hour, minute, second); }
	FORCEINLINE constexpr void ADD_TO_CLOCK_TIME(int hours, int minutes, int seconds) { return big::native_invoker::invoke<583, false, void>(hours, minutes, seconds); }
	FORCEINLINE constexpr int GET_CLOCK_HOURS() { return big::native_invoker::invoke<584, false, int>(); }
	FORCEINLINE constexpr int GET_CLOCK_MINUTES() { return big::native_invoker::invoke<585, false, int>(); }
	FORCEINLINE constexpr int GET_CLOCK_SECONDS() { return big::native_invoker::invoke<586, false, int>(); }
	FORCEINLINE constexpr void SET_CLOCK_DATE(int day, int month, int year) { return big::native_invoker::invoke<587, false, void>(day, month, year); }
	FORCEINLINE constexpr int GET_CLOCK_DAY_OF_WEEK() { return big::native_invoker::invoke<588, false, int>(); }
	FORCEINLINE constexpr int GET_CLOCK_DAY_OF_MONTH() { return big::native_invoker::invoke<589, false, int>(); }
	FORCEINLINE constexpr int GET_CLOCK_MONTH() { return big::native_invoker::invoke<590, false, int>(); }
	FORCEINLINE constexpr int GET_CLOCK_YEAR() { return big::native_invoker::invoke<591, false, int>(); }
	FORCEINLINE constexpr int GET_MILLISECONDS_PER_GAME_MINUTE() { return big::native_invoker::invoke<592, false, int>(); }
	FORCEINLINE constexpr void GET_POSIX_TIME(int* year, int* month, int* day, int* hour, int* minute, int* second) { return big::native_invoker::invoke<593, false, void>(year, month, day, hour, minute, second); }
	FORCEINLINE constexpr void GET_UTC_TIME(int* year, int* month, int* day, int* hour, int* minute, int* second) { return big::native_invoker::invoke<594, false, void>(year, month, day, hour, minute, second); }
	FORCEINLINE constexpr void GET_LOCAL_TIME(int* year, int* month, int* day, int* hour, int* minute, int* second) { return big::native_invoker::invoke<595, false, void>(year, month, day, hour, minute, second); }
}

namespace CUTSCENE
{
	FORCEINLINE constexpr void REQUEST_CUTSCENE(const char* cutsceneName, int flags) { return big::native_invoker::invoke<596, false, void>(cutsceneName, flags); }
	FORCEINLINE constexpr void REQUEST_CUTSCENE_WITH_PLAYBACK_LIST(const char* cutsceneName, int playbackFlags, int flags) { return big::native_invoker::invoke<597, false, void>(cutsceneName, playbackFlags, flags); }
	FORCEINLINE constexpr void REMOVE_CUTSCENE() { return big::native_invoker::invoke<598, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_CUTSCENE_LOADED() { return big::native_invoker::invoke<599, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_THIS_CUTSCENE_LOADED(const char* cutsceneName) { return big::native_invoker::invoke<600, false, BOOL>(cutsceneName); }
	FORCEINLINE constexpr void SET_SCRIPT_CAN_START_CUTSCENE(int threadId) { return big::native_invoker::invoke<601, false, void>(threadId); }
	FORCEINLINE constexpr BOOL CAN_REQUEST_ASSETS_FOR_CUTSCENE_ENTITY() { return big::native_invoker::invoke<602, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_CUTSCENE_PLAYBACK_FLAG_SET(int flag) { return big::native_invoker::invoke<603, false, BOOL>(flag); }
	FORCEINLINE constexpr void SET_CUTSCENE_ENTITY_STREAMING_FLAGS(const char* cutsceneEntName, int p1, int p2) { return big::native_invoker::invoke<604, false, void>(cutsceneEntName, p1, p2); }
	FORCEINLINE constexpr void REQUEST_CUT_FILE(const char* cutsceneName) { return big::native_invoker::invoke<605, false, void>(cutsceneName); }
	FORCEINLINE constexpr BOOL HAS_CUT_FILE_LOADED(const char* cutsceneName) { return big::native_invoker::invoke<606, false, BOOL>(cutsceneName); }
	FORCEINLINE constexpr void REMOVE_CUT_FILE(const char* cutsceneName) { return big::native_invoker::invoke<607, false, void>(cutsceneName); }
	FORCEINLINE constexpr int GET_CUT_FILE_CONCAT_COUNT(const char* cutsceneName) { return big::native_invoker::invoke<608, false, int>(cutsceneName); }
	FORCEINLINE constexpr void START_CUTSCENE(int flags) { return big::native_invoker::invoke<609, false, void>(flags); }
	FORCEINLINE constexpr void START_CUTSCENE_AT_COORDS(float x, float y, float z, int flags) { return big::native_invoker::invoke<610, false, void>(x, y, z, flags); }
	FORCEINLINE constexpr void STOP_CUTSCENE(BOOL p0) { return big::native_invoker::invoke<611, false, void>(p0); }
	FORCEINLINE constexpr void STOP_CUTSCENE_IMMEDIATELY() { return big::native_invoker::invoke<612, false, void>(); }
	FORCEINLINE constexpr void SET_CUTSCENE_ORIGIN(float x, float y, float z, float p3, int p4) { return big::native_invoker::invoke<613, false, void>(x, y, z, p3, p4); }
	FORCEINLINE constexpr void SET_CUTSCENE_ORIGIN_AND_ORIENTATION(float x1, float y1, float z1, float x2, float y2, float z2, int p6) { return big::native_invoker::invoke<614, false, void>(x1, y1, z1, x2, y2, z2, p6); }
	FORCEINLINE constexpr int GET_CUTSCENE_TIME() { return big::native_invoker::invoke<615, false, int>(); }
	FORCEINLINE constexpr int GET_CUTSCENE_PLAY_TIME() { return big::native_invoker::invoke<616, false, int>(); }
	FORCEINLINE constexpr int GET_CUTSCENE_TOTAL_DURATION() { return big::native_invoker::invoke<617, false, int>(); }
	FORCEINLINE constexpr int GET_CUTSCENE_END_TIME() { return big::native_invoker::invoke<618, false, int>(); }
	FORCEINLINE constexpr int GET_CUTSCENE_PLAY_DURATION() { return big::native_invoker::invoke<619, false, int>(); }
	FORCEINLINE constexpr BOOL WAS_CUTSCENE_SKIPPED() { return big::native_invoker::invoke<620, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_CUTSCENE_FINISHED() { return big::native_invoker::invoke<621, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_CUTSCENE_ACTIVE() { return big::native_invoker::invoke<622, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_CUTSCENE_PLAYING() { return big::native_invoker::invoke<623, false, BOOL>(); }
	FORCEINLINE constexpr int GET_CUTSCENE_SECTION_PLAYING() { return big::native_invoker::invoke<624, false, int>(); }
	FORCEINLINE constexpr Entity GET_ENTITY_INDEX_OF_CUTSCENE_ENTITY(const char* cutsceneEntName, Hash modelHash) { return big::native_invoker::invoke<625, false, Entity>(cutsceneEntName, modelHash); }
	FORCEINLINE constexpr int GET_CUTSCENE_CONCAT_SECTION_PLAYING() { return big::native_invoker::invoke<626, false, int>(); }
	FORCEINLINE constexpr BOOL IS_CUTSCENE_AUTHORIZED(const char* cutsceneName) { return big::native_invoker::invoke<627, false, BOOL>(cutsceneName); }
	FORCEINLINE constexpr int DOES_CUTSCENE_HANDLE_EXIST(int cutsceneHandle) { return big::native_invoker::invoke<628, false, int>(cutsceneHandle); }
	FORCEINLINE constexpr void REGISTER_ENTITY_FOR_CUTSCENE(Ped cutscenePed, const char* cutsceneEntName, int p2, Hash modelHash, int p4) { return big::native_invoker::invoke<629, false, void>(cutscenePed, cutsceneEntName, p2, modelHash, p4); }
	FORCEINLINE constexpr Entity GET_ENTITY_INDEX_OF_REGISTERED_ENTITY(const char* cutsceneEntName, Hash modelHash) { return big::native_invoker::invoke<630, false, Entity>(cutsceneEntName, modelHash); }
	FORCEINLINE constexpr void SET_VEHICLE_MODEL_PLAYER_WILL_EXIT_SCENE(Hash modelHash) { return big::native_invoker::invoke<631, false, void>(modelHash); }
	FORCEINLINE constexpr void SET_CUTSCENE_TRIGGER_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<632, false, void>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL CAN_SET_ENTER_STATE_FOR_REGISTERED_ENTITY(const char* cutsceneEntName, Hash modelHash) { return big::native_invoker::invoke<633, false, BOOL>(cutsceneEntName, modelHash); }
	FORCEINLINE constexpr BOOL CAN_SET_EXIT_STATE_FOR_REGISTERED_ENTITY(const char* cutsceneEntName, Hash modelHash) { return big::native_invoker::invoke<634, false, BOOL>(cutsceneEntName, modelHash); }
	FORCEINLINE constexpr BOOL CAN_SET_EXIT_STATE_FOR_CAMERA(BOOL p0) { return big::native_invoker::invoke<635, false, BOOL>(p0); }
	FORCEINLINE constexpr void SET_PAD_CAN_SHAKE_DURING_CUTSCENE(BOOL toggle) { return big::native_invoker::invoke<636, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CUTSCENE_FADE_VALUES(BOOL p0, BOOL p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<637, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SET_CUTSCENE_MULTIHEAD_FADE(BOOL p0, BOOL p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<638, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SET_CUTSCENE_MULTIHEAD_FADE_MANUAL(BOOL p0) { return big::native_invoker::invoke<639, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_MULTIHEAD_FADE_UP() { return big::native_invoker::invoke<640, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_MOCAP_CUTSCENE_CAN_BE_SKIPPED(BOOL p0) { return big::native_invoker::invoke<641, false, void>(p0); }
	FORCEINLINE constexpr void SET_CAR_GENERATORS_CAN_UPDATE_DURING_CUTSCENE(BOOL p0) { return big::native_invoker::invoke<642, false, void>(p0); }
	FORCEINLINE constexpr BOOL CAN_USE_MOBILE_PHONE_DURING_CUTSCENE() { return big::native_invoker::invoke<643, false, BOOL>(); }
	FORCEINLINE constexpr void SET_CUTSCENE_CAN_BE_SKIPPED(BOOL p0) { return big::native_invoker::invoke<644, false, void>(p0); }
	FORCEINLINE constexpr void SET_CAN_DISPLAY_MINIMAP_DURING_CUTSCENE_THIS_UPDATE() { return big::native_invoker::invoke<645, false, void>(); }
	FORCEINLINE constexpr void SET_CUTSCENE_PED_COMPONENT_VARIATION(const char* cutsceneEntName, int componentId, int drawableId, int textureId, Hash modelHash) { return big::native_invoker::invoke<646, false, void>(cutsceneEntName, componentId, drawableId, textureId, modelHash); }
	FORCEINLINE constexpr void SET_CUTSCENE_PED_COMPONENT_VARIATION_FROM_PED(const char* cutsceneEntName, Ped ped, Hash modelHash) { return big::native_invoker::invoke<647, false, void>(cutsceneEntName, ped, modelHash); }
	FORCEINLINE constexpr BOOL DOES_CUTSCENE_ENTITY_EXIST(const char* cutsceneEntName, Hash modelHash) { return big::native_invoker::invoke<648, false, BOOL>(cutsceneEntName, modelHash); }
	FORCEINLINE constexpr void SET_CUTSCENE_PED_PROP_VARIATION(const char* cutsceneEntName, int componentId, int drawableId, int textureId, Hash modelHash) { return big::native_invoker::invoke<649, false, void>(cutsceneEntName, componentId, drawableId, textureId, modelHash); }
	FORCEINLINE constexpr BOOL HAS_CUTSCENE_CUT_THIS_FRAME() { return big::native_invoker::invoke<650, false, BOOL>(); }
}

namespace DATAFILE
{
	FORCEINLINE constexpr void DATAFILE_WATCH_REQUEST_ID(int requestId) { return big::native_invoker::invoke<651, false, void>(requestId); }
	FORCEINLINE constexpr void DATAFILE_CLEAR_WATCH_LIST() { return big::native_invoker::invoke<652, false, void>(); }
	FORCEINLINE constexpr BOOL DATAFILE_IS_VALID_REQUEST_ID(int index) { return big::native_invoker::invoke<653, false, BOOL>(index); }
	FORCEINLINE constexpr BOOL DATAFILE_HAS_LOADED_FILE_DATA(int requestId) { return big::native_invoker::invoke<654, false, BOOL>(requestId); }
	FORCEINLINE constexpr BOOL DATAFILE_HAS_VALID_FILE_DATA(int requestId) { return big::native_invoker::invoke<655, false, BOOL>(requestId); }
	FORCEINLINE constexpr BOOL DATAFILE_SELECT_ACTIVE_FILE(int requestId, Any p1) { return big::native_invoker::invoke<656, false, BOOL>(requestId, p1); }
	FORCEINLINE constexpr BOOL DATAFILE_DELETE_REQUESTED_FILE(int requestId) { return big::native_invoker::invoke<657, false, BOOL>(requestId); }
	FORCEINLINE constexpr BOOL UGC_CREATE_CONTENT(Any* data, int dataCount, const char* contentName, const char* description, const char* tagsCsv, const char* contentTypeName, BOOL publish, Any p7) { return big::native_invoker::invoke<658, false, BOOL>(data, dataCount, contentName, description, tagsCsv, contentTypeName, publish, p7); }
	FORCEINLINE constexpr BOOL UGC_CREATE_MISSION(const char* contentName, const char* description, const char* tagsCsv, const char* contentTypeName, BOOL publish, Any p5) { return big::native_invoker::invoke<659, false, BOOL>(contentName, description, tagsCsv, contentTypeName, publish, p5); }
	FORCEINLINE constexpr BOOL UGC_UPDATE_CONTENT(const char* contentId, Any* data, int dataCount, const char* contentName, const char* description, const char* tagsCsv, const char* contentTypeName, Any p7) { return big::native_invoker::invoke<660, false, BOOL>(contentId, data, dataCount, contentName, description, tagsCsv, contentTypeName, p7); }
	FORCEINLINE constexpr BOOL UGC_UPDATE_MISSION(const char* contentId, const char* contentName, const char* description, const char* tagsCsv, const char* contentTypeName, Any p5) { return big::native_invoker::invoke<661, false, BOOL>(contentId, contentName, description, tagsCsv, contentTypeName, p5); }
	FORCEINLINE constexpr BOOL UGC_SET_PLAYER_DATA(const char* contentId, float rating, const char* contentTypeName, Any p3) { return big::native_invoker::invoke<662, false, BOOL>(contentId, rating, contentTypeName, p3); }
	FORCEINLINE constexpr BOOL DATAFILE_SELECT_UGC_DATA(int p0, Any p1) { return big::native_invoker::invoke<663, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL DATAFILE_SELECT_UGC_STATS(int p0, BOOL p1, Any p2) { return big::native_invoker::invoke<664, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL DATAFILE_SELECT_UGC_PLAYER_DATA(int p0, Any p1) { return big::native_invoker::invoke<665, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL DATAFILE_SELECT_CREATOR_STATS(int p0, Any p1) { return big::native_invoker::invoke<666, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL DATAFILE_LOAD_OFFLINE_UGC(const char* filename, Any p1) { return big::native_invoker::invoke<667, false, BOOL>(filename, p1); }
	FORCEINLINE constexpr void DATAFILE_CREATE(int p0) { return big::native_invoker::invoke<668, false, void>(p0); }
	FORCEINLINE constexpr void DATAFILE_DELETE(int p0) { return big::native_invoker::invoke<669, false, void>(p0); }
	FORCEINLINE constexpr void DATAFILE_STORE_MISSION_HEADER(int p0) { return big::native_invoker::invoke<670, false, void>(p0); }
	FORCEINLINE constexpr void DATAFILE_FLUSH_MISSION_HEADER() { return big::native_invoker::invoke<671, false, void>(); }
	FORCEINLINE constexpr Any* DATAFILE_GET_FILE_DICT(int p0) { return big::native_invoker::invoke<672, false, Any*>(p0); }
	FORCEINLINE constexpr BOOL DATAFILE_START_SAVE_TO_CLOUD(const char* filename, Any p1) { return big::native_invoker::invoke<673, false, BOOL>(filename, p1); }
	FORCEINLINE constexpr BOOL DATAFILE_UPDATE_SAVE_TO_CLOUD(BOOL* p0) { return big::native_invoker::invoke<674, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL DATAFILE_IS_SAVE_PENDING() { return big::native_invoker::invoke<675, false, BOOL>(); }
	FORCEINLINE constexpr BOOL DATAFILE_LOAD_OFFLINE_UGC_FOR_ADDITIONAL_DATA_FILE(Any p0, Any p1) { return big::native_invoker::invoke<676, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void DATAFILE_DELETE_FOR_ADDITIONAL_DATA_FILE(Any p0) { return big::native_invoker::invoke<677, false, void>(p0); }
	FORCEINLINE constexpr Any* DATAFILE_GET_FILE_DICT_FOR_ADDITIONAL_DATA_FILE(Any p0) { return big::native_invoker::invoke<678, false, Any*>(p0); }
	FORCEINLINE constexpr void DATADICT_SET_BOOL(Any* objectData, const char* key, BOOL value) { return big::native_invoker::invoke<679, false, void>(objectData, key, value); }
	FORCEINLINE constexpr void DATADICT_SET_INT(Any* objectData, const char* key, int value) { return big::native_invoker::invoke<680, false, void>(objectData, key, value); }
	FORCEINLINE constexpr void DATADICT_SET_FLOAT(Any* objectData, const char* key, float value) { return big::native_invoker::invoke<681, false, void>(objectData, key, value); }
	FORCEINLINE constexpr void DATADICT_SET_STRING(Any* objectData, const char* key, const char* value) { return big::native_invoker::invoke<682, false, void>(objectData, key, value); }
	FORCEINLINE constexpr void DATADICT_SET_VECTOR(Any* objectData, const char* key, float valueX, float valueY, float valueZ) { return big::native_invoker::invoke<683, false, void>(objectData, key, valueX, valueY, valueZ); }
	FORCEINLINE constexpr Any* DATADICT_CREATE_DICT(Any* objectData, const char* key) { return big::native_invoker::invoke<684, false, Any*>(objectData, key); }
	FORCEINLINE constexpr Any* DATADICT_CREATE_ARRAY(Any* objectData, const char* key) { return big::native_invoker::invoke<685, false, Any*>(objectData, key); }
	FORCEINLINE constexpr BOOL DATADICT_GET_BOOL(Any* objectData, const char* key) { return big::native_invoker::invoke<686, false, BOOL>(objectData, key); }
	FORCEINLINE constexpr int DATADICT_GET_INT(Any* objectData, const char* key) { return big::native_invoker::invoke<687, false, int>(objectData, key); }
	FORCEINLINE constexpr float DATADICT_GET_FLOAT(Any* objectData, const char* key) { return big::native_invoker::invoke<688, false, float>(objectData, key); }
	FORCEINLINE constexpr const char* DATADICT_GET_STRING(Any* objectData, const char* key) { return big::native_invoker::invoke<689, false, const char*>(objectData, key); }
	FORCEINLINE constexpr Vector3 DATADICT_GET_VECTOR(Any* objectData, const char* key) { return big::native_invoker::invoke<690, false, Vector3>(objectData, key); }
	FORCEINLINE constexpr Any* DATADICT_GET_DICT(Any* objectData, const char* key) { return big::native_invoker::invoke<691, false, Any*>(objectData, key); }
	FORCEINLINE constexpr Any* DATADICT_GET_ARRAY(Any* objectData, const char* key) { return big::native_invoker::invoke<692, false, Any*>(objectData, key); }
	FORCEINLINE constexpr int DATADICT_GET_TYPE(Any* objectData, const char* key) { return big::native_invoker::invoke<693, false, int>(objectData, key); }
	FORCEINLINE constexpr void DATAARRAY_ADD_BOOL(Any* arrayData, BOOL value) { return big::native_invoker::invoke<694, false, void>(arrayData, value); }
	FORCEINLINE constexpr void DATAARRAY_ADD_INT(Any* arrayData, int value) { return big::native_invoker::invoke<695, false, void>(arrayData, value); }
	FORCEINLINE constexpr void DATAARRAY_ADD_FLOAT(Any* arrayData, float value) { return big::native_invoker::invoke<696, false, void>(arrayData, value); }
	FORCEINLINE constexpr void DATAARRAY_ADD_STRING(Any* arrayData, const char* value) { return big::native_invoker::invoke<697, false, void>(arrayData, value); }
	FORCEINLINE constexpr void DATAARRAY_ADD_VECTOR(Any* arrayData, float valueX, float valueY, float valueZ) { return big::native_invoker::invoke<698, false, void>(arrayData, valueX, valueY, valueZ); }
	FORCEINLINE constexpr Any* DATAARRAY_ADD_DICT(Any* arrayData) { return big::native_invoker::invoke<699, false, Any*>(arrayData); }
	FORCEINLINE constexpr BOOL DATAARRAY_GET_BOOL(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<700, false, BOOL>(arrayData, arrayIndex); }
	FORCEINLINE constexpr int DATAARRAY_GET_INT(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<701, false, int>(arrayData, arrayIndex); }
	FORCEINLINE constexpr float DATAARRAY_GET_FLOAT(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<702, false, float>(arrayData, arrayIndex); }
	FORCEINLINE constexpr const char* DATAARRAY_GET_STRING(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<703, false, const char*>(arrayData, arrayIndex); }
	FORCEINLINE constexpr Vector3 DATAARRAY_GET_VECTOR(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<704, false, Vector3>(arrayData, arrayIndex); }
	FORCEINLINE constexpr Any* DATAARRAY_GET_DICT(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<705, false, Any*>(arrayData, arrayIndex); }
	FORCEINLINE constexpr int DATAARRAY_GET_COUNT(Any* arrayData) { return big::native_invoker::invoke<706, false, int>(arrayData); }
	FORCEINLINE constexpr int DATAARRAY_GET_TYPE(Any* arrayData, int arrayIndex) { return big::native_invoker::invoke<707, false, int>(arrayData, arrayIndex); }
}

namespace DECORATOR
{
	FORCEINLINE constexpr BOOL DECOR_SET_TIME(Entity entity, const char* propertyName, int timestamp) { return big::native_invoker::invoke<708, false, BOOL>(entity, propertyName, timestamp); }
	FORCEINLINE constexpr BOOL DECOR_SET_BOOL(Entity entity, const char* propertyName, BOOL value) { return big::native_invoker::invoke<709, false, BOOL>(entity, propertyName, value); }
	FORCEINLINE constexpr BOOL DECOR_SET_FLOAT(Entity entity, const char* propertyName, float value) { return big::native_invoker::invoke<710, false, BOOL>(entity, propertyName, value); }
	FORCEINLINE constexpr BOOL DECOR_SET_INT(Entity entity, const char* propertyName, int value) { return big::native_invoker::invoke<711, false, BOOL>(entity, propertyName, value); }
	FORCEINLINE constexpr BOOL DECOR_GET_BOOL(Entity entity, const char* propertyName) { return big::native_invoker::invoke<712, false, BOOL>(entity, propertyName); }
	FORCEINLINE constexpr float DECOR_GET_FLOAT(Entity entity, const char* propertyName) { return big::native_invoker::invoke<713, false, float>(entity, propertyName); }
	FORCEINLINE constexpr int DECOR_GET_INT(Entity entity, const char* propertyName) { return big::native_invoker::invoke<714, false, int>(entity, propertyName); }
	FORCEINLINE constexpr BOOL DECOR_EXIST_ON(Entity entity, const char* propertyName) { return big::native_invoker::invoke<715, false, BOOL>(entity, propertyName); }
	FORCEINLINE constexpr BOOL DECOR_REMOVE(Entity entity, const char* propertyName) { return big::native_invoker::invoke<716, false, BOOL>(entity, propertyName); }
	FORCEINLINE constexpr void DECOR_REGISTER(const char* propertyName, int type) { return big::native_invoker::invoke<717, false, void>(propertyName, type); }
	FORCEINLINE constexpr BOOL DECOR_IS_REGISTERED_AS_TYPE(const char* propertyName, int type) { return big::native_invoker::invoke<718, false, BOOL>(propertyName, type); }
	FORCEINLINE constexpr void DECOR_REGISTER_LOCK() { return big::native_invoker::invoke<719, false, void>(); }
}

namespace DLC
{
	FORCEINLINE constexpr BOOL ARE_ANY_CCS_PENDING() { return big::native_invoker::invoke<720, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_DLC_PRESENT(Hash dlcHash) { return big::native_invoker::invoke<721, false, BOOL>(dlcHash); }
	FORCEINLINE constexpr BOOL DLC_CHECK_CLOUD_DATA_CORRECT() { return big::native_invoker::invoke<722, false, BOOL>(); }
	FORCEINLINE constexpr int GET_EXTRACONTENT_CLOUD_RESULT() { return big::native_invoker::invoke<723, false, int>(); }
	FORCEINLINE constexpr BOOL DLC_CHECK_COMPAT_PACK_CONFIGURATION() { return big::native_invoker::invoke<724, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_EVER_HAD_BAD_PACK_ORDER() { return big::native_invoker::invoke<725, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_IS_LOADING_SCREEN_ACTIVE() { return big::native_invoker::invoke<726, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_IS_INITIAL_LOADING_SCREEN_ACTIVE() { return big::native_invoker::invoke<727, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_CLOUD_REQUESTS_FINISHED(BOOL* p0, int unused) { return big::native_invoker::invoke<728, false, BOOL>(p0, unused); }
	FORCEINLINE constexpr void ON_ENTER_SP() { return big::native_invoker::invoke<729, false, void>(); }
	FORCEINLINE constexpr void ON_ENTER_MP() { return big::native_invoker::invoke<730, false, void>(); }
}

namespace ENTITY
{
	FORCEINLINE constexpr BOOL DOES_ENTITY_EXIST(Entity entity) { return big::native_invoker::invoke<731, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL DOES_ENTITY_BELONG_TO_THIS_SCRIPT(Entity entity, BOOL p1) { return big::native_invoker::invoke<732, false, BOOL>(entity, p1); }
	FORCEINLINE constexpr BOOL DOES_ENTITY_HAVE_DRAWABLE(Entity entity) { return big::native_invoker::invoke<733, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL DOES_ENTITY_HAVE_PHYSICS(Entity entity) { return big::native_invoker::invoke<734, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL DOES_ENTITY_HAVE_SKELETON(Entity entity) { return big::native_invoker::invoke<735, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL DOES_ENTITY_HAVE_ANIM_DIRECTOR(Entity entity) { return big::native_invoker::invoke<736, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_ANIM_FINISHED(Entity entity, const char* animDict, const char* animName, int p3) { return big::native_invoker::invoke<737, false, BOOL>(entity, animDict, animName, p3); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_BEEN_DAMAGED_BY_ANY_OBJECT(Entity entity) { return big::native_invoker::invoke<738, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_BEEN_DAMAGED_BY_ANY_PED(Entity entity) { return big::native_invoker::invoke<739, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_BEEN_DAMAGED_BY_ANY_VEHICLE(Entity entity) { return big::native_invoker::invoke<740, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_BEEN_DAMAGED_BY_ENTITY(Entity entity1, Entity entity2, BOOL p2) { return big::native_invoker::invoke<741, false, BOOL>(entity1, entity2, p2); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_CLEAR_LOS_TO_ENTITY(Entity entity1, Entity entity2, int traceType) { return big::native_invoker::invoke<742, false, BOOL>(entity1, entity2, traceType); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_CLEAR_LOS_TO_ENTITY_ADJUST_FOR_COVER(Entity entity1, Entity entity2, int traceType) { return big::native_invoker::invoke<743, false, BOOL>(entity1, entity2, traceType); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_CLEAR_LOS_TO_ENTITY_IN_FRONT(Entity entity1, Entity entity2) { return big::native_invoker::invoke<744, false, BOOL>(entity1, entity2); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_COLLIDED_WITH_ANYTHING(Entity entity) { return big::native_invoker::invoke<745, false, BOOL>(entity); }
	FORCEINLINE constexpr Entity _GET_LAST_ENTITY_HIT_BY_ENTITY(Entity entity) { return big::native_invoker::invoke<746, false, Entity>(entity); }
	FORCEINLINE constexpr Hash GET_LAST_MATERIAL_HIT_BY_ENTITY(Entity entity) { return big::native_invoker::invoke<747, false, Hash>(entity); }
	FORCEINLINE constexpr Vector3 GET_COLLISION_NORMAL_OF_LAST_HIT_FOR_ENTITY(Entity entity) { return big::native_invoker::invoke<748, false, Vector3>(entity); }
	FORCEINLINE constexpr void FORCE_ENTITY_AI_AND_ANIMATION_UPDATE(Entity entity) { return big::native_invoker::invoke<749, false, void>(entity); }
	FORCEINLINE constexpr float GET_ENTITY_ANIM_CURRENT_TIME(Entity entity, const char* animDict, const char* animName) { return big::native_invoker::invoke<750, false, float>(entity, animDict, animName); }
	FORCEINLINE constexpr float GET_ENTITY_ANIM_TOTAL_TIME(Entity entity, const char* animDict, const char* animName) { return big::native_invoker::invoke<751, false, float>(entity, animDict, animName); }
	FORCEINLINE constexpr float GET_ANIM_DURATION(const char* animDict, const char* animName) { return big::native_invoker::invoke<752, false, float>(animDict, animName); }
	FORCEINLINE constexpr Entity GET_ENTITY_ATTACHED_TO(Entity entity) { return big::native_invoker::invoke<753, false, Entity>(entity); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_COORDS(Entity entity, BOOL alive) { return big::native_invoker::invoke<754, false, Vector3>(entity, alive); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_FORWARD_VECTOR(Entity entity) { return big::native_invoker::invoke<755, false, Vector3>(entity); }
	FORCEINLINE constexpr float GET_ENTITY_FORWARD_X(Entity entity) { return big::native_invoker::invoke<756, false, float>(entity); }
	FORCEINLINE constexpr float GET_ENTITY_FORWARD_Y(Entity entity) { return big::native_invoker::invoke<757, false, float>(entity); }
	FORCEINLINE constexpr float GET_ENTITY_HEADING(Entity entity) { return big::native_invoker::invoke<758, false, float>(entity); }
	FORCEINLINE constexpr float GET_ENTITY_HEADING_FROM_EULERS(Entity entity) { return big::native_invoker::invoke<759, false, float>(entity); }
	FORCEINLINE constexpr int GET_ENTITY_HEALTH(Entity entity) { return big::native_invoker::invoke<760, false, int>(entity); }
	FORCEINLINE constexpr int GET_ENTITY_MAX_HEALTH(Entity entity) { return big::native_invoker::invoke<761, false, int>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_MAX_HEALTH(Entity entity, int value) { return big::native_invoker::invoke<762, false, void>(entity, value); }
	FORCEINLINE constexpr float GET_ENTITY_HEIGHT(Entity entity, float X, float Y, float Z, BOOL atTop, BOOL inWorldCoords) { return big::native_invoker::invoke<763, false, float>(entity, X, Y, Z, atTop, inWorldCoords); }
	FORCEINLINE constexpr float GET_ENTITY_HEIGHT_ABOVE_GROUND(Entity entity) { return big::native_invoker::invoke<764, false, float>(entity); }
	FORCEINLINE constexpr void GET_ENTITY_MATRIX(Entity entity, Vector3* forwardVector, Vector3* rightVector, Vector3* upVector, Vector3* position) { return big::native_invoker::invoke<765, true, void>(entity, forwardVector, rightVector, upVector, position); }
	FORCEINLINE constexpr Hash GET_ENTITY_MODEL(Entity entity) { return big::native_invoker::invoke<766, false, Hash>(entity); }
	FORCEINLINE constexpr Vector3 GET_OFFSET_FROM_ENTITY_GIVEN_WORLD_COORDS(Entity entity, float posX, float posY, float posZ) { return big::native_invoker::invoke<767, false, Vector3>(entity, posX, posY, posZ); }
	FORCEINLINE constexpr Vector3 GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(Entity entity, float offsetX, float offsetY, float offsetZ) { return big::native_invoker::invoke<768, false, Vector3>(entity, offsetX, offsetY, offsetZ); }
	FORCEINLINE constexpr float GET_ENTITY_PITCH(Entity entity) { return big::native_invoker::invoke<769, false, float>(entity); }
	FORCEINLINE constexpr void GET_ENTITY_QUATERNION(Entity entity, float* x, float* y, float* z, float* w) { return big::native_invoker::invoke<770, false, void>(entity, x, y, z, w); }
	FORCEINLINE constexpr float GET_ENTITY_ROLL(Entity entity) { return big::native_invoker::invoke<771, false, float>(entity); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_ROTATION(Entity entity, int rotationOrder) { return big::native_invoker::invoke<772, false, Vector3>(entity, rotationOrder); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_ROTATION_VELOCITY(Entity entity) { return big::native_invoker::invoke<773, false, Vector3>(entity); }
	FORCEINLINE constexpr const char* GET_ENTITY_SCRIPT(Entity entity, ScrHandle* script) { return big::native_invoker::invoke<774, false, const char*>(entity, script); }
	FORCEINLINE constexpr float GET_ENTITY_SPEED(Entity entity) { return big::native_invoker::invoke<775, false, float>(entity); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_SPEED_VECTOR(Entity entity, BOOL relative) { return big::native_invoker::invoke<776, false, Vector3>(entity, relative); }
	FORCEINLINE constexpr float GET_ENTITY_UPRIGHT_VALUE(Entity entity) { return big::native_invoker::invoke<777, false, float>(entity); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_VELOCITY(Entity entity) { return big::native_invoker::invoke<778, false, Vector3>(entity); }
	FORCEINLINE constexpr Object GET_OBJECT_INDEX_FROM_ENTITY_INDEX(Entity entity) { return big::native_invoker::invoke<779, false, Object>(entity); }
	FORCEINLINE constexpr Ped GET_PED_INDEX_FROM_ENTITY_INDEX(Entity entity) { return big::native_invoker::invoke<780, false, Ped>(entity); }
	FORCEINLINE constexpr Vehicle GET_VEHICLE_INDEX_FROM_ENTITY_INDEX(Entity entity) { return big::native_invoker::invoke<781, false, Vehicle>(entity); }
	FORCEINLINE constexpr Vector3 GET_WORLD_POSITION_OF_ENTITY_BONE(Entity entity, int boneIndex) { return big::native_invoker::invoke<782, false, Vector3>(entity, boneIndex); }
	FORCEINLINE constexpr Player GET_NEAREST_PLAYER_TO_ENTITY(Entity entity) { return big::native_invoker::invoke<783, false, Player>(entity); }
	FORCEINLINE constexpr Player GET_NEAREST_PLAYER_TO_ENTITY_ON_TEAM(Entity entity, int team) { return big::native_invoker::invoke<784, false, Player>(entity, team); }
	FORCEINLINE constexpr int GET_NEAREST_PARTICIPANT_TO_ENTITY(Entity entity) { return big::native_invoker::invoke<785, false, int>(entity); }
	FORCEINLINE constexpr int GET_ENTITY_TYPE(Entity entity) { return big::native_invoker::invoke<786, false, int>(entity); }
	FORCEINLINE constexpr int GET_ENTITY_POPULATION_TYPE(Entity entity) { return big::native_invoker::invoke<787, false, int>(entity); }
	FORCEINLINE constexpr BOOL IS_AN_ENTITY(ScrHandle handle) { return big::native_invoker::invoke<788, false, BOOL>(handle); }
	FORCEINLINE constexpr BOOL IS_ENTITY_A_PED(Entity entity) { return big::native_invoker::invoke<789, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_A_MISSION_ENTITY(Entity entity) { return big::native_invoker::invoke<790, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_A_VEHICLE(Entity entity) { return big::native_invoker::invoke<791, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_AN_OBJECT(Entity entity) { return big::native_invoker::invoke<792, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_AT_COORD(Entity entity, float xPos, float yPos, float zPos, float xSize, float ySize, float zSize, BOOL p7, BOOL p8, int p9) { return big::native_invoker::invoke<793, false, BOOL>(entity, xPos, yPos, zPos, xSize, ySize, zSize, p7, p8, p9); }
	FORCEINLINE constexpr BOOL IS_ENTITY_AT_ENTITY(Entity entity1, Entity entity2, float xSize, float ySize, float zSize, BOOL p5, BOOL p6, int p7) { return big::native_invoker::invoke<794, false, BOOL>(entity1, entity2, xSize, ySize, zSize, p5, p6, p7); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ATTACHED(Entity entity) { return big::native_invoker::invoke<795, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ATTACHED_TO_ANY_OBJECT(Entity entity) { return big::native_invoker::invoke<796, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ATTACHED_TO_ANY_PED(Entity entity) { return big::native_invoker::invoke<797, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ATTACHED_TO_ANY_VEHICLE(Entity entity) { return big::native_invoker::invoke<798, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ATTACHED_TO_ENTITY(Entity from, Entity to) { return big::native_invoker::invoke<799, false, BOOL>(from, to); }
	FORCEINLINE constexpr BOOL IS_ENTITY_DEAD(Entity entity, BOOL p1) { return big::native_invoker::invoke<800, false, BOOL>(entity, p1); }
	FORCEINLINE constexpr BOOL IS_ENTITY_IN_AIR(Entity entity) { return big::native_invoker::invoke<801, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_IN_ANGLED_AREA(Entity entity, float x1, float y1, float z1, float x2, float y2, float z2, float width, BOOL debug, BOOL includeZ, Any p10) { return big::native_invoker::invoke<802, false, BOOL>(entity, x1, y1, z1, x2, y2, z2, width, debug, includeZ, p10); }
	FORCEINLINE constexpr BOOL IS_ENTITY_IN_AREA(Entity entity, float x1, float y1, float z1, float x2, float y2, float z2, BOOL p7, BOOL p8, Any p9) { return big::native_invoker::invoke<803, false, BOOL>(entity, x1, y1, z1, x2, y2, z2, p7, p8, p9); }
	FORCEINLINE constexpr BOOL IS_ENTITY_IN_ZONE(Entity entity, const char* zone) { return big::native_invoker::invoke<804, false, BOOL>(entity, zone); }
	FORCEINLINE constexpr BOOL IS_ENTITY_IN_WATER(Entity entity) { return big::native_invoker::invoke<805, false, BOOL>(entity); }
	FORCEINLINE constexpr float GET_ENTITY_SUBMERGED_LEVEL(Entity entity) { return big::native_invoker::invoke<806, false, float>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_REQUIRES_MORE_EXPENSIVE_RIVER_CHECK(Entity entity, BOOL toggle) { return big::native_invoker::invoke<807, false, void>(entity, toggle); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ON_SCREEN(Entity entity) { return big::native_invoker::invoke<808, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_PLAYING_ANIM(Entity entity, const char* animDict, const char* animName, int taskFlag) { return big::native_invoker::invoke<809, false, BOOL>(entity, animDict, animName, taskFlag); }
	FORCEINLINE constexpr BOOL IS_ENTITY_STATIC(Entity entity) { return big::native_invoker::invoke<810, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_TOUCHING_ENTITY(Entity entity, Entity targetEntity) { return big::native_invoker::invoke<811, false, BOOL>(entity, targetEntity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_TOUCHING_MODEL(Entity entity, Hash modelHash) { return big::native_invoker::invoke<812, false, BOOL>(entity, modelHash); }
	FORCEINLINE constexpr BOOL IS_ENTITY_UPRIGHT(Entity entity, float angle) { return big::native_invoker::invoke<813, false, BOOL>(entity, angle); }
	FORCEINLINE constexpr BOOL IS_ENTITY_UPSIDEDOWN(Entity entity) { return big::native_invoker::invoke<814, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_VISIBLE(Entity entity) { return big::native_invoker::invoke<815, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_VISIBLE_TO_SCRIPT(Entity entity) { return big::native_invoker::invoke<816, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_OCCLUDED(Entity entity) { return big::native_invoker::invoke<817, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL WOULD_ENTITY_BE_OCCLUDED(Hash entityModelHash, float x, float y, float z, BOOL p4) { return big::native_invoker::invoke<818, false, BOOL>(entityModelHash, x, y, z, p4); }
	FORCEINLINE constexpr BOOL IS_ENTITY_WAITING_FOR_WORLD_COLLISION(Entity entity) { return big::native_invoker::invoke<819, false, BOOL>(entity); }
	FORCEINLINE constexpr void APPLY_FORCE_TO_ENTITY_CENTER_OF_MASS(Entity entity, int forceType, float x, float y, float z, BOOL p5, BOOL isDirectionRel, BOOL isForceRel, BOOL p8) { return big::native_invoker::invoke<820, false, void>(entity, forceType, x, y, z, p5, isDirectionRel, isForceRel, p8); }
	FORCEINLINE constexpr void APPLY_FORCE_TO_ENTITY(Entity entity, int forceFlags, float x, float y, float z, float offX, float offY, float offZ, int boneIndex, BOOL isDirectionRel, BOOL ignoreUpVec, BOOL isForceRel, BOOL p12, BOOL p13) { return big::native_invoker::invoke<821, false, void>(entity, forceFlags, x, y, z, offX, offY, offZ, boneIndex, isDirectionRel, ignoreUpVec, isForceRel, p12, p13); }
	FORCEINLINE constexpr void ATTACH_ENTITY_TO_ENTITY(Entity entity1, Entity entity2, int boneIndex, float xPos, float yPos, float zPos, float xRot, float yRot, float zRot, BOOL p9, BOOL useSoftPinning, BOOL collision, BOOL isPed, int vertexIndex, BOOL fixedRot, Any p15) { return big::native_invoker::invoke<822, false, void>(entity1, entity2, boneIndex, xPos, yPos, zPos, xRot, yRot, zRot, p9, useSoftPinning, collision, isPed, vertexIndex, fixedRot, p15); }
	FORCEINLINE constexpr void ATTACH_ENTITY_BONE_TO_ENTITY_BONE(Entity entity1, Entity entity2, int boneIndex1, int boneIndex2, BOOL p4, BOOL p5) { return big::native_invoker::invoke<823, false, void>(entity1, entity2, boneIndex1, boneIndex2, p4, p5); }
	FORCEINLINE constexpr void ATTACH_ENTITY_BONE_TO_ENTITY_BONE_Y_FORWARD(Entity entity1, Entity entity2, int boneIndex1, int boneIndex2, BOOL p4, BOOL p5) { return big::native_invoker::invoke<824, false, void>(entity1, entity2, boneIndex1, boneIndex2, p4, p5); }
	FORCEINLINE constexpr void ATTACH_ENTITY_TO_ENTITY_PHYSICALLY(Entity entity1, Entity entity2, int boneIndex1, int boneIndex2, float xPos1, float yPos1, float zPos1, float xPos2, float yPos2, float zPos2, float xRot, float yRot, float zRot, float breakForce, BOOL fixedRot, BOOL p15, BOOL collision, BOOL p17, int p18) { return big::native_invoker::invoke<825, false, void>(entity1, entity2, boneIndex1, boneIndex2, xPos1, yPos1, zPos1, xPos2, yPos2, zPos2, xRot, yRot, zRot, breakForce, fixedRot, p15, collision, p17, p18); }
	FORCEINLINE constexpr void ATTACH_ENTITY_TO_ENTITY_PHYSICALLY_OVERRIDE_INVERSE_MASS(Entity firstEntityIndex, Entity secondEntityIndex, int firstEntityBoneIndex, int secondEntityBoneIndex, float secondEntityOffsetX, float secondEntityOffsetY, float secondEntityOffsetZ, float firstEntityOffsetX, float firstEntityOffsetY, float firstEntityOffsetZ, float vecRotationX, float vecRotationY, float vecRotationZ, float physicalStrength, BOOL constrainRotation, BOOL doInitialWarp, BOOL collideWithEntity, BOOL addInitialSeperation, int rotOrder, float invMassScaleA, float invMassScaleB) { return big::native_invoker::invoke<826, false, void>(firstEntityIndex, secondEntityIndex, firstEntityBoneIndex, secondEntityBoneIndex, secondEntityOffsetX, secondEntityOffsetY, secondEntityOffsetZ, firstEntityOffsetX, firstEntityOffsetY, firstEntityOffsetZ, vecRotationX, vecRotationY, vecRotationZ, physicalStrength, constrainRotation, doInitialWarp, collideWithEntity, addInitialSeperation, rotOrder, invMassScaleA, invMassScaleB); }
	FORCEINLINE constexpr void PROCESS_ENTITY_ATTACHMENTS(Entity entity) { return big::native_invoker::invoke<827, false, void>(entity); }
	FORCEINLINE constexpr int GET_ENTITY_BONE_INDEX_BY_NAME(Entity entity, const char* boneName) { return big::native_invoker::invoke<828, false, int>(entity, boneName); }
	FORCEINLINE constexpr void CLEAR_ENTITY_LAST_DAMAGE_ENTITY(Entity entity) { return big::native_invoker::invoke<829, false, void>(entity); }
	FORCEINLINE constexpr void DELETE_ENTITY(Entity* entity) { return big::native_invoker::invoke<830, false, void>(entity); }
	FORCEINLINE constexpr void DETACH_ENTITY(Entity entity, BOOL dynamic, BOOL collision) { return big::native_invoker::invoke<831, false, void>(entity, dynamic, collision); }
	FORCEINLINE constexpr void FREEZE_ENTITY_POSITION(Entity entity, BOOL toggle) { return big::native_invoker::invoke<832, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_SHOULD_FREEZE_WAITING_ON_COLLISION(Entity entity, BOOL toggle) { return big::native_invoker::invoke<833, false, void>(entity, toggle); }
	FORCEINLINE constexpr BOOL PLAY_ENTITY_ANIM(Entity entity, const char* animName, const char* animDict, float p3, BOOL loop, BOOL stayInAnim, BOOL p6, float delta, Any bitset) { return big::native_invoker::invoke<834, false, BOOL>(entity, animName, animDict, p3, loop, stayInAnim, p6, delta, bitset); }
	FORCEINLINE constexpr BOOL PLAY_SYNCHRONIZED_ENTITY_ANIM(Entity entity, int syncedScene, const char* animation, const char* propName, float p4, float p5, Any p6, float p7) { return big::native_invoker::invoke<835, false, BOOL>(entity, syncedScene, animation, propName, p4, p5, p6, p7); }
	FORCEINLINE constexpr BOOL PLAY_SYNCHRONIZED_MAP_ENTITY_ANIM(float x1, float y1, float z1, float x2, Any y2, float z2, const char* p6, const char* p7, float p8, float p9, Any p10, float p11) { return big::native_invoker::invoke<836, false, BOOL>(x1, y1, z1, x2, y2, z2, p6, p7, p8, p9, p10, p11); }
	FORCEINLINE constexpr BOOL STOP_SYNCHRONIZED_MAP_ENTITY_ANIM(float x1, float y1, float z1, float x2, Any y2, float z2) { return big::native_invoker::invoke<837, false, BOOL>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL STOP_ENTITY_ANIM(Entity entity, const char* animation, const char* animGroup, float p3) { return big::native_invoker::invoke<838, false, BOOL>(entity, animation, animGroup, p3); }
	FORCEINLINE constexpr BOOL STOP_SYNCHRONIZED_ENTITY_ANIM(Entity entity, float p1, BOOL p2) { return big::native_invoker::invoke<839, false, BOOL>(entity, p1, p2); }
	FORCEINLINE constexpr BOOL HAS_ANIM_EVENT_FIRED(Entity entity, Hash actionHash) { return big::native_invoker::invoke<840, false, BOOL>(entity, actionHash); }
	FORCEINLINE constexpr BOOL FIND_ANIM_EVENT_PHASE(const char* animDictionary, const char* animName, const char* p2, Any* p3, Any* p4) { return big::native_invoker::invoke<841, false, BOOL>(animDictionary, animName, p2, p3, p4); }
	FORCEINLINE constexpr void SET_ENTITY_ANIM_CURRENT_TIME(Entity entity, const char* animDictionary, const char* animName, float time) { return big::native_invoker::invoke<842, false, void>(entity, animDictionary, animName, time); }
	FORCEINLINE constexpr void SET_ENTITY_ANIM_SPEED(Entity entity, const char* animDictionary, const char* animName, float speedMultiplier) { return big::native_invoker::invoke<843, false, void>(entity, animDictionary, animName, speedMultiplier); }
	FORCEINLINE constexpr void SET_ENTITY_AS_MISSION_ENTITY(Entity entity, BOOL p1, BOOL p2) { return big::native_invoker::invoke<844, false, void>(entity, p1, p2); }
	FORCEINLINE constexpr void SET_ENTITY_AS_NO_LONGER_NEEDED(Entity* entity) { return big::native_invoker::invoke<845, false, void>(entity); }
	FORCEINLINE constexpr void SET_PED_AS_NO_LONGER_NEEDED(Ped* ped) { return big::native_invoker::invoke<846, false, void>(ped); }
	FORCEINLINE constexpr void SET_VEHICLE_AS_NO_LONGER_NEEDED(Vehicle* vehicle) { return big::native_invoker::invoke<847, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_OBJECT_AS_NO_LONGER_NEEDED(Object* object) { return big::native_invoker::invoke<848, false, void>(object); }
	FORCEINLINE constexpr void SET_ENTITY_CAN_BE_DAMAGED(Entity entity, BOOL toggle) { return big::native_invoker::invoke<849, false, void>(entity, toggle); }
	FORCEINLINE constexpr BOOL GET_ENTITY_CAN_BE_DAMAGED(Entity entity) { return big::native_invoker::invoke<850, false, BOOL>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_CAN_BE_DAMAGED_BY_RELATIONSHIP_GROUP(Entity entity, BOOL bCanBeDamaged, int relGroup) { return big::native_invoker::invoke<851, false, void>(entity, bCanBeDamaged, relGroup); }
	FORCEINLINE constexpr void SET_ENTITY_CAN_ONLY_BE_DAMAGED_BY_SCRIPT_PARTICIPANTS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<852, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_CAN_BE_TARGETED_WITHOUT_LOS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<853, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_COLLISION(Entity entity, BOOL toggle, BOOL keepPhysics) { return big::native_invoker::invoke<854, false, void>(entity, toggle, keepPhysics); }
	FORCEINLINE constexpr BOOL GET_ENTITY_COLLISION_DISABLED(Entity entity) { return big::native_invoker::invoke<855, false, BOOL>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_COMPLETELY_DISABLE_COLLISION(Entity entity, BOOL toggle, BOOL keepPhysics) { return big::native_invoker::invoke<856, false, void>(entity, toggle, keepPhysics); }
	FORCEINLINE constexpr void SET_ENTITY_COORDS(Entity entity, float xPos, float yPos, float zPos, BOOL xAxis, BOOL yAxis, BOOL zAxis, BOOL clearArea) { return big::native_invoker::invoke<857, false, void>(entity, xPos, yPos, zPos, xAxis, yAxis, zAxis, clearArea); }
	FORCEINLINE constexpr void SET_ENTITY_COORDS_WITHOUT_PLANTS_RESET(Entity entity, float xPos, float yPos, float zPos, BOOL alive, BOOL deadFlag, BOOL ragdollFlag, BOOL clearArea) { return big::native_invoker::invoke<858, false, void>(entity, xPos, yPos, zPos, alive, deadFlag, ragdollFlag, clearArea); }
	FORCEINLINE constexpr void SET_ENTITY_COORDS_NO_OFFSET(Entity entity, float xPos, float yPos, float zPos, BOOL xAxis, BOOL yAxis, BOOL zAxis) { return big::native_invoker::invoke<859, false, void>(entity, xPos, yPos, zPos, xAxis, yAxis, zAxis); }
	FORCEINLINE constexpr void SET_ENTITY_DYNAMIC(Entity entity, BOOL toggle) { return big::native_invoker::invoke<860, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_HEADING(Entity entity, float heading) { return big::native_invoker::invoke<861, false, void>(entity, heading); }
	FORCEINLINE constexpr void SET_ENTITY_HEALTH(Entity entity, int health, Entity instigator, Hash weaponType) { return big::native_invoker::invoke<862, false, void>(entity, health, instigator, weaponType); }
	FORCEINLINE constexpr void SET_ENTITY_INVINCIBLE(Entity entity, BOOL toggle) { return big::native_invoker::invoke<863, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_IS_TARGET_PRIORITY(Entity entity, BOOL p1, float p2) { return big::native_invoker::invoke<864, false, void>(entity, p1, p2); }
	FORCEINLINE constexpr void SET_ENTITY_LIGHTS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<865, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_LOAD_COLLISION_FLAG(Entity entity, BOOL toggle, Any p2) { return big::native_invoker::invoke<866, false, void>(entity, toggle, p2); }
	FORCEINLINE constexpr BOOL HAS_COLLISION_LOADED_AROUND_ENTITY(Entity entity) { return big::native_invoker::invoke<867, false, BOOL>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_MAX_SPEED(Entity entity, float speed) { return big::native_invoker::invoke<868, false, void>(entity, speed); }
	FORCEINLINE constexpr void SET_ENTITY_ONLY_DAMAGED_BY_PLAYER(Entity entity, BOOL toggle) { return big::native_invoker::invoke<869, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_ONLY_DAMAGED_BY_RELATIONSHIP_GROUP(Entity entity, BOOL p1, Any p2) { return big::native_invoker::invoke<870, false, void>(entity, p1, p2); }
	FORCEINLINE constexpr void SET_ENTITY_PROOFS(Entity entity, BOOL bulletProof, BOOL fireProof, BOOL explosionProof, BOOL collisionProof, BOOL meleeProof, BOOL steamProof, BOOL p7, BOOL waterProof) { return big::native_invoker::invoke<871, false, void>(entity, bulletProof, fireProof, explosionProof, collisionProof, meleeProof, steamProof, p7, waterProof); }
	FORCEINLINE constexpr BOOL GET_ENTITY_PROOFS(Entity entity, BOOL* bulletProof, BOOL* fireProof, BOOL* explosionProof, BOOL* collisionProof, BOOL* meleeProof, BOOL* steamProof, BOOL* p7, BOOL* drownProof) { return big::native_invoker::invoke<872, false, BOOL>(entity, bulletProof, fireProof, explosionProof, collisionProof, meleeProof, steamProof, p7, drownProof); }
	FORCEINLINE constexpr void SET_ENTITY_QUATERNION(Entity entity, float x, float y, float z, float w) { return big::native_invoker::invoke<873, false, void>(entity, x, y, z, w); }
	FORCEINLINE constexpr void SET_ENTITY_RECORDS_COLLISIONS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<874, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_ROTATION(Entity entity, float pitch, float roll, float yaw, int rotationOrder, BOOL p5) { return big::native_invoker::invoke<875, false, void>(entity, pitch, roll, yaw, rotationOrder, p5); }
	FORCEINLINE constexpr void SET_ENTITY_VISIBLE(Entity entity, BOOL toggle, BOOL p2) { return big::native_invoker::invoke<876, false, void>(entity, toggle, p2); }
	FORCEINLINE constexpr void SET_ENTITY_WATER_REFLECTION_FLAG(Entity entity, BOOL toggle) { return big::native_invoker::invoke<877, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_MIRROR_REFLECTION_FLAG(Entity entity, BOOL p1) { return big::native_invoker::invoke<878, false, void>(entity, p1); }
	FORCEINLINE constexpr void SET_ENTITY_VELOCITY(Entity entity, float x, float y, float z) { return big::native_invoker::invoke<879, false, void>(entity, x, y, z); }
	FORCEINLINE constexpr void SET_ENTITY_ANGULAR_VELOCITY(Entity entity, float x, float y, float z) { return big::native_invoker::invoke<880, false, void>(entity, x, y, z); }
	FORCEINLINE constexpr void SET_ENTITY_HAS_GRAVITY(Entity entity, BOOL toggle) { return big::native_invoker::invoke<881, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_LOD_DIST(Entity entity, int value) { return big::native_invoker::invoke<882, false, void>(entity, value); }
	FORCEINLINE constexpr int GET_ENTITY_LOD_DIST(Entity entity) { return big::native_invoker::invoke<883, false, int>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_ALPHA(Entity entity, int alphaLevel, BOOL skin) { return big::native_invoker::invoke<884, false, void>(entity, alphaLevel, skin); }
	FORCEINLINE constexpr int GET_ENTITY_ALPHA(Entity entity) { return big::native_invoker::invoke<885, false, int>(entity); }
	FORCEINLINE constexpr void RESET_ENTITY_ALPHA(Entity entity) { return big::native_invoker::invoke<886, false, void>(entity); }
	FORCEINLINE constexpr void RESET_PICKUP_ENTITY_GLOW(Entity entity) { return big::native_invoker::invoke<887, false, void>(entity); }
	FORCEINLINE constexpr void SET_PICKUP_COLLIDES_WITH_PROJECTILES(Any p0, Any p1) { return big::native_invoker::invoke<888, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_ENTITY_SORT_BIAS(Entity entity, float p1) { return big::native_invoker::invoke<889, false, void>(entity, p1); }
	FORCEINLINE constexpr void SET_ENTITY_ALWAYS_PRERENDER(Entity entity, BOOL toggle) { return big::native_invoker::invoke<890, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_RENDER_SCORCHED(Entity entity, BOOL toggle) { return big::native_invoker::invoke<891, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_TRAFFICLIGHT_OVERRIDE(Entity entity, int state) { return big::native_invoker::invoke<892, false, void>(entity, state); }
	FORCEINLINE constexpr void SET_ENTITY_IS_IN_VEHICLE(Entity entity) { return big::native_invoker::invoke<893, false, void>(entity); }
	FORCEINLINE constexpr void CREATE_MODEL_SWAP(float x, float y, float z, float radius, Hash originalModel, Hash newModel, BOOL p6) { return big::native_invoker::invoke<894, false, void>(x, y, z, radius, originalModel, newModel, p6); }
	FORCEINLINE constexpr void REMOVE_MODEL_SWAP(float x, float y, float z, float radius, Hash originalModel, Hash newModel, BOOL p6) { return big::native_invoker::invoke<895, false, void>(x, y, z, radius, originalModel, newModel, p6); }
	FORCEINLINE constexpr void CREATE_MODEL_HIDE(float x, float y, float z, float radius, Hash modelHash, BOOL p5) { return big::native_invoker::invoke<896, false, void>(x, y, z, radius, modelHash, p5); }
	FORCEINLINE constexpr void CREATE_MODEL_HIDE_EXCLUDING_SCRIPT_OBJECTS(float x, float y, float z, float radius, Hash modelHash, BOOL p5) { return big::native_invoker::invoke<897, false, void>(x, y, z, radius, modelHash, p5); }
	FORCEINLINE constexpr void REMOVE_MODEL_HIDE(float x, float y, float z, float radius, Hash modelHash, BOOL p5) { return big::native_invoker::invoke<898, false, void>(x, y, z, radius, modelHash, p5); }
	FORCEINLINE constexpr void CREATE_FORCED_OBJECT(float x, float y, float z, Any p3, Hash modelHash, BOOL p5) { return big::native_invoker::invoke<899, false, void>(x, y, z, p3, modelHash, p5); }
	FORCEINLINE constexpr void REMOVE_FORCED_OBJECT(float x, float y, float z, float p3, Hash modelHash) { return big::native_invoker::invoke<900, false, void>(x, y, z, p3, modelHash); }
	FORCEINLINE constexpr void SET_ENTITY_NO_COLLISION_ENTITY(Entity entity1, Entity entity2, BOOL thisFrameOnly) { return big::native_invoker::invoke<901, false, void>(entity1, entity2, thisFrameOnly); }
	FORCEINLINE constexpr void SET_ENTITY_MOTION_BLUR(Entity entity, BOOL toggle) { return big::native_invoker::invoke<902, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_CAN_AUTO_VAULT_ON_ENTITY(Entity entity, BOOL toggle) { return big::native_invoker::invoke<903, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_CAN_CLIMB_ON_ENTITY(Entity entity, BOOL toggle) { return big::native_invoker::invoke<904, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_WAIT_FOR_COLLISIONS_BEFORE_PROBE(Entity entity, BOOL toggle) { return big::native_invoker::invoke<905, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_NOWEAPONDECALS(Entity entity, BOOL p1) { return big::native_invoker::invoke<906, false, void>(entity, p1); }
	FORCEINLINE constexpr void SET_ENTITY_USE_MAX_DISTANCE_FOR_WATER_REFLECTION(Entity entity, BOOL p1) { return big::native_invoker::invoke<907, false, void>(entity, p1); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_BONE_ROTATION(Entity entity, int boneIndex) { return big::native_invoker::invoke<908, false, Vector3>(entity, boneIndex); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_BONE_POSTION(Entity entity, int boneIndex) { return big::native_invoker::invoke<909, false, Vector3>(entity, boneIndex); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_BONE_OBJECT_ROTATION(Entity entity, int boneIndex) { return big::native_invoker::invoke<910, false, Vector3>(entity, boneIndex); }
	FORCEINLINE constexpr Vector3 GET_ENTITY_BONE_OBJECT_POSTION(Entity entity, int boneIndex) { return big::native_invoker::invoke<911, false, Vector3>(entity, boneIndex); }
	FORCEINLINE constexpr int GET_ENTITY_BONE_COUNT(Entity entity) { return big::native_invoker::invoke<912, false, int>(entity); }
	FORCEINLINE constexpr void ENABLE_ENTITY_BULLET_COLLISION(Entity entity) { return big::native_invoker::invoke<913, false, void>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_CAN_ONLY_BE_DAMAGED_BY_ENTITY(Entity entity1, Entity entity2) { return big::native_invoker::invoke<914, false, void>(entity1, entity2); }
	FORCEINLINE constexpr void SET_ENTITY_CANT_CAUSE_COLLISION_DAMAGED_ENTITY(Entity entity1, Entity entity2) { return big::native_invoker::invoke<915, false, void>(entity1, entity2); }
	FORCEINLINE constexpr void SET_ALLOW_MIGRATE_TO_SPECTATOR(Entity entity, Any p1) { return big::native_invoker::invoke<916, false, void>(entity, p1); }
	FORCEINLINE constexpr Entity GET_ENTITY_OF_TYPE_ATTACHED_TO_ENTITY(Entity entity, Hash modelHash) { return big::native_invoker::invoke<917, false, Entity>(entity, modelHash); }
	FORCEINLINE constexpr void SET_PICK_UP_BY_CARGOBOB_DISABLED(Entity entity, BOOL toggle) { return big::native_invoker::invoke<918, false, void>(entity, toggle); }
}

namespace EVENT
{
	FORCEINLINE constexpr void SET_DECISION_MAKER(Ped ped, Hash name) { return big::native_invoker::invoke<919, false, void>(ped, name); }
	FORCEINLINE constexpr void CLEAR_DECISION_MAKER_EVENT_RESPONSE(Hash name, int eventType) { return big::native_invoker::invoke<920, false, void>(name, eventType); }
	FORCEINLINE constexpr void BLOCK_DECISION_MAKER_EVENT(Hash name, int eventType) { return big::native_invoker::invoke<921, false, void>(name, eventType); }
	FORCEINLINE constexpr void UNBLOCK_DECISION_MAKER_EVENT(Hash name, int eventType) { return big::native_invoker::invoke<922, false, void>(name, eventType); }
	FORCEINLINE constexpr int ADD_SHOCKING_EVENT_AT_POSITION(int eventType, float x, float y, float z, float duration) { return big::native_invoker::invoke<923, false, int>(eventType, x, y, z, duration); }
	FORCEINLINE constexpr int ADD_SHOCKING_EVENT_FOR_ENTITY(int eventType, Entity entity, float duration) { return big::native_invoker::invoke<924, false, int>(eventType, entity, duration); }
	FORCEINLINE constexpr BOOL IS_SHOCKING_EVENT_IN_SPHERE(int eventType, float x, float y, float z, float radius) { return big::native_invoker::invoke<925, false, BOOL>(eventType, x, y, z, radius); }
	FORCEINLINE constexpr BOOL REMOVE_SHOCKING_EVENT(ScrHandle event) { return big::native_invoker::invoke<926, false, BOOL>(event); }
	FORCEINLINE constexpr void REMOVE_ALL_SHOCKING_EVENTS(BOOL p0) { return big::native_invoker::invoke<927, false, void>(p0); }
	FORCEINLINE constexpr void REMOVE_SHOCKING_EVENT_SPAWN_BLOCKING_AREAS() { return big::native_invoker::invoke<928, false, void>(); }
	FORCEINLINE constexpr void SUPPRESS_SHOCKING_EVENTS_NEXT_FRAME() { return big::native_invoker::invoke<929, false, void>(); }
	FORCEINLINE constexpr void SUPPRESS_SHOCKING_EVENT_TYPE_NEXT_FRAME(int eventType) { return big::native_invoker::invoke<930, false, void>(eventType); }
	FORCEINLINE constexpr void SUPPRESS_AGITATION_EVENTS_NEXT_FRAME() { return big::native_invoker::invoke<931, false, void>(); }
}

namespace FILES
{
	FORCEINLINE constexpr int GET_NUM_TATTOO_SHOP_DLC_ITEMS(int character) { return big::native_invoker::invoke<932, false, int>(character); }
	FORCEINLINE constexpr BOOL GET_TATTOO_SHOP_DLC_ITEM_DATA(int characterType, int decorationIndex, Any* outComponent) { return big::native_invoker::invoke<933, false, BOOL>(characterType, decorationIndex, outComponent); }
	FORCEINLINE constexpr int GET_TATTOO_SHOP_DLC_ITEM_INDEX(Hash overlayHash, Any p1, int character) { return big::native_invoker::invoke<934, false, int>(overlayHash, p1, character); }
	FORCEINLINE constexpr void INIT_SHOP_PED_COMPONENT(Any* outComponent) { return big::native_invoker::invoke<935, false, void>(outComponent); }
	FORCEINLINE constexpr void INIT_SHOP_PED_PROP(Any* outProp) { return big::native_invoker::invoke<936, false, void>(outProp); }
	FORCEINLINE constexpr int SETUP_SHOP_PED_APPAREL_QUERY(int p0, int p1, int p2, int p3) { return big::native_invoker::invoke<937, false, int>(p0, p1, p2, p3); }
	FORCEINLINE constexpr int SETUP_SHOP_PED_APPAREL_QUERY_TU(int character, int p1, int p2, BOOL p3, int p4, int componentId) { return big::native_invoker::invoke<938, false, int>(character, p1, p2, p3, p4, componentId); }
	FORCEINLINE constexpr void GET_SHOP_PED_QUERY_COMPONENT(int componentId, Any* outComponent) { return big::native_invoker::invoke<939, false, void>(componentId, outComponent); }
	FORCEINLINE constexpr int GET_SHOP_PED_QUERY_COMPONENT_INDEX(Hash componentHash) { return big::native_invoker::invoke<940, false, int>(componentHash); }
	FORCEINLINE constexpr void GET_SHOP_PED_COMPONENT(Hash componentHash, Any* outComponent) { return big::native_invoker::invoke<941, false, void>(componentHash, outComponent); }
	FORCEINLINE constexpr void GET_SHOP_PED_QUERY_PROP(int componentId, Any* outProp) { return big::native_invoker::invoke<942, false, void>(componentId, outProp); }
	FORCEINLINE constexpr int GET_SHOP_PED_QUERY_PROP_INDEX(Hash componentHash) { return big::native_invoker::invoke<943, false, int>(componentHash); }
	FORCEINLINE constexpr void GET_SHOP_PED_PROP(Hash componentHash, Any* outProp) { return big::native_invoker::invoke<944, false, void>(componentHash, outProp); }
	FORCEINLINE constexpr Hash GET_HASH_NAME_FOR_COMPONENT(Entity entity, int componentId, int drawableVariant, int textureVariant) { return big::native_invoker::invoke<945, false, Hash>(entity, componentId, drawableVariant, textureVariant); }
	FORCEINLINE constexpr Hash GET_HASH_NAME_FOR_PROP(Entity entity, int componentId, int propIndex, int propTextureIndex) { return big::native_invoker::invoke<946, false, Hash>(entity, componentId, propIndex, propTextureIndex); }
	FORCEINLINE constexpr int GET_SHOP_PED_APPAREL_VARIANT_COMPONENT_COUNT(Hash componentHash) { return big::native_invoker::invoke<947, false, int>(componentHash); }
	FORCEINLINE constexpr int GET_SHOP_PED_APPAREL_VARIANT_PROP_COUNT(Hash propHash) { return big::native_invoker::invoke<948, false, int>(propHash); }
	FORCEINLINE constexpr void GET_VARIANT_COMPONENT(Hash componentHash, int variantComponentIndex, Hash* nameHash, int* enumValue, int* componentType) { return big::native_invoker::invoke<949, false, void>(componentHash, variantComponentIndex, nameHash, enumValue, componentType); }
	FORCEINLINE constexpr void GET_VARIANT_PROP(Hash componentHash, int variantPropIndex, Hash* nameHash, int* enumValue, int* anchorPoint) { return big::native_invoker::invoke<950, false, void>(componentHash, variantPropIndex, nameHash, enumValue, anchorPoint); }
	FORCEINLINE constexpr int GET_SHOP_PED_APPAREL_FORCED_COMPONENT_COUNT(Hash componentHash) { return big::native_invoker::invoke<951, false, int>(componentHash); }
	FORCEINLINE constexpr int GET_SHOP_PED_APPAREL_FORCED_PROP_COUNT(Hash componentHash) { return big::native_invoker::invoke<952, false, int>(componentHash); }
	FORCEINLINE constexpr void GET_FORCED_COMPONENT(Hash componentHash, int forcedComponentIndex, Hash* nameHash, int* enumValue, int* componentType) { return big::native_invoker::invoke<953, false, void>(componentHash, forcedComponentIndex, nameHash, enumValue, componentType); }
	FORCEINLINE constexpr void GET_FORCED_PROP(Hash componentHash, int forcedPropIndex, Hash* nameHash, int* enumValue, int* anchorPoint) { return big::native_invoker::invoke<954, false, void>(componentHash, forcedPropIndex, nameHash, enumValue, anchorPoint); }
	FORCEINLINE constexpr BOOL DOES_SHOP_PED_APPAREL_HAVE_RESTRICTION_TAG(Hash componentHash, Hash restrictionTagHash, int componentId) { return big::native_invoker::invoke<955, false, BOOL>(componentHash, restrictionTagHash, componentId); }
	FORCEINLINE constexpr BOOL DOES_CURRENT_PED_COMPONENT_HAVE_RESTRICTION_TAG(Ped ped, int componentId, Hash restrictionTagHash) { return big::native_invoker::invoke<956, false, BOOL>(ped, componentId, restrictionTagHash); }
	FORCEINLINE constexpr BOOL DOES_CURRENT_PED_PROP_HAVE_RESTRICTION_TAG(Ped ped, int componentId, Hash restrictionTagHash) { return big::native_invoker::invoke<957, false, BOOL>(ped, componentId, restrictionTagHash); }
	FORCEINLINE constexpr int SETUP_SHOP_PED_OUTFIT_QUERY(int character, BOOL p1) { return big::native_invoker::invoke<958, false, int>(character, p1); }
	FORCEINLINE constexpr void GET_SHOP_PED_QUERY_OUTFIT(int outfitIndex, Any* outfit) { return big::native_invoker::invoke<959, false, void>(outfitIndex, outfit); }
	FORCEINLINE constexpr void GET_SHOP_PED_OUTFIT(Any p0, Any* p1) { return big::native_invoker::invoke<960, false, void>(p0, p1); }
	FORCEINLINE constexpr int GET_SHOP_PED_OUTFIT_LOCATE(Any p0) { return big::native_invoker::invoke<961, false, int>(p0); }
	FORCEINLINE constexpr BOOL GET_SHOP_PED_OUTFIT_PROP_VARIANT(Hash outfitHash, int variantIndex, Any* outPropVariant) { return big::native_invoker::invoke<962, false, BOOL>(outfitHash, variantIndex, outPropVariant); }
	FORCEINLINE constexpr BOOL GET_SHOP_PED_OUTFIT_COMPONENT_VARIANT(Hash outfitHash, int variantIndex, Any* outComponentVariant) { return big::native_invoker::invoke<963, false, BOOL>(outfitHash, variantIndex, outComponentVariant); }
	FORCEINLINE constexpr int GET_NUM_DLC_VEHICLES() { return big::native_invoker::invoke<964, false, int>(); }
	FORCEINLINE constexpr Hash GET_DLC_VEHICLE_MODEL(int dlcVehicleIndex) { return big::native_invoker::invoke<965, false, Hash>(dlcVehicleIndex); }
	FORCEINLINE constexpr BOOL GET_DLC_VEHICLE_DATA(int dlcVehicleIndex, Any* outData) { return big::native_invoker::invoke<966, false, BOOL>(dlcVehicleIndex, outData); }
	FORCEINLINE constexpr int GET_DLC_VEHICLE_FLAGS(int dlcVehicleIndex) { return big::native_invoker::invoke<967, false, int>(dlcVehicleIndex); }
	FORCEINLINE constexpr int GET_NUM_DLC_WEAPONS() { return big::native_invoker::invoke<968, false, int>(); }
	FORCEINLINE constexpr int GET_NUM_DLC_WEAPONS_SP() { return big::native_invoker::invoke<969, false, int>(); }
	FORCEINLINE constexpr BOOL GET_DLC_WEAPON_DATA(int dlcWeaponIndex, Any* outData) { return big::native_invoker::invoke<970, false, BOOL>(dlcWeaponIndex, outData); }
	FORCEINLINE constexpr BOOL GET_DLC_WEAPON_DATA_SP(int dlcWeaponIndex, Any* outData) { return big::native_invoker::invoke<971, false, BOOL>(dlcWeaponIndex, outData); }
	FORCEINLINE constexpr int GET_NUM_DLC_WEAPON_COMPONENTS(int dlcWeaponIndex) { return big::native_invoker::invoke<972, false, int>(dlcWeaponIndex); }
	FORCEINLINE constexpr int GET_NUM_DLC_WEAPON_COMPONENTS_SP(int dlcWeaponIndex) { return big::native_invoker::invoke<973, false, int>(dlcWeaponIndex); }
	FORCEINLINE constexpr BOOL GET_DLC_WEAPON_COMPONENT_DATA(int dlcWeaponIndex, int dlcWeapCompIndex, Any* ComponentDataPtr) { return big::native_invoker::invoke<974, false, BOOL>(dlcWeaponIndex, dlcWeapCompIndex, ComponentDataPtr); }
	FORCEINLINE constexpr BOOL GET_DLC_WEAPON_COMPONENT_DATA_SP(int dlcWeaponIndex, int dlcWeapCompIndex, Any* ComponentDataPtr) { return big::native_invoker::invoke<975, false, BOOL>(dlcWeaponIndex, dlcWeapCompIndex, ComponentDataPtr); }
	FORCEINLINE constexpr BOOL IS_CONTENT_ITEM_LOCKED(Hash itemHash) { return big::native_invoker::invoke<976, false, BOOL>(itemHash); }
	FORCEINLINE constexpr BOOL IS_DLC_VEHICLE_MOD(Hash hash) { return big::native_invoker::invoke<977, false, BOOL>(hash); }
	FORCEINLINE constexpr Hash GET_DLC_VEHICLE_MOD_LOCK_HASH(Hash hash) { return big::native_invoker::invoke<978, false, Hash>(hash); }
	FORCEINLINE constexpr void EXECUTE_CONTENT_CHANGESET_GROUP_FOR_ALL(Hash hash) { return big::native_invoker::invoke<979, false, void>(hash); }
	FORCEINLINE constexpr void REVERT_CONTENT_CHANGESET_GROUP_FOR_ALL(Hash hash) { return big::native_invoker::invoke<980, false, void>(hash); }
}

namespace FIRE
{
	FORCEINLINE constexpr FireId START_SCRIPT_FIRE(float X, float Y, float Z, int maxChildren, BOOL isGasFire) { return big::native_invoker::invoke<981, false, FireId>(X, Y, Z, maxChildren, isGasFire); }
	FORCEINLINE constexpr void REMOVE_SCRIPT_FIRE(FireId fireHandle) { return big::native_invoker::invoke<982, false, void>(fireHandle); }
	FORCEINLINE constexpr FireId START_ENTITY_FIRE(Entity entity) { return big::native_invoker::invoke<983, false, FireId>(entity); }
	FORCEINLINE constexpr void STOP_ENTITY_FIRE(Entity entity) { return big::native_invoker::invoke<984, false, void>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ON_FIRE(Entity entity) { return big::native_invoker::invoke<985, false, BOOL>(entity); }
	FORCEINLINE constexpr int GET_NUMBER_OF_FIRES_IN_RANGE(float x, float y, float z, float radius) { return big::native_invoker::invoke<986, false, int>(x, y, z, radius); }
	FORCEINLINE constexpr void SET_FLAMMABILITY_MULTIPLIER(float p0) { return big::native_invoker::invoke<987, false, void>(p0); }
	FORCEINLINE constexpr void STOP_FIRE_IN_RANGE(float x, float y, float z, float radius) { return big::native_invoker::invoke<988, false, void>(x, y, z, radius); }
	FORCEINLINE constexpr BOOL GET_CLOSEST_FIRE_POS(Vector3* outPosition, float x, float y, float z) { return big::native_invoker::invoke<989, true, BOOL>(outPosition, x, y, z); }
	FORCEINLINE constexpr void ADD_EXPLOSION(float x, float y, float z, int explosionType, float damageScale, BOOL isAudible, BOOL isInvisible, float cameraShake, BOOL noDamage) { return big::native_invoker::invoke<990, false, void>(x, y, z, explosionType, damageScale, isAudible, isInvisible, cameraShake, noDamage); }
	FORCEINLINE constexpr void ADD_OWNED_EXPLOSION(Ped ped, float x, float y, float z, int explosionType, float damageScale, BOOL isAudible, BOOL isInvisible, float cameraShake) { return big::native_invoker::invoke<991, false, void>(ped, x, y, z, explosionType, damageScale, isAudible, isInvisible, cameraShake); }
	FORCEINLINE constexpr void ADD_EXPLOSION_WITH_USER_VFX(float x, float y, float z, int explosionType, Hash explosionFx, float damageScale, BOOL isAudible, BOOL isInvisible, float cameraShake) { return big::native_invoker::invoke<992, false, void>(x, y, z, explosionType, explosionFx, damageScale, isAudible, isInvisible, cameraShake); }
	FORCEINLINE constexpr BOOL IS_EXPLOSION_IN_AREA(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<993, false, BOOL>(explosionType, x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL IS_EXPLOSION_ACTIVE_IN_AREA(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<994, false, BOOL>(explosionType, x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL IS_EXPLOSION_IN_SPHERE(int explosionType, float x, float y, float z, float radius) { return big::native_invoker::invoke<995, false, BOOL>(explosionType, x, y, z, radius); }
	FORCEINLINE constexpr Entity GET_OWNER_OF_EXPLOSION_IN_SPHERE(int explosionType, float x, float y, float z, float radius) { return big::native_invoker::invoke<996, false, Entity>(explosionType, x, y, z, radius); }
	FORCEINLINE constexpr BOOL IS_EXPLOSION_IN_ANGLED_AREA(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2, float width) { return big::native_invoker::invoke<997, false, BOOL>(explosionType, x1, y1, z1, x2, y2, z2, width); }
	FORCEINLINE constexpr Entity GET_OWNER_OF_EXPLOSION_IN_ANGLED_AREA(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2, float radius) { return big::native_invoker::invoke<998, false, Entity>(explosionType, x1, y1, z1, x2, y2, z2, radius); }
}

namespace GRAPHICS
{
	FORCEINLINE constexpr void SET_DEBUG_LINES_AND_SPHERES_DRAWING_ACTIVE(BOOL enabled) { return big::native_invoker::invoke<999, false, void>(enabled); }
	FORCEINLINE constexpr void DRAW_DEBUG_LINE(float x1, float y1, float z1, float x2, float y2, float z2, int r, int g, int b, int alpha) { return big::native_invoker::invoke<1000, false, void>(x1, y1, z1, x2, y2, z2, r, g, b, alpha); }
	FORCEINLINE constexpr void DRAW_DEBUG_LINE_WITH_TWO_COLOURS(float x1, float y1, float z1, float x2, float y2, float z2, int r1, int g1, int b1, int r2, int g2, int b2, int alpha1, int alpha2) { return big::native_invoker::invoke<1001, false, void>(x1, y1, z1, x2, y2, z2, r1, g1, b1, r2, g2, b2, alpha1, alpha2); }
	FORCEINLINE constexpr void DRAW_DEBUG_SPHERE(float x, float y, float z, float radius, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1002, false, void>(x, y, z, radius, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_DEBUG_BOX(float x1, float y1, float z1, float x2, float y2, float z2, int r, int g, int b, int alpha) { return big::native_invoker::invoke<1003, false, void>(x1, y1, z1, x2, y2, z2, r, g, b, alpha); }
	FORCEINLINE constexpr void DRAW_DEBUG_CROSS(float x, float y, float z, float size, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1004, false, void>(x, y, z, size, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_DEBUG_TEXT(const char* text, float x, float y, float z, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1005, false, void>(text, x, y, z, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_DEBUG_TEXT_2D(const char* text, float x, float y, float z, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1006, false, void>(text, x, y, z, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_LINE(float x1, float y1, float z1, float x2, float y2, float z2, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1007, false, void>(x1, y1, z1, x2, y2, z2, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_POLY(float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1008, false, void>(x1, y1, z1, x2, y2, z2, x3, y3, z3, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_TEXTURED_POLY(float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3, int red, int green, int blue, int alpha, const char* textureDict, const char* textureName, float u1, float v1, float w1, float u2, float v2, float w2, float u3, float v3, float w3) { return big::native_invoker::invoke<1009, false, void>(x1, y1, z1, x2, y2, z2, x3, y3, z3, red, green, blue, alpha, textureDict, textureName, u1, v1, w1, u2, v2, w2, u3, v3, w3); }
	FORCEINLINE constexpr void DRAW_TEXTURED_POLY_WITH_THREE_COLOURS(float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3, float red1, float green1, float blue1, int alpha1, float red2, float green2, float blue2, int alpha2, float red3, float green3, float blue3, int alpha3, const char* textureDict, const char* textureName, float u1, float v1, float w1, float u2, float v2, float w2, float u3, float v3, float w3) { return big::native_invoker::invoke<1010, false, void>(x1, y1, z1, x2, y2, z2, x3, y3, z3, red1, green1, blue1, alpha1, red2, green2, blue2, alpha2, red3, green3, blue3, alpha3, textureDict, textureName, u1, v1, w1, u2, v2, w2, u3, v3, w3); }
	FORCEINLINE constexpr void DRAW_BOX(float x1, float y1, float z1, float x2, float y2, float z2, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1011, false, void>(x1, y1, z1, x2, y2, z2, red, green, blue, alpha); }
	FORCEINLINE constexpr void SET_BACKFACECULLING(BOOL toggle) { return big::native_invoker::invoke<1012, false, void>(toggle); }
	FORCEINLINE constexpr void SET_DEPTHWRITING(BOOL toggle) { return big::native_invoker::invoke<1013, false, void>(toggle); }
	FORCEINLINE constexpr BOOL BEGIN_TAKE_MISSION_CREATOR_PHOTO() { return big::native_invoker::invoke<1014, false, BOOL>(); }
	FORCEINLINE constexpr int GET_STATUS_OF_TAKE_MISSION_CREATOR_PHOTO() { return big::native_invoker::invoke<1015, false, int>(); }
	FORCEINLINE constexpr void FREE_MEMORY_FOR_MISSION_CREATOR_PHOTO() { return big::native_invoker::invoke<1016, false, void>(); }
	FORCEINLINE constexpr BOOL LOAD_MISSION_CREATOR_PHOTO(Any* p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<1017, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr int GET_STATUS_OF_LOAD_MISSION_CREATOR_PHOTO(Any* p0) { return big::native_invoker::invoke<1018, false, int>(p0); }
	FORCEINLINE constexpr BOOL BEGIN_CREATE_MISSION_CREATOR_PHOTO_PREVIEW() { return big::native_invoker::invoke<1019, false, BOOL>(); }
	FORCEINLINE constexpr int GET_STATUS_OF_CREATE_MISSION_CREATOR_PHOTO_PREVIEW() { return big::native_invoker::invoke<1020, false, int>(); }
	FORCEINLINE constexpr void FREE_MEMORY_FOR_MISSION_CREATOR_PHOTO_PREVIEW() { return big::native_invoker::invoke<1021, false, void>(); }
	FORCEINLINE constexpr BOOL BEGIN_TAKE_HIGH_QUALITY_PHOTO() { return big::native_invoker::invoke<1022, false, BOOL>(); }
	FORCEINLINE constexpr int GET_STATUS_OF_TAKE_HIGH_QUALITY_PHOTO() { return big::native_invoker::invoke<1023, false, int>(); }
	FORCEINLINE constexpr void FREE_MEMORY_FOR_HIGH_QUALITY_PHOTO() { return big::native_invoker::invoke<1024, false, void>(); }
	FORCEINLINE constexpr void SET_TAKEN_PHOTO_IS_MUGSHOT(BOOL toggle) { return big::native_invoker::invoke<1025, false, void>(toggle); }
	FORCEINLINE constexpr void SET_ARENA_THEME_AND_VARIATION_FOR_TAKEN_PHOTO(Any p0, int p1) { return big::native_invoker::invoke<1026, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_ON_ISLAND_X_FOR_TAKEN_PHOTO(Any p0) { return big::native_invoker::invoke<1027, false, void>(p0); }
	FORCEINLINE constexpr BOOL SAVE_HIGH_QUALITY_PHOTO(int unused) { return big::native_invoker::invoke<1028, false, BOOL>(unused); }
	FORCEINLINE constexpr int GET_STATUS_OF_SAVE_HIGH_QUALITY_PHOTO() { return big::native_invoker::invoke<1029, false, int>(); }
	FORCEINLINE constexpr BOOL BEGIN_CREATE_LOW_QUALITY_COPY_OF_PHOTO(Any p0) { return big::native_invoker::invoke<1030, false, BOOL>(p0); }
	FORCEINLINE constexpr int GET_STATUS_OF_CREATE_LOW_QUALITY_COPY_OF_PHOTO(int p0) { return big::native_invoker::invoke<1031, false, int>(p0); }
	FORCEINLINE constexpr void FREE_MEMORY_FOR_LOW_QUALITY_PHOTO() { return big::native_invoker::invoke<1032, false, void>(); }
	FORCEINLINE constexpr void DRAW_LOW_QUALITY_PHOTO_TO_PHONE(BOOL p0, BOOL p1) { return big::native_invoker::invoke<1033, false, void>(p0, p1); }
	FORCEINLINE constexpr int GET_MAXIMUM_NUMBER_OF_PHOTOS() { return big::native_invoker::invoke<1034, false, int>(); }
	FORCEINLINE constexpr int GET_MAXIMUM_NUMBER_OF_CLOUD_PHOTOS() { return big::native_invoker::invoke<1035, false, int>(); }
	FORCEINLINE constexpr int GET_CURRENT_NUMBER_OF_CLOUD_PHOTOS() { return big::native_invoker::invoke<1036, false, int>(); }
	FORCEINLINE constexpr BOOL QUEUE_OPERATION_TO_CREATE_SORTED_LIST_OF_PHOTOS(Any p0) { return big::native_invoker::invoke<1037, false, BOOL>(p0); }
	FORCEINLINE constexpr int GET_STATUS_OF_SORTED_LIST_OPERATION(Any p0) { return big::native_invoker::invoke<1038, false, int>(p0); }
	FORCEINLINE constexpr void CLEAR_STATUS_OF_SORTED_LIST_OPERATION() { return big::native_invoker::invoke<1039, false, void>(); }
	FORCEINLINE constexpr BOOL DOES_THIS_PHOTO_SLOT_CONTAIN_A_VALID_PHOTO(Any p0) { return big::native_invoker::invoke<1040, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL LOAD_HIGH_QUALITY_PHOTO(Any p0) { return big::native_invoker::invoke<1041, false, BOOL>(p0); }
	FORCEINLINE constexpr int GET_LOAD_HIGH_QUALITY_PHOTO_STATUS(int p0) { return big::native_invoker::invoke<1042, false, int>(p0); }
	FORCEINLINE constexpr void DRAW_LIGHT_WITH_RANGEEX(float x, float y, float z, int r, int g, int b, float range, float intensity, float shadow) { return big::native_invoker::invoke<1043, false, void>(x, y, z, r, g, b, range, intensity, shadow); }
	FORCEINLINE constexpr void DRAW_LIGHT_WITH_RANGE(float posX, float posY, float posZ, int colorR, int colorG, int colorB, float range, float intensity) { return big::native_invoker::invoke<1044, false, void>(posX, posY, posZ, colorR, colorG, colorB, range, intensity); }
	FORCEINLINE constexpr void DRAW_SPOT_LIGHT(float posX, float posY, float posZ, float dirX, float dirY, float dirZ, int colorR, int colorG, int colorB, float distance, float brightness, float hardness, float radius, float falloff) { return big::native_invoker::invoke<1045, false, void>(posX, posY, posZ, dirX, dirY, dirZ, colorR, colorG, colorB, distance, brightness, hardness, radius, falloff); }
	FORCEINLINE constexpr void DRAW_SHADOWED_SPOT_LIGHT(float posX, float posY, float posZ, float dirX, float dirY, float dirZ, int colorR, int colorG, int colorB, float distance, float brightness, float roundness, float radius, float falloff, int shadowId) { return big::native_invoker::invoke<1046, false, void>(posX, posY, posZ, dirX, dirY, dirZ, colorR, colorG, colorB, distance, brightness, roundness, radius, falloff, shadowId); }
	FORCEINLINE constexpr void FADE_UP_PED_LIGHT(float p0) { return big::native_invoker::invoke<1047, false, void>(p0); }
	FORCEINLINE constexpr void UPDATE_LIGHTS_ON_ENTITY(Entity entity) { return big::native_invoker::invoke<1048, false, void>(entity); }
	FORCEINLINE constexpr void SET_LIGHT_OVERRIDE_MAX_INTENSITY_SCALE(Any p0) { return big::native_invoker::invoke<1049, false, void>(p0); }
	FORCEINLINE constexpr float GET_LIGHT_OVERRIDE_MAX_INTENSITY_SCALE() { return big::native_invoker::invoke<1050, false, float>(); }
	FORCEINLINE constexpr void DRAW_MARKER(int type, float posX, float posY, float posZ, float dirX, float dirY, float dirZ, float rotX, float rotY, float rotZ, float scaleX, float scaleY, float scaleZ, int red, int green, int blue, int alpha, BOOL bobUpAndDown, BOOL faceCamera, int p19, BOOL rotate, const char* textureDict, const char* textureName, BOOL drawOnEnts) { return big::native_invoker::invoke<1051, false, void>(type, posX, posY, posZ, dirX, dirY, dirZ, rotX, rotY, rotZ, scaleX, scaleY, scaleZ, red, green, blue, alpha, bobUpAndDown, faceCamera, p19, rotate, textureDict, textureName, drawOnEnts); }
	FORCEINLINE constexpr void DRAW_MARKER_EX(int type, float posX, float posY, float posZ, float dirX, float dirY, float dirZ, float rotX, float rotY, float rotZ, float scaleX, float scaleY, float scaleZ, int red, int green, int blue, int alpha, BOOL bobUpAndDown, BOOL faceCamera, Any p19, BOOL rotate, const char* textureDict, const char* textureName, BOOL drawOnEnts, BOOL p24, BOOL p25) { return big::native_invoker::invoke<1052, false, void>(type, posX, posY, posZ, dirX, dirY, dirZ, rotX, rotY, rotZ, scaleX, scaleY, scaleZ, red, green, blue, alpha, bobUpAndDown, faceCamera, p19, rotate, textureDict, textureName, drawOnEnts, p24, p25); }
	FORCEINLINE constexpr void DRAW_MARKER_SPHERE(float x, float y, float z, float radius, int red, int green, int blue, float alpha) { return big::native_invoker::invoke<1053, false, void>(x, y, z, radius, red, green, blue, alpha); }
	FORCEINLINE constexpr int CREATE_CHECKPOINT(int type, float posX1, float posY1, float posZ1, float posX2, float posY2, float posZ2, float diameter, int red, int green, int blue, int alpha, int reserved) { return big::native_invoker::invoke<1054, false, int>(type, posX1, posY1, posZ1, posX2, posY2, posZ2, diameter, red, green, blue, alpha, reserved); }
	FORCEINLINE constexpr void SET_CHECKPOINT_INSIDE_CYLINDER_HEIGHT_SCALE(int checkpoint, float scale) { return big::native_invoker::invoke<1055, false, void>(checkpoint, scale); }
	FORCEINLINE constexpr void SET_CHECKPOINT_INSIDE_CYLINDER_SCALE(int checkpoint, float scale) { return big::native_invoker::invoke<1056, false, void>(checkpoint, scale); }
	FORCEINLINE constexpr void SET_CHECKPOINT_CYLINDER_HEIGHT(int checkpoint, float nearHeight, float farHeight, float radius) { return big::native_invoker::invoke<1057, false, void>(checkpoint, nearHeight, farHeight, radius); }
	FORCEINLINE constexpr void SET_CHECKPOINT_RGBA(int checkpoint, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1058, false, void>(checkpoint, red, green, blue, alpha); }
	FORCEINLINE constexpr void SET_CHECKPOINT_RGBA2(int checkpoint, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1059, false, void>(checkpoint, red, green, blue, alpha); }
	FORCEINLINE constexpr void SET_CHECKPOINT_CLIPPLANE_WITH_POS_NORM(int checkpoint, float posX, float posY, float posZ, float unkX, float unkY, float unkZ) { return big::native_invoker::invoke<1060, false, void>(checkpoint, posX, posY, posZ, unkX, unkY, unkZ); }
	FORCEINLINE constexpr void SET_CHECKPOINT_FORCE_OLD_ARROW_POINTING(int checkpoint) { return big::native_invoker::invoke<1061, false, void>(checkpoint); }
	FORCEINLINE constexpr void SET_CHECKPOINT_DECAL_ROT_ALIGNED_TO_CAMERA_ROT(int checkpoint) { return big::native_invoker::invoke<1062, false, void>(checkpoint); }
	FORCEINLINE constexpr void SET_CHECKPOINT_FORCE_DIRECTION(int checkpoint) { return big::native_invoker::invoke<1063, false, void>(checkpoint); }
	FORCEINLINE constexpr void SET_CHECKPOINT_DIRECTION(int checkpoint, float posX, float posY, float posZ) { return big::native_invoker::invoke<1064, false, void>(checkpoint, posX, posY, posZ); }
	FORCEINLINE constexpr void DELETE_CHECKPOINT(int checkpoint) { return big::native_invoker::invoke<1065, false, void>(checkpoint); }
	FORCEINLINE constexpr void DONT_RENDER_IN_GAME_UI(BOOL p0) { return big::native_invoker::invoke<1066, false, void>(p0); }
	FORCEINLINE constexpr void FORCE_RENDER_IN_GAME_UI(BOOL toggle) { return big::native_invoker::invoke<1067, false, void>(toggle); }
	FORCEINLINE constexpr void REQUEST_STREAMED_TEXTURE_DICT(const char* textureDict, BOOL p1) { return big::native_invoker::invoke<1068, false, void>(textureDict, p1); }
	FORCEINLINE constexpr BOOL HAS_STREAMED_TEXTURE_DICT_LOADED(const char* textureDict) { return big::native_invoker::invoke<1069, false, BOOL>(textureDict); }
	FORCEINLINE constexpr void SET_STREAMED_TEXTURE_DICT_AS_NO_LONGER_NEEDED(const char* textureDict) { return big::native_invoker::invoke<1070, false, void>(textureDict); }
	FORCEINLINE constexpr void DRAW_RECT(float x, float y, float width, float height, int r, int g, int b, int a, BOOL p8) { return big::native_invoker::invoke<1071, false, void>(x, y, width, height, r, g, b, a, p8); }
	FORCEINLINE constexpr void SET_SCRIPT_GFX_DRAW_BEHIND_PAUSEMENU(BOOL toggle) { return big::native_invoker::invoke<1072, false, void>(toggle); }
	FORCEINLINE constexpr void SET_SCRIPT_GFX_DRAW_ORDER(int drawOrder) { return big::native_invoker::invoke<1073, false, void>(drawOrder); }
	FORCEINLINE constexpr void SET_SCRIPT_GFX_ALIGN(int horizontalAlign, int verticalAlign) { return big::native_invoker::invoke<1074, false, void>(horizontalAlign, verticalAlign); }
	FORCEINLINE constexpr void RESET_SCRIPT_GFX_ALIGN() { return big::native_invoker::invoke<1075, false, void>(); }
	FORCEINLINE constexpr void SET_SCRIPT_GFX_ALIGN_PARAMS(float x, float y, float w, float h) { return big::native_invoker::invoke<1076, false, void>(x, y, w, h); }
	FORCEINLINE constexpr void GET_SCRIPT_GFX_ALIGN_POSITION(float x, float y, float* calculatedX, float* calculatedY) { return big::native_invoker::invoke<1077, false, void>(x, y, calculatedX, calculatedY); }
	FORCEINLINE constexpr float GET_SAFE_ZONE_SIZE() { return big::native_invoker::invoke<1078, false, float>(); }
	FORCEINLINE constexpr void DRAW_SPRITE(const char* textureDict, const char* textureName, float screenX, float screenY, float width, float height, float heading, int red, int green, int blue, int alpha, BOOL p11, Any p12) { return big::native_invoker::invoke<1079, false, void>(textureDict, textureName, screenX, screenY, width, height, heading, red, green, blue, alpha, p11, p12); }
	FORCEINLINE constexpr void DRAW_SPRITE_ARX(const char* textureDict, const char* textureName, float x, float y, float width, float height, float p6, int red, int green, int blue, int alpha, Any p11, Any p12) { return big::native_invoker::invoke<1080, false, void>(textureDict, textureName, x, y, width, height, p6, red, green, blue, alpha, p11, p12); }
	FORCEINLINE constexpr void DRAW_SPRITE_NAMED_RENDERTARGET(const char* textureDict, const char* textureName, float screenX, float screenY, float width, float height, float heading, int red, int green, int blue, int alpha, Any p11) { return big::native_invoker::invoke<1081, false, void>(textureDict, textureName, screenX, screenY, width, height, heading, red, green, blue, alpha, p11); }
	FORCEINLINE constexpr void DRAW_SPRITE_ARX_WITH_UV(const char* textureDict, const char* textureName, float x, float y, float width, float height, float u1, float v1, float u2, float v2, float heading, int red, int green, int blue, int alpha, Any p15) { return big::native_invoker::invoke<1082, false, void>(textureDict, textureName, x, y, width, height, u1, v1, u2, v2, heading, red, green, blue, alpha, p15); }
	FORCEINLINE constexpr int ADD_ENTITY_ICON(Entity entity, const char* icon) { return big::native_invoker::invoke<1083, false, int>(entity, icon); }
	FORCEINLINE constexpr void SET_ENTITY_ICON_VISIBILITY(Entity entity, BOOL toggle) { return big::native_invoker::invoke<1084, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_ICON_COLOR(Entity entity, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1085, false, void>(entity, red, green, blue, alpha); }
	FORCEINLINE constexpr void SET_DRAW_ORIGIN(float x, float y, float z, BOOL p3) { return big::native_invoker::invoke<1086, false, void>(x, y, z, p3); }
	FORCEINLINE constexpr void CLEAR_DRAW_ORIGIN() { return big::native_invoker::invoke<1087, false, void>(); }
	FORCEINLINE constexpr int SET_BINK_MOVIE(const char* name) { return big::native_invoker::invoke<1088, false, int>(name); }
	FORCEINLINE constexpr void PLAY_BINK_MOVIE(int binkMovie) { return big::native_invoker::invoke<1089, false, void>(binkMovie); }
	FORCEINLINE constexpr void STOP_BINK_MOVIE(int binkMovie) { return big::native_invoker::invoke<1090, false, void>(binkMovie); }
	FORCEINLINE constexpr void RELEASE_BINK_MOVIE(int binkMovie) { return big::native_invoker::invoke<1091, false, void>(binkMovie); }
	FORCEINLINE constexpr void DRAW_BINK_MOVIE(int binkMovie, float p1, float p2, float p3, float p4, float p5, int r, int g, int b, int a) { return big::native_invoker::invoke<1092, false, void>(binkMovie, p1, p2, p3, p4, p5, r, g, b, a); }
	FORCEINLINE constexpr void SET_BINK_MOVIE_TIME(int binkMovie, float progress) { return big::native_invoker::invoke<1093, false, void>(binkMovie, progress); }
	FORCEINLINE constexpr float GET_BINK_MOVIE_TIME(int binkMovie) { return big::native_invoker::invoke<1094, false, float>(binkMovie); }
	FORCEINLINE constexpr void SET_BINK_MOVIE_VOLUME(int binkMovie, float value) { return big::native_invoker::invoke<1095, false, void>(binkMovie, value); }
	FORCEINLINE constexpr void ATTACH_TV_AUDIO_TO_ENTITY(Entity entity) { return big::native_invoker::invoke<1096, false, void>(entity); }
	FORCEINLINE constexpr void SET_BINK_MOVIE_AUDIO_FRONTEND(int binkMovie, BOOL p1) { return big::native_invoker::invoke<1097, false, void>(binkMovie, p1); }
	FORCEINLINE constexpr void SET_TV_AUDIO_FRONTEND(BOOL toggle) { return big::native_invoker::invoke<1098, false, void>(toggle); }
	FORCEINLINE constexpr void SET_BINK_SHOULD_SKIP(int binkMovie, BOOL bShouldSkip) { return big::native_invoker::invoke<1099, false, void>(binkMovie, bShouldSkip); }
	FORCEINLINE constexpr int LOAD_MOVIE_MESH_SET(const char* movieMeshSetName) { return big::native_invoker::invoke<1100, false, int>(movieMeshSetName); }
	FORCEINLINE constexpr void RELEASE_MOVIE_MESH_SET(int movieMeshSet) { return big::native_invoker::invoke<1101, false, void>(movieMeshSet); }
	FORCEINLINE constexpr int QUERY_MOVIE_MESH_SET_STATE(Any p0) { return big::native_invoker::invoke<1102, false, int>(p0); }
	FORCEINLINE constexpr void GET_SCREEN_RESOLUTION(int* x, int* y) { return big::native_invoker::invoke<1103, false, void>(x, y); }
	FORCEINLINE constexpr void GET_ACTUAL_SCREEN_RESOLUTION(int* x, int* y) { return big::native_invoker::invoke<1104, false, void>(x, y); }
	FORCEINLINE constexpr float GET_ASPECT_RATIO(BOOL b) { return big::native_invoker::invoke<1105, false, float>(b); }
	FORCEINLINE constexpr float GET_SCREEN_ASPECT_RATIO() { return big::native_invoker::invoke<1106, false, float>(); }
	FORCEINLINE constexpr BOOL GET_IS_WIDESCREEN() { return big::native_invoker::invoke<1107, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_IS_HIDEF() { return big::native_invoker::invoke<1108, false, BOOL>(); }
	FORCEINLINE constexpr void ADJUST_NEXT_POS_SIZE_AS_NORMALIZED_16_9() { return big::native_invoker::invoke<1109, false, void>(); }
	FORCEINLINE constexpr void SET_NIGHTVISION(BOOL toggle) { return big::native_invoker::invoke<1110, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_REQUESTINGNIGHTVISION() { return big::native_invoker::invoke<1111, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_USINGNIGHTVISION() { return big::native_invoker::invoke<1112, false, BOOL>(); }
	FORCEINLINE constexpr void SET_EXPOSURETWEAK(BOOL toggle) { return big::native_invoker::invoke<1113, false, void>(toggle); }
	FORCEINLINE constexpr void FORCE_EXPOSURE_READBACK(BOOL toggle) { return big::native_invoker::invoke<1114, false, void>(toggle); }
	FORCEINLINE constexpr void OVERRIDE_NIGHTVISION_LIGHT_RANGE(float p0) { return big::native_invoker::invoke<1115, false, void>(p0); }
	FORCEINLINE constexpr void SET_NOISEOVERIDE(BOOL toggle) { return big::native_invoker::invoke<1116, false, void>(toggle); }
	FORCEINLINE constexpr void SET_NOISINESSOVERIDE(float value) { return big::native_invoker::invoke<1117, false, void>(value); }
	FORCEINLINE constexpr BOOL GET_SCREEN_COORD_FROM_WORLD_COORD(float worldX, float worldY, float worldZ, float* screenX, float* screenY) { return big::native_invoker::invoke<1118, false, BOOL>(worldX, worldY, worldZ, screenX, screenY); }
	FORCEINLINE constexpr Vector3 GET_TEXTURE_RESOLUTION(const char* textureDict, const char* textureName) { return big::native_invoker::invoke<1119, false, Vector3>(textureDict, textureName); }
	FORCEINLINE constexpr BOOL OVERRIDE_PED_CREW_LOGO_TEXTURE(Ped ped, const char* txd, const char* txn) { return big::native_invoker::invoke<1120, false, BOOL>(ped, txd, txn); }
	FORCEINLINE constexpr void SET_DISTANCE_BLUR_STRENGTH_OVERRIDE(float p0) { return big::native_invoker::invoke<1121, false, void>(p0); }
	FORCEINLINE constexpr void SET_FLASH(float p0, float p1, float fadeIn, float duration, float fadeOut) { return big::native_invoker::invoke<1122, false, void>(p0, p1, fadeIn, duration, fadeOut); }
	FORCEINLINE constexpr void DISABLE_OCCLUSION_THIS_FRAME() { return big::native_invoker::invoke<1123, false, void>(); }
	FORCEINLINE constexpr void SET_ARTIFICIAL_LIGHTS_STATE(BOOL state) { return big::native_invoker::invoke<1124, false, void>(state); }
	FORCEINLINE constexpr void SET_ARTIFICIAL_VEHICLE_LIGHTS_STATE(BOOL toggle) { return big::native_invoker::invoke<1125, false, void>(toggle); }
	FORCEINLINE constexpr void DISABLE_HDTEX_THIS_FRAME() { return big::native_invoker::invoke<1126, false, void>(); }
	FORCEINLINE constexpr int CREATE_TRACKED_POINT() { return big::native_invoker::invoke<1127, false, int>(); }
	FORCEINLINE constexpr void SET_TRACKED_POINT_INFO(int point, float x, float y, float z, float radius) { return big::native_invoker::invoke<1128, false, void>(point, x, y, z, radius); }
	FORCEINLINE constexpr BOOL IS_TRACKED_POINT_VISIBLE(int point) { return big::native_invoker::invoke<1129, false, BOOL>(point); }
	FORCEINLINE constexpr void DESTROY_TRACKED_POINT(int point) { return big::native_invoker::invoke<1130, false, void>(point); }
	FORCEINLINE constexpr int SET_GRASS_CULL_SPHERE(float p0, float p1, float p2, float p3) { return big::native_invoker::invoke<1131, false, int>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void REMOVE_GRASS_CULL_SPHERE(int handle) { return big::native_invoker::invoke<1132, false, void>(handle); }
	FORCEINLINE constexpr void PROCGRASS_ENABLE_CULLSPHERE(int handle, float x, float y, float z, float scale) { return big::native_invoker::invoke<1133, false, void>(handle, x, y, z, scale); }
	FORCEINLINE constexpr void PROCGRASS_DISABLE_CULLSPHERE(int handle) { return big::native_invoker::invoke<1134, false, void>(handle); }
	FORCEINLINE constexpr BOOL PROCGRASS_IS_CULLSPHERE_ENABLED(int handle) { return big::native_invoker::invoke<1135, false, BOOL>(handle); }
	FORCEINLINE constexpr void PROCGRASS_ENABLE_AMBSCALESCAN() { return big::native_invoker::invoke<1136, false, void>(); }
	FORCEINLINE constexpr void PROCGRASS_DISABLE_AMBSCALESCAN() { return big::native_invoker::invoke<1137, false, void>(); }
	FORCEINLINE constexpr void DISABLE_PROCOBJ_CREATION() { return big::native_invoker::invoke<1138, false, void>(); }
	FORCEINLINE constexpr void ENABLE_PROCOBJ_CREATION() { return big::native_invoker::invoke<1139, false, void>(); }
	FORCEINLINE constexpr void GRASSBATCH_ENABLE_FLATTENING_EXT_IN_SPHERE(float x, float y, float z, Any p3, float p4, float p5, float p6, float scale) { return big::native_invoker::invoke<1140, false, void>(x, y, z, p3, p4, p5, p6, scale); }
	FORCEINLINE constexpr void GRASSBATCH_ENABLE_FLATTENING_IN_SPHERE(float x, float y, float z, float radius, float p4, float p5, float p6) { return big::native_invoker::invoke<1141, false, void>(x, y, z, radius, p4, p5, p6); }
	FORCEINLINE constexpr void GRASSBATCH_DISABLE_FLATTENING() { return big::native_invoker::invoke<1142, false, void>(); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_INIT_SESSION() { return big::native_invoker::invoke<1143, false, void>(); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_CASCADE_BOUNDS(Any p0, BOOL p1, float p2, float p3, float p4, float p5, BOOL p6, float p7) { return big::native_invoker::invoke<1144, false, void>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_CASCADE_BOUNDS_SCALE(float p0) { return big::native_invoker::invoke<1145, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_ENTITY_TRACKER_SCALE(float p0) { return big::native_invoker::invoke<1146, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_SPLIT_Z_EXP_WEIGHT(float p0) { return big::native_invoker::invoke<1147, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_BOUND_POSITION(Any p0) { return big::native_invoker::invoke<1148, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_ENABLE_ENTITY_TRACKER(BOOL toggle) { return big::native_invoker::invoke<1149, false, void>(toggle); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_SCREEN_SIZE_CHECK_ENABLED(BOOL p0) { return big::native_invoker::invoke<1150, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_SHADOW_SAMPLE_TYPE(const char* type) { return big::native_invoker::invoke<1151, false, void>(type); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_CLEAR_SHADOW_SAMPLE_TYPE() { return big::native_invoker::invoke<1152, false, void>(); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_AIRCRAFT_MODE(BOOL p0) { return big::native_invoker::invoke<1153, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_DYNAMIC_DEPTH_MODE(BOOL p0) { return big::native_invoker::invoke<1154, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_SET_DYNAMIC_DEPTH_VALUE(float p0) { return big::native_invoker::invoke<1155, false, void>(p0); }
	FORCEINLINE constexpr void CASCADE_SHADOWS_ENABLE_FREEZER(BOOL p0) { return big::native_invoker::invoke<1156, false, void>(p0); }
	FORCEINLINE constexpr void WATER_REFLECTION_SET_SCRIPT_OBJECT_VISIBILITY(Any p0) { return big::native_invoker::invoke<1157, false, void>(p0); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_ENABLED(BOOL toggle) { return big::native_invoker::invoke<1158, false, void>(toggle); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_PATH(float p0, float p1, float p2, float p3, float p4, float p5, float p6, float p7, BOOL p8) { return big::native_invoker::invoke<1159, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_RADIUS(float p0, float p1, float p2) { return big::native_invoker::invoke<1160, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_COLOUR(int p0, int p1, int p2, int p3, int p4, int p5, int p6, int p7, int p8, int p9, int p10, int p11) { return big::native_invoker::invoke<1161, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_TESSELLATION(int p0, int p1) { return big::native_invoker::invoke<1162, false, void>(p0, p1); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_FIXED_CONTROL_POINT_ENABLE(BOOL p0) { return big::native_invoker::invoke<1163, false, void>(p0); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_FIXED_CONTROL_POINT(int type, float xPos, float yPos, float zPos, float p4, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1164, false, void>(type, xPos, yPos, zPos, p4, red, green, blue, alpha); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_SHADER_PARAMS(float p0, float p1, float p2, float p3, float p4) { return big::native_invoker::invoke<1165, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void GOLF_TRAIL_SET_FACING(BOOL p0) { return big::native_invoker::invoke<1166, false, void>(p0); }
	FORCEINLINE constexpr float GOLF_TRAIL_GET_MAX_HEIGHT() { return big::native_invoker::invoke<1167, false, float>(); }
	FORCEINLINE constexpr Vector3 GOLF_TRAIL_GET_VISUAL_CONTROL_POINT(int p0) { return big::native_invoker::invoke<1168, false, Vector3>(p0); }
	FORCEINLINE constexpr void SET_SEETHROUGH(BOOL toggle) { return big::native_invoker::invoke<1169, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_USINGSEETHROUGH() { return big::native_invoker::invoke<1170, false, BOOL>(); }
	FORCEINLINE constexpr void SEETHROUGH_RESET() { return big::native_invoker::invoke<1171, false, void>(); }
	FORCEINLINE constexpr void SEETHROUGH_SET_FADE_STARTDISTANCE(float distance) { return big::native_invoker::invoke<1172, false, void>(distance); }
	FORCEINLINE constexpr void SEETHROUGH_SET_FADE_ENDDISTANCE(float distance) { return big::native_invoker::invoke<1173, false, void>(distance); }
	FORCEINLINE constexpr float SEETHROUGH_GET_MAX_THICKNESS() { return big::native_invoker::invoke<1174, false, float>(); }
	FORCEINLINE constexpr void SEETHROUGH_SET_MAX_THICKNESS(float thickness) { return big::native_invoker::invoke<1175, false, void>(thickness); }
	FORCEINLINE constexpr void SEETHROUGH_SET_NOISE_MIN(float amount) { return big::native_invoker::invoke<1176, false, void>(amount); }
	FORCEINLINE constexpr void SEETHROUGH_SET_NOISE_MAX(float amount) { return big::native_invoker::invoke<1177, false, void>(amount); }
	FORCEINLINE constexpr void SEETHROUGH_SET_HILIGHT_INTENSITY(float intensity) { return big::native_invoker::invoke<1178, false, void>(intensity); }
	FORCEINLINE constexpr void SEETHROUGH_SET_HIGHLIGHT_NOISE(float noise) { return big::native_invoker::invoke<1179, false, void>(noise); }
	FORCEINLINE constexpr void SEETHROUGH_SET_HEATSCALE(int index, float heatScale) { return big::native_invoker::invoke<1180, false, void>(index, heatScale); }
	FORCEINLINE constexpr void SEETHROUGH_SET_COLOR_NEAR(int red, int green, int blue) { return big::native_invoker::invoke<1181, false, void>(red, green, blue); }
	FORCEINLINE constexpr void SET_MOTIONBLUR_MAX_VEL_SCALER(float p0) { return big::native_invoker::invoke<1182, false, void>(p0); }
	FORCEINLINE constexpr float GET_MOTIONBLUR_MAX_VEL_SCALER() { return big::native_invoker::invoke<1183, false, float>(); }
	FORCEINLINE constexpr void SET_FORCE_MOTIONBLUR(BOOL toggle) { return big::native_invoker::invoke<1184, false, void>(toggle); }
	FORCEINLINE constexpr void TOGGLE_PLAYER_DAMAGE_OVERLAY(BOOL toggle) { return big::native_invoker::invoke<1185, false, void>(toggle); }
	FORCEINLINE constexpr void RESET_ADAPTATION(int p0) { return big::native_invoker::invoke<1186, false, void>(p0); }
	FORCEINLINE constexpr BOOL TRIGGER_SCREENBLUR_FADE_IN(float transitionTime) { return big::native_invoker::invoke<1187, false, BOOL>(transitionTime); }
	FORCEINLINE constexpr BOOL TRIGGER_SCREENBLUR_FADE_OUT(float transitionTime) { return big::native_invoker::invoke<1188, false, BOOL>(transitionTime); }
	FORCEINLINE constexpr void DISABLE_SCREENBLUR_FADE() { return big::native_invoker::invoke<1189, false, void>(); }
	FORCEINLINE constexpr float GET_SCREENBLUR_FADE_CURRENT_TIME() { return big::native_invoker::invoke<1190, false, float>(); }
	FORCEINLINE constexpr BOOL IS_SCREENBLUR_FADE_RUNNING() { return big::native_invoker::invoke<1191, false, BOOL>(); }
	FORCEINLINE constexpr void TOGGLE_PAUSED_RENDERPHASES(BOOL toggle) { return big::native_invoker::invoke<1192, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_TOGGLE_PAUSED_RENDERPHASES_STATUS() { return big::native_invoker::invoke<1193, false, BOOL>(); }
	FORCEINLINE constexpr void RESET_PAUSED_RENDERPHASES() { return big::native_invoker::invoke<1194, false, void>(); }
	FORCEINLINE constexpr void GRAB_PAUSEMENU_OWNERSHIP() { return big::native_invoker::invoke<1195, false, void>(); }
	FORCEINLINE constexpr void SET_HIDOF_OVERRIDE(BOOL p0, BOOL p1, float nearplaneOut, float nearplaneIn, float farplaneOut, float farplaneIn) { return big::native_invoker::invoke<1196, false, void>(p0, p1, nearplaneOut, nearplaneIn, farplaneOut, farplaneIn); }
	FORCEINLINE constexpr void SET_LOCK_ADAPTIVE_DOF_DISTANCE(BOOL p0) { return big::native_invoker::invoke<1197, false, void>(p0); }
	FORCEINLINE constexpr BOOL PHONEPHOTOEDITOR_TOGGLE(BOOL p0) { return big::native_invoker::invoke<1198, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL PHONEPHOTOEDITOR_IS_ACTIVE() { return big::native_invoker::invoke<1199, false, BOOL>(); }
	FORCEINLINE constexpr BOOL PHONEPHOTOEDITOR_SET_FRAME_TXD(const char* textureDict, BOOL p1) { return big::native_invoker::invoke<1200, false, BOOL>(textureDict, p1); }
	FORCEINLINE constexpr BOOL START_PARTICLE_FX_NON_LOOPED_AT_COORD(const char* effectName, float xPos, float yPos, float zPos, float xRot, float yRot, float zRot, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis) { return big::native_invoker::invoke<1201, false, BOOL>(effectName, xPos, yPos, zPos, xRot, yRot, zRot, scale, xAxis, yAxis, zAxis); }
	FORCEINLINE constexpr BOOL START_NETWORKED_PARTICLE_FX_NON_LOOPED_AT_COORD(const char* effectName, float xPos, float yPos, float zPos, float xRot, float yRot, float zRot, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis, BOOL p11) { return big::native_invoker::invoke<1202, false, BOOL>(effectName, xPos, yPos, zPos, xRot, yRot, zRot, scale, xAxis, yAxis, zAxis, p11); }
	FORCEINLINE constexpr BOOL START_PARTICLE_FX_NON_LOOPED_ON_PED_BONE(const char* effectName, Ped ped, float offsetX, float offsetY, float offsetZ, float rotX, float rotY, float rotZ, int boneIndex, float scale, BOOL axisX, BOOL axisY, BOOL axisZ) { return big::native_invoker::invoke<1203, false, BOOL>(effectName, ped, offsetX, offsetY, offsetZ, rotX, rotY, rotZ, boneIndex, scale, axisX, axisY, axisZ); }
	FORCEINLINE constexpr BOOL START_NETWORKED_PARTICLE_FX_NON_LOOPED_ON_PED_BONE(const char* effectName, Ped ped, float offsetX, float offsetY, float offsetZ, float rotX, float rotY, float rotZ, int boneIndex, float scale, BOOL axisX, BOOL axisY, BOOL axisZ) { return big::native_invoker::invoke<1204, false, BOOL>(effectName, ped, offsetX, offsetY, offsetZ, rotX, rotY, rotZ, boneIndex, scale, axisX, axisY, axisZ); }
	FORCEINLINE constexpr BOOL START_PARTICLE_FX_NON_LOOPED_ON_ENTITY(const char* effectName, Entity entity, float offsetX, float offsetY, float offsetZ, float rotX, float rotY, float rotZ, float scale, BOOL axisX, BOOL axisY, BOOL axisZ) { return big::native_invoker::invoke<1205, false, BOOL>(effectName, entity, offsetX, offsetY, offsetZ, rotX, rotY, rotZ, scale, axisX, axisY, axisZ); }
	FORCEINLINE constexpr BOOL START_NETWORKED_PARTICLE_FX_NON_LOOPED_ON_ENTITY(const char* effectName, Entity entity, float offsetX, float offsetY, float offsetZ, float rotX, float rotY, float rotZ, float scale, BOOL axisX, BOOL axisY, BOOL axisZ) { return big::native_invoker::invoke<1206, false, BOOL>(effectName, entity, offsetX, offsetY, offsetZ, rotX, rotY, rotZ, scale, axisX, axisY, axisZ); }
	FORCEINLINE constexpr BOOL START_PARTICLE_FX_NON_LOOPED_ON_ENTITY_BONE(const char* effectName, Entity entity, float offsetX, float offsetY, float offsetZ, float rotX, float rotY, float rotZ, int boneIndex, float scale, BOOL axisX, BOOL axisY, BOOL axisZ) { return big::native_invoker::invoke<1207, false, BOOL>(effectName, entity, offsetX, offsetY, offsetZ, rotX, rotY, rotZ, boneIndex, scale, axisX, axisY, axisZ); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_NON_LOOPED_COLOUR(float r, float g, float b) { return big::native_invoker::invoke<1208, false, void>(r, g, b); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_NON_LOOPED_ALPHA(float alpha) { return big::native_invoker::invoke<1209, false, void>(alpha); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_NON_LOOPED_SCALE(float scale) { return big::native_invoker::invoke<1210, false, void>(scale); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_NON_LOOPED_EMITTER_SIZE(float p0, float p1, float scale) { return big::native_invoker::invoke<1211, false, void>(p0, p1, scale); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_FORCE_VEHICLE_INTERIOR(BOOL toggle) { return big::native_invoker::invoke<1212, false, void>(toggle); }
	FORCEINLINE constexpr int START_PARTICLE_FX_LOOPED_AT_COORD(const char* effectName, float x, float y, float z, float xRot, float yRot, float zRot, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis, BOOL p11) { return big::native_invoker::invoke<1213, false, int>(effectName, x, y, z, xRot, yRot, zRot, scale, xAxis, yAxis, zAxis, p11); }
	FORCEINLINE constexpr int START_PARTICLE_FX_LOOPED_ON_PED_BONE(const char* effectName, Ped ped, float xOffset, float yOffset, float zOffset, float xRot, float yRot, float zRot, int boneIndex, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis) { return big::native_invoker::invoke<1214, false, int>(effectName, ped, xOffset, yOffset, zOffset, xRot, yRot, zRot, boneIndex, scale, xAxis, yAxis, zAxis); }
	FORCEINLINE constexpr int START_PARTICLE_FX_LOOPED_ON_ENTITY(const char* effectName, Entity entity, float xOffset, float yOffset, float zOffset, float xRot, float yRot, float zRot, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis) { return big::native_invoker::invoke<1215, false, int>(effectName, entity, xOffset, yOffset, zOffset, xRot, yRot, zRot, scale, xAxis, yAxis, zAxis); }
	FORCEINLINE constexpr int START_PARTICLE_FX_LOOPED_ON_ENTITY_BONE(const char* effectName, Entity entity, float xOffset, float yOffset, float zOffset, float xRot, float yRot, float zRot, int boneIndex, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis) { return big::native_invoker::invoke<1216, false, int>(effectName, entity, xOffset, yOffset, zOffset, xRot, yRot, zRot, boneIndex, scale, xAxis, yAxis, zAxis); }
	FORCEINLINE constexpr int START_NETWORKED_PARTICLE_FX_LOOPED_ON_ENTITY(const char* effectName, Entity entity, float xOffset, float yOffset, float zOffset, float xRot, float yRot, float zRot, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis, float r, float g, float b, float a) { return big::native_invoker::invoke<1217, false, int>(effectName, entity, xOffset, yOffset, zOffset, xRot, yRot, zRot, scale, xAxis, yAxis, zAxis, r, g, b, a); }
	FORCEINLINE constexpr int START_NETWORKED_PARTICLE_FX_LOOPED_ON_ENTITY_BONE(const char* effectName, Entity entity, float xOffset, float yOffset, float zOffset, float xRot, float yRot, float zRot, int boneIndex, float scale, BOOL xAxis, BOOL yAxis, BOOL zAxis, float r, float g, float b, float a) { return big::native_invoker::invoke<1218, false, int>(effectName, entity, xOffset, yOffset, zOffset, xRot, yRot, zRot, boneIndex, scale, xAxis, yAxis, zAxis, r, g, b, a); }
	FORCEINLINE constexpr void STOP_PARTICLE_FX_LOOPED(int ptfxHandle, BOOL p1) { return big::native_invoker::invoke<1219, false, void>(ptfxHandle, p1); }
	FORCEINLINE constexpr void REMOVE_PARTICLE_FX(int ptfxHandle, BOOL p1) { return big::native_invoker::invoke<1220, false, void>(ptfxHandle, p1); }
	FORCEINLINE constexpr void REMOVE_PARTICLE_FX_FROM_ENTITY(Entity entity) { return big::native_invoker::invoke<1221, false, void>(entity); }
	FORCEINLINE constexpr void REMOVE_PARTICLE_FX_IN_RANGE(float X, float Y, float Z, float radius) { return big::native_invoker::invoke<1222, false, void>(X, Y, Z, radius); }
	FORCEINLINE constexpr void FORCE_PARTICLE_FX_IN_VEHICLE_INTERIOR(Any p0, Any p1) { return big::native_invoker::invoke<1223, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL DOES_PARTICLE_FX_LOOPED_EXIST(int ptfxHandle) { return big::native_invoker::invoke<1224, false, BOOL>(ptfxHandle); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_LOOPED_OFFSETS(int ptfxHandle, float x, float y, float z, float rotX, float rotY, float rotZ) { return big::native_invoker::invoke<1225, false, void>(ptfxHandle, x, y, z, rotX, rotY, rotZ); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_LOOPED_EVOLUTION(int ptfxHandle, const char* propertyName, float amount, BOOL noNetwork) { return big::native_invoker::invoke<1226, false, void>(ptfxHandle, propertyName, amount, noNetwork); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_LOOPED_COLOUR(int ptfxHandle, float r, float g, float b, BOOL p4) { return big::native_invoker::invoke<1227, false, void>(ptfxHandle, r, g, b, p4); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_LOOPED_ALPHA(int ptfxHandle, float alpha) { return big::native_invoker::invoke<1228, false, void>(ptfxHandle, alpha); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_LOOPED_SCALE(int ptfxHandle, float scale) { return big::native_invoker::invoke<1229, false, void>(ptfxHandle, scale); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_LOOPED_FAR_CLIP_DIST(int ptfxHandle, float range) { return big::native_invoker::invoke<1230, false, void>(ptfxHandle, range); }
	FORCEINLINE constexpr void _SET_PARTICLE_FX_LOOPED_CAMERA_BIAS(int ptfxHandle, float p1) { return big::native_invoker::invoke<1231, false, void>(ptfxHandle, p1); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_CAM_INSIDE_VEHICLE(BOOL p0) { return big::native_invoker::invoke<1232, false, void>(p0); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_CAM_INSIDE_NONPLAYER_VEHICLE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<1233, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_SHOOTOUT_BOAT(Any p0) { return big::native_invoker::invoke<1234, false, void>(p0); }
	FORCEINLINE constexpr void CLEAR_PARTICLE_FX_SHOOTOUT_BOAT() { return big::native_invoker::invoke<1235, false, void>(); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_BLOOD_SCALE(Any p0) { return big::native_invoker::invoke<1236, false, void>(p0); }
	FORCEINLINE constexpr void DISABLE_IN_WATER_PTFX(BOOL toggle) { return big::native_invoker::invoke<1237, false, void>(toggle); }
	FORCEINLINE constexpr void DISABLE_DOWNWASH_PTFX(BOOL toggle) { return big::native_invoker::invoke<1238, false, void>(toggle); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_SLIPSTREAM_LODRANGE_SCALE(float scale) { return big::native_invoker::invoke<1239, false, void>(scale); }
	FORCEINLINE constexpr void ENABLE_CLOWN_BLOOD_VFX(BOOL toggle) { return big::native_invoker::invoke<1240, false, void>(toggle); }
	FORCEINLINE constexpr void ENABLE_ALIEN_BLOOD_VFX(BOOL toggle) { return big::native_invoker::invoke<1241, false, void>(toggle); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_BULLET_IMPACT_SCALE(float scale) { return big::native_invoker::invoke<1242, false, void>(scale); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_BULLET_IMPACT_LODRANGE_SCALE(float p0) { return big::native_invoker::invoke<1243, false, void>(p0); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_BULLET_TRACE_NO_ANGLE_REJECT(BOOL p0) { return big::native_invoker::invoke<1244, false, void>(p0); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_BANG_SCRAPE_LODRANGE_SCALE(float p0) { return big::native_invoker::invoke<1245, false, void>(p0); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_FOOT_LODRANGE_SCALE(float p0) { return big::native_invoker::invoke<1246, false, void>(p0); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_FOOT_OVERRIDE_NAME(const char* p0) { return big::native_invoker::invoke<1247, false, void>(p0); }
	FORCEINLINE constexpr void SET_SKIDMARK_RANGE_SCALE(float scale) { return big::native_invoker::invoke<1248, false, void>(scale); }
	FORCEINLINE constexpr void SET_PTFX_FORCE_VEHICLE_INTERIOR_FLAG(Any p0) { return big::native_invoker::invoke<1249, false, void>(p0); }
	FORCEINLINE constexpr void REGISTER_POSTFX_BULLET_IMPACT(float weaponWorldPosX, float weaponWorldPosY, float weaponWorldPosZ, float intensity) { return big::native_invoker::invoke<1250, false, void>(weaponWorldPosX, weaponWorldPosY, weaponWorldPosZ, intensity); }
	FORCEINLINE constexpr void FORCE_POSTFX_BULLET_IMPACTS_AFTER_HUD(BOOL p0) { return big::native_invoker::invoke<1251, false, void>(p0); }
	FORCEINLINE constexpr void USE_PARTICLE_FX_ASSET(const char* name) { return big::native_invoker::invoke<1252, false, void>(name); }
	FORCEINLINE constexpr void SET_PARTICLE_FX_OVERRIDE(const char* oldAsset, const char* newAsset) { return big::native_invoker::invoke<1253, false, void>(oldAsset, newAsset); }
	FORCEINLINE constexpr void RESET_PARTICLE_FX_OVERRIDE(const char* name) { return big::native_invoker::invoke<1254, false, void>(name); }
	FORCEINLINE constexpr int _START_VEHICLE_PARTICLE_FX_LOOPED(Vehicle vehicle, const char* effectName, BOOL frontBack, BOOL leftRight, BOOL localOnly) { return big::native_invoker::invoke<1255, false, int>(vehicle, effectName, frontBack, leftRight, localOnly); }
	FORCEINLINE constexpr void SET_WEATHER_PTFX_USE_OVERRIDE_SETTINGS(BOOL p0) { return big::native_invoker::invoke<1256, false, void>(p0); }
	FORCEINLINE constexpr void SET_WEATHER_PTFX_OVERRIDE_CURR_LEVEL(float p0) { return big::native_invoker::invoke<1257, false, void>(p0); }
	FORCEINLINE constexpr void WASH_DECALS_IN_RANGE(float x, float y, float z, float range, float p4) { return big::native_invoker::invoke<1258, false, void>(x, y, z, range, p4); }
	FORCEINLINE constexpr void WASH_DECALS_FROM_VEHICLE(Vehicle vehicle, float p1) { return big::native_invoker::invoke<1259, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void FADE_DECALS_IN_RANGE(float x, float y, float z, float p3, float p4) { return big::native_invoker::invoke<1260, false, void>(x, y, z, p3, p4); }
	FORCEINLINE constexpr void REMOVE_DECALS_IN_RANGE(float x, float y, float z, float range) { return big::native_invoker::invoke<1261, false, void>(x, y, z, range); }
	FORCEINLINE constexpr void REMOVE_DECALS_FROM_OBJECT(Object obj) { return big::native_invoker::invoke<1262, false, void>(obj); }
	FORCEINLINE constexpr void REMOVE_DECALS_FROM_OBJECT_FACING(Object obj, float x, float y, float z) { return big::native_invoker::invoke<1263, false, void>(obj, x, y, z); }
	FORCEINLINE constexpr void REMOVE_DECALS_FROM_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<1264, false, void>(vehicle); }
	FORCEINLINE constexpr int ADD_DECAL(int decalType, float posX, float posY, float posZ, float p4, float p5, float p6, float p7, float p8, float p9, float width, float height, float rCoef, float gCoef, float bCoef, float opacity, float timeout, BOOL p17, BOOL p18, BOOL p19) { return big::native_invoker::invoke<1265, false, int>(decalType, posX, posY, posZ, p4, p5, p6, p7, p8, p9, width, height, rCoef, gCoef, bCoef, opacity, timeout, p17, p18, p19); }
	FORCEINLINE constexpr int ADD_PETROL_DECAL(float x, float y, float z, float groundLvl, float width, float transparency) { return big::native_invoker::invoke<1266, false, int>(x, y, z, groundLvl, width, transparency); }
	FORCEINLINE constexpr int ADD_OIL_DECAL(float x, float y, float z, float groundLvl, float width, float transparency) { return big::native_invoker::invoke<1267, false, int>(x, y, z, groundLvl, width, transparency); }
	FORCEINLINE constexpr void START_PETROL_TRAIL_DECALS(float p0) { return big::native_invoker::invoke<1268, false, void>(p0); }
	FORCEINLINE constexpr void ADD_PETROL_TRAIL_DECAL_INFO(float x, float y, float z, float p3) { return big::native_invoker::invoke<1269, false, void>(x, y, z, p3); }
	FORCEINLINE constexpr void END_PETROL_TRAIL_DECALS() { return big::native_invoker::invoke<1270, false, void>(); }
	FORCEINLINE constexpr void REMOVE_DECAL(int decal) { return big::native_invoker::invoke<1271, false, void>(decal); }
	FORCEINLINE constexpr BOOL IS_DECAL_ALIVE(int decal) { return big::native_invoker::invoke<1272, false, BOOL>(decal); }
	FORCEINLINE constexpr float GET_DECAL_WASH_LEVEL(int decal) { return big::native_invoker::invoke<1273, false, float>(decal); }
	FORCEINLINE constexpr void SET_DISABLE_PETROL_DECALS_IGNITING_THIS_FRAME() { return big::native_invoker::invoke<1274, false, void>(); }
	FORCEINLINE constexpr void SET_DISABLE_PETROL_DECALS_RECYCLING_THIS_FRAME() { return big::native_invoker::invoke<1275, false, void>(); }
	FORCEINLINE constexpr void SET_DISABLE_DECAL_RENDERING_THIS_FRAME() { return big::native_invoker::invoke<1276, false, void>(); }
	FORCEINLINE constexpr BOOL GET_IS_PETROL_DECAL_IN_RANGE(float xCoord, float yCoord, float zCoord, float radius) { return big::native_invoker::invoke<1277, false, BOOL>(xCoord, yCoord, zCoord, radius); }
	FORCEINLINE constexpr void PATCH_DECAL_DIFFUSE_MAP(int decalType, const char* textureDict, const char* textureName) { return big::native_invoker::invoke<1278, false, void>(decalType, textureDict, textureName); }
	FORCEINLINE constexpr void UNPATCH_DECAL_DIFFUSE_MAP(int decalType) { return big::native_invoker::invoke<1279, false, void>(decalType); }
	FORCEINLINE constexpr void MOVE_VEHICLE_DECALS(Any p0, Any p1) { return big::native_invoker::invoke<1280, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL ADD_VEHICLE_CREW_EMBLEM(Vehicle vehicle, Ped ped, int boneIndex, float x1, float x2, float x3, float y1, float y2, float y3, float z1, float z2, float z3, float scale, Any p13, int alpha) { return big::native_invoker::invoke<1281, false, BOOL>(vehicle, ped, boneIndex, x1, x2, x3, y1, y2, y3, z1, z2, z3, scale, p13, alpha); }
	FORCEINLINE constexpr BOOL ABORT_VEHICLE_CREW_EMBLEM_REQUEST(int* p0) { return big::native_invoker::invoke<1282, false, BOOL>(p0); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_CREW_EMBLEM(Vehicle vehicle, int p1) { return big::native_invoker::invoke<1283, false, void>(vehicle, p1); }
	FORCEINLINE constexpr int GET_VEHICLE_CREW_EMBLEM_REQUEST_STATE(Vehicle vehicle, int p1) { return big::native_invoker::invoke<1284, false, int>(vehicle, p1); }
	FORCEINLINE constexpr BOOL DOES_VEHICLE_HAVE_CREW_EMBLEM(Vehicle vehicle, int p1) { return big::native_invoker::invoke<1285, false, BOOL>(vehicle, p1); }
	FORCEINLINE constexpr void DISABLE_COMPOSITE_SHOTGUN_DECALS(BOOL toggle) { return big::native_invoker::invoke<1286, false, void>(toggle); }
	FORCEINLINE constexpr void DISABLE_SCUFF_DECALS(BOOL toggle) { return big::native_invoker::invoke<1287, false, void>(toggle); }
	FORCEINLINE constexpr void SET_DECAL_BULLET_IMPACT_RANGE_SCALE(float p0) { return big::native_invoker::invoke<1288, false, void>(p0); }
	FORCEINLINE constexpr void OVERRIDE_INTERIOR_SMOKE_NAME(const char* name) { return big::native_invoker::invoke<1289, false, void>(name); }
	FORCEINLINE constexpr void OVERRIDE_INTERIOR_SMOKE_LEVEL(float level) { return big::native_invoker::invoke<1290, false, void>(level); }
	FORCEINLINE constexpr void OVERRIDE_INTERIOR_SMOKE_END() { return big::native_invoker::invoke<1291, false, void>(); }
	FORCEINLINE constexpr void REGISTER_NOIR_LENS_EFFECT() { return big::native_invoker::invoke<1292, false, void>(); }
	FORCEINLINE constexpr void DISABLE_VEHICLE_DISTANTLIGHTS(BOOL toggle) { return big::native_invoker::invoke<1293, false, void>(toggle); }
	FORCEINLINE constexpr void RENDER_SHADOWED_LIGHTS_WITH_NO_SHADOWS(BOOL p0) { return big::native_invoker::invoke<1294, false, void>(p0); }
	FORCEINLINE constexpr void REQUEST_EARLY_LIGHT_CHECK() { return big::native_invoker::invoke<1295, false, void>(); }
	FORCEINLINE constexpr void USE_SNOW_FOOT_VFX_WHEN_UNSHELTERED(BOOL toggle) { return big::native_invoker::invoke<1296, false, void>(toggle); }
	FORCEINLINE constexpr void _FORCE_ALLOW_SNOW_FOOT_VFX_ON_ICE(BOOL toggle) { return big::native_invoker::invoke<1297, false, void>(toggle); }
	FORCEINLINE constexpr void USE_SNOW_WHEEL_VFX_WHEN_UNSHELTERED(BOOL toggle) { return big::native_invoker::invoke<1298, false, void>(toggle); }
	FORCEINLINE constexpr void DISABLE_REGION_VFX(Any p0) { return big::native_invoker::invoke<1299, false, void>(p0); }
	FORCEINLINE constexpr void _FORCE_GROUND_SNOW_PASS(BOOL toggle) { return big::native_invoker::invoke<1300, false, void>(toggle); }
	FORCEINLINE constexpr void PRESET_INTERIOR_AMBIENT_CACHE(const char* timecycleModifierName) { return big::native_invoker::invoke<1301, false, void>(timecycleModifierName); }
	FORCEINLINE constexpr void SET_TIMECYCLE_MODIFIER(const char* modifierName) { return big::native_invoker::invoke<1302, false, void>(modifierName); }
	FORCEINLINE constexpr void SET_TIMECYCLE_MODIFIER_STRENGTH(float strength) { return big::native_invoker::invoke<1303, false, void>(strength); }
	FORCEINLINE constexpr void SET_TRANSITION_TIMECYCLE_MODIFIER(const char* modifierName, float transition) { return big::native_invoker::invoke<1304, false, void>(modifierName, transition); }
	FORCEINLINE constexpr void SET_TRANSITION_OUT_OF_TIMECYCLE_MODIFIER(float strength) { return big::native_invoker::invoke<1305, false, void>(strength); }
	FORCEINLINE constexpr void CLEAR_TIMECYCLE_MODIFIER() { return big::native_invoker::invoke<1306, false, void>(); }
	FORCEINLINE constexpr int GET_TIMECYCLE_MODIFIER_INDEX() { return big::native_invoker::invoke<1307, false, int>(); }
	FORCEINLINE constexpr int GET_TIMECYCLE_TRANSITION_MODIFIER_INDEX() { return big::native_invoker::invoke<1308, false, int>(); }
	FORCEINLINE constexpr BOOL GET_IS_TIMECYCLE_TRANSITIONING_OUT() { return big::native_invoker::invoke<1309, false, BOOL>(); }
	FORCEINLINE constexpr void PUSH_TIMECYCLE_MODIFIER() { return big::native_invoker::invoke<1310, false, void>(); }
	FORCEINLINE constexpr void POP_TIMECYCLE_MODIFIER() { return big::native_invoker::invoke<1311, false, void>(); }
	FORCEINLINE constexpr void SET_CURRENT_PLAYER_TCMODIFIER(const char* modifierName) { return big::native_invoker::invoke<1312, false, void>(modifierName); }
	FORCEINLINE constexpr void SET_PLAYER_TCMODIFIER_TRANSITION(float value) { return big::native_invoker::invoke<1313, false, void>(value); }
	FORCEINLINE constexpr void SET_NEXT_PLAYER_TCMODIFIER(const char* modifierName) { return big::native_invoker::invoke<1314, false, void>(modifierName); }
	FORCEINLINE constexpr void ADD_TCMODIFIER_OVERRIDE(const char* modifierName1, const char* modifierName2) { return big::native_invoker::invoke<1315, false, void>(modifierName1, modifierName2); }
	FORCEINLINE constexpr void CLEAR_ALL_TCMODIFIER_OVERRIDES(const char* p0) { return big::native_invoker::invoke<1316, false, void>(p0); }
	FORCEINLINE constexpr void SET_EXTRA_TCMODIFIER(const char* modifierName) { return big::native_invoker::invoke<1317, false, void>(modifierName); }
	FORCEINLINE constexpr void CLEAR_EXTRA_TCMODIFIER() { return big::native_invoker::invoke<1318, false, void>(); }
	FORCEINLINE constexpr int GET_EXTRA_TCMODIFIER() { return big::native_invoker::invoke<1319, false, int>(); }
	FORCEINLINE constexpr void ENABLE_MOON_CYCLE_OVERRIDE(float strength) { return big::native_invoker::invoke<1320, false, void>(strength); }
	FORCEINLINE constexpr void DISABLE_MOON_CYCLE_OVERRIDE() { return big::native_invoker::invoke<1321, false, void>(); }
	FORCEINLINE constexpr int REQUEST_SCALEFORM_MOVIE(const char* scaleformName) { return big::native_invoker::invoke<1322, false, int>(scaleformName); }
	FORCEINLINE constexpr int REQUEST_SCALEFORM_MOVIE_WITH_IGNORE_SUPER_WIDESCREEN(const char* scaleformName) { return big::native_invoker::invoke<1323, false, int>(scaleformName); }
	FORCEINLINE constexpr int REQUEST_SCALEFORM_MOVIE_INSTANCE(const char* scaleformName) { return big::native_invoker::invoke<1324, false, int>(scaleformName); }
	FORCEINLINE constexpr int REQUEST_SCALEFORM_MOVIE_SKIP_RENDER_WHILE_PAUSED(const char* scaleformName) { return big::native_invoker::invoke<1325, false, int>(scaleformName); }
	FORCEINLINE constexpr BOOL HAS_SCALEFORM_MOVIE_LOADED(int scaleformHandle) { return big::native_invoker::invoke<1326, false, BOOL>(scaleformHandle); }
	FORCEINLINE constexpr BOOL IS_ACTIVE_SCALEFORM_MOVIE_DELETING(int val) { return big::native_invoker::invoke<1327, false, BOOL>(val); }
	FORCEINLINE constexpr BOOL IS_SCALEFORM_MOVIE_DELETING(int val) { return big::native_invoker::invoke<1328, false, BOOL>(val); }
	FORCEINLINE constexpr BOOL HAS_SCALEFORM_MOVIE_FILENAME_LOADED(const char* scaleformName) { return big::native_invoker::invoke<1329, false, BOOL>(scaleformName); }
	FORCEINLINE constexpr BOOL HAS_SCALEFORM_CONTAINER_MOVIE_LOADED_INTO_PARENT(int scaleformHandle) { return big::native_invoker::invoke<1330, false, BOOL>(scaleformHandle); }
	FORCEINLINE constexpr void SET_SCALEFORM_MOVIE_AS_NO_LONGER_NEEDED(int* scaleformHandle) { return big::native_invoker::invoke<1331, false, void>(scaleformHandle); }
	FORCEINLINE constexpr void SET_SCALEFORM_MOVIE_TO_USE_SYSTEM_TIME(int scaleform, BOOL toggle) { return big::native_invoker::invoke<1332, false, void>(scaleform, toggle); }
	FORCEINLINE constexpr void SET_SCALEFORM_MOVIE_TO_USE_LARGE_RT(int scaleformHandle, BOOL toggle) { return big::native_invoker::invoke<1333, false, void>(scaleformHandle, toggle); }
	FORCEINLINE constexpr void SET_SCALEFORM_MOVIE_TO_USE_SUPER_LARGE_RT(int scaleformHandle, BOOL toggle) { return big::native_invoker::invoke<1334, false, void>(scaleformHandle, toggle); }
	FORCEINLINE constexpr void DRAW_SCALEFORM_MOVIE(int scaleformHandle, float x, float y, float width, float height, int red, int green, int blue, int alpha, int p9) { return big::native_invoker::invoke<1335, false, void>(scaleformHandle, x, y, width, height, red, green, blue, alpha, p9); }
	FORCEINLINE constexpr void DRAW_SCALEFORM_MOVIE_FULLSCREEN(int scaleform, int red, int green, int blue, int alpha, int p5) { return big::native_invoker::invoke<1336, false, void>(scaleform, red, green, blue, alpha, p5); }
	FORCEINLINE constexpr void DRAW_SCALEFORM_MOVIE_FULLSCREEN_MASKED(int scaleform1, int scaleform2, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1337, false, void>(scaleform1, scaleform2, red, green, blue, alpha); }
	FORCEINLINE constexpr void DRAW_SCALEFORM_MOVIE_3D(int scaleform, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float p7, float p8, float p9, float scaleX, float scaleY, float scaleZ, int rotationOrder) { return big::native_invoker::invoke<1338, false, void>(scaleform, posX, posY, posZ, rotX, rotY, rotZ, p7, p8, p9, scaleX, scaleY, scaleZ, rotationOrder); }
	FORCEINLINE constexpr void DRAW_SCALEFORM_MOVIE_3D_SOLID(int scaleform, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float p7, float p8, float p9, float scaleX, float scaleY, float scaleZ, int rotationOrder) { return big::native_invoker::invoke<1339, false, void>(scaleform, posX, posY, posZ, rotX, rotY, rotZ, p7, p8, p9, scaleX, scaleY, scaleZ, rotationOrder); }
	FORCEINLINE constexpr void CALL_SCALEFORM_MOVIE_METHOD(int scaleform, const char* method) { return big::native_invoker::invoke<1340, false, void>(scaleform, method); }
	FORCEINLINE constexpr void CALL_SCALEFORM_MOVIE_METHOD_WITH_NUMBER(int scaleform, const char* methodName, float param1, float param2, float param3, float param4, float param5) { return big::native_invoker::invoke<1341, false, void>(scaleform, methodName, param1, param2, param3, param4, param5); }
	FORCEINLINE constexpr void CALL_SCALEFORM_MOVIE_METHOD_WITH_STRING(int scaleform, const char* methodName, const char* param1, const char* param2, const char* param3, const char* param4, const char* param5) { return big::native_invoker::invoke<1342, false, void>(scaleform, methodName, param1, param2, param3, param4, param5); }
	FORCEINLINE constexpr void CALL_SCALEFORM_MOVIE_METHOD_WITH_NUMBER_AND_STRING(int scaleform, const char* methodName, float floatParam1, float floatParam2, float floatParam3, float floatParam4, float floatParam5, const char* stringParam1, const char* stringParam2, const char* stringParam3, const char* stringParam4, const char* stringParam5) { return big::native_invoker::invoke<1343, false, void>(scaleform, methodName, floatParam1, floatParam2, floatParam3, floatParam4, floatParam5, stringParam1, stringParam2, stringParam3, stringParam4, stringParam5); }
	FORCEINLINE constexpr BOOL BEGIN_SCALEFORM_SCRIPT_HUD_MOVIE_METHOD(int hudComponent, const char* methodName) { return big::native_invoker::invoke<1344, false, BOOL>(hudComponent, methodName); }
	FORCEINLINE constexpr BOOL BEGIN_SCALEFORM_MOVIE_METHOD(int scaleform, const char* methodName) { return big::native_invoker::invoke<1345, false, BOOL>(scaleform, methodName); }
	FORCEINLINE constexpr BOOL BEGIN_SCALEFORM_MOVIE_METHOD_ON_FRONTEND(const char* methodName) { return big::native_invoker::invoke<1346, false, BOOL>(methodName); }
	FORCEINLINE constexpr BOOL BEGIN_SCALEFORM_MOVIE_METHOD_ON_FRONTEND_HEADER(const char* methodName) { return big::native_invoker::invoke<1347, false, BOOL>(methodName); }
	FORCEINLINE constexpr void END_SCALEFORM_MOVIE_METHOD() { return big::native_invoker::invoke<1348, false, void>(); }
	FORCEINLINE constexpr int END_SCALEFORM_MOVIE_METHOD_RETURN_VALUE() { return big::native_invoker::invoke<1349, false, int>(); }
	FORCEINLINE constexpr BOOL IS_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_READY(int methodReturn) { return big::native_invoker::invoke<1350, false, BOOL>(methodReturn); }
	FORCEINLINE constexpr int GET_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_INT(int methodReturn) { return big::native_invoker::invoke<1351, false, int>(methodReturn); }
	FORCEINLINE constexpr BOOL GET_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_BOOL(int methodReturn) { return big::native_invoker::invoke<1352, false, BOOL>(methodReturn); }
	FORCEINLINE constexpr const char* GET_SCALEFORM_MOVIE_METHOD_RETURN_VALUE_STRING(int methodReturn) { return big::native_invoker::invoke<1353, false, const char*>(methodReturn); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_INT(int value) { return big::native_invoker::invoke<1354, false, void>(value); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_FLOAT(float value) { return big::native_invoker::invoke<1355, false, void>(value); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_BOOL(BOOL value) { return big::native_invoker::invoke<1356, false, void>(value); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_SCALEFORM_STRING(const char* componentType) { return big::native_invoker::invoke<1357, false, void>(componentType); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_SCALEFORM_STRING() { return big::native_invoker::invoke<1358, false, void>(); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_UNPARSED_SCALEFORM_STRING() { return big::native_invoker::invoke<1359, false, void>(); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_LITERAL_STRING(const char* string) { return big::native_invoker::invoke<1360, false, void>(string); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_TEXTURE_NAME_STRING(const char* string) { return big::native_invoker::invoke<1361, false, void>(string); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_PLAYER_NAME_STRING(const char* string) { return big::native_invoker::invoke<1362, false, void>(string); }
	FORCEINLINE constexpr BOOL DOES_LATEST_BRIEF_STRING_EXIST(int p0) { return big::native_invoker::invoke<1363, false, BOOL>(p0); }
	FORCEINLINE constexpr void SCALEFORM_MOVIE_METHOD_ADD_PARAM_LATEST_BRIEF_STRING(int value) { return big::native_invoker::invoke<1364, false, void>(value); }
	FORCEINLINE constexpr void REQUEST_SCALEFORM_SCRIPT_HUD_MOVIE(int hudComponent) { return big::native_invoker::invoke<1365, false, void>(hudComponent); }
	FORCEINLINE constexpr BOOL HAS_SCALEFORM_SCRIPT_HUD_MOVIE_LOADED(int hudComponent) { return big::native_invoker::invoke<1366, false, BOOL>(hudComponent); }
	FORCEINLINE constexpr void REMOVE_SCALEFORM_SCRIPT_HUD_MOVIE(int hudComponent) { return big::native_invoker::invoke<1367, false, void>(hudComponent); }
	FORCEINLINE constexpr BOOL PASS_KEYBOARD_INPUT_TO_SCALEFORM(int scaleformHandle) { return big::native_invoker::invoke<1368, false, BOOL>(scaleformHandle); }
	FORCEINLINE constexpr void SET_TV_CHANNEL(int channel) { return big::native_invoker::invoke<1369, false, void>(channel); }
	FORCEINLINE constexpr int GET_TV_CHANNEL() { return big::native_invoker::invoke<1370, false, int>(); }
	FORCEINLINE constexpr void SET_TV_VOLUME(float volume) { return big::native_invoker::invoke<1371, false, void>(volume); }
	FORCEINLINE constexpr float GET_TV_VOLUME() { return big::native_invoker::invoke<1372, false, float>(); }
	FORCEINLINE constexpr void DRAW_TV_CHANNEL(float xPos, float yPos, float xScale, float yScale, float rotation, int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1373, false, void>(xPos, yPos, xScale, yScale, rotation, red, green, blue, alpha); }
	FORCEINLINE constexpr void SET_TV_CHANNEL_PLAYLIST(int tvChannel, const char* playlistName, BOOL restart) { return big::native_invoker::invoke<1374, false, void>(tvChannel, playlistName, restart); }
	FORCEINLINE constexpr void SET_TV_CHANNEL_PLAYLIST_AT_HOUR(int tvChannel, const char* playlistName, int hour) { return big::native_invoker::invoke<1375, false, void>(tvChannel, playlistName, hour); }
	FORCEINLINE constexpr void _SET_TV_CHANNEL_PLAYLIST_DIRTY(int tvChannel, BOOL p1) { return big::native_invoker::invoke<1376, false, void>(tvChannel, p1); }
	FORCEINLINE constexpr void CLEAR_TV_CHANNEL_PLAYLIST(int tvChannel) { return big::native_invoker::invoke<1377, false, void>(tvChannel); }
	FORCEINLINE constexpr BOOL IS_PLAYLIST_ON_CHANNEL(int tvChannel, Any p1) { return big::native_invoker::invoke<1378, false, BOOL>(tvChannel, p1); }
	FORCEINLINE constexpr BOOL IS_TVSHOW_CURRENTLY_PLAYING(Hash videoCliphash) { return big::native_invoker::invoke<1379, false, BOOL>(videoCliphash); }
	FORCEINLINE constexpr void ENABLE_MOVIE_KEYFRAME_WAIT(BOOL toggle) { return big::native_invoker::invoke<1380, false, void>(toggle); }
	FORCEINLINE constexpr void SET_TV_PLAYER_WATCHING_THIS_FRAME(Any p0) { return big::native_invoker::invoke<1381, false, void>(p0); }
	FORCEINLINE constexpr Hash GET_CURRENT_TV_CLIP_NAMEHASH() { return big::native_invoker::invoke<1382, false, Hash>(); }
	FORCEINLINE constexpr void ENABLE_MOVIE_SUBTITLES(BOOL toggle) { return big::native_invoker::invoke<1383, false, void>(toggle); }
	FORCEINLINE constexpr BOOL UI3DSCENE_IS_AVAILABLE() { return big::native_invoker::invoke<1384, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UI3DSCENE_PUSH_PRESET(const char* presetName) { return big::native_invoker::invoke<1385, false, BOOL>(presetName); }
	FORCEINLINE constexpr BOOL UI3DSCENE_ASSIGN_PED_TO_SLOT(const char* presetName, Ped ped, int slot, float posX, float posY, float posZ) { return big::native_invoker::invoke<1386, false, BOOL>(presetName, ped, slot, posX, posY, posZ); }
	FORCEINLINE constexpr void UI3DSCENE_CLEAR_PATCHED_DATA() { return big::native_invoker::invoke<1387, false, void>(); }
	FORCEINLINE constexpr void UI3DSCENE_MAKE_PUSHED_PRESET_PERSISTENT(BOOL toggle) { return big::native_invoker::invoke<1388, false, void>(toggle); }
	FORCEINLINE constexpr void TERRAINGRID_ACTIVATE(BOOL toggle) { return big::native_invoker::invoke<1389, false, void>(toggle); }
	FORCEINLINE constexpr void TERRAINGRID_SET_PARAMS(float x, float y, float z, float forwardX, float forwardY, float forwardZ, float sizeX, float sizeY, float sizeZ, float gridScale, float glowIntensity, float normalHeight, float heightDiff) { return big::native_invoker::invoke<1390, false, void>(x, y, z, forwardX, forwardY, forwardZ, sizeX, sizeY, sizeZ, gridScale, glowIntensity, normalHeight, heightDiff); }
	FORCEINLINE constexpr void TERRAINGRID_SET_COLOURS(int lowR, int lowG, int lowB, int lowAlpha, int r, int g, int b, int alpha, int highR, int highG, int highB, int highAlpha) { return big::native_invoker::invoke<1391, false, void>(lowR, lowG, lowB, lowAlpha, r, g, b, alpha, highR, highG, highB, highAlpha); }
	FORCEINLINE constexpr void ANIMPOSTFX_PLAY(const char* effectName, int duration, BOOL looped) { return big::native_invoker::invoke<1392, false, void>(effectName, duration, looped); }
	FORCEINLINE constexpr void ANIMPOSTFX_STOP(const char* effectName) { return big::native_invoker::invoke<1393, false, void>(effectName); }
	FORCEINLINE constexpr float ANIMPOSTFX_GET_CURRENT_TIME(const char* effectName) { return big::native_invoker::invoke<1394, false, float>(effectName); }
	FORCEINLINE constexpr BOOL ANIMPOSTFX_IS_RUNNING(const char* effectName) { return big::native_invoker::invoke<1395, false, BOOL>(effectName); }
	FORCEINLINE constexpr void ANIMPOSTFX_STOP_ALL() { return big::native_invoker::invoke<1396, false, void>(); }
	FORCEINLINE constexpr void ANIMPOSTFX_STOP_AND_FLUSH_REQUESTS(const char* effectName) { return big::native_invoker::invoke<1397, false, void>(effectName); }
}

namespace HUD
{
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_BUSYSPINNER_ON(const char* string) { return big::native_invoker::invoke<1398, false, void>(string); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_BUSYSPINNER_ON(int busySpinnerType) { return big::native_invoker::invoke<1399, false, void>(busySpinnerType); }
	FORCEINLINE constexpr void BUSYSPINNER_OFF() { return big::native_invoker::invoke<1400, false, void>(); }
	FORCEINLINE constexpr void PRELOAD_BUSYSPINNER() { return big::native_invoker::invoke<1401, false, void>(); }
	FORCEINLINE constexpr BOOL BUSYSPINNER_IS_ON() { return big::native_invoker::invoke<1402, false, BOOL>(); }
	FORCEINLINE constexpr BOOL BUSYSPINNER_IS_DISPLAYING() { return big::native_invoker::invoke<1403, false, BOOL>(); }
	FORCEINLINE constexpr void DISABLE_PAUSEMENU_SPINNER(BOOL p0) { return big::native_invoker::invoke<1404, false, void>(p0); }
	FORCEINLINE constexpr void SET_MOUSE_CURSOR_THIS_FRAME() { return big::native_invoker::invoke<1405, false, void>(); }
	FORCEINLINE constexpr void SET_MOUSE_CURSOR_STYLE(int spriteId) { return big::native_invoker::invoke<1406, false, void>(spriteId); }
	FORCEINLINE constexpr void SET_MOUSE_CURSOR_VISIBLE(BOOL toggle) { return big::native_invoker::invoke<1407, false, void>(toggle); }
	FORCEINLINE constexpr BOOL IS_MOUSE_ROLLED_OVER_INSTRUCTIONAL_BUTTONS() { return big::native_invoker::invoke<1408, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_MOUSE_EVENT(int scaleformHandle, Any* p1, Any* p2, Any* p3) { return big::native_invoker::invoke<1409, false, BOOL>(scaleformHandle, p1, p2, p3); }
	FORCEINLINE constexpr void THEFEED_ONLY_SHOW_TOOLTIPS(BOOL toggle) { return big::native_invoker::invoke<1410, false, void>(toggle); }
	FORCEINLINE constexpr void THEFEED_SET_SCRIPTED_MENU_HEIGHT(float pos) { return big::native_invoker::invoke<1411, false, void>(pos); }
	FORCEINLINE constexpr void THEFEED_HIDE() { return big::native_invoker::invoke<1412, false, void>(); }
	FORCEINLINE constexpr void THEFEED_HIDE_THIS_FRAME() { return big::native_invoker::invoke<1413, false, void>(); }
	FORCEINLINE constexpr void THEFEED_SHOW() { return big::native_invoker::invoke<1414, false, void>(); }
	FORCEINLINE constexpr void THEFEED_FLUSH_QUEUE() { return big::native_invoker::invoke<1415, false, void>(); }
	FORCEINLINE constexpr void THEFEED_REMOVE_ITEM(int notificationId) { return big::native_invoker::invoke<1416, false, void>(notificationId); }
	FORCEINLINE constexpr void THEFEED_FORCE_RENDER_ON() { return big::native_invoker::invoke<1417, false, void>(); }
	FORCEINLINE constexpr void THEFEED_FORCE_RENDER_OFF() { return big::native_invoker::invoke<1418, false, void>(); }
	FORCEINLINE constexpr void THEFEED_PAUSE() { return big::native_invoker::invoke<1419, false, void>(); }
	FORCEINLINE constexpr void THEFEED_RESUME() { return big::native_invoker::invoke<1420, false, void>(); }
	FORCEINLINE constexpr BOOL THEFEED_IS_PAUSED() { return big::native_invoker::invoke<1421, false, BOOL>(); }
	FORCEINLINE constexpr void THEFEED_REPORT_LOGO_ON() { return big::native_invoker::invoke<1422, false, void>(); }
	FORCEINLINE constexpr void THEFEED_REPORT_LOGO_OFF() { return big::native_invoker::invoke<1423, false, void>(); }
	FORCEINLINE constexpr int THEFEED_GET_LAST_SHOWN_PHONE_ACTIVATABLE_FEED_ID() { return big::native_invoker::invoke<1424, false, int>(); }
	FORCEINLINE constexpr void THEFEED_AUTO_POST_GAMETIPS_ON() { return big::native_invoker::invoke<1425, false, void>(); }
	FORCEINLINE constexpr void THEFEED_AUTO_POST_GAMETIPS_OFF() { return big::native_invoker::invoke<1426, false, void>(); }
	FORCEINLINE constexpr void THEFEED_SET_BACKGROUND_COLOR_FOR_NEXT_POST(int hudColorIndex) { return big::native_invoker::invoke<1427, false, void>(hudColorIndex); }
	FORCEINLINE constexpr void THEFEED_SET_RGBA_PARAMETER_FOR_NEXT_MESSAGE(int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1428, false, void>(red, green, blue, alpha); }
	FORCEINLINE constexpr void THEFEED_SET_FLASH_DURATION_PARAMETER_FOR_NEXT_MESSAGE(int count) { return big::native_invoker::invoke<1429, false, void>(count); }
	FORCEINLINE constexpr void THEFEED_SET_VIBRATE_PARAMETER_FOR_NEXT_MESSAGE(BOOL toggle) { return big::native_invoker::invoke<1430, false, void>(toggle); }
	FORCEINLINE constexpr void THEFEED_RESET_ALL_PARAMETERS() { return big::native_invoker::invoke<1431, false, void>(); }
	FORCEINLINE constexpr void THEFEED_FREEZE_NEXT_POST() { return big::native_invoker::invoke<1432, false, void>(); }
	FORCEINLINE constexpr void THEFEED_CLEAR_FROZEN_POST() { return big::native_invoker::invoke<1433, false, void>(); }
	FORCEINLINE constexpr void THEFEED_SET_SNAP_FEED_ITEM_POSITIONS(BOOL p0) { return big::native_invoker::invoke<1434, false, void>(p0); }
	FORCEINLINE constexpr void THEFEED_UPDATE_ITEM_TEXTURE(const char* txdString1, const char* txnString1, const char* txdString2, const char* txnString2) { return big::native_invoker::invoke<1435, false, void>(txdString1, txnString1, txdString2, txnString2); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_THEFEED_POST(const char* text) { return big::native_invoker::invoke<1436, false, void>(text); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_STATS(const char* statTitle, int iconEnum, BOOL stepVal, int barValue, BOOL isImportant, const char* pictureTextureDict, const char* pictureTextureName) { return big::native_invoker::invoke<1437, false, int>(statTitle, iconEnum, stepVal, barValue, isImportant, pictureTextureDict, pictureTextureName); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT(const char* txdName, const char* textureName, BOOL flash, int iconType, const char* sender, const char* subject) { return big::native_invoker::invoke<1438, false, int>(txdName, textureName, flash, iconType, sender, subject); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_SUBTITLE_LABEL(const char* txdName, const char* textureName, BOOL flash, int iconType, const char* sender, const char* subject) { return big::native_invoker::invoke<1439, false, int>(txdName, textureName, flash, iconType, sender, subject); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_TU(const char* txdName, const char* textureName, BOOL flash, int iconType, const char* sender, const char* subject, float duration) { return big::native_invoker::invoke<1440, false, int>(txdName, textureName, flash, iconType, sender, subject, duration); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_WITH_CREW_TAG(const char* txdName, const char* textureName, BOOL flash, int iconType, const char* sender, const char* subject, float duration, const char* clanTag) { return big::native_invoker::invoke<1441, false, int>(txdName, textureName, flash, iconType, sender, subject, duration, clanTag); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_MESSAGETEXT_WITH_CREW_TAG_AND_ADDITIONAL_ICON(const char* txdName, const char* textureName, BOOL flash, int iconType1, const char* sender, const char* subject, float duration, const char* clanTag, int iconType2, int p9) { return big::native_invoker::invoke<1442, false, int>(txdName, textureName, flash, iconType1, sender, subject, duration, clanTag, iconType2, p9); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_TICKER(BOOL blink, BOOL p1) { return big::native_invoker::invoke<1443, false, int>(blink, p1); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_TICKER_FORCED(BOOL blink, BOOL p1) { return big::native_invoker::invoke<1444, false, int>(blink, p1); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_TICKER_WITH_TOKENS(BOOL blink, BOOL p1) { return big::native_invoker::invoke<1445, false, int>(blink, p1); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_AWARD(const char* textureDict, const char* textureName, int rpBonus, int colorOverlay, const char* titleLabel) { return big::native_invoker::invoke<1446, false, int>(textureDict, textureName, rpBonus, colorOverlay, titleLabel); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_CREWTAG(BOOL p0, BOOL p1, int* p2, int p3, BOOL isLeader, BOOL unk0, int clanDesc, int R, int G, int B) { return big::native_invoker::invoke<1447, false, int>(p0, p1, p2, p3, isLeader, unk0, clanDesc, R, G, B); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_CREWTAG_WITH_GAME_NAME(BOOL p0, BOOL p1, int* p2, int p3, BOOL isLeader, BOOL unk0, int clanDesc, const char* playerName, int R, int G, int B) { return big::native_invoker::invoke<1448, false, int>(p0, p1, p2, p3, isLeader, unk0, clanDesc, playerName, R, G, B); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_UNLOCK(const char* gxtLabel1, int p1, const char* gxtLabel2) { return big::native_invoker::invoke<1449, false, int>(gxtLabel1, p1, gxtLabel2); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_UNLOCK_TU(const char* gxtLabel1, int p1, const char* gxtLabel2, int p3) { return big::native_invoker::invoke<1450, false, int>(gxtLabel1, p1, gxtLabel2, p3); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_UNLOCK_TU_WITH_COLOR(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<1451, false, int>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_MPTICKER(BOOL blink, BOOL p1) { return big::native_invoker::invoke<1452, false, int>(blink, p1); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_CREW_RANKUP_WITH_LITERAL_FLAG(const char* p0, const char* p1, const char* p2, BOOL p3, BOOL p4) { return big::native_invoker::invoke<1453, false, int>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_VERSUS_TU(const char* txdName1, const char* textureName1, int count1, const char* txdName2, const char* textureName2, int count2, int hudColor1, int hudColor2) { return big::native_invoker::invoke<1454, false, int>(txdName1, textureName1, count1, txdName2, textureName2, count2, hudColor1, hudColor2); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_REPLAY(int type, int image, const char* text) { return big::native_invoker::invoke<1455, false, int>(type, image, text); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_THEFEED_POST_REPLAY_INPUT(int type, const char* button, const char* text) { return big::native_invoker::invoke<1456, false, int>(type, button, text); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_PRINT(const char* GxtEntry) { return big::native_invoker::invoke<1457, false, void>(GxtEntry); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_PRINT(int duration, BOOL drawImmediately) { return big::native_invoker::invoke<1458, false, void>(duration, drawImmediately); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_IS_MESSAGE_DISPLAYED(const char* text) { return big::native_invoker::invoke<1459, false, void>(text); }
	FORCEINLINE constexpr BOOL END_TEXT_COMMAND_IS_MESSAGE_DISPLAYED() { return big::native_invoker::invoke<1460, false, BOOL>(); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_DISPLAY_TEXT(const char* text) { return big::native_invoker::invoke<1461, false, void>(text); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_DISPLAY_TEXT(float x, float y, int p2) { return big::native_invoker::invoke<1462, false, void>(x, y, p2); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_GET_SCREEN_WIDTH_OF_DISPLAY_TEXT(const char* text) { return big::native_invoker::invoke<1463, false, void>(text); }
	FORCEINLINE constexpr float END_TEXT_COMMAND_GET_SCREEN_WIDTH_OF_DISPLAY_TEXT(BOOL p0) { return big::native_invoker::invoke<1464, false, float>(p0); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_GET_NUMBER_OF_LINES_FOR_STRING(const char* entry) { return big::native_invoker::invoke<1465, false, void>(entry); }
	FORCEINLINE constexpr int END_TEXT_COMMAND_GET_NUMBER_OF_LINES_FOR_STRING(float x, float y) { return big::native_invoker::invoke<1466, false, int>(x, y); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_DISPLAY_HELP(const char* inputType) { return big::native_invoker::invoke<1467, false, void>(inputType); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_DISPLAY_HELP(int p0, BOOL loop, BOOL beep, int shape) { return big::native_invoker::invoke<1468, false, void>(p0, loop, beep, shape); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_IS_THIS_HELP_MESSAGE_BEING_DISPLAYED(const char* labelName) { return big::native_invoker::invoke<1469, false, void>(labelName); }
	FORCEINLINE constexpr BOOL END_TEXT_COMMAND_IS_THIS_HELP_MESSAGE_BEING_DISPLAYED(int p0) { return big::native_invoker::invoke<1470, false, BOOL>(p0); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_SET_BLIP_NAME(const char* textLabel) { return big::native_invoker::invoke<1471, false, void>(textLabel); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_SET_BLIP_NAME(Blip blip) { return big::native_invoker::invoke<1472, false, void>(blip); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_ADD_DIRECTLY_TO_PREVIOUS_BRIEFS(const char* p0) { return big::native_invoker::invoke<1473, false, void>(p0); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_ADD_DIRECTLY_TO_PREVIOUS_BRIEFS(BOOL p0) { return big::native_invoker::invoke<1474, false, void>(p0); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_CLEAR_PRINT(const char* text) { return big::native_invoker::invoke<1475, false, void>(text); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_CLEAR_PRINT() { return big::native_invoker::invoke<1476, false, void>(); }
	FORCEINLINE constexpr void BEGIN_TEXT_COMMAND_OVERRIDE_BUTTON_TEXT(const char* gxtEntry) { return big::native_invoker::invoke<1477, false, void>(gxtEntry); }
	FORCEINLINE constexpr void END_TEXT_COMMAND_OVERRIDE_BUTTON_TEXT(int p0) { return big::native_invoker::invoke<1478, false, void>(p0); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_INTEGER(int value) { return big::native_invoker::invoke<1479, false, void>(value); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_FLOAT(float value, int decimalPlaces) { return big::native_invoker::invoke<1480, false, void>(value, decimalPlaces); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_TEXT_LABEL(const char* labelName) { return big::native_invoker::invoke<1481, false, void>(labelName); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_TEXT_LABEL_HASH_KEY(Hash gxtEntryHash) { return big::native_invoker::invoke<1482, false, void>(gxtEntryHash); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_BLIP_NAME(Blip blip) { return big::native_invoker::invoke<1483, false, void>(blip); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_PLAYER_NAME(const char* text) { return big::native_invoker::invoke<1484, false, void>(text); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_TIME(int timestamp, int flags) { return big::native_invoker::invoke<1485, false, void>(timestamp, flags); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_FORMATTED_INTEGER(int value, BOOL commaSeparated) { return big::native_invoker::invoke<1486, false, void>(value, commaSeparated); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_PHONE_NUMBER(const char* p0, int p1) { return big::native_invoker::invoke<1487, false, void>(p0, p1); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_WEBSITE(const char* website) { return big::native_invoker::invoke<1488, false, void>(website); }
	FORCEINLINE constexpr void ADD_TEXT_COMPONENT_SUBSTRING_KEYBOARD_DISPLAY(const char* string) { return big::native_invoker::invoke<1489, false, void>(string); }
	FORCEINLINE constexpr void SET_COLOUR_OF_NEXT_TEXT_COMPONENT(int hudColor) { return big::native_invoker::invoke<1490, false, void>(hudColor); }
	FORCEINLINE constexpr const char* GET_CHARACTER_FROM_AUDIO_CONVERSATION_FILENAME(const char* text, int position, int length) { return big::native_invoker::invoke<1491, false, const char*>(text, position, length); }
	FORCEINLINE constexpr const char* GET_CHARACTER_FROM_AUDIO_CONVERSATION_FILENAME_WITH_BYTE_LIMIT(const char* text, int position, int length, int maxLength) { return big::native_invoker::invoke<1492, false, const char*>(text, position, length, maxLength); }
	FORCEINLINE constexpr const char* GET_CHARACTER_FROM_AUDIO_CONVERSATION_FILENAME_BYTES(const char* text, int startPosition, int endPosition) { return big::native_invoker::invoke<1493, false, const char*>(text, startPosition, endPosition); }
	FORCEINLINE constexpr const char* GET_FILENAME_FOR_AUDIO_CONVERSATION(const char* labelName) { return big::native_invoker::invoke<1494, false, const char*>(labelName); }
	FORCEINLINE constexpr void CLEAR_PRINTS() { return big::native_invoker::invoke<1495, false, void>(); }
	FORCEINLINE constexpr void CLEAR_BRIEF() { return big::native_invoker::invoke<1496, false, void>(); }
	FORCEINLINE constexpr void CLEAR_ALL_HELP_MESSAGES() { return big::native_invoker::invoke<1497, false, void>(); }
	FORCEINLINE constexpr void CLEAR_THIS_PRINT(const char* p0) { return big::native_invoker::invoke<1498, false, void>(p0); }
	FORCEINLINE constexpr void CLEAR_SMALL_PRINTS() { return big::native_invoker::invoke<1499, false, void>(); }
	FORCEINLINE constexpr BOOL DOES_TEXT_BLOCK_EXIST(const char* gxt) { return big::native_invoker::invoke<1500, false, BOOL>(gxt); }
	FORCEINLINE constexpr void REQUEST_ADDITIONAL_TEXT(const char* gxt, int slot) { return big::native_invoker::invoke<1501, false, void>(gxt, slot); }
	FORCEINLINE constexpr void REQUEST_ADDITIONAL_TEXT_FOR_DLC(const char* gxt, int slot) { return big::native_invoker::invoke<1502, false, void>(gxt, slot); }
	FORCEINLINE constexpr BOOL HAS_ADDITIONAL_TEXT_LOADED(int slot) { return big::native_invoker::invoke<1503, false, BOOL>(slot); }
	FORCEINLINE constexpr void CLEAR_ADDITIONAL_TEXT(int p0, BOOL p1) { return big::native_invoker::invoke<1504, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL IS_STREAMING_ADDITIONAL_TEXT(int p0) { return big::native_invoker::invoke<1505, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL HAS_THIS_ADDITIONAL_TEXT_LOADED(const char* gxt, int slot) { return big::native_invoker::invoke<1506, false, BOOL>(gxt, slot); }
	FORCEINLINE constexpr BOOL IS_MESSAGE_BEING_DISPLAYED() { return big::native_invoker::invoke<1507, false, BOOL>(); }
	FORCEINLINE constexpr BOOL DOES_TEXT_LABEL_EXIST(const char* gxt) { return big::native_invoker::invoke<1508, false, BOOL>(gxt); }
	FORCEINLINE constexpr const char* GET_FIRST_N_CHARACTERS_OF_LITERAL_STRING(const char* string, int length) { return big::native_invoker::invoke<1509, false, const char*>(string, length); }
	FORCEINLINE constexpr int GET_LENGTH_OF_STRING_WITH_THIS_TEXT_LABEL(const char* gxt) { return big::native_invoker::invoke<1510, false, int>(gxt); }
	FORCEINLINE constexpr int GET_LENGTH_OF_LITERAL_STRING(const char* string) { return big::native_invoker::invoke<1511, false, int>(string); }
	FORCEINLINE constexpr int GET_LENGTH_OF_LITERAL_STRING_IN_BYTES(const char* string) { return big::native_invoker::invoke<1512, false, int>(string); }
	FORCEINLINE constexpr const char* GET_STREET_NAME_FROM_HASH_KEY(Hash hash) { return big::native_invoker::invoke<1513, false, const char*>(hash); }
	FORCEINLINE constexpr BOOL IS_HUD_PREFERENCE_SWITCHED_ON() { return big::native_invoker::invoke<1514, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_RADAR_PREFERENCE_SWITCHED_ON() { return big::native_invoker::invoke<1515, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SUBTITLE_PREFERENCE_SWITCHED_ON() { return big::native_invoker::invoke<1516, false, BOOL>(); }
	FORCEINLINE constexpr void DISPLAY_HUD(BOOL toggle) { return big::native_invoker::invoke<1517, false, void>(toggle); }
	FORCEINLINE constexpr void DISPLAY_HUD_WHEN_NOT_IN_STATE_OF_PLAY_THIS_FRAME() { return big::native_invoker::invoke<1518, false, void>(); }
	FORCEINLINE constexpr void DISPLAY_HUD_WHEN_PAUSED_THIS_FRAME() { return big::native_invoker::invoke<1519, false, void>(); }
	FORCEINLINE constexpr void DISPLAY_RADAR(BOOL toggle) { return big::native_invoker::invoke<1520, false, void>(toggle); }
	FORCEINLINE constexpr void SET_FAKE_SPECTATOR_MODE(BOOL toggle) { return big::native_invoker::invoke<1521, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_FAKE_SPECTATOR_MODE() { return big::native_invoker::invoke<1522, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_HUD_HIDDEN() { return big::native_invoker::invoke<1523, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_RADAR_HIDDEN() { return big::native_invoker::invoke<1524, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_MINIMAP_RENDERING() { return big::native_invoker::invoke<1525, false, BOOL>(); }
	FORCEINLINE constexpr void USE_VEHICLE_TARGETING_RETICULE(Any p0) { return big::native_invoker::invoke<1526, false, void>(p0); }
	FORCEINLINE constexpr void _USE_VEHICLE_TARGETING_RETICULE_ON_VEHICLES(BOOL enable) { return big::native_invoker::invoke<1527, false, void>(enable); }
	FORCEINLINE constexpr void ADD_VALID_VEHICLE_HIT_HASH(Any p0) { return big::native_invoker::invoke<1528, false, void>(p0); }
	FORCEINLINE constexpr void CLEAR_VALID_VEHICLE_HIT_HASHES() { return big::native_invoker::invoke<1529, false, void>(); }
	FORCEINLINE constexpr void SET_BLIP_ROUTE(Blip blip, BOOL enabled) { return big::native_invoker::invoke<1530, false, void>(blip, enabled); }
	FORCEINLINE constexpr void CLEAR_ALL_BLIP_ROUTES() { return big::native_invoker::invoke<1531, false, void>(); }
	FORCEINLINE constexpr void SET_BLIP_ROUTE_COLOUR(Blip blip, int colour) { return big::native_invoker::invoke<1532, false, void>(blip, colour); }
	FORCEINLINE constexpr void SET_FORCE_SHOW_GPS(BOOL toggle) { return big::native_invoker::invoke<1533, false, void>(toggle); }
	FORCEINLINE constexpr void SET_USE_SET_DESTINATION_IN_PAUSE_MAP(BOOL toggle) { return big::native_invoker::invoke<1534, false, void>(toggle); }
	FORCEINLINE constexpr void SET_BLOCK_WANTED_FLASH(BOOL disabled) { return big::native_invoker::invoke<1535, false, void>(disabled); }
	FORCEINLINE constexpr void ADD_NEXT_MESSAGE_TO_PREVIOUS_BRIEFS(BOOL p0) { return big::native_invoker::invoke<1536, false, void>(p0); }
	FORCEINLINE constexpr void FORCE_NEXT_MESSAGE_TO_PREVIOUS_BRIEFS_LIST(int p0) { return big::native_invoker::invoke<1537, false, void>(p0); }
	FORCEINLINE constexpr void SET_RADAR_ZOOM_PRECISE(float zoom) { return big::native_invoker::invoke<1538, false, void>(zoom); }
	FORCEINLINE constexpr void SET_RADAR_ZOOM(int zoomLevel) { return big::native_invoker::invoke<1539, false, void>(zoomLevel); }
	FORCEINLINE constexpr void SET_RADAR_ZOOM_TO_BLIP(Blip blip, float zoom) { return big::native_invoker::invoke<1540, false, void>(blip, zoom); }
	FORCEINLINE constexpr void SET_RADAR_ZOOM_TO_DISTANCE(float zoom) { return big::native_invoker::invoke<1541, false, void>(zoom); }
	FORCEINLINE constexpr void UPDATE_RADAR_ZOOM_TO_BLIP() { return big::native_invoker::invoke<1542, false, void>(); }
	FORCEINLINE constexpr void GET_HUD_COLOUR(int hudColorIndex, int* r, int* g, int* b, int* a) { return big::native_invoker::invoke<1543, false, void>(hudColorIndex, r, g, b, a); }
	FORCEINLINE constexpr void SET_SCRIPT_VARIABLE_HUD_COLOUR(int r, int g, int b, int a) { return big::native_invoker::invoke<1544, false, void>(r, g, b, a); }
	FORCEINLINE constexpr void SET_SECOND_SCRIPT_VARIABLE_HUD_COLOUR(int r, int g, int b, int a) { return big::native_invoker::invoke<1545, false, void>(r, g, b, a); }
	FORCEINLINE constexpr void REPLACE_HUD_COLOUR(int hudColorIndex, int hudColorIndex2) { return big::native_invoker::invoke<1546, false, void>(hudColorIndex, hudColorIndex2); }
	FORCEINLINE constexpr void REPLACE_HUD_COLOUR_WITH_RGBA(int hudColorIndex, int r, int g, int b, int a) { return big::native_invoker::invoke<1547, false, void>(hudColorIndex, r, g, b, a); }
	FORCEINLINE constexpr void SET_ABILITY_BAR_VISIBILITY(BOOL visible) { return big::native_invoker::invoke<1548, false, void>(visible); }
	FORCEINLINE constexpr void SET_ALLOW_ABILITY_BAR(BOOL toggle) { return big::native_invoker::invoke<1549, false, void>(toggle); }
	FORCEINLINE constexpr void FLASH_ABILITY_BAR(int millisecondsToFlash) { return big::native_invoker::invoke<1550, false, void>(millisecondsToFlash); }
	FORCEINLINE constexpr void SET_ABILITY_BAR_VALUE(float p0, float p1) { return big::native_invoker::invoke<1551, false, void>(p0, p1); }
	FORCEINLINE constexpr void FLASH_WANTED_DISPLAY(BOOL p0) { return big::native_invoker::invoke<1552, false, void>(p0); }
	FORCEINLINE constexpr void FORCE_OFF_WANTED_STAR_FLASH(BOOL toggle) { return big::native_invoker::invoke<1553, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CUSTOM_MP_HUD_COLOR(int hudColorId) { return big::native_invoker::invoke<1554, false, void>(hudColorId); }
	FORCEINLINE constexpr float GET_RENDERED_CHARACTER_HEIGHT(float size, int font) { return big::native_invoker::invoke<1555, false, float>(size, font); }
	FORCEINLINE constexpr void SET_TEXT_SCALE(float scale, float size) { return big::native_invoker::invoke<1556, false, void>(scale, size); }
	FORCEINLINE constexpr void SET_TEXT_COLOUR(int red, int green, int blue, int alpha) { return big::native_invoker::invoke<1557, false, void>(red, green, blue, alpha); }
	FORCEINLINE constexpr void SET_TEXT_CENTRE(BOOL align) { return big::native_invoker::invoke<1558, false, void>(align); }
	FORCEINLINE constexpr void SET_TEXT_RIGHT_JUSTIFY(BOOL toggle) { return big::native_invoker::invoke<1559, false, void>(toggle); }
	FORCEINLINE constexpr void SET_TEXT_JUSTIFICATION(int justifyType) { return big::native_invoker::invoke<1560, false, void>(justifyType); }
	FORCEINLINE constexpr void SET_TEXT_LINE_HEIGHT_MULT(float lineHeightMult) { return big::native_invoker::invoke<1561, false, void>(lineHeightMult); }
	FORCEINLINE constexpr void SET_TEXT_WRAP(float start, float end) { return big::native_invoker::invoke<1562, false, void>(start, end); }
	FORCEINLINE constexpr void SET_TEXT_LEADING(int p0) { return big::native_invoker::invoke<1563, false, void>(p0); }
	FORCEINLINE constexpr void SET_TEXT_PROPORTIONAL(BOOL p0) { return big::native_invoker::invoke<1564, false, void>(p0); }
	FORCEINLINE constexpr void SET_TEXT_FONT(int fontType) { return big::native_invoker::invoke<1565, false, void>(fontType); }
	FORCEINLINE constexpr void SET_TEXT_DROP_SHADOW() { return big::native_invoker::invoke<1566, false, void>(); }
	FORCEINLINE constexpr void SET_TEXT_DROPSHADOW(int distance, int r, int g, int b, int a) { return big::native_invoker::invoke<1567, false, void>(distance, r, g, b, a); }
	FORCEINLINE constexpr void SET_TEXT_OUTLINE() { return big::native_invoker::invoke<1568, false, void>(); }
	FORCEINLINE constexpr void SET_TEXT_EDGE(int p0, int r, int g, int b, int a) { return big::native_invoker::invoke<1569, false, void>(p0, r, g, b, a); }
	FORCEINLINE constexpr void SET_TEXT_RENDER_ID(int renderId) { return big::native_invoker::invoke<1570, false, void>(renderId); }
	FORCEINLINE constexpr int GET_DEFAULT_SCRIPT_RENDERTARGET_RENDER_ID() { return big::native_invoker::invoke<1571, false, int>(); }
	FORCEINLINE constexpr BOOL REGISTER_NAMED_RENDERTARGET(const char* name, BOOL p1) { return big::native_invoker::invoke<1572, false, BOOL>(name, p1); }
	FORCEINLINE constexpr BOOL IS_NAMED_RENDERTARGET_REGISTERED(const char* name) { return big::native_invoker::invoke<1573, false, BOOL>(name); }
	FORCEINLINE constexpr BOOL RELEASE_NAMED_RENDERTARGET(const char* name) { return big::native_invoker::invoke<1574, false, BOOL>(name); }
	FORCEINLINE constexpr void LINK_NAMED_RENDERTARGET(Hash modelHash) { return big::native_invoker::invoke<1575, false, void>(modelHash); }
	FORCEINLINE constexpr int GET_NAMED_RENDERTARGET_RENDER_ID(const char* name) { return big::native_invoker::invoke<1576, false, int>(name); }
	FORCEINLINE constexpr BOOL IS_NAMED_RENDERTARGET_LINKED(Hash modelHash) { return big::native_invoker::invoke<1577, false, BOOL>(modelHash); }
	FORCEINLINE constexpr void CLEAR_HELP(BOOL toggle) { return big::native_invoker::invoke<1578, false, void>(toggle); }
	FORCEINLINE constexpr BOOL IS_HELP_MESSAGE_ON_SCREEN() { return big::native_invoker::invoke<1579, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_SCRIPT_HIDDEN_HELP_THIS_FRAME() { return big::native_invoker::invoke<1580, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_HELP_MESSAGE_BEING_DISPLAYED() { return big::native_invoker::invoke<1581, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_HELP_MESSAGE_FADING_OUT() { return big::native_invoker::invoke<1582, false, BOOL>(); }
	FORCEINLINE constexpr void SET_HELP_MESSAGE_STYLE(int style, int hudColor, int alpha, int p3, int p4) { return big::native_invoker::invoke<1583, false, void>(style, hudColor, alpha, p3, p4); }
	FORCEINLINE constexpr int GET_STANDARD_BLIP_ENUM_ID() { return big::native_invoker::invoke<1584, false, int>(); }
	FORCEINLINE constexpr int GET_WAYPOINT_BLIP_ENUM_ID() { return big::native_invoker::invoke<1585, false, int>(); }
	FORCEINLINE constexpr int GET_NUMBER_OF_ACTIVE_BLIPS() { return big::native_invoker::invoke<1586, false, int>(); }
	FORCEINLINE constexpr Blip GET_NEXT_BLIP_INFO_ID(int blipSprite) { return big::native_invoker::invoke<1587, false, Blip>(blipSprite); }
	FORCEINLINE constexpr Blip GET_FIRST_BLIP_INFO_ID(int blipSprite) { return big::native_invoker::invoke<1588, false, Blip>(blipSprite); }
	FORCEINLINE constexpr Blip GET_CLOSEST_BLIP_INFO_ID(int blipSprite) { return big::native_invoker::invoke<1589, false, Blip>(blipSprite); }
	FORCEINLINE constexpr Vector3 GET_BLIP_INFO_ID_COORD(Blip blip) { return big::native_invoker::invoke<1590, false, Vector3>(blip); }
	FORCEINLINE constexpr int GET_BLIP_INFO_ID_DISPLAY(Blip blip) { return big::native_invoker::invoke<1591, false, int>(blip); }
	FORCEINLINE constexpr int GET_BLIP_INFO_ID_TYPE(Blip blip) { return big::native_invoker::invoke<1592, false, int>(blip); }
	FORCEINLINE constexpr Entity GET_BLIP_INFO_ID_ENTITY_INDEX(Blip blip) { return big::native_invoker::invoke<1593, false, Entity>(blip); }
	FORCEINLINE constexpr Pickup GET_BLIP_INFO_ID_PICKUP_INDEX(Blip blip) { return big::native_invoker::invoke<1594, false, Pickup>(blip); }
	FORCEINLINE constexpr Blip GET_BLIP_FROM_ENTITY(Entity entity) { return big::native_invoker::invoke<1595, false, Blip>(entity); }
	FORCEINLINE constexpr Blip ADD_BLIP_FOR_RADIUS(float posX, float posY, float posZ, float radius) { return big::native_invoker::invoke<1596, false, Blip>(posX, posY, posZ, radius); }
	FORCEINLINE constexpr Blip ADD_BLIP_FOR_AREA(float x, float y, float z, float width, float height) { return big::native_invoker::invoke<1597, false, Blip>(x, y, z, width, height); }
	FORCEINLINE constexpr Blip ADD_BLIP_FOR_ENTITY(Entity entity) { return big::native_invoker::invoke<1598, false, Blip>(entity); }
	FORCEINLINE constexpr Blip ADD_BLIP_FOR_PICKUP(Pickup pickup) { return big::native_invoker::invoke<1599, false, Blip>(pickup); }
	FORCEINLINE constexpr Blip ADD_BLIP_FOR_COORD(float x, float y, float z) { return big::native_invoker::invoke<1600, false, Blip>(x, y, z); }
	FORCEINLINE constexpr void TRIGGER_SONAR_BLIP(float posX, float posY, float posZ, float radius, int p4) { return big::native_invoker::invoke<1601, false, void>(posX, posY, posZ, radius, p4); }
	FORCEINLINE constexpr void ALLOW_SONAR_BLIPS(BOOL toggle) { return big::native_invoker::invoke<1602, false, void>(toggle); }
	FORCEINLINE constexpr void SET_BLIP_COORDS(Blip blip, float posX, float posY, float posZ) { return big::native_invoker::invoke<1603, false, void>(blip, posX, posY, posZ); }
	FORCEINLINE constexpr Vector3 GET_BLIP_COORDS(Blip blip) { return big::native_invoker::invoke<1604, false, Vector3>(blip); }
	FORCEINLINE constexpr void SET_BLIP_SPRITE(Blip blip, int spriteId) { return big::native_invoker::invoke<1605, false, void>(blip, spriteId); }
	FORCEINLINE constexpr int GET_BLIP_SPRITE(Blip blip) { return big::native_invoker::invoke<1606, false, int>(blip); }
	FORCEINLINE constexpr void SET_COP_BLIP_SPRITE(int p0, float p1) { return big::native_invoker::invoke<1607, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_COP_BLIP_SPRITE_AS_STANDARD() { return big::native_invoker::invoke<1608, false, void>(); }
	FORCEINLINE constexpr void SET_BLIP_NAME_FROM_TEXT_FILE(Blip blip, const char* gxtEntry) { return big::native_invoker::invoke<1609, false, void>(blip, gxtEntry); }
	FORCEINLINE constexpr void SET_BLIP_NAME_TO_PLAYER_NAME(Blip blip, Player player) { return big::native_invoker::invoke<1610, false, void>(blip, player); }
	FORCEINLINE constexpr void SET_BLIP_ALPHA(Blip blip, int alpha) { return big::native_invoker::invoke<1611, false, void>(blip, alpha); }
	FORCEINLINE constexpr int GET_BLIP_ALPHA(Blip blip) { return big::native_invoker::invoke<1612, false, int>(blip); }
	FORCEINLINE constexpr void SET_BLIP_FADE(Blip blip, int opacity, int duration) { return big::native_invoker::invoke<1613, false, void>(blip, opacity, duration); }
	FORCEINLINE constexpr int GET_BLIP_FADE_DIRECTION(Blip blip) { return big::native_invoker::invoke<1614, false, int>(blip); }
	FORCEINLINE constexpr void SET_BLIP_ROTATION(Blip blip, int rotation) { return big::native_invoker::invoke<1615, false, void>(blip, rotation); }
	FORCEINLINE constexpr void SET_BLIP_ROTATION_WITH_FLOAT(Blip blip, float heading) { return big::native_invoker::invoke<1616, false, void>(blip, heading); }
	FORCEINLINE constexpr int GET_BLIP_ROTATION(Blip blip) { return big::native_invoker::invoke<1617, false, int>(blip); }
	FORCEINLINE constexpr void SET_BLIP_FLASH_TIMER(Blip blip, int duration) { return big::native_invoker::invoke<1618, false, void>(blip, duration); }
	FORCEINLINE constexpr void SET_BLIP_FLASH_INTERVAL(Blip blip, Any p1) { return big::native_invoker::invoke<1619, false, void>(blip, p1); }
	FORCEINLINE constexpr void SET_BLIP_COLOUR(Blip blip, int color) { return big::native_invoker::invoke<1620, false, void>(blip, color); }
	FORCEINLINE constexpr void SET_BLIP_SECONDARY_COLOUR(Blip blip, int r, int g, int b) { return big::native_invoker::invoke<1621, false, void>(blip, r, g, b); }
	FORCEINLINE constexpr int GET_BLIP_COLOUR(Blip blip) { return big::native_invoker::invoke<1622, false, int>(blip); }
	FORCEINLINE constexpr int GET_BLIP_HUD_COLOUR(Blip blip) { return big::native_invoker::invoke<1623, false, int>(blip); }
	FORCEINLINE constexpr BOOL IS_BLIP_SHORT_RANGE(Blip blip) { return big::native_invoker::invoke<1624, false, BOOL>(blip); }
	FORCEINLINE constexpr BOOL IS_BLIP_ON_MINIMAP(Blip blip) { return big::native_invoker::invoke<1625, false, BOOL>(blip); }
	FORCEINLINE constexpr BOOL DOES_BLIP_HAVE_GPS_ROUTE(Blip blip) { return big::native_invoker::invoke<1626, false, BOOL>(blip); }
	FORCEINLINE constexpr void SET_BLIP_HIDDEN_ON_LEGEND(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1627, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_HIGH_DETAIL(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1628, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_AS_MISSION_CREATOR_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1629, false, void>(blip, toggle); }
	FORCEINLINE constexpr BOOL IS_MISSION_CREATOR_BLIP(Blip blip) { return big::native_invoker::invoke<1630, false, BOOL>(blip); }
	FORCEINLINE constexpr Blip GET_NEW_SELECTED_MISSION_CREATOR_BLIP() { return big::native_invoker::invoke<1631, false, Blip>(); }
	FORCEINLINE constexpr BOOL IS_HOVERING_OVER_MISSION_CREATOR_BLIP() { return big::native_invoker::invoke<1632, false, BOOL>(); }
	FORCEINLINE constexpr void SHOW_START_MISSION_INSTRUCTIONAL_BUTTON(BOOL toggle) { return big::native_invoker::invoke<1633, false, void>(toggle); }
	FORCEINLINE constexpr void SHOW_CONTACT_INSTRUCTIONAL_BUTTON(BOOL toggle) { return big::native_invoker::invoke<1634, false, void>(toggle); }
	FORCEINLINE constexpr void RELOAD_MAP_MENU() { return big::native_invoker::invoke<1635, false, void>(); }
	FORCEINLINE constexpr void SET_BLIP_MARKER_LONG_DISTANCE(Any p0, Any p1) { return big::native_invoker::invoke<1636, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_BLIP_FLASHES(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1637, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_FLASHES_ALTERNATE(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1638, false, void>(blip, toggle); }
	FORCEINLINE constexpr BOOL IS_BLIP_FLASHING(Blip blip) { return big::native_invoker::invoke<1639, false, BOOL>(blip); }
	FORCEINLINE constexpr void SET_BLIP_AS_SHORT_RANGE(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1640, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_SCALE(Blip blip, float scale) { return big::native_invoker::invoke<1641, false, void>(blip, scale); }
	FORCEINLINE constexpr void SET_BLIP_SCALE_2D(Blip blip, float xScale, float yScale) { return big::native_invoker::invoke<1642, false, void>(blip, xScale, yScale); }
	FORCEINLINE constexpr void SET_BLIP_PRIORITY(Blip blip, int priority) { return big::native_invoker::invoke<1643, false, void>(blip, priority); }
	FORCEINLINE constexpr void SET_BLIP_DISPLAY(Blip blip, int displayId) { return big::native_invoker::invoke<1644, false, void>(blip, displayId); }
	FORCEINLINE constexpr void SET_BLIP_CATEGORY(Blip blip, int index) { return big::native_invoker::invoke<1645, false, void>(blip, index); }
	FORCEINLINE constexpr void REMOVE_BLIP(Blip* blip) { return big::native_invoker::invoke<1646, false, void>(blip); }
	FORCEINLINE constexpr void SET_BLIP_AS_FRIENDLY(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1647, false, void>(blip, toggle); }
	FORCEINLINE constexpr void PULSE_BLIP(Blip blip) { return big::native_invoker::invoke<1648, false, void>(blip); }
	FORCEINLINE constexpr void SHOW_NUMBER_ON_BLIP(Blip blip, int number) { return big::native_invoker::invoke<1649, false, void>(blip, number); }
	FORCEINLINE constexpr void HIDE_NUMBER_ON_BLIP(Blip blip) { return big::native_invoker::invoke<1650, false, void>(blip); }
	FORCEINLINE constexpr void SHOW_HEIGHT_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1651, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_TICK_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1652, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_GOLD_TICK_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1653, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_FOR_SALE_ICON_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1654, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_HEADING_INDICATOR_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1655, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_OUTLINE_INDICATOR_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1656, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_FRIEND_INDICATOR_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1657, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SHOW_CREW_INDICATOR_ON_BLIP(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1658, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_EXTENDED_HEIGHT_THRESHOLD(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1659, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_SHORT_HEIGHT_THRESHOLD(Any p0, Any p1) { return big::native_invoker::invoke<1660, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_BLIP_USE_HEIGHT_INDICATOR_ON_EDGE(Blip blip, Any p1) { return big::native_invoker::invoke<1661, false, void>(blip, p1); }
	FORCEINLINE constexpr void SET_BLIP_AS_MINIMAL_ON_EDGE(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1662, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_RADIUS_BLIP_EDGE(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1663, false, void>(blip, toggle); }
	FORCEINLINE constexpr BOOL DOES_BLIP_EXIST(Blip blip) { return big::native_invoker::invoke<1664, false, BOOL>(blip); }
	FORCEINLINE constexpr void SET_WAYPOINT_OFF() { return big::native_invoker::invoke<1665, false, void>(); }
	FORCEINLINE constexpr void DELETE_WAYPOINTS_FROM_THIS_PLAYER() { return big::native_invoker::invoke<1666, false, void>(); }
	FORCEINLINE constexpr void REFRESH_WAYPOINT() { return big::native_invoker::invoke<1667, false, void>(); }
	FORCEINLINE constexpr BOOL IS_WAYPOINT_ACTIVE() { return big::native_invoker::invoke<1668, false, BOOL>(); }
	FORCEINLINE constexpr void SET_NEW_WAYPOINT(float x, float y) { return big::native_invoker::invoke<1669, false, void>(x, y); }
	FORCEINLINE constexpr void SET_BLIP_BRIGHT(Blip blip, BOOL toggle) { return big::native_invoker::invoke<1670, false, void>(blip, toggle); }
	FORCEINLINE constexpr void SET_BLIP_SHOW_CONE(Blip blip, BOOL toggle, int hudColorIndex) { return big::native_invoker::invoke<1671, false, void>(blip, toggle, hudColorIndex); }
	FORCEINLINE constexpr void REMOVE_COP_BLIP_FROM_PED(Ped ped) { return big::native_invoker::invoke<1672, false, void>(ped); }
	FORCEINLINE constexpr void SETUP_FAKE_CONE_DATA(Blip blip, float p1, float p2, float p3, float p4, float p5, float p6, Any p7, int p8) { return big::native_invoker::invoke<1673, false, void>(blip, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void REMOVE_FAKE_CONE_DATA(Blip blip) { return big::native_invoker::invoke<1674, false, void>(blip); }
	FORCEINLINE constexpr void CLEAR_FAKE_CONE_ARRAY() { return big::native_invoker::invoke<1675, false, void>(); }
	FORCEINLINE constexpr void _SET_BLIP_GPS_ROUTE_DISPLAY_DISTANCE(Blip blip, int blipChangeParam46, BOOL blipChangeParam47) { return big::native_invoker::invoke<1676, false, void>(blip, blipChangeParam46, blipChangeParam47); }
	FORCEINLINE constexpr BOOL SET_MINIMAP_COMPONENT(int componentId, BOOL toggle, int overrideColor) { return big::native_invoker::invoke<1677, false, BOOL>(componentId, toggle, overrideColor); }
	FORCEINLINE constexpr void SET_MINIMAP_SONAR_SWEEP(BOOL toggle) { return big::native_invoker::invoke<1678, false, void>(toggle); }
	FORCEINLINE constexpr void SHOW_ACCOUNT_PICKER() { return big::native_invoker::invoke<1679, false, void>(); }
	FORCEINLINE constexpr Blip GET_MAIN_PLAYER_BLIP_ID() { return big::native_invoker::invoke<1680, false, Blip>(); }
	FORCEINLINE constexpr void SET_PM_WARNINGSCREEN_ACTIVE(BOOL p0) { return big::native_invoker::invoke<1681, false, void>(p0); }
	FORCEINLINE constexpr void HIDE_LOADING_ON_FADE_THIS_FRAME() { return big::native_invoker::invoke<1682, false, void>(); }
	FORCEINLINE constexpr void SET_RADAR_AS_INTERIOR_THIS_FRAME(Hash interior, float x, float y, int z, int zoom) { return big::native_invoker::invoke<1683, false, void>(interior, x, y, z, zoom); }
	FORCEINLINE constexpr void SET_INSIDE_VERY_SMALL_INTERIOR(BOOL toggle) { return big::native_invoker::invoke<1684, false, void>(toggle); }
	FORCEINLINE constexpr void SET_INSIDE_VERY_LARGE_INTERIOR(BOOL toggle) { return big::native_invoker::invoke<1685, false, void>(toggle); }
	FORCEINLINE constexpr void SET_RADAR_AS_EXTERIOR_THIS_FRAME() { return big::native_invoker::invoke<1686, false, void>(); }
	FORCEINLINE constexpr void SET_FAKE_PAUSEMAP_PLAYER_POSITION_THIS_FRAME(float x, float y) { return big::native_invoker::invoke<1687, false, void>(x, y); }
	FORCEINLINE constexpr void SET_FAKE_GPS_PLAYER_POSITION_THIS_FRAME(float x, float y, Any p2) { return big::native_invoker::invoke<1688, false, void>(x, y, p2); }
	FORCEINLINE constexpr BOOL IS_PAUSEMAP_IN_INTERIOR_MODE() { return big::native_invoker::invoke<1689, false, BOOL>(); }
	FORCEINLINE constexpr void HIDE_MINIMAP_EXTERIOR_MAP_THIS_FRAME() { return big::native_invoker::invoke<1690, false, void>(); }
	FORCEINLINE constexpr void HIDE_MINIMAP_INTERIOR_MAP_THIS_FRAME() { return big::native_invoker::invoke<1691, false, void>(); }
	FORCEINLINE constexpr void SET_USE_ISLAND_MAP(BOOL toggle) { return big::native_invoker::invoke<1692, false, void>(toggle); }
	FORCEINLINE constexpr void _SET_PAUSE_EXTERIOR_RENDERING_WHILE_IN_INTERIOR() { return big::native_invoker::invoke<1693, false, void>(); }
	FORCEINLINE constexpr void DONT_TILT_MINIMAP_THIS_FRAME() { return big::native_invoker::invoke<1694, false, void>(); }
	FORCEINLINE constexpr void DONT_ZOOM_MINIMAP_WHEN_RUNNING_THIS_FRAME() { return big::native_invoker::invoke<1695, false, void>(); }
	FORCEINLINE constexpr void DONT_ZOOM_MINIMAP_WHEN_SNIPING_THIS_FRAME() { return big::native_invoker::invoke<1696, false, void>(); }
	FORCEINLINE constexpr void SET_WIDESCREEN_FORMAT(Any p0) { return big::native_invoker::invoke<1697, false, void>(p0); }
	FORCEINLINE constexpr void DISPLAY_AREA_NAME(BOOL toggle) { return big::native_invoker::invoke<1698, false, void>(toggle); }
	FORCEINLINE constexpr void DISPLAY_CASH(BOOL toggle) { return big::native_invoker::invoke<1699, false, void>(toggle); }
	FORCEINLINE constexpr void USE_FAKE_MP_CASH(BOOL toggle) { return big::native_invoker::invoke<1700, false, void>(toggle); }
	FORCEINLINE constexpr void CHANGE_FAKE_MP_CASH(int cash, int bank) { return big::native_invoker::invoke<1701, false, void>(cash, bank); }
	FORCEINLINE constexpr void DISPLAY_AMMO_THIS_FRAME(BOOL display) { return big::native_invoker::invoke<1702, false, void>(display); }
	FORCEINLINE constexpr void DISPLAY_SNIPER_SCOPE_THIS_FRAME() { return big::native_invoker::invoke<1703, false, void>(); }
	FORCEINLINE constexpr void HIDE_HUD_AND_RADAR_THIS_FRAME() { return big::native_invoker::invoke<1704, false, void>(); }
	FORCEINLINE constexpr void ALLOW_DISPLAY_OF_MULTIPLAYER_CASH_TEXT(BOOL allow) { return big::native_invoker::invoke<1705, false, void>(allow); }
	FORCEINLINE constexpr void SET_MULTIPLAYER_WALLET_CASH() { return big::native_invoker::invoke<1706, false, void>(); }
	FORCEINLINE constexpr void REMOVE_MULTIPLAYER_WALLET_CASH() { return big::native_invoker::invoke<1707, false, void>(); }
	FORCEINLINE constexpr void SET_MULTIPLAYER_BANK_CASH() { return big::native_invoker::invoke<1708, false, void>(); }
	FORCEINLINE constexpr void REMOVE_MULTIPLAYER_BANK_CASH() { return big::native_invoker::invoke<1709, false, void>(); }
	FORCEINLINE constexpr void SET_MULTIPLAYER_HUD_CASH(int p0, BOOL p1) { return big::native_invoker::invoke<1710, false, void>(p0, p1); }
	FORCEINLINE constexpr void REMOVE_MULTIPLAYER_HUD_CASH() { return big::native_invoker::invoke<1711, false, void>(); }
	FORCEINLINE constexpr void HIDE_HELP_TEXT_THIS_FRAME() { return big::native_invoker::invoke<1712, false, void>(); }
	FORCEINLINE constexpr BOOL IS_IME_IN_PROGRESS() { return big::native_invoker::invoke<1713, false, BOOL>(); }
	FORCEINLINE constexpr void DISPLAY_HELP_TEXT_THIS_FRAME(const char* message, BOOL p1) { return big::native_invoker::invoke<1714, false, void>(message, p1); }
	FORCEINLINE constexpr void HUD_FORCE_WEAPON_WHEEL(BOOL show) { return big::native_invoker::invoke<1715, false, void>(show); }
	FORCEINLINE constexpr void HUD_FORCE_SPECIAL_VEHICLE_WEAPON_WHEEL() { return big::native_invoker::invoke<1716, false, void>(); }
	FORCEINLINE constexpr void HUD_SUPPRESS_WEAPON_WHEEL_RESULTS_THIS_FRAME() { return big::native_invoker::invoke<1717, false, void>(); }
	FORCEINLINE constexpr Hash HUD_GET_WEAPON_WHEEL_CURRENTLY_HIGHLIGHTED() { return big::native_invoker::invoke<1718, false, Hash>(); }
	FORCEINLINE constexpr void HUD_SET_WEAPON_WHEEL_TOP_SLOT(Hash weaponHash) { return big::native_invoker::invoke<1719, false, void>(weaponHash); }
	FORCEINLINE constexpr Hash HUD_GET_WEAPON_WHEEL_TOP_SLOT(int weaponTypeIndex) { return big::native_invoker::invoke<1720, false, Hash>(weaponTypeIndex); }
	FORCEINLINE constexpr void HUD_SHOWING_CHARACTER_SWITCH_SELECTION(BOOL toggle) { return big::native_invoker::invoke<1721, false, void>(toggle); }
	FORCEINLINE constexpr void SET_GPS_FLAGS(int p0, float p1) { return big::native_invoker::invoke<1722, false, void>(p0, p1); }
	FORCEINLINE constexpr void CLEAR_GPS_FLAGS() { return big::native_invoker::invoke<1723, false, void>(); }
	FORCEINLINE constexpr void SET_RACE_TRACK_RENDER(BOOL toggle) { return big::native_invoker::invoke<1724, false, void>(toggle); }
	FORCEINLINE constexpr void CLEAR_GPS_RACE_TRACK() { return big::native_invoker::invoke<1725, false, void>(); }
	FORCEINLINE constexpr void START_GPS_CUSTOM_ROUTE(int hudColor, BOOL displayOnFoot, BOOL followPlayer) { return big::native_invoker::invoke<1726, false, void>(hudColor, displayOnFoot, followPlayer); }
	FORCEINLINE constexpr void ADD_POINT_TO_GPS_CUSTOM_ROUTE(float x, float y, float z) { return big::native_invoker::invoke<1727, false, void>(x, y, z); }
	FORCEINLINE constexpr void SET_GPS_CUSTOM_ROUTE_RENDER(BOOL toggle, int radarThickness, int mapThickness) { return big::native_invoker::invoke<1728, false, void>(toggle, radarThickness, mapThickness); }
	FORCEINLINE constexpr void CLEAR_GPS_CUSTOM_ROUTE() { return big::native_invoker::invoke<1729, false, void>(); }
	FORCEINLINE constexpr void START_GPS_MULTI_ROUTE(int hudColor, BOOL routeFromPlayer, BOOL displayOnFoot) { return big::native_invoker::invoke<1730, false, void>(hudColor, routeFromPlayer, displayOnFoot); }
	FORCEINLINE constexpr void ADD_POINT_TO_GPS_MULTI_ROUTE(float x, float y, float z) { return big::native_invoker::invoke<1731, false, void>(x, y, z); }
	FORCEINLINE constexpr void SET_GPS_MULTI_ROUTE_RENDER(BOOL toggle) { return big::native_invoker::invoke<1732, false, void>(toggle); }
	FORCEINLINE constexpr void CLEAR_GPS_MULTI_ROUTE() { return big::native_invoker::invoke<1733, false, void>(); }
	FORCEINLINE constexpr void CLEAR_GPS_PLAYER_WAYPOINT() { return big::native_invoker::invoke<1734, false, void>(); }
	FORCEINLINE constexpr void SET_GPS_FLASHES(BOOL toggle) { return big::native_invoker::invoke<1735, false, void>(toggle); }
	FORCEINLINE constexpr void SET_PLAYER_ICON_COLOUR(int color) { return big::native_invoker::invoke<1736, false, void>(color); }
	FORCEINLINE constexpr void FLASH_MINIMAP_DISPLAY() { return big::native_invoker::invoke<1737, false, void>(); }
	FORCEINLINE constexpr void FLASH_MINIMAP_DISPLAY_WITH_COLOR(int hudColorIndex) { return big::native_invoker::invoke<1738, false, void>(hudColorIndex); }
	FORCEINLINE constexpr void TOGGLE_STEALTH_RADAR(BOOL toggle) { return big::native_invoker::invoke<1739, false, void>(toggle); }
	FORCEINLINE constexpr void SET_MINIMAP_IN_SPECTATOR_MODE(BOOL toggle, Ped ped) { return big::native_invoker::invoke<1740, false, void>(toggle, ped); }
	FORCEINLINE constexpr void SET_MISSION_NAME(BOOL p0, const char* name) { return big::native_invoker::invoke<1741, false, void>(p0, name); }
	FORCEINLINE constexpr void SET_MISSION_NAME_FOR_UGC_MISSION(BOOL p0, const char* name) { return big::native_invoker::invoke<1742, false, void>(p0, name); }
	FORCEINLINE constexpr void SET_DESCRIPTION_FOR_UGC_MISSION_EIGHT_STRINGS(BOOL p0, const char* p1, const char* p2, const char* p3, const char* p4, const char* p5, const char* p6, const char* p7, const char* p8) { return big::native_invoker::invoke<1743, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void SET_MINIMAP_BLOCK_WAYPOINT(BOOL toggle) { return big::native_invoker::invoke<1744, false, void>(toggle); }
	FORCEINLINE constexpr void SET_MINIMAP_IN_PROLOGUE(BOOL toggle) { return big::native_invoker::invoke<1745, false, void>(toggle); }
	FORCEINLINE constexpr void SET_MINIMAP_BACKGROUND_HIDDEN(BOOL toggle) { return big::native_invoker::invoke<1746, false, void>(toggle); }
	FORCEINLINE constexpr void SET_MINIMAP_HIDE_FOW(BOOL toggle) { return big::native_invoker::invoke<1747, false, void>(toggle); }
	FORCEINLINE constexpr float GET_MINIMAP_FOW_DISCOVERY_RATIO() { return big::native_invoker::invoke<1748, false, float>(); }
	FORCEINLINE constexpr BOOL GET_MINIMAP_FOW_COORDINATE_IS_REVEALED(float x, float y, float z) { return big::native_invoker::invoke<1749, false, BOOL>(x, y, z); }
	FORCEINLINE constexpr void SET_MINIMAP_FOW_DO_NOT_UPDATE(BOOL p0) { return big::native_invoker::invoke<1750, false, void>(p0); }
	FORCEINLINE constexpr void SET_MINIMAP_FOW_REVEAL_COORDINATE(float x, float y, float z) { return big::native_invoker::invoke<1751, false, void>(x, y, z); }
	FORCEINLINE constexpr void SET_MINIMAP_GOLF_COURSE(int hole) { return big::native_invoker::invoke<1752, false, void>(hole); }
	FORCEINLINE constexpr void SET_MINIMAP_GOLF_COURSE_OFF() { return big::native_invoker::invoke<1753, false, void>(); }
	FORCEINLINE constexpr void LOCK_MINIMAP_ANGLE(int angle) { return big::native_invoker::invoke<1754, false, void>(angle); }
	FORCEINLINE constexpr void UNLOCK_MINIMAP_ANGLE() { return big::native_invoker::invoke<1755, false, void>(); }
	FORCEINLINE constexpr void LOCK_MINIMAP_POSITION(float x, float y) { return big::native_invoker::invoke<1756, false, void>(x, y); }
	FORCEINLINE constexpr void UNLOCK_MINIMAP_POSITION() { return big::native_invoker::invoke<1757, false, void>(); }
	FORCEINLINE constexpr void SET_FAKE_MINIMAP_MAX_ALTIMETER_HEIGHT(float altitude, BOOL p1, Any p2) { return big::native_invoker::invoke<1758, false, void>(altitude, p1, p2); }
	FORCEINLINE constexpr void SET_HEALTH_HUD_DISPLAY_VALUES(int health, int capacity, BOOL wasAdded) { return big::native_invoker::invoke<1759, false, void>(health, capacity, wasAdded); }
	FORCEINLINE constexpr void SET_MAX_HEALTH_HUD_DISPLAY(int maximumValue) { return big::native_invoker::invoke<1760, false, void>(maximumValue); }
	FORCEINLINE constexpr void SET_MAX_ARMOUR_HUD_DISPLAY(int maximumValue) { return big::native_invoker::invoke<1761, false, void>(maximumValue); }
	FORCEINLINE constexpr void SET_BIGMAP_ACTIVE(BOOL toggleBigMap, BOOL showFullMap) { return big::native_invoker::invoke<1762, false, void>(toggleBigMap, showFullMap); }
	FORCEINLINE constexpr BOOL IS_HUD_COMPONENT_ACTIVE(int id) { return big::native_invoker::invoke<1763, false, BOOL>(id); }
	FORCEINLINE constexpr BOOL IS_SCRIPTED_HUD_COMPONENT_ACTIVE(int id) { return big::native_invoker::invoke<1764, false, BOOL>(id); }
	FORCEINLINE constexpr void HIDE_SCRIPTED_HUD_COMPONENT_THIS_FRAME(int id) { return big::native_invoker::invoke<1765, false, void>(id); }
	FORCEINLINE constexpr void SHOW_SCRIPTED_HUD_COMPONENT_THIS_FRAME(int id) { return big::native_invoker::invoke<1766, false, void>(id); }
	FORCEINLINE constexpr BOOL IS_SCRIPTED_HUD_COMPONENT_HIDDEN_THIS_FRAME(int id) { return big::native_invoker::invoke<1767, false, BOOL>(id); }
	FORCEINLINE constexpr void HIDE_HUD_COMPONENT_THIS_FRAME(int id) { return big::native_invoker::invoke<1768, false, void>(id); }
	FORCEINLINE constexpr void SHOW_HUD_COMPONENT_THIS_FRAME(int id) { return big::native_invoker::invoke<1769, false, void>(id); }
	FORCEINLINE constexpr void HIDE_STREET_AND_CAR_NAMES_THIS_FRAME() { return big::native_invoker::invoke<1770, false, void>(); }
	FORCEINLINE constexpr void RESET_RETICULE_VALUES() { return big::native_invoker::invoke<1771, false, void>(); }
	FORCEINLINE constexpr void RESET_HUD_COMPONENT_VALUES(int id) { return big::native_invoker::invoke<1772, false, void>(id); }
	FORCEINLINE constexpr void SET_HUD_COMPONENT_POSITION(int id, float x, float y) { return big::native_invoker::invoke<1773, false, void>(id, x, y); }
	FORCEINLINE constexpr Vector3 GET_HUD_COMPONENT_POSITION(int id) { return big::native_invoker::invoke<1774, false, Vector3>(id); }
	FORCEINLINE constexpr void CLEAR_REMINDER_MESSAGE() { return big::native_invoker::invoke<1775, false, void>(); }
	FORCEINLINE constexpr int GET_HUD_SCREEN_POSITION_FROM_WORLD_POSITION(float worldX, float worldY, float worldZ, float* screenX, float* screenY) { return big::native_invoker::invoke<1776, false, int>(worldX, worldY, worldZ, screenX, screenY); }
	FORCEINLINE constexpr void OPEN_REPORTUGC_MENU() { return big::native_invoker::invoke<1777, false, void>(); }
	FORCEINLINE constexpr void FORCE_CLOSE_REPORTUGC_MENU() { return big::native_invoker::invoke<1778, false, void>(); }
	FORCEINLINE constexpr BOOL IS_REPORTUGC_MENU_OPEN() { return big::native_invoker::invoke<1779, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_FLOATING_HELP_TEXT_ON_SCREEN(int hudIndex) { return big::native_invoker::invoke<1780, false, BOOL>(hudIndex); }
	FORCEINLINE constexpr void SET_FLOATING_HELP_TEXT_SCREEN_POSITION(int hudIndex, float x, float y) { return big::native_invoker::invoke<1781, false, void>(hudIndex, x, y); }
	FORCEINLINE constexpr void SET_FLOATING_HELP_TEXT_WORLD_POSITION(int hudIndex, float x, float y, float z) { return big::native_invoker::invoke<1782, false, void>(hudIndex, x, y, z); }
	FORCEINLINE constexpr void SET_FLOATING_HELP_TEXT_TO_ENTITY(int hudIndex, Entity entity, float offsetX, float offsetY) { return big::native_invoker::invoke<1783, false, void>(hudIndex, entity, offsetX, offsetY); }
	FORCEINLINE constexpr void SET_FLOATING_HELP_TEXT_STYLE(int hudIndex, int p1, int p2, int p3, int p4, int p5) { return big::native_invoker::invoke<1784, false, void>(hudIndex, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void CLEAR_FLOATING_HELP(int hudIndex, BOOL p1) { return big::native_invoker::invoke<1785, false, void>(hudIndex, p1); }
	FORCEINLINE constexpr void CREATE_MP_GAMER_TAG_WITH_CREW_COLOR(Player player, const char* username, BOOL pointedClanTag, BOOL isRockstarClan, const char* clanTag, int clanFlag, int r, int g, int b) { return big::native_invoker::invoke<1786, false, void>(player, username, pointedClanTag, isRockstarClan, clanTag, clanFlag, r, g, b); }
	FORCEINLINE constexpr BOOL IS_MP_GAMER_TAG_MOVIE_ACTIVE() { return big::native_invoker::invoke<1787, false, BOOL>(); }
	FORCEINLINE constexpr int CREATE_FAKE_MP_GAMER_TAG(Ped ped, const char* username, BOOL pointedClanTag, BOOL isRockstarClan, const char* clanTag, int clanFlag) { return big::native_invoker::invoke<1788, false, int>(ped, username, pointedClanTag, isRockstarClan, clanTag, clanFlag); }
	FORCEINLINE constexpr void REMOVE_MP_GAMER_TAG(int gamerTagId) { return big::native_invoker::invoke<1789, false, void>(gamerTagId); }
	FORCEINLINE constexpr BOOL IS_MP_GAMER_TAG_ACTIVE(int gamerTagId) { return big::native_invoker::invoke<1790, false, BOOL>(gamerTagId); }
	FORCEINLINE constexpr BOOL IS_MP_GAMER_TAG_FREE(int gamerTagId) { return big::native_invoker::invoke<1791, false, BOOL>(gamerTagId); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_VISIBILITY(int gamerTagId, int component, BOOL toggle, Any p3) { return big::native_invoker::invoke<1792, false, void>(gamerTagId, component, toggle, p3); }
	FORCEINLINE constexpr void SET_ALL_MP_GAMER_TAGS_VISIBILITY(int gamerTagId, BOOL toggle) { return big::native_invoker::invoke<1793, false, void>(gamerTagId, toggle); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAGS_SHOULD_USE_VEHICLE_HEALTH(int gamerTagId, BOOL toggle) { return big::native_invoker::invoke<1794, false, void>(gamerTagId, toggle); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAGS_SHOULD_USE_POINTS_HEALTH(int gamerTagId, BOOL toggle) { return big::native_invoker::invoke<1795, false, void>(gamerTagId, toggle); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAGS_POINT_HEALTH(int gamerTagId, int value, int maximumValue) { return big::native_invoker::invoke<1796, false, void>(gamerTagId, value, maximumValue); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_COLOUR(int gamerTagId, int component, int hudColorIndex) { return big::native_invoker::invoke<1797, false, void>(gamerTagId, component, hudColorIndex); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_HEALTH_BAR_COLOUR(int gamerTagId, int hudColorIndex) { return big::native_invoker::invoke<1798, false, void>(gamerTagId, hudColorIndex); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_ALPHA(int gamerTagId, int component, int alpha) { return big::native_invoker::invoke<1799, false, void>(gamerTagId, component, alpha); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_WANTED_LEVEL(int gamerTagId, int wantedlvl) { return big::native_invoker::invoke<1800, false, void>(gamerTagId, wantedlvl); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_NUM_PACKAGES(int gamerTagId, int p1) { return big::native_invoker::invoke<1801, false, void>(gamerTagId, p1); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_NAME(int gamerTagId, const char* string) { return big::native_invoker::invoke<1802, false, void>(gamerTagId, string); }
	FORCEINLINE constexpr BOOL IS_UPDATING_MP_GAMER_TAG_NAME_AND_CREW_DETAILS(int gamerTagId) { return big::native_invoker::invoke<1803, false, BOOL>(gamerTagId); }
	FORCEINLINE constexpr void SET_MP_GAMER_TAG_BIG_TEXT(int gamerTagId, const char* string) { return big::native_invoker::invoke<1804, false, void>(gamerTagId, string); }
	FORCEINLINE constexpr int GET_CURRENT_WEBPAGE_ID() { return big::native_invoker::invoke<1805, false, int>(); }
	FORCEINLINE constexpr int GET_CURRENT_WEBSITE_ID() { return big::native_invoker::invoke<1806, false, int>(); }
	FORCEINLINE constexpr int GET_GLOBAL_ACTIONSCRIPT_FLAG(int flagIndex) { return big::native_invoker::invoke<1807, false, int>(flagIndex); }
	FORCEINLINE constexpr void RESET_GLOBAL_ACTIONSCRIPT_FLAG(int flagIndex) { return big::native_invoker::invoke<1808, false, void>(flagIndex); }
	FORCEINLINE constexpr BOOL IS_WARNING_MESSAGE_READY_FOR_CONTROL() { return big::native_invoker::invoke<1809, false, BOOL>(); }
	FORCEINLINE constexpr void SET_WARNING_MESSAGE(const char* titleMsg, int flags, const char* promptMsg, BOOL p3, int p4, const char* p5, const char* p6, BOOL showBackground, int errorCode) { return big::native_invoker::invoke<1810, false, void>(titleMsg, flags, promptMsg, p3, p4, p5, p6, showBackground, errorCode); }
	FORCEINLINE constexpr void SET_WARNING_MESSAGE_WITH_HEADER(const char* entryHeader, const char* entryLine1, int instructionalKey, const char* entryLine2, BOOL p4, Any p5, Any* showBackground, Any* p7, BOOL p8, Any p9) { return big::native_invoker::invoke<1811, false, void>(entryHeader, entryLine1, instructionalKey, entryLine2, p4, p5, showBackground, p7, p8, p9); }
	FORCEINLINE constexpr void SET_WARNING_MESSAGE_WITH_HEADER_AND_SUBSTRING_FLAGS(const char* entryHeader, const char* entryLine1, int instructionalKey, const char* entryLine2, BOOL p4, Any p5, Any additionalIntInfo, const char* additionalTextInfoLine1, const char* additionalTextInfoLine2, BOOL showBackground, int errorCode) { return big::native_invoker::invoke<1812, false, void>(entryHeader, entryLine1, instructionalKey, entryLine2, p4, p5, additionalIntInfo, additionalTextInfoLine1, additionalTextInfoLine2, showBackground, errorCode); }
	FORCEINLINE constexpr void SET_WARNING_MESSAGE_WITH_HEADER_EXTENDED(const char* entryHeader, const char* entryLine1, int flags, const char* entryLine2, BOOL p4, Any p5, Any* p6, Any* p7, BOOL showBg, Any p9, Any p10) { return big::native_invoker::invoke<1813, false, void>(entryHeader, entryLine1, flags, entryLine2, p4, p5, p6, p7, showBg, p9, p10); }
	FORCEINLINE constexpr void SET_WARNING_MESSAGE_WITH_HEADER_AND_SUBSTRING_FLAGS_EXTENDED(const char* labelTitle, const char* labelMessage, int p2, int p3, const char* labelMessage2, BOOL p5, int p6, int p7, const char* p8, const char* p9, BOOL background, int errorCode) { return big::native_invoker::invoke<1814, false, void>(labelTitle, labelMessage, p2, p3, labelMessage2, p5, p6, p7, p8, p9, background, errorCode); }
	FORCEINLINE constexpr Hash GET_WARNING_SCREEN_MESSAGE_HASH() { return big::native_invoker::invoke<1815, false, Hash>(); }
	FORCEINLINE constexpr BOOL SET_WARNING_MESSAGE_OPTION_ITEMS(int index, const char* name, int cash, int rp, int lvl, int colour) { return big::native_invoker::invoke<1816, false, BOOL>(index, name, cash, rp, lvl, colour); }
	FORCEINLINE constexpr BOOL SET_WARNING_MESSAGE_OPTION_HIGHLIGHT(Any p0) { return big::native_invoker::invoke<1817, false, BOOL>(p0); }
	FORCEINLINE constexpr void REMOVE_WARNING_MESSAGE_OPTION_ITEMS() { return big::native_invoker::invoke<1818, false, void>(); }
	FORCEINLINE constexpr BOOL IS_WARNING_MESSAGE_ACTIVE() { return big::native_invoker::invoke<1819, false, BOOL>(); }
	FORCEINLINE constexpr void CLEAR_DYNAMIC_PAUSE_MENU_ERROR_MESSAGE() { return big::native_invoker::invoke<1820, false, void>(); }
	FORCEINLINE constexpr void CUSTOM_MINIMAP_SET_ACTIVE(BOOL toggle) { return big::native_invoker::invoke<1821, false, void>(toggle); }
	FORCEINLINE constexpr void CUSTOM_MINIMAP_SET_BLIP_OBJECT(int spriteId) { return big::native_invoker::invoke<1822, false, void>(spriteId); }
	FORCEINLINE constexpr int CUSTOM_MINIMAP_CREATE_BLIP(float x, float y, float z) { return big::native_invoker::invoke<1823, false, int>(x, y, z); }
	FORCEINLINE constexpr void CUSTOM_MINIMAP_CLEAR_BLIPS() { return big::native_invoker::invoke<1824, false, void>(); }
	FORCEINLINE constexpr BOOL FORCE_SONAR_BLIPS_THIS_FRAME() { return big::native_invoker::invoke<1825, false, BOOL>(); }
	FORCEINLINE constexpr Blip GET_NORTH_BLID_INDEX() { return big::native_invoker::invoke<1826, false, Blip>(); }
	FORCEINLINE constexpr void DISPLAY_PLAYER_NAME_TAGS_ON_BLIPS(BOOL toggle) { return big::native_invoker::invoke<1827, false, void>(toggle); }
	FORCEINLINE constexpr void DRAW_FRONTEND_BACKGROUND_THIS_FRAME() { return big::native_invoker::invoke<1828, false, void>(); }
	FORCEINLINE constexpr void DRAW_HUD_OVER_FADE_THIS_FRAME() { return big::native_invoker::invoke<1829, false, void>(); }
	FORCEINLINE constexpr void ACTIVATE_FRONTEND_MENU(Hash menuhash, BOOL togglePause, int component) { return big::native_invoker::invoke<1830, false, void>(menuhash, togglePause, component); }
	FORCEINLINE constexpr void RESTART_FRONTEND_MENU(Hash menuHash, int p1) { return big::native_invoker::invoke<1831, false, void>(menuHash, p1); }
	FORCEINLINE constexpr Hash GET_CURRENT_FRONTEND_MENU_VERSION() { return big::native_invoker::invoke<1832, false, Hash>(); }
	FORCEINLINE constexpr void SET_PAUSE_MENU_ACTIVE(BOOL toggle) { return big::native_invoker::invoke<1833, false, void>(toggle); }
	FORCEINLINE constexpr void DISABLE_FRONTEND_THIS_FRAME() { return big::native_invoker::invoke<1834, false, void>(); }
	FORCEINLINE constexpr void SUPPRESS_FRONTEND_RENDERING_THIS_FRAME() { return big::native_invoker::invoke<1835, false, void>(); }
	FORCEINLINE constexpr void ALLOW_PAUSE_WHEN_NOT_IN_STATE_OF_PLAY_THIS_FRAME() { return big::native_invoker::invoke<1836, false, void>(); }
	FORCEINLINE constexpr void SET_FRONTEND_ACTIVE(BOOL active) { return big::native_invoker::invoke<1837, false, void>(active); }
	FORCEINLINE constexpr BOOL IS_PAUSE_MENU_ACTIVE() { return big::native_invoker::invoke<1838, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_STORE_PENDING_NETWORK_SHUTDOWN_TO_OPEN() { return big::native_invoker::invoke<1839, false, BOOL>(); }
	FORCEINLINE constexpr int GET_PAUSE_MENU_STATE() { return big::native_invoker::invoke<1840, false, int>(); }
	FORCEINLINE constexpr Vector3 GET_PAUSE_MENU_POSITION() { return big::native_invoker::invoke<1841, false, Vector3>(); }
	FORCEINLINE constexpr BOOL IS_PAUSE_MENU_RESTARTING() { return big::native_invoker::invoke<1842, false, BOOL>(); }
	FORCEINLINE constexpr void FORCE_SCRIPTED_GFX_WHEN_FRONTEND_ACTIVE(const char* p0) { return big::native_invoker::invoke<1843, false, void>(p0); }
	FORCEINLINE constexpr void PAUSE_MENUCEPTION_GO_DEEPER(int page) { return big::native_invoker::invoke<1844, false, void>(page); }
	FORCEINLINE constexpr void PAUSE_MENUCEPTION_THE_KICK() { return big::native_invoker::invoke<1845, false, void>(); }
	FORCEINLINE constexpr void PAUSE_TOGGLE_FULLSCREEN_MAP(Any p0) { return big::native_invoker::invoke<1846, false, void>(p0); }
	FORCEINLINE constexpr void PAUSE_MENU_ACTIVATE_CONTEXT(Hash contextHash) { return big::native_invoker::invoke<1847, false, void>(contextHash); }
	FORCEINLINE constexpr void PAUSE_MENU_DEACTIVATE_CONTEXT(Hash contextHash) { return big::native_invoker::invoke<1848, false, void>(contextHash); }
	FORCEINLINE constexpr BOOL PAUSE_MENU_IS_CONTEXT_ACTIVE(Hash contextHash) { return big::native_invoker::invoke<1849, false, BOOL>(contextHash); }
	FORCEINLINE constexpr BOOL PAUSE_MENU_IS_CONTEXT_MENU_ACTIVE() { return big::native_invoker::invoke<1850, false, BOOL>(); }
	FORCEINLINE constexpr int PAUSE_MENU_GET_HAIR_COLOUR_INDEX() { return big::native_invoker::invoke<1851, false, int>(); }
	FORCEINLINE constexpr int PAUSE_MENU_GET_MOUSE_HOVER_INDEX() { return big::native_invoker::invoke<1852, false, int>(); }
	FORCEINLINE constexpr int PAUSE_MENU_GET_MOUSE_HOVER_UNIQUE_ID() { return big::native_invoker::invoke<1853, false, int>(); }
	FORCEINLINE constexpr BOOL PAUSE_MENU_GET_MOUSE_CLICK_EVENT(Any* p0, Any* p1, Any* p2) { return big::native_invoker::invoke<1854, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr void PAUSE_MENU_REDRAW_INSTRUCTIONAL_BUTTONS(int p0) { return big::native_invoker::invoke<1855, false, void>(p0); }
	FORCEINLINE constexpr void PAUSE_MENU_SET_BUSY_SPINNER(BOOL p0, int position, int spinnerIndex) { return big::native_invoker::invoke<1856, false, void>(p0, position, spinnerIndex); }
	FORCEINLINE constexpr void PAUSE_MENU_SET_WARN_ON_TAB_CHANGE(BOOL p0) { return big::native_invoker::invoke<1857, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_FRONTEND_READY_FOR_CONTROL() { return big::native_invoker::invoke<1858, false, BOOL>(); }
	FORCEINLINE constexpr void TAKE_CONTROL_OF_FRONTEND() { return big::native_invoker::invoke<1859, false, void>(); }
	FORCEINLINE constexpr void RELEASE_CONTROL_OF_FRONTEND() { return big::native_invoker::invoke<1860, false, void>(); }
	FORCEINLINE constexpr BOOL CODE_WANTS_SCRIPT_TO_TAKE_CONTROL() { return big::native_invoker::invoke<1861, false, BOOL>(); }
	FORCEINLINE constexpr int GET_SCREEN_CODE_WANTS_SCRIPT_TO_CONTROL() { return big::native_invoker::invoke<1862, false, int>(); }
	FORCEINLINE constexpr BOOL IS_NAVIGATING_MENU_CONTENT() { return big::native_invoker::invoke<1863, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_MENU_TRIGGER_EVENT_OCCURRED() { return big::native_invoker::invoke<1864, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_MENU_LAYOUT_CHANGED_EVENT_OCCURRED() { return big::native_invoker::invoke<1865, false, BOOL>(); }
	FORCEINLINE constexpr void SET_SAVEGAME_LIST_UNIQUE_ID(Any p0) { return big::native_invoker::invoke<1866, false, void>(p0); }
	FORCEINLINE constexpr void GET_MENU_TRIGGER_EVENT_DETAILS(int* lastItemMenuId, int* selectedItemUniqueId) { return big::native_invoker::invoke<1867, false, void>(lastItemMenuId, selectedItemUniqueId); }
	FORCEINLINE constexpr void GET_MENU_LAYOUT_CHANGED_EVENT_DETAILS(int* lastItemMenuId, int* selectedItemMenuId, int* selectedItemUniqueId) { return big::native_invoker::invoke<1868, false, void>(lastItemMenuId, selectedItemMenuId, selectedItemUniqueId); }
	FORCEINLINE constexpr BOOL GET_PM_PLAYER_CREW_COLOR(int* r, int* g, int* b) { return big::native_invoker::invoke<1869, false, BOOL>(r, g, b); }
	FORCEINLINE constexpr BOOL GET_MENU_PED_INT_STAT(Any p0, Any* p1) { return big::native_invoker::invoke<1870, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL GET_CHARACTER_MENU_PED_INT_STAT(Any p0, Any* p1, Any p2) { return big::native_invoker::invoke<1871, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL GET_MENU_PED_MASKED_INT_STAT(Hash statHash, int* outValue, int mask, BOOL p3) { return big::native_invoker::invoke<1872, false, BOOL>(statHash, outValue, mask, p3); }
	FORCEINLINE constexpr BOOL GET_CHARACTER_MENU_PED_MASKED_INT_STAT(Hash statHash, Any* outValue, int p2, int mask, BOOL p4) { return big::native_invoker::invoke<1873, false, BOOL>(statHash, outValue, p2, mask, p4); }
	FORCEINLINE constexpr BOOL GET_MENU_PED_FLOAT_STAT(Hash statHash, float* outValue) { return big::native_invoker::invoke<1874, false, BOOL>(statHash, outValue); }
	FORCEINLINE constexpr BOOL GET_CHARACTER_MENU_PED_FLOAT_STAT(float statHash, float* outValue, BOOL p2) { return big::native_invoker::invoke<1875, false, BOOL>(statHash, outValue, p2); }
	FORCEINLINE constexpr BOOL GET_MENU_PED_BOOL_STAT(Hash statHash, BOOL* outValue) { return big::native_invoker::invoke<1876, false, BOOL>(statHash, outValue); }
	FORCEINLINE constexpr void CLEAR_PED_IN_PAUSE_MENU() { return big::native_invoker::invoke<1877, false, void>(); }
	FORCEINLINE constexpr void GIVE_PED_TO_PAUSE_MENU(Ped ped, int p1) { return big::native_invoker::invoke<1878, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PAUSE_MENU_PED_LIGHTING(BOOL state) { return big::native_invoker::invoke<1879, false, void>(state); }
	FORCEINLINE constexpr void SET_PAUSE_MENU_PED_SLEEP_STATE(BOOL state) { return big::native_invoker::invoke<1880, false, void>(state); }
	FORCEINLINE constexpr void OPEN_ONLINE_POLICIES_MENU() { return big::native_invoker::invoke<1881, false, void>(); }
	FORCEINLINE constexpr BOOL ARE_ONLINE_POLICIES_UP_TO_DATE() { return big::native_invoker::invoke<1882, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_ONLINE_POLICIES_MENU_ACTIVE() { return big::native_invoker::invoke<1883, false, BOOL>(); }
	FORCEINLINE constexpr void OPEN_SOCIAL_CLUB_MENU(Hash menu) { return big::native_invoker::invoke<1884, false, void>(menu); }
	FORCEINLINE constexpr void CLOSE_SOCIAL_CLUB_MENU() { return big::native_invoker::invoke<1885, false, void>(); }
	FORCEINLINE constexpr void SET_SOCIAL_CLUB_TOUR(const char* name) { return big::native_invoker::invoke<1886, false, void>(name); }
	FORCEINLINE constexpr BOOL IS_SOCIAL_CLUB_ACTIVE() { return big::native_invoker::invoke<1887, false, BOOL>(); }
	FORCEINLINE constexpr void SET_TEXT_INPUT_BOX_ENABLED(BOOL p0) { return big::native_invoker::invoke<1888, false, void>(p0); }
	FORCEINLINE constexpr void FORCE_CLOSE_TEXT_INPUT_BOX() { return big::native_invoker::invoke<1889, false, void>(); }
	FORCEINLINE constexpr void SET_ALLOW_COMMA_ON_TEXT_INPUT(Any p0) { return big::native_invoker::invoke<1890, false, void>(p0); }
	FORCEINLINE constexpr void OVERRIDE_MP_TEXT_CHAT_TEAM_STRING(Hash gxtEntryHash) { return big::native_invoker::invoke<1891, false, void>(gxtEntryHash); }
	FORCEINLINE constexpr BOOL IS_MP_TEXT_CHAT_TYPING() { return big::native_invoker::invoke<1892, false, BOOL>(); }
	FORCEINLINE constexpr void CLOSE_MP_TEXT_CHAT() { return big::native_invoker::invoke<1893, false, void>(); }
	FORCEINLINE constexpr void MP_TEXT_CHAT_IS_TEAM_JOB(Any p0) { return big::native_invoker::invoke<1894, false, void>(p0); }
	FORCEINLINE constexpr void OVERRIDE_MP_TEXT_CHAT_COLOR(int p0, int hudColor) { return big::native_invoker::invoke<1895, false, void>(p0, hudColor); }
	FORCEINLINE constexpr void MP_TEXT_CHAT_DISABLE(BOOL toggle) { return big::native_invoker::invoke<1896, false, void>(toggle); }
	FORCEINLINE constexpr void FLAG_PLAYER_CONTEXT_IN_TOURNAMENT(BOOL toggle) { return big::native_invoker::invoke<1897, false, void>(toggle); }
	FORCEINLINE constexpr void SET_PED_HAS_AI_BLIP(Ped ped, BOOL hasCone) { return big::native_invoker::invoke<1898, false, void>(ped, hasCone); }
	FORCEINLINE constexpr void SET_PED_HAS_AI_BLIP_WITH_COLOUR(Ped ped, BOOL hasCone, int color) { return big::native_invoker::invoke<1899, false, void>(ped, hasCone, color); }
	FORCEINLINE constexpr BOOL DOES_PED_HAVE_AI_BLIP(Ped ped) { return big::native_invoker::invoke<1900, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_AI_BLIP_GANG_ID(Ped ped, int gangId) { return big::native_invoker::invoke<1901, false, void>(ped, gangId); }
	FORCEINLINE constexpr void SET_PED_AI_BLIP_HAS_CONE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<1902, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_AI_BLIP_FORCED_ON(Ped ped, BOOL toggle) { return big::native_invoker::invoke<1903, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_AI_BLIP_NOTICE_RANGE(Ped ped, float range) { return big::native_invoker::invoke<1904, false, void>(ped, range); }
	FORCEINLINE constexpr void SET_PED_AI_BLIP_SPRITE(Ped ped, int spriteId) { return big::native_invoker::invoke<1905, false, void>(ped, spriteId); }
	FORCEINLINE constexpr Blip GET_AI_PED_PED_BLIP_INDEX(Ped ped) { return big::native_invoker::invoke<1906, false, Blip>(ped); }
	FORCEINLINE constexpr Blip GET_AI_PED_VEHICLE_BLIP_INDEX(Ped ped) { return big::native_invoker::invoke<1907, false, Blip>(ped); }
	FORCEINLINE constexpr BOOL HAS_DIRECTOR_MODE_BEEN_LAUNCHED_BY_CODE() { return big::native_invoker::invoke<1908, false, BOOL>(); }
	FORCEINLINE constexpr void SET_DIRECTOR_MODE_LAUNCHED_BY_SCRIPT() { return big::native_invoker::invoke<1909, false, void>(); }
	FORCEINLINE constexpr void SET_PLAYER_IS_IN_DIRECTOR_MODE(BOOL toggle) { return big::native_invoker::invoke<1910, false, void>(toggle); }
	FORCEINLINE constexpr void SET_DIRECTOR_MODE_AVAILABLE(BOOL toggle) { return big::native_invoker::invoke<1911, false, void>(toggle); }
	FORCEINLINE constexpr void HIDE_HUDMARKERS_THIS_FRAME() { return big::native_invoker::invoke<1912, false, void>(); }
}

namespace INTERIOR
{
	FORCEINLINE constexpr float GET_INTERIOR_HEADING(Interior interior) { return big::native_invoker::invoke<1913, false, float>(interior); }
	FORCEINLINE constexpr void GET_INTERIOR_LOCATION_AND_NAMEHASH(Interior interior, Vector3* position, Hash* nameHash) { return big::native_invoker::invoke<1914, true, void>(interior, position, nameHash); }
	FORCEINLINE constexpr int GET_INTERIOR_GROUP_ID(Interior interior) { return big::native_invoker::invoke<1915, false, int>(interior); }
	FORCEINLINE constexpr Vector3 GET_OFFSET_FROM_INTERIOR_IN_WORLD_COORDS(Interior interior, float x, float y, float z) { return big::native_invoker::invoke<1916, false, Vector3>(interior, x, y, z); }
	FORCEINLINE constexpr BOOL IS_INTERIOR_SCENE() { return big::native_invoker::invoke<1917, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_VALID_INTERIOR(Interior interior) { return big::native_invoker::invoke<1918, false, BOOL>(interior); }
	FORCEINLINE constexpr void CLEAR_ROOM_FOR_ENTITY(Entity entity) { return big::native_invoker::invoke<1919, false, void>(entity); }
	FORCEINLINE constexpr void FORCE_ROOM_FOR_ENTITY(Entity entity, Interior interior, Hash roomHashKey) { return big::native_invoker::invoke<1920, false, void>(entity, interior, roomHashKey); }
	FORCEINLINE constexpr Hash GET_ROOM_KEY_FROM_ENTITY(Entity entity) { return big::native_invoker::invoke<1921, false, Hash>(entity); }
	FORCEINLINE constexpr Hash GET_KEY_FOR_ENTITY_IN_ROOM(Entity entity) { return big::native_invoker::invoke<1922, false, Hash>(entity); }
	FORCEINLINE constexpr Interior GET_INTERIOR_FROM_ENTITY(Entity entity) { return big::native_invoker::invoke<1923, false, Interior>(entity); }
	FORCEINLINE constexpr void RETAIN_ENTITY_IN_INTERIOR(Entity entity, Interior interior) { return big::native_invoker::invoke<1924, false, void>(entity, interior); }
	FORCEINLINE constexpr void CLEAR_INTERIOR_STATE_OF_ENTITY(Entity entity) { return big::native_invoker::invoke<1925, false, void>(entity); }
	FORCEINLINE constexpr void FORCE_ACTIVATING_TRACKING_ON_ENTITY(Any p0, Any p1) { return big::native_invoker::invoke<1926, false, void>(p0, p1); }
	FORCEINLINE constexpr void FORCE_ROOM_FOR_GAME_VIEWPORT(int interiorID, Hash roomHashKey) { return big::native_invoker::invoke<1927, false, void>(interiorID, roomHashKey); }
	FORCEINLINE constexpr void SET_ROOM_FOR_GAME_VIEWPORT_BY_NAME(const char* roomName) { return big::native_invoker::invoke<1928, false, void>(roomName); }
	FORCEINLINE constexpr void SET_ROOM_FOR_GAME_VIEWPORT_BY_KEY(Hash roomHashKey) { return big::native_invoker::invoke<1929, false, void>(roomHashKey); }
	FORCEINLINE constexpr Hash GET_ROOM_KEY_FOR_GAME_VIEWPORT() { return big::native_invoker::invoke<1930, false, Hash>(); }
	FORCEINLINE constexpr void CLEAR_ROOM_FOR_GAME_VIEWPORT() { return big::native_invoker::invoke<1931, false, void>(); }
	FORCEINLINE constexpr Interior GET_INTERIOR_FROM_PRIMARY_VIEW() { return big::native_invoker::invoke<1932, false, Interior>(); }
	FORCEINLINE constexpr Interior GET_INTERIOR_AT_COORDS(float x, float y, float z) { return big::native_invoker::invoke<1933, false, Interior>(x, y, z); }
	FORCEINLINE constexpr void ADD_PICKUP_TO_INTERIOR_ROOM_BY_NAME(Pickup pickup, const char* roomName) { return big::native_invoker::invoke<1934, false, void>(pickup, roomName); }
	FORCEINLINE constexpr void PIN_INTERIOR_IN_MEMORY(Interior interior) { return big::native_invoker::invoke<1935, false, void>(interior); }
	FORCEINLINE constexpr void UNPIN_INTERIOR(Interior interior) { return big::native_invoker::invoke<1936, false, void>(interior); }
	FORCEINLINE constexpr BOOL IS_INTERIOR_READY(Interior interior) { return big::native_invoker::invoke<1937, false, BOOL>(interior); }
	FORCEINLINE constexpr BOOL SET_INTERIOR_IN_USE(Interior interior) { return big::native_invoker::invoke<1938, false, BOOL>(interior); }
	FORCEINLINE constexpr Interior GET_INTERIOR_AT_COORDS_WITH_TYPE(float x, float y, float z, const char* interiorType) { return big::native_invoker::invoke<1939, false, Interior>(x, y, z, interiorType); }
	FORCEINLINE constexpr Interior GET_INTERIOR_AT_COORDS_WITH_TYPEHASH(float x, float y, float z, Hash typeHash) { return big::native_invoker::invoke<1940, false, Interior>(x, y, z, typeHash); }
	FORCEINLINE constexpr void ACTIVATE_INTERIOR_GROUPS_USING_CAMERA() { return big::native_invoker::invoke<1941, false, void>(); }
	FORCEINLINE constexpr BOOL IS_COLLISION_MARKED_OUTSIDE(float x, float y, float z) { return big::native_invoker::invoke<1942, false, BOOL>(x, y, z); }
	FORCEINLINE constexpr Interior GET_INTERIOR_FROM_COLLISION(float x, float y, float z) { return big::native_invoker::invoke<1943, false, Interior>(x, y, z); }
	FORCEINLINE constexpr void ENABLE_STADIUM_PROBES_THIS_FRAME(BOOL toggle) { return big::native_invoker::invoke<1944, false, void>(toggle); }
	FORCEINLINE constexpr void ACTIVATE_INTERIOR_ENTITY_SET(Interior interior, const char* entitySetName) { return big::native_invoker::invoke<1945, false, void>(interior, entitySetName); }
	FORCEINLINE constexpr void DEACTIVATE_INTERIOR_ENTITY_SET(Interior interior, const char* entitySetName) { return big::native_invoker::invoke<1946, false, void>(interior, entitySetName); }
	FORCEINLINE constexpr BOOL IS_INTERIOR_ENTITY_SET_ACTIVE(Interior interior, const char* entitySetName) { return big::native_invoker::invoke<1947, false, BOOL>(interior, entitySetName); }
	FORCEINLINE constexpr void SET_INTERIOR_ENTITY_SET_TINT_INDEX(Interior interior, const char* entitySetName, int color) { return big::native_invoker::invoke<1948, false, void>(interior, entitySetName, color); }
	FORCEINLINE constexpr void REFRESH_INTERIOR(Interior interior) { return big::native_invoker::invoke<1949, false, void>(interior); }
	FORCEINLINE constexpr void ENABLE_EXTERIOR_CULL_MODEL_THIS_FRAME(Hash mapObjectHash) { return big::native_invoker::invoke<1950, false, void>(mapObjectHash); }
	FORCEINLINE constexpr void ENABLE_SHADOW_CULL_MODEL_THIS_FRAME(Hash mapObjectHash) { return big::native_invoker::invoke<1951, false, void>(mapObjectHash); }
	FORCEINLINE constexpr void DISABLE_INTERIOR(Interior interior, BOOL toggle) { return big::native_invoker::invoke<1952, false, void>(interior, toggle); }
	FORCEINLINE constexpr BOOL IS_INTERIOR_DISABLED(Interior interior) { return big::native_invoker::invoke<1953, false, BOOL>(interior); }
	FORCEINLINE constexpr void CAP_INTERIOR(Interior interior, BOOL toggle) { return big::native_invoker::invoke<1954, false, void>(interior, toggle); }
	FORCEINLINE constexpr BOOL IS_INTERIOR_CAPPED(Interior interior) { return big::native_invoker::invoke<1955, false, BOOL>(interior); }
	FORCEINLINE constexpr void DISABLE_METRO_SYSTEM(BOOL toggle) { return big::native_invoker::invoke<1956, false, void>(toggle); }
	FORCEINLINE constexpr void SET_IS_EXTERIOR_ONLY(Entity entity, BOOL toggle) { return big::native_invoker::invoke<1957, false, void>(entity, toggle); }
}

namespace ITEMSET
{
	FORCEINLINE constexpr ScrHandle CREATE_ITEMSET(BOOL p0) { return big::native_invoker::invoke<1958, false, ScrHandle>(p0); }
	FORCEINLINE constexpr void DESTROY_ITEMSET(ScrHandle itemset) { return big::native_invoker::invoke<1959, false, void>(itemset); }
	FORCEINLINE constexpr BOOL IS_ITEMSET_VALID(ScrHandle itemset) { return big::native_invoker::invoke<1960, false, BOOL>(itemset); }
	FORCEINLINE constexpr BOOL ADD_TO_ITEMSET(ScrHandle item, ScrHandle itemset) { return big::native_invoker::invoke<1961, false, BOOL>(item, itemset); }
	FORCEINLINE constexpr void REMOVE_FROM_ITEMSET(ScrHandle item, ScrHandle itemset) { return big::native_invoker::invoke<1962, false, void>(item, itemset); }
	FORCEINLINE constexpr int GET_ITEMSET_SIZE(ScrHandle itemset) { return big::native_invoker::invoke<1963, false, int>(itemset); }
	FORCEINLINE constexpr ScrHandle GET_INDEXED_ITEM_IN_ITEMSET(int index, ScrHandle itemset) { return big::native_invoker::invoke<1964, false, ScrHandle>(index, itemset); }
	FORCEINLINE constexpr BOOL IS_IN_ITEMSET(ScrHandle item, ScrHandle itemset) { return big::native_invoker::invoke<1965, false, BOOL>(item, itemset); }
	FORCEINLINE constexpr void CLEAN_ITEMSET(ScrHandle itemset) { return big::native_invoker::invoke<1966, false, void>(itemset); }
}

namespace LOADINGSCREEN
{
	FORCEINLINE constexpr BOOL LOBBY_AUTO_MULTIPLAYER_MENU() { return big::native_invoker::invoke<1967, false, BOOL>(); }
	FORCEINLINE constexpr BOOL LOBBY_AUTO_MULTIPLAYER_FREEMODE() { return big::native_invoker::invoke<1968, false, BOOL>(); }
	FORCEINLINE constexpr void LOBBY_SET_AUTO_MULTIPLAYER(BOOL toggle) { return big::native_invoker::invoke<1969, false, void>(toggle); }
	FORCEINLINE constexpr BOOL LOBBY_AUTO_MULTIPLAYER_EVENT() { return big::native_invoker::invoke<1970, false, BOOL>(); }
	FORCEINLINE constexpr void LOBBY_SET_AUTO_MULTIPLAYER_EVENT(BOOL toggle) { return big::native_invoker::invoke<1971, false, void>(toggle); }
	FORCEINLINE constexpr BOOL LOBBY_AUTO_MULTIPLAYER_RANDOM_JOB() { return big::native_invoker::invoke<1972, false, BOOL>(); }
	FORCEINLINE constexpr void LOBBY_SET_AUTO_MP_RANDOM_JOB(BOOL toggle) { return big::native_invoker::invoke<1973, false, void>(toggle); }
	FORCEINLINE constexpr void SHUTDOWN_SESSION_CLEARS_AUTO_MULTIPLAYER(BOOL toggle) { return big::native_invoker::invoke<1974, false, void>(toggle); }
}

namespace LOCALIZATION
{
	FORCEINLINE constexpr int LOCALIZATION_GET_SYSTEM_LANGUAGE() { return big::native_invoker::invoke<1975, false, int>(); }
	FORCEINLINE constexpr int GET_CURRENT_LANGUAGE() { return big::native_invoker::invoke<1976, false, int>(); }
	FORCEINLINE constexpr int LOCALIZATION_GET_SYSTEM_DATE_TYPE() { return big::native_invoker::invoke<1977, false, int>(); }
}

namespace MISC
{
	FORCEINLINE constexpr int GET_ALLOCATED_STACK_SIZE() { return big::native_invoker::invoke<1978, false, int>(); }
	FORCEINLINE constexpr int GET_NUMBER_OF_FREE_STACKS_OF_THIS_SIZE(int stackSize) { return big::native_invoker::invoke<1979, false, int>(stackSize); }
	FORCEINLINE constexpr void SET_RANDOM_SEED(int seed) { return big::native_invoker::invoke<1980, false, void>(seed); }
	FORCEINLINE constexpr void SET_TIME_SCALE(float timeScale) { return big::native_invoker::invoke<1981, false, void>(timeScale); }
	FORCEINLINE constexpr void SET_MISSION_FLAG(BOOL toggle) { return big::native_invoker::invoke<1982, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_MISSION_FLAG() { return big::native_invoker::invoke<1983, false, BOOL>(); }
	FORCEINLINE constexpr void SET_RANDOM_EVENT_FLAG(BOOL toggle) { return big::native_invoker::invoke<1984, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_RANDOM_EVENT_FLAG() { return big::native_invoker::invoke<1985, false, BOOL>(); }
	FORCEINLINE constexpr const char* GET_CONTENT_TO_LOAD() { return big::native_invoker::invoke<1986, false, const char*>(); }
	FORCEINLINE constexpr void ACTIVITY_FEED_CREATE(const char* p0, const char* p1) { return big::native_invoker::invoke<1987, false, void>(p0, p1); }
	FORCEINLINE constexpr void ACTIVITY_FEED_ADD_SUBSTRING_TO_CAPTION(const char* p0) { return big::native_invoker::invoke<1988, false, void>(p0); }
	FORCEINLINE constexpr void ACTIVITY_FEED_ADD_LITERAL_SUBSTRING_TO_CAPTION(const char* p0) { return big::native_invoker::invoke<1989, false, void>(p0); }
	FORCEINLINE constexpr void ACTIVITY_FEED_ADD_INT_TO_CAPTION(Any p0) { return big::native_invoker::invoke<1990, false, void>(p0); }
	FORCEINLINE constexpr void ACTIVITY_FEED_LARGE_IMAGE_URL(const char* p0) { return big::native_invoker::invoke<1991, false, void>(p0); }
	FORCEINLINE constexpr void ACTIVITY_FEED_ACTION_START_WITH_COMMAND_LINE(const char* p0, const char* p1) { return big::native_invoker::invoke<1992, false, void>(p0, p1); }
	FORCEINLINE constexpr void ACTIVITY_FEED_ACTION_START_WITH_COMMAND_LINE_ADD(const char* p0) { return big::native_invoker::invoke<1993, false, void>(p0); }
	FORCEINLINE constexpr void ACTIVITY_FEED_POST() { return big::native_invoker::invoke<1994, false, void>(); }
	FORCEINLINE constexpr void ACTIVITY_FEED_ONLINE_PLAYED_WITH_POST(const char* p0) { return big::native_invoker::invoke<1995, false, void>(p0); }
	FORCEINLINE constexpr BOOL HAS_RESUMED_FROM_SUSPEND() { return big::native_invoker::invoke<1996, false, BOOL>(); }
	FORCEINLINE constexpr void SET_SCRIPT_HIGH_PRIO(BOOL toggle) { return big::native_invoker::invoke<1997, false, void>(toggle); }
	FORCEINLINE constexpr void SET_THIS_IS_A_TRIGGER_SCRIPT(BOOL toggle) { return big::native_invoker::invoke<1998, false, void>(toggle); }
	FORCEINLINE constexpr void INFORM_CODE_OF_CONTENT_ID_OF_CURRENT_UGC_MISSION(const char* p0) { return big::native_invoker::invoke<1999, false, void>(p0); }
	FORCEINLINE constexpr BOOL GET_BASE_ELEMENT_LOCATION_FROM_METADATA_BLOCK(Any* p0, Any* p1, Any p2, BOOL p3) { return big::native_invoker::invoke<2000, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr Hash GET_PREV_WEATHER_TYPE_HASH_NAME() { return big::native_invoker::invoke<2001, false, Hash>(); }
	FORCEINLINE constexpr Hash GET_NEXT_WEATHER_TYPE_HASH_NAME() { return big::native_invoker::invoke<2002, false, Hash>(); }
	FORCEINLINE constexpr BOOL IS_PREV_WEATHER_TYPE(const char* weatherType) { return big::native_invoker::invoke<2003, false, BOOL>(weatherType); }
	FORCEINLINE constexpr BOOL IS_NEXT_WEATHER_TYPE(const char* weatherType) { return big::native_invoker::invoke<2004, false, BOOL>(weatherType); }
	FORCEINLINE constexpr void SET_WEATHER_TYPE_PERSIST(const char* weatherType) { return big::native_invoker::invoke<2005, false, void>(weatherType); }
	FORCEINLINE constexpr void SET_WEATHER_TYPE_NOW_PERSIST(const char* weatherType) { return big::native_invoker::invoke<2006, false, void>(weatherType); }
	FORCEINLINE constexpr void SET_WEATHER_TYPE_NOW(const char* weatherType) { return big::native_invoker::invoke<2007, false, void>(weatherType); }
	FORCEINLINE constexpr void SET_WEATHER_TYPE_OVERTIME_PERSIST(const char* weatherType, float time) { return big::native_invoker::invoke<2008, false, void>(weatherType, time); }
	FORCEINLINE constexpr void SET_RANDOM_WEATHER_TYPE() { return big::native_invoker::invoke<2009, false, void>(); }
	FORCEINLINE constexpr void CLEAR_WEATHER_TYPE_PERSIST() { return big::native_invoker::invoke<2010, false, void>(); }
	FORCEINLINE constexpr void CLEAR_WEATHER_TYPE_NOW_PERSIST_NETWORK(int milliseconds) { return big::native_invoker::invoke<2011, false, void>(milliseconds); }
	FORCEINLINE constexpr void GET_CURR_WEATHER_STATE(Hash* weatherType1, Hash* weatherType2, float* percentWeather2) { return big::native_invoker::invoke<2012, false, void>(weatherType1, weatherType2, percentWeather2); }
	FORCEINLINE constexpr void SET_CURR_WEATHER_STATE(Hash weatherType1, Hash weatherType2, float percentWeather2) { return big::native_invoker::invoke<2013, false, void>(weatherType1, weatherType2, percentWeather2); }
	FORCEINLINE constexpr void SET_OVERRIDE_WEATHER(const char* weatherType) { return big::native_invoker::invoke<2014, false, void>(weatherType); }
	FORCEINLINE constexpr void SET_OVERRIDE_WEATHEREX(const char* weatherType, BOOL p1) { return big::native_invoker::invoke<2015, false, void>(weatherType, p1); }
	FORCEINLINE constexpr void CLEAR_OVERRIDE_WEATHER() { return big::native_invoker::invoke<2016, false, void>(); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_SHOREWAVEAMPLITUDE(float amplitude) { return big::native_invoker::invoke<2017, false, void>(amplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_SHOREWAVEMINAMPLITUDE(float minAmplitude) { return big::native_invoker::invoke<2018, false, void>(minAmplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_SHOREWAVEMAXAMPLITUDE(float maxAmplitude) { return big::native_invoker::invoke<2019, false, void>(maxAmplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_OCEANNOISEMINAMPLITUDE(float minAmplitude) { return big::native_invoker::invoke<2020, false, void>(minAmplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_OCEANWAVEAMPLITUDE(float amplitude) { return big::native_invoker::invoke<2021, false, void>(amplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_OCEANWAVEMINAMPLITUDE(float minAmplitude) { return big::native_invoker::invoke<2022, false, void>(minAmplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_OCEANWAVEMAXAMPLITUDE(float maxAmplitude) { return big::native_invoker::invoke<2023, false, void>(maxAmplitude); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_RIPPLEBUMPINESS(float bumpiness) { return big::native_invoker::invoke<2024, false, void>(bumpiness); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_RIPPLEMINBUMPINESS(float minBumpiness) { return big::native_invoker::invoke<2025, false, void>(minBumpiness); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_RIPPLEMAXBUMPINESS(float maxBumpiness) { return big::native_invoker::invoke<2026, false, void>(maxBumpiness); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_RIPPLEDISTURB(float disturb) { return big::native_invoker::invoke<2027, false, void>(disturb); }
	FORCEINLINE constexpr void WATER_OVERRIDE_SET_STRENGTH(float strength) { return big::native_invoker::invoke<2028, false, void>(strength); }
	FORCEINLINE constexpr void WATER_OVERRIDE_FADE_IN(float p0) { return big::native_invoker::invoke<2029, false, void>(p0); }
	FORCEINLINE constexpr void WATER_OVERRIDE_FADE_OUT(float p0) { return big::native_invoker::invoke<2030, false, void>(p0); }
	FORCEINLINE constexpr void SET_WIND(float speed) { return big::native_invoker::invoke<2031, false, void>(speed); }
	FORCEINLINE constexpr void SET_WIND_SPEED(float speed) { return big::native_invoker::invoke<2032, false, void>(speed); }
	FORCEINLINE constexpr float GET_WIND_SPEED() { return big::native_invoker::invoke<2033, false, float>(); }
	FORCEINLINE constexpr void SET_WIND_DIRECTION(float direction) { return big::native_invoker::invoke<2034, false, void>(direction); }
	FORCEINLINE constexpr Vector3 GET_WIND_DIRECTION() { return big::native_invoker::invoke<2035, false, Vector3>(); }
	FORCEINLINE constexpr void SET_RAIN(float intensity) { return big::native_invoker::invoke<2036, false, void>(intensity); }
	FORCEINLINE constexpr float GET_RAIN_LEVEL() { return big::native_invoker::invoke<2037, false, float>(); }
	FORCEINLINE constexpr void SET_SNOW(float level) { return big::native_invoker::invoke<2038, false, void>(level); }
	FORCEINLINE constexpr float GET_SNOW_LEVEL() { return big::native_invoker::invoke<2039, false, float>(); }
	FORCEINLINE constexpr void FORCE_LIGHTNING_FLASH() { return big::native_invoker::invoke<2040, false, void>(); }
	FORCEINLINE constexpr void SET_CLOUD_SETTINGS_OVERRIDE(const char* p0) { return big::native_invoker::invoke<2041, false, void>(p0); }
	FORCEINLINE constexpr void PRELOAD_CLOUD_HAT(const char* name) { return big::native_invoker::invoke<2042, false, void>(name); }
	FORCEINLINE constexpr void LOAD_CLOUD_HAT(const char* name, float transitionTime) { return big::native_invoker::invoke<2043, false, void>(name, transitionTime); }
	FORCEINLINE constexpr void UNLOAD_CLOUD_HAT(const char* name, float p1) { return big::native_invoker::invoke<2044, false, void>(name, p1); }
	FORCEINLINE constexpr void UNLOAD_ALL_CLOUD_HATS() { return big::native_invoker::invoke<2045, false, void>(); }
	FORCEINLINE constexpr void SET_CLOUDS_ALPHA(float opacity) { return big::native_invoker::invoke<2046, false, void>(opacity); }
	FORCEINLINE constexpr float GET_CLOUDS_ALPHA() { return big::native_invoker::invoke<2047, false, float>(); }
	FORCEINLINE constexpr int GET_GAME_TIMER() { return big::native_invoker::invoke<2048, false, int>(); }
	FORCEINLINE constexpr float GET_FRAME_TIME() { return big::native_invoker::invoke<2049, false, float>(); }
	FORCEINLINE constexpr float GET_SYSTEM_TIME_STEP() { return big::native_invoker::invoke<2050, false, float>(); }
	FORCEINLINE constexpr int GET_FRAME_COUNT() { return big::native_invoker::invoke<2051, false, int>(); }
	FORCEINLINE constexpr float GET_RANDOM_FLOAT_IN_RANGE(float startRange, float endRange) { return big::native_invoker::invoke<2052, false, float>(startRange, endRange); }
	FORCEINLINE constexpr int GET_RANDOM_INT_IN_RANGE(int startRange, int endRange) { return big::native_invoker::invoke<2053, false, int>(startRange, endRange); }
	FORCEINLINE constexpr int GET_RANDOM_MWC_INT_IN_RANGE(int startRange, int endRange) { return big::native_invoker::invoke<2054, false, int>(startRange, endRange); }
	FORCEINLINE constexpr BOOL GET_GROUND_Z_FOR_3D_COORD(float x, float y, float z, float* groundZ, BOOL ignoreWater, BOOL p5) { return big::native_invoker::invoke<2055, false, BOOL>(x, y, z, groundZ, ignoreWater, p5); }
	FORCEINLINE constexpr BOOL GET_GROUND_Z_AND_NORMAL_FOR_3D_COORD(float x, float y, float z, float* groundZ, Vector3* normal) { return big::native_invoker::invoke<2056, true, BOOL>(x, y, z, groundZ, normal); }
	FORCEINLINE constexpr BOOL GET_GROUND_Z_EXCLUDING_OBJECTS_FOR_3D_COORD(float x, float y, float z, float* groundZ, BOOL p4, BOOL p5) { return big::native_invoker::invoke<2057, false, BOOL>(x, y, z, groundZ, p4, p5); }
	FORCEINLINE constexpr float ASIN(float p0) { return big::native_invoker::invoke<2058, false, float>(p0); }
	FORCEINLINE constexpr float ACOS(float p0) { return big::native_invoker::invoke<2059, false, float>(p0); }
	FORCEINLINE constexpr float TAN(float p0) { return big::native_invoker::invoke<2060, false, float>(p0); }
	FORCEINLINE constexpr float ATAN(float p0) { return big::native_invoker::invoke<2061, false, float>(p0); }
	FORCEINLINE constexpr float ATAN2(float p0, float p1) { return big::native_invoker::invoke<2062, false, float>(p0, p1); }
	FORCEINLINE constexpr float GET_DISTANCE_BETWEEN_COORDS(float x1, float y1, float z1, float x2, float y2, float z2, BOOL useZ) { return big::native_invoker::invoke<2063, false, float>(x1, y1, z1, x2, y2, z2, useZ); }
	FORCEINLINE constexpr float GET_ANGLE_BETWEEN_2D_VECTORS(float x1, float y1, float x2, float y2) { return big::native_invoker::invoke<2064, false, float>(x1, y1, x2, y2); }
	FORCEINLINE constexpr float GET_HEADING_FROM_VECTOR_2D(float dx, float dy) { return big::native_invoker::invoke<2065, false, float>(dx, dy); }
	FORCEINLINE constexpr float GET_RATIO_OF_CLOSEST_POINT_ON_LINE(float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3, BOOL clamp) { return big::native_invoker::invoke<2066, false, float>(x1, y1, z1, x2, y2, z2, x3, y3, z3, clamp); }
	FORCEINLINE constexpr Vector3 GET_CLOSEST_POINT_ON_LINE(float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3, BOOL clamp) { return big::native_invoker::invoke<2067, false, Vector3>(x1, y1, z1, x2, y2, z2, x3, y3, z3, clamp); }
	FORCEINLINE constexpr BOOL GET_LINE_PLANE_INTERSECTION(float p0, float p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, float p9, float p10, float p11, float* p12) { return big::native_invoker::invoke<2068, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12); }
	FORCEINLINE constexpr BOOL GET_POINT_AREA_OVERLAP(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9, Any p10, Any p11, Any p12, Any p13) { return big::native_invoker::invoke<2069, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12, p13); }
	FORCEINLINE constexpr void SET_BIT(int* address, int offset) { return big::native_invoker::invoke<2070, false, void>(address, offset); }
	FORCEINLINE constexpr void CLEAR_BIT(int* address, int offset) { return big::native_invoker::invoke<2071, false, void>(address, offset); }
	FORCEINLINE constexpr Hash GET_HASH_KEY(const char* string) { return big::native_invoker::invoke<2072, false, Hash>(string); }
	FORCEINLINE constexpr void SLERP_NEAR_QUATERNION(float t, float x, float y, float z, float w, float x1, float y1, float z1, float w1, float* outX, float* outY, float* outZ, float* outW) { return big::native_invoker::invoke<2073, false, void>(t, x, y, z, w, x1, y1, z1, w1, outX, outY, outZ, outW); }
	FORCEINLINE constexpr BOOL IS_AREA_OCCUPIED(float p0, float p1, float p2, float p3, float p4, float p5, BOOL p6, BOOL p7, BOOL p8, BOOL p9, BOOL p10, Any p11, BOOL p12) { return big::native_invoker::invoke<2074, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12); }
	FORCEINLINE constexpr BOOL IS_AREA_OCCUPIED_SLOW(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9, Any p10, Any p11, Any p12) { return big::native_invoker::invoke<2075, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12); }
	FORCEINLINE constexpr BOOL IS_POSITION_OCCUPIED(float x, float y, float z, float range, BOOL p4, BOOL checkVehicles, BOOL checkPeds, BOOL p7, BOOL p8, Entity ignoreEntity, BOOL p10) { return big::native_invoker::invoke<2076, false, BOOL>(x, y, z, range, p4, checkVehicles, checkPeds, p7, p8, ignoreEntity, p10); }
	FORCEINLINE constexpr BOOL IS_POINT_OBSCURED_BY_A_MISSION_ENTITY(float p0, float p1, float p2, float p3, float p4, float p5, Any p6) { return big::native_invoker::invoke<2077, false, BOOL>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void CLEAR_AREA(float X, float Y, float Z, float radius, BOOL p4, BOOL ignoreCopCars, BOOL ignoreObjects, BOOL p7) { return big::native_invoker::invoke<2078, false, void>(X, Y, Z, radius, p4, ignoreCopCars, ignoreObjects, p7); }
	FORCEINLINE constexpr void CLEAR_AREA_LEAVE_VEHICLE_HEALTH(float x, float y, float z, float radius, BOOL p4, BOOL p5, BOOL p6, BOOL p7) { return big::native_invoker::invoke<2079, false, void>(x, y, z, radius, p4, p5, p6, p7); }
	FORCEINLINE constexpr void CLEAR_AREA_OF_VEHICLES(float x, float y, float z, float radius, BOOL p4, BOOL p5, BOOL p6, BOOL p7, BOOL p8, BOOL p9, Any p10) { return big::native_invoker::invoke<2080, false, void>(x, y, z, radius, p4, p5, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr void CLEAR_ANGLED_AREA_OF_VEHICLES(float x1, float y1, float z1, float x2, float y2, float z2, float width, BOOL p7, BOOL p8, BOOL p9, BOOL p10, BOOL p11, Any p12, Any p13) { return big::native_invoker::invoke<2081, false, void>(x1, y1, z1, x2, y2, z2, width, p7, p8, p9, p10, p11, p12, p13); }
	FORCEINLINE constexpr void CLEAR_AREA_OF_OBJECTS(float x, float y, float z, float radius, int flags) { return big::native_invoker::invoke<2082, false, void>(x, y, z, radius, flags); }
	FORCEINLINE constexpr void CLEAR_AREA_OF_PEDS(float x, float y, float z, float radius, int flags) { return big::native_invoker::invoke<2083, false, void>(x, y, z, radius, flags); }
	FORCEINLINE constexpr void CLEAR_AREA_OF_COPS(float x, float y, float z, float radius, int flags) { return big::native_invoker::invoke<2084, false, void>(x, y, z, radius, flags); }
	FORCEINLINE constexpr void CLEAR_AREA_OF_PROJECTILES(float x, float y, float z, float radius, int flags) { return big::native_invoker::invoke<2085, false, void>(x, y, z, radius, flags); }
	FORCEINLINE constexpr void CLEAR_SCENARIO_SPAWN_HISTORY() { return big::native_invoker::invoke<2086, false, void>(); }
	FORCEINLINE constexpr void SET_SAVE_MENU_ACTIVE(BOOL ignoreVehicle) { return big::native_invoker::invoke<2087, false, void>(ignoreVehicle); }
	FORCEINLINE constexpr int GET_STATUS_OF_MANUAL_SAVE() { return big::native_invoker::invoke<2088, false, int>(); }
	FORCEINLINE constexpr void SET_CREDITS_ACTIVE(BOOL toggle) { return big::native_invoker::invoke<2089, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CREDITS_FADE_OUT_WITH_SCREEN(BOOL toggle) { return big::native_invoker::invoke<2090, false, void>(toggle); }
	FORCEINLINE constexpr BOOL HAVE_CREDITS_REACHED_END() { return big::native_invoker::invoke<2091, false, BOOL>(); }
	FORCEINLINE constexpr BOOL ARE_CREDITS_RUNNING() { return big::native_invoker::invoke<2092, false, BOOL>(); }
	FORCEINLINE constexpr void TERMINATE_ALL_SCRIPTS_WITH_THIS_NAME(const char* scriptName) { return big::native_invoker::invoke<2093, false, void>(scriptName); }
	FORCEINLINE constexpr void NETWORK_SET_SCRIPT_IS_SAFE_FOR_NETWORK_GAME() { return big::native_invoker::invoke<2094, false, void>(); }
	FORCEINLINE constexpr int ADD_HOSPITAL_RESTART(float x, float y, float z, float p3, Any p4) { return big::native_invoker::invoke<2095, false, int>(x, y, z, p3, p4); }
	FORCEINLINE constexpr void DISABLE_HOSPITAL_RESTART(int hospitalIndex, BOOL toggle) { return big::native_invoker::invoke<2096, false, void>(hospitalIndex, toggle); }
	FORCEINLINE constexpr int ADD_POLICE_RESTART(float p0, float p1, float p2, float p3, Any p4) { return big::native_invoker::invoke<2097, false, int>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void DISABLE_POLICE_RESTART(int policeIndex, BOOL toggle) { return big::native_invoker::invoke<2098, false, void>(policeIndex, toggle); }
	FORCEINLINE constexpr void SET_RESTART_COORD_OVERRIDE(float x, float y, float z, float heading) { return big::native_invoker::invoke<2099, false, void>(x, y, z, heading); }
	FORCEINLINE constexpr void CLEAR_RESTART_COORD_OVERRIDE() { return big::native_invoker::invoke<2100, false, void>(); }
	FORCEINLINE constexpr void PAUSE_DEATH_ARREST_RESTART(BOOL toggle) { return big::native_invoker::invoke<2101, false, void>(toggle); }
	FORCEINLINE constexpr void IGNORE_NEXT_RESTART(BOOL toggle) { return big::native_invoker::invoke<2102, false, void>(toggle); }
	FORCEINLINE constexpr void SET_FADE_OUT_AFTER_DEATH(BOOL toggle) { return big::native_invoker::invoke<2103, false, void>(toggle); }
	FORCEINLINE constexpr void SET_FADE_OUT_AFTER_ARREST(BOOL toggle) { return big::native_invoker::invoke<2104, false, void>(toggle); }
	FORCEINLINE constexpr void SET_FADE_IN_AFTER_DEATH_ARREST(BOOL toggle) { return big::native_invoker::invoke<2105, false, void>(toggle); }
	FORCEINLINE constexpr void SET_FADE_IN_AFTER_LOAD(BOOL toggle) { return big::native_invoker::invoke<2106, false, void>(toggle); }
	FORCEINLINE constexpr int REGISTER_SAVE_HOUSE(float x, float y, float z, float p3, const char* p4, Any p5, Any p6) { return big::native_invoker::invoke<2107, false, int>(x, y, z, p3, p4, p5, p6); }
	FORCEINLINE constexpr void SET_SAVE_HOUSE(int savehouseHandle, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2108, false, void>(savehouseHandle, p1, p2); }
	FORCEINLINE constexpr BOOL OVERRIDE_SAVE_HOUSE(BOOL p0, float p1, float p2, float p3, float p4, BOOL p5, float p6, float p7) { return big::native_invoker::invoke<2109, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr BOOL GET_SAVE_HOUSE_DETAILS_AFTER_SUCCESSFUL_LOAD(Vector3* p0, float* p1, BOOL* fadeInAfterLoad, BOOL* p3) { return big::native_invoker::invoke<2110, true, BOOL>(p0, p1, fadeInAfterLoad, p3); }
	FORCEINLINE constexpr void DO_AUTO_SAVE() { return big::native_invoker::invoke<2111, false, void>(); }
	FORCEINLINE constexpr BOOL GET_IS_AUTO_SAVE_OFF() { return big::native_invoker::invoke<2112, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_AUTO_SAVE_IN_PROGRESS() { return big::native_invoker::invoke<2113, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_CODE_REQUESTED_AUTOSAVE() { return big::native_invoker::invoke<2114, false, BOOL>(); }
	FORCEINLINE constexpr void CLEAR_CODE_REQUESTED_AUTOSAVE() { return big::native_invoker::invoke<2115, false, void>(); }
	FORCEINLINE constexpr void BEGIN_REPLAY_STATS(Any p0, Any p1) { return big::native_invoker::invoke<2116, false, void>(p0, p1); }
	FORCEINLINE constexpr void ADD_REPLAY_STAT_VALUE(Any value) { return big::native_invoker::invoke<2117, false, void>(value); }
	FORCEINLINE constexpr void END_REPLAY_STATS() { return big::native_invoker::invoke<2118, false, void>(); }
	FORCEINLINE constexpr BOOL HAVE_REPLAY_STATS_BEEN_STORED() { return big::native_invoker::invoke<2119, false, BOOL>(); }
	FORCEINLINE constexpr int GET_REPLAY_STAT_MISSION_ID() { return big::native_invoker::invoke<2120, false, int>(); }
	FORCEINLINE constexpr int GET_REPLAY_STAT_MISSION_TYPE() { return big::native_invoker::invoke<2121, false, int>(); }
	FORCEINLINE constexpr int GET_REPLAY_STAT_COUNT() { return big::native_invoker::invoke<2122, false, int>(); }
	FORCEINLINE constexpr int GET_REPLAY_STAT_AT_INDEX(int index) { return big::native_invoker::invoke<2123, false, int>(index); }
	FORCEINLINE constexpr void CLEAR_REPLAY_STATS() { return big::native_invoker::invoke<2124, false, void>(); }
	FORCEINLINE constexpr BOOL QUEUE_MISSION_REPEAT_LOAD() { return big::native_invoker::invoke<2125, false, BOOL>(); }
	FORCEINLINE constexpr BOOL QUEUE_MISSION_REPEAT_SAVE() { return big::native_invoker::invoke<2126, false, BOOL>(); }
	FORCEINLINE constexpr BOOL QUEUE_MISSION_REPEAT_SAVE_FOR_BENCHMARK_TEST() { return big::native_invoker::invoke<2127, false, BOOL>(); }
	FORCEINLINE constexpr int GET_STATUS_OF_MISSION_REPEAT_SAVE() { return big::native_invoker::invoke<2128, false, int>(); }
	FORCEINLINE constexpr BOOL IS_MEMORY_CARD_IN_USE() { return big::native_invoker::invoke<2129, false, BOOL>(); }
	FORCEINLINE constexpr void SHOOT_SINGLE_BULLET_BETWEEN_COORDS(float x1, float y1, float z1, float x2, float y2, float z2, int damage, BOOL p7, Hash weaponHash, Ped ownerPed, BOOL isAudible, BOOL isInvisible, float speed) { return big::native_invoker::invoke<2130, false, void>(x1, y1, z1, x2, y2, z2, damage, p7, weaponHash, ownerPed, isAudible, isInvisible, speed); }
	FORCEINLINE constexpr void SHOOT_SINGLE_BULLET_BETWEEN_COORDS_IGNORE_ENTITY(float x1, float y1, float z1, float x2, float y2, float z2, int damage, BOOL p7, Hash weaponHash, Ped ownerPed, BOOL isAudible, BOOL isInvisible, float speed, Entity entity, Any p14) { return big::native_invoker::invoke<2131, false, void>(x1, y1, z1, x2, y2, z2, damage, p7, weaponHash, ownerPed, isAudible, isInvisible, speed, entity, p14); }
	FORCEINLINE constexpr void SHOOT_SINGLE_BULLET_BETWEEN_COORDS_IGNORE_ENTITY_NEW(float x1, float y1, float z1, float x2, float y2, float z2, int damage, BOOL p7, Hash weaponHash, Ped ownerPed, BOOL isAudible, BOOL isInvisible, float speed, Entity entity, BOOL p14, BOOL p15, Entity targetEntity, BOOL p17, Any p18, Any p19, Any p20) { return big::native_invoker::invoke<2132, false, void>(x1, y1, z1, x2, y2, z2, damage, p7, weaponHash, ownerPed, isAudible, isInvisible, speed, entity, p14, p15, targetEntity, p17, p18, p19, p20); }
	FORCEINLINE constexpr void GET_MODEL_DIMENSIONS(Hash modelHash, Vector3* minimum, Vector3* maximum) { return big::native_invoker::invoke<2133, true, void>(modelHash, minimum, maximum); }
	FORCEINLINE constexpr void SET_FAKE_WANTED_LEVEL(int fakeWantedLevel) { return big::native_invoker::invoke<2134, false, void>(fakeWantedLevel); }
	FORCEINLINE constexpr int GET_FAKE_WANTED_LEVEL() { return big::native_invoker::invoke<2135, false, int>(); }
	FORCEINLINE constexpr void USING_MISSION_CREATOR(BOOL toggle) { return big::native_invoker::invoke<2136, false, void>(toggle); }
	FORCEINLINE constexpr void ALLOW_MISSION_CREATOR_WARP(BOOL toggle) { return big::native_invoker::invoke<2137, false, void>(toggle); }
	FORCEINLINE constexpr void SET_MINIGAME_IN_PROGRESS(BOOL toggle) { return big::native_invoker::invoke<2138, false, void>(toggle); }
	FORCEINLINE constexpr BOOL IS_MINIGAME_IN_PROGRESS() { return big::native_invoker::invoke<2139, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_THIS_A_MINIGAME_SCRIPT() { return big::native_invoker::invoke<2140, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SNIPER_INVERTED() { return big::native_invoker::invoke<2141, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SHOULD_USE_METRIC_MEASUREMENTS() { return big::native_invoker::invoke<2142, false, BOOL>(); }
	FORCEINLINE constexpr int GET_PROFILE_SETTING(int profileSetting) { return big::native_invoker::invoke<2143, false, int>(profileSetting); }
	FORCEINLINE constexpr BOOL ARE_STRINGS_EQUAL(const char* string1, const char* string2) { return big::native_invoker::invoke<2144, false, BOOL>(string1, string2); }
	FORCEINLINE constexpr int COMPARE_STRINGS(const char* str1, const char* str2, BOOL matchCase, int maxLength) { return big::native_invoker::invoke<2145, false, int>(str1, str2, matchCase, maxLength); }
	FORCEINLINE constexpr int ABSI(int value) { return big::native_invoker::invoke<2146, false, int>(value); }
	FORCEINLINE constexpr float ABSF(float value) { return big::native_invoker::invoke<2147, false, float>(value); }
	FORCEINLINE constexpr BOOL IS_SNIPER_BULLET_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<2148, false, BOOL>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL IS_PROJECTILE_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL ownedByPlayer) { return big::native_invoker::invoke<2149, false, BOOL>(x1, y1, z1, x2, y2, z2, ownedByPlayer); }
	FORCEINLINE constexpr BOOL IS_PROJECTILE_TYPE_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, int type, BOOL ownedByPlayer) { return big::native_invoker::invoke<2150, false, BOOL>(x1, y1, z1, x2, y2, z2, type, ownedByPlayer); }
	FORCEINLINE constexpr BOOL IS_PROJECTILE_TYPE_IN_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width, Any p7, BOOL ownedByPlayer) { return big::native_invoker::invoke<2151, false, BOOL>(x1, y1, z1, x2, y2, z2, width, p7, ownedByPlayer); }
	FORCEINLINE constexpr BOOL IS_PROJECTILE_TYPE_WITHIN_DISTANCE(float x, float y, float z, Hash projectileHash, float radius, BOOL ownedByPlayer) { return big::native_invoker::invoke<2152, false, BOOL>(x, y, z, projectileHash, radius, ownedByPlayer); }
	FORCEINLINE constexpr BOOL GET_COORDS_OF_PROJECTILE_TYPE_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, Hash projectileHash, Vector3* projectilePos, BOOL ownedByPlayer) { return big::native_invoker::invoke<2153, true, BOOL>(x1, y1, z1, x2, y2, z2, projectileHash, projectilePos, ownedByPlayer); }
	FORCEINLINE constexpr BOOL GET_COORDS_OF_PROJECTILE_TYPE_IN_ANGLED_AREA(float vecAngledAreaPoint1X, float vecAngledAreaPoint1Y, float vecAngledAreaPoint1Z, float vecAngledAreaPoint2X, float vecAngledAreaPoint2Y, float vecAngledAreaPoint2Z, float distanceOfOppositeFace, Hash weaponType, Vector3* positionOut, BOOL bIsPlayer) { return big::native_invoker::invoke<2154, true, BOOL>(vecAngledAreaPoint1X, vecAngledAreaPoint1Y, vecAngledAreaPoint1Z, vecAngledAreaPoint2X, vecAngledAreaPoint2Y, vecAngledAreaPoint2Z, distanceOfOppositeFace, weaponType, positionOut, bIsPlayer); }
	FORCEINLINE constexpr BOOL GET_COORDS_OF_PROJECTILE_TYPE_WITHIN_DISTANCE(Ped ped, Hash weaponHash, float distance, Vector3* outCoords, BOOL p4) { return big::native_invoker::invoke<2155, true, BOOL>(ped, weaponHash, distance, outCoords, p4); }
	FORCEINLINE constexpr BOOL GET_PROJECTILE_OF_PROJECTILE_TYPE_WITHIN_DISTANCE(Ped ped, Hash weaponHash, float distance, Vector3* outCoords, Object* outProjectile, BOOL p5) { return big::native_invoker::invoke<2156, true, BOOL>(ped, weaponHash, distance, outCoords, outProjectile, p5); }
	FORCEINLINE constexpr BOOL IS_BULLET_IN_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width, BOOL ownedByPlayer) { return big::native_invoker::invoke<2157, false, BOOL>(x1, y1, z1, x2, y2, z2, width, ownedByPlayer); }
	FORCEINLINE constexpr BOOL IS_BULLET_IN_AREA(float x, float y, float z, float radius, BOOL ownedByPlayer) { return big::native_invoker::invoke<2158, false, BOOL>(x, y, z, radius, ownedByPlayer); }
	FORCEINLINE constexpr BOOL IS_BULLET_IN_BOX(float x1, float y1, float z1, float x2, float y2, float z2, BOOL ownedByPlayer) { return big::native_invoker::invoke<2159, false, BOOL>(x1, y1, z1, x2, y2, z2, ownedByPlayer); }
	FORCEINLINE constexpr BOOL HAS_BULLET_IMPACTED_IN_AREA(float x, float y, float z, float p3, BOOL p4, BOOL p5) { return big::native_invoker::invoke<2160, false, BOOL>(x, y, z, p3, p4, p5); }
	FORCEINLINE constexpr BOOL HAS_BULLET_IMPACTED_IN_BOX(float p0, float p1, float p2, float p3, float p4, float p5, BOOL p6, BOOL p7) { return big::native_invoker::invoke<2161, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr BOOL IS_ORBIS_VERSION() { return big::native_invoker::invoke<2162, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_DURANGO_VERSION() { return big::native_invoker::invoke<2163, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_XBOX360_VERSION() { return big::native_invoker::invoke<2164, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_PS3_VERSION() { return big::native_invoker::invoke<2165, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_PC_VERSION() { return big::native_invoker::invoke<2166, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_STEAM_VERSION() { return big::native_invoker::invoke<2167, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_AUSSIE_VERSION() { return big::native_invoker::invoke<2168, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_JAPANESE_VERSION() { return big::native_invoker::invoke<2169, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_XBOX_PLATFORM() { return big::native_invoker::invoke<2170, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCARLETT_VERSION() { return big::native_invoker::invoke<2171, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SCE_PLATFORM() { return big::native_invoker::invoke<2172, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_PROSPERO_VERSION() { return big::native_invoker::invoke<2173, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_STRING_NULL(const char* string) { return big::native_invoker::invoke<2174, false, BOOL>(string); }
	FORCEINLINE constexpr BOOL IS_STRING_NULL_OR_EMPTY(const char* string) { return big::native_invoker::invoke<2175, false, BOOL>(string); }
	FORCEINLINE constexpr BOOL STRING_TO_INT(const char* string, int* outInteger) { return big::native_invoker::invoke<2176, false, BOOL>(string, outInteger); }
	FORCEINLINE constexpr void SET_BITS_IN_RANGE(int* var, int rangeStart, int rangeEnd, int p3) { return big::native_invoker::invoke<2177, false, void>(var, rangeStart, rangeEnd, p3); }
	FORCEINLINE constexpr int GET_BITS_IN_RANGE(int var, int rangeStart, int rangeEnd) { return big::native_invoker::invoke<2178, false, int>(var, rangeStart, rangeEnd); }
	FORCEINLINE constexpr int ADD_STUNT_JUMP(float x1, float y1, float z1, float x2, float y2, float z2, float x3, float y3, float z3, float x4, float y4, float z4, float camX, float camY, float camZ, int p15, int p16, int p17) { return big::native_invoker::invoke<2179, false, int>(x1, y1, z1, x2, y2, z2, x3, y3, z3, x4, y4, z4, camX, camY, camZ, p15, p16, p17); }
	FORCEINLINE constexpr int ADD_STUNT_JUMP_ANGLED(float x1, float y1, float z1, float x2, float y2, float z2, float radius1, float x3, float y3, float z3, float x4, float y4, float z4, float radius2, float camX, float camY, float camZ, int p17, int p18, int p19) { return big::native_invoker::invoke<2180, false, int>(x1, y1, z1, x2, y2, z2, radius1, x3, y3, z3, x4, y4, z4, radius2, camX, camY, camZ, p17, p18, p19); }
	FORCEINLINE constexpr void TOGGLE_SHOW_OPTIONAL_STUNT_JUMP_CAMERA(BOOL toggle) { return big::native_invoker::invoke<2181, false, void>(toggle); }
	FORCEINLINE constexpr void DELETE_STUNT_JUMP(int p0) { return big::native_invoker::invoke<2182, false, void>(p0); }
	FORCEINLINE constexpr void ENABLE_STUNT_JUMP_SET(int p0) { return big::native_invoker::invoke<2183, false, void>(p0); }
	FORCEINLINE constexpr void DISABLE_STUNT_JUMP_SET(int p0) { return big::native_invoker::invoke<2184, false, void>(p0); }
	FORCEINLINE constexpr void SET_STUNT_JUMPS_CAN_TRIGGER(BOOL toggle) { return big::native_invoker::invoke<2185, false, void>(toggle); }
	FORCEINLINE constexpr BOOL IS_STUNT_JUMP_IN_PROGRESS() { return big::native_invoker::invoke<2186, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_STUNT_JUMP_MESSAGE_SHOWING() { return big::native_invoker::invoke<2187, false, BOOL>(); }
	FORCEINLINE constexpr int GET_NUM_SUCCESSFUL_STUNT_JUMPS() { return big::native_invoker::invoke<2188, false, int>(); }
	FORCEINLINE constexpr int GET_TOTAL_SUCCESSFUL_STUNT_JUMPS() { return big::native_invoker::invoke<2189, false, int>(); }
	FORCEINLINE constexpr void CANCEL_STUNT_JUMP() { return big::native_invoker::invoke<2190, false, void>(); }
	FORCEINLINE constexpr void SET_GAME_PAUSED(BOOL toggle) { return big::native_invoker::invoke<2191, false, void>(toggle); }
	FORCEINLINE constexpr void SET_THIS_SCRIPT_CAN_BE_PAUSED(BOOL toggle) { return big::native_invoker::invoke<2192, false, void>(toggle); }
	FORCEINLINE constexpr void SET_THIS_SCRIPT_CAN_REMOVE_BLIPS_CREATED_BY_ANY_SCRIPT(BOOL toggle) { return big::native_invoker::invoke<2193, false, void>(toggle); }
	FORCEINLINE constexpr BOOL HAS_CHEAT_WITH_HASH_BEEN_ACTIVATED(Hash hash, int amount) { return big::native_invoker::invoke<2194, false, BOOL>(hash, amount); }
	FORCEINLINE constexpr BOOL HAS_PC_CHEAT_WITH_HASH_BEEN_ACTIVATED(Hash hash) { return big::native_invoker::invoke<2195, false, BOOL>(hash); }
	FORCEINLINE constexpr void OVERRIDE_FREEZE_FLAGS(BOOL p0) { return big::native_invoker::invoke<2196, false, void>(p0); }
	FORCEINLINE constexpr void SET_INSTANCE_PRIORITY_MODE(int p0) { return big::native_invoker::invoke<2197, false, void>(p0); }
	FORCEINLINE constexpr void SET_INSTANCE_PRIORITY_HINT(int flag) { return big::native_invoker::invoke<2198, false, void>(flag); }
	FORCEINLINE constexpr BOOL IS_FRONTEND_FADING() { return big::native_invoker::invoke<2199, false, BOOL>(); }
	FORCEINLINE constexpr void POPULATE_NOW() { return big::native_invoker::invoke<2200, false, void>(); }
	FORCEINLINE constexpr int GET_INDEX_OF_CURRENT_LEVEL() { return big::native_invoker::invoke<2201, false, int>(); }
	FORCEINLINE constexpr void SET_GRAVITY_LEVEL(int level) { return big::native_invoker::invoke<2202, false, void>(level); }
	FORCEINLINE constexpr void START_SAVE_DATA(Any* p0, Any p1, BOOL p2) { return big::native_invoker::invoke<2203, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void STOP_SAVE_DATA() { return big::native_invoker::invoke<2204, false, void>(); }
	FORCEINLINE constexpr int GET_SIZE_OF_SAVE_DATA(BOOL p0) { return big::native_invoker::invoke<2205, false, int>(p0); }
	FORCEINLINE constexpr void REGISTER_INT_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2206, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_INT64_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2207, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_ENUM_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2208, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_FLOAT_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2209, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_BOOL_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2210, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_TEXT_LABEL_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2211, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_TEXT_LABEL_15_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2212, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_TEXT_LABEL_23_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2213, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_TEXT_LABEL_31_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2214, false, void>(p0, name); }
	FORCEINLINE constexpr void REGISTER_TEXT_LABEL_63_TO_SAVE(Any* p0, const char* name) { return big::native_invoker::invoke<2215, false, void>(p0, name); }
	FORCEINLINE constexpr void START_SAVE_STRUCT_WITH_SIZE(Any* p0, int size, const char* structName) { return big::native_invoker::invoke<2216, false, void>(p0, size, structName); }
	FORCEINLINE constexpr void STOP_SAVE_STRUCT() { return big::native_invoker::invoke<2217, false, void>(); }
	FORCEINLINE constexpr void START_SAVE_ARRAY_WITH_SIZE(Any* p0, int size, const char* arrayName) { return big::native_invoker::invoke<2218, false, void>(p0, size, arrayName); }
	FORCEINLINE constexpr void STOP_SAVE_ARRAY() { return big::native_invoker::invoke<2219, false, void>(); }
	FORCEINLINE constexpr void COPY_SCRIPT_STRUCT(Any* dst, Any* src, int size) { return big::native_invoker::invoke<2220, false, void>(dst, src, size); }
	FORCEINLINE constexpr void ENABLE_DISPATCH_SERVICE(int dispatchService, BOOL toggle) { return big::native_invoker::invoke<2221, false, void>(dispatchService, toggle); }
	FORCEINLINE constexpr void BLOCK_DISPATCH_SERVICE_RESOURCE_CREATION(int dispatchService, BOOL toggle) { return big::native_invoker::invoke<2222, false, void>(dispatchService, toggle); }
	FORCEINLINE constexpr int GET_NUMBER_RESOURCES_ALLOCATED_TO_WANTED_LEVEL(int dispatchService) { return big::native_invoker::invoke<2223, false, int>(dispatchService); }
	FORCEINLINE constexpr BOOL CREATE_INCIDENT(int dispatchService, float x, float y, float z, int numUnits, float radius, int* outIncidentID, Any p7, Any p8) { return big::native_invoker::invoke<2224, false, BOOL>(dispatchService, x, y, z, numUnits, radius, outIncidentID, p7, p8); }
	FORCEINLINE constexpr BOOL CREATE_INCIDENT_WITH_ENTITY(int dispatchService, Ped ped, int numUnits, float radius, int* outIncidentID, Any p5, Any p6) { return big::native_invoker::invoke<2225, false, BOOL>(dispatchService, ped, numUnits, radius, outIncidentID, p5, p6); }
	FORCEINLINE constexpr void DELETE_INCIDENT(int incidentId) { return big::native_invoker::invoke<2226, false, void>(incidentId); }
	FORCEINLINE constexpr BOOL IS_INCIDENT_VALID(int incidentId) { return big::native_invoker::invoke<2227, false, BOOL>(incidentId); }
	FORCEINLINE constexpr void SET_INCIDENT_REQUESTED_UNITS(int incidentId, int dispatchService, int numUnits) { return big::native_invoker::invoke<2228, false, void>(incidentId, dispatchService, numUnits); }
	FORCEINLINE constexpr void SET_IDEAL_SPAWN_DISTANCE_FOR_INCIDENT(int incidentId, float p1) { return big::native_invoker::invoke<2229, false, void>(incidentId, p1); }
	FORCEINLINE constexpr BOOL FIND_SPAWN_POINT_IN_DIRECTION(float posX, float posY, float posZ, float fwdVecX, float fwdVecY, float fwdVecZ, float distance, Vector3* spawnPoint) { return big::native_invoker::invoke<2230, true, BOOL>(posX, posY, posZ, fwdVecX, fwdVecY, fwdVecZ, distance, spawnPoint); }
	FORCEINLINE constexpr int ADD_POP_MULTIPLIER_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float p6, float p7, BOOL p8, BOOL p9) { return big::native_invoker::invoke<2231, false, int>(x1, y1, z1, x2, y2, z2, p6, p7, p8, p9); }
	FORCEINLINE constexpr BOOL DOES_POP_MULTIPLIER_AREA_EXIST(int id) { return big::native_invoker::invoke<2232, false, BOOL>(id); }
	FORCEINLINE constexpr void REMOVE_POP_MULTIPLIER_AREA(int id, BOOL p1) { return big::native_invoker::invoke<2233, false, void>(id, p1); }
	FORCEINLINE constexpr BOOL IS_POP_MULTIPLIER_AREA_NETWORKED(int id) { return big::native_invoker::invoke<2234, false, BOOL>(id); }
	FORCEINLINE constexpr int ADD_POP_MULTIPLIER_SPHERE(float x, float y, float z, float radius, float pedMultiplier, float vehicleMultiplier, BOOL p6, BOOL p7) { return big::native_invoker::invoke<2235, false, int>(x, y, z, radius, pedMultiplier, vehicleMultiplier, p6, p7); }
	FORCEINLINE constexpr BOOL DOES_POP_MULTIPLIER_SPHERE_EXIST(int id) { return big::native_invoker::invoke<2236, false, BOOL>(id); }
	FORCEINLINE constexpr void REMOVE_POP_MULTIPLIER_SPHERE(int id, BOOL p1) { return big::native_invoker::invoke<2237, false, void>(id, p1); }
	FORCEINLINE constexpr void ENABLE_TENNIS_MODE(Ped ped, BOOL toggle, BOOL p2) { return big::native_invoker::invoke<2238, false, void>(ped, toggle, p2); }
	FORCEINLINE constexpr BOOL IS_TENNIS_MODE(Ped ped) { return big::native_invoker::invoke<2239, false, BOOL>(ped); }
	FORCEINLINE constexpr void PLAY_TENNIS_SWING_ANIM(Ped ped, const char* animDict, const char* animName, float p3, float p4, BOOL p5) { return big::native_invoker::invoke<2240, false, void>(ped, animDict, animName, p3, p4, p5); }
	FORCEINLINE constexpr BOOL GET_TENNIS_SWING_ANIM_COMPLETE(Ped ped) { return big::native_invoker::invoke<2241, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL GET_TENNIS_SWING_ANIM_CAN_BE_INTERRUPTED(Ped ped) { return big::native_invoker::invoke<2242, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL GET_TENNIS_SWING_ANIM_SWUNG(Ped ped) { return big::native_invoker::invoke<2243, false, BOOL>(ped); }
	FORCEINLINE constexpr void PLAY_TENNIS_DIVE_ANIM(Ped ped, int p1, float p2, float p3, float p4, BOOL p5) { return big::native_invoker::invoke<2244, false, void>(ped, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void SET_TENNIS_MOVE_NETWORK_SIGNAL_FLOAT(Ped ped, const char* p1, float p2) { return big::native_invoker::invoke<2245, false, void>(ped, p1, p2); }
	FORCEINLINE constexpr void RESET_DISPATCH_SPAWN_LOCATION() { return big::native_invoker::invoke<2246, false, void>(); }
	FORCEINLINE constexpr void SET_DISPATCH_SPAWN_LOCATION(float x, float y, float z) { return big::native_invoker::invoke<2247, false, void>(x, y, z); }
	FORCEINLINE constexpr void RESET_DISPATCH_IDEAL_SPAWN_DISTANCE() { return big::native_invoker::invoke<2248, false, void>(); }
	FORCEINLINE constexpr void SET_DISPATCH_IDEAL_SPAWN_DISTANCE(float distance) { return big::native_invoker::invoke<2249, false, void>(distance); }
	FORCEINLINE constexpr void RESET_DISPATCH_TIME_BETWEEN_SPAWN_ATTEMPTS(Any p0) { return big::native_invoker::invoke<2250, false, void>(p0); }
	FORCEINLINE constexpr void SET_DISPATCH_TIME_BETWEEN_SPAWN_ATTEMPTS(Any p0, float p1) { return big::native_invoker::invoke<2251, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_DISPATCH_TIME_BETWEEN_SPAWN_ATTEMPTS_MULTIPLIER(Any p0, float p1) { return big::native_invoker::invoke<2252, false, void>(p0, p1); }
	FORCEINLINE constexpr int ADD_DISPATCH_SPAWN_ANGLED_BLOCKING_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width) { return big::native_invoker::invoke<2253, false, int>(x1, y1, z1, x2, y2, z2, width); }
	FORCEINLINE constexpr int ADD_DISPATCH_SPAWN_SPHERE_BLOCKING_AREA(float x1, float y1, float x2, float y2) { return big::native_invoker::invoke<2254, false, int>(x1, y1, x2, y2); }
	FORCEINLINE constexpr void REMOVE_DISPATCH_SPAWN_BLOCKING_AREA(int p0) { return big::native_invoker::invoke<2255, false, void>(p0); }
	FORCEINLINE constexpr void RESET_DISPATCH_SPAWN_BLOCKING_AREAS() { return big::native_invoker::invoke<2256, false, void>(); }
	FORCEINLINE constexpr void RESET_WANTED_RESPONSE_NUM_PEDS_TO_SPAWN() { return big::native_invoker::invoke<2257, false, void>(); }
	FORCEINLINE constexpr void SET_WANTED_RESPONSE_NUM_PEDS_TO_SPAWN(int p0, int p1) { return big::native_invoker::invoke<2258, false, void>(p0, p1); }
	FORCEINLINE constexpr void ADD_TACTICAL_NAV_MESH_POINT(float x, float y, float z) { return big::native_invoker::invoke<2259, false, void>(x, y, z); }
	FORCEINLINE constexpr void CLEAR_TACTICAL_NAV_MESH_POINTS() { return big::native_invoker::invoke<2260, false, void>(); }
	FORCEINLINE constexpr void SET_RIOT_MODE_ENABLED(BOOL toggle) { return big::native_invoker::invoke<2261, false, void>(toggle); }
	FORCEINLINE constexpr void DISPLAY_ONSCREEN_KEYBOARD_WITH_LONGER_INITIAL_STRING(int p0, const char* windowTitle, Any* p2, const char* defaultText, const char* defaultConcat1, const char* defaultConcat2, const char* defaultConcat3, const char* defaultConcat4, const char* defaultConcat5, const char* defaultConcat6, const char* defaultConcat7, int maxInputLength) { return big::native_invoker::invoke<2262, false, void>(p0, windowTitle, p2, defaultText, defaultConcat1, defaultConcat2, defaultConcat3, defaultConcat4, defaultConcat5, defaultConcat6, defaultConcat7, maxInputLength); }
	FORCEINLINE constexpr void DISPLAY_ONSCREEN_KEYBOARD(int p0, const char* windowTitle, const char* p2, const char* defaultText, const char* defaultConcat1, const char* defaultConcat2, const char* defaultConcat3, int maxInputLength) { return big::native_invoker::invoke<2263, false, void>(p0, windowTitle, p2, defaultText, defaultConcat1, defaultConcat2, defaultConcat3, maxInputLength); }
	FORCEINLINE constexpr int UPDATE_ONSCREEN_KEYBOARD() { return big::native_invoker::invoke<2264, false, int>(); }
	FORCEINLINE constexpr const char* GET_ONSCREEN_KEYBOARD_RESULT() { return big::native_invoker::invoke<2265, false, const char*>(); }
	FORCEINLINE constexpr void CANCEL_ONSCREEN_KEYBOARD() { return big::native_invoker::invoke<2266, false, void>(); }
	FORCEINLINE constexpr void NEXT_ONSCREEN_KEYBOARD_RESULT_WILL_DISPLAY_USING_THESE_FONTS(int p0) { return big::native_invoker::invoke<2267, false, void>(p0); }
	FORCEINLINE constexpr void ACTION_MANAGER_ENABLE_ACTION(Hash hash, BOOL enable) { return big::native_invoker::invoke<2268, false, void>(hash, enable); }
	FORCEINLINE constexpr int GET_REAL_WORLD_TIME() { return big::native_invoker::invoke<2269, false, int>(); }
	FORCEINLINE constexpr void SUPRESS_RANDOM_EVENT_THIS_FRAME(int eventType, BOOL suppress) { return big::native_invoker::invoke<2270, false, void>(eventType, suppress); }
	FORCEINLINE constexpr void SET_EXPLOSIVE_AMMO_THIS_FRAME(Player player) { return big::native_invoker::invoke<2271, false, void>(player); }
	FORCEINLINE constexpr void SET_FIRE_AMMO_THIS_FRAME(Player player) { return big::native_invoker::invoke<2272, false, void>(player); }
	FORCEINLINE constexpr void SET_EXPLOSIVE_MELEE_THIS_FRAME(Player player) { return big::native_invoker::invoke<2273, false, void>(player); }
	FORCEINLINE constexpr void SET_SUPER_JUMP_THIS_FRAME(Player player) { return big::native_invoker::invoke<2274, false, void>(player); }
	FORCEINLINE constexpr void SET_BEAST_JUMP_THIS_FRAME(Player player) { return big::native_invoker::invoke<2275, false, void>(player); }
	FORCEINLINE constexpr void SET_FORCED_JUMP_THIS_FRAME(Player player) { return big::native_invoker::invoke<2276, false, void>(player); }
	FORCEINLINE constexpr BOOL HAS_GAME_INSTALLED_THIS_SESSION() { return big::native_invoker::invoke<2277, false, BOOL>(); }
	FORCEINLINE constexpr void SET_TICKER_JOHNMARSTON_IS_DONE() { return big::native_invoker::invoke<2278, false, void>(); }
	FORCEINLINE constexpr BOOL ARE_PROFILE_SETTINGS_VALID() { return big::native_invoker::invoke<2279, false, BOOL>(); }
	FORCEINLINE constexpr void PREVENT_ARREST_STATE_THIS_FRAME() { return big::native_invoker::invoke<2280, false, void>(); }
	FORCEINLINE constexpr void FORCE_GAME_STATE_PLAYING() { return big::native_invoker::invoke<2281, false, void>(); }
	FORCEINLINE constexpr void SCRIPT_RACE_INIT(int p0, int p1, Any p2, Any p3) { return big::native_invoker::invoke<2282, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SCRIPT_RACE_SHUTDOWN() { return big::native_invoker::invoke<2283, false, void>(); }
	FORCEINLINE constexpr void SCRIPT_RACE_PLAYER_HIT_CHECKPOINT(Player player, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2284, false, void>(player, p1, p2, p3); }
	FORCEINLINE constexpr BOOL SCRIPT_RACE_GET_PLAYER_SPLIT_TIME(Player player, int* p1, int* p2) { return big::native_invoker::invoke<2285, false, BOOL>(player, p1, p2); }
	FORCEINLINE constexpr void START_END_USER_BENCHMARK() { return big::native_invoker::invoke<2286, false, void>(); }
	FORCEINLINE constexpr void STOP_END_USER_BENCHMARK() { return big::native_invoker::invoke<2287, false, void>(); }
	FORCEINLINE constexpr void RESET_END_USER_BENCHMARK() { return big::native_invoker::invoke<2288, false, void>(); }
	FORCEINLINE constexpr void SAVE_END_USER_BENCHMARK() { return big::native_invoker::invoke<2289, false, void>(); }
	FORCEINLINE constexpr BOOL UI_STARTED_END_USER_BENCHMARK() { return big::native_invoker::invoke<2290, false, BOOL>(); }
	FORCEINLINE constexpr BOOL LANDING_SCREEN_STARTED_END_USER_BENCHMARK() { return big::native_invoker::invoke<2291, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_COMMANDLINE_END_USER_BENCHMARK() { return big::native_invoker::invoke<2292, false, BOOL>(); }
	FORCEINLINE constexpr int GET_BENCHMARK_ITERATIONS() { return big::native_invoker::invoke<2293, false, int>(); }
	FORCEINLINE constexpr int GET_BENCHMARK_PASS() { return big::native_invoker::invoke<2294, false, int>(); }
	FORCEINLINE constexpr void RESTART_GAME() { return big::native_invoker::invoke<2295, false, void>(); }
	FORCEINLINE constexpr void QUIT_GAME() { return big::native_invoker::invoke<2296, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_ASYNC_INSTALL_FINISHED() { return big::native_invoker::invoke<2297, false, BOOL>(); }
	FORCEINLINE constexpr void CLEANUP_ASYNC_INSTALL() { return big::native_invoker::invoke<2298, false, void>(); }
	FORCEINLINE constexpr BOOL PLM_IS_IN_CONSTRAINED_MODE() { return big::native_invoker::invoke<2299, false, BOOL>(); }
	FORCEINLINE constexpr int PLM_GET_CONSTRAINED_DURATION_MS() { return big::native_invoker::invoke<2300, false, int>(); }
	FORCEINLINE constexpr void SET_PLAYER_IS_IN_ANIMAL_FORM(BOOL toggle) { return big::native_invoker::invoke<2301, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_IS_PLAYER_IN_ANIMAL_FORM() { return big::native_invoker::invoke<2302, false, BOOL>(); }
	FORCEINLINE constexpr void SET_PLAYER_IS_REPEATING_A_MISSION(BOOL toggle) { return big::native_invoker::invoke<2303, false, void>(toggle); }
	FORCEINLINE constexpr void DISABLE_SCREEN_DIMMING_THIS_FRAME() { return big::native_invoker::invoke<2304, false, void>(); }
	FORCEINLINE constexpr float GET_CITY_DENSITY() { return big::native_invoker::invoke<2305, false, float>(); }
	FORCEINLINE constexpr void USE_ACTIVE_CAMERA_FOR_TIMESLICING_CENTRE() { return big::native_invoker::invoke<2306, false, void>(); }
	FORCEINLINE constexpr void SET_CONTENT_ID_INDEX(Hash contentId, int index) { return big::native_invoker::invoke<2307, false, void>(contentId, index); }
	FORCEINLINE constexpr int GET_CONTENT_ID_INDEX(Hash contentId) { return big::native_invoker::invoke<2308, false, int>(contentId); }
	FORCEINLINE constexpr void _SET_CONTENT_PROP_TYPE(Hash model, int type) { return big::native_invoker::invoke<2309, false, void>(model, type); }
	FORCEINLINE constexpr int _GET_CONTENT_PROP_TYPE(Hash model) { return big::native_invoker::invoke<2310, false, int>(model); }
}

namespace MOBILE
{
	FORCEINLINE constexpr void CREATE_MOBILE_PHONE(int phoneType) { return big::native_invoker::invoke<2311, false, void>(phoneType); }
	FORCEINLINE constexpr void DESTROY_MOBILE_PHONE() { return big::native_invoker::invoke<2312, false, void>(); }
	FORCEINLINE constexpr void SET_MOBILE_PHONE_SCALE(float scale) { return big::native_invoker::invoke<2313, false, void>(scale); }
	FORCEINLINE constexpr void SET_MOBILE_PHONE_ROTATION(float rotX, float rotY, float rotZ, Any p3) { return big::native_invoker::invoke<2314, false, void>(rotX, rotY, rotZ, p3); }
	FORCEINLINE constexpr void GET_MOBILE_PHONE_ROTATION(Vector3* rotation, Vehicle p1) { return big::native_invoker::invoke<2315, true, void>(rotation, p1); }
	FORCEINLINE constexpr void SET_MOBILE_PHONE_POSITION(float posX, float posY, float posZ) { return big::native_invoker::invoke<2316, false, void>(posX, posY, posZ); }
	FORCEINLINE constexpr void GET_MOBILE_PHONE_POSITION(Vector3* position) { return big::native_invoker::invoke<2317, true, void>(position); }
	FORCEINLINE constexpr void SCRIPT_IS_MOVING_MOBILE_PHONE_OFFSCREEN(BOOL toggle) { return big::native_invoker::invoke<2318, false, void>(toggle); }
	FORCEINLINE constexpr BOOL CAN_PHONE_BE_SEEN_ON_SCREEN() { return big::native_invoker::invoke<2319, false, BOOL>(); }
	FORCEINLINE constexpr void SET_MOBILE_PHONE_DOF_STATE(BOOL toggle) { return big::native_invoker::invoke<2320, false, void>(toggle); }
	FORCEINLINE constexpr void CELL_SET_INPUT(int direction) { return big::native_invoker::invoke<2321, false, void>(direction); }
	FORCEINLINE constexpr void CELL_HORIZONTAL_MODE_TOGGLE(BOOL toggle) { return big::native_invoker::invoke<2322, false, void>(toggle); }
	FORCEINLINE constexpr void CELL_CAM_ACTIVATE(BOOL p0, BOOL p1) { return big::native_invoker::invoke<2323, false, void>(p0, p1); }
	FORCEINLINE constexpr void CELL_CAM_ACTIVATE_SELFIE_MODE(BOOL toggle) { return big::native_invoker::invoke<2324, false, void>(toggle); }
	FORCEINLINE constexpr void CELL_CAM_ACTIVATE_SHALLOW_DOF_MODE(BOOL toggle) { return big::native_invoker::invoke<2325, false, void>(toggle); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_SIDE_OFFSET_SCALING(float p0) { return big::native_invoker::invoke<2326, false, void>(p0); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_HORZ_PAN_OFFSET(float horizontalPan) { return big::native_invoker::invoke<2327, false, void>(horizontalPan); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_VERT_PAN_OFFSET(float vertPan) { return big::native_invoker::invoke<2328, false, void>(vertPan); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_ROLL_OFFSET(float roll) { return big::native_invoker::invoke<2329, false, void>(roll); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_DISTANCE_SCALING(float distanceScaling) { return big::native_invoker::invoke<2330, false, void>(distanceScaling); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_HEAD_YAW_OFFSET(float yaw) { return big::native_invoker::invoke<2331, false, void>(yaw); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_HEAD_ROLL_OFFSET(float roll) { return big::native_invoker::invoke<2332, false, void>(roll); }
	FORCEINLINE constexpr void CELL_CAM_SET_SELFIE_MODE_HEAD_PITCH_OFFSET(float pitch) { return big::native_invoker::invoke<2333, false, void>(pitch); }
	FORCEINLINE constexpr BOOL CELL_CAM_IS_CHAR_VISIBLE_NO_FACE_CHECK(Entity entity) { return big::native_invoker::invoke<2334, false, BOOL>(entity); }
	FORCEINLINE constexpr void GET_MOBILE_PHONE_RENDER_ID(int* renderId) { return big::native_invoker::invoke<2335, false, void>(renderId); }
}

namespace MONEY
{
	FORCEINLINE constexpr void NETWORK_INITIALIZE_CASH(int wallet, int bank) { return big::native_invoker::invoke<2336, false, void>(wallet, bank); }
	FORCEINLINE constexpr void NETWORK_DELETE_CHARACTER(int characterSlot, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2337, false, void>(characterSlot, p1, p2); }
	FORCEINLINE constexpr void NETWORK_MANUAL_DELETE_CHARACTER(int characterSlot) { return big::native_invoker::invoke<2338, false, void>(characterSlot); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PLAYER_IS_HIGH_EARNER() { return big::native_invoker::invoke<2339, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_CLEAR_CHARACTER_WALLET(int characterSlot) { return big::native_invoker::invoke<2340, false, void>(characterSlot); }
	FORCEINLINE constexpr void NETWORK_GIVE_PLAYER_JOBSHARE_CASH(int amount, Any* gamerHandle) { return big::native_invoker::invoke<2341, false, void>(amount, gamerHandle); }
	FORCEINLINE constexpr void NETWORK_RECEIVE_PLAYER_JOBSHARE_CASH(int value, Any* gamerHandle) { return big::native_invoker::invoke<2342, false, void>(value, gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_SHARE_JOB_CASH() { return big::native_invoker::invoke<2343, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_REFUND_CASH(int index, const char* context, const char* reason, BOOL p3) { return big::native_invoker::invoke<2344, false, void>(index, context, reason, p3); }
	FORCEINLINE constexpr void NETWORK_DEDUCT_CASH(int amount, const char* p1, const char* p2, BOOL p3, BOOL p4, BOOL p5) { return big::native_invoker::invoke<2345, false, void>(amount, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL NETWORK_MONEY_CAN_BET(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2346, false, BOOL>(amount, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_BET(int amount) { return big::native_invoker::invoke<2347, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL NETWORK_CASINO_CAN_BET(Hash hash) { return big::native_invoker::invoke<2348, false, BOOL>(hash); }
	FORCEINLINE constexpr BOOL NETWORK_CASINO_CAN_BET_PVC() { return big::native_invoker::invoke<2349, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CASINO_CAN_BET_AMOUNT(Any p0) { return big::native_invoker::invoke<2350, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CASINO_CAN_BUY_CHIPS_PVC() { return big::native_invoker::invoke<2351, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CASINO_BUY_CHIPS(int p0, int p1) { return big::native_invoker::invoke<2352, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_CASINO_SELL_CHIPS(int p0, int p1) { return big::native_invoker::invoke<2353, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_DEFER_CASH_TRANSACTIONS_UNTIL_SHOP_SAVE() { return big::native_invoker::invoke<2354, false, void>(); }
	FORCEINLINE constexpr BOOL CAN_PAY_AMOUNT_TO_BOSS(int p0, int p1, int amount, int* p3) { return big::native_invoker::invoke<2355, false, BOOL>(p0, p1, amount, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_PICKUP(int amount) { return big::native_invoker::invoke<2356, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_CASHING_OUT(int amount) { return big::native_invoker::invoke<2357, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_GANGATTACK_PICKUP(int amount) { return big::native_invoker::invoke<2358, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_ASSASSINATE_TARGET_KILLED(int amount) { return big::native_invoker::invoke<2359, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_ROB_ARMORED_CARS(int amount) { return big::native_invoker::invoke<2360, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_CRATE_DROP(int amount) { return big::native_invoker::invoke<2361, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_BETTING(int amount, const char* p1) { return big::native_invoker::invoke<2362, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_JOB(int amount, const char* p1) { return big::native_invoker::invoke<2363, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_JOBX2(int amount, const char* p1) { return big::native_invoker::invoke<2364, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_PREMIUM_JOB(int amount, const char* p1) { return big::native_invoker::invoke<2365, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_BEND_JOB(int amount, const char* heistHash) { return big::native_invoker::invoke<2366, false, void>(amount, heistHash); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_CHALLENGE_WIN(Any p0, Any* p1, BOOL p2) { return big::native_invoker::invoke<2367, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_BOUNTY(int amount, Any* gamerHandle, Any* p2, Any p3) { return big::native_invoker::invoke<2368, false, void>(amount, gamerHandle, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_IMPORT_EXPORT(int amount, Hash modelHash) { return big::native_invoker::invoke<2369, false, void>(amount, modelHash); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_HOLDUPS(int amount) { return big::native_invoker::invoke<2370, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_PROPERTY(int amount, Hash propertyName) { return big::native_invoker::invoke<2371, false, void>(amount, propertyName); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_AI_TARGET_KILL(Any p0, Any p1) { return big::native_invoker::invoke<2372, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_NOT_BADSPORT(int amount) { return big::native_invoker::invoke<2373, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_VEHICLE(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7) { return big::native_invoker::invoke<2374, false, void>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_PERSONAL_VEHICLE(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8) { return big::native_invoker::invoke<2375, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_DAILY_OBJECTIVES(int amount, const char* type, int characterSlot) { return big::native_invoker::invoke<2376, false, void>(amount, type, characterSlot); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_AMBIENT_JOB(int p0, const char* p1, Any* p2) { return big::native_invoker::invoke<2377, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_JOB_BONUS(Any p0, Any* p1, Any* p2) { return big::native_invoker::invoke<2378, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_CRIMINAL_MASTERMIND(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2379, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_HEIST_AWARD(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2380, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FIRST_TIME_BONUS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2381, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_GOON(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2382, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_BOSS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2383, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_AGENCY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2384, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_WAREHOUSE(int amount, int id) { return big::native_invoker::invoke<2385, false, void>(amount, id); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_CONTRABAND(int amount, Any p1) { return big::native_invoker::invoke<2386, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_DESTROYING_CONTRABAND(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2387, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_SMUGGLER_WORK(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<2388, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_HANGAR_TRADE(Any p0, Any p1) { return big::native_invoker::invoke<2389, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_PURCHASE_CLUB_HOUSE(Any p0, Any p1) { return big::native_invoker::invoke<2390, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_BUSINESS_PRODUCT(int amount, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2391, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_VEHICLE_EXPORT(int amount, Any p1, Any p2) { return big::native_invoker::invoke<2392, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_SMUGGLER_AGENCY(int amount, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2393, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_BOUNTY_HUNTER_REWARD(Any p0) { return big::native_invoker::invoke<2394, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_BUSINESS_BATTLE(Any p0) { return big::native_invoker::invoke<2395, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_CLUB_MANAGEMENT_PARTICIPATION(Any p0, int p1) { return big::native_invoker::invoke<2396, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_FMBB_PHONECALL_MISSION(Any p0) { return big::native_invoker::invoke<2397, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_BUSINESS_HUB_SELL(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2398, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_FMBB_BOSS_WORK(Any p0) { return big::native_invoker::invoke<2399, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_FMBB_WAGE_BONUS(Any p0) { return big::native_invoker::invoke<2400, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_SPEND_MONEY(Any p0, BOOL p1, BOOL p2, BOOL p3, Any p4, Any p5) { return big::native_invoker::invoke<2401, false, BOOL>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_SPEND_MONEY2(Any p0, BOOL p1, BOOL p2, BOOL p3, Any* p4, Any p5, Any p6) { return big::native_invoker::invoke<2402, false, BOOL>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void NETWORK_BUY_ITEM(int amount, Hash item, Any p2, Any p3, BOOL p4, const char* item_name, Any p6, Any p7, Any p8, BOOL p9) { return big::native_invoker::invoke<2403, false, void>(amount, item, p2, p3, p4, item_name, p6, p7, p8, p9); }
	FORCEINLINE constexpr void NETWORK_SPENT_TAXI(int amount, BOOL p1, BOOL p2, Any p3, Any p4) { return big::native_invoker::invoke<2404, false, void>(amount, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_PAY_EMPLOYEE_WAGE(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2405, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_PAY_MATCH_ENTRY_FEE(int amount, const char* matchId, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2406, false, void>(amount, matchId, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BETTING(int amount, int p1, const char* matchId, BOOL p3, BOOL p4) { return big::native_invoker::invoke<2407, false, void>(amount, p1, matchId, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_WAGER(Any p0, Any p1, int amount) { return big::native_invoker::invoke<2408, false, void>(p0, p1, amount); }
	FORCEINLINE constexpr void NETWORK_SPENT_IN_STRIPCLUB(Any p0, BOOL p1, Any p2, BOOL p3) { return big::native_invoker::invoke<2409, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_BUY_HEALTHCARE(int cost, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2410, false, void>(cost, p1, p2); }
	FORCEINLINE constexpr void NETWORK_BUY_AIRSTRIKE(int cost, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2411, false, void>(cost, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_BUY_BACKUP_GANG(int p0, int p1, BOOL p2, BOOL p3, int npcProvider) { return big::native_invoker::invoke<2412, false, void>(p0, p1, p2, p3, npcProvider); }
	FORCEINLINE constexpr void NETWORK_BUY_HELI_STRIKE(int cost, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2413, false, void>(cost, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_AMMO_DROP(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2414, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_BUY_BOUNTY(int amount, Player victim, BOOL p2, BOOL p3, Any p4) { return big::native_invoker::invoke<2415, false, void>(amount, victim, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_BUY_PROPERTY(int cost, Hash propertyName, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2416, false, void>(cost, propertyName, p2, p3); }
	FORCEINLINE constexpr void NETWORK_BUY_SMOKES(int p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2417, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_HELI_PICKUP(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2418, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BOAT_PICKUP(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2419, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BULL_SHARK(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2420, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_CASH_DROP(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2421, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_HIRE_MUGGER(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2422, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_ROBBED_BY_MUGGER(int amount, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2423, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_HIRE_MERCENARY(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2424, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_WANTEDLEVEL(Any p0, Any* p1, BOOL p2, BOOL p3, Any p4) { return big::native_invoker::invoke<2425, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_OFFTHERADAR(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2426, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_REVEAL_PLAYERS(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2427, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_CARWASH(Any p0, Any p1, Any p2, BOOL p3, BOOL p4) { return big::native_invoker::invoke<2428, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_CINEMA(Any p0, Any p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2429, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_TELESCOPE(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2430, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_HOLDUPS(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2431, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_PASSIVE_MODE(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2432, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BANK_INTEREST(int p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2433, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_PROSTITUTES(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2434, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_ARREST_BAIL(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2435, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_PAY_VEHICLE_INSURANCE_PREMIUM(int amount, Hash vehicleModel, Any* gamerHandle, BOOL notBankrupt, BOOL hasTheMoney) { return big::native_invoker::invoke<2436, false, void>(amount, vehicleModel, gamerHandle, notBankrupt, hasTheMoney); }
	FORCEINLINE constexpr void NETWORK_SPENT_CALL_PLAYER(Any p0, Any* p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2437, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BOUNTY(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2438, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_FROM_ROCKSTAR(int p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2439, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr int NETWORK_SPEND_EARNED_FROM_BANK_AND_WALLETS(int amount) { return big::native_invoker::invoke<2440, false, int>(amount); }
	FORCEINLINE constexpr const char* PROCESS_CASH_GIFT(int* p0, int* p1, const char* p2) { return big::native_invoker::invoke<2441, false, const char*>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_MOVE_SUBMARINE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2442, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_PLAYER_HEALTHCARE(int p0, int p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2443, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_NO_COPS(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2444, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_CARGO_SOURCING(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<2445, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void NETWORK_SPENT_REQUEST_JOB(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2446, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_REQUEST_HEIST(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2447, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_BUY_FAIRGROUND_RIDE(int amount, Any p1, BOOL p2, BOOL p3, Any p4) { return big::native_invoker::invoke<2448, false, void>(amount, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL NETWORK_ECONOMY_HAS_FIXED_CRAZY_NUMBERS() { return big::native_invoker::invoke<2449, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SPENT_JOB_SKIP(int amount, const char* matchId, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2450, false, void>(amount, matchId, p2, p3); }
	FORCEINLINE constexpr BOOL NETWORK_SPENT_BOSS_GOON(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2451, false, BOOL>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPEND_GOON(int p0, int p1, int amount) { return big::native_invoker::invoke<2452, false, void>(p0, p1, amount); }
	FORCEINLINE constexpr void NETWORK_SPEND_BOSS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2453, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_MOVE_YACHT(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2454, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_RENAME_ORGANIZATION(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2455, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_BUY_CONTRABAND_MISSION(int p0, int p1, Hash p2, BOOL p3, BOOL p4) { return big::native_invoker::invoke<2456, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_PA_SERVICE_HELI(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2457, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PA_SERVICE_VEHICLE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2458, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PA_SERVICE_SNACK(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2459, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PA_SERVICE_DANCER(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2460, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PA_SERVICE_IMPOUND(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2461, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_PA_HELI_PICKUP(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2462, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_OFFICE_PROPERTY(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2463, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_OFFICE_PROPERTY(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2464, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_WAREHOUSE_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2465, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_WAREHOUSE_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2466, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_IMPEXP_WAREHOUSE_PROPERTY(int amount, Any* data, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2467, false, void>(amount, data, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_IMPEXP_WAREHOUSE_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2468, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_TRADE_IMPEXP_WAREHOUSE_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2469, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_ORDER_WAREHOUSE_VEHICLE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2470, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_ORDER_BODYGUARD_VEHICLE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2471, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_JUKEBOX(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2472, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_CLUB_HOUSE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2473, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_CLUB_HOUSE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2474, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_BUSINESS_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2475, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_BUSINESS_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2476, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_TRADE_BUSINESS_PROPERTY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2477, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_MC_ABILITY(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2478, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPENT_PAY_BUSINESS_SUPPLIES(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2479, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_CHANGE_APPEARANCE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2480, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_VEHICLE_EXPORT_MODS(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9) { return big::native_invoker::invoke<2481, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_OFFICE_GARAGE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2482, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_OFFICE_GARAGE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2483, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_IMPORT_EXPORT_REPAIR(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2484, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_HANGAR(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2485, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_HANGAR(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2486, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_HANGAR_UTILITY_CHARGES(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2487, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_HANGAR_STAFF_CHARGES(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2488, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_TRUCK(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2489, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_TRUCK(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2490, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_BUNKER(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2491, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPRADE_BUNKER(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2492, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_SELL_BUNKER(int amount, Hash bunkerHash) { return big::native_invoker::invoke<2493, false, void>(amount, bunkerHash); }
	FORCEINLINE constexpr void NETWORK_SPENT_BALLISTIC_EQUIPMENT(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2494, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_RDR_BONUS(int amount, Any p1) { return big::native_invoker::invoke<2495, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_WAGE_PAYMENT(int amount, Any p1) { return big::native_invoker::invoke<2496, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_WAGE_PAYMENT_BONUS(int amount) { return big::native_invoker::invoke<2497, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_BASE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2498, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_BASE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2499, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_BUY_TILTROTOR(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2500, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_TILTROTOR(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2501, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_EMPLOY_ASSASSINS(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2502, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_GANGOPS_CANNON(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2503, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_GANGOPS_SKIP_MISSION(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2504, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_CASINO_HEIST_SKIP_MISSION(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2505, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_SELL_BASE(int amount, Hash baseNameHash) { return big::native_invoker::invoke<2506, false, void>(amount, baseNameHash); }
	FORCEINLINE constexpr void NETWORK_EARN_TARGET_REFUND(int amount, int p1) { return big::native_invoker::invoke<2507, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_WAGES(int amount, int p1) { return big::native_invoker::invoke<2508, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_WAGES_BONUS(int amount, int p1) { return big::native_invoker::invoke<2509, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_DAR_CHALLENGE(int amount, Any p1) { return big::native_invoker::invoke<2510, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_DOOMSDAY_FINALE_BONUS(int amount, Hash vehicleHash) { return big::native_invoker::invoke<2511, false, void>(amount, vehicleHash); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_AWARD(int amount, const char* p1, Any p2) { return big::native_invoker::invoke<2512, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_ELITE(int amount, const char* p1, int actIndex) { return big::native_invoker::invoke<2513, false, void>(amount, p1, actIndex); }
	FORCEINLINE constexpr void NETWORK_SERVICE_EARN_GANGOPS_RIVAL_DELIVERY(int earnedMoney) { return big::native_invoker::invoke<2514, false, void>(earnedMoney); }
	FORCEINLINE constexpr void NETWORK_SPEND_GANGOPS_START_STRAND(int type, int amount, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2515, false, void>(type, amount, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_GANGOPS_TRIP_SKIP(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2516, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_PREP_PARTICIPATION(int amount) { return big::native_invoker::invoke<2517, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_SETUP(int amount, const char* p1) { return big::native_invoker::invoke<2518, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_GANGOPS_FINALE(int amount, const char* p1) { return big::native_invoker::invoke<2519, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_SPEND_GANGOPS_REPAIR_COST(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2520, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_NIGHTCLUB(Any p0, Any p1) { return big::native_invoker::invoke<2521, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_NIGHTCLUB_DANCING(Any p0) { return big::native_invoker::invoke<2522, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_BB_EVENT_BONUS(int amount) { return big::native_invoker::invoke<2523, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_HACKER_TRUCK(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2524, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_HACKER_TRUCK(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2525, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_HACKER_TRUCK(Any p0, int amount, Any p2, Any p3) { return big::native_invoker::invoke<2526, false, void>(p0, amount, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_PURCHASE_NIGHTCLUB_AND_WAREHOUSE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2527, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_UPGRADE_NIGHTCLUB_AND_WAREHOUSE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2528, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_NIGHTCLUB_AND_WAREHOUSE(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<2529, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void NETWORK_SPEND_NIGHTCLUB_AND_WAREHOUSE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2530, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_RDR_HATCHET_BONUS(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2531, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_NIGHTCLUB_ENTRY_FEE(Player player, int amount, Any p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2532, false, void>(player, amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_NIGHTCLUB_BAR_DRINK(int amount, Any p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2533, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_BOUNTY_HUNTER_MISSION(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2534, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPENT_REHIRE_DJ(int amount, Any p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2535, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPENT_ARENA_JOIN_SPECTATOR(int amount, Any p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2536, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_ARENA_SKILL_LEVEL_PROGRESSION(int amount, Any p1) { return big::native_invoker::invoke<2537, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_ARENA_CAREER_PROGRESSION(int amount, Any p1) { return big::native_invoker::invoke<2538, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_SPEND_MAKE_IT_RAIN(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2539, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUY_ARENA(int amount, BOOL p1, BOOL p2, const char* p3) { return big::native_invoker::invoke<2540, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_UPGRADE_ARENA(int amount, BOOL p1, BOOL p2, const char* p3) { return big::native_invoker::invoke<2541, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_ARENA_SPECTATOR_BOX(int amount, int type, BOOL p2, BOOL p3) { return big::native_invoker::invoke<2542, false, void>(amount, type, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_SPIN_THE_WHEEL_PAYMENT(int amount, Any p1, BOOL p2) { return big::native_invoker::invoke<2543, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_SPIN_THE_WHEEL_CASH(int amount) { return big::native_invoker::invoke<2544, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_SPEND_ARENA_PREMIUM(int amount, BOOL p1, BOOL p2) { return big::native_invoker::invoke<2545, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_ARENA_WAR(int amount, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2546, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_ARENA_WAR_ASSASSINATE_TARGET(int amount) { return big::native_invoker::invoke<2547, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_ARENA_WAR_EVENT_CARGO(int amount) { return big::native_invoker::invoke<2548, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_RC_TIME_TRIAL(int amount) { return big::native_invoker::invoke<2549, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_DAILY_OBJECTIVE_EVENT(int amount) { return big::native_invoker::invoke<2550, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_SPEND_CASINO_MEMBERSHIP(int amount, BOOL p1, BOOL p2, int p3) { return big::native_invoker::invoke<2551, false, void>(amount, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUY_CASINO(int amount, BOOL p1, BOOL p2, Any* data) { return big::native_invoker::invoke<2552, false, void>(amount, p1, p2, data); }
	FORCEINLINE constexpr void NETWORK_SPEND_UPGRADE_CASINO(int amount, BOOL p1, BOOL p2, Any* data) { return big::native_invoker::invoke<2553, false, void>(amount, p1, p2, data); }
	FORCEINLINE constexpr void NETWORK_SPEND_CASINO_GENERIC(int amount, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2554, false, void>(amount, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_TIME_TRIAL_WIN(int amount) { return big::native_invoker::invoke<2555, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_COLLECTABLES_ACTION_FIGURES(int amount) { return big::native_invoker::invoke<2556, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_COLLECTABLE_COMPLETED_COLLECTION(int amount) { return big::native_invoker::invoke<2557, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_SELL_PRIZE_VEHICLE(int amount, Any p1, Any p2) { return big::native_invoker::invoke<2558, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_MISSION_REWARD(int amount) { return big::native_invoker::invoke<2559, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_STORY_MISSION_REWARD(int amount) { return big::native_invoker::invoke<2560, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_MISSION_PARTICIPATION(int amount) { return big::native_invoker::invoke<2561, false, void>(amount); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_AWARD(int amount, Hash hash) { return big::native_invoker::invoke<2562, false, void>(amount, hash); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUY_ARCADE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2563, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_UPGRADE_ARCADE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2564, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_CASINO_HEIST(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9, Any p10) { return big::native_invoker::invoke<2565, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr void NETWORK_SPEND_ARCADE_MGMT(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2566, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPEND_PLAY_ARCADE(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2567, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPEND_ARCADE(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2568, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_HEIST(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<2569, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void NETWORK_EARN_UPGRADE_ARCADE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2570, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_ARCADE(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<2571, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void NETWORK_EARN_COLLECTABLES(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2572, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_CHALLENGE(int amount, Any p1, Any p2) { return big::native_invoker::invoke<2573, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_CASINO_HEIST_AWARDS(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2574, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_EARN_COLLECTABLE_ITEM(int amount, Any p1) { return big::native_invoker::invoke<2575, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_COLLECTABLE_COMPLETED_COLLECTION(int amount, Any p1) { return big::native_invoker::invoke<2576, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_YATCH_MISSION(int amount, Any p1) { return big::native_invoker::invoke<2577, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_DISPATCH_CALL(int amount, Any p1) { return big::native_invoker::invoke<2578, false, void>(amount, p1); }
	FORCEINLINE constexpr void NETWORK_SPEND_BEACH_PARTY(Any p0) { return big::native_invoker::invoke<2579, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SPEND_SUBMARINE(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<2580, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void NETWORK_SPEND_CASINO_CLUB(int amount1, Any p1, BOOL p2, Any p3, int p4, int p5, int p6, int amount2, Any p8) { return big::native_invoker::invoke<2581, false, void>(amount1, p1, p2, p3, p4, p5, p6, amount2, p8); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUY_SUB(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2582, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_UPGRADE_SUB(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2583, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_ISLAND_HEIST(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2584, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_ISLAND_HEIST(int amount1, Any p1, Any p2, Any p3, int amount2, int p5) { return big::native_invoker::invoke<2585, false, void>(amount1, p1, p2, p3, amount2, p5); }
	FORCEINLINE constexpr void NETWORK_EARN_BEACH_PARTY_LOST_FOUND(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2586, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_FROM_ISLAND_HEIST_DJ_MISSION(Any p0, Any p1) { return big::native_invoker::invoke<2587, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_SPEND_CAR_CLUB_MEMBERSHIP(int amount1, Any p1, Any p2, int amount2, Any p4) { return big::native_invoker::invoke<2588, false, void>(amount1, p1, p2, amount2, p4); }
	FORCEINLINE constexpr void NETWORK_SPEND_CAR_CLUB_BAR(Any p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2589, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_AUTOSHOP_MODIFY(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2590, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPEND_CAR_CLUB_TAKEOVER(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2591, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUY_AUTOSHOP(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2592, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_UPGRADE_AUTOSHOP(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2593, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_AUTOSHOP_BUSINESS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2594, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_AUTOSHOP_INCOME(Any p0, int p1) { return big::native_invoker::invoke<2595, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_CARCLUB_MEMBERSHIP(Any p0) { return big::native_invoker::invoke<2596, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_DAILY_VEHICLE(Any p0, Any p1) { return big::native_invoker::invoke<2597, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_DAILY_VEHICLE_BONUS(Any p0) { return big::native_invoker::invoke<2598, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_EARN_TUNER_AWARD(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2599, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_TUNER_ROBBERY(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2600, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_EARN_UPGRADE_AUTOSHOP(Any p0, Any p1) { return big::native_invoker::invoke<2601, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_SPEND_INTERACTION_MENU_ABILITY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2602, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_SET_COMMON_FIELDS(Any p0, Any p1, Any p2, BOOL p3) { return big::native_invoker::invoke<2603, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_SET_DISCOUNT(BOOL p0) { return big::native_invoker::invoke<2604, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUY_AGENCY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2605, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_UPGRADE_AGENCY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2606, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_AGENCY(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2607, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPEND_HIDDEN(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2608, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_SOURCE_BIKE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2609, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_COMP_SUV(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2610, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_SUV_FST_TRVL(int p0, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<2611, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_SUPPLY(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2612, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_BIKE_SHOP(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2613, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SPEND_VEHICLE_REQUESTED(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2614, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void NETWORK_SPEND_GUNRUNNING(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2615, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_AGENCY_SAFE(Any p0, Any p1) { return big::native_invoker::invoke<2616, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_AWARD_CONTRACT(Any p0, Any p1) { return big::native_invoker::invoke<2617, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_AGENCY_CONTRACT(Any p0, Any p1) { return big::native_invoker::invoke<2618, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_AWARD_PHONE(Any p0, Any p1) { return big::native_invoker::invoke<2619, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_AGENCY_PHONE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2620, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_EARN_AWARD_FIXER_MISSION(Any p0, Any p1) { return big::native_invoker::invoke<2621, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FIXER_PREP(Any p0, Any p1) { return big::native_invoker::invoke<2622, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FIXER_FINALE(Any p0, Any p1) { return big::native_invoker::invoke<2623, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FIXER_AGENCY_SHORT_TRIP(Any p0, Any p1) { return big::native_invoker::invoke<2624, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_AWARD_SHORT_TRIP(Any p0, Any p1) { return big::native_invoker::invoke<2625, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_FIXER_RIVAL_DELIVERY(Any p0, Any p1) { return big::native_invoker::invoke<2626, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_UPGRADE_AGENCY(Any p0, Any p1) { return big::native_invoker::invoke<2627, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_SPEND_APARTMENT_UTILITIES(int amount, BOOL p1, BOOL p2, Any* data) { return big::native_invoker::invoke<2628, false, void>(amount, p1, p2, data); }
	FORCEINLINE constexpr void NETWORK_SPEND_BUSINESS_PROPERTY_FEES(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2629, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_SIGHTSEEING_REWARD(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2630, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_EARN_BIKER_SHOP(Any p0, Any p1) { return big::native_invoker::invoke<2631, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_EARN_BIKER(Any p0) { return big::native_invoker::invoke<2632, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_YOHAN_SOURCE_GOODS(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2633, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_BUY_MFGARAGE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2634, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_UPGRADE_MFGARAGE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2635, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_BUY_SUPPLIES(int p0, BOOL p1, BOOL p2, int p3) { return big::native_invoker::invoke<2636, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_BUY_ACID_LAB(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2637, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_UPGRADE_ACID_LAB_EQUIPMENT(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2638, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_UPGRADE_ACID_LAB_ARMOR(int p0, BOOL p1, BOOL p2, int p3) { return big::native_invoker::invoke<2639, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_UPGRADE_ACID_LAB_SCOOP(int p0, BOOL p1, BOOL p2, int p3) { return big::native_invoker::invoke<2640, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_UPGRADE_ACID_LAB_MINES(int p0, BOOL p1, BOOL p2, int p3) { return big::native_invoker::invoke<2641, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_RENAME_ACID_LAB(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2642, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_SPEND_RENAME_ACID_PRODUCT(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2643, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void _NETWORK_EARN_AWARD_JUGGALO_MISSION(Any p0, Any p1) { return big::native_invoker::invoke<2644, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_AWARD_ACID_LAB(Any p0, Any p1) { return big::native_invoker::invoke<2645, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_AWARD_DAILY_STASH(Any p0, Any p1) { return big::native_invoker::invoke<2646, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_AWARD_DEAD_DROP(Any p0, Any p1) { return big::native_invoker::invoke<2647, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_AWARD_RANDOM_EVENT(Any p0, Any p1) { return big::native_invoker::invoke<2648, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_AWARD_TAXI(Any p0, Any p1) { return big::native_invoker::invoke<2649, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_STREET_DEALER(Any p0, Any p1) { return big::native_invoker::invoke<2650, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_SELL_ACID(Any p0, Any p1) { return big::native_invoker::invoke<2651, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_SETUP_PARTICIPATION_ACID_LAB(Any p0, Any p1) { return big::native_invoker::invoke<2652, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_SOURCE_PARTICIPATION_ACID_LAB(Any p0, Any p1) { return big::native_invoker::invoke<2653, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_SELL_PARTICIPATION_ACID_LAB(Any p0, Any p1) { return big::native_invoker::invoke<2654, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_JUGGALO_STORY_MISSION(Any p0, Any p1) { return big::native_invoker::invoke<2655, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_JUGGALO_STORY_MISSION_PARTICIPATION(Any p0, Any p1) { return big::native_invoker::invoke<2656, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_FOOLIGAN_JOB(Any p0, Any p1) { return big::native_invoker::invoke<2657, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_FOOLIGAN_JOB_PARTICIPATION(Any p0, Any p1) { return big::native_invoker::invoke<2658, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_TAXI_JOB(Any p0, Any p1) { return big::native_invoker::invoke<2659, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_DAILY_STASH_HOUSE_COMPLETED(Any p0, Any p1) { return big::native_invoker::invoke<2660, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_DAILY_STASH_HOUSE_PARTICIPATION(Any p0, Any p1) { return big::native_invoker::invoke<2661, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_AVENGER(int amount, int p1) { return big::native_invoker::invoke<2662, false, void>(amount, p1); }
	FORCEINLINE constexpr void _NETWORK_EARN_SMUGGLER_OPS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2663, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void _NETWORK_EARN_BONUS_OBJECTIVE(int amount, Any p1, Any p2) { return big::native_invoker::invoke<2664, false, void>(amount, p1, p2); }
	FORCEINLINE constexpr void _NETWORK_EARN_PROGRESS_HUB(Any p0, Any p1) { return big::native_invoker::invoke<2665, false, void>(p0, p1); }
	FORCEINLINE constexpr void _NETWORK_SPENT_AIR_FREIGHT(int hangarCargoSourcingPrice, BOOL fromBank, BOOL fromBankAndWallet, int cost, int warehouseId, int warehouseSlot) { return big::native_invoker::invoke<2666, false, void>(hangarCargoSourcingPrice, fromBank, fromBankAndWallet, cost, warehouseId, warehouseSlot); }
	FORCEINLINE constexpr void _NETWORK_SPENT_SKIP_CARGO_SOURCE_SETUP(int amount, BOOL fromBank, BOOL fromBankAndWallet, int cost) { return big::native_invoker::invoke<2667, false, void>(amount, fromBank, fromBankAndWallet, cost); }
	FORCEINLINE constexpr void _NETWORK_SPENT_STEALTH_MODULE(int amount, BOOL fromBank, BOOL fromBankAndWallet, Hash p3) { return big::native_invoker::invoke<2668, false, void>(amount, fromBank, fromBankAndWallet, p3); }
	FORCEINLINE constexpr void _NETWORK_SPENT_MISSILE_JAMMER(int amount, BOOL fromBank, BOOL fromBankAndWallet, Hash p3) { return big::native_invoker::invoke<2669, false, void>(amount, fromBank, fromBankAndWallet, p3); }
	FORCEINLINE constexpr void _NETWORK_SPENT_GENERIC(int price, BOOL p1, BOOL p2, Hash stat, Hash spent, const char* p5, const char* p6, Any* data) { return big::native_invoker::invoke<2670, false, void>(price, p1, p2, stat, spent, p5, p6, data); }
	FORCEINLINE constexpr void _NETWORK_EARN_GENERIC(int amount, Hash earn, const char* p2, const char* p3, Any* data) { return big::native_invoker::invoke<2671, false, void>(amount, earn, p2, p3, data); }
	FORCEINLINE constexpr void _NETWORK_CLEAR_TRANSACTION_TELEMETRY_NONCE() { return big::native_invoker::invoke<2672, false, void>(); }
	FORCEINLINE constexpr int NETWORK_GET_VC_BANK_BALANCE() { return big::native_invoker::invoke<2673, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_VC_WALLET_BALANCE(int characterSlot) { return big::native_invoker::invoke<2674, false, int>(characterSlot); }
	FORCEINLINE constexpr int NETWORK_GET_VC_BALANCE() { return big::native_invoker::invoke<2675, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_EVC_BALANCE() { return big::native_invoker::invoke<2676, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_PVC_BALANCE() { return big::native_invoker::invoke<2677, false, int>(); }
	FORCEINLINE constexpr const char* NETWORK_GET_STRING_WALLET_BALANCE(int characterSlot) { return big::native_invoker::invoke<2678, false, const char*>(characterSlot); }
	FORCEINLINE constexpr const char* NETWORK_GET_STRING_BANK_BALANCE() { return big::native_invoker::invoke<2679, false, const char*>(); }
	FORCEINLINE constexpr const char* NETWORK_GET_STRING_BANK_WALLET_BALANCE(int character) { return big::native_invoker::invoke<2680, false, const char*>(character); }
	FORCEINLINE constexpr BOOL NETWORK_GET_CAN_SPEND_FROM_WALLET(int amount, int characterSlot) { return big::native_invoker::invoke<2681, false, BOOL>(amount, characterSlot); }
	FORCEINLINE constexpr BOOL NETWORK_GET_CAN_SPEND_FROM_BANK(int amount) { return big::native_invoker::invoke<2682, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL NETWORK_GET_CAN_SPEND_FROM_BANK_AND_WALLET(int amount, int characterSlot) { return big::native_invoker::invoke<2683, false, BOOL>(amount, characterSlot); }
	FORCEINLINE constexpr int NETWORK_GET_PVC_TRANSFER_BALANCE() { return big::native_invoker::invoke<2684, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_GET_CAN_TRANSFER_CASH(int amount) { return big::native_invoker::invoke<2685, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_RECEIVE_PLAYER_CASH(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2686, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr int NETWORK_GET_REMAINING_TRANSFER_BALANCE() { return big::native_invoker::invoke<2687, false, int>(); }
	FORCEINLINE constexpr int WITHDRAW_VC(int amount) { return big::native_invoker::invoke<2688, false, int>(amount); }
	FORCEINLINE constexpr BOOL DEPOSIT_VC(int amount) { return big::native_invoker::invoke<2689, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL HAS_VC_WITHDRAWAL_COMPLETED(Any p0) { return big::native_invoker::invoke<2690, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL WAS_VC_WITHDRAWAL_SUCCESSFUL(Any p0) { return big::native_invoker::invoke<2691, false, BOOL>(p0); }
}

namespace NETSHOPPING
{
	FORCEINLINE constexpr BOOL NET_GAMESERVER_USE_SERVER_TRANSACTIONS() { return big::native_invoker::invoke<2692, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_CATALOG_ITEM_IS_VALID(const char* name) { return big::native_invoker::invoke<2693, false, BOOL>(name); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_CATALOG_ITEM_KEY_IS_VALID(Hash hash) { return big::native_invoker::invoke<2694, false, BOOL>(hash); }
	FORCEINLINE constexpr int NET_GAMESERVER_GET_PRICE(Hash itemHash, Hash categoryHash, BOOL p2) { return big::native_invoker::invoke<2695, false, int>(itemHash, categoryHash, p2); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_CATALOG_IS_VALID() { return big::native_invoker::invoke<2696, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_IS_CATALOG_CURRENT() { return big::native_invoker::invoke<2697, false, BOOL>(); }
	FORCEINLINE constexpr Hash NET_GAMESERVER_GET_CATALOG_CLOUD_CRC() { return big::native_invoker::invoke<2698, false, Hash>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_REFRESH_SERVER_CATALOG() { return big::native_invoker::invoke<2699, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_RETRIEVE_CATALOG_REFRESH_STATUS(int* state) { return big::native_invoker::invoke<2700, false, BOOL>(state); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_INIT_SESSION() { return big::native_invoker::invoke<2701, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_RETRIEVE_INIT_SESSION_STATUS(int* p0) { return big::native_invoker::invoke<2702, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_START_SESSION(int charSlot) { return big::native_invoker::invoke<2703, false, BOOL>(charSlot); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_START_SESSION_PENDING() { return big::native_invoker::invoke<2704, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_RETRIEVE_START_SESSION_STATUS(int* p0) { return big::native_invoker::invoke<2705, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_RETRIEVE_SESSION_ERROR_CODE(int* p0) { return big::native_invoker::invoke<2706, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_IS_SESSION_VALID(int charSlot) { return big::native_invoker::invoke<2707, false, BOOL>(charSlot); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_CLEAR_SESSION(int p0) { return big::native_invoker::invoke<2708, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_SESSION_APPLY_RECEIVED_DATA(int charSlot) { return big::native_invoker::invoke<2709, false, BOOL>(charSlot); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_IS_SESSION_REFRESH_PENDING() { return big::native_invoker::invoke<2710, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_START_SESSION_RESTART(BOOL inventory, BOOL playerbalance) { return big::native_invoker::invoke<2711, false, BOOL>(inventory, playerbalance); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_TRANSACTION_IN_PROGRESS() { return big::native_invoker::invoke<2712, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_GET_SESSION_STATE_AND_STATUS(int* p0, BOOL* p1) { return big::native_invoker::invoke<2713, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BASKET_START(int* transactionId, Hash categoryHash, Hash actionHash, int flags) { return big::native_invoker::invoke<2714, false, BOOL>(transactionId, categoryHash, actionHash, flags); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BASKET_END() { return big::native_invoker::invoke<2715, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BASKET_IS_ACTIVE() { return big::native_invoker::invoke<2716, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BASKET_ADD_ITEM(Any* itemData, int quantity) { return big::native_invoker::invoke<2717, false, BOOL>(itemData, quantity); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BASKET_IS_FULL() { return big::native_invoker::invoke<2718, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BASKET_APPLY_SERVER_DATA(Any p0, Any* p1) { return big::native_invoker::invoke<2719, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_CHECKOUT_START(int transactionId) { return big::native_invoker::invoke<2720, false, BOOL>(transactionId); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_BEGIN_SERVICE(int* transactionId, Hash categoryHash, Hash itemHash, Hash actionTypeHash, int value, int flags) { return big::native_invoker::invoke<2721, false, BOOL>(transactionId, categoryHash, itemHash, actionTypeHash, value, flags); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_END_SERVICE(int transactionId) { return big::native_invoker::invoke<2722, false, BOOL>(transactionId); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_DELETE_CHARACTER(int slot, BOOL transfer, Hash reason) { return big::native_invoker::invoke<2723, false, BOOL>(slot, transfer, reason); }
	FORCEINLINE constexpr int NET_GAMESERVER_DELETE_CHARACTER_GET_STATUS() { return big::native_invoker::invoke<2724, false, int>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_DELETE_SET_TELEMETRY_NONCE_SEED() { return big::native_invoker::invoke<2725, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_TRANSFER_BANK_TO_WALLET(int charSlot, int amount) { return big::native_invoker::invoke<2726, false, BOOL>(charSlot, amount); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_TRANSFER_WALLET_TO_BANK(int charSlot, int amount) { return big::native_invoker::invoke<2727, false, BOOL>(charSlot, amount); }
	FORCEINLINE constexpr int NET_GAMESERVER_TRANSFER_BANK_TO_WALLET_GET_STATUS() { return big::native_invoker::invoke<2728, false, int>(); }
	FORCEINLINE constexpr int NET_GAMESERVER_TRANSFER_WALLET_TO_BANK_GET_STATUS() { return big::native_invoker::invoke<2729, false, int>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_TRANSFER_CASH_SET_TELEMETRY_NONCE_SEED() { return big::native_invoker::invoke<2730, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NET_GAMESERVER_SET_TELEMETRY_NONCE_SEED(int p0) { return big::native_invoker::invoke<2731, false, BOOL>(p0); }
}

namespace NETWORK
{
	FORCEINLINE constexpr const char* GET_ONLINE_VERSION() { return big::native_invoker::invoke<2732, false, const char*>(); }
	FORCEINLINE constexpr int _GET_BATTLEYE_INIT_STATE() { return big::native_invoker::invoke<2733, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SIGNED_IN() { return big::native_invoker::invoke<2734, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SIGNED_ONLINE() { return big::native_invoker::invoke<2735, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_NP_AVAILABLE() { return big::native_invoker::invoke<2736, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_NP_PENDING() { return big::native_invoker::invoke<2737, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_NP_UNAVAILABLE_REASON() { return big::native_invoker::invoke<2738, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CONNETED_TO_NP_PRESENCE() { return big::native_invoker::invoke<2739, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_LOGGED_IN_TO_PSN() { return big::native_invoker::invoke<2740, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_VALID_ROS_CREDENTIALS() { return big::native_invoker::invoke<2741, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_REFRESHING_ROS_CREDENTIALS() { return big::native_invoker::invoke<2742, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CLOUD_AVAILABLE() { return big::native_invoker::invoke<2743, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_SOCIAL_CLUB_ACCOUNT() { return big::native_invoker::invoke<2744, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_ARE_SOCIAL_CLUB_POLICIES_CURRENT() { return big::native_invoker::invoke<2745, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_HOST() { return big::native_invoker::invoke<2746, false, BOOL>(); }
	FORCEINLINE constexpr Player NETWORK_GET_HOST_PLAYER_INDEX() { return big::native_invoker::invoke<2747, false, Player>(); }
	FORCEINLINE constexpr BOOL NETWORK_WAS_GAME_SUSPENDED() { return big::native_invoker::invoke<2748, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_ONLINE_PRIVILEGES() { return big::native_invoker::invoke<2749, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_AGE_RESTRICTIONS() { return big::native_invoker::invoke<2750, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_USER_CONTENT_PRIVILEGES(int p0) { return big::native_invoker::invoke<2751, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_COMMUNICATION_PRIVILEGES(int p0, Player player) { return big::native_invoker::invoke<2752, false, BOOL>(p0, player); }
	FORCEINLINE constexpr BOOL _NETWORK_HAVE_PLATFORM_COMMUNICATION_PRIVILEGES() { return big::native_invoker::invoke<2753, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_ONLINE_PRIVILEGES(Any p0, BOOL p1) { return big::native_invoker::invoke<2754, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_USER_CONTENT_PRIVILEGES(int p0, int p1, BOOL p2) { return big::native_invoker::invoke<2755, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_COMMUNICATION_PRIVILEGES(int p0, int p1, BOOL p2) { return big::native_invoker::invoke<2756, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_TEXT_COMMUNICATION_PRIVILEGES(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2757, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_IS_USING_ONLINE_PROMOTION() { return big::native_invoker::invoke<2758, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SHOULD_SHOW_PROMOTION_ALERT_SCREEN() { return big::native_invoker::invoke<2759, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_SOCIAL_NETWORKING_SHARING_PRIV() { return big::native_invoker::invoke<2760, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_AGE_GROUP() { return big::native_invoker::invoke<2761, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_PRIVILEGES(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2762, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PRIVILEGE_CHECK_IN_PROGRESS() { return big::native_invoker::invoke<2763, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_PRIVILEGE_CHECK_RESULT_NOT_NEEDED() { return big::native_invoker::invoke<2764, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_RESOLVE_PRIVILEGE_USER_CONTENT() { return big::native_invoker::invoke<2765, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_PLATFORM_SUBSCRIPTION() { return big::native_invoker::invoke<2766, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLATFORM_SUBSCRIPTION_CHECK_PENDING() { return big::native_invoker::invoke<2767, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SHOW_ACCOUNT_UPGRADE_UI() { return big::native_invoker::invoke<2768, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SHOWING_SYSTEM_UI_OR_RECENTLY_REQUESTED_UPSELL() { return big::native_invoker::invoke<2769, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_NEED_TO_START_NEW_GAME_BUT_BLOCKED() { return big::native_invoker::invoke<2770, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_BAIL() { return big::native_invoker::invoke<2771, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_BAIL(int p0, int p1, int p2) { return big::native_invoker::invoke<2772, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_ON_RETURN_TO_SINGLE_PLAYER() { return big::native_invoker::invoke<2773, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_TRANSITION_START(int p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<2774, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL NETWORK_TRANSITION_ADD_STAGE(Hash hash, int p1, int p2, int state, int p4) { return big::native_invoker::invoke<2775, false, BOOL>(hash, p1, p2, state, p4); }
	FORCEINLINE constexpr BOOL NETWORK_TRANSITION_FINISH(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2776, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_ACCESS_MULTIPLAYER(int* loadingState) { return big::native_invoker::invoke<2777, false, BOOL>(loadingState); }
	FORCEINLINE constexpr BOOL NETWORK_IS_MULTIPLAYER_DISABLED() { return big::native_invoker::invoke<2778, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_ENTER_MULTIPLAYER() { return big::native_invoker::invoke<2779, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_DO_FREEROAM_QUICKMATCH(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2780, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_DO_FRIEND_MATCHMAKING(int p0, int p1, int p2) { return big::native_invoker::invoke<2781, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_DO_CREW_MATCHMAKING(int crewId, int p1, int p2, int maxPlayers) { return big::native_invoker::invoke<2782, false, BOOL>(crewId, p1, p2, maxPlayers); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_DO_ACTIVITY_QUICKMATCH(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<2783, false, BOOL>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_HOST(int p0, int maxPlayers, BOOL p2) { return big::native_invoker::invoke<2784, false, BOOL>(p0, maxPlayers, p2); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_HOST_CLOSED(int p0, int maxPlayers) { return big::native_invoker::invoke<2785, false, BOOL>(p0, maxPlayers); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_HOST_FRIENDS_ONLY(int p0, int maxPlayers) { return big::native_invoker::invoke<2786, false, BOOL>(p0, maxPlayers); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_CLOSED_FRIENDS() { return big::native_invoker::invoke<2787, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_CLOSED_CREW() { return big::native_invoker::invoke<2788, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_SOLO() { return big::native_invoker::invoke<2789, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_PRIVATE() { return big::native_invoker::invoke<2790, false, BOOL>(); }
	FORCEINLINE constexpr BOOL _NETWORK_SESSION_LEAVE_INCLUDING_REASON(int leaveFlags, int leaveReason) { return big::native_invoker::invoke<2791, false, BOOL>(leaveFlags, leaveReason); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_END(BOOL p0, BOOL p1) { return big::native_invoker::invoke<2792, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_LEAVE(Any p0) { return big::native_invoker::invoke<2793, false, BOOL>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_KICK_PLAYER(Player player) { return big::native_invoker::invoke<2794, false, void>(player); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_GET_KICK_VOTE(Player player) { return big::native_invoker::invoke<2795, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_RESERVE_SLOTS_TRANSITION(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<2796, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_JOIN_PREVIOUSLY_FAILED_SESSION() { return big::native_invoker::invoke<2797, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_JOIN_PREVIOUSLY_FAILED_TRANSITION() { return big::native_invoker::invoke<2798, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_MATCHMAKING_GROUP(int matchmakingGroup) { return big::native_invoker::invoke<2799, false, void>(matchmakingGroup); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_MATCHMAKING_GROUP_MAX(int playerType, int playerCount) { return big::native_invoker::invoke<2800, false, void>(playerType, playerCount); }
	FORCEINLINE constexpr int NETWORK_SESSION_GET_MATCHMAKING_GROUP_FREE(int p0) { return big::native_invoker::invoke<2801, false, int>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_ADD_ACTIVE_MATCHMAKING_GROUP(int groupId) { return big::native_invoker::invoke<2802, false, void>(groupId); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_UNIQUE_CREW_LIMIT(Any p0) { return big::native_invoker::invoke<2803, false, void>(p0); }
	FORCEINLINE constexpr int NETWORK_SESSION_GET_UNIQUE_CREW_LIMIT() { return big::native_invoker::invoke<2804, false, int>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_UNIQUE_CREW_LIMIT_TRANSITION(Any p0) { return big::native_invoker::invoke<2805, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_UNIQUE_CREW_ONLY_CREWS_TRANSITION(BOOL p0) { return big::native_invoker::invoke<2806, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_CREW_LIMIT_MAX_MEMBERS_TRANSITION(Any p0) { return big::native_invoker::invoke<2807, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_MATCHMAKING_PROPERTY_ID(BOOL p0) { return big::native_invoker::invoke<2808, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_MATCHMAKING_MENTAL_STATE(int p0) { return big::native_invoker::invoke<2809, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_NUM_BOSSES(int num) { return big::native_invoker::invoke<2810, false, void>(num); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_SCRIPT_VALIDATE_JOIN() { return big::native_invoker::invoke<2811, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_VALIDATE_JOIN(BOOL p0) { return big::native_invoker::invoke<2812, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_ADD_FOLLOWERS(int* p0, int p1) { return big::native_invoker::invoke<2813, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_CLEAR_FOLLOWERS() { return big::native_invoker::invoke<2814, false, void>(); }
	FORCEINLINE constexpr void NETWORK_GET_GLOBAL_MULTIPLAYER_CLOCK(int* hours, int* minutes, int* seconds) { return big::native_invoker::invoke<2815, false, void>(hours, minutes, seconds); }
	FORCEINLINE constexpr void NETWORK_SESSION_SET_GAMEMODE(Any p0) { return big::native_invoker::invoke<2816, false, void>(p0); }
	FORCEINLINE constexpr int NETWORK_SESSION_GET_HOST_AIM_PREFERENCE() { return big::native_invoker::invoke<2817, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_FIND_GAMERS_IN_CREW(int crewId) { return big::native_invoker::invoke<2818, false, BOOL>(crewId); }
	FORCEINLINE constexpr BOOL NETWORK_FIND_MATCHED_GAMERS(int attribute, float fallbackLimit, float lowerLimit, float upperLimit) { return big::native_invoker::invoke<2819, false, BOOL>(attribute, fallbackLimit, lowerLimit, upperLimit); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FINDING_GAMERS() { return big::native_invoker::invoke<2820, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_DID_FIND_GAMERS_SUCCEED() { return big::native_invoker::invoke<2821, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_FOUND_GAMERS() { return big::native_invoker::invoke<2822, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_GET_FOUND_GAMER(Any* p0, Any p1) { return big::native_invoker::invoke<2823, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_CLEAR_FOUND_GAMERS() { return big::native_invoker::invoke<2824, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_QUEUE_GAMER_FOR_STATUS(Any* p0) { return big::native_invoker::invoke<2825, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_GET_GAMER_STATUS_FROM_QUEUE() { return big::native_invoker::invoke<2826, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_GETTING_GAMER_STATUS() { return big::native_invoker::invoke<2827, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_DID_GET_GAMER_STATUS_SUCCEED() { return big::native_invoker::invoke<2828, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_GET_GAMER_STATUS_RESULT(Any* p0, Any p1) { return big::native_invoker::invoke<2829, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_CLEAR_GET_GAMER_STATUS() { return big::native_invoker::invoke<2830, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_JOIN_INVITE() { return big::native_invoker::invoke<2831, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_CANCEL_INVITE() { return big::native_invoker::invoke<2832, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_FORCE_CANCEL_INVITE() { return big::native_invoker::invoke<2833, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_PENDING_INVITE() { return big::native_invoker::invoke<2834, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_CONFIRMED_INVITE() { return big::native_invoker::invoke<2835, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_REQUEST_INVITE_CONFIRMED_EVENT() { return big::native_invoker::invoke<2836, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_WAS_INVITED() { return big::native_invoker::invoke<2837, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_GET_INVITER(Any* gamerHandle) { return big::native_invoker::invoke<2838, false, void>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_AWAITING_INVITE_RESPONSE() { return big::native_invoker::invoke<2839, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_DISPLAYING_INVITE_CONFIRMATION() { return big::native_invoker::invoke<2840, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SUPPRESS_INVITE(BOOL toggle) { return big::native_invoker::invoke<2841, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_BLOCK_INVITES(BOOL toggle) { return big::native_invoker::invoke<2842, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_BLOCK_JOIN_QUEUE_INVITES(BOOL toggle) { return big::native_invoker::invoke<2843, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_CAN_RECEIVE_RS_INVITES(BOOL p0) { return big::native_invoker::invoke<2844, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_STORE_INVITE_THROUGH_RESTART() { return big::native_invoker::invoke<2845, false, void>(); }
	FORCEINLINE constexpr void NETWORK_ALLOW_INVITE_PROCESS_IN_PLAYER_SWITCH(BOOL p0) { return big::native_invoker::invoke<2846, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_SCRIPT_READY_FOR_EVENTS(BOOL toggle) { return big::native_invoker::invoke<2847, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_OFFLINE_INVITE_PENDING() { return big::native_invoker::invoke<2848, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_CLEAR_OFFLINE_INVITE_PENDING() { return big::native_invoker::invoke<2849, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_HOST_SINGLE_PLAYER(int p0) { return big::native_invoker::invoke<2850, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SESSION_LEAVE_SINGLE_PLAYER() { return big::native_invoker::invoke<2851, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_GAME_IN_PROGRESS() { return big::native_invoker::invoke<2852, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SESSION_ACTIVE() { return big::native_invoker::invoke<2853, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_SESSION() { return big::native_invoker::invoke<2854, false, BOOL>(); }
	FORCEINLINE constexpr BOOL _NETWORK_IS_AMERICAS_VERSION() { return big::native_invoker::invoke<2855, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SESSION_STARTED() { return big::native_invoker::invoke<2856, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SESSION_BUSY() { return big::native_invoker::invoke<2857, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_SESSION_END() { return big::native_invoker::invoke<2858, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_GAME_MODE() { return big::native_invoker::invoke<2859, false, int>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_MARK_VISIBLE(BOOL toggle) { return big::native_invoker::invoke<2860, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_VISIBLE() { return big::native_invoker::invoke<2861, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_BLOCK_JOIN_REQUESTS(BOOL toggle) { return big::native_invoker::invoke<2862, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SESSION_CHANGE_SLOTS(int slots, BOOL p1) { return big::native_invoker::invoke<2863, false, void>(slots, p1); }
	FORCEINLINE constexpr int NETWORK_SESSION_GET_PRIVATE_SLOTS() { return big::native_invoker::invoke<2864, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_VOICE_HOST() { return big::native_invoker::invoke<2865, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_VOICE_LEAVE() { return big::native_invoker::invoke<2866, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SESSION_VOICE_CONNECT_TO_PLAYER(Any* gamerHandle) { return big::native_invoker::invoke<2867, false, void>(gamerHandle); }
	FORCEINLINE constexpr void NETWORK_SESSION_VOICE_RESPOND_TO_REQUEST(BOOL p0, int p1) { return big::native_invoker::invoke<2868, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_SESSION_VOICE_SET_TIMEOUT(int timeout) { return big::native_invoker::invoke<2869, false, void>(timeout); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_IN_VOICE_SESSION() { return big::native_invoker::invoke<2870, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_VOICE_SESSION_ACTIVE() { return big::native_invoker::invoke<2871, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SESSION_IS_VOICE_SESSION_BUSY() { return big::native_invoker::invoke<2872, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SEND_TEXT_MESSAGE(const char* message, Any* gamerHandle) { return big::native_invoker::invoke<2873, false, BOOL>(message, gamerHandle); }
	FORCEINLINE constexpr void NETWORK_SET_ACTIVITY_SPECTATOR(BOOL toggle) { return big::native_invoker::invoke<2874, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ACTIVITY_SPECTATOR() { return big::native_invoker::invoke<2875, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_ACTIVITY_PLAYER_MAX(Any p0) { return big::native_invoker::invoke<2876, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_ACTIVITY_SPECTATOR_MAX(int maxSpectators) { return big::native_invoker::invoke<2877, false, void>(maxSpectators); }
	FORCEINLINE constexpr int NETWORK_GET_ACTIVITY_PLAYER_NUM(BOOL p0) { return big::native_invoker::invoke<2878, false, int>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ACTIVITY_SPECTATOR_FROM_HANDLE(Any* gamerHandle) { return big::native_invoker::invoke<2879, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_HOST_TRANSITION(int p0, int p1, int p2, int p3, Any p4, BOOL p5, BOOL p6, int p7, Any p8, int p9) { return big::native_invoker::invoke<2880, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_QUICKMATCH(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<2881, false, BOOL>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_QUICKMATCH_ASYNC(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<2882, false, BOOL>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_QUICKMATCH_WITH_GROUP(Any p0, Any p1, Any p2, Any p3, Any* p4, Any p5, Any p6, Any p7) { return big::native_invoker::invoke<2883, false, BOOL>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr BOOL NETWORK_JOIN_GROUP_ACTIVITY() { return big::native_invoker::invoke<2884, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_CLEAR_GROUP_ACTIVITY() { return big::native_invoker::invoke<2885, false, void>(); }
	FORCEINLINE constexpr void NETWORK_RETAIN_ACTIVITY_GROUP() { return big::native_invoker::invoke<2886, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_CLOSED_FRIENDS() { return big::native_invoker::invoke<2887, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_CLOSED_CREW() { return big::native_invoker::invoke<2888, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_SOLO() { return big::native_invoker::invoke<2889, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_PRIVATE() { return big::native_invoker::invoke<2890, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_TRANSITION_NON_ASYNC_GAMERS() { return big::native_invoker::invoke<2891, false, int>(); }
	FORCEINLINE constexpr void NETWORK_MARK_AS_PREFERRED_ACTIVITY(BOOL p0) { return big::native_invoker::invoke<2892, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_MARK_AS_WAITING_ASYNC(BOOL p0) { return big::native_invoker::invoke<2893, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_IN_PROGRESS_FINISH_TIME(Any p0) { return big::native_invoker::invoke<2894, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_TRANSITION_CREATOR_HANDLE(Any* p0) { return big::native_invoker::invoke<2895, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_CLEAR_TRANSITION_CREATOR_HANDLE() { return big::native_invoker::invoke<2896, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_INVITE_GAMERS_TO_TRANSITION(Any* p0, Any p1) { return big::native_invoker::invoke<2897, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_SET_GAMER_INVITED_TO_TRANSITION(Any* gamerHandle) { return big::native_invoker::invoke<2898, false, void>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_LEAVE_TRANSITION() { return big::native_invoker::invoke<2899, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_LAUNCH_TRANSITION() { return big::native_invoker::invoke<2900, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_DO_NOT_LAUNCH_FROM_JOIN_AS_MIGRATED_HOST(BOOL toggle) { return big::native_invoker::invoke<2901, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_CANCEL_TRANSITION_MATCHMAKING() { return big::native_invoker::invoke<2902, false, void>(); }
	FORCEINLINE constexpr void NETWORK_BAIL_TRANSITION(int p0, int p1, int p2) { return big::native_invoker::invoke<2903, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_TO_GAME(BOOL p0, int maxPlayers) { return big::native_invoker::invoke<2904, false, BOOL>(p0, maxPlayers); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_TO_NEW_GAME(BOOL p0, int maxPlayers, BOOL p2) { return big::native_invoker::invoke<2905, false, BOOL>(p0, maxPlayers, p2); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_TO_FREEMODE(Any* p0, Any p1, BOOL p2, int players, BOOL p4) { return big::native_invoker::invoke<2906, false, BOOL>(p0, p1, p2, players, p4); }
	FORCEINLINE constexpr BOOL NETWORK_DO_TRANSITION_TO_NEW_FREEMODE(Any* p0, Any p1, int players, BOOL p3, BOOL p4, BOOL p5) { return big::native_invoker::invoke<2907, false, BOOL>(p0, p1, players, p3, p4, p5); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_TO_GAME() { return big::native_invoker::invoke<2908, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_TRANSITION_MEMBERS(Any* data, int dataCount) { return big::native_invoker::invoke<2909, false, int>(data, dataCount); }
	FORCEINLINE constexpr void NETWORK_APPLY_TRANSITION_PARAMETER(int p0, int p1) { return big::native_invoker::invoke<2910, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_APPLY_TRANSITION_PARAMETER_STRING(int p0, const char* string, BOOL p2) { return big::native_invoker::invoke<2911, false, void>(p0, string, p2); }
	FORCEINLINE constexpr BOOL NETWORK_SEND_TRANSITION_GAMER_INSTRUCTION(Any* gamerHandle, const char* p1, int p2, int p3, BOOL p4) { return big::native_invoker::invoke<2912, false, BOOL>(gamerHandle, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL NETWORK_MARK_TRANSITION_GAMER_AS_FULLY_JOINED(Any* p0) { return big::native_invoker::invoke<2913, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_HOST() { return big::native_invoker::invoke<2914, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_HOST_FROM_HANDLE(Any* gamerHandle) { return big::native_invoker::invoke<2915, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_GET_TRANSITION_HOST(Any* gamerHandle) { return big::native_invoker::invoke<2916, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_TRANSITION() { return big::native_invoker::invoke<2917, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_STARTED() { return big::native_invoker::invoke<2918, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_BUSY() { return big::native_invoker::invoke<2919, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_MATCHMAKING() { return big::native_invoker::invoke<2920, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_LEAVE_POSTPONED() { return big::native_invoker::invoke<2921, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_TRANSITION_SET_IN_PROGRESS(Any p0) { return big::native_invoker::invoke<2922, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_TRANSITION_SET_CONTENT_CREATOR(Any p0) { return big::native_invoker::invoke<2923, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_TRANSITION_SET_ACTIVITY_ISLAND(Any p0) { return big::native_invoker::invoke<2924, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_OPEN_TRANSITION_MATCHMAKING() { return big::native_invoker::invoke<2925, false, void>(); }
	FORCEINLINE constexpr void NETWORK_CLOSE_TRANSITION_MATCHMAKING() { return big::native_invoker::invoke<2926, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_OPEN_TO_MATCHMAKING() { return big::native_invoker::invoke<2927, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_TRANSITION_VISIBILITY_LOCK(BOOL p0, BOOL p1) { return big::native_invoker::invoke<2928, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TRANSITION_VISIBILITY_LOCKED() { return big::native_invoker::invoke<2929, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_TRANSITION_ACTIVITY_ID(Any p0) { return big::native_invoker::invoke<2930, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_CHANGE_TRANSITION_SLOTS(Any p0, BOOL p1) { return big::native_invoker::invoke<2931, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_TRANSITION_BLOCK_JOIN_REQUESTS(BOOL p0) { return big::native_invoker::invoke<2932, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_PLAYER_STARTED_TRANSITION(Player player) { return big::native_invoker::invoke<2933, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_ARE_TRANSITION_DETAILS_VALID(Any p0) { return big::native_invoker::invoke<2934, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_JOIN_TRANSITION(Player player) { return big::native_invoker::invoke<2935, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_INVITED_GAMER_TO_TRANSITION(Any* p0) { return big::native_invoker::invoke<2936, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_TRANSITION_INVITE_BEEN_ACKED(Any* p0) { return big::native_invoker::invoke<2937, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ACTIVITY_SESSION() { return big::native_invoker::invoke<2938, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_DISABLE_REALTIME_MULTIPLAYER() { return big::native_invoker::invoke<2939, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SET_PRESENCE_SESSION_INVITES_BLOCKED(BOOL toggle) { return big::native_invoker::invoke<2940, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_SEND_INVITE_VIA_PRESENCE(Any* gamerHandle, const char* p1, int dataCount, int p3) { return big::native_invoker::invoke<2941, false, BOOL>(gamerHandle, p1, dataCount, p3); }
	FORCEINLINE constexpr BOOL NETWORK_SEND_TRANSITION_INVITE_VIA_PRESENCE(Any* gamerHandle, const char* p1, int dataCount, int p3) { return big::native_invoker::invoke<2942, false, BOOL>(gamerHandle, p1, dataCount, p3); }
	FORCEINLINE constexpr BOOL NETWORK_SEND_IMPORTANT_TRANSITION_INVITE_VIA_PRESENCE(Any* gamerHandle, const char* p1, int dataCount, int p3) { return big::native_invoker::invoke<2943, false, BOOL>(gamerHandle, p1, dataCount, p3); }
	FORCEINLINE constexpr int NETWORK_GET_PRESENCE_INVITE_INDEX_BY_ID(int p0) { return big::native_invoker::invoke<2944, false, int>(p0); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_PRESENCE_INVITES() { return big::native_invoker::invoke<2945, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_ACCEPT_PRESENCE_INVITE(int p0) { return big::native_invoker::invoke<2946, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_REMOVE_PRESENCE_INVITE(int p0) { return big::native_invoker::invoke<2947, false, BOOL>(p0); }
	FORCEINLINE constexpr int NETWORK_GET_PRESENCE_INVITE_ID(int p0) { return big::native_invoker::invoke<2948, false, int>(p0); }
	FORCEINLINE constexpr const char* NETWORK_GET_PRESENCE_INVITE_INVITER(int p0) { return big::native_invoker::invoke<2949, false, const char*>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRESENCE_INVITE_HANDLE(Any p0, Any* p1) { return big::native_invoker::invoke<2950, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr int NETWORK_GET_PRESENCE_INVITE_SESSION_ID(Any p0) { return big::native_invoker::invoke<2951, false, int>(p0); }
	FORCEINLINE constexpr const char* NETWORK_GET_PRESENCE_INVITE_CONTENT_ID(int p0) { return big::native_invoker::invoke<2952, false, const char*>(p0); }
	FORCEINLINE constexpr int NETWORK_GET_PRESENCE_INVITE_PLAYLIST_LENGTH(int p0) { return big::native_invoker::invoke<2953, false, int>(p0); }
	FORCEINLINE constexpr int NETWORK_GET_PRESENCE_INVITE_PLAYLIST_CURRENT(int p0) { return big::native_invoker::invoke<2954, false, int>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRESENCE_INVITE_FROM_ADMIN(int p0) { return big::native_invoker::invoke<2955, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRESENCE_INVITE_IS_TOURNAMENT(Any p0) { return big::native_invoker::invoke<2956, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_FOLLOW_INVITE() { return big::native_invoker::invoke<2957, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_ACTION_FOLLOW_INVITE() { return big::native_invoker::invoke<2958, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CLEAR_FOLLOW_INVITE() { return big::native_invoker::invoke<2959, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_REMOVE_AND_CANCEL_ALL_INVITES() { return big::native_invoker::invoke<2960, false, void>(); }
	FORCEINLINE constexpr void NETWORK_REMOVE_TRANSITION_INVITE(Any* p0) { return big::native_invoker::invoke<2961, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_REMOVE_ALL_TRANSITION_INVITE() { return big::native_invoker::invoke<2962, false, void>(); }
	FORCEINLINE constexpr void NETWORK_REMOVE_AND_CANCEL_ALL_TRANSITION_INVITES() { return big::native_invoker::invoke<2963, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_INVITE_GAMERS(Any* p0, Any p1, Any* p2, Any p3) { return big::native_invoker::invoke<2964, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_INVITED_GAMER(Any* p0) { return big::native_invoker::invoke<2965, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_MADE_INVITE_DECISION(Any* gamerHandle) { return big::native_invoker::invoke<2966, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr int NETWORK_GET_INVITE_REPLY_STATUS(Any p0) { return big::native_invoker::invoke<2967, false, int>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_GET_CURRENTLY_SELECTED_GAMER_HANDLE_FROM_INVITE_MENU(Any* p0) { return big::native_invoker::invoke<2968, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_SET_CURRENTLY_SELECTED_GAMER_HANDLE_FROM_INVITE_MENU(Any* p0) { return big::native_invoker::invoke<2969, false, BOOL>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_INVITE_ON_CALL_FOR_INVITE_MENU(Any* p0) { return big::native_invoker::invoke<2970, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_DATA_MANAGER_SUCCEEDED_FOR_HANDLE(int p0, Any* gamerHandle) { return big::native_invoker::invoke<2971, false, BOOL>(p0, gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_DATA_MANAGER_FOR_HANDLE(Any p0, Any* gamerHandle) { return big::native_invoker::invoke<2972, false, BOOL>(p0, gamerHandle); }
	FORCEINLINE constexpr void NETWORK_SET_INVITE_FAILED_MESSAGE_FOR_INVITE_MENU(Any* p0, Any* p1) { return big::native_invoker::invoke<2973, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL FILLOUT_PM_PLAYER_LIST(Any* gamerHandle, Any p1, Any p2) { return big::native_invoker::invoke<2974, false, BOOL>(gamerHandle, p1, p2); }
	FORCEINLINE constexpr BOOL FILLOUT_PM_PLAYER_LIST_WITH_NAMES(Any* p0, Any* p1, Any p2, Any p3) { return big::native_invoker::invoke<2975, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL REFRESH_PLAYER_LIST_STATS(int p0) { return big::native_invoker::invoke<2976, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_SET_CURRENT_DATA_MANAGER_HANDLE(Any* p0) { return big::native_invoker::invoke<2977, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_PLATFORM_PARTY() { return big::native_invoker::invoke<2978, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_PLATFORM_PARTY_MEMBER_COUNT() { return big::native_invoker::invoke<2979, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_PLATFORM_PARTY_MEMBERS(Any* data, int dataSize) { return big::native_invoker::invoke<2980, false, int>(data, dataSize); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_PLATFORM_PARTY_CHAT() { return big::native_invoker::invoke<2981, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CHATTING_IN_PLATFORM_PARTY(Any* gamerHandle) { return big::native_invoker::invoke<2982, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_QUEUE_FOR_PREVIOUS_SESSION_JOIN() { return big::native_invoker::invoke<2983, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_QUEUING_FOR_SESSION_JOIN() { return big::native_invoker::invoke<2984, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_CLEAR_QUEUED_JOIN_REQUEST() { return big::native_invoker::invoke<2985, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SEND_QUEUED_JOIN_REQUEST() { return big::native_invoker::invoke<2986, false, void>(); }
	FORCEINLINE constexpr void NETWORK_REMOVE_ALL_QUEUED_JOIN_REQUESTS() { return big::native_invoker::invoke<2987, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SEED_RANDOM_NUMBER_GENERATOR(int seed) { return big::native_invoker::invoke<2988, false, void>(seed); }
	FORCEINLINE constexpr int NETWORK_GET_RANDOM_INT() { return big::native_invoker::invoke<2989, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_RANDOM_INT_RANGED(int rangeStart, int rangeEnd) { return big::native_invoker::invoke<2990, false, int>(rangeStart, rangeEnd); }
	FORCEINLINE constexpr float _NETWORK_GET_RANDOM_FLOAT_RANGED(float rangeStart, float rangeEnd) { return big::native_invoker::invoke<2991, false, float>(rangeStart, rangeEnd); }
	FORCEINLINE constexpr BOOL NETWORK_PLAYER_IS_CHEATER() { return big::native_invoker::invoke<2992, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_PLAYER_GET_CHEATER_REASON() { return big::native_invoker::invoke<2993, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_PLAYER_IS_BADSPORT() { return big::native_invoker::invoke<2994, false, BOOL>(); }
	FORCEINLINE constexpr BOOL REMOTE_CHEATER_PLAYER_DETECTED(Player player, int a, int b) { return big::native_invoker::invoke<2995, false, BOOL>(player, a, b); }
	FORCEINLINE constexpr BOOL BAD_SPORT_PLAYER_LEFT_DETECTED(Any* gamerHandle, int event, int amountReceived) { return big::native_invoker::invoke<2996, false, BOOL>(gamerHandle, event, amountReceived); }
	FORCEINLINE constexpr void NETWORK_ADD_INVALID_OBJECT_MODEL(Hash modelHash, Any p1) { return big::native_invoker::invoke<2997, false, void>(modelHash, p1); }
	FORCEINLINE constexpr void NETWORK_REMOVE_INVALID_OBJECT_MODEL(Hash modelHash) { return big::native_invoker::invoke<2998, false, void>(modelHash); }
	FORCEINLINE constexpr void NETWORK_CLEAR_INVALID_OBJECT_MODELS() { return big::native_invoker::invoke<2999, false, void>(); }
	FORCEINLINE constexpr void NETWORK_APPLY_PED_SCAR_DATA(Ped ped, int p1) { return big::native_invoker::invoke<3000, false, void>(ped, p1); }
	FORCEINLINE constexpr void NETWORK_SET_THIS_SCRIPT_IS_NETWORK_SCRIPT(int maxNumMissionParticipants, BOOL p1, int instanceId) { return big::native_invoker::invoke<3001, false, void>(maxNumMissionParticipants, p1, instanceId); }
	FORCEINLINE constexpr BOOL NETWORK_TRY_TO_SET_THIS_SCRIPT_IS_NETWORK_SCRIPT(Any p0, BOOL p1, Any p2) { return big::native_invoker::invoke<3002, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_GET_THIS_SCRIPT_IS_NETWORK_SCRIPT() { return big::native_invoker::invoke<3003, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_MAX_NUM_PARTICIPANTS() { return big::native_invoker::invoke<3004, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_PARTICIPANTS() { return big::native_invoker::invoke<3005, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_SCRIPT_STATUS() { return big::native_invoker::invoke<3006, false, int>(); }
	FORCEINLINE constexpr void NETWORK_REGISTER_HOST_BROADCAST_VARIABLES(int* vars, int numVars, const char* debugName) { return big::native_invoker::invoke<3007, false, void>(vars, numVars, debugName); }
	FORCEINLINE constexpr void NETWORK_REGISTER_PLAYER_BROADCAST_VARIABLES(int* vars, int numVars, const char* debugName) { return big::native_invoker::invoke<3008, false, void>(vars, numVars, debugName); }
	FORCEINLINE constexpr void NETWORK_REGISTER_HIGH_FREQUENCY_HOST_BROADCAST_VARIABLES(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<3009, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_REGISTER_HIGH_FREQUENCY_PLAYER_BROADCAST_VARIABLES(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<3010, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_FINISH_BROADCASTING_DATA() { return big::native_invoker::invoke<3011, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_RECEIVED_HOST_BROADCAST_DATA() { return big::native_invoker::invoke<3012, false, BOOL>(); }
	FORCEINLINE constexpr Player NETWORK_GET_PLAYER_INDEX(Player player) { return big::native_invoker::invoke<3013, false, Player>(player); }
	FORCEINLINE constexpr int NETWORK_GET_PARTICIPANT_INDEX(int index) { return big::native_invoker::invoke<3014, false, int>(index); }
	FORCEINLINE constexpr Player NETWORK_GET_PLAYER_INDEX_FROM_PED(Ped ped) { return big::native_invoker::invoke<3015, false, Player>(ped); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_CONNECTED_PLAYERS() { return big::native_invoker::invoke<3016, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_CONNECTED(Player player) { return big::native_invoker::invoke<3017, false, BOOL>(player); }
	FORCEINLINE constexpr int NETWORK_GET_TOTAL_NUM_PLAYERS() { return big::native_invoker::invoke<3018, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PARTICIPANT_ACTIVE(int p0) { return big::native_invoker::invoke<3019, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_ACTIVE(Player player) { return big::native_invoker::invoke<3020, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_A_PARTICIPANT(Player player) { return big::native_invoker::invoke<3021, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_IS_HOST_OF_THIS_SCRIPT() { return big::native_invoker::invoke<3022, false, BOOL>(); }
	FORCEINLINE constexpr Player NETWORK_GET_HOST_OF_THIS_SCRIPT() { return big::native_invoker::invoke<3023, false, Player>(); }
	FORCEINLINE constexpr Player NETWORK_GET_HOST_OF_SCRIPT(const char* scriptName, int instance_id, int position_hash) { return big::native_invoker::invoke<3024, false, Player>(scriptName, instance_id, position_hash); }
	FORCEINLINE constexpr void NETWORK_SET_MISSION_FINISHED() { return big::native_invoker::invoke<3025, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SCRIPT_ACTIVE(const char* scriptName, int instance_id, BOOL p2, int position_hash) { return big::native_invoker::invoke<3026, false, BOOL>(scriptName, instance_id, p2, position_hash); }
	FORCEINLINE constexpr BOOL NETWORK_IS_SCRIPT_ACTIVE_BY_HASH(Hash scriptHash, int p1, BOOL p2, int p3) { return big::native_invoker::invoke<3027, false, BOOL>(scriptHash, p1, p2, p3); }
	FORCEINLINE constexpr BOOL NETWORK_IS_THREAD_A_NETWORK_SCRIPT(int threadId) { return big::native_invoker::invoke<3028, false, BOOL>(threadId); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_SCRIPT_PARTICIPANTS(const char* scriptName, int instance_id, int position_hash) { return big::native_invoker::invoke<3029, false, int>(scriptName, instance_id, position_hash); }
	FORCEINLINE constexpr int NETWORK_GET_INSTANCE_ID_OF_THIS_SCRIPT() { return big::native_invoker::invoke<3030, false, int>(); }
	FORCEINLINE constexpr Hash NETWORK_GET_POSITION_HASH_OF_THIS_SCRIPT() { return big::native_invoker::invoke<3031, false, Hash>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_A_PARTICIPANT_ON_SCRIPT(Player player, const char* script, int instance_id) { return big::native_invoker::invoke<3032, false, BOOL>(player, script, instance_id); }
	FORCEINLINE constexpr void NETWORK_PREVENT_SCRIPT_HOST_MIGRATION() { return big::native_invoker::invoke<3033, false, void>(); }
	FORCEINLINE constexpr void NETWORK_REQUEST_TO_BE_HOST_OF_THIS_SCRIPT() { return big::native_invoker::invoke<3034, false, void>(); }
	FORCEINLINE constexpr Player PARTICIPANT_ID() { return big::native_invoker::invoke<3035, false, Player>(); }
	FORCEINLINE constexpr int PARTICIPANT_ID_TO_INT() { return big::native_invoker::invoke<3036, false, int>(); }
	FORCEINLINE constexpr Player NETWORK_GET_KILLER_OF_PLAYER(Player player, Hash* weaponHash) { return big::native_invoker::invoke<3037, false, Player>(player, weaponHash); }
	FORCEINLINE constexpr Player NETWORK_GET_DESTROYER_OF_NETWORK_ID(int netId, Hash* weaponHash) { return big::native_invoker::invoke<3038, false, Player>(netId, weaponHash); }
	FORCEINLINE constexpr Player NETWORK_GET_DESTROYER_OF_ENTITY(Entity entity, Hash* weaponHash) { return big::native_invoker::invoke<3039, false, Player>(entity, weaponHash); }
	FORCEINLINE constexpr BOOL NETWORK_GET_ASSISTED_KILL_OF_ENTITY(Player player, Entity entity, int* p2) { return big::native_invoker::invoke<3040, false, BOOL>(player, entity, p2); }
	FORCEINLINE constexpr BOOL NETWORK_GET_ASSISTED_DAMAGE_OF_ENTITY(Player player, Entity entity, int* p2) { return big::native_invoker::invoke<3041, false, BOOL>(player, entity, p2); }
	FORCEINLINE constexpr Entity NETWORK_GET_ENTITY_KILLER_OF_PLAYER(Player player, Hash* weaponHash) { return big::native_invoker::invoke<3042, false, Entity>(player, weaponHash); }
	FORCEINLINE constexpr void NETWORK_SET_CURRENT_PUBLIC_CONTENT_ID(const char* missionId) { return big::native_invoker::invoke<3043, false, void>(missionId); }
	FORCEINLINE constexpr void NETWORK_SET_CURRENT_CHAT_OPTION(int newChatOption) { return big::native_invoker::invoke<3044, false, void>(newChatOption); }
	FORCEINLINE constexpr void NETWORK_SET_CURRENT_SPAWN_LOCATION_OPTION(Hash mpSettingSpawn) { return big::native_invoker::invoke<3045, false, void>(mpSettingSpawn); }
	FORCEINLINE constexpr void NETWORK_SET_VEHICLE_DRIVEN_IN_TEST_DRIVE(BOOL toggle) { return big::native_invoker::invoke<3046, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_VEHICLE_DRIVEN_LOCATION(Hash location) { return big::native_invoker::invoke<3047, false, void>(location); }
	FORCEINLINE constexpr void NETWORK_RESURRECT_LOCAL_PLAYER(float x, float y, float z, float heading, BOOL p4, BOOL changetime, BOOL p6, int p7, int p8) { return big::native_invoker::invoke<3048, false, void>(x, y, z, heading, p4, changetime, p6, p7, p8); }
	FORCEINLINE constexpr void NETWORK_SET_LOCAL_PLAYER_INVINCIBLE_TIME(int time) { return big::native_invoker::invoke<3049, false, void>(time); }
	FORCEINLINE constexpr BOOL NETWORK_IS_LOCAL_PLAYER_INVINCIBLE() { return big::native_invoker::invoke<3050, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_DISABLE_INVINCIBLE_FLASHING(Player player, BOOL toggle) { return big::native_invoker::invoke<3051, false, void>(player, toggle); }
	FORCEINLINE constexpr void NETWORK_PATCH_POST_CUTSCENE_HS4F_TUN_ENT(Ped ped) { return big::native_invoker::invoke<3052, false, void>(ped); }
	FORCEINLINE constexpr void NETWORK_SET_LOCAL_PLAYER_SYNC_LOOK_AT(BOOL toggle) { return big::native_invoker::invoke<3053, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_ENTITY_BEEN_REGISTERED_WITH_THIS_THREAD(Entity entity) { return big::native_invoker::invoke<3054, false, BOOL>(entity); }
	FORCEINLINE constexpr int NETWORK_GET_NETWORK_ID_FROM_ENTITY(Entity entity) { return big::native_invoker::invoke<3055, false, int>(entity); }
	FORCEINLINE constexpr Entity NETWORK_GET_ENTITY_FROM_NETWORK_ID(int netId) { return big::native_invoker::invoke<3056, false, Entity>(netId); }
	FORCEINLINE constexpr BOOL NETWORK_GET_ENTITY_IS_NETWORKED(Entity entity) { return big::native_invoker::invoke<3057, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL NETWORK_GET_ENTITY_IS_LOCAL(Entity entity) { return big::native_invoker::invoke<3058, false, BOOL>(entity); }
	FORCEINLINE constexpr void NETWORK_REGISTER_ENTITY_AS_NETWORKED(Entity entity) { return big::native_invoker::invoke<3059, false, void>(entity); }
	FORCEINLINE constexpr void NETWORK_UNREGISTER_NETWORKED_ENTITY(Entity entity) { return big::native_invoker::invoke<3060, false, void>(entity); }
	FORCEINLINE constexpr BOOL NETWORK_DOES_NETWORK_ID_EXIST(int netId) { return big::native_invoker::invoke<3061, false, BOOL>(netId); }
	FORCEINLINE constexpr BOOL NETWORK_DOES_ENTITY_EXIST_WITH_NETWORK_ID(int netId) { return big::native_invoker::invoke<3062, false, BOOL>(netId); }
	FORCEINLINE constexpr BOOL NETWORK_REQUEST_CONTROL_OF_NETWORK_ID(int netId) { return big::native_invoker::invoke<3063, false, BOOL>(netId); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_CONTROL_OF_NETWORK_ID(int netId) { return big::native_invoker::invoke<3064, false, BOOL>(netId); }
	FORCEINLINE constexpr BOOL NETWORK_IS_NETWORK_ID_REMOTELY_CONTROLLED(int netId) { return big::native_invoker::invoke<3065, false, BOOL>(netId); }
	FORCEINLINE constexpr BOOL NETWORK_REQUEST_CONTROL_OF_ENTITY(Entity entity) { return big::native_invoker::invoke<3066, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL NETWORK_REQUEST_CONTROL_OF_DOOR(int doorID) { return big::native_invoker::invoke<3067, false, BOOL>(doorID); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_CONTROL_OF_ENTITY(Entity entity) { return big::native_invoker::invoke<3068, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_CONTROL_OF_PICKUP(Pickup pickup) { return big::native_invoker::invoke<3069, false, BOOL>(pickup); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_CONTROL_OF_DOOR(Hash doorHash) { return big::native_invoker::invoke<3070, false, BOOL>(doorHash); }
	FORCEINLINE constexpr BOOL NETWORK_IS_DOOR_NETWORKED(Hash doorHash) { return big::native_invoker::invoke<3071, false, BOOL>(doorHash); }
	FORCEINLINE constexpr int VEH_TO_NET(Vehicle vehicle) { return big::native_invoker::invoke<3072, false, int>(vehicle); }
	FORCEINLINE constexpr int PED_TO_NET(Ped ped) { return big::native_invoker::invoke<3073, false, int>(ped); }
	FORCEINLINE constexpr int OBJ_TO_NET(Object object) { return big::native_invoker::invoke<3074, false, int>(object); }
	FORCEINLINE constexpr Vehicle NET_TO_VEH(int netHandle) { return big::native_invoker::invoke<3075, false, Vehicle>(netHandle); }
	FORCEINLINE constexpr Ped NET_TO_PED(int netHandle) { return big::native_invoker::invoke<3076, false, Ped>(netHandle); }
	FORCEINLINE constexpr Object NET_TO_OBJ(int netHandle) { return big::native_invoker::invoke<3077, false, Object>(netHandle); }
	FORCEINLINE constexpr Entity NET_TO_ENT(int netHandle) { return big::native_invoker::invoke<3078, false, Entity>(netHandle); }
	FORCEINLINE constexpr void NETWORK_GET_LOCAL_HANDLE(Any* gamerHandle, int gamerHandleSize) { return big::native_invoker::invoke<3079, false, void>(gamerHandle, gamerHandleSize); }
	FORCEINLINE constexpr void NETWORK_HANDLE_FROM_USER_ID(const char* userId, Any* gamerHandle, int gamerHandleSize) { return big::native_invoker::invoke<3080, false, void>(userId, gamerHandle, gamerHandleSize); }
	FORCEINLINE constexpr void NETWORK_HANDLE_FROM_MEMBER_ID(const char* memberId, Any* gamerHandle, int gamerHandleSize) { return big::native_invoker::invoke<3081, false, void>(memberId, gamerHandle, gamerHandleSize); }
	FORCEINLINE constexpr void NETWORK_HANDLE_FROM_PLAYER(Player player, Any* gamerHandle, int gamerHandleSize) { return big::native_invoker::invoke<3082, false, void>(player, gamerHandle, gamerHandleSize); }
	FORCEINLINE constexpr Hash NETWORK_HASH_FROM_PLAYER_HANDLE(Player player) { return big::native_invoker::invoke<3083, false, Hash>(player); }
	FORCEINLINE constexpr Hash NETWORK_HASH_FROM_GAMER_HANDLE(Any* gamerHandle) { return big::native_invoker::invoke<3084, false, Hash>(gamerHandle); }
	FORCEINLINE constexpr void NETWORK_HANDLE_FROM_FRIEND(int friendIndex, Any* gamerHandle, int gamerHandleSize) { return big::native_invoker::invoke<3085, false, void>(friendIndex, gamerHandle, gamerHandleSize); }
	FORCEINLINE constexpr BOOL NETWORK_GAMERTAG_FROM_HANDLE_START(Any* gamerHandle) { return big::native_invoker::invoke<3086, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_GAMERTAG_FROM_HANDLE_PENDING() { return big::native_invoker::invoke<3087, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_GAMERTAG_FROM_HANDLE_SUCCEEDED() { return big::native_invoker::invoke<3088, false, BOOL>(); }
	FORCEINLINE constexpr const char* NETWORK_GET_GAMERTAG_FROM_HANDLE(Any* gamerHandle) { return big::native_invoker::invoke<3089, false, const char*>(gamerHandle); }
	FORCEINLINE constexpr int NETWORK_DISPLAYNAMES_FROM_HANDLES_START(Any* p0, Any p1) { return big::native_invoker::invoke<3090, false, int>(p0, p1); }
	FORCEINLINE constexpr int NETWORK_GET_DISPLAYNAMES_FROM_HANDLES(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<3091, false, int>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL NETWORK_ARE_HANDLES_THE_SAME(Any* gamerHandle1, Any* gamerHandle2) { return big::native_invoker::invoke<3092, false, BOOL>(gamerHandle1, gamerHandle2); }
	FORCEINLINE constexpr BOOL NETWORK_IS_HANDLE_VALID(Any* gamerHandle, int gamerHandleSize) { return big::native_invoker::invoke<3093, false, BOOL>(gamerHandle, gamerHandleSize); }
	FORCEINLINE constexpr Player NETWORK_GET_PLAYER_FROM_GAMER_HANDLE(Any* gamerHandle) { return big::native_invoker::invoke<3094, false, Player>(gamerHandle); }
	FORCEINLINE constexpr const char* NETWORK_MEMBER_ID_FROM_GAMER_HANDLE(Any* gamerHandle) { return big::native_invoker::invoke<3095, false, const char*>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_GAMER_IN_MY_SESSION(Any* gamerHandle) { return big::native_invoker::invoke<3096, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr void NETWORK_SHOW_PROFILE_UI(Any* gamerHandle) { return big::native_invoker::invoke<3097, false, void>(gamerHandle); }
	FORCEINLINE constexpr const char* NETWORK_PLAYER_GET_NAME(Player player) { return big::native_invoker::invoke<3098, false, const char*>(player); }
	FORCEINLINE constexpr const char* NETWORK_PLAYER_GET_USERID(Player player, int* userID) { return big::native_invoker::invoke<3099, false, const char*>(player, userID); }
	FORCEINLINE constexpr BOOL NETWORK_PLAYER_IS_ROCKSTAR_DEV(Player player) { return big::native_invoker::invoke<3100, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_PLAYER_INDEX_IS_CHEATER(Player player) { return big::native_invoker::invoke<3101, false, BOOL>(player); }
	FORCEINLINE constexpr int NETWORK_ENTITY_GET_OBJECT_ID(Entity entity) { return big::native_invoker::invoke<3102, false, int>(entity); }
	FORCEINLINE constexpr Entity NETWORK_GET_ENTITY_FROM_OBJECT_ID(Any p0) { return big::native_invoker::invoke<3103, false, Entity>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_INACTIVE_PROFILE(Any* p0) { return big::native_invoker::invoke<3104, false, BOOL>(p0); }
	FORCEINLINE constexpr const char* _NETWORK_LOAD_GAMER_DISPLAY_NAME(Any* gamerHandle) { return big::native_invoker::invoke<3105, false, const char*>(gamerHandle); }
	FORCEINLINE constexpr int NETWORK_GET_MAX_FRIENDS() { return big::native_invoker::invoke<3106, false, int>(); }
	FORCEINLINE constexpr int NETWORK_GET_FRIEND_COUNT() { return big::native_invoker::invoke<3107, false, int>(); }
	FORCEINLINE constexpr const char* NETWORK_GET_FRIEND_NAME(int friendIndex) { return big::native_invoker::invoke<3108, false, const char*>(friendIndex); }
	FORCEINLINE constexpr const char* NETWORK_GET_FRIEND_DISPLAY_NAME(int friendIndex) { return big::native_invoker::invoke<3109, false, const char*>(friendIndex); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FRIEND_ONLINE(const char* name) { return big::native_invoker::invoke<3110, false, BOOL>(name); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FRIEND_HANDLE_ONLINE(Any* gamerHandle) { return big::native_invoker::invoke<3111, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FRIEND_IN_SAME_TITLE(const char* friendName) { return big::native_invoker::invoke<3112, false, BOOL>(friendName); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FRIEND_IN_MULTIPLAYER(const char* friendName) { return big::native_invoker::invoke<3113, false, BOOL>(friendName); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FRIEND(Any* gamerHandle) { return big::native_invoker::invoke<3114, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PENDING_FRIEND(Any p0) { return big::native_invoker::invoke<3115, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ADDING_FRIEND() { return big::native_invoker::invoke<3116, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_ADD_FRIEND(Any* gamerHandle, const char* message) { return big::native_invoker::invoke<3117, false, BOOL>(gamerHandle, message); }
	FORCEINLINE constexpr BOOL NETWORK_IS_FRIEND_INDEX_ONLINE(int friendIndex) { return big::native_invoker::invoke<3118, false, BOOL>(friendIndex); }
	FORCEINLINE constexpr void NETWORK_SET_PLAYER_IS_PASSIVE(BOOL toggle) { return big::native_invoker::invoke<3119, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PLAYER_OWNS_WAYPOINT(Player player) { return big::native_invoker::invoke<3120, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_SET_WAYPOINT() { return big::native_invoker::invoke<3121, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_IGNORE_REMOTE_WAYPOINTS() { return big::native_invoker::invoke<3122, false, void>(); }
	FORCEINLINE constexpr BOOL _NETWORK_DOES_COMMUNICATION_GROUP_EXIST(int communicationType) { return big::native_invoker::invoke<3123, false, BOOL>(communicationType); }
	FORCEINLINE constexpr int _NETWORK_GET_COMMUNICATION_GROUP_FLAGS(int communicationType) { return big::native_invoker::invoke<3124, false, int>(communicationType); }
	FORCEINLINE constexpr void _NETWORK_SET_COMMUNICATION_GROUP_FLAGS(int communicationType, int communicationGroupFlag) { return big::native_invoker::invoke<3125, false, void>(communicationType, communicationGroupFlag); }
	FORCEINLINE constexpr BOOL _NETWORK_HAS_PLAYER_PASSED_CHECK_TYPE(int checkType, Any* gamerHandle) { return big::native_invoker::invoke<3126, false, BOOL>(checkType, gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_ON_BLOCKLIST(Any* gamerHandle) { return big::native_invoker::invoke<3127, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_SET_SCRIPT_AUTOMUTED(Any p0) { return big::native_invoker::invoke<3128, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_AUTOMUTE_OVERRIDE() { return big::native_invoker::invoke<3129, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_HEADSET() { return big::native_invoker::invoke<3130, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_LOOK_AT_TALKERS(BOOL p0) { return big::native_invoker::invoke<3131, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PUSH_TO_TALK_ACTIVE() { return big::native_invoker::invoke<3132, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_GAMER_HAS_HEADSET(Any* gamerHandle) { return big::native_invoker::invoke<3133, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_GAMER_TALKING(Any* gamerHandle) { return big::native_invoker::invoke<3134, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_PERMISSIONS_HAS_GAMER_RECORD(Any* gamerHandle) { return big::native_invoker::invoke<3135, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_COMMUNICATE_WITH_GAMER(Any* gamerHandle) { return big::native_invoker::invoke<3136, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_TEXT_CHAT_WITH_GAMER(Any* gamerHandle) { return big::native_invoker::invoke<3137, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_GAMER_MUTED_BY_ME(Any* gamerHandle) { return big::native_invoker::invoke<3138, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_AM_I_MUTED_BY_GAMER(Any* gamerHandle) { return big::native_invoker::invoke<3139, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_GAMER_BLOCKED_BY_ME(Any* gamerHandle) { return big::native_invoker::invoke<3140, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_AM_I_BLOCKED_BY_GAMER(Any* gamerHandle) { return big::native_invoker::invoke<3141, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_VIEW_GAMER_USER_CONTENT(Any* gamerHandle) { return big::native_invoker::invoke<3142, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_VIEW_GAMER_USER_CONTENT_RESULT(Any* gamerHandle) { return big::native_invoker::invoke<3143, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL _NETWORK_CAN_TEXT_FROM_GAMER_BE_VIEWED(Any* gamerHandle) { return big::native_invoker::invoke<3144, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_PLAY_MULTIPLAYER_WITH_GAMER(Any* gamerHandle) { return big::native_invoker::invoke<3145, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_GAMER_PLAY_MULTIPLAYER_WITH_ME(Any* gamerHandle) { return big::native_invoker::invoke<3146, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_SEND_LOCAL_INVITE(Any* gamerHandle) { return big::native_invoker::invoke<3147, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CAN_RECEIVE_LOCAL_INVITE(Any* gamerHandle) { return big::native_invoker::invoke<3148, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_TALKING(Player player) { return big::native_invoker::invoke<3149, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_PLAYER_HAS_HEADSET(Player player) { return big::native_invoker::invoke<3150, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_MUTED_BY_ME(Player player) { return big::native_invoker::invoke<3151, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_AM_I_MUTED_BY_PLAYER(Player player) { return big::native_invoker::invoke<3152, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_BLOCKED_BY_ME(Player player) { return big::native_invoker::invoke<3153, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_AM_I_BLOCKED_BY_PLAYER(Player player) { return big::native_invoker::invoke<3154, false, BOOL>(player); }
	FORCEINLINE constexpr float NETWORK_GET_PLAYER_LOUDNESS(Player player) { return big::native_invoker::invoke<3155, false, float>(player); }
	FORCEINLINE constexpr void NETWORK_SET_TALKER_PROXIMITY(float value) { return big::native_invoker::invoke<3156, false, void>(value); }
	FORCEINLINE constexpr float NETWORK_GET_TALKER_PROXIMITY() { return big::native_invoker::invoke<3157, false, float>(); }
	FORCEINLINE constexpr void NETWORK_SET_VOICE_ACTIVE(BOOL toggle) { return big::native_invoker::invoke<3158, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_REMAIN_IN_GAME_CHAT(BOOL p0) { return big::native_invoker::invoke<3159, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_TRANSITION_CHAT(BOOL p0) { return big::native_invoker::invoke<3160, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_TEAM_ONLY_CHAT(BOOL toggle) { return big::native_invoker::invoke<3161, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_SCRIPT_CONTROLLING_TEAMS(Any p0) { return big::native_invoker::invoke<3162, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_SET_SAME_TEAM_AS_LOCAL_PLAYER(Any p0, Any p1) { return big::native_invoker::invoke<3163, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_TEAM_RESTRICTIONS(int team, BOOL toggle) { return big::native_invoker::invoke<3164, false, void>(team, toggle); }
	FORCEINLINE constexpr void NETWORK_SET_OVERRIDE_SPECTATOR_MODE(BOOL toggle) { return big::native_invoker::invoke<3165, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_OVERRIDE_TUTORIAL_SESSION_CHAT(BOOL toggle) { return big::native_invoker::invoke<3166, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_PROXIMITY_AFFECTS_TEAM(BOOL toggle) { return big::native_invoker::invoke<3167, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_NO_SPECTATOR_CHAT(BOOL toggle) { return big::native_invoker::invoke<3168, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_IGNORE_SPECTATOR_CHAT_LIMITS_SAME_TEAM(BOOL toggle) { return big::native_invoker::invoke<3169, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_CHAT_RESTRICTIONS(Player player, BOOL toggle) { return big::native_invoker::invoke<3170, false, void>(player, toggle); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_SEND_RESTRICTIONS(Player player, BOOL toggle) { return big::native_invoker::invoke<3171, false, void>(player, toggle); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_SEND_RESTRICTIONS_ALL(BOOL toggle) { return big::native_invoker::invoke<3172, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_RECEIVE_RESTRICTIONS(Player player, BOOL toggle) { return big::native_invoker::invoke<3173, false, void>(player, toggle); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_RECEIVE_RESTRICTIONS_ALL(BOOL toggle) { return big::native_invoker::invoke<3174, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_VOICE_CHANNEL(int channel) { return big::native_invoker::invoke<3175, false, void>(channel); }
	FORCEINLINE constexpr void NETWORK_CLEAR_VOICE_CHANNEL() { return big::native_invoker::invoke<3176, false, void>(); }
	FORCEINLINE constexpr void NETWORK_APPLY_VOICE_PROXIMITY_OVERRIDE(float x, float y, float z) { return big::native_invoker::invoke<3177, false, void>(x, y, z); }
	FORCEINLINE constexpr void NETWORK_CLEAR_VOICE_PROXIMITY_OVERRIDE() { return big::native_invoker::invoke<3178, false, void>(); }
	FORCEINLINE constexpr void NETWORK_ENABLE_VOICE_BANDWIDTH_RESTRICTION(Player player) { return big::native_invoker::invoke<3179, false, void>(player); }
	FORCEINLINE constexpr void NETWORK_DISABLE_VOICE_BANDWIDTH_RESTRICTION(Player player) { return big::native_invoker::invoke<3180, false, void>(player); }
	FORCEINLINE constexpr void NETWORK_GET_MUTE_COUNT_FOR_PLAYER(Player p0, float* p1, float* p2) { return big::native_invoker::invoke<3181, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void NETWORK_SET_SPECTATOR_TO_NON_SPECTATOR_TEXT_CHAT(BOOL toggle) { return big::native_invoker::invoke<3182, false, void>(toggle); }
	FORCEINLINE constexpr BOOL NETWORK_TEXT_CHAT_IS_TYPING() { return big::native_invoker::invoke<3183, false, BOOL>(); }
	FORCEINLINE constexpr void SHUTDOWN_AND_LAUNCH_SINGLE_PLAYER_GAME() { return big::native_invoker::invoke<3184, false, void>(); }
	FORCEINLINE constexpr BOOL SHUTDOWN_AND_LOAD_MOST_RECENT_SAVE() { return big::native_invoker::invoke<3185, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_FRIENDLY_FIRE_OPTION(BOOL toggle) { return big::native_invoker::invoke<3186, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_RICH_PRESENCE(int p0, int p1, Any p2, Any p3) { return big::native_invoker::invoke<3187, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void NETWORK_SET_RICH_PRESENCE_STRING(int p0, const char* textLabel) { return big::native_invoker::invoke<3188, false, void>(p0, textLabel); }
	FORCEINLINE constexpr int NETWORK_GET_TIMEOUT_TIME() { return big::native_invoker::invoke<3189, false, int>(); }
	FORCEINLINE constexpr void NETWORK_LEAVE_PED_BEHIND_BEFORE_WARP(Player player, float x, float y, float z, BOOL p4, BOOL p5) { return big::native_invoker::invoke<3190, false, void>(player, x, y, z, p4, p5); }
	FORCEINLINE constexpr void NETWORK_LEAVE_PED_BEHIND_BEFORE_CUTSCENE(Player player, BOOL p1) { return big::native_invoker::invoke<3191, false, void>(player, p1); }
	FORCEINLINE constexpr void REMOVE_ALL_STICKY_BOMBS_FROM_ENTITY(Entity entity, Ped ped) { return big::native_invoker::invoke<3192, false, void>(entity, ped); }
	FORCEINLINE constexpr void NETWORK_KEEP_ENTITY_COLLISION_DISABLED_AFTER_ANIM_SCENE(Any p0, Any p1) { return big::native_invoker::invoke<3193, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ANY_PLAYER_NEAR(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<3194, false, BOOL>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_SERVICE_IS_VALID() { return big::native_invoker::invoke<3195, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_PLAYER_IS_ACTIVE(Any* gamerHandle) { return big::native_invoker::invoke<3196, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_PLAYER_GET_DESC(Any* clanDesc, int bufferSize, Any* gamerHandle) { return big::native_invoker::invoke<3197, false, BOOL>(clanDesc, bufferSize, gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_IS_ROCKSTAR_CLAN(Any* clanDesc, int bufferSize) { return big::native_invoker::invoke<3198, false, BOOL>(clanDesc, bufferSize); }
	FORCEINLINE constexpr void NETWORK_CLAN_GET_UI_FORMATTED_TAG(Any* clanDesc, int bufferSize, char* formattedTag) { return big::native_invoker::invoke<3199, false, void>(clanDesc, bufferSize, formattedTag); }
	FORCEINLINE constexpr int NETWORK_CLAN_GET_LOCAL_MEMBERSHIPS_COUNT() { return big::native_invoker::invoke<3200, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_GET_MEMBERSHIP_DESC(Any* memberDesc, int p1) { return big::native_invoker::invoke<3201, false, BOOL>(memberDesc, p1); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_DOWNLOAD_MEMBERSHIP(Any* gamerHandle) { return big::native_invoker::invoke<3202, false, BOOL>(gamerHandle); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_DOWNLOAD_MEMBERSHIP_PENDING(Any* p0) { return big::native_invoker::invoke<3203, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_ANY_DOWNLOAD_MEMBERSHIP_PENDING() { return big::native_invoker::invoke<3204, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_REMOTE_MEMBERSHIPS_ARE_IN_CACHE(int* p0) { return big::native_invoker::invoke<3205, false, BOOL>(p0); }
	FORCEINLINE constexpr int NETWORK_CLAN_GET_MEMBERSHIP_COUNT(int* p0) { return big::native_invoker::invoke<3206, false, int>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_GET_MEMBERSHIP_VALID(int* p0, Any p1) { return big::native_invoker::invoke<3207, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_GET_MEMBERSHIP(int* p0, Any* clanMembership, int p2) { return big::native_invoker::invoke<3208, false, BOOL>(p0, clanMembership, p2); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_JOIN(int clanDesc) { return big::native_invoker::invoke<3209, false, BOOL>(clanDesc); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_CREWINFO_GET_STRING_VALUE(const char* animDict, const char* animName) { return big::native_invoker::invoke<3210, false, BOOL>(animDict, animName); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_CREWINFO_GET_CREWRANKTITLE(int p0, const char* p1) { return big::native_invoker::invoke<3211, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_HAS_CREWINFO_METADATA_BEEN_RECEIVED() { return big::native_invoker::invoke<3212, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_GET_EMBLEM_TXD_NAME(Any* netHandle, char* txdName) { return big::native_invoker::invoke<3213, false, BOOL>(netHandle, txdName); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_REQUEST_EMBLEM(Any p0) { return big::native_invoker::invoke<3214, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CLAN_IS_EMBLEM_READY(Any p0, Any* p1) { return big::native_invoker::invoke<3215, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_CLAN_RELEASE_EMBLEM(Any p0) { return big::native_invoker::invoke<3216, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRIMARY_CLAN_DATA_CLEAR() { return big::native_invoker::invoke<3217, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_GET_PRIMARY_CLAN_DATA_CANCEL() { return big::native_invoker::invoke<3218, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRIMARY_CLAN_DATA_START(Any* p0, Any p1) { return big::native_invoker::invoke<3219, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRIMARY_CLAN_DATA_PENDING() { return big::native_invoker::invoke<3220, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRIMARY_CLAN_DATA_SUCCESS() { return big::native_invoker::invoke<3221, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_GET_PRIMARY_CLAN_DATA_NEW(Any* p0, Any* p1) { return big::native_invoker::invoke<3222, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void SET_NETWORK_ID_CAN_MIGRATE(int netId, BOOL toggle) { return big::native_invoker::invoke<3223, false, void>(netId, toggle); }
	FORCEINLINE constexpr void SET_NETWORK_ID_EXISTS_ON_ALL_MACHINES(int netId, BOOL toggle) { return big::native_invoker::invoke<3224, false, void>(netId, toggle); }
	FORCEINLINE constexpr void SET_NETWORK_ID_ALWAYS_EXISTS_FOR_PLAYER(int netId, Player player, BOOL toggle) { return big::native_invoker::invoke<3225, false, void>(netId, player, toggle); }
	FORCEINLINE constexpr void SET_NETWORK_ID_CAN_BE_REASSIGNED(int netId, BOOL toggle) { return big::native_invoker::invoke<3226, false, void>(netId, toggle); }
	FORCEINLINE constexpr void NETWORK_SET_ENTITY_CAN_BLEND(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3227, false, void>(entity, toggle); }
	FORCEINLINE constexpr void NETWORK_SET_OBJECT_CAN_BLEND_WHEN_FIXED(Object object, BOOL toggle) { return big::native_invoker::invoke<3228, false, void>(object, toggle); }
	FORCEINLINE constexpr void NETWORK_SET_ENTITY_ONLY_EXISTS_FOR_PARTICIPANTS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3229, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_NETWORK_ID_VISIBLE_IN_CUTSCENE(int netId, BOOL p1, BOOL p2) { return big::native_invoker::invoke<3230, false, void>(netId, p1, p2); }
	FORCEINLINE constexpr void SET_NETWORK_ID_VISIBLE_IN_CUTSCENE_HACK(int netId, BOOL p1, BOOL p2) { return big::native_invoker::invoke<3231, false, void>(netId, p1, p2); }
	FORCEINLINE constexpr void SET_NETWORK_ID_VISIBLE_IN_CUTSCENE_REMAIN_HACK(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<3232, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void SET_NETWORK_CUTSCENE_ENTITIES(BOOL toggle) { return big::native_invoker::invoke<3233, false, void>(toggle); }
	FORCEINLINE constexpr BOOL ARE_CUTSCENE_ENTITIES_NETWORKED() { return big::native_invoker::invoke<3234, false, BOOL>(); }
	FORCEINLINE constexpr void SET_NETWORK_ID_PASS_CONTROL_IN_TUTORIAL(int netId, BOOL state) { return big::native_invoker::invoke<3235, false, void>(netId, state); }
	FORCEINLINE constexpr BOOL IS_NETWORK_ID_OWNED_BY_PARTICIPANT(int netId) { return big::native_invoker::invoke<3236, false, BOOL>(netId); }
	FORCEINLINE constexpr void SET_REMOTE_PLAYER_VISIBLE_IN_CUTSCENE(Player player, BOOL locallyVisible) { return big::native_invoker::invoke<3237, false, void>(player, locallyVisible); }
	FORCEINLINE constexpr void SET_LOCAL_PLAYER_VISIBLE_IN_CUTSCENE(BOOL p0, BOOL p1) { return big::native_invoker::invoke<3238, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_LOCAL_PLAYER_INVISIBLE_LOCALLY(BOOL bIncludePlayersVehicle) { return big::native_invoker::invoke<3239, false, void>(bIncludePlayersVehicle); }
	FORCEINLINE constexpr void SET_LOCAL_PLAYER_VISIBLE_LOCALLY(BOOL bIncludePlayersVehicle) { return big::native_invoker::invoke<3240, false, void>(bIncludePlayersVehicle); }
	FORCEINLINE constexpr void SET_PLAYER_INVISIBLE_LOCALLY(Player player, BOOL bIncludePlayersVehicle) { return big::native_invoker::invoke<3241, false, void>(player, bIncludePlayersVehicle); }
	FORCEINLINE constexpr void SET_PLAYER_VISIBLE_LOCALLY(Player player, BOOL bIncludePlayersVehicle) { return big::native_invoker::invoke<3242, false, void>(player, bIncludePlayersVehicle); }
	FORCEINLINE constexpr void FADE_OUT_LOCAL_PLAYER(BOOL p0) { return big::native_invoker::invoke<3243, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_FADE_OUT_ENTITY(Entity entity, BOOL normal, BOOL slow) { return big::native_invoker::invoke<3244, false, void>(entity, normal, slow); }
	FORCEINLINE constexpr void NETWORK_FADE_IN_ENTITY(Entity entity, BOOL state, Any p2) { return big::native_invoker::invoke<3245, false, void>(entity, state, p2); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_FADING(Player player) { return big::native_invoker::invoke<3246, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ENTITY_FADING(Entity entity) { return big::native_invoker::invoke<3247, false, BOOL>(entity); }
	FORCEINLINE constexpr BOOL IS_PLAYER_IN_CUTSCENE(Player player) { return big::native_invoker::invoke<3248, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_ENTITY_VISIBLE_IN_CUTSCENE(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<3249, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void SET_ENTITY_LOCALLY_INVISIBLE(Entity entity) { return big::native_invoker::invoke<3250, false, void>(entity); }
	FORCEINLINE constexpr void SET_ENTITY_LOCALLY_VISIBLE(Entity entity) { return big::native_invoker::invoke<3251, false, void>(entity); }
	FORCEINLINE constexpr BOOL IS_DAMAGE_TRACKER_ACTIVE_ON_NETWORK_ID(int netID) { return big::native_invoker::invoke<3252, false, BOOL>(netID); }
	FORCEINLINE constexpr void ACTIVATE_DAMAGE_TRACKER_ON_NETWORK_ID(int netID, BOOL toggle) { return big::native_invoker::invoke<3253, false, void>(netID, toggle); }
	FORCEINLINE constexpr BOOL IS_DAMAGE_TRACKER_ACTIVE_ON_PLAYER(Player player) { return big::native_invoker::invoke<3254, false, BOOL>(player); }
	FORCEINLINE constexpr void ACTIVATE_DAMAGE_TRACKER_ON_PLAYER(Player player, BOOL toggle) { return big::native_invoker::invoke<3255, false, void>(player, toggle); }
	FORCEINLINE constexpr BOOL IS_SPHERE_VISIBLE_TO_ANOTHER_MACHINE(float p0, float p1, float p2, float p3) { return big::native_invoker::invoke<3256, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL IS_SPHERE_VISIBLE_TO_PLAYER(Any p0, float p1, float p2, float p3, float p4) { return big::native_invoker::invoke<3257, false, BOOL>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void RESERVE_NETWORK_MISSION_OBJECTS(int amount) { return big::native_invoker::invoke<3258, false, void>(amount); }
	FORCEINLINE constexpr void RESERVE_NETWORK_MISSION_PEDS(int amount) { return big::native_invoker::invoke<3259, false, void>(amount); }
	FORCEINLINE constexpr void RESERVE_NETWORK_MISSION_VEHICLES(int amount) { return big::native_invoker::invoke<3260, false, void>(amount); }
	FORCEINLINE constexpr void RESERVE_LOCAL_NETWORK_MISSION_OBJECTS(int amount) { return big::native_invoker::invoke<3261, false, void>(amount); }
	FORCEINLINE constexpr void RESERVE_LOCAL_NETWORK_MISSION_PEDS(int amount) { return big::native_invoker::invoke<3262, false, void>(amount); }
	FORCEINLINE constexpr void RESERVE_LOCAL_NETWORK_MISSION_VEHICLES(int amount) { return big::native_invoker::invoke<3263, false, void>(amount); }
	FORCEINLINE constexpr BOOL CAN_REGISTER_MISSION_OBJECTS(int amount) { return big::native_invoker::invoke<3264, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL CAN_REGISTER_MISSION_PEDS(int amount) { return big::native_invoker::invoke<3265, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL CAN_REGISTER_MISSION_VEHICLES(int amount) { return big::native_invoker::invoke<3266, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL CAN_REGISTER_MISSION_PICKUPS(int amount) { return big::native_invoker::invoke<3267, false, BOOL>(amount); }
	FORCEINLINE constexpr BOOL CAN_REGISTER_MISSION_DOORS(Any p0) { return big::native_invoker::invoke<3268, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL CAN_REGISTER_MISSION_ENTITIES(int ped_amt, int vehicle_amt, int object_amt, int pickup_amt) { return big::native_invoker::invoke<3269, false, BOOL>(ped_amt, vehicle_amt, object_amt, pickup_amt); }
	FORCEINLINE constexpr int GET_NUM_RESERVED_MISSION_OBJECTS(BOOL p0, Any p1) { return big::native_invoker::invoke<3270, false, int>(p0, p1); }
	FORCEINLINE constexpr int GET_NUM_RESERVED_MISSION_PEDS(BOOL p0, Any p1) { return big::native_invoker::invoke<3271, false, int>(p0, p1); }
	FORCEINLINE constexpr int GET_NUM_RESERVED_MISSION_VEHICLES(BOOL p0, Any p1) { return big::native_invoker::invoke<3272, false, int>(p0, p1); }
	FORCEINLINE constexpr int GET_NUM_CREATED_MISSION_OBJECTS(BOOL p0) { return big::native_invoker::invoke<3273, false, int>(p0); }
	FORCEINLINE constexpr int GET_NUM_CREATED_MISSION_PEDS(BOOL p0) { return big::native_invoker::invoke<3274, false, int>(p0); }
	FORCEINLINE constexpr int GET_NUM_CREATED_MISSION_VEHICLES(BOOL p0) { return big::native_invoker::invoke<3275, false, int>(p0); }
	FORCEINLINE constexpr void GET_RESERVED_MISSION_ENTITIES_IN_AREA(float x, float y, float z, Any p3, Any* out1, Any* out2, Any* out3) { return big::native_invoker::invoke<3276, false, void>(x, y, z, p3, out1, out2, out3); }
	FORCEINLINE constexpr int GET_MAX_NUM_NETWORK_OBJECTS() { return big::native_invoker::invoke<3277, false, int>(); }
	FORCEINLINE constexpr int GET_MAX_NUM_NETWORK_PEDS() { return big::native_invoker::invoke<3278, false, int>(); }
	FORCEINLINE constexpr int GET_MAX_NUM_NETWORK_VEHICLES() { return big::native_invoker::invoke<3279, false, int>(); }
	FORCEINLINE constexpr int GET_MAX_NUM_NETWORK_PICKUPS() { return big::native_invoker::invoke<3280, false, int>(); }
	FORCEINLINE constexpr void NETWORK_SET_OBJECT_SCOPE_DISTANCE(Object object, float range) { return big::native_invoker::invoke<3281, false, void>(object, range); }
	FORCEINLINE constexpr void NETWORK_ALLOW_CLONING_WHILE_IN_TUTORIAL(Any p0, Any p1) { return big::native_invoker::invoke<3282, false, void>(p0, p1); }
	FORCEINLINE constexpr void NETWORK_SET_TASK_CUTSCENE_INSCOPE_MULTIPLER(Any p0) { return big::native_invoker::invoke<3283, false, void>(p0); }
	FORCEINLINE constexpr void _NETWORK_HIDE_ENTITY_IN_TUTORIAL_SESSION(int netHandle, BOOL hide) { return big::native_invoker::invoke<3284, false, void>(netHandle, hide); }
	FORCEINLINE constexpr int GET_NETWORK_TIME() { return big::native_invoker::invoke<3285, false, int>(); }
	FORCEINLINE constexpr int GET_NETWORK_TIME_ACCURATE() { return big::native_invoker::invoke<3286, false, int>(); }
	FORCEINLINE constexpr BOOL HAS_NETWORK_TIME_STARTED() { return big::native_invoker::invoke<3287, false, BOOL>(); }
	FORCEINLINE constexpr int GET_TIME_OFFSET(int timeA, int timeB) { return big::native_invoker::invoke<3288, false, int>(timeA, timeB); }
	FORCEINLINE constexpr BOOL IS_TIME_LESS_THAN(int timeA, int timeB) { return big::native_invoker::invoke<3289, false, BOOL>(timeA, timeB); }
	FORCEINLINE constexpr BOOL IS_TIME_MORE_THAN(int timeA, int timeB) { return big::native_invoker::invoke<3290, false, BOOL>(timeA, timeB); }
	FORCEINLINE constexpr BOOL IS_TIME_EQUAL_TO(int timeA, int timeB) { return big::native_invoker::invoke<3291, false, BOOL>(timeA, timeB); }
	FORCEINLINE constexpr int GET_TIME_DIFFERENCE(int timeA, int timeB) { return big::native_invoker::invoke<3292, false, int>(timeA, timeB); }
	FORCEINLINE constexpr const char* GET_TIME_AS_STRING(int time) { return big::native_invoker::invoke<3293, false, const char*>(time); }
	FORCEINLINE constexpr const char* GET_CLOUD_TIME_AS_STRING() { return big::native_invoker::invoke<3294, false, const char*>(); }
	FORCEINLINE constexpr int GET_CLOUD_TIME_AS_INT() { return big::native_invoker::invoke<3295, false, int>(); }
	FORCEINLINE constexpr void CONVERT_POSIX_TIME(int posixTime, Any* timeStructure) { return big::native_invoker::invoke<3296, false, void>(posixTime, timeStructure); }
	FORCEINLINE constexpr void NETWORK_SET_IN_SPECTATOR_MODE(BOOL toggle, Ped playerPed) { return big::native_invoker::invoke<3297, false, void>(toggle, playerPed); }
	FORCEINLINE constexpr void NETWORK_SET_IN_SPECTATOR_MODE_EXTENDED(BOOL toggle, Ped playerPed, BOOL p2) { return big::native_invoker::invoke<3298, false, void>(toggle, playerPed, p2); }
	FORCEINLINE constexpr void NETWORK_SET_IN_FREE_CAM_MODE(BOOL toggle) { return big::native_invoker::invoke<3299, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_SET_ANTAGONISTIC_TO_PLAYER(BOOL toggle, Player player) { return big::native_invoker::invoke<3300, false, void>(toggle, player); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_SPECTATOR_MODE() { return big::native_invoker::invoke<3301, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_SET_IN_MP_CUTSCENE(BOOL p0, BOOL p1) { return big::native_invoker::invoke<3302, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_MP_CUTSCENE() { return big::native_invoker::invoke<3303, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_IN_MP_CUTSCENE(Player player) { return big::native_invoker::invoke<3304, false, BOOL>(player); }
	FORCEINLINE constexpr void NETWORK_HIDE_PROJECTILE_IN_CUTSCENE() { return big::native_invoker::invoke<3305, false, void>(); }
	FORCEINLINE constexpr void SET_NETWORK_VEHICLE_RESPOT_TIMER(int netId, int time, Any p2, Any p3) { return big::native_invoker::invoke<3306, false, void>(netId, time, p2, p3); }
	FORCEINLINE constexpr BOOL IS_NETWORK_VEHICLE_RUNNING_RESPOT_TIMER(int networkID) { return big::native_invoker::invoke<3307, false, BOOL>(networkID); }
	FORCEINLINE constexpr void SET_NETWORK_VEHICLE_AS_GHOST(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<3308, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_NETWORK_VEHICLE_MAX_POSITION_DELTA_MULTIPLIER(Vehicle vehicle, float multiplier) { return big::native_invoker::invoke<3309, false, void>(vehicle, multiplier); }
	FORCEINLINE constexpr void SET_NETWORK_ENABLE_HIGH_SPEED_EDGE_FALL_DETECTION(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<3310, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_LOCAL_PLAYER_AS_GHOST(BOOL toggle, BOOL p1) { return big::native_invoker::invoke<3311, false, void>(toggle, p1); }
	FORCEINLINE constexpr BOOL IS_ENTITY_A_GHOST(Entity entity) { return big::native_invoker::invoke<3312, false, BOOL>(entity); }
	FORCEINLINE constexpr void SET_NON_PARTICIPANTS_OF_THIS_SCRIPT_AS_GHOSTS(BOOL p0) { return big::native_invoker::invoke<3313, false, void>(p0); }
	FORCEINLINE constexpr void SET_REMOTE_PLAYER_AS_GHOST(Player player, BOOL p1) { return big::native_invoker::invoke<3314, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_GHOST_ALPHA(int alpha) { return big::native_invoker::invoke<3315, false, void>(alpha); }
	FORCEINLINE constexpr void RESET_GHOST_ALPHA() { return big::native_invoker::invoke<3316, false, void>(); }
	FORCEINLINE constexpr void SET_ENTITY_GHOSTED_FOR_GHOST_PLAYERS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3317, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_INVERT_GHOSTING(BOOL p0) { return big::native_invoker::invoke<3318, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_ENTITY_IN_GHOST_COLLISION(Entity entity) { return big::native_invoker::invoke<3319, false, BOOL>(entity); }
	FORCEINLINE constexpr void _SET_FREEMODE_REPORT_DATA(Any* gamerHandle, Any* reportData) { return big::native_invoker::invoke<3320, false, void>(gamerHandle, reportData); }
	FORCEINLINE constexpr void USE_PLAYER_COLOUR_INSTEAD_OF_TEAM_COLOUR(BOOL toggle) { return big::native_invoker::invoke<3321, false, void>(toggle); }
	FORCEINLINE constexpr int NETWORK_CREATE_SYNCHRONISED_SCENE(float x, float y, float z, float xRot, float yRot, float zRot, int rotationOrder, BOOL useOcclusionPortal, BOOL looped, float p9, float animTime, float p11) { return big::native_invoker::invoke<3322, false, int>(x, y, z, xRot, yRot, zRot, rotationOrder, useOcclusionPortal, looped, p9, animTime, p11); }
	FORCEINLINE constexpr void NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE(Ped ped, int netScene, const char* animDict, const char* animnName, float speed, float speedMultiplier, int duration, int flag, float playbackRate, Any p9) { return big::native_invoker::invoke<3323, false, void>(ped, netScene, animDict, animnName, speed, speedMultiplier, duration, flag, playbackRate, p9); }
	FORCEINLINE constexpr void NETWORK_ADD_PED_TO_SYNCHRONISED_SCENE_WITH_IK(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9) { return big::native_invoker::invoke<3324, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr void NETWORK_ADD_ENTITY_TO_SYNCHRONISED_SCENE(Entity entity, int netScene, const char* animDict, const char* animName, float speed, float speedMulitiplier, int flag) { return big::native_invoker::invoke<3325, false, void>(entity, netScene, animDict, animName, speed, speedMulitiplier, flag); }
	FORCEINLINE constexpr void NETWORK_ADD_MAP_ENTITY_TO_SYNCHRONISED_SCENE(int netScene, Hash modelHash, float x, float y, float z, float p5, const char* p6, float p7, float p8, int flags) { return big::native_invoker::invoke<3326, false, void>(netScene, modelHash, x, y, z, p5, p6, p7, p8, flags); }
	FORCEINLINE constexpr void NETWORK_ADD_SYNCHRONISED_SCENE_CAMERA(int netScene, const char* animDict, const char* animName) { return big::native_invoker::invoke<3327, false, void>(netScene, animDict, animName); }
	FORCEINLINE constexpr void NETWORK_ATTACH_SYNCHRONISED_SCENE_TO_ENTITY(int netScene, Entity entity, int bone) { return big::native_invoker::invoke<3328, false, void>(netScene, entity, bone); }
	FORCEINLINE constexpr void NETWORK_START_SYNCHRONISED_SCENE(int netScene) { return big::native_invoker::invoke<3329, false, void>(netScene); }
	FORCEINLINE constexpr void NETWORK_STOP_SYNCHRONISED_SCENE(int netScene) { return big::native_invoker::invoke<3330, false, void>(netScene); }
	FORCEINLINE constexpr int NETWORK_GET_LOCAL_SCENE_FROM_NETWORK_ID(int netId) { return big::native_invoker::invoke<3331, false, int>(netId); }
	FORCEINLINE constexpr void NETWORK_FORCE_LOCAL_USE_OF_SYNCED_SCENE_CAMERA(int netScene) { return big::native_invoker::invoke<3332, false, void>(netScene); }
	FORCEINLINE constexpr void NETWORK_ALLOW_REMOTE_SYNCED_SCENE_LOCAL_PLAYER_REQUESTS(Any p0) { return big::native_invoker::invoke<3333, false, void>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_FIND_LARGEST_BUNCH_OF_PLAYERS(int p0, Any p1) { return big::native_invoker::invoke<3334, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL NETWORK_START_RESPAWN_SEARCH_FOR_PLAYER(Player player, float x, float y, float z, float radius, float p5, float p6, float p7, int flags) { return big::native_invoker::invoke<3335, false, BOOL>(player, x, y, z, radius, p5, p6, p7, flags); }
	FORCEINLINE constexpr BOOL NETWORK_START_RESPAWN_SEARCH_IN_ANGLED_AREA_FOR_PLAYER(Player player, float x1, float y1, float z1, float x2, float y2, float z2, float width, float p8, float p9, float p10, int flags) { return big::native_invoker::invoke<3336, false, BOOL>(player, x1, y1, z1, x2, y2, z2, width, p8, p9, p10, flags); }
	FORCEINLINE constexpr int NETWORK_QUERY_RESPAWN_RESULTS(Any* p0) { return big::native_invoker::invoke<3337, false, int>(p0); }
	FORCEINLINE constexpr void NETWORK_CANCEL_RESPAWN_SEARCH() { return big::native_invoker::invoke<3338, false, void>(); }
	FORCEINLINE constexpr void NETWORK_GET_RESPAWN_RESULT(int randomInt, Vector3* coordinates, float* heading) { return big::native_invoker::invoke<3339, true, void>(randomInt, coordinates, heading); }
	FORCEINLINE constexpr int NETWORK_GET_RESPAWN_RESULT_FLAGS(int p0) { return big::native_invoker::invoke<3340, false, int>(p0); }
	FORCEINLINE constexpr void NETWORK_START_SOLO_TUTORIAL_SESSION() { return big::native_invoker::invoke<3341, false, void>(); }
	FORCEINLINE constexpr void NETWORK_ALLOW_GANG_TO_JOIN_TUTORIAL_SESSION(int teamId, int instanceId) { return big::native_invoker::invoke<3342, false, void>(teamId, instanceId); }
	FORCEINLINE constexpr void NETWORK_END_TUTORIAL_SESSION() { return big::native_invoker::invoke<3343, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_IN_TUTORIAL_SESSION() { return big::native_invoker::invoke<3344, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_WAITING_POP_CLEAR_TUTORIAL_SESSION() { return big::native_invoker::invoke<3345, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TUTORIAL_SESSION_CHANGE_PENDING() { return big::native_invoker::invoke<3346, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_PLAYER_TUTORIAL_SESSION_INSTANCE(Player player) { return big::native_invoker::invoke<3347, false, int>(player); }
	FORCEINLINE constexpr BOOL NETWORK_ARE_PLAYERS_IN_SAME_TUTORIAL_SESSION(Player player, int index) { return big::native_invoker::invoke<3348, false, BOOL>(player, index); }
	FORCEINLINE constexpr void NETWORK_BLOCK_PROXY_MIGRATION_BETWEEN_TUTORIAL_SESSIONS(Any p0) { return big::native_invoker::invoke<3349, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_CONCEAL_PLAYER(Player player, BOOL toggle, BOOL p2) { return big::native_invoker::invoke<3350, false, void>(player, toggle, p2); }
	FORCEINLINE constexpr BOOL NETWORK_IS_PLAYER_CONCEALED(Player player) { return big::native_invoker::invoke<3351, false, BOOL>(player); }
	FORCEINLINE constexpr void NETWORK_CONCEAL_ENTITY(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3352, false, void>(entity, toggle); }
	FORCEINLINE constexpr BOOL NETWORK_IS_ENTITY_CONCEALED(Entity entity) { return big::native_invoker::invoke<3353, false, BOOL>(entity); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_CLOCK_TIME(int hours, int minutes, int seconds) { return big::native_invoker::invoke<3354, false, void>(hours, minutes, seconds); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_CLOCK_RATE(int ms) { return big::native_invoker::invoke<3355, false, void>(ms); }
	FORCEINLINE constexpr void NETWORK_CLEAR_CLOCK_TIME_OVERRIDE() { return big::native_invoker::invoke<3356, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CLOCK_TIME_OVERRIDDEN() { return big::native_invoker::invoke<3357, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_ADD_ENTITY_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3358, false, int>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr int NETWORK_ADD_ENTITY_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width) { return big::native_invoker::invoke<3359, false, int>(x1, y1, z1, x2, y2, z2, width); }
	FORCEINLINE constexpr int NETWORK_ADD_CLIENT_ENTITY_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3360, false, int>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr int NETWORK_ADD_CLIENT_ENTITY_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float radius) { return big::native_invoker::invoke<3361, false, int>(x1, y1, z1, x2, y2, z2, radius); }
	FORCEINLINE constexpr BOOL NETWORK_REMOVE_ENTITY_AREA(int areaHandle) { return big::native_invoker::invoke<3362, false, BOOL>(areaHandle); }
	FORCEINLINE constexpr BOOL NETWORK_ENTITY_AREA_DOES_EXIST(int areaHandle) { return big::native_invoker::invoke<3363, false, BOOL>(areaHandle); }
	FORCEINLINE constexpr BOOL NETWORK_ENTITY_AREA_HAVE_ALL_REPLIED(int areaHandle) { return big::native_invoker::invoke<3364, false, BOOL>(areaHandle); }
	FORCEINLINE constexpr BOOL NETWORK_ENTITY_AREA_IS_OCCUPIED(int areaHandle) { return big::native_invoker::invoke<3365, false, BOOL>(areaHandle); }
	FORCEINLINE constexpr void NETWORK_USE_HIGH_PRECISION_BLENDING(int netID, BOOL toggle) { return big::native_invoker::invoke<3366, false, void>(netID, toggle); }
	FORCEINLINE constexpr void NETWORK_SET_CUSTOM_ARENA_BALL_PARAMS(int netId) { return big::native_invoker::invoke<3367, false, void>(netId); }
	FORCEINLINE constexpr void NETWORK_ENTITY_USE_HIGH_PRECISION_ROTATION(int netId, BOOL toggle) { return big::native_invoker::invoke<3368, false, void>(netId, toggle); }
	FORCEINLINE constexpr BOOL NETWORK_REQUEST_CLOUD_BACKGROUND_SCRIPTS() { return big::native_invoker::invoke<3369, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CLOUD_BACKGROUND_SCRIPT_REQUEST_PENDING() { return big::native_invoker::invoke<3370, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_REQUEST_CLOUD_TUNABLES() { return big::native_invoker::invoke<3371, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TUNABLE_CLOUD_REQUEST_PENDING() { return big::native_invoker::invoke<3372, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_GET_TUNABLE_CLOUD_CRC() { return big::native_invoker::invoke<3373, false, int>(); }
	FORCEINLINE constexpr void _NETWORK_SET_TUNABLES_REGISTRATION_CONTEXTS(Any* tunableContextData) { return big::native_invoker::invoke<3374, false, void>(tunableContextData); }
	FORCEINLINE constexpr void _NETWORK_CLEAR_TUNABLES_REGISTRATION_CONTEXTS() { return big::native_invoker::invoke<3375, false, void>(); }
	FORCEINLINE constexpr BOOL _NETWORK_GET_TUNABLES_REGISTRATION_BOOL(Hash tunableName, BOOL defaultValue) { return big::native_invoker::invoke<3376, false, BOOL>(tunableName, defaultValue); }
	FORCEINLINE constexpr int _NETWORK_GET_TUNABLES_REGISTRATION_INT(Hash tunableName, int defaultValue) { return big::native_invoker::invoke<3377, false, int>(tunableName, defaultValue); }
	FORCEINLINE constexpr float _NETWORK_GET_TUNABLES_REGISTRATION_FLOAT(Hash tunableName, float defaultValue) { return big::native_invoker::invoke<3378, false, float>(tunableName, defaultValue); }
	FORCEINLINE constexpr BOOL NETWORK_DOES_TUNABLE_EXIST(const char* tunableContext, const char* tunableName) { return big::native_invoker::invoke<3379, false, BOOL>(tunableContext, tunableName); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_INT(const char* tunableContext, const char* tunableName, int* value) { return big::native_invoker::invoke<3380, false, BOOL>(tunableContext, tunableName, value); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_FLOAT(const char* tunableContext, const char* tunableName, float* value) { return big::native_invoker::invoke<3381, false, BOOL>(tunableContext, tunableName, value); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_BOOL(const char* tunableContext, const char* tunableName) { return big::native_invoker::invoke<3382, false, BOOL>(tunableContext, tunableName); }
	FORCEINLINE constexpr BOOL NETWORK_DOES_TUNABLE_EXIST_HASH(Hash tunableContext, Hash tunableName) { return big::native_invoker::invoke<3383, false, BOOL>(tunableContext, tunableName); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_MODIFICATION_DETECTION_CLEAR() { return big::native_invoker::invoke<3384, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_INT_HASH(Hash tunableContext, Hash tunableName, int* value) { return big::native_invoker::invoke<3385, false, BOOL>(tunableContext, tunableName, value); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_INT_MODIFICATION_DETECTION_REGISTRATION_HASH(Hash contextHash, Hash nameHash, int* value) { return big::native_invoker::invoke<3386, false, BOOL>(contextHash, nameHash, value); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_FLOAT_HASH(Hash tunableContext, Hash tunableName, float* value) { return big::native_invoker::invoke<3387, false, BOOL>(tunableContext, tunableName, value); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_FLOAT_MODIFICATION_DETECTION_REGISTRATION_HASH(Hash contextHash, Hash nameHash, float* value) { return big::native_invoker::invoke<3388, false, BOOL>(contextHash, nameHash, value); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_BOOL_HASH(Hash tunableContext, Hash tunableName) { return big::native_invoker::invoke<3389, false, BOOL>(tunableContext, tunableName); }
	FORCEINLINE constexpr BOOL NETWORK_ACCESS_TUNABLE_BOOL_MODIFICATION_DETECTION_REGISTRATION_HASH(Hash contextHash, Hash nameHash, BOOL* value) { return big::native_invoker::invoke<3390, false, BOOL>(contextHash, nameHash, value); }
	FORCEINLINE constexpr BOOL NETWORK_TRY_ACCESS_TUNABLE_BOOL_HASH(Hash tunableContext, Hash tunableName, BOOL defaultValue) { return big::native_invoker::invoke<3391, false, BOOL>(tunableContext, tunableName, defaultValue); }
	FORCEINLINE constexpr int NETWORK_GET_CONTENT_MODIFIER_LIST_ID(Hash contentHash) { return big::native_invoker::invoke<3392, false, int>(contentHash); }
	FORCEINLINE constexpr int NETWORK_GET_BONE_ID_OF_FATAL_HIT() { return big::native_invoker::invoke<3393, false, int>(); }
	FORCEINLINE constexpr void NETWORK_RESET_BODY_TRACKER() { return big::native_invoker::invoke<3394, false, void>(); }
	FORCEINLINE constexpr int NETWORK_GET_NUMBER_BODY_TRACKER_HITS() { return big::native_invoker::invoke<3395, false, int>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_BONE_BEEN_HIT_BY_KILLER(int boneIndex) { return big::native_invoker::invoke<3396, false, BOOL>(boneIndex); }
	FORCEINLINE constexpr BOOL NETWORK_SET_ATTRIBUTE_DAMAGE_TO_PLAYER(Ped ped, Player player) { return big::native_invoker::invoke<3397, false, BOOL>(ped, player); }
	FORCEINLINE constexpr void NETWORK_TRIGGER_DAMAGE_EVENT_FOR_ZERO_DAMAGE(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3398, false, void>(entity, toggle); }
	FORCEINLINE constexpr void _NETWORK_TRIGGER_DAMAGE_EVENT_FOR_ZERO_PED_DAMAGE(Entity entity, BOOL trigger) { return big::native_invoker::invoke<3399, false, void>(entity, trigger); }
	FORCEINLINE constexpr void NETWORK_TRIGGER_DAMAGE_EVENT_FOR_ZERO_WEAPON_HASH(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3400, false, void>(entity, toggle); }
	FORCEINLINE constexpr void NETWORK_SET_NO_LONGER_NEEDED(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3401, false, void>(entity, toggle); }
	FORCEINLINE constexpr BOOL NETWORK_EXPLODE_VEHICLE(Vehicle vehicle, BOOL isAudible, BOOL isInvisible, int netId) { return big::native_invoker::invoke<3402, false, BOOL>(vehicle, isAudible, isInvisible, netId); }
	FORCEINLINE constexpr void NETWORK_EXPLODE_HELI(Vehicle vehicle, BOOL isAudible, BOOL isInvisible, int netId) { return big::native_invoker::invoke<3403, false, void>(vehicle, isAudible, isInvisible, netId); }
	FORCEINLINE constexpr void NETWORK_USE_LOGARITHMIC_BLENDING_THIS_FRAME(Entity entity) { return big::native_invoker::invoke<3404, false, void>(entity); }
	FORCEINLINE constexpr void NETWORK_OVERRIDE_COORDS_AND_HEADING(Entity entity, float x, float y, float z, float heading) { return big::native_invoker::invoke<3405, false, void>(entity, x, y, z, heading); }
	FORCEINLINE constexpr void NETWORK_ENABLE_EXTRA_VEHICLE_ORIENTATION_BLEND_CHECKS(int netId, BOOL toggle) { return big::native_invoker::invoke<3406, false, void>(netId, toggle); }
	FORCEINLINE constexpr void NETWORK_DISABLE_PROXIMITY_MIGRATION(int netID) { return big::native_invoker::invoke<3407, false, void>(netID); }
	FORCEINLINE constexpr void NETWORK_SET_PROPERTY_ID(int id) { return big::native_invoker::invoke<3408, false, void>(id); }
	FORCEINLINE constexpr void NETWORK_CLEAR_PROPERTY_ID() { return big::native_invoker::invoke<3409, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SET_PLAYER_MENTAL_STATE(int p0) { return big::native_invoker::invoke<3410, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_SET_MINIMUM_RANK_FOR_MISSION(BOOL p0) { return big::native_invoker::invoke<3411, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_CACHE_LOCAL_PLAYER_HEAD_BLEND_DATA() { return big::native_invoker::invoke<3412, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_CACHED_PLAYER_HEAD_BLEND_DATA(Player player) { return big::native_invoker::invoke<3413, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL NETWORK_APPLY_CACHED_PLAYER_HEAD_BLEND_DATA(Ped ped, Player player) { return big::native_invoker::invoke<3414, false, BOOL>(ped, player); }
	FORCEINLINE constexpr int GET_NUM_COMMERCE_ITEMS() { return big::native_invoker::invoke<3415, false, int>(); }
	FORCEINLINE constexpr BOOL IS_COMMERCE_DATA_VALID() { return big::native_invoker::invoke<3416, false, BOOL>(); }
	FORCEINLINE constexpr void TRIGGER_COMMERCE_DATA_FETCH(Any p0) { return big::native_invoker::invoke<3417, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_COMMERCE_DATA_FETCH_IN_PROGRESS() { return big::native_invoker::invoke<3418, false, BOOL>(); }
	FORCEINLINE constexpr const char* GET_COMMERCE_ITEM_ID(int index) { return big::native_invoker::invoke<3419, false, const char*>(index); }
	FORCEINLINE constexpr const char* GET_COMMERCE_ITEM_NAME(int index) { return big::native_invoker::invoke<3420, false, const char*>(index); }
	FORCEINLINE constexpr const char* GET_COMMERCE_PRODUCT_PRICE(int index) { return big::native_invoker::invoke<3421, false, const char*>(index); }
	FORCEINLINE constexpr int GET_COMMERCE_ITEM_NUM_CATS(int index) { return big::native_invoker::invoke<3422, false, int>(index); }
	FORCEINLINE constexpr const char* GET_COMMERCE_ITEM_CAT(int index, int index2) { return big::native_invoker::invoke<3423, false, const char*>(index, index2); }
	FORCEINLINE constexpr void OPEN_COMMERCE_STORE(const char* p0, const char* p1, int p2) { return big::native_invoker::invoke<3424, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL IS_COMMERCE_STORE_OPEN() { return big::native_invoker::invoke<3425, false, BOOL>(); }
	FORCEINLINE constexpr void SET_STORE_ENABLED(BOOL toggle) { return big::native_invoker::invoke<3426, false, void>(toggle); }
	FORCEINLINE constexpr BOOL REQUEST_COMMERCE_ITEM_IMAGE(int index) { return big::native_invoker::invoke<3427, false, BOOL>(index); }
	FORCEINLINE constexpr void RELEASE_ALL_COMMERCE_ITEM_IMAGES() { return big::native_invoker::invoke<3428, false, void>(); }
	FORCEINLINE constexpr const char* GET_COMMERCE_ITEM_TEXTURENAME(int index) { return big::native_invoker::invoke<3429, false, const char*>(index); }
	FORCEINLINE constexpr BOOL IS_STORE_AVAILABLE_TO_USER() { return big::native_invoker::invoke<3430, false, BOOL>(); }
	FORCEINLINE constexpr void DELAY_MP_STORE_OPEN() { return big::native_invoker::invoke<3431, false, void>(); }
	FORCEINLINE constexpr void RESET_STORE_NETWORK_GAME_TRACKING() { return big::native_invoker::invoke<3432, false, void>(); }
	FORCEINLINE constexpr BOOL IS_USER_OLD_ENOUGH_TO_ACCESS_STORE() { return big::native_invoker::invoke<3433, false, BOOL>(); }
	FORCEINLINE constexpr void SET_LAST_VIEWED_SHOP_ITEM(Hash p0, int p1, Hash p2) { return big::native_invoker::invoke<3434, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr int GET_USER_PREMIUM_ACCESS() { return big::native_invoker::invoke<3435, false, int>(); }
	FORCEINLINE constexpr int GET_USER_STARTER_ACCESS() { return big::native_invoker::invoke<3436, false, int>(); }
	FORCEINLINE constexpr int CLOUD_DELETE_MEMBER_FILE(const char* p0) { return big::native_invoker::invoke<3437, false, int>(p0); }
	FORCEINLINE constexpr BOOL CLOUD_HAS_REQUEST_COMPLETED(int requestId) { return big::native_invoker::invoke<3438, false, BOOL>(requestId); }
	FORCEINLINE constexpr BOOL CLOUD_DID_REQUEST_SUCCEED(int requestId) { return big::native_invoker::invoke<3439, false, BOOL>(requestId); }
	FORCEINLINE constexpr void CLOUD_CHECK_AVAILABILITY() { return big::native_invoker::invoke<3440, false, void>(); }
	FORCEINLINE constexpr BOOL CLOUD_IS_CHECKING_AVAILABILITY() { return big::native_invoker::invoke<3441, false, BOOL>(); }
	FORCEINLINE constexpr BOOL CLOUD_GET_AVAILABILITY_CHECK_RESULT() { return big::native_invoker::invoke<3442, false, BOOL>(); }
	FORCEINLINE constexpr int GET_CONTENT_TO_LOAD_TYPE() { return big::native_invoker::invoke<3443, false, int>(); }
	FORCEINLINE constexpr BOOL GET_IS_LAUNCH_FROM_LIVE_AREA() { return big::native_invoker::invoke<3444, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_IS_LIVE_AREA_LAUNCH_WITH_CONTENT() { return big::native_invoker::invoke<3445, false, BOOL>(); }
	FORCEINLINE constexpr void CLEAR_SERVICE_EVENT_ARGUMENTS() { return big::native_invoker::invoke<3446, false, void>(); }
	FORCEINLINE constexpr BOOL UGC_COPY_CONTENT(Any* p0, Any* p1) { return big::native_invoker::invoke<3447, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL UGC_IS_CREATING() { return big::native_invoker::invoke<3448, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_HAS_CREATE_FINISHED() { return big::native_invoker::invoke<3449, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_DID_CREATE_SUCCEED() { return big::native_invoker::invoke<3450, false, BOOL>(); }
	FORCEINLINE constexpr int UGC_GET_CREATE_RESULT() { return big::native_invoker::invoke<3451, false, int>(); }
	FORCEINLINE constexpr const char* UGC_GET_CREATE_CONTENT_ID() { return big::native_invoker::invoke<3452, false, const char*>(); }
	FORCEINLINE constexpr void UGC_CLEAR_CREATE_RESULT() { return big::native_invoker::invoke<3453, false, void>(); }
	FORCEINLINE constexpr BOOL UGC_QUERY_MY_CONTENT(Any p0, Any p1, Any* p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<3454, false, BOOL>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL UGC_QUERY_BY_CATEGORY(Any p0, Any p1, Any p2, const char* p3, Any p4, BOOL p5) { return big::native_invoker::invoke<3455, false, BOOL>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL UGC_QUERY_BY_CONTENT_ID(const char* contentId, BOOL latestVersion, const char* contentTypeName) { return big::native_invoker::invoke<3456, false, BOOL>(contentId, latestVersion, contentTypeName); }
	FORCEINLINE constexpr BOOL UGC_QUERY_BY_CONTENT_IDS(Any* data, int count, BOOL latestVersion, const char* contentTypeName) { return big::native_invoker::invoke<3457, false, BOOL>(data, count, latestVersion, contentTypeName); }
	FORCEINLINE constexpr BOOL UGC_QUERY_MOST_RECENTLY_CREATED_CONTENT(int offset, int count, const char* contentTypeName, int p3) { return big::native_invoker::invoke<3458, false, BOOL>(offset, count, contentTypeName, p3); }
	FORCEINLINE constexpr BOOL UGC_GET_BOOKMARKED_CONTENT(Any p0, Any p1, const char* p2, Any* p3) { return big::native_invoker::invoke<3459, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL UGC_GET_MY_CONTENT(Any p0, Any p1, const char* p2, Any* p3) { return big::native_invoker::invoke<3460, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL UGC_GET_FRIEND_CONTENT(Any p0, Any p1, const char* p2, Any* p3) { return big::native_invoker::invoke<3461, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL UGC_GET_CREW_CONTENT(Any p0, Any p1, Any p2, const char* p3, Any* p4) { return big::native_invoker::invoke<3462, false, BOOL>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL UGC_GET_GET_BY_CATEGORY(Any p0, Any p1, Any p2, const char* p3, Any* p4) { return big::native_invoker::invoke<3463, false, BOOL>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL UGC_GET_GET_BY_CONTENT_ID(const char* contentId, const char* contentTypeName) { return big::native_invoker::invoke<3464, false, BOOL>(contentId, contentTypeName); }
	FORCEINLINE constexpr BOOL UGC_GET_GET_BY_CONTENT_IDS(Any* data, int dataCount, const char* contentTypeName) { return big::native_invoker::invoke<3465, false, BOOL>(data, dataCount, contentTypeName); }
	FORCEINLINE constexpr BOOL UGC_GET_MOST_RECENTLY_CREATED_CONTENT(Any p0, Any p1, Any* p2, Any* p3) { return big::native_invoker::invoke<3466, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL UGC_GET_MOST_RECENTLY_PLAYED_CONTENT(Any p0, Any p1, Any* p2, Any* p3) { return big::native_invoker::invoke<3467, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL UGC_GET_TOP_RATED_CONTENT(Any p0, Any p1, Any* p2, Any* p3) { return big::native_invoker::invoke<3468, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void UGC_CANCEL_QUERY() { return big::native_invoker::invoke<3469, false, void>(); }
	FORCEINLINE constexpr BOOL UGC_IS_GETTING() { return big::native_invoker::invoke<3470, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_HAS_GET_FINISHED() { return big::native_invoker::invoke<3471, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_DID_GET_SUCCEED() { return big::native_invoker::invoke<3472, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_WAS_QUERY_FORCE_CANCELLED() { return big::native_invoker::invoke<3473, false, BOOL>(); }
	FORCEINLINE constexpr int UGC_GET_QUERY_RESULT() { return big::native_invoker::invoke<3474, false, int>(); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_NUM() { return big::native_invoker::invoke<3475, false, int>(); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_TOTAL() { return big::native_invoker::invoke<3476, false, int>(); }
	FORCEINLINE constexpr Hash UGC_GET_CONTENT_HASH() { return big::native_invoker::invoke<3477, false, Hash>(); }
	FORCEINLINE constexpr void UGC_CLEAR_QUERY_RESULTS() { return big::native_invoker::invoke<3478, false, void>(); }
	FORCEINLINE constexpr const char* UGC_GET_CONTENT_USER_ID(int p0) { return big::native_invoker::invoke<3479, false, const char*>(p0); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_CREATOR_GAMER_HANDLE(int p0, Any* p1) { return big::native_invoker::invoke<3480, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_CREATED_BY_LOCAL_PLAYER(Any p0) { return big::native_invoker::invoke<3481, false, BOOL>(p0); }
	FORCEINLINE constexpr const char* UGC_GET_CONTENT_USER_NAME(Any p0) { return big::native_invoker::invoke<3482, false, const char*>(p0); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_IS_USING_SC_NICKNAME(Any p0) { return big::native_invoker::invoke<3483, false, BOOL>(p0); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_CATEGORY(int p0) { return big::native_invoker::invoke<3484, false, int>(p0); }
	FORCEINLINE constexpr const char* UGC_GET_CONTENT_ID(int p0) { return big::native_invoker::invoke<3485, false, const char*>(p0); }
	FORCEINLINE constexpr const char* UGC_GET_ROOT_CONTENT_ID(int p0) { return big::native_invoker::invoke<3486, false, const char*>(p0); }
	FORCEINLINE constexpr const char* UGC_GET_CONTENT_NAME(Any p0) { return big::native_invoker::invoke<3487, false, const char*>(p0); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_DESCRIPTION_HASH(Any p0) { return big::native_invoker::invoke<3488, false, int>(p0); }
	FORCEINLINE constexpr const char* UGC_GET_CONTENT_PATH(int p0, int p1) { return big::native_invoker::invoke<3489, false, const char*>(p0, p1); }
	FORCEINLINE constexpr void UGC_GET_CONTENT_UPDATED_DATE(Any p0, Any* p1) { return big::native_invoker::invoke<3490, false, void>(p0, p1); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_FILE_VERSION(Any p0, Any p1) { return big::native_invoker::invoke<3491, false, int>(p0, p1); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_HAS_LO_RES_PHOTO(int p0) { return big::native_invoker::invoke<3492, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_HAS_HI_RES_PHOTO(int p0) { return big::native_invoker::invoke<3493, false, BOOL>(p0); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_LANGUAGE(Any p0) { return big::native_invoker::invoke<3494, false, int>(p0); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_IS_PUBLISHED(Any p0) { return big::native_invoker::invoke<3495, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_IS_VERIFIED(Any p0) { return big::native_invoker::invoke<3496, false, BOOL>(p0); }
	FORCEINLINE constexpr float UGC_GET_CONTENT_RATING(Any p0, Any p1) { return big::native_invoker::invoke<3497, false, float>(p0, p1); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_RATING_COUNT(Any p0, Any p1) { return big::native_invoker::invoke<3498, false, int>(p0, p1); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_RATING_POSITIVE_COUNT(Any p0, Any p1) { return big::native_invoker::invoke<3499, false, int>(p0, p1); }
	FORCEINLINE constexpr int UGC_GET_CONTENT_RATING_NEGATIVE_COUNT(Any p0, Any p1) { return big::native_invoker::invoke<3500, false, int>(p0, p1); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_HAS_PLAYER_RECORD(Any p0) { return big::native_invoker::invoke<3501, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL UGC_GET_CONTENT_HAS_PLAYER_BOOKMARKED(Any p0) { return big::native_invoker::invoke<3502, false, BOOL>(p0); }
	FORCEINLINE constexpr int UGC_REQUEST_CONTENT_DATA_FROM_INDEX(int p0, int p1) { return big::native_invoker::invoke<3503, false, int>(p0, p1); }
	FORCEINLINE constexpr int UGC_REQUEST_CONTENT_DATA_FROM_PARAMS(const char* contentTypeName, const char* contentId, int p2, int p3, int p4) { return big::native_invoker::invoke<3504, false, int>(contentTypeName, contentId, p2, p3, p4); }
	FORCEINLINE constexpr int UGC_REQUEST_CACHED_DESCRIPTION(int p0) { return big::native_invoker::invoke<3505, false, int>(p0); }
	FORCEINLINE constexpr BOOL UGC_IS_DESCRIPTION_REQUEST_IN_PROGRESS(Any p0) { return big::native_invoker::invoke<3506, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL UGC_HAS_DESCRIPTION_REQUEST_FINISHED(Any p0) { return big::native_invoker::invoke<3507, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL UGC_DID_DESCRIPTION_REQUEST_SUCCEED(Any p0) { return big::native_invoker::invoke<3508, false, BOOL>(p0); }
	FORCEINLINE constexpr const char* UGC_GET_CACHED_DESCRIPTION(Any p0, Any p1) { return big::native_invoker::invoke<3509, false, const char*>(p0, p1); }
	FORCEINLINE constexpr BOOL UGC_RELEASE_CACHED_DESCRIPTION(Any p0) { return big::native_invoker::invoke<3510, false, BOOL>(p0); }
	FORCEINLINE constexpr void UGC_RELEASE_ALL_CACHED_DESCRIPTIONS() { return big::native_invoker::invoke<3511, false, void>(); }
	FORCEINLINE constexpr BOOL UGC_HAS_PERMISSION_TO_WRITE() { return big::native_invoker::invoke<3512, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_PUBLISH(const char* contentId, const char* baseContentId, const char* contentTypeName) { return big::native_invoker::invoke<3513, false, BOOL>(contentId, baseContentId, contentTypeName); }
	FORCEINLINE constexpr BOOL UGC_SET_BOOKMARKED(const char* contentId, BOOL bookmarked, const char* contentTypeName) { return big::native_invoker::invoke<3514, false, BOOL>(contentId, bookmarked, contentTypeName); }
	FORCEINLINE constexpr BOOL UGC_SET_DELETED(Any* p0, BOOL p1, const char* p2) { return big::native_invoker::invoke<3515, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL UGC_IS_MODIFYING() { return big::native_invoker::invoke<3516, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_HAS_MODIFY_FINISHED() { return big::native_invoker::invoke<3517, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_DID_MODIFY_SUCCEED() { return big::native_invoker::invoke<3518, false, BOOL>(); }
	FORCEINLINE constexpr int UGC_GET_MODIFY_RESULT() { return big::native_invoker::invoke<3519, false, int>(); }
	FORCEINLINE constexpr void UGC_CLEAR_MODIFY_RESULT() { return big::native_invoker::invoke<3520, false, void>(); }
	FORCEINLINE constexpr BOOL UGC_GET_CREATORS_BY_USER_ID(Any* p0, Any* p1) { return big::native_invoker::invoke<3521, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL UGC_HAS_QUERY_CREATORS_FINISHED() { return big::native_invoker::invoke<3522, false, BOOL>(); }
	FORCEINLINE constexpr BOOL UGC_DID_QUERY_CREATORS_SUCCEED() { return big::native_invoker::invoke<3523, false, BOOL>(); }
	FORCEINLINE constexpr int UGC_GET_CREATOR_NUM() { return big::native_invoker::invoke<3524, false, int>(); }
	FORCEINLINE constexpr BOOL UGC_LOAD_OFFLINE_QUERY(Any p0) { return big::native_invoker::invoke<3525, false, BOOL>(p0); }
	FORCEINLINE constexpr void UGC_CLEAR_OFFLINE_QUERY() { return big::native_invoker::invoke<3526, false, void>(); }
	FORCEINLINE constexpr void UGC_SET_QUERY_DATA_FROM_OFFLINE(BOOL p0) { return big::native_invoker::invoke<3527, false, void>(p0); }
	FORCEINLINE constexpr void UGC_SET_USING_OFFLINE_CONTENT(BOOL p0) { return big::native_invoker::invoke<3528, false, void>(p0); }
	FORCEINLINE constexpr BOOL UGC_IS_LANGUAGE_SUPPORTED(Any p0) { return big::native_invoker::invoke<3529, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL FACEBOOK_POST_COMPLETED_HEIST(const char* heistName, int cashEarned, int xpEarned) { return big::native_invoker::invoke<3530, false, BOOL>(heistName, cashEarned, xpEarned); }
	FORCEINLINE constexpr BOOL FACEBOOK_POST_CREATE_CHARACTER() { return big::native_invoker::invoke<3531, false, BOOL>(); }
	FORCEINLINE constexpr BOOL FACEBOOK_POST_COMPLETED_MILESTONE(int milestoneId) { return big::native_invoker::invoke<3532, false, BOOL>(milestoneId); }
	FORCEINLINE constexpr BOOL FACEBOOK_HAS_POST_COMPLETED() { return big::native_invoker::invoke<3533, false, BOOL>(); }
	FORCEINLINE constexpr BOOL FACEBOOK_DID_POST_SUCCEED() { return big::native_invoker::invoke<3534, false, BOOL>(); }
	FORCEINLINE constexpr BOOL FACEBOOK_CAN_POST_TO_FACEBOOK() { return big::native_invoker::invoke<3535, false, BOOL>(); }
	FORCEINLINE constexpr int TEXTURE_DOWNLOAD_REQUEST(Any* gamerHandle, const char* filePath, const char* name, BOOL p3) { return big::native_invoker::invoke<3536, false, int>(gamerHandle, filePath, name, p3); }
	FORCEINLINE constexpr int TITLE_TEXTURE_DOWNLOAD_REQUEST(const char* filePath, const char* name, BOOL p2) { return big::native_invoker::invoke<3537, false, int>(filePath, name, p2); }
	FORCEINLINE constexpr int UGC_TEXTURE_DOWNLOAD_REQUEST(const char* p0, int p1, int p2, int p3, const char* p4, BOOL p5) { return big::native_invoker::invoke<3538, false, int>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void TEXTURE_DOWNLOAD_RELEASE(int p0) { return big::native_invoker::invoke<3539, false, void>(p0); }
	FORCEINLINE constexpr BOOL TEXTURE_DOWNLOAD_HAS_FAILED(int p0) { return big::native_invoker::invoke<3540, false, BOOL>(p0); }
	FORCEINLINE constexpr const char* TEXTURE_DOWNLOAD_GET_NAME(int p0) { return big::native_invoker::invoke<3541, false, const char*>(p0); }
	FORCEINLINE constexpr int GET_STATUS_OF_TEXTURE_DOWNLOAD(int p0) { return big::native_invoker::invoke<3542, false, int>(p0); }
	FORCEINLINE constexpr BOOL NETWORK_CHECK_ROS_LINK_WENTDOWN_NOT_NET() { return big::native_invoker::invoke<3543, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_SHOULD_SHOW_STRICT_NAT_WARNING() { return big::native_invoker::invoke<3544, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CABLE_CONNECTED() { return big::native_invoker::invoke<3545, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_SCS_PRIVATE_MSG_PRIV() { return big::native_invoker::invoke<3546, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_ROS_SOCIAL_CLUB_PRIV() { return big::native_invoker::invoke<3547, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_ROS_BANNED_PRIV() { return big::native_invoker::invoke<3548, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_ROS_CREATE_TICKET_PRIV() { return big::native_invoker::invoke<3549, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_ROS_MULTIPLAYER_PRIV() { return big::native_invoker::invoke<3550, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAVE_ROS_LEADERBOARD_WRITE_PRIV() { return big::native_invoker::invoke<3551, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_ROS_PRIVILEGE(int index) { return big::native_invoker::invoke<3552, false, BOOL>(index); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_ROS_PRIVILEGE_END_DATE(int privilege, int* banType, Any* timeData) { return big::native_invoker::invoke<3553, false, BOOL>(privilege, banType, timeData); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_ROS_PRIVILEGE_PLAYED_LAST_GEN() { return big::native_invoker::invoke<3554, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NETWORK_HAS_ROS_PRIVILEGE_SPECIAL_EDITION_CONTENT() { return big::native_invoker::invoke<3555, false, BOOL>(); }
	FORCEINLINE constexpr BOOL _NETWORK_HAS_ROS_PRIVILEGE_MP_TEXT_COMMUNICATION() { return big::native_invoker::invoke<3556, false, BOOL>(); }
	FORCEINLINE constexpr BOOL _NETWORK_HAS_ROS_PRIVILEGE_MP_VOICE_COMMUNICATION() { return big::native_invoker::invoke<3557, false, BOOL>(); }
	FORCEINLINE constexpr BOOL _NETWORK_HAS_ROS_PRIVILEGE_REPORTING() { return big::native_invoker::invoke<3558, false, BOOL>(); }
	FORCEINLINE constexpr int NETWORK_START_COMMUNICATION_PERMISSIONS_CHECK(Any p0) { return big::native_invoker::invoke<3559, false, int>(p0); }
	FORCEINLINE constexpr int NETWORK_START_USER_CONTENT_PERMISSIONS_CHECK(Any* netHandle) { return big::native_invoker::invoke<3560, false, int>(netHandle); }
	FORCEINLINE constexpr void NETWORK_SKIP_RADIO_RESET_NEXT_CLOSE() { return big::native_invoker::invoke<3561, false, void>(); }
	FORCEINLINE constexpr void NETWORK_SKIP_RADIO_RESET_NEXT_OPEN() { return big::native_invoker::invoke<3562, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_SKIP_RADIO_WARNING() { return big::native_invoker::invoke<3563, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_FORCE_LOCAL_PLAYER_SCAR_SYNC() { return big::native_invoker::invoke<3564, false, void>(); }
	FORCEINLINE constexpr void NETWORK_DISABLE_LEAVE_REMOTE_PED_BEHIND(BOOL toggle) { return big::native_invoker::invoke<3565, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_ALLOW_REMOTE_ATTACHMENT_MODIFICATION(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3566, false, void>(entity, toggle); }
	FORCEINLINE constexpr void NETWORK_SHOW_CHAT_RESTRICTION_MSC(Player player) { return big::native_invoker::invoke<3567, false, void>(player); }
	FORCEINLINE constexpr void NETWORK_SHOW_PSN_UGC_RESTRICTION() { return big::native_invoker::invoke<3568, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_TITLE_UPDATE_REQUIRED() { return big::native_invoker::invoke<3569, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_QUIT_MP_TO_DESKTOP() { return big::native_invoker::invoke<3570, false, void>(); }
	FORCEINLINE constexpr BOOL NETWORK_IS_CONNECTED_VIA_RELAY(Player player) { return big::native_invoker::invoke<3571, false, BOOL>(player); }
	FORCEINLINE constexpr float NETWORK_GET_AVERAGE_LATENCY(Player player) { return big::native_invoker::invoke<3572, false, float>(player); }
	FORCEINLINE constexpr float NETWORK_GET_AVERAGE_PING(Player player) { return big::native_invoker::invoke<3573, false, float>(player); }
	FORCEINLINE constexpr float NETWORK_GET_AVERAGE_PACKET_LOSS(Player player) { return big::native_invoker::invoke<3574, false, float>(player); }
	FORCEINLINE constexpr int NETWORK_GET_NUM_UNACKED_RELIABLES(Player player) { return big::native_invoker::invoke<3575, false, int>(player); }
	FORCEINLINE constexpr int NETWORK_GET_UNRELIABLE_RESEND_COUNT(Player player) { return big::native_invoker::invoke<3576, false, int>(player); }
	FORCEINLINE constexpr int NETWORK_GET_HIGHEST_RELIABLE_RESEND_COUNT(Player player) { return big::native_invoker::invoke<3577, false, int>(player); }
	FORCEINLINE constexpr void NETWORK_REPORT_CODE_TAMPER() { return big::native_invoker::invoke<3578, false, void>(); }
	FORCEINLINE constexpr Vector3 NETWORK_GET_LAST_ENTITY_POS_RECEIVED_OVER_NETWORK(Entity entity) { return big::native_invoker::invoke<3579, false, Vector3>(entity); }
	FORCEINLINE constexpr Vector3 NETWORK_GET_LAST_PLAYER_POS_RECEIVED_OVER_NETWORK(Player player) { return big::native_invoker::invoke<3580, false, Vector3>(player); }
	FORCEINLINE constexpr Vector3 NETWORK_GET_LAST_VEL_RECEIVED_OVER_NETWORK(Entity entity) { return big::native_invoker::invoke<3581, false, Vector3>(entity); }
	FORCEINLINE constexpr Vector3 NETWORK_GET_PREDICTED_VELOCITY(Entity entity, float maxSpeedToPredict) { return big::native_invoker::invoke<3582, false, Vector3>(entity, maxSpeedToPredict); }
	FORCEINLINE constexpr void NETWORK_DUMP_NET_IF_CONFIG() { return big::native_invoker::invoke<3583, false, void>(); }
	FORCEINLINE constexpr void NETWORK_GET_SIGNALLING_INFO(Any* p0) { return big::native_invoker::invoke<3584, false, void>(p0); }
	FORCEINLINE constexpr void NETWORK_GET_NET_STATISTICS_INFO(Any* p0) { return big::native_invoker::invoke<3585, false, void>(p0); }
	FORCEINLINE constexpr int NETWORK_GET_PLAYER_ACCOUNT_ID(Player player) { return big::native_invoker::invoke<3586, false, int>(player); }
	FORCEINLINE constexpr void NETWORK_UGC_NAV(Any p0, Any p1) { return big::native_invoker::invoke<3587, false, void>(p0, p1); }
}

namespace OBJECT
{
	FORCEINLINE constexpr Object CREATE_OBJECT(Hash modelHash, float x, float y, float z, BOOL isNetwork, BOOL bScriptHostObj, BOOL dynamic) { return big::native_invoker::invoke<3588, false, Object>(modelHash, x, y, z, isNetwork, bScriptHostObj, dynamic); }
	FORCEINLINE constexpr Object CREATE_OBJECT_NO_OFFSET(Hash modelHash, float x, float y, float z, BOOL isNetwork, BOOL bScriptHostObj, BOOL dynamic, Any p7) { return big::native_invoker::invoke<3589, false, Object>(modelHash, x, y, z, isNetwork, bScriptHostObj, dynamic, p7); }
	FORCEINLINE constexpr void DELETE_OBJECT(Object* object) { return big::native_invoker::invoke<3590, false, void>(object); }
	FORCEINLINE constexpr BOOL PLACE_OBJECT_ON_GROUND_PROPERLY(Object object) { return big::native_invoker::invoke<3591, false, BOOL>(object); }
	FORCEINLINE constexpr BOOL PLACE_OBJECT_ON_GROUND_OR_OBJECT_PROPERLY(Object object) { return big::native_invoker::invoke<3592, false, BOOL>(object); }
	FORCEINLINE constexpr BOOL ROTATE_OBJECT(Object object, float p1, float p2, BOOL p3) { return big::native_invoker::invoke<3593, false, BOOL>(object, p1, p2, p3); }
	FORCEINLINE constexpr BOOL SLIDE_OBJECT(Object object, float toX, float toY, float toZ, float speedX, float speedY, float speedZ, BOOL collision) { return big::native_invoker::invoke<3594, false, BOOL>(object, toX, toY, toZ, speedX, speedY, speedZ, collision); }
	FORCEINLINE constexpr void SET_OBJECT_TARGETTABLE(Object object, BOOL targettable, Any p2) { return big::native_invoker::invoke<3595, false, void>(object, targettable, p2); }
	FORCEINLINE constexpr void _SET_OBJECT_TARGETTABLE_BY_PLAYER(Object object, BOOL setFlag34, BOOL setFlag35) { return big::native_invoker::invoke<3596, false, void>(object, setFlag34, setFlag35); }
	FORCEINLINE constexpr void SET_OBJECT_FORCE_VEHICLES_TO_AVOID(Object object, BOOL toggle) { return big::native_invoker::invoke<3597, false, void>(object, toggle); }
	FORCEINLINE constexpr Object GET_CLOSEST_OBJECT_OF_TYPE(float x, float y, float z, float radius, Hash modelHash, BOOL isMission, BOOL p6, BOOL p7) { return big::native_invoker::invoke<3598, false, Object>(x, y, z, radius, modelHash, isMission, p6, p7); }
	FORCEINLINE constexpr BOOL HAS_OBJECT_BEEN_BROKEN(Object object, Any p1) { return big::native_invoker::invoke<3599, false, BOOL>(object, p1); }
	FORCEINLINE constexpr BOOL HAS_CLOSEST_OBJECT_OF_TYPE_BEEN_BROKEN(float p0, float p1, float p2, float p3, Hash modelHash, Any p5) { return big::native_invoker::invoke<3600, false, BOOL>(p0, p1, p2, p3, modelHash, p5); }
	FORCEINLINE constexpr BOOL HAS_CLOSEST_OBJECT_OF_TYPE_BEEN_COMPLETELY_DESTROYED(float x, float y, float z, float radius, Hash modelHash, BOOL p5) { return big::native_invoker::invoke<3601, false, BOOL>(x, y, z, radius, modelHash, p5); }
	FORCEINLINE constexpr BOOL GET_HAS_OBJECT_BEEN_COMPLETELY_DESTROYED(Any p0) { return big::native_invoker::invoke<3602, false, BOOL>(p0); }
	FORCEINLINE constexpr Vector3 GET_OFFSET_FROM_COORD_AND_HEADING_IN_WORLD_COORDS(float xPos, float yPos, float zPos, float heading, float xOffset, float yOffset, float zOffset) { return big::native_invoker::invoke<3603, false, Vector3>(xPos, yPos, zPos, heading, xOffset, yOffset, zOffset); }
	FORCEINLINE constexpr BOOL GET_COORDS_AND_ROTATION_OF_CLOSEST_OBJECT_OF_TYPE(float x, float y, float z, float radius, Hash modelHash, Vector3* outPosition, Vector3* outRotation, int rotationOrder) { return big::native_invoker::invoke<3604, true, BOOL>(x, y, z, radius, modelHash, outPosition, outRotation, rotationOrder); }
	FORCEINLINE constexpr void SET_STATE_OF_CLOSEST_DOOR_OF_TYPE(Hash type, float x, float y, float z, BOOL locked, float heading, BOOL p6) { return big::native_invoker::invoke<3605, false, void>(type, x, y, z, locked, heading, p6); }
	FORCEINLINE constexpr void GET_STATE_OF_CLOSEST_DOOR_OF_TYPE(Hash type, float x, float y, float z, BOOL* locked, float* heading) { return big::native_invoker::invoke<3606, false, void>(type, x, y, z, locked, heading); }
	FORCEINLINE constexpr void SET_LOCKED_UNSTREAMED_IN_DOOR_OF_TYPE(Hash modelHash, float x, float y, float z, BOOL locked, float xRotMult, float yRotMult, float zRotMult) { return big::native_invoker::invoke<3607, false, void>(modelHash, x, y, z, locked, xRotMult, yRotMult, zRotMult); }
	FORCEINLINE constexpr void PLAY_OBJECT_AUTO_START_ANIM(Any p0) { return big::native_invoker::invoke<3608, false, void>(p0); }
	FORCEINLINE constexpr void ADD_DOOR_TO_SYSTEM(Hash doorHash, Hash modelHash, float x, float y, float z, BOOL p5, BOOL scriptDoor, BOOL isLocal, Any p8) { return big::native_invoker::invoke<3609, false, void>(doorHash, modelHash, x, y, z, p5, scriptDoor, isLocal, p8); }
	FORCEINLINE constexpr void REMOVE_DOOR_FROM_SYSTEM(Hash doorHash, Any p1) { return big::native_invoker::invoke<3610, false, void>(doorHash, p1); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_DOOR_STATE(Hash doorHash, int state, BOOL requestDoor, BOOL forceUpdate) { return big::native_invoker::invoke<3611, false, void>(doorHash, state, requestDoor, forceUpdate); }
	FORCEINLINE constexpr int DOOR_SYSTEM_GET_DOOR_STATE(Hash doorHash) { return big::native_invoker::invoke<3612, false, int>(doorHash); }
	FORCEINLINE constexpr int DOOR_SYSTEM_GET_DOOR_PENDING_STATE(Hash doorHash) { return big::native_invoker::invoke<3613, false, int>(doorHash); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_AUTOMATIC_RATE(Hash doorHash, float rate, BOOL requestDoor, BOOL forceUpdate) { return big::native_invoker::invoke<3614, false, void>(doorHash, rate, requestDoor, forceUpdate); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_AUTOMATIC_DISTANCE(Hash doorHash, float distance, BOOL requestDoor, BOOL forceUpdate) { return big::native_invoker::invoke<3615, false, void>(doorHash, distance, requestDoor, forceUpdate); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_OPEN_RATIO(Hash doorHash, float ajar, BOOL requestDoor, BOOL forceUpdate) { return big::native_invoker::invoke<3616, false, void>(doorHash, ajar, requestDoor, forceUpdate); }
	FORCEINLINE constexpr float DOOR_SYSTEM_GET_AUTOMATIC_DISTANCE(Hash doorHash) { return big::native_invoker::invoke<3617, false, float>(doorHash); }
	FORCEINLINE constexpr float DOOR_SYSTEM_GET_OPEN_RATIO(Hash doorHash) { return big::native_invoker::invoke<3618, false, float>(doorHash); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_SPRING_REMOVED(Hash doorHash, BOOL removed, BOOL requestDoor, BOOL forceUpdate) { return big::native_invoker::invoke<3619, false, void>(doorHash, removed, requestDoor, forceUpdate); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_HOLD_OPEN(Hash doorHash, BOOL toggle) { return big::native_invoker::invoke<3620, false, void>(doorHash, toggle); }
	FORCEINLINE constexpr void DOOR_SYSTEM_SET_DOOR_OPEN_FOR_RACES(Hash doorHash, BOOL p1) { return big::native_invoker::invoke<3621, false, void>(doorHash, p1); }
	FORCEINLINE constexpr BOOL IS_DOOR_REGISTERED_WITH_SYSTEM(Hash doorHash) { return big::native_invoker::invoke<3622, false, BOOL>(doorHash); }
	FORCEINLINE constexpr BOOL IS_DOOR_CLOSED(Hash doorHash) { return big::native_invoker::invoke<3623, false, BOOL>(doorHash); }
	FORCEINLINE constexpr void OPEN_ALL_BARRIERS_FOR_RACE(BOOL p0) { return big::native_invoker::invoke<3624, false, void>(p0); }
	FORCEINLINE constexpr void CLOSE_ALL_BARRIERS_FOR_RACE() { return big::native_invoker::invoke<3625, false, void>(); }
	FORCEINLINE constexpr BOOL DOOR_SYSTEM_GET_IS_PHYSICS_LOADED(Any p0) { return big::native_invoker::invoke<3626, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL DOOR_SYSTEM_FIND_EXISTING_DOOR(float x, float y, float z, Hash modelHash, Hash* outDoorHash) { return big::native_invoker::invoke<3627, false, BOOL>(x, y, z, modelHash, outDoorHash); }
	FORCEINLINE constexpr BOOL IS_GARAGE_EMPTY(Hash garageHash, BOOL p1, int p2) { return big::native_invoker::invoke<3628, false, BOOL>(garageHash, p1, p2); }
	FORCEINLINE constexpr BOOL IS_PLAYER_ENTIRELY_INSIDE_GARAGE(Hash garageHash, Player player, float p2, int p3) { return big::native_invoker::invoke<3629, false, BOOL>(garageHash, player, p2, p3); }
	FORCEINLINE constexpr BOOL IS_PLAYER_PARTIALLY_INSIDE_GARAGE(Hash garageHash, Player player, int p2) { return big::native_invoker::invoke<3630, false, BOOL>(garageHash, player, p2); }
	FORCEINLINE constexpr BOOL ARE_ENTITIES_ENTIRELY_INSIDE_GARAGE(Hash garageHash, BOOL p1, BOOL p2, BOOL p3, Any p4) { return big::native_invoker::invoke<3631, false, BOOL>(garageHash, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL IS_ANY_ENTITY_ENTIRELY_INSIDE_GARAGE(Hash garageHash, BOOL p1, BOOL p2, BOOL p3, Any p4) { return big::native_invoker::invoke<3632, false, BOOL>(garageHash, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL IS_OBJECT_ENTIRELY_INSIDE_GARAGE(Hash garageHash, Entity entity, float p2, int p3) { return big::native_invoker::invoke<3633, false, BOOL>(garageHash, entity, p2, p3); }
	FORCEINLINE constexpr BOOL IS_OBJECT_PARTIALLY_INSIDE_GARAGE(Hash garageHash, Entity entity, int p2) { return big::native_invoker::invoke<3634, false, BOOL>(garageHash, entity, p2); }
	FORCEINLINE constexpr void CLEAR_GARAGE(Hash garageHash, BOOL isNetwork) { return big::native_invoker::invoke<3635, false, void>(garageHash, isNetwork); }
	FORCEINLINE constexpr void CLEAR_OBJECTS_INSIDE_GARAGE(Hash garageHash, BOOL vehicles, BOOL peds, BOOL objects, BOOL isNetwork) { return big::native_invoker::invoke<3636, false, void>(garageHash, vehicles, peds, objects, isNetwork); }
	FORCEINLINE constexpr void DISABLE_TIDYING_UP_IN_GARAGE(int id, BOOL toggle) { return big::native_invoker::invoke<3637, false, void>(id, toggle); }
	FORCEINLINE constexpr void ENABLE_SAVING_IN_GARAGE(Hash garageHash, BOOL toggle) { return big::native_invoker::invoke<3638, false, void>(garageHash, toggle); }
	FORCEINLINE constexpr void CLOSE_SAFEHOUSE_GARAGES() { return big::native_invoker::invoke<3639, false, void>(); }
	FORCEINLINE constexpr BOOL DOES_OBJECT_OF_TYPE_EXIST_AT_COORDS(float x, float y, float z, float radius, Hash hash, BOOL p5) { return big::native_invoker::invoke<3640, false, BOOL>(x, y, z, radius, hash, p5); }
	FORCEINLINE constexpr BOOL IS_POINT_IN_ANGLED_AREA(float xPos, float yPos, float zPos, float x1, float y1, float z1, float x2, float y2, float z2, float width, BOOL debug, BOOL includeZ) { return big::native_invoker::invoke<3641, false, BOOL>(xPos, yPos, zPos, x1, y1, z1, x2, y2, z2, width, debug, includeZ); }
	FORCEINLINE constexpr void SET_OBJECT_ALLOW_LOW_LOD_BUOYANCY(Object object, BOOL toggle) { return big::native_invoker::invoke<3642, false, void>(object, toggle); }
	FORCEINLINE constexpr void SET_OBJECT_PHYSICS_PARAMS(Object object, float weight, float p2, float p3, float p4, float p5, float gravity, float p7, float p8, float p9, float p10, float buoyancy) { return big::native_invoker::invoke<3643, false, void>(object, weight, p2, p3, p4, p5, gravity, p7, p8, p9, p10, buoyancy); }
	FORCEINLINE constexpr float GET_OBJECT_FRAGMENT_DAMAGE_HEALTH(Any p0, BOOL p1) { return big::native_invoker::invoke<3644, false, float>(p0, p1); }
	FORCEINLINE constexpr void SET_ACTIVATE_OBJECT_PHYSICS_AS_SOON_AS_IT_IS_UNFROZEN(Object object, BOOL toggle) { return big::native_invoker::invoke<3645, false, void>(object, toggle); }
	FORCEINLINE constexpr BOOL IS_ANY_OBJECT_NEAR_POINT(float x, float y, float z, float range, BOOL p4) { return big::native_invoker::invoke<3646, false, BOOL>(x, y, z, range, p4); }
	FORCEINLINE constexpr BOOL IS_OBJECT_NEAR_POINT(Hash objectHash, float x, float y, float z, float range) { return big::native_invoker::invoke<3647, false, BOOL>(objectHash, x, y, z, range); }
	FORCEINLINE constexpr void REMOVE_OBJECT_HIGH_DETAIL_MODEL(Object object) { return big::native_invoker::invoke<3648, false, void>(object); }
	FORCEINLINE constexpr void BREAK_OBJECT_FRAGMENT_CHILD(Object p0, Any p1, BOOL p2) { return big::native_invoker::invoke<3649, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void DAMAGE_OBJECT_FRAGMENT_CHILD(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<3650, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void FIX_OBJECT_FRAGMENT(Object object) { return big::native_invoker::invoke<3651, false, void>(object); }
	FORCEINLINE constexpr void TRACK_OBJECT_VISIBILITY(Object object) { return big::native_invoker::invoke<3652, false, void>(object); }
	FORCEINLINE constexpr BOOL IS_OBJECT_VISIBLE(Object object) { return big::native_invoker::invoke<3653, false, BOOL>(object); }
	FORCEINLINE constexpr void SET_OBJECT_IS_SPECIAL_GOLFBALL(Object object, BOOL toggle) { return big::native_invoker::invoke<3654, false, void>(object, toggle); }
	FORCEINLINE constexpr void SET_OBJECT_TAKES_DAMAGE_FROM_COLLIDING_WITH_BUILDINGS(Any p0, BOOL p1) { return big::native_invoker::invoke<3655, false, void>(p0, p1); }
	FORCEINLINE constexpr void ALLOW_DAMAGE_EVENTS_FOR_NON_NETWORKED_OBJECTS(BOOL value) { return big::native_invoker::invoke<3656, false, void>(value); }
	FORCEINLINE constexpr void SET_CUTSCENES_WEAPON_FLASHLIGHT_ON_THIS_FRAME(Object object, BOOL toggle) { return big::native_invoker::invoke<3657, false, void>(object, toggle); }
	FORCEINLINE constexpr Object GET_RAYFIRE_MAP_OBJECT(float x, float y, float z, float radius, const char* name) { return big::native_invoker::invoke<3658, false, Object>(x, y, z, radius, name); }
	FORCEINLINE constexpr void SET_STATE_OF_RAYFIRE_MAP_OBJECT(Object object, int state) { return big::native_invoker::invoke<3659, false, void>(object, state); }
	FORCEINLINE constexpr int GET_STATE_OF_RAYFIRE_MAP_OBJECT(Object object) { return big::native_invoker::invoke<3660, false, int>(object); }
	FORCEINLINE constexpr BOOL DOES_RAYFIRE_MAP_OBJECT_EXIST(Object object) { return big::native_invoker::invoke<3661, false, BOOL>(object); }
	FORCEINLINE constexpr float GET_RAYFIRE_MAP_OBJECT_ANIM_PHASE(Object object) { return big::native_invoker::invoke<3662, false, float>(object); }
	FORCEINLINE constexpr Pickup CREATE_PICKUP(Hash pickupHash, float posX, float posY, float posZ, int p4, int value, BOOL p6, Hash modelHash) { return big::native_invoker::invoke<3663, false, Pickup>(pickupHash, posX, posY, posZ, p4, value, p6, modelHash); }
	FORCEINLINE constexpr Pickup CREATE_PICKUP_ROTATE(Hash pickupHash, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, int flag, int amount, Any p9, BOOL p10, Hash modelHash) { return big::native_invoker::invoke<3664, false, Pickup>(pickupHash, posX, posY, posZ, rotX, rotY, rotZ, flag, amount, p9, p10, modelHash); }
	FORCEINLINE constexpr void FORCE_PICKUP_ROTATE_FACE_UP() { return big::native_invoker::invoke<3665, false, void>(); }
	FORCEINLINE constexpr void SET_CUSTOM_PICKUP_WEAPON_HASH(Hash pickupHash, Pickup pickup) { return big::native_invoker::invoke<3666, false, void>(pickupHash, pickup); }
	FORCEINLINE constexpr Object CREATE_AMBIENT_PICKUP(Hash pickupHash, float posX, float posY, float posZ, int flags, int value, Hash modelHash, BOOL p7, BOOL p8) { return big::native_invoker::invoke<3667, false, Object>(pickupHash, posX, posY, posZ, flags, value, modelHash, p7, p8); }
	FORCEINLINE constexpr Object CREATE_NON_NETWORKED_AMBIENT_PICKUP(Hash pickupHash, float posX, float posY, float posZ, int flags, int value, Hash modelHash, BOOL p7, BOOL p8) { return big::native_invoker::invoke<3668, false, Object>(pickupHash, posX, posY, posZ, flags, value, modelHash, p7, p8); }
	FORCEINLINE constexpr void BLOCK_PLAYERS_FOR_AMBIENT_PICKUP(Any p0, Any p1) { return big::native_invoker::invoke<3669, false, void>(p0, p1); }
	FORCEINLINE constexpr Object CREATE_PORTABLE_PICKUP(Hash pickupHash, float x, float y, float z, BOOL placeOnGround, Hash modelHash) { return big::native_invoker::invoke<3670, false, Object>(pickupHash, x, y, z, placeOnGround, modelHash); }
	FORCEINLINE constexpr Object CREATE_NON_NETWORKED_PORTABLE_PICKUP(Hash pickupHash, float x, float y, float z, BOOL placeOnGround, Hash modelHash) { return big::native_invoker::invoke<3671, false, Object>(pickupHash, x, y, z, placeOnGround, modelHash); }
	FORCEINLINE constexpr void ATTACH_PORTABLE_PICKUP_TO_PED(Object pickupObject, Ped ped) { return big::native_invoker::invoke<3672, false, void>(pickupObject, ped); }
	FORCEINLINE constexpr void DETACH_PORTABLE_PICKUP_FROM_PED(Object pickupObject) { return big::native_invoker::invoke<3673, false, void>(pickupObject); }
	FORCEINLINE constexpr void FORCE_PORTABLE_PICKUP_LAST_ACCESSIBLE_POSITION_SETTING(Object object) { return big::native_invoker::invoke<3674, false, void>(object); }
	FORCEINLINE constexpr void HIDE_PORTABLE_PICKUP_WHEN_DETACHED(Object pickupObject, BOOL toggle) { return big::native_invoker::invoke<3675, false, void>(pickupObject, toggle); }
	FORCEINLINE constexpr void SET_MAX_NUM_PORTABLE_PICKUPS_CARRIED_BY_PLAYER(Hash modelHash, int number) { return big::native_invoker::invoke<3676, false, void>(modelHash, number); }
	FORCEINLINE constexpr void SET_LOCAL_PLAYER_CAN_COLLECT_PORTABLE_PICKUPS(BOOL toggle) { return big::native_invoker::invoke<3677, false, void>(toggle); }
	FORCEINLINE constexpr Vector3 GET_SAFE_PICKUP_COORDS(float x, float y, float z, float p3, float p4) { return big::native_invoker::invoke<3678, false, Vector3>(x, y, z, p3, p4); }
	FORCEINLINE constexpr void ADD_EXTENDED_PICKUP_PROBE_AREA(float x, float y, float z, float radius) { return big::native_invoker::invoke<3679, false, void>(x, y, z, radius); }
	FORCEINLINE constexpr void CLEAR_EXTENDED_PICKUP_PROBE_AREAS() { return big::native_invoker::invoke<3680, false, void>(); }
	FORCEINLINE constexpr Vector3 GET_PICKUP_COORDS(Pickup pickup) { return big::native_invoker::invoke<3681, false, Vector3>(pickup); }
	FORCEINLINE constexpr void SUPPRESS_PICKUP_SOUND_FOR_PICKUP(Any p0, Any p1) { return big::native_invoker::invoke<3682, false, void>(p0, p1); }
	FORCEINLINE constexpr void REMOVE_ALL_PICKUPS_OF_TYPE(Hash pickupHash) { return big::native_invoker::invoke<3683, false, void>(pickupHash); }
	FORCEINLINE constexpr BOOL HAS_PICKUP_BEEN_COLLECTED(Pickup pickup) { return big::native_invoker::invoke<3684, false, BOOL>(pickup); }
	FORCEINLINE constexpr void REMOVE_PICKUP(Pickup pickup) { return big::native_invoker::invoke<3685, false, void>(pickup); }
	FORCEINLINE constexpr void CREATE_MONEY_PICKUPS(float x, float y, float z, int value, int amount, Hash model) { return big::native_invoker::invoke<3686, false, void>(x, y, z, value, amount, model); }
	FORCEINLINE constexpr BOOL DOES_PICKUP_EXIST(Pickup pickup) { return big::native_invoker::invoke<3687, false, BOOL>(pickup); }
	FORCEINLINE constexpr BOOL DOES_PICKUP_OBJECT_EXIST(Object pickupObject) { return big::native_invoker::invoke<3688, false, BOOL>(pickupObject); }
	FORCEINLINE constexpr Object GET_PICKUP_OBJECT(Pickup pickup) { return big::native_invoker::invoke<3689, false, Object>(pickup); }
	FORCEINLINE constexpr BOOL IS_OBJECT_A_PICKUP(Object object) { return big::native_invoker::invoke<3690, false, BOOL>(object); }
	FORCEINLINE constexpr BOOL IS_OBJECT_A_PORTABLE_PICKUP(Object object) { return big::native_invoker::invoke<3691, false, BOOL>(object); }
	FORCEINLINE constexpr BOOL DOES_PICKUP_OF_TYPE_EXIST_IN_AREA(Hash pickupHash, float x, float y, float z, float radius) { return big::native_invoker::invoke<3692, false, BOOL>(pickupHash, x, y, z, radius); }
	FORCEINLINE constexpr void SET_PICKUP_REGENERATION_TIME(Pickup pickup, int duration) { return big::native_invoker::invoke<3693, false, void>(pickup, duration); }
	FORCEINLINE constexpr void FORCE_PICKUP_REGENERATE(Any p0) { return big::native_invoker::invoke<3694, false, void>(p0); }
	FORCEINLINE constexpr void SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(Player player, Hash pickupHash, BOOL toggle) { return big::native_invoker::invoke<3695, false, void>(player, pickupHash, toggle); }
	FORCEINLINE constexpr void SET_LOCAL_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_WITH_MODEL(Hash modelHash, BOOL toggle) { return big::native_invoker::invoke<3696, false, void>(modelHash, toggle); }
	FORCEINLINE constexpr void ALLOW_ALL_PLAYERS_TO_COLLECT_PICKUPS_OF_TYPE(Hash pickupHash) { return big::native_invoker::invoke<3697, false, void>(pickupHash); }
	FORCEINLINE constexpr void SET_TEAM_PICKUP_OBJECT(Object object, Any p1, BOOL p2) { return big::native_invoker::invoke<3698, false, void>(object, p1, p2); }
	FORCEINLINE constexpr void PREVENT_COLLECTION_OF_PORTABLE_PICKUP(Object object, BOOL p1, BOOL p2) { return big::native_invoker::invoke<3699, false, void>(object, p1, p2); }
	FORCEINLINE constexpr void SET_PICKUP_OBJECT_GLOW_WHEN_UNCOLLECTABLE(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3700, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SET_PICKUP_GLOW_OFFSET(Pickup pickup, float p1) { return big::native_invoker::invoke<3701, false, void>(pickup, p1); }
	FORCEINLINE constexpr void SET_PICKUP_OBJECT_GLOW_OFFSET(Pickup pickup, float p1, BOOL p2) { return big::native_invoker::invoke<3702, false, void>(pickup, p1, p2); }
	FORCEINLINE constexpr void SET_OBJECT_GLOW_IN_SAME_TEAM(Pickup pickup) { return big::native_invoker::invoke<3703, false, void>(pickup); }
	FORCEINLINE constexpr void SET_PICKUP_OBJECT_ARROW_MARKER(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3704, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void ALLOW_PICKUP_ARROW_MARKER_WHEN_UNCOLLECTABLE(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3705, false, void>(pickup, toggle); }
	FORCEINLINE constexpr int GET_DEFAULT_AMMO_FOR_WEAPON_PICKUP(Hash pickupHash) { return big::native_invoker::invoke<3706, false, int>(pickupHash); }
	FORCEINLINE constexpr void SET_PICKUP_GENERATION_RANGE_MULTIPLIER(float multiplier) { return big::native_invoker::invoke<3707, false, void>(multiplier); }
	FORCEINLINE constexpr float GET_PICKUP_GENERATION_RANGE_MULTIPLIER() { return big::native_invoker::invoke<3708, false, float>(); }
	FORCEINLINE constexpr void SET_ONLY_ALLOW_AMMO_COLLECTION_WHEN_LOW(BOOL p0) { return big::native_invoker::invoke<3709, false, void>(p0); }
	FORCEINLINE constexpr void SET_PICKUP_UNCOLLECTABLE(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3710, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SET_PICKUP_TRANSPARENT_WHEN_UNCOLLECTABLE(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3711, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SET_PICKUP_HIDDEN_WHEN_UNCOLLECTABLE(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3712, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SET_PICKUP_OBJECT_TRANSPARENT_WHEN_UNCOLLECTABLE(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3713, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SET_PICKUP_OBJECT_ALPHA_WHEN_TRANSPARENT(int p0) { return big::native_invoker::invoke<3714, false, void>(p0); }
	FORCEINLINE constexpr void SET_PORTABLE_PICKUP_PERSIST(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3715, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void ALLOW_PORTABLE_PICKUP_TO_MIGRATE_TO_NON_PARTICIPANTS(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3716, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void FORCE_ACTIVATE_PHYSICS_ON_UNFIXED_PICKUP(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3717, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void ALLOW_PICKUP_BY_NONE_PARTICIPANT(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3718, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SUPPRESS_PICKUP_REWARD_TYPE(int rewardType, BOOL suppress) { return big::native_invoker::invoke<3719, false, void>(rewardType, suppress); }
	FORCEINLINE constexpr void CLEAR_ALL_PICKUP_REWARD_TYPE_SUPPRESSION() { return big::native_invoker::invoke<3720, false, void>(); }
	FORCEINLINE constexpr void CLEAR_PICKUP_REWARD_TYPE_SUPPRESSION(int rewardType) { return big::native_invoker::invoke<3721, false, void>(rewardType); }
	FORCEINLINE constexpr void RENDER_FAKE_PICKUP_GLOW(float x, float y, float z, int colorIndex) { return big::native_invoker::invoke<3722, false, void>(x, y, z, colorIndex); }
	FORCEINLINE constexpr void SET_PICKUP_OBJECT_COLLECTABLE_IN_VEHICLE(Pickup pickup) { return big::native_invoker::invoke<3723, false, void>(pickup); }
	FORCEINLINE constexpr void SET_PICKUP_TRACK_DAMAGE_EVENTS(Pickup pickup, BOOL toggle) { return big::native_invoker::invoke<3724, false, void>(pickup, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_FLAG_SUPPRESS_SHADOW(Entity entity, BOOL toggle) { return big::native_invoker::invoke<3725, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_ENTITY_FLAG_RENDER_SMALL_SHADOW(Object object, BOOL toggle) { return big::native_invoker::invoke<3726, false, void>(object, toggle); }
	FORCEINLINE constexpr Hash GET_WEAPON_TYPE_FROM_PICKUP_TYPE(Hash pickupHash) { return big::native_invoker::invoke<3727, false, Hash>(pickupHash); }
	FORCEINLINE constexpr Hash GET_PICKUP_TYPE_FROM_WEAPON_HASH(Hash weaponHash) { return big::native_invoker::invoke<3728, false, Hash>(weaponHash); }
	FORCEINLINE constexpr BOOL IS_PICKUP_WEAPON_OBJECT_VALID(Object object) { return big::native_invoker::invoke<3729, false, BOOL>(object); }
	FORCEINLINE constexpr int GET_OBJECT_TINT_INDEX(Object object) { return big::native_invoker::invoke<3730, false, int>(object); }
	FORCEINLINE constexpr void SET_OBJECT_TINT_INDEX(Object object, int textureVariation) { return big::native_invoker::invoke<3731, false, void>(object, textureVariation); }
	FORCEINLINE constexpr BOOL SET_TINT_INDEX_CLOSEST_BUILDING_OF_TYPE(float x, float y, float z, float radius, Hash modelHash, int textureVariation) { return big::native_invoker::invoke<3732, false, BOOL>(x, y, z, radius, modelHash, textureVariation); }
	FORCEINLINE constexpr void SET_PROP_TINT_INDEX(Any p0, Any p1) { return big::native_invoker::invoke<3733, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL SET_PROP_LIGHT_COLOR(Object object, BOOL p1, int r, int g, int b) { return big::native_invoker::invoke<3734, false, BOOL>(object, p1, r, g, b); }
	FORCEINLINE constexpr BOOL IS_PROP_LIGHT_OVERRIDEN(Object object) { return big::native_invoker::invoke<3735, false, BOOL>(object); }
	FORCEINLINE constexpr void SET_OBJECT_IS_VISIBLE_IN_MIRRORS(Object object, BOOL toggle) { return big::native_invoker::invoke<3736, false, void>(object, toggle); }
	FORCEINLINE constexpr void SET_OBJECT_SPEED_BOOST_AMOUNT(Object object, Any p1) { return big::native_invoker::invoke<3737, false, void>(object, p1); }
	FORCEINLINE constexpr void SET_OBJECT_SPEED_BOOST_DURATION(Object object, float duration) { return big::native_invoker::invoke<3738, false, void>(object, duration); }
	FORCEINLINE constexpr Hash CONVERT_OLD_PICKUP_TYPE_TO_NEW(Hash pickupHash) { return big::native_invoker::invoke<3739, false, Hash>(pickupHash); }
	FORCEINLINE constexpr void SET_FORCE_OBJECT_THIS_FRAME(float x, float y, float z, float p3) { return big::native_invoker::invoke<3740, false, void>(x, y, z, p3); }
	FORCEINLINE constexpr void ONLY_CLEAN_UP_OBJECT_WHEN_OUT_OF_RANGE(Object object) { return big::native_invoker::invoke<3741, false, void>(object); }
	FORCEINLINE constexpr void SET_DISABLE_COLLISIONS_BETWEEN_CARS_AND_CAR_PARACHUTE(Any p0) { return big::native_invoker::invoke<3742, false, void>(p0); }
	FORCEINLINE constexpr void SET_PROJECTILES_SHOULD_EXPLODE_ON_CONTACT(Entity entity, Any p1) { return big::native_invoker::invoke<3743, false, void>(entity, p1); }
	FORCEINLINE constexpr void SET_DRIVE_ARTICULATED_JOINT(Object object, BOOL toggle, int p2) { return big::native_invoker::invoke<3744, false, void>(object, toggle, p2); }
	FORCEINLINE constexpr void SET_DRIVE_ARTICULATED_JOINT_WITH_INFLICTOR(Object object, BOOL toggle, int p2, Ped ped) { return big::native_invoker::invoke<3745, false, void>(object, toggle, p2, ped); }
	FORCEINLINE constexpr void SET_OBJECT_IS_A_PRESSURE_PLATE(Object object, BOOL toggle) { return big::native_invoker::invoke<3746, false, void>(object, toggle); }
	FORCEINLINE constexpr void SET_WEAPON_IMPACTS_APPLY_GREATER_FORCE(Object object, BOOL p1) { return big::native_invoker::invoke<3747, false, void>(object, p1); }
	FORCEINLINE constexpr BOOL GET_IS_ARTICULATED_JOINT_AT_MIN_ANGLE(Object object, Any p1) { return big::native_invoker::invoke<3748, false, BOOL>(object, p1); }
	FORCEINLINE constexpr BOOL GET_IS_ARTICULATED_JOINT_AT_MAX_ANGLE(Any p0, Any p1) { return big::native_invoker::invoke<3749, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void SET_IS_OBJECT_ARTICULATED(Object object, BOOL toggle) { return big::native_invoker::invoke<3750, false, void>(object, toggle); }
	FORCEINLINE constexpr void SET_IS_OBJECT_BALL(Object object, BOOL toggle) { return big::native_invoker::invoke<3751, false, void>(object, toggle); }
}

namespace PAD
{
	FORCEINLINE constexpr BOOL IS_CONTROL_ENABLED(int control, int action) { return big::native_invoker::invoke<3752, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_CONTROL_PRESSED(int control, int action) { return big::native_invoker::invoke<3753, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_CONTROL_RELEASED(int control, int action) { return big::native_invoker::invoke<3754, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_CONTROL_JUST_PRESSED(int control, int action) { return big::native_invoker::invoke<3755, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_CONTROL_JUST_RELEASED(int control, int action) { return big::native_invoker::invoke<3756, false, BOOL>(control, action); }
	FORCEINLINE constexpr int GET_CONTROL_VALUE(int control, int action) { return big::native_invoker::invoke<3757, false, int>(control, action); }
	FORCEINLINE constexpr float GET_CONTROL_NORMAL(int control, int action) { return big::native_invoker::invoke<3758, false, float>(control, action); }
	FORCEINLINE constexpr void SET_USE_ADJUSTED_MOUSE_COORDS(BOOL toggle) { return big::native_invoker::invoke<3759, false, void>(toggle); }
	FORCEINLINE constexpr float GET_CONTROL_UNBOUND_NORMAL(int control, int action) { return big::native_invoker::invoke<3760, false, float>(control, action); }
	FORCEINLINE constexpr BOOL SET_CONTROL_VALUE_NEXT_FRAME(int control, int action, float value) { return big::native_invoker::invoke<3761, false, BOOL>(control, action, value); }
	FORCEINLINE constexpr BOOL IS_DISABLED_CONTROL_PRESSED(int control, int action) { return big::native_invoker::invoke<3762, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_DISABLED_CONTROL_RELEASED(int control, int action) { return big::native_invoker::invoke<3763, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_DISABLED_CONTROL_JUST_PRESSED(int control, int action) { return big::native_invoker::invoke<3764, false, BOOL>(control, action); }
	FORCEINLINE constexpr BOOL IS_DISABLED_CONTROL_JUST_RELEASED(int control, int action) { return big::native_invoker::invoke<3765, false, BOOL>(control, action); }
	FORCEINLINE constexpr float GET_DISABLED_CONTROL_NORMAL(int control, int action) { return big::native_invoker::invoke<3766, false, float>(control, action); }
	FORCEINLINE constexpr float GET_DISABLED_CONTROL_UNBOUND_NORMAL(int control, int action) { return big::native_invoker::invoke<3767, false, float>(control, action); }
	FORCEINLINE constexpr int GET_CONTROL_HOW_LONG_AGO(int control) { return big::native_invoker::invoke<3768, false, int>(control); }
	FORCEINLINE constexpr BOOL IS_USING_KEYBOARD_AND_MOUSE(int control) { return big::native_invoker::invoke<3769, false, BOOL>(control); }
	FORCEINLINE constexpr BOOL IS_USING_CURSOR(int control) { return big::native_invoker::invoke<3770, false, BOOL>(control); }
	FORCEINLINE constexpr BOOL SET_CURSOR_POSITION(float x, float y) { return big::native_invoker::invoke<3771, false, BOOL>(x, y); }
	FORCEINLINE constexpr BOOL IS_USING_REMOTE_PLAY(int control) { return big::native_invoker::invoke<3772, false, BOOL>(control); }
	FORCEINLINE constexpr BOOL HAVE_CONTROLS_CHANGED(int control) { return big::native_invoker::invoke<3773, false, BOOL>(control); }
	FORCEINLINE constexpr const char* GET_CONTROL_INSTRUCTIONAL_BUTTONS_STRING(int control, int action, BOOL allowXOSwap) { return big::native_invoker::invoke<3774, false, const char*>(control, action, allowXOSwap); }
	FORCEINLINE constexpr const char* GET_CONTROL_GROUP_INSTRUCTIONAL_BUTTONS_STRING(int control, int controlGroup, BOOL allowXOSwap) { return big::native_invoker::invoke<3775, false, const char*>(control, controlGroup, allowXOSwap); }
	FORCEINLINE constexpr void SET_CONTROL_LIGHT_EFFECT_COLOR(int control, int red, int green, int blue) { return big::native_invoker::invoke<3776, false, void>(control, red, green, blue); }
	FORCEINLINE constexpr void CLEAR_CONTROL_LIGHT_EFFECT(int control) { return big::native_invoker::invoke<3777, false, void>(control); }
	FORCEINLINE constexpr void SET_CONTROL_SHAKE(int control, int duration, int frequency) { return big::native_invoker::invoke<3778, false, void>(control, duration, frequency); }
	FORCEINLINE constexpr void SET_CONTROL_TRIGGER_SHAKE(int control, int leftDuration, int leftFrequency, int rightDuration, int rightFrequency) { return big::native_invoker::invoke<3779, false, void>(control, leftDuration, leftFrequency, rightDuration, rightFrequency); }
	FORCEINLINE constexpr void STOP_CONTROL_SHAKE(int control) { return big::native_invoker::invoke<3780, false, void>(control); }
	FORCEINLINE constexpr void SET_CONTROL_SHAKE_SUPPRESSED_ID(int control, int uniqueId) { return big::native_invoker::invoke<3781, false, void>(control, uniqueId); }
	FORCEINLINE constexpr void CLEAR_CONTROL_SHAKE_SUPPRESSED_ID(int control) { return big::native_invoker::invoke<3782, false, void>(control); }
	FORCEINLINE constexpr BOOL IS_LOOK_INVERTED() { return big::native_invoker::invoke<3783, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_MOUSE_LOOK_INVERTED() { return big::native_invoker::invoke<3784, false, BOOL>(); }
	FORCEINLINE constexpr int GET_LOCAL_PLAYER_AIM_STATE() { return big::native_invoker::invoke<3785, false, int>(); }
	FORCEINLINE constexpr int GET_LOCAL_PLAYER_GAMEPAD_AIM_STATE() { return big::native_invoker::invoke<3786, false, int>(); }
	FORCEINLINE constexpr BOOL GET_IS_USING_ALTERNATE_HANDBRAKE() { return big::native_invoker::invoke<3787, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_IS_USING_ALTERNATE_DRIVEBY() { return big::native_invoker::invoke<3788, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_ALLOW_MOVEMENT_WHILE_ZOOMED() { return big::native_invoker::invoke<3789, false, BOOL>(); }
	FORCEINLINE constexpr void SET_PLAYERPAD_SHAKES_WHEN_CONTROLLER_DISABLED(BOOL toggle) { return big::native_invoker::invoke<3790, false, void>(toggle); }
	FORCEINLINE constexpr void SET_INPUT_EXCLUSIVE(int control, int action) { return big::native_invoker::invoke<3791, false, void>(control, action); }
	FORCEINLINE constexpr void DISABLE_CONTROL_ACTION(int control, int action, BOOL disableRelatedActions) { return big::native_invoker::invoke<3792, false, void>(control, action, disableRelatedActions); }
	FORCEINLINE constexpr void ENABLE_CONTROL_ACTION(int control, int action, BOOL enableRelatedActions) { return big::native_invoker::invoke<3793, false, void>(control, action, enableRelatedActions); }
	FORCEINLINE constexpr void DISABLE_ALL_CONTROL_ACTIONS(int control) { return big::native_invoker::invoke<3794, false, void>(control); }
	FORCEINLINE constexpr void ENABLE_ALL_CONTROL_ACTIONS(int control) { return big::native_invoker::invoke<3795, false, void>(control); }
	FORCEINLINE constexpr BOOL INIT_PC_SCRIPTED_CONTROLS(const char* schemeName) { return big::native_invoker::invoke<3796, false, BOOL>(schemeName); }
	FORCEINLINE constexpr BOOL SWITCH_PC_SCRIPTED_CONTROLS(const char* schemeName) { return big::native_invoker::invoke<3797, false, BOOL>(schemeName); }
	FORCEINLINE constexpr void SHUTDOWN_PC_SCRIPTED_CONTROLS() { return big::native_invoker::invoke<3798, false, void>(); }
	FORCEINLINE constexpr void ALLOW_ALTERNATIVE_SCRIPT_CONTROLS_LAYOUT(int control) { return big::native_invoker::invoke<3799, false, void>(control); }
}

namespace PATHFIND
{
	FORCEINLINE constexpr void SET_ROADS_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL nodeEnabled, BOOL unknown2) { return big::native_invoker::invoke<3800, false, void>(x1, y1, z1, x2, y2, z2, nodeEnabled, unknown2); }
	FORCEINLINE constexpr void SET_ROADS_IN_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width, BOOL unknown1, BOOL unknown2, BOOL unknown3) { return big::native_invoker::invoke<3801, false, void>(x1, y1, z1, x2, y2, z2, width, unknown1, unknown2, unknown3); }
	FORCEINLINE constexpr void SET_PED_PATHS_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL p6, Any p7) { return big::native_invoker::invoke<3802, false, void>(x1, y1, z1, x2, y2, z2, p6, p7); }
	FORCEINLINE constexpr BOOL GET_SAFE_COORD_FOR_PED(float x, float y, float z, BOOL onGround, Vector3* outPosition, int flags) { return big::native_invoker::invoke<3803, true, BOOL>(x, y, z, onGround, outPosition, flags); }
	FORCEINLINE constexpr BOOL GET_CLOSEST_VEHICLE_NODE(float x, float y, float z, Vector3* outPosition, int nodeFlags, float p5, float p6) { return big::native_invoker::invoke<3804, true, BOOL>(x, y, z, outPosition, nodeFlags, p5, p6); }
	FORCEINLINE constexpr BOOL GET_CLOSEST_MAJOR_VEHICLE_NODE(float x, float y, float z, Vector3* outPosition, float unknown1, float unknown2) { return big::native_invoker::invoke<3805, true, BOOL>(x, y, z, outPosition, unknown1, unknown2); }
	FORCEINLINE constexpr BOOL GET_CLOSEST_VEHICLE_NODE_WITH_HEADING(float x, float y, float z, Vector3* outPosition, float* outHeading, int nodeType, float p6, float p7) { return big::native_invoker::invoke<3806, true, BOOL>(x, y, z, outPosition, outHeading, nodeType, p6, p7); }
	FORCEINLINE constexpr BOOL GET_NTH_CLOSEST_VEHICLE_NODE(float x, float y, float z, int nthClosest, Vector3* outPosition, int nodeFlags, float unknown1, float unknown2) { return big::native_invoker::invoke<3807, true, BOOL>(x, y, z, nthClosest, outPosition, nodeFlags, unknown1, unknown2); }
	FORCEINLINE constexpr int GET_NTH_CLOSEST_VEHICLE_NODE_ID(float x, float y, float z, int nth, int nodeFlags, float p5, float p6) { return big::native_invoker::invoke<3808, false, int>(x, y, z, nth, nodeFlags, p5, p6); }
	FORCEINLINE constexpr BOOL GET_NTH_CLOSEST_VEHICLE_NODE_WITH_HEADING(float x, float y, float z, int nthClosest, Vector3* outPosition, float* outHeading, int* outNumLanes, int nodeFlags, float unknown3, float unknown4) { return big::native_invoker::invoke<3809, true, BOOL>(x, y, z, nthClosest, outPosition, outHeading, outNumLanes, nodeFlags, unknown3, unknown4); }
	FORCEINLINE constexpr int GET_NTH_CLOSEST_VEHICLE_NODE_ID_WITH_HEADING(float x, float y, float z, int nthClosest, Vector3* outPosition, float* outHeading, int nodeFlags, float p7, float p8) { return big::native_invoker::invoke<3810, true, int>(x, y, z, nthClosest, outPosition, outHeading, nodeFlags, p7, p8); }
	FORCEINLINE constexpr BOOL GET_NTH_CLOSEST_VEHICLE_NODE_FAVOUR_DIRECTION(float x, float y, float z, float desiredX, float desiredY, float desiredZ, int nthClosest, Vector3* outPosition, float* outHeading, int nodeFlags, float p10, float p11) { return big::native_invoker::invoke<3811, true, BOOL>(x, y, z, desiredX, desiredY, desiredZ, nthClosest, outPosition, outHeading, nodeFlags, p10, p11); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_NODE_PROPERTIES(float x, float y, float z, int* density, int* flags) { return big::native_invoker::invoke<3812, false, BOOL>(x, y, z, density, flags); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_NODE_ID_VALID(int vehicleNodeId) { return big::native_invoker::invoke<3813, false, BOOL>(vehicleNodeId); }
	FORCEINLINE constexpr void GET_VEHICLE_NODE_POSITION(int nodeId, Vector3* outPosition) { return big::native_invoker::invoke<3814, true, void>(nodeId, outPosition); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_NODE_IS_GPS_ALLOWED(int nodeID) { return big::native_invoker::invoke<3815, false, BOOL>(nodeID); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_NODE_IS_SWITCHED_OFF(int nodeID) { return big::native_invoker::invoke<3816, false, BOOL>(nodeID); }
	FORCEINLINE constexpr BOOL GET_CLOSEST_ROAD(float x, float y, float z, float p3, int p4, Vector3* p5, Vector3* p6, Any* p7, Any* p8, float* p9, BOOL p10) { return big::native_invoker::invoke<3817, true, BOOL>(x, y, z, p3, p4, p5, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr BOOL LOAD_ALL_PATH_NODES(BOOL set) { return big::native_invoker::invoke<3818, false, BOOL>(set); }
	FORCEINLINE constexpr void SET_ALLOW_STREAM_PROLOGUE_NODES(BOOL toggle) { return big::native_invoker::invoke<3819, false, void>(toggle); }
	FORCEINLINE constexpr void SET_ALLOW_STREAM_HEIST_ISLAND_NODES(int type) { return big::native_invoker::invoke<3820, false, void>(type); }
	FORCEINLINE constexpr BOOL ARE_NODES_LOADED_FOR_AREA(float x1, float y1, float x2, float y2) { return big::native_invoker::invoke<3821, false, BOOL>(x1, y1, x2, y2); }
	FORCEINLINE constexpr BOOL REQUEST_PATH_NODES_IN_AREA_THIS_FRAME(float x1, float y1, float x2, float y2) { return big::native_invoker::invoke<3822, false, BOOL>(x1, y1, x2, y2); }
	FORCEINLINE constexpr void SET_ROADS_BACK_TO_ORIGINAL(float p0, float p1, float p2, float p3, float p4, float p5, Any p6) { return big::native_invoker::invoke<3823, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void SET_ROADS_BACK_TO_ORIGINAL_IN_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width, Any p7) { return big::native_invoker::invoke<3824, false, void>(x1, y1, z1, x2, y2, z2, width, p7); }
	FORCEINLINE constexpr void SET_AMBIENT_PED_RANGE_MULTIPLIER_THIS_FRAME(float multiplier) { return big::native_invoker::invoke<3825, false, void>(multiplier); }
	FORCEINLINE constexpr void ADJUST_AMBIENT_PED_SPAWN_DENSITIES_THIS_FRAME(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<3826, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void SET_PED_PATHS_BACK_TO_ORIGINAL(float x1, float y1, float z1, float x2, float y2, float z2, Any p6) { return big::native_invoker::invoke<3827, false, void>(x1, y1, z1, x2, y2, z2, p6); }
	FORCEINLINE constexpr BOOL GET_RANDOM_VEHICLE_NODE(float x, float y, float z, float radius, BOOL p4, BOOL p5, BOOL p6, Vector3* outPosition, int* nodeId) { return big::native_invoker::invoke<3828, true, BOOL>(x, y, z, radius, p4, p5, p6, outPosition, nodeId); }
	FORCEINLINE constexpr Vector3 GET_SPAWN_COORDS_FOR_VEHICLE_NODE(int nodeAddress, float towardsCoorsX, float towardsCoorsY, float towardsCoorsZ, Vector3* centrePoint, float* heading) { return big::native_invoker::invoke<3829, true, Vector3>(nodeAddress, towardsCoorsX, towardsCoorsY, towardsCoorsZ, centrePoint, heading); }
	FORCEINLINE constexpr void GET_STREET_NAME_AT_COORD(float x, float y, float z, Hash* streetName, Hash* crossingRoad) { return big::native_invoker::invoke<3830, false, void>(x, y, z, streetName, crossingRoad); }
	FORCEINLINE constexpr int GENERATE_DIRECTIONS_TO_COORD(float x, float y, float z, BOOL p3, int* direction, float* p5, float* distToNxJunction) { return big::native_invoker::invoke<3831, false, int>(x, y, z, p3, direction, p5, distToNxJunction); }
	FORCEINLINE constexpr void SET_IGNORE_NO_GPS_FLAG(BOOL toggle) { return big::native_invoker::invoke<3832, false, void>(toggle); }
	FORCEINLINE constexpr void SET_IGNORE_NO_GPS_FLAG_UNTIL_FIRST_NORMAL_NODE(BOOL toggle) { return big::native_invoker::invoke<3833, false, void>(toggle); }
	FORCEINLINE constexpr void SET_GPS_DISABLED_ZONE(float x1, float y1, float z1, float x2, float y2, float z3) { return big::native_invoker::invoke<3834, false, void>(x1, y1, z1, x2, y2, z3); }
	FORCEINLINE constexpr int GET_GPS_BLIP_ROUTE_LENGTH() { return big::native_invoker::invoke<3835, false, int>(); }
	FORCEINLINE constexpr BOOL GET_POS_ALONG_GPS_TYPE_ROUTE(Vector3* result, BOOL p1, float p2, int p3) { return big::native_invoker::invoke<3836, true, BOOL>(result, p1, p2, p3); }
	FORCEINLINE constexpr BOOL GET_GPS_BLIP_ROUTE_FOUND() { return big::native_invoker::invoke<3837, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_ROAD_BOUNDARY_USING_HEADING(float x, float y, float z, float heading, Vector3* outPosition) { return big::native_invoker::invoke<3838, true, BOOL>(x, y, z, heading, outPosition); }
	FORCEINLINE constexpr BOOL GET_POSITION_BY_SIDE_OF_ROAD(float x, float y, float z, int p3, Vector3* outPosition) { return big::native_invoker::invoke<3839, true, BOOL>(x, y, z, p3, outPosition); }
	FORCEINLINE constexpr BOOL IS_POINT_ON_ROAD(float x, float y, float z, Vehicle vehicle) { return big::native_invoker::invoke<3840, false, BOOL>(x, y, z, vehicle); }
	FORCEINLINE constexpr int GET_NEXT_GPS_DISABLED_ZONE_INDEX() { return big::native_invoker::invoke<3841, false, int>(); }
	FORCEINLINE constexpr void SET_GPS_DISABLED_ZONE_AT_INDEX(float x1, float y1, float z1, float x2, float y2, float z2, int index) { return big::native_invoker::invoke<3842, false, void>(x1, y1, z1, x2, y2, z2, index); }
	FORCEINLINE constexpr void CLEAR_GPS_DISABLED_ZONE_AT_INDEX(int index) { return big::native_invoker::invoke<3843, false, void>(index); }
	FORCEINLINE constexpr void ADD_NAVMESH_REQUIRED_REGION(float x, float y, float radius) { return big::native_invoker::invoke<3844, false, void>(x, y, radius); }
	FORCEINLINE constexpr void REMOVE_NAVMESH_REQUIRED_REGIONS() { return big::native_invoker::invoke<3845, false, void>(); }
	FORCEINLINE constexpr BOOL IS_NAVMESH_REQUIRED_REGION_IN_USE() { return big::native_invoker::invoke<3846, false, BOOL>(); }
	FORCEINLINE constexpr void DISABLE_NAVMESH_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL toggle) { return big::native_invoker::invoke<3847, false, void>(x1, y1, z1, x2, y2, z2, toggle); }
	FORCEINLINE constexpr BOOL ARE_ALL_NAVMESH_REGIONS_LOADED() { return big::native_invoker::invoke<3848, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_NAVMESH_LOADED_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3849, false, BOOL>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr int GET_NUM_NAVMESHES_EXISTING_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3850, false, int>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr int ADD_NAVMESH_BLOCKING_OBJECT(float p0, float p1, float p2, float p3, float p4, float p5, float p6, BOOL p7, Any p8) { return big::native_invoker::invoke<3851, false, int>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void UPDATE_NAVMESH_BLOCKING_OBJECT(Any p0, float p1, float p2, float p3, float p4, float p5, float p6, float p7, Any p8) { return big::native_invoker::invoke<3852, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void REMOVE_NAVMESH_BLOCKING_OBJECT(Any p0) { return big::native_invoker::invoke<3853, false, void>(p0); }
	FORCEINLINE constexpr BOOL DOES_NAVMESH_BLOCKING_OBJECT_EXIST(Any p0) { return big::native_invoker::invoke<3854, false, BOOL>(p0); }
	FORCEINLINE constexpr float GET_APPROX_HEIGHT_FOR_POINT(float x, float y) { return big::native_invoker::invoke<3855, false, float>(x, y); }
	FORCEINLINE constexpr float GET_APPROX_HEIGHT_FOR_AREA(float x1, float y1, float x2, float y2) { return big::native_invoker::invoke<3856, false, float>(x1, y1, x2, y2); }
	FORCEINLINE constexpr float GET_APPROX_FLOOR_FOR_POINT(float x, float y) { return big::native_invoker::invoke<3857, false, float>(x, y); }
	FORCEINLINE constexpr float GET_APPROX_FLOOR_FOR_AREA(float x1, float y1, float x2, float y2) { return big::native_invoker::invoke<3858, false, float>(x1, y1, x2, y2); }
	FORCEINLINE constexpr float CALCULATE_TRAVEL_DISTANCE_BETWEEN_POINTS(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3859, false, float>(x1, y1, z1, x2, y2, z2); }
}

namespace PED
{
	FORCEINLINE constexpr Ped CREATE_PED(int pedType, Hash modelHash, float x, float y, float z, float heading, BOOL isNetwork, BOOL bScriptHostPed) { return big::native_invoker::invoke<3860, false, Ped>(pedType, modelHash, x, y, z, heading, isNetwork, bScriptHostPed); }
	FORCEINLINE constexpr void DELETE_PED(Ped* ped) { return big::native_invoker::invoke<3861, false, void>(ped); }
	FORCEINLINE constexpr Ped CLONE_PED(Ped ped, BOOL isNetwork, BOOL bScriptHostPed, BOOL copyHeadBlendFlag) { return big::native_invoker::invoke<3862, false, Ped>(ped, isNetwork, bScriptHostPed, copyHeadBlendFlag); }
	FORCEINLINE constexpr Ped CLONE_PED_ALT(Ped ped, BOOL isNetwork, BOOL bScriptHostPed, BOOL copyHeadBlendFlag, BOOL p4) { return big::native_invoker::invoke<3863, false, Ped>(ped, isNetwork, bScriptHostPed, copyHeadBlendFlag, p4); }
	FORCEINLINE constexpr void CLONE_PED_TO_TARGET(Ped ped, Ped targetPed) { return big::native_invoker::invoke<3864, false, void>(ped, targetPed); }
	FORCEINLINE constexpr void CLONE_PED_TO_TARGET_ALT(Ped ped, Ped targetPed, BOOL p2) { return big::native_invoker::invoke<3865, false, void>(ped, targetPed, p2); }
	FORCEINLINE constexpr BOOL IS_PED_IN_VEHICLE(Ped ped, Vehicle vehicle, BOOL atGetIn) { return big::native_invoker::invoke<3866, false, BOOL>(ped, vehicle, atGetIn); }
	FORCEINLINE constexpr BOOL IS_PED_IN_MODEL(Ped ped, Hash modelHash) { return big::native_invoker::invoke<3867, false, BOOL>(ped, modelHash); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_VEHICLE(Ped ped, BOOL atGetIn) { return big::native_invoker::invoke<3868, false, BOOL>(ped, atGetIn); }
	FORCEINLINE constexpr BOOL IS_COP_PED_IN_AREA_3D(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3869, false, BOOL>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL IS_PED_INJURED(Ped ped) { return big::native_invoker::invoke<3870, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_HURT(Ped ped) { return big::native_invoker::invoke<3871, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_FATALLY_INJURED(Ped ped) { return big::native_invoker::invoke<3872, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_DEAD_OR_DYING(Ped ped, BOOL p1) { return big::native_invoker::invoke<3873, false, BOOL>(ped, p1); }
	FORCEINLINE constexpr BOOL IS_CONVERSATION_PED_DEAD(Ped ped) { return big::native_invoker::invoke<3874, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_AIMING_FROM_COVER(Ped ped) { return big::native_invoker::invoke<3875, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_RELOADING(Ped ped) { return big::native_invoker::invoke<3876, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_A_PLAYER(Ped ped) { return big::native_invoker::invoke<3877, false, BOOL>(ped); }
	FORCEINLINE constexpr Ped CREATE_PED_INSIDE_VEHICLE(Vehicle vehicle, int pedType, Hash modelHash, int seat, BOOL isNetwork, BOOL bScriptHostPed) { return big::native_invoker::invoke<3878, false, Ped>(vehicle, pedType, modelHash, seat, isNetwork, bScriptHostPed); }
	FORCEINLINE constexpr void SET_PED_DESIRED_HEADING(Ped ped, float heading) { return big::native_invoker::invoke<3879, false, void>(ped, heading); }
	FORCEINLINE constexpr void FORCE_ALL_HEADING_VALUES_TO_ALIGN(Ped ped) { return big::native_invoker::invoke<3880, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_FACING_PED(Ped ped, Ped otherPed, float angle) { return big::native_invoker::invoke<3881, false, BOOL>(ped, otherPed, angle); }
	FORCEINLINE constexpr BOOL IS_PED_IN_MELEE_COMBAT(Ped ped) { return big::native_invoker::invoke<3882, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_STOPPED(Ped ped) { return big::native_invoker::invoke<3883, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_SHOOTING_IN_AREA(Ped ped, float x1, float y1, float z1, float x2, float y2, float z2, BOOL p7, BOOL p8) { return big::native_invoker::invoke<3884, false, BOOL>(ped, x1, y1, z1, x2, y2, z2, p7, p8); }
	FORCEINLINE constexpr BOOL IS_ANY_PED_SHOOTING_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL p6, BOOL p7) { return big::native_invoker::invoke<3885, false, BOOL>(x1, y1, z1, x2, y2, z2, p6, p7); }
	FORCEINLINE constexpr BOOL IS_PED_SHOOTING(Ped ped) { return big::native_invoker::invoke<3886, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_ACCURACY(Ped ped, int accuracy) { return big::native_invoker::invoke<3887, false, void>(ped, accuracy); }
	FORCEINLINE constexpr int GET_PED_ACCURACY(Ped ped) { return big::native_invoker::invoke<3888, false, int>(ped); }
	FORCEINLINE constexpr void SET_AMBIENT_LAW_PED_ACCURACY_MODIFIER(float multiplier) { return big::native_invoker::invoke<3889, false, void>(multiplier); }
	FORCEINLINE constexpr BOOL IS_PED_MODEL(Ped ped, Hash modelHash) { return big::native_invoker::invoke<3890, false, BOOL>(ped, modelHash); }
	FORCEINLINE constexpr void EXPLODE_PED_HEAD(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<3891, false, void>(ped, weaponHash); }
	FORCEINLINE constexpr void REMOVE_PED_ELEGANTLY(Ped* ped) { return big::native_invoker::invoke<3892, false, void>(ped); }
	FORCEINLINE constexpr void ADD_ARMOUR_TO_PED(Ped ped, int amount) { return big::native_invoker::invoke<3893, false, void>(ped, amount); }
	FORCEINLINE constexpr void SET_PED_ARMOUR(Ped ped, int amount) { return big::native_invoker::invoke<3894, false, void>(ped, amount); }
	FORCEINLINE constexpr void SET_PED_INTO_VEHICLE(Ped ped, Vehicle vehicle, int seatIndex) { return big::native_invoker::invoke<3895, false, void>(ped, vehicle, seatIndex); }
	FORCEINLINE constexpr void SET_PED_ALLOW_VEHICLES_OVERRIDE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3896, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL CAN_CREATE_RANDOM_PED(BOOL p0) { return big::native_invoker::invoke<3897, false, BOOL>(p0); }
	FORCEINLINE constexpr Ped CREATE_RANDOM_PED(float posX, float posY, float posZ) { return big::native_invoker::invoke<3898, false, Ped>(posX, posY, posZ); }
	FORCEINLINE constexpr Ped CREATE_RANDOM_PED_AS_DRIVER(Vehicle vehicle, BOOL returnHandle) { return big::native_invoker::invoke<3899, false, Ped>(vehicle, returnHandle); }
	FORCEINLINE constexpr BOOL CAN_CREATE_RANDOM_DRIVER() { return big::native_invoker::invoke<3900, false, BOOL>(); }
	FORCEINLINE constexpr BOOL CAN_CREATE_RANDOM_BIKE_RIDER() { return big::native_invoker::invoke<3901, false, BOOL>(); }
	FORCEINLINE constexpr void SET_PED_MOVE_ANIMS_BLEND_OUT(Ped ped) { return big::native_invoker::invoke<3902, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_DRAGGED_OUT(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3903, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_ALLOW_HURT_COMBAT_FOR_ALL_MISSION_PEDS(BOOL toggle) { return big::native_invoker::invoke<3904, false, void>(toggle); }
	FORCEINLINE constexpr BOOL IS_PED_MALE(Ped ped) { return big::native_invoker::invoke<3905, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_HUMAN(Ped ped) { return big::native_invoker::invoke<3906, false, BOOL>(ped); }
	FORCEINLINE constexpr Vehicle GET_VEHICLE_PED_IS_IN(Ped ped, BOOL includeEntering) { return big::native_invoker::invoke<3907, false, Vehicle>(ped, includeEntering); }
	FORCEINLINE constexpr void RESET_PED_LAST_VEHICLE(Ped ped) { return big::native_invoker::invoke<3908, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_DENSITY_MULTIPLIER_THIS_FRAME(float multiplier) { return big::native_invoker::invoke<3909, false, void>(multiplier); }
	FORCEINLINE constexpr void SET_SCENARIO_PED_DENSITY_MULTIPLIER_THIS_FRAME(float p0, float p1) { return big::native_invoker::invoke<3910, false, void>(p0, p1); }
	FORCEINLINE constexpr void SUPPRESS_AMBIENT_PED_AGGRESSIVE_CLEANUP_THIS_FRAME() { return big::native_invoker::invoke<3911, false, void>(); }
	FORCEINLINE constexpr void SET_SCRIPTED_CONVERSION_COORD_THIS_FRAME(float x, float y, float z) { return big::native_invoker::invoke<3912, false, void>(x, y, z); }
	FORCEINLINE constexpr void SET_PED_NON_CREATION_AREA(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<3913, false, void>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr void CLEAR_PED_NON_CREATION_AREA() { return big::native_invoker::invoke<3914, false, void>(); }
	FORCEINLINE constexpr void INSTANTLY_FILL_PED_POPULATION() { return big::native_invoker::invoke<3915, false, void>(); }
	FORCEINLINE constexpr BOOL IS_PED_ON_MOUNT(Ped ped) { return big::native_invoker::invoke<3916, false, BOOL>(ped); }
	FORCEINLINE constexpr Ped GET_MOUNT(Ped ped) { return big::native_invoker::invoke<3917, false, Ped>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_ON_VEHICLE(Ped ped) { return big::native_invoker::invoke<3918, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_ON_SPECIFIC_VEHICLE(Ped ped, Vehicle vehicle) { return big::native_invoker::invoke<3919, false, BOOL>(ped, vehicle); }
	FORCEINLINE constexpr void SET_PED_MONEY(Ped ped, int amount) { return big::native_invoker::invoke<3920, false, void>(ped, amount); }
	FORCEINLINE constexpr int GET_PED_MONEY(Ped ped) { return big::native_invoker::invoke<3921, false, int>(ped); }
	FORCEINLINE constexpr void SET_HEALTH_SNACKS_CARRIED_BY_ALL_NEW_PEDS(float p0, Any p1) { return big::native_invoker::invoke<3922, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_AMBIENT_PEDS_DROP_MONEY(BOOL p0) { return big::native_invoker::invoke<3923, false, void>(p0); }
	FORCEINLINE constexpr void _SET_BLOCK_AMBIENT_PEDS_FROM_DROPPING_WEAPONS_THIS_FRAME() { return big::native_invoker::invoke<3924, false, void>(); }
	FORCEINLINE constexpr void SET_BLOCKING_OF_NON_TEMPORARY_EVENTS_FOR_AMBIENT_PEDS_THIS_FRAME(BOOL p0) { return big::native_invoker::invoke<3925, false, void>(p0); }
	FORCEINLINE constexpr void SET_PED_SUFFERS_CRITICAL_HITS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3926, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_UPPER_BODY_DAMAGE_ONLY(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3927, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_SITTING_IN_VEHICLE(Ped ped, Vehicle vehicle) { return big::native_invoker::invoke<3928, false, BOOL>(ped, vehicle); }
	FORCEINLINE constexpr BOOL IS_PED_SITTING_IN_ANY_VEHICLE(Ped ped) { return big::native_invoker::invoke<3929, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_ON_FOOT(Ped ped) { return big::native_invoker::invoke<3930, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_ON_ANY_BIKE(Ped ped) { return big::native_invoker::invoke<3931, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_PLANTING_BOMB(Ped ped) { return big::native_invoker::invoke<3932, false, BOOL>(ped); }
	FORCEINLINE constexpr Vector3 GET_DEAD_PED_PICKUP_COORDS(Ped ped, float p1, float p2) { return big::native_invoker::invoke<3933, false, Vector3>(ped, p1, p2); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_BOAT(Ped ped) { return big::native_invoker::invoke<3934, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_SUB(Ped ped) { return big::native_invoker::invoke<3935, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_HELI(Ped ped) { return big::native_invoker::invoke<3936, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_PLANE(Ped ped) { return big::native_invoker::invoke<3937, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_FLYING_VEHICLE(Ped ped) { return big::native_invoker::invoke<3938, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_DIES_IN_WATER(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3939, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL GET_PED_DIES_IN_WATER(Ped ped) { return big::native_invoker::invoke<3940, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_DIES_IN_SINKING_VEHICLE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3941, false, void>(ped, toggle); }
	FORCEINLINE constexpr int GET_PED_ARMOUR(Ped ped) { return big::native_invoker::invoke<3942, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_STAY_IN_VEHICLE_WHEN_JACKED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3943, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_SHOT_IN_VEHICLE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3944, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL GET_PED_LAST_DAMAGE_BONE(Ped ped, int* outBone) { return big::native_invoker::invoke<3945, false, BOOL>(ped, outBone); }
	FORCEINLINE constexpr void CLEAR_PED_LAST_DAMAGE_BONE(Ped ped) { return big::native_invoker::invoke<3946, false, void>(ped); }
	FORCEINLINE constexpr void SET_AI_WEAPON_DAMAGE_MODIFIER(float value) { return big::native_invoker::invoke<3947, false, void>(value); }
	FORCEINLINE constexpr void RESET_AI_WEAPON_DAMAGE_MODIFIER() { return big::native_invoker::invoke<3948, false, void>(); }
	FORCEINLINE constexpr void SET_AI_MELEE_WEAPON_DAMAGE_MODIFIER(float modifier) { return big::native_invoker::invoke<3949, false, void>(modifier); }
	FORCEINLINE constexpr void RESET_AI_MELEE_WEAPON_DAMAGE_MODIFIER() { return big::native_invoker::invoke<3950, false, void>(); }
	FORCEINLINE constexpr void SET_TREAT_AS_AMBIENT_PED_FOR_DRIVER_LOCKON(Ped ped, BOOL p1) { return big::native_invoker::invoke<3951, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_TARGETTED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3952, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_TARGETTED_BY_TEAM(Ped ped, int team, BOOL toggle) { return big::native_invoker::invoke<3953, false, void>(ped, team, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_TARGETTED_BY_PLAYER(Ped ped, Player player, BOOL toggle) { return big::native_invoker::invoke<3954, false, void>(ped, player, toggle); }
	FORCEINLINE constexpr void SET_ALLOW_LOCKON_TO_PED_IF_FRIENDLY(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3955, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_USE_CAMERA_HEADING_FOR_DESIRED_DIRECTION_LOCK_ON_TEST(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3956, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_POLICE_VEHICLE(Ped ped) { return big::native_invoker::invoke<3957, false, BOOL>(ped); }
	FORCEINLINE constexpr void FORCE_PED_TO_OPEN_PARACHUTE(Ped ped) { return big::native_invoker::invoke<3958, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_PARACHUTE_FREE_FALL(Ped ped) { return big::native_invoker::invoke<3959, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_FALLING(Ped ped) { return big::native_invoker::invoke<3960, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_JUMPING(Ped ped) { return big::native_invoker::invoke<3961, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_LANDING(Any p0) { return big::native_invoker::invoke<3962, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL IS_PED_DOING_A_BEAST_JUMP(Any p0) { return big::native_invoker::invoke<3963, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL IS_PED_CLIMBING(Ped ped) { return big::native_invoker::invoke<3964, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_VAULTING(Ped ped) { return big::native_invoker::invoke<3965, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_DIVING(Ped ped) { return big::native_invoker::invoke<3966, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_JUMPING_OUT_OF_VEHICLE(Ped ped) { return big::native_invoker::invoke<3967, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_OPENING_DOOR(Ped ped) { return big::native_invoker::invoke<3968, false, BOOL>(ped); }
	FORCEINLINE constexpr int GET_PED_PARACHUTE_STATE(Ped ped) { return big::native_invoker::invoke<3969, false, int>(ped); }
	FORCEINLINE constexpr int GET_PED_PARACHUTE_LANDING_TYPE(Ped ped) { return big::native_invoker::invoke<3970, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_PARACHUTE_TINT_INDEX(Ped ped, int tintIndex) { return big::native_invoker::invoke<3971, false, void>(ped, tintIndex); }
	FORCEINLINE constexpr void GET_PED_PARACHUTE_TINT_INDEX(Ped ped, int* outTintIndex) { return big::native_invoker::invoke<3972, false, void>(ped, outTintIndex); }
	FORCEINLINE constexpr void SET_PED_RESERVE_PARACHUTE_TINT_INDEX(Ped ped, Any p1) { return big::native_invoker::invoke<3973, false, void>(ped, p1); }
	FORCEINLINE constexpr Object CREATE_PARACHUTE_BAG_OBJECT(Ped ped, BOOL p1, BOOL p2) { return big::native_invoker::invoke<3974, false, Object>(ped, p1, p2); }
	FORCEINLINE constexpr void SET_PED_DUCKING(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3975, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_DUCKING(Ped ped) { return big::native_invoker::invoke<3976, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_TAXI(Ped ped) { return big::native_invoker::invoke<3977, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_ID_RANGE(Ped ped, float value) { return big::native_invoker::invoke<3978, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_HIGHLY_PERCEPTIVE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<3979, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_COP_PERCEPTION_OVERRIDES(float seeingRange, float seeingRangePeripheral, float hearingRange, float visualFieldMinAzimuthAngle, float visualFieldMaxAzimuthAngle, float fieldOfGazeMaxAngle, float p6) { return big::native_invoker::invoke<3980, false, void>(seeingRange, seeingRangePeripheral, hearingRange, visualFieldMinAzimuthAngle, visualFieldMaxAzimuthAngle, fieldOfGazeMaxAngle, p6); }
	FORCEINLINE constexpr void SET_PED_INJURED_ON_GROUND_BEHAVIOUR(Ped ped, float p1) { return big::native_invoker::invoke<3981, false, void>(ped, p1); }
	FORCEINLINE constexpr void DISABLE_PED_INJURED_ON_GROUND_BEHAVIOUR(Ped ped) { return big::native_invoker::invoke<3982, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_SEEING_RANGE(Ped ped, float value) { return big::native_invoker::invoke<3983, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_HEARING_RANGE(Ped ped, float value) { return big::native_invoker::invoke<3984, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_VISUAL_FIELD_MIN_ANGLE(Ped ped, float value) { return big::native_invoker::invoke<3985, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_VISUAL_FIELD_MAX_ANGLE(Ped ped, float value) { return big::native_invoker::invoke<3986, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_VISUAL_FIELD_MIN_ELEVATION_ANGLE(Ped ped, float angle) { return big::native_invoker::invoke<3987, false, void>(ped, angle); }
	FORCEINLINE constexpr void SET_PED_VISUAL_FIELD_MAX_ELEVATION_ANGLE(Ped ped, float angle) { return big::native_invoker::invoke<3988, false, void>(ped, angle); }
	FORCEINLINE constexpr void SET_PED_VISUAL_FIELD_PERIPHERAL_RANGE(Ped ped, float range) { return big::native_invoker::invoke<3989, false, void>(ped, range); }
	FORCEINLINE constexpr void SET_PED_VISUAL_FIELD_CENTER_ANGLE(Ped ped, float angle) { return big::native_invoker::invoke<3990, false, void>(ped, angle); }
	FORCEINLINE constexpr float GET_PED_VISUAL_FIELD_CENTER_ANGLE(Ped ped) { return big::native_invoker::invoke<3991, false, float>(ped); }
	FORCEINLINE constexpr void SET_PED_STEALTH_MOVEMENT(Ped ped, BOOL p1, const char* action) { return big::native_invoker::invoke<3992, false, void>(ped, p1, action); }
	FORCEINLINE constexpr BOOL GET_PED_STEALTH_MOVEMENT(Ped ped) { return big::native_invoker::invoke<3993, false, BOOL>(ped); }
	FORCEINLINE constexpr int CREATE_GROUP(int unused) { return big::native_invoker::invoke<3994, false, int>(unused); }
	FORCEINLINE constexpr void SET_PED_AS_GROUP_LEADER(Ped ped, int groupId) { return big::native_invoker::invoke<3995, false, void>(ped, groupId); }
	FORCEINLINE constexpr void SET_PED_AS_GROUP_MEMBER(Ped ped, int groupId) { return big::native_invoker::invoke<3996, false, void>(ped, groupId); }
	FORCEINLINE constexpr void SET_PED_CAN_TELEPORT_TO_GROUP_LEADER(Ped pedHandle, int groupHandle, BOOL toggle) { return big::native_invoker::invoke<3997, false, void>(pedHandle, groupHandle, toggle); }
	FORCEINLINE constexpr void REMOVE_GROUP(int groupId) { return big::native_invoker::invoke<3998, false, void>(groupId); }
	FORCEINLINE constexpr void REMOVE_PED_FROM_GROUP(Ped ped) { return big::native_invoker::invoke<3999, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_GROUP_MEMBER(Ped ped, int groupId) { return big::native_invoker::invoke<4000, false, BOOL>(ped, groupId); }
	FORCEINLINE constexpr BOOL IS_PED_HANGING_ON_TO_VEHICLE(Ped ped) { return big::native_invoker::invoke<4001, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_GROUP_SEPARATION_RANGE(int groupHandle, float separationRange) { return big::native_invoker::invoke<4002, false, void>(groupHandle, separationRange); }
	FORCEINLINE constexpr void SET_PED_MIN_GROUND_TIME_FOR_STUNGUN(Ped ped, int ms) { return big::native_invoker::invoke<4003, false, void>(ped, ms); }
	FORCEINLINE constexpr BOOL IS_PED_PRONE(Ped ped) { return big::native_invoker::invoke<4004, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_COMBAT(Ped ped, Ped target) { return big::native_invoker::invoke<4005, false, BOOL>(ped, target); }
	FORCEINLINE constexpr Entity GET_PED_TARGET_FROM_COMBAT_PED(Ped ped, Any p1) { return big::native_invoker::invoke<4006, false, Entity>(ped, p1); }
	FORCEINLINE constexpr BOOL CAN_PED_IN_COMBAT_SEE_TARGET(Ped ped, Ped target) { return big::native_invoker::invoke<4007, false, BOOL>(ped, target); }
	FORCEINLINE constexpr BOOL IS_PED_DOING_DRIVEBY(Ped ped) { return big::native_invoker::invoke<4008, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_JACKING(Ped ped) { return big::native_invoker::invoke<4009, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_BEING_JACKED(Ped ped) { return big::native_invoker::invoke<4010, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_BEING_STUNNED(Ped ped, int p1) { return big::native_invoker::invoke<4011, false, BOOL>(ped, p1); }
	FORCEINLINE constexpr Ped GET_PEDS_JACKER(Ped ped) { return big::native_invoker::invoke<4012, false, Ped>(ped); }
	FORCEINLINE constexpr Ped GET_JACK_TARGET(Ped ped) { return big::native_invoker::invoke<4013, false, Ped>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_FLEEING(Ped ped) { return big::native_invoker::invoke<4014, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_COVER(Ped ped, BOOL exceptUseWeapon) { return big::native_invoker::invoke<4015, false, BOOL>(ped, exceptUseWeapon); }
	FORCEINLINE constexpr BOOL IS_PED_IN_COVER_FACING_LEFT(Ped ped) { return big::native_invoker::invoke<4016, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_HIGH_COVER(Ped ped) { return big::native_invoker::invoke<4017, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_GOING_INTO_COVER(Ped ped) { return big::native_invoker::invoke<4018, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL SET_PED_PINNED_DOWN(Ped ped, BOOL pinned, int i) { return big::native_invoker::invoke<4019, false, BOOL>(ped, pinned, i); }
	FORCEINLINE constexpr BOOL _HAS_PED_CLEAR_LOS_TO_ENTITY(Ped ped, Entity entity, float x, float y, float z, int p5, BOOL p6, BOOL p7) { return big::native_invoker::invoke<4020, false, BOOL>(ped, entity, x, y, z, p5, p6, p7); }
	FORCEINLINE constexpr int GET_SEAT_PED_IS_TRYING_TO_ENTER(Ped ped) { return big::native_invoker::invoke<4021, false, int>(ped); }
	FORCEINLINE constexpr Vehicle GET_VEHICLE_PED_IS_TRYING_TO_ENTER(Ped ped) { return big::native_invoker::invoke<4022, false, Vehicle>(ped); }
	FORCEINLINE constexpr Entity GET_PED_SOURCE_OF_DEATH(Ped ped) { return big::native_invoker::invoke<4023, false, Entity>(ped); }
	FORCEINLINE constexpr Hash GET_PED_CAUSE_OF_DEATH(Ped ped) { return big::native_invoker::invoke<4024, false, Hash>(ped); }
	FORCEINLINE constexpr int GET_PED_TIME_OF_DEATH(Ped ped) { return big::native_invoker::invoke<4025, false, int>(ped); }
	FORCEINLINE constexpr int COUNT_PEDS_IN_COMBAT_WITH_TARGET(Ped ped) { return big::native_invoker::invoke<4026, false, int>(ped); }
	FORCEINLINE constexpr int COUNT_PEDS_IN_COMBAT_WITH_TARGET_WITHIN_RADIUS(Ped ped, float x, float y, float z, float radius) { return big::native_invoker::invoke<4027, false, int>(ped, x, y, z, radius); }
	FORCEINLINE constexpr void SET_PED_RELATIONSHIP_GROUP_DEFAULT_HASH(Ped ped, Hash hash) { return big::native_invoker::invoke<4028, false, void>(ped, hash); }
	FORCEINLINE constexpr void SET_PED_RELATIONSHIP_GROUP_HASH(Ped ped, Hash hash) { return big::native_invoker::invoke<4029, false, void>(ped, hash); }
	FORCEINLINE constexpr void SET_RELATIONSHIP_BETWEEN_GROUPS(int relationship, Hash group1, Hash group2) { return big::native_invoker::invoke<4030, false, void>(relationship, group1, group2); }
	FORCEINLINE constexpr void CLEAR_RELATIONSHIP_BETWEEN_GROUPS(int relationship, Hash group1, Hash group2) { return big::native_invoker::invoke<4031, false, void>(relationship, group1, group2); }
	FORCEINLINE constexpr BOOL ADD_RELATIONSHIP_GROUP(const char* name, Hash* groupHash) { return big::native_invoker::invoke<4032, false, BOOL>(name, groupHash); }
	FORCEINLINE constexpr void REMOVE_RELATIONSHIP_GROUP(Hash groupHash) { return big::native_invoker::invoke<4033, false, void>(groupHash); }
	FORCEINLINE constexpr BOOL DOES_RELATIONSHIP_GROUP_EXIST(Hash groupHash) { return big::native_invoker::invoke<4034, false, BOOL>(groupHash); }
	FORCEINLINE constexpr int GET_RELATIONSHIP_BETWEEN_PEDS(Ped ped1, Ped ped2) { return big::native_invoker::invoke<4035, false, int>(ped1, ped2); }
	FORCEINLINE constexpr Hash GET_PED_RELATIONSHIP_GROUP_DEFAULT_HASH(Ped ped) { return big::native_invoker::invoke<4036, false, Hash>(ped); }
	FORCEINLINE constexpr Hash GET_PED_RELATIONSHIP_GROUP_HASH(Ped ped) { return big::native_invoker::invoke<4037, false, Hash>(ped); }
	FORCEINLINE constexpr int GET_RELATIONSHIP_BETWEEN_GROUPS(Hash group1, Hash group2) { return big::native_invoker::invoke<4038, false, int>(group1, group2); }
	FORCEINLINE constexpr void SET_RELATIONSHIP_GROUP_AFFECTS_WANTED_LEVEL(Hash group, BOOL p1) { return big::native_invoker::invoke<4039, false, void>(group, p1); }
	FORCEINLINE constexpr void TELL_GROUP_PEDS_IN_AREA_TO_ATTACK(Ped ped, Any p1, float p2, Hash hash, Any p4, Any p5) { return big::native_invoker::invoke<4040, false, void>(ped, p1, p2, hash, p4, p5); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_TARGETED_WITHOUT_LOS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4041, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_TO_INFORM_RESPECTED_FRIENDS(Ped ped, float radius, int maxFriends) { return big::native_invoker::invoke<4042, false, void>(ped, radius, maxFriends); }
	FORCEINLINE constexpr BOOL IS_PED_RESPONDING_TO_EVENT(Ped ped, Any event) { return big::native_invoker::invoke<4043, false, BOOL>(ped, event); }
	FORCEINLINE constexpr BOOL GET_POS_FROM_FIRED_EVENT(Ped ped, int eventType, Any* outData) { return big::native_invoker::invoke<4044, false, BOOL>(ped, eventType, outData); }
	FORCEINLINE constexpr void SET_PED_FIRING_PATTERN(Ped ped, Hash patternHash) { return big::native_invoker::invoke<4045, false, void>(ped, patternHash); }
	FORCEINLINE constexpr void SET_PED_SHOOT_RATE(Ped ped, int shootRate) { return big::native_invoker::invoke<4046, false, void>(ped, shootRate); }
	FORCEINLINE constexpr void SET_COMBAT_FLOAT(Ped ped, int combatType, float p2) { return big::native_invoker::invoke<4047, false, void>(ped, combatType, p2); }
	FORCEINLINE constexpr float GET_COMBAT_FLOAT(Ped ped, int p1) { return big::native_invoker::invoke<4048, false, float>(ped, p1); }
	FORCEINLINE constexpr void GET_GROUP_SIZE(int groupID, Any* p1, int* sizeInMembers) { return big::native_invoker::invoke<4049, false, void>(groupID, p1, sizeInMembers); }
	FORCEINLINE constexpr BOOL DOES_GROUP_EXIST(int groupId) { return big::native_invoker::invoke<4050, false, BOOL>(groupId); }
	FORCEINLINE constexpr int GET_PED_GROUP_INDEX(Ped ped) { return big::native_invoker::invoke<4051, false, int>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_IN_GROUP(Ped ped) { return big::native_invoker::invoke<4052, false, BOOL>(ped); }
	FORCEINLINE constexpr Player GET_PLAYER_PED_IS_FOLLOWING(Ped ped) { return big::native_invoker::invoke<4053, false, Player>(ped); }
	FORCEINLINE constexpr void SET_GROUP_FORMATION(int groupId, int formationType) { return big::native_invoker::invoke<4054, false, void>(groupId, formationType); }
	FORCEINLINE constexpr void SET_GROUP_FORMATION_SPACING(int groupId, float x, float y, float z) { return big::native_invoker::invoke<4055, false, void>(groupId, x, y, z); }
	FORCEINLINE constexpr void RESET_GROUP_FORMATION_DEFAULT_SPACING(int groupHandle) { return big::native_invoker::invoke<4056, false, void>(groupHandle); }
	FORCEINLINE constexpr Vehicle GET_VEHICLE_PED_IS_USING(Ped ped) { return big::native_invoker::invoke<4057, false, Vehicle>(ped); }
	FORCEINLINE constexpr Vehicle GET_VEHICLE_PED_IS_ENTERING(Ped ped) { return big::native_invoker::invoke<4058, false, Vehicle>(ped); }
	FORCEINLINE constexpr void SET_PED_GRAVITY(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4059, false, void>(ped, toggle); }
	FORCEINLINE constexpr void APPLY_DAMAGE_TO_PED(Ped ped, int damageAmount, BOOL p2, Any p3, Hash weaponType) { return big::native_invoker::invoke<4060, false, void>(ped, damageAmount, p2, p3, weaponType); }
	FORCEINLINE constexpr int GET_TIME_PED_DAMAGED_BY_WEAPON(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<4061, false, int>(ped, weaponHash); }
	FORCEINLINE constexpr void SET_PED_ALLOWED_TO_DUCK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4062, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_NEVER_LEAVES_GROUP(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4063, false, void>(ped, toggle); }
	FORCEINLINE constexpr int GET_PED_TYPE(Ped ped) { return big::native_invoker::invoke<4064, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_AS_COP(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4065, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_HEALTH_PENDING_LAST_DAMAGE_EVENT_OVERRIDE_FLAG(BOOL toggle) { return big::native_invoker::invoke<4066, false, void>(toggle); }
	FORCEINLINE constexpr void SET_PED_MAX_HEALTH(Ped ped, int value) { return big::native_invoker::invoke<4067, false, void>(ped, value); }
	FORCEINLINE constexpr int GET_PED_MAX_HEALTH(Ped ped) { return big::native_invoker::invoke<4068, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_MAX_TIME_IN_WATER(Ped ped, float value) { return big::native_invoker::invoke<4069, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_MAX_TIME_UNDERWATER(Ped ped, float value) { return big::native_invoker::invoke<4070, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_CORPSE_RAGDOLL_FRICTION(Ped ped, float p1) { return big::native_invoker::invoke<4071, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_VEHICLE_FORCED_SEAT_USAGE(Ped ped, Vehicle vehicle, int seatIndex, int flags, Any p4) { return big::native_invoker::invoke<4072, false, void>(ped, vehicle, seatIndex, flags, p4); }
	FORCEINLINE constexpr void CLEAR_ALL_PED_VEHICLE_FORCED_SEAT_USAGE(Ped ped) { return big::native_invoker::invoke<4073, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_KNOCKED_OFF_BIKE(Any p0, Any p1) { return big::native_invoker::invoke<4074, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_KNOCKED_OFF_VEHICLE(Ped ped, int state) { return big::native_invoker::invoke<4075, false, void>(ped, state); }
	FORCEINLINE constexpr BOOL CAN_KNOCK_PED_OFF_VEHICLE(Ped ped) { return big::native_invoker::invoke<4076, false, BOOL>(ped); }
	FORCEINLINE constexpr void KNOCK_PED_OFF_VEHICLE(Ped ped) { return big::native_invoker::invoke<4077, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_COORDS_NO_GANG(Ped ped, float posX, float posY, float posZ) { return big::native_invoker::invoke<4078, false, void>(ped, posX, posY, posZ); }
	FORCEINLINE constexpr Ped GET_PED_AS_GROUP_MEMBER(int groupID, int memberNumber) { return big::native_invoker::invoke<4079, false, Ped>(groupID, memberNumber); }
	FORCEINLINE constexpr Ped GET_PED_AS_GROUP_LEADER(int groupID) { return big::native_invoker::invoke<4080, false, Ped>(groupID); }
	FORCEINLINE constexpr void SET_PED_KEEP_TASK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4081, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_ALLOW_MINOR_REACTIONS_AS_MISSION_PED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4082, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_SWIMMING(Ped ped) { return big::native_invoker::invoke<4083, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_SWIMMING_UNDER_WATER(Ped ped) { return big::native_invoker::invoke<4084, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_COORDS_KEEP_VEHICLE(Ped ped, float posX, float posY, float posZ) { return big::native_invoker::invoke<4085, false, void>(ped, posX, posY, posZ); }
	FORCEINLINE constexpr void SET_PED_DIES_IN_VEHICLE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4086, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_CREATE_RANDOM_COPS(BOOL toggle) { return big::native_invoker::invoke<4087, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CREATE_RANDOM_COPS_NOT_ON_SCENARIOS(BOOL toggle) { return big::native_invoker::invoke<4088, false, void>(toggle); }
	FORCEINLINE constexpr void SET_CREATE_RANDOM_COPS_ON_SCENARIOS(BOOL toggle) { return big::native_invoker::invoke<4089, false, void>(toggle); }
	FORCEINLINE constexpr BOOL CAN_CREATE_RANDOM_COPS() { return big::native_invoker::invoke<4090, false, BOOL>(); }
	FORCEINLINE constexpr void SET_PED_AS_ENEMY(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4091, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_SMASH_GLASS(Ped ped, BOOL p1, BOOL p2) { return big::native_invoker::invoke<4092, false, void>(ped, p1, p2); }
	FORCEINLINE constexpr BOOL IS_PED_IN_ANY_TRAIN(Ped ped) { return big::native_invoker::invoke<4093, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_GETTING_INTO_A_VEHICLE(Ped ped) { return big::native_invoker::invoke<4094, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_TRYING_TO_ENTER_A_LOCKED_VEHICLE(Ped ped) { return big::native_invoker::invoke<4095, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_ENABLE_HANDCUFFS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4096, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_ENABLE_BOUND_ANKLES(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4097, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_ENABLE_SCUBA(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4098, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_CAN_ATTACK_FRIENDLY(Ped ped, BOOL toggle, BOOL p2) { return big::native_invoker::invoke<4099, false, void>(ped, toggle, p2); }
	FORCEINLINE constexpr int GET_PED_ALERTNESS(Ped ped) { return big::native_invoker::invoke<4100, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_ALERTNESS(Ped ped, int value) { return big::native_invoker::invoke<4101, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_GET_OUT_UPSIDE_DOWN_VEHICLE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4102, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_MOVEMENT_CLIPSET(Ped ped, const char* clipSet, float transitionSpeed) { return big::native_invoker::invoke<4103, false, void>(ped, clipSet, transitionSpeed); }
	FORCEINLINE constexpr void RESET_PED_MOVEMENT_CLIPSET(Ped ped, float p1) { return big::native_invoker::invoke<4104, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_STRAFE_CLIPSET(Ped ped, const char* clipSet) { return big::native_invoker::invoke<4105, false, void>(ped, clipSet); }
	FORCEINLINE constexpr void RESET_PED_STRAFE_CLIPSET(Ped ped) { return big::native_invoker::invoke<4106, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_WEAPON_MOVEMENT_CLIPSET(Ped ped, const char* clipSet) { return big::native_invoker::invoke<4107, false, void>(ped, clipSet); }
	FORCEINLINE constexpr void RESET_PED_WEAPON_MOVEMENT_CLIPSET(Ped ped) { return big::native_invoker::invoke<4108, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_DRIVE_BY_CLIPSET_OVERRIDE(Ped ped, const char* clipset) { return big::native_invoker::invoke<4109, false, void>(ped, clipset); }
	FORCEINLINE constexpr void CLEAR_PED_DRIVE_BY_CLIPSET_OVERRIDE(Ped ped) { return big::native_invoker::invoke<4110, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_MOTION_IN_COVER_CLIPSET_OVERRIDE(Ped ped, const char* p1) { return big::native_invoker::invoke<4111, false, void>(ped, p1); }
	FORCEINLINE constexpr void CLEAR_PED_MOTION_IN_COVER_CLIPSET_OVERRIDE(Ped ped) { return big::native_invoker::invoke<4112, false, void>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_FALL_UPPER_BODY_CLIPSET_OVERRIDE(Ped ped) { return big::native_invoker::invoke<4113, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_IN_VEHICLE_CONTEXT(Ped ped, Hash context) { return big::native_invoker::invoke<4114, false, void>(ped, context); }
	FORCEINLINE constexpr void RESET_PED_IN_VEHICLE_CONTEXT(Ped ped) { return big::native_invoker::invoke<4115, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_SCRIPTED_SCENARIO_PED_USING_CONDITIONAL_ANIM(Ped ped, const char* animDict, const char* anim) { return big::native_invoker::invoke<4116, false, BOOL>(ped, animDict, anim); }
	FORCEINLINE constexpr void SET_PED_ALTERNATE_WALK_ANIM(Ped ped, const char* animDict, const char* animName, float p3, BOOL p4) { return big::native_invoker::invoke<4117, false, void>(ped, animDict, animName, p3, p4); }
	FORCEINLINE constexpr void CLEAR_PED_ALTERNATE_WALK_ANIM(Ped ped, float p1) { return big::native_invoker::invoke<4118, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_ALTERNATE_MOVEMENT_ANIM(Ped ped, int stance, const char* animDictionary, const char* animationName, float p4, BOOL p5) { return big::native_invoker::invoke<4119, false, void>(ped, stance, animDictionary, animationName, p4, p5); }
	FORCEINLINE constexpr void CLEAR_PED_ALTERNATE_MOVEMENT_ANIM(Ped ped, int stance, float p2) { return big::native_invoker::invoke<4120, false, void>(ped, stance, p2); }
	FORCEINLINE constexpr void SET_PED_GESTURE_GROUP(Ped ped, const char* animGroupGesture) { return big::native_invoker::invoke<4121, false, void>(ped, animGroupGesture); }
	FORCEINLINE constexpr Vector3 GET_ANIM_INITIAL_OFFSET_POSITION(const char* animDict, const char* animName, float x, float y, float z, float xRot, float yRot, float zRot, float p8, int p9) { return big::native_invoker::invoke<4122, false, Vector3>(animDict, animName, x, y, z, xRot, yRot, zRot, p8, p9); }
	FORCEINLINE constexpr Vector3 GET_ANIM_INITIAL_OFFSET_ROTATION(const char* animDict, const char* animName, float x, float y, float z, float xRot, float yRot, float zRot, float p8, int p9) { return big::native_invoker::invoke<4123, false, Vector3>(animDict, animName, x, y, z, xRot, yRot, zRot, p8, p9); }
	FORCEINLINE constexpr int GET_PED_DRAWABLE_VARIATION(Ped ped, int componentId) { return big::native_invoker::invoke<4124, false, int>(ped, componentId); }
	FORCEINLINE constexpr int GET_NUMBER_OF_PED_DRAWABLE_VARIATIONS(Ped ped, int componentId) { return big::native_invoker::invoke<4125, false, int>(ped, componentId); }
	FORCEINLINE constexpr int GET_PED_TEXTURE_VARIATION(Ped ped, int componentId) { return big::native_invoker::invoke<4126, false, int>(ped, componentId); }
	FORCEINLINE constexpr int GET_NUMBER_OF_PED_TEXTURE_VARIATIONS(Ped ped, int componentId, int drawableId) { return big::native_invoker::invoke<4127, false, int>(ped, componentId, drawableId); }
	FORCEINLINE constexpr int GET_NUMBER_OF_PED_PROP_DRAWABLE_VARIATIONS(Ped ped, int propId) { return big::native_invoker::invoke<4128, false, int>(ped, propId); }
	FORCEINLINE constexpr int GET_NUMBER_OF_PED_PROP_TEXTURE_VARIATIONS(Ped ped, int propId, int drawableId) { return big::native_invoker::invoke<4129, false, int>(ped, propId, drawableId); }
	FORCEINLINE constexpr int GET_PED_PALETTE_VARIATION(Ped ped, int componentId) { return big::native_invoker::invoke<4130, false, int>(ped, componentId); }
	FORCEINLINE constexpr BOOL GET_MP_OUTFIT_DATA_FROM_METADATA(Any* p0, Any* p1) { return big::native_invoker::invoke<4131, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr int GET_FM_MALE_SHOP_PED_APPAREL_ITEM_INDEX(int p0) { return big::native_invoker::invoke<4132, false, int>(p0); }
	FORCEINLINE constexpr int GET_FM_FEMALE_SHOP_PED_APPAREL_ITEM_INDEX(int p0) { return big::native_invoker::invoke<4133, false, int>(p0); }
	FORCEINLINE constexpr BOOL IS_PED_COMPONENT_VARIATION_VALID(Ped ped, int componentId, int drawableId, int textureId) { return big::native_invoker::invoke<4134, false, BOOL>(ped, componentId, drawableId, textureId); }
	FORCEINLINE constexpr void SET_PED_COMPONENT_VARIATION(Ped ped, int componentId, int drawableId, int textureId, int paletteId) { return big::native_invoker::invoke<4135, false, void>(ped, componentId, drawableId, textureId, paletteId); }
	FORCEINLINE constexpr void SET_PED_RANDOM_COMPONENT_VARIATION(Ped ped, int p1) { return big::native_invoker::invoke<4136, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_RANDOM_PROPS(Ped ped) { return big::native_invoker::invoke<4137, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_DEFAULT_COMPONENT_VARIATION(Ped ped) { return big::native_invoker::invoke<4138, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_BLEND_FROM_PARENTS(Ped ped, Any p1, Any p2, float p3, float p4) { return big::native_invoker::invoke<4139, false, void>(ped, p1, p2, p3, p4); }
	FORCEINLINE constexpr void SET_PED_HEAD_BLEND_DATA(Ped ped, int shapeFirstID, int shapeSecondID, int shapeThirdID, int skinFirstID, int skinSecondID, int skinThirdID, float shapeMix, float skinMix, float thirdMix, BOOL isParent) { return big::native_invoker::invoke<4140, false, void>(ped, shapeFirstID, shapeSecondID, shapeThirdID, skinFirstID, skinSecondID, skinThirdID, shapeMix, skinMix, thirdMix, isParent); }
	FORCEINLINE constexpr BOOL GET_PED_HEAD_BLEND_DATA(Ped ped, Any* headBlendData) { return big::native_invoker::invoke<4141, false, BOOL>(ped, headBlendData); }
	FORCEINLINE constexpr void UPDATE_PED_HEAD_BLEND_DATA(Ped ped, float shapeMix, float skinMix, float thirdMix) { return big::native_invoker::invoke<4142, false, void>(ped, shapeMix, skinMix, thirdMix); }
	FORCEINLINE constexpr void SET_HEAD_BLEND_EYE_COLOR(Ped ped, int index) { return big::native_invoker::invoke<4143, false, void>(ped, index); }
	FORCEINLINE constexpr int GET_HEAD_BLEND_EYE_COLOR(Ped ped) { return big::native_invoker::invoke<4144, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_HEAD_OVERLAY(Ped ped, int overlayID, int index, float opacity) { return big::native_invoker::invoke<4145, false, void>(ped, overlayID, index, opacity); }
	FORCEINLINE constexpr int GET_PED_HEAD_OVERLAY(Ped ped, int overlayID) { return big::native_invoker::invoke<4146, false, int>(ped, overlayID); }
	FORCEINLINE constexpr int GET_PED_HEAD_OVERLAY_NUM(int overlayID) { return big::native_invoker::invoke<4147, false, int>(overlayID); }
	FORCEINLINE constexpr void SET_PED_HEAD_OVERLAY_TINT(Ped ped, int overlayID, int colorType, int colorID, int secondColorID) { return big::native_invoker::invoke<4148, false, void>(ped, overlayID, colorType, colorID, secondColorID); }
	FORCEINLINE constexpr void SET_PED_HAIR_TINT(Ped ped, int colorID, int highlightColorID) { return big::native_invoker::invoke<4149, false, void>(ped, colorID, highlightColorID); }
	FORCEINLINE constexpr int GET_NUM_PED_HAIR_TINTS() { return big::native_invoker::invoke<4150, false, int>(); }
	FORCEINLINE constexpr int GET_NUM_PED_MAKEUP_TINTS() { return big::native_invoker::invoke<4151, false, int>(); }
	FORCEINLINE constexpr void GET_PED_HAIR_TINT_COLOR(int hairColorIndex, int* outR, int* outG, int* outB) { return big::native_invoker::invoke<4152, false, void>(hairColorIndex, outR, outG, outB); }
	FORCEINLINE constexpr void GET_PED_MAKEUP_TINT_COLOR(int makeupColorIndex, int* outR, int* outG, int* outB) { return big::native_invoker::invoke<4153, false, void>(makeupColorIndex, outR, outG, outB); }
	FORCEINLINE constexpr BOOL IS_PED_HAIR_TINT_FOR_CREATOR(int colorId) { return big::native_invoker::invoke<4154, false, BOOL>(colorId); }
	FORCEINLINE constexpr int GET_DEFAULT_SECONDARY_TINT_FOR_CREATOR(int colorId) { return big::native_invoker::invoke<4155, false, int>(colorId); }
	FORCEINLINE constexpr BOOL IS_PED_LIPSTICK_TINT_FOR_CREATOR(int colorId) { return big::native_invoker::invoke<4156, false, BOOL>(colorId); }
	FORCEINLINE constexpr BOOL IS_PED_BLUSH_TINT_FOR_CREATOR(int colorId) { return big::native_invoker::invoke<4157, false, BOOL>(colorId); }
	FORCEINLINE constexpr BOOL IS_PED_HAIR_TINT_FOR_BARBER(int colorID) { return big::native_invoker::invoke<4158, false, BOOL>(colorID); }
	FORCEINLINE constexpr int GET_DEFAULT_SECONDARY_TINT_FOR_BARBER(int colorID) { return big::native_invoker::invoke<4159, false, int>(colorID); }
	FORCEINLINE constexpr BOOL IS_PED_LIPSTICK_TINT_FOR_BARBER(int colorID) { return big::native_invoker::invoke<4160, false, BOOL>(colorID); }
	FORCEINLINE constexpr BOOL IS_PED_BLUSH_TINT_FOR_BARBER(int colorID) { return big::native_invoker::invoke<4161, false, BOOL>(colorID); }
	FORCEINLINE constexpr BOOL IS_PED_BLUSH_FACEPAINT_TINT_FOR_BARBER(int colorId) { return big::native_invoker::invoke<4162, false, BOOL>(colorId); }
	FORCEINLINE constexpr int GET_TINT_INDEX_FOR_LAST_GEN_HAIR_TEXTURE(Hash modelHash, int drawableId, int textureId) { return big::native_invoker::invoke<4163, false, int>(modelHash, drawableId, textureId); }
	FORCEINLINE constexpr void SET_PED_MICRO_MORPH(Ped ped, int index, float scale) { return big::native_invoker::invoke<4164, false, void>(ped, index, scale); }
	FORCEINLINE constexpr BOOL HAS_PED_HEAD_BLEND_FINISHED(Ped ped) { return big::native_invoker::invoke<4165, false, BOOL>(ped); }
	FORCEINLINE constexpr void FINALIZE_HEAD_BLEND(Ped ped) { return big::native_invoker::invoke<4166, false, void>(ped); }
	FORCEINLINE constexpr void SET_HEAD_BLEND_PALETTE_COLOR(Ped ped, int r, int g, int b, int id) { return big::native_invoker::invoke<4167, false, void>(ped, r, g, b, id); }
	FORCEINLINE constexpr void DISABLE_HEAD_BLEND_PALETTE_COLOR(Ped ped) { return big::native_invoker::invoke<4168, false, void>(ped); }
	FORCEINLINE constexpr int GET_PED_HEAD_BLEND_FIRST_INDEX(int type) { return big::native_invoker::invoke<4169, false, int>(type); }
	FORCEINLINE constexpr int GET_PED_HEAD_BLEND_NUM_HEADS(int type) { return big::native_invoker::invoke<4170, false, int>(type); }
	FORCEINLINE constexpr int SET_PED_PRELOAD_VARIATION_DATA(Ped ped, int slot, int drawableId, int textureId) { return big::native_invoker::invoke<4171, false, int>(ped, slot, drawableId, textureId); }
	FORCEINLINE constexpr BOOL HAS_PED_PRELOAD_VARIATION_DATA_FINISHED(Ped ped) { return big::native_invoker::invoke<4172, false, BOOL>(ped); }
	FORCEINLINE constexpr void RELEASE_PED_PRELOAD_VARIATION_DATA(Ped ped) { return big::native_invoker::invoke<4173, false, void>(ped); }
	FORCEINLINE constexpr int SET_PED_PRELOAD_PROP_DATA(Ped ped, int componentId, int drawableId, int TextureId) { return big::native_invoker::invoke<4174, false, int>(ped, componentId, drawableId, TextureId); }
	FORCEINLINE constexpr BOOL HAS_PED_PRELOAD_PROP_DATA_FINISHED(Ped ped) { return big::native_invoker::invoke<4175, false, BOOL>(ped); }
	FORCEINLINE constexpr void RELEASE_PED_PRELOAD_PROP_DATA(Ped ped) { return big::native_invoker::invoke<4176, false, void>(ped); }
	FORCEINLINE constexpr int GET_PED_PROP_INDEX(Ped ped, int componentId, Any p2) { return big::native_invoker::invoke<4177, false, int>(ped, componentId, p2); }
	FORCEINLINE constexpr void SET_PED_PROP_INDEX(Ped ped, int componentId, int drawableId, int TextureId, BOOL attach, Any p5) { return big::native_invoker::invoke<4178, false, void>(ped, componentId, drawableId, TextureId, attach, p5); }
	FORCEINLINE constexpr void KNOCK_OFF_PED_PROP(Ped ped, BOOL p1, BOOL p2, BOOL p3, BOOL p4) { return big::native_invoker::invoke<4179, false, void>(ped, p1, p2, p3, p4); }
	FORCEINLINE constexpr void CLEAR_PED_PROP(Ped ped, int propId, Any p2) { return big::native_invoker::invoke<4180, false, void>(ped, propId, p2); }
	FORCEINLINE constexpr void CLEAR_ALL_PED_PROPS(Ped ped, Any p1) { return big::native_invoker::invoke<4181, false, void>(ped, p1); }
	FORCEINLINE constexpr void DROP_AMBIENT_PROP(Ped ped) { return big::native_invoker::invoke<4182, false, void>(ped); }
	FORCEINLINE constexpr int GET_PED_PROP_TEXTURE_INDEX(Ped ped, int componentId) { return big::native_invoker::invoke<4183, false, int>(ped, componentId); }
	FORCEINLINE constexpr void CLEAR_PED_PARACHUTE_PACK_VARIATION(Ped ped) { return big::native_invoker::invoke<4184, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_SCUBA_GEAR_VARIATION(Ped ped) { return big::native_invoker::invoke<4185, false, void>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_SCUBA_GEAR_VARIATION(Ped ped) { return big::native_invoker::invoke<4186, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_USING_PED_SCUBA_GEAR_VARIATION(Any p0) { return big::native_invoker::invoke<4187, false, BOOL>(p0); }
	FORCEINLINE constexpr void SET_BLOCKING_OF_NON_TEMPORARY_EVENTS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4188, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_BOUNDS_ORIENTATION(Ped ped, float p1, float p2, float x, float y, float z) { return big::native_invoker::invoke<4189, false, void>(ped, p1, p2, x, y, z); }
	FORCEINLINE constexpr void REGISTER_TARGET(Ped ped, Ped target) { return big::native_invoker::invoke<4190, false, void>(ped, target); }
	FORCEINLINE constexpr void REGISTER_HATED_TARGETS_AROUND_PED(Ped ped, float radius) { return big::native_invoker::invoke<4191, false, void>(ped, radius); }
	FORCEINLINE constexpr Ped GET_RANDOM_PED_AT_COORD(float x, float y, float z, float xRadius, float yRadius, float zRadius, int pedType) { return big::native_invoker::invoke<4192, false, Ped>(x, y, z, xRadius, yRadius, zRadius, pedType); }
	FORCEINLINE constexpr BOOL GET_CLOSEST_PED(float x, float y, float z, float radius, BOOL p4, BOOL p5, Ped* outPed, BOOL p7, BOOL p8, int pedType) { return big::native_invoker::invoke<4193, false, BOOL>(x, y, z, radius, p4, p5, outPed, p7, p8, pedType); }
	FORCEINLINE constexpr void SET_SCENARIO_PEDS_TO_BE_RETURNED_BY_NEXT_COMMAND(BOOL value) { return big::native_invoker::invoke<4194, false, void>(value); }
	FORCEINLINE constexpr BOOL GET_CAN_PED_BE_GRABBED_BY_SCRIPT(Ped ped, BOOL p1, BOOL p2, BOOL p3, BOOL p4, BOOL p5, BOOL p6, BOOL p7, Any p8) { return big::native_invoker::invoke<4195, false, BOOL>(ped, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void SET_DRIVER_RACING_MODIFIER(Ped driver, float modifier) { return big::native_invoker::invoke<4196, false, void>(driver, modifier); }
	FORCEINLINE constexpr void SET_DRIVER_ABILITY(Ped driver, float ability) { return big::native_invoker::invoke<4197, false, void>(driver, ability); }
	FORCEINLINE constexpr void SET_DRIVER_AGGRESSIVENESS(Ped driver, float aggressiveness) { return big::native_invoker::invoke<4198, false, void>(driver, aggressiveness); }
	FORCEINLINE constexpr BOOL CAN_PED_RAGDOLL(Ped ped) { return big::native_invoker::invoke<4199, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL SET_PED_TO_RAGDOLL(Ped ped, int time1, int time2, int ragdollType, BOOL p4, BOOL p5, BOOL p6) { return big::native_invoker::invoke<4200, false, BOOL>(ped, time1, time2, ragdollType, p4, p5, p6); }
	FORCEINLINE constexpr BOOL SET_PED_TO_RAGDOLL_WITH_FALL(Ped ped, int time, int p2, int ragdollType, float x, float y, float z, float velocity, float p8, float p9, float p10, float p11, float p12, float p13) { return big::native_invoker::invoke<4201, false, BOOL>(ped, time, p2, ragdollType, x, y, z, velocity, p8, p9, p10, p11, p12, p13); }
	FORCEINLINE constexpr void SET_PED_RAGDOLL_ON_COLLISION(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4202, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_RAGDOLL(Ped ped) { return big::native_invoker::invoke<4203, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_RUNNING_RAGDOLL_TASK(Ped ped) { return big::native_invoker::invoke<4204, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_RAGDOLL_FORCE_FALL(Ped ped) { return big::native_invoker::invoke<4205, false, void>(ped); }
	FORCEINLINE constexpr void RESET_PED_RAGDOLL_TIMER(Ped ped) { return big::native_invoker::invoke<4206, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_CAN_RAGDOLL(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4207, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_RUNNING_MELEE_TASK(Ped ped) { return big::native_invoker::invoke<4208, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_RUNNING_MOBILE_PHONE_TASK(Ped ped) { return big::native_invoker::invoke<4209, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_MOBILE_PHONE_TO_PED_EAR(Ped ped) { return big::native_invoker::invoke<4210, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_RAGDOLL_BLOCKING_FLAGS(Ped ped, int blockingFlag) { return big::native_invoker::invoke<4211, false, void>(ped, blockingFlag); }
	FORCEINLINE constexpr void CLEAR_RAGDOLL_BLOCKING_FLAGS(Ped ped, int blockingFlag) { return big::native_invoker::invoke<4212, false, void>(ped, blockingFlag); }
	FORCEINLINE constexpr void SET_PED_ANGLED_DEFENSIVE_AREA(Ped ped, float p1, float p2, float p3, float p4, float p5, float p6, float p7, BOOL p8, BOOL p9) { return big::native_invoker::invoke<4213, false, void>(ped, p1, p2, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr void SET_PED_SPHERE_DEFENSIVE_AREA(Ped ped, float x, float y, float z, float radius, BOOL p5, BOOL p6) { return big::native_invoker::invoke<4214, false, void>(ped, x, y, z, radius, p5, p6); }
	FORCEINLINE constexpr void SET_PED_DEFENSIVE_SPHERE_ATTACHED_TO_PED(Ped ped, Ped target, float xOffset, float yOffset, float zOffset, float radius, BOOL p6) { return big::native_invoker::invoke<4215, false, void>(ped, target, xOffset, yOffset, zOffset, radius, p6); }
	FORCEINLINE constexpr void SET_PED_DEFENSIVE_SPHERE_ATTACHED_TO_VEHICLE(Ped ped, Vehicle target, float xOffset, float yOffset, float zOffset, float radius, BOOL p6) { return big::native_invoker::invoke<4216, false, void>(ped, target, xOffset, yOffset, zOffset, radius, p6); }
	FORCEINLINE constexpr void SET_PED_DEFENSIVE_AREA_ATTACHED_TO_PED(Ped ped, Ped attachPed, float p2, float p3, float p4, float p5, float p6, float p7, float p8, BOOL p9, BOOL p10) { return big::native_invoker::invoke<4217, false, void>(ped, attachPed, p2, p3, p4, p5, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr void SET_PED_DEFENSIVE_AREA_DIRECTION(Ped ped, float p1, float p2, float p3, BOOL p4) { return big::native_invoker::invoke<4218, false, void>(ped, p1, p2, p3, p4); }
	FORCEINLINE constexpr void REMOVE_PED_DEFENSIVE_AREA(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4219, false, void>(ped, toggle); }
	FORCEINLINE constexpr Vector3 GET_PED_DEFENSIVE_AREA_POSITION(Ped ped, BOOL p1) { return big::native_invoker::invoke<4220, false, Vector3>(ped, p1); }
	FORCEINLINE constexpr BOOL IS_PED_DEFENSIVE_AREA_ACTIVE(Ped ped, BOOL p1) { return big::native_invoker::invoke<4221, false, BOOL>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_PREFERRED_COVER_SET(Ped ped, Any itemSet) { return big::native_invoker::invoke<4222, false, void>(ped, itemSet); }
	FORCEINLINE constexpr void REMOVE_PED_PREFERRED_COVER_SET(Ped ped) { return big::native_invoker::invoke<4223, false, void>(ped); }
	FORCEINLINE constexpr void REVIVE_INJURED_PED(Ped ped) { return big::native_invoker::invoke<4224, false, void>(ped); }
	FORCEINLINE constexpr void RESURRECT_PED(Ped ped) { return big::native_invoker::invoke<4225, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_NAME_DEBUG(Ped ped, const char* name) { return big::native_invoker::invoke<4226, false, void>(ped, name); }
	FORCEINLINE constexpr Vector3 GET_PED_EXTRACTED_DISPLACEMENT(Ped ped, BOOL worldSpace) { return big::native_invoker::invoke<4227, false, Vector3>(ped, worldSpace); }
	FORCEINLINE constexpr void SET_PED_DIES_WHEN_INJURED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4228, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_ENABLE_WEAPON_BLOCKING(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4229, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SPECIAL_FUNCTION_DO_NOT_USE(Ped ped, BOOL p1) { return big::native_invoker::invoke<4230, false, void>(ped, p1); }
	FORCEINLINE constexpr void RESET_PED_VISIBLE_DAMAGE(Ped ped) { return big::native_invoker::invoke<4231, false, void>(ped); }
	FORCEINLINE constexpr void APPLY_PED_BLOOD_DAMAGE_BY_ZONE(Ped ped, Any p1, float p2, float p3, Any p4) { return big::native_invoker::invoke<4232, false, void>(ped, p1, p2, p3, p4); }
	FORCEINLINE constexpr void APPLY_PED_BLOOD(Ped ped, int boneIndex, float xRot, float yRot, float zRot, const char* woundType) { return big::native_invoker::invoke<4233, false, void>(ped, boneIndex, xRot, yRot, zRot, woundType); }
	FORCEINLINE constexpr void APPLY_PED_BLOOD_BY_ZONE(Ped ped, int p1, float p2, float p3, const char* p4) { return big::native_invoker::invoke<4234, false, void>(ped, p1, p2, p3, p4); }
	FORCEINLINE constexpr void APPLY_PED_BLOOD_SPECIFIC(Ped ped, int p1, float p2, float p3, float p4, float p5, int p6, float p7, const char* p8) { return big::native_invoker::invoke<4235, false, void>(ped, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void APPLY_PED_DAMAGE_DECAL(Ped ped, int damageZone, float xOffset, float yOffset, float heading, float scale, float alpha, int variation, BOOL fadeIn, const char* decalName) { return big::native_invoker::invoke<4236, false, void>(ped, damageZone, xOffset, yOffset, heading, scale, alpha, variation, fadeIn, decalName); }
	FORCEINLINE constexpr void APPLY_PED_DAMAGE_PACK(Ped ped, const char* damagePack, float damage, float mult) { return big::native_invoker::invoke<4237, false, void>(ped, damagePack, damage, mult); }
	FORCEINLINE constexpr void CLEAR_PED_BLOOD_DAMAGE(Ped ped) { return big::native_invoker::invoke<4238, false, void>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_BLOOD_DAMAGE_BY_ZONE(Ped ped, int p1) { return big::native_invoker::invoke<4239, false, void>(ped, p1); }
	FORCEINLINE constexpr void HIDE_PED_BLOOD_DAMAGE_BY_ZONE(Ped ped, Any p1, BOOL p2) { return big::native_invoker::invoke<4240, false, void>(ped, p1, p2); }
	FORCEINLINE constexpr void CLEAR_PED_DAMAGE_DECAL_BY_ZONE(Ped ped, int p1, const char* p2) { return big::native_invoker::invoke<4241, false, void>(ped, p1, p2); }
	FORCEINLINE constexpr int GET_PED_DECORATIONS_STATE(Ped ped) { return big::native_invoker::invoke<4242, false, int>(ped); }
	FORCEINLINE constexpr void MARK_PED_DECORATIONS_AS_CLONED_FROM_LOCAL_PLAYER(Ped ped, BOOL p1) { return big::native_invoker::invoke<4243, false, void>(ped, p1); }
	FORCEINLINE constexpr void CLEAR_PED_WETNESS(Ped ped) { return big::native_invoker::invoke<4244, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_WETNESS_HEIGHT(Ped ped, float height) { return big::native_invoker::invoke<4245, false, void>(ped, height); }
	FORCEINLINE constexpr void SET_PED_WETNESS_ENABLED_THIS_FRAME(Ped ped) { return big::native_invoker::invoke<4246, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_WETNESS(Ped ped, float wetLevel) { return big::native_invoker::invoke<4247, false, void>(ped, wetLevel); }
	FORCEINLINE constexpr void CLEAR_PED_ENV_DIRT(Ped ped) { return big::native_invoker::invoke<4248, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_SWEAT(Ped ped, float sweat) { return big::native_invoker::invoke<4249, false, void>(ped, sweat); }
	FORCEINLINE constexpr void ADD_PED_DECORATION_FROM_HASHES(Ped ped, Hash collection, Hash overlay) { return big::native_invoker::invoke<4250, false, void>(ped, collection, overlay); }
	FORCEINLINE constexpr void ADD_PED_DECORATION_FROM_HASHES_IN_CORONA(Ped ped, Hash collection, Hash overlay) { return big::native_invoker::invoke<4251, false, void>(ped, collection, overlay); }
	FORCEINLINE constexpr int GET_PED_DECORATION_ZONE_FROM_HASHES(Hash collection, Hash overlay) { return big::native_invoker::invoke<4252, false, int>(collection, overlay); }
	FORCEINLINE constexpr void CLEAR_PED_DECORATIONS(Ped ped) { return big::native_invoker::invoke<4253, false, void>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_DECORATIONS_LEAVE_SCARS(Ped ped) { return big::native_invoker::invoke<4254, false, void>(ped); }
	FORCEINLINE constexpr BOOL WAS_PED_SKELETON_UPDATED(Ped ped) { return big::native_invoker::invoke<4255, false, BOOL>(ped); }
	FORCEINLINE constexpr Vector3 GET_PED_BONE_COORDS(Ped ped, int boneId, float offsetX, float offsetY, float offsetZ) { return big::native_invoker::invoke<4256, false, Vector3>(ped, boneId, offsetX, offsetY, offsetZ); }
	FORCEINLINE constexpr void CREATE_NM_MESSAGE(BOOL startImmediately, int messageId) { return big::native_invoker::invoke<4257, false, void>(startImmediately, messageId); }
	FORCEINLINE constexpr void GIVE_PED_NM_MESSAGE(Ped ped) { return big::native_invoker::invoke<4258, false, void>(ped); }
	FORCEINLINE constexpr int ADD_SCENARIO_BLOCKING_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL p6, BOOL p7, BOOL p8, BOOL p9, Any p10) { return big::native_invoker::invoke<4259, false, int>(x1, y1, z1, x2, y2, z2, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr void REMOVE_SCENARIO_BLOCKING_AREAS() { return big::native_invoker::invoke<4260, false, void>(); }
	FORCEINLINE constexpr void REMOVE_SCENARIO_BLOCKING_AREA(Any p0, BOOL p1) { return big::native_invoker::invoke<4261, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_SCENARIO_PEDS_SPAWN_IN_SPHERE_AREA(float x, float y, float z, float range, int p4) { return big::native_invoker::invoke<4262, false, void>(x, y, z, range, p4); }
	FORCEINLINE constexpr BOOL DOES_SCENARIO_BLOCKING_AREA_EXISTS(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<4263, false, BOOL>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr BOOL IS_PED_USING_SCENARIO(Ped ped, const char* scenario) { return big::native_invoker::invoke<4264, false, BOOL>(ped, scenario); }
	FORCEINLINE constexpr BOOL IS_PED_USING_ANY_SCENARIO(Ped ped) { return big::native_invoker::invoke<4265, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL SET_PED_PANIC_EXIT_SCENARIO(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<4266, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void TOGGLE_SCENARIO_PED_COWER_IN_PLACE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4267, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL TRIGGER_PED_SCENARIO_PANICEXITTOFLEE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<4268, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL SET_PED_SHOULD_PLAY_DIRECTED_NORMAL_SCENARIO_EXIT(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<4269, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SET_PED_SHOULD_PLAY_NORMAL_SCENARIO_EXIT(Ped ped) { return big::native_invoker::invoke<4270, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_SHOULD_PLAY_IMMEDIATE_SCENARIO_EXIT(Ped ped) { return big::native_invoker::invoke<4271, false, void>(ped); }
	FORCEINLINE constexpr BOOL SET_PED_SHOULD_PLAY_FLEE_SCENARIO_EXIT(Ped ped, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<4272, false, BOOL>(ped, p1, p2, p3); }
	FORCEINLINE constexpr void SET_PED_SHOULD_IGNORE_SCENARIO_EXIT_COLLISION_CHECKS(Ped ped, BOOL p1) { return big::native_invoker::invoke<4273, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_SHOULD_IGNORE_SCENARIO_NAV_CHECKS(Any p0, BOOL p1) { return big::native_invoker::invoke<4274, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_SHOULD_PROBE_FOR_SCENARIO_EXITS_IN_ONE_FRAME(Any p0, BOOL p1) { return big::native_invoker::invoke<4275, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL IS_PED_GESTURING(Any p0) { return big::native_invoker::invoke<4276, false, BOOL>(p0); }
	FORCEINLINE constexpr void RESET_FACIAL_IDLE_ANIM(Ped ped) { return big::native_invoker::invoke<4277, false, void>(ped); }
	FORCEINLINE constexpr void PLAY_FACIAL_ANIM(Ped ped, const char* animName, const char* animDict) { return big::native_invoker::invoke<4278, false, void>(ped, animName, animDict); }
	FORCEINLINE constexpr void SET_FACIAL_CLIPSET(Ped ped, const char* animDict) { return big::native_invoker::invoke<4279, false, void>(ped, animDict); }
	FORCEINLINE constexpr void SET_FACIAL_IDLE_ANIM_OVERRIDE(Ped ped, const char* animName, const char* animDict) { return big::native_invoker::invoke<4280, false, void>(ped, animName, animDict); }
	FORCEINLINE constexpr void CLEAR_FACIAL_IDLE_ANIM_OVERRIDE(Ped ped) { return big::native_invoker::invoke<4281, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_CAN_PLAY_GESTURE_ANIMS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4282, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_PLAY_VISEME_ANIMS(Ped ped, BOOL toggle, BOOL p2) { return big::native_invoker::invoke<4283, false, void>(ped, toggle, p2); }
	FORCEINLINE constexpr void SET_PED_IS_IGNORED_BY_AUTO_OPEN_DOORS(Ped ped, BOOL p1) { return big::native_invoker::invoke<4284, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_CAN_PLAY_AMBIENT_ANIMS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4285, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_PLAY_AMBIENT_BASE_ANIMS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4286, false, void>(ped, toggle); }
	FORCEINLINE constexpr void TRIGGER_IDLE_ANIMATION_ON_PED(Ped ped) { return big::native_invoker::invoke<4287, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_CAN_ARM_IK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4288, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_HEAD_IK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4289, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_LEG_IK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4290, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_TORSO_IK(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4291, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_TORSO_REACT_IK(Ped ped, BOOL p1) { return big::native_invoker::invoke<4292, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_CAN_TORSO_VEHICLE_IK(Ped ped, BOOL p1) { return big::native_invoker::invoke<4293, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_CAN_USE_AUTO_CONVERSATION_LOOKAT(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4294, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_HEADTRACKING_PED(Ped ped1, Ped ped2) { return big::native_invoker::invoke<4295, false, BOOL>(ped1, ped2); }
	FORCEINLINE constexpr BOOL IS_PED_HEADTRACKING_ENTITY(Ped ped, Entity entity) { return big::native_invoker::invoke<4296, false, BOOL>(ped, entity); }
	FORCEINLINE constexpr void SET_PED_PRIMARY_LOOKAT(Ped ped, Ped lookAt) { return big::native_invoker::invoke<4297, false, void>(ped, lookAt); }
	FORCEINLINE constexpr void SET_PED_CLOTH_PIN_FRAMES(Any p0, Any p1) { return big::native_invoker::invoke<4298, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_CLOTH_PACKAGE_INDEX(Any p0, Any p1) { return big::native_invoker::invoke<4299, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_CLOTH_PRONE(Any p0, BOOL p1) { return big::native_invoker::invoke<4300, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_CONFIG_FLAG(Ped ped, int flagId, BOOL value) { return big::native_invoker::invoke<4301, false, void>(ped, flagId, value); }
	FORCEINLINE constexpr void SET_PED_RESET_FLAG(Ped ped, int flagId, BOOL doReset) { return big::native_invoker::invoke<4302, false, void>(ped, flagId, doReset); }
	FORCEINLINE constexpr BOOL GET_PED_CONFIG_FLAG(Ped ped, int flagId, BOOL p2) { return big::native_invoker::invoke<4303, false, BOOL>(ped, flagId, p2); }
	FORCEINLINE constexpr BOOL GET_PED_RESET_FLAG(Ped ped, int flagId) { return big::native_invoker::invoke<4304, false, BOOL>(ped, flagId); }
	FORCEINLINE constexpr void SET_PED_GROUP_MEMBER_PASSENGER_INDEX(Ped ped, int index) { return big::native_invoker::invoke<4305, false, void>(ped, index); }
	FORCEINLINE constexpr void SET_PED_CAN_EVASIVE_DIVE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4306, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_EVASIVE_DIVING(Ped ped, Entity* evadingEntity) { return big::native_invoker::invoke<4307, false, BOOL>(ped, evadingEntity); }
	FORCEINLINE constexpr void SET_PED_SHOOTS_AT_COORD(Ped ped, float x, float y, float z, BOOL toggle) { return big::native_invoker::invoke<4308, false, void>(ped, x, y, z, toggle); }
	FORCEINLINE constexpr void SET_PED_MODEL_IS_SUPPRESSED(Hash modelHash, BOOL toggle) { return big::native_invoker::invoke<4309, false, void>(modelHash, toggle); }
	FORCEINLINE constexpr void STOP_ANY_PED_MODEL_BEING_SUPPRESSED() { return big::native_invoker::invoke<4310, false, void>(); }
	FORCEINLINE constexpr void SET_PED_CAN_BE_TARGETED_WHEN_INJURED(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4311, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_GENERATES_DEAD_BODY_EVENTS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4312, false, void>(ped, toggle); }
	FORCEINLINE constexpr void BLOCK_PED_FROM_GENERATING_DEAD_BODY_EVENTS_WHEN_DEAD(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4313, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_WILL_ONLY_ATTACK_WANTED_PLAYER(Any p0, Any p1) { return big::native_invoker::invoke<4314, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_CAN_RAGDOLL_FROM_PLAYER_IMPACT(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4315, false, void>(ped, toggle); }
	FORCEINLINE constexpr void GIVE_PED_HELMET(Ped ped, BOOL cannotRemove, int helmetFlag, int textureIndex) { return big::native_invoker::invoke<4316, false, void>(ped, cannotRemove, helmetFlag, textureIndex); }
	FORCEINLINE constexpr void REMOVE_PED_HELMET(Ped ped, BOOL instantly) { return big::native_invoker::invoke<4317, false, void>(ped, instantly); }
	FORCEINLINE constexpr BOOL IS_PED_TAKING_OFF_HELMET(Ped ped) { return big::native_invoker::invoke<4318, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_HELMET(Ped ped, BOOL canWearHelmet) { return big::native_invoker::invoke<4319, false, void>(ped, canWearHelmet); }
	FORCEINLINE constexpr void SET_PED_HELMET_FLAG(Ped ped, int helmetFlag) { return big::native_invoker::invoke<4320, false, void>(ped, helmetFlag); }
	FORCEINLINE constexpr void SET_PED_HELMET_PROP_INDEX(Ped ped, int propIndex, BOOL p2) { return big::native_invoker::invoke<4321, false, void>(ped, propIndex, p2); }
	FORCEINLINE constexpr void SET_PED_HELMET_VISOR_PROP_INDICES(Ped ped, BOOL p1, int p2, int p3) { return big::native_invoker::invoke<4322, false, void>(ped, p1, p2, p3); }
	FORCEINLINE constexpr BOOL IS_PED_HELMET_VISOR_UP(Ped ped) { return big::native_invoker::invoke<4323, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_HELMET_TEXTURE_INDEX(Ped ped, int textureIndex) { return big::native_invoker::invoke<4324, false, void>(ped, textureIndex); }
	FORCEINLINE constexpr BOOL IS_PED_WEARING_HELMET(Ped ped) { return big::native_invoker::invoke<4325, false, BOOL>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_STORED_HAT_PROP(Ped ped) { return big::native_invoker::invoke<4326, false, void>(ped); }
	FORCEINLINE constexpr int GET_PED_HELMET_STORED_HAT_PROP_INDEX(Ped ped) { return big::native_invoker::invoke<4327, false, int>(ped); }
	FORCEINLINE constexpr int GET_PED_HELMET_STORED_HAT_TEX_INDEX(Ped ped) { return big::native_invoker::invoke<4328, false, int>(ped); }
	FORCEINLINE constexpr BOOL IS_CURRENT_HEAD_PROP_A_HELMET(Any p0) { return big::native_invoker::invoke<4329, false, BOOL>(p0); }
	FORCEINLINE constexpr void SET_PED_TO_LOAD_COVER(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4330, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_COWER_IN_COVER(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4331, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_PEEK_IN_COVER(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4332, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_PLAYS_HEAD_ON_HORN_ANIM_WHEN_DIES_IN_VEHICLE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4333, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_LEG_IK_MODE(Ped ped, int mode) { return big::native_invoker::invoke<4334, false, void>(ped, mode); }
	FORCEINLINE constexpr void SET_PED_MOTION_BLUR(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4335, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CAN_SWITCH_WEAPON(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4336, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_DIES_INSTANTLY_IN_WATER(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4337, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_LADDER_CLIMB_INPUT_STATE(Ped ped, int p1) { return big::native_invoker::invoke<4338, false, void>(ped, p1); }
	FORCEINLINE constexpr void STOP_PED_WEAPON_FIRING_WHEN_DROPPED(Ped ped) { return big::native_invoker::invoke<4339, false, void>(ped); }
	FORCEINLINE constexpr void SET_SCRIPTED_ANIM_SEAT_OFFSET(Ped ped, float p1) { return big::native_invoker::invoke<4340, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_COMBAT_MOVEMENT(Ped ped, int combatMovement) { return big::native_invoker::invoke<4341, false, void>(ped, combatMovement); }
	FORCEINLINE constexpr int GET_PED_COMBAT_MOVEMENT(Ped ped) { return big::native_invoker::invoke<4342, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_COMBAT_ABILITY(Ped ped, int abilityLevel) { return big::native_invoker::invoke<4343, false, void>(ped, abilityLevel); }
	FORCEINLINE constexpr void SET_PED_COMBAT_RANGE(Ped ped, int combatRange) { return big::native_invoker::invoke<4344, false, void>(ped, combatRange); }
	FORCEINLINE constexpr int GET_PED_COMBAT_RANGE(Ped ped) { return big::native_invoker::invoke<4345, false, int>(ped); }
	FORCEINLINE constexpr void SET_PED_COMBAT_ATTRIBUTES(Ped ped, int attributeId, BOOL enabled) { return big::native_invoker::invoke<4346, false, void>(ped, attributeId, enabled); }
	FORCEINLINE constexpr void SET_PED_TARGET_LOSS_RESPONSE(Ped ped, int responseType) { return big::native_invoker::invoke<4347, false, void>(ped, responseType); }
	FORCEINLINE constexpr BOOL IS_PED_PERFORMING_MELEE_ACTION(Ped ped) { return big::native_invoker::invoke<4348, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_PERFORMING_STEALTH_KILL(Ped ped) { return big::native_invoker::invoke<4349, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_PERFORMING_A_COUNTER_ATTACK(Ped ped) { return big::native_invoker::invoke<4350, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_BEING_STEALTH_KILLED(Ped ped) { return big::native_invoker::invoke<4351, false, BOOL>(ped); }
	FORCEINLINE constexpr Ped GET_MELEE_TARGET_FOR_PED(Ped ped) { return big::native_invoker::invoke<4352, false, Ped>(ped); }
	FORCEINLINE constexpr BOOL WAS_PED_KILLED_BY_STEALTH(Ped ped) { return big::native_invoker::invoke<4353, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL WAS_PED_KILLED_BY_TAKEDOWN(Ped ped) { return big::native_invoker::invoke<4354, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL WAS_PED_KNOCKED_OUT(Ped ped) { return big::native_invoker::invoke<4355, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_FLEE_ATTRIBUTES(Ped ped, int attributeFlags, BOOL enable) { return big::native_invoker::invoke<4356, false, void>(ped, attributeFlags, enable); }
	FORCEINLINE constexpr void SET_PED_COWER_HASH(Ped ped, const char* p1) { return big::native_invoker::invoke<4357, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_STEERS_AROUND_DEAD_BODIES(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4358, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_STEERS_AROUND_PEDS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4359, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_STEERS_AROUND_OBJECTS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4360, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_STEERS_AROUND_VEHICLES(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4361, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_IS_AVOIDED_BY_OTHERS(Any p0, BOOL p1) { return big::native_invoker::invoke<4362, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_INCREASED_AVOIDANCE_RADIUS(Ped ped) { return big::native_invoker::invoke<4363, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_BLOCKS_PATHING_WHEN_DEAD(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4364, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_NO_TIME_DELAY_BEFORE_SHOT(Any p0) { return big::native_invoker::invoke<4365, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_ANY_PED_NEAR_POINT(float x, float y, float z, float radius) { return big::native_invoker::invoke<4366, false, BOOL>(x, y, z, radius); }
	FORCEINLINE constexpr void FORCE_PED_AI_AND_ANIMATION_UPDATE(Ped ped, BOOL p1, BOOL p2) { return big::native_invoker::invoke<4367, false, void>(ped, p1, p2); }
	FORCEINLINE constexpr BOOL IS_PED_HEADING_TOWARDS_POSITION(Ped ped, float x, float y, float z, float p4) { return big::native_invoker::invoke<4368, false, BOOL>(ped, x, y, z, p4); }
	FORCEINLINE constexpr void REQUEST_PED_VISIBILITY_TRACKING(Ped ped) { return big::native_invoker::invoke<4369, false, void>(ped); }
	FORCEINLINE constexpr void REQUEST_PED_VEHICLE_VISIBILITY_TRACKING(Ped ped, BOOL p1) { return big::native_invoker::invoke<4370, false, void>(ped, p1); }
	FORCEINLINE constexpr void REQUEST_PED_RESTRICTED_VEHICLE_VISIBILITY_TRACKING(Ped ped, BOOL p1) { return big::native_invoker::invoke<4371, false, void>(ped, p1); }
	FORCEINLINE constexpr void REQUEST_PED_USE_SMALL_BBOX_VISIBILITY_TRACKING(Ped ped, BOOL p1) { return big::native_invoker::invoke<4372, false, void>(ped, p1); }
	FORCEINLINE constexpr BOOL IS_TRACKED_PED_VISIBLE(Ped ped) { return big::native_invoker::invoke<4373, false, BOOL>(ped); }
	FORCEINLINE constexpr int GET_TRACKED_PED_PIXELCOUNT(Ped ped) { return big::native_invoker::invoke<4374, false, int>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_TRACKED(Ped ped) { return big::native_invoker::invoke<4375, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL HAS_PED_RECEIVED_EVENT(Ped ped, int eventId) { return big::native_invoker::invoke<4376, false, BOOL>(ped, eventId); }
	FORCEINLINE constexpr BOOL CAN_PED_SEE_HATED_PED(Ped ped1, Ped ped2) { return big::native_invoker::invoke<4377, false, BOOL>(ped1, ped2); }
	FORCEINLINE constexpr BOOL CAN_PED_SHUFFLE_TO_OR_FROM_TURRET_SEAT(Ped ped, int* p1) { return big::native_invoker::invoke<4378, false, BOOL>(ped, p1); }
	FORCEINLINE constexpr BOOL CAN_PED_SHUFFLE_TO_OR_FROM_EXTRA_SEAT(Ped ped, int* p1) { return big::native_invoker::invoke<4379, false, BOOL>(ped, p1); }
	FORCEINLINE constexpr int GET_PED_BONE_INDEX(Ped ped, int boneId) { return big::native_invoker::invoke<4380, false, int>(ped, boneId); }
	FORCEINLINE constexpr int GET_PED_RAGDOLL_BONE_INDEX(Ped ped, int bone) { return big::native_invoker::invoke<4381, false, int>(ped, bone); }
	FORCEINLINE constexpr void SET_PED_ENVEFF_SCALE(Ped ped, float value) { return big::native_invoker::invoke<4382, false, void>(ped, value); }
	FORCEINLINE constexpr float GET_PED_ENVEFF_SCALE(Ped ped) { return big::native_invoker::invoke<4383, false, float>(ped); }
	FORCEINLINE constexpr void SET_ENABLE_PED_ENVEFF_SCALE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4384, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_ENVEFF_CPV_ADD(Ped ped, float p1) { return big::native_invoker::invoke<4385, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PED_ENVEFF_COLOR_MODULATOR(Ped ped, int p1, int p2, int p3) { return big::native_invoker::invoke<4386, false, void>(ped, p1, p2, p3); }
	FORCEINLINE constexpr void SET_PED_EMISSIVE_SCALE(Ped ped, float intensity) { return big::native_invoker::invoke<4387, false, void>(ped, intensity); }
	FORCEINLINE constexpr float GET_PED_EMISSIVE_SCALE(Ped ped) { return big::native_invoker::invoke<4388, false, float>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_SHADER_READY(Ped ped) { return big::native_invoker::invoke<4389, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_ENABLE_CREW_EMBLEM(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4390, false, void>(ped, toggle); }
	FORCEINLINE constexpr void REQUEST_RAGDOLL_BOUNDS_UPDATE(Any p0, Any p1) { return big::native_invoker::invoke<4391, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_AO_BLOB_RENDERING(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4392, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_PED_SHELTERED(Ped ped) { return big::native_invoker::invoke<4393, false, BOOL>(ped); }
	FORCEINLINE constexpr int CREATE_SYNCHRONIZED_SCENE(float x, float y, float z, float roll, float pitch, float yaw, int p6) { return big::native_invoker::invoke<4394, false, int>(x, y, z, roll, pitch, yaw, p6); }
	FORCEINLINE constexpr int CREATE_SYNCHRONIZED_SCENE_AT_MAP_OBJECT(float x, float y, float z, float radius, Hash object) { return big::native_invoker::invoke<4395, false, int>(x, y, z, radius, object); }
	FORCEINLINE constexpr BOOL IS_SYNCHRONIZED_SCENE_RUNNING(int sceneId) { return big::native_invoker::invoke<4396, false, BOOL>(sceneId); }
	FORCEINLINE constexpr void SET_SYNCHRONIZED_SCENE_ORIGIN(int sceneID, float x, float y, float z, float roll, float pitch, float yaw, BOOL p7) { return big::native_invoker::invoke<4397, false, void>(sceneID, x, y, z, roll, pitch, yaw, p7); }
	FORCEINLINE constexpr void SET_SYNCHRONIZED_SCENE_PHASE(int sceneID, float phase) { return big::native_invoker::invoke<4398, false, void>(sceneID, phase); }
	FORCEINLINE constexpr float GET_SYNCHRONIZED_SCENE_PHASE(int sceneID) { return big::native_invoker::invoke<4399, false, float>(sceneID); }
	FORCEINLINE constexpr void SET_SYNCHRONIZED_SCENE_RATE(int sceneID, float rate) { return big::native_invoker::invoke<4400, false, void>(sceneID, rate); }
	FORCEINLINE constexpr float GET_SYNCHRONIZED_SCENE_RATE(int sceneID) { return big::native_invoker::invoke<4401, false, float>(sceneID); }
	FORCEINLINE constexpr void SET_SYNCHRONIZED_SCENE_LOOPED(int sceneID, BOOL toggle) { return big::native_invoker::invoke<4402, false, void>(sceneID, toggle); }
	FORCEINLINE constexpr BOOL IS_SYNCHRONIZED_SCENE_LOOPED(int sceneID) { return big::native_invoker::invoke<4403, false, BOOL>(sceneID); }
	FORCEINLINE constexpr void SET_SYNCHRONIZED_SCENE_HOLD_LAST_FRAME(int sceneID, BOOL toggle) { return big::native_invoker::invoke<4404, false, void>(sceneID, toggle); }
	FORCEINLINE constexpr BOOL IS_SYNCHRONIZED_SCENE_HOLD_LAST_FRAME(int sceneID) { return big::native_invoker::invoke<4405, false, BOOL>(sceneID); }
	FORCEINLINE constexpr void ATTACH_SYNCHRONIZED_SCENE_TO_ENTITY(int sceneID, Entity entity, int boneIndex) { return big::native_invoker::invoke<4406, false, void>(sceneID, entity, boneIndex); }
	FORCEINLINE constexpr void DETACH_SYNCHRONIZED_SCENE(int sceneID) { return big::native_invoker::invoke<4407, false, void>(sceneID); }
	FORCEINLINE constexpr void TAKE_OWNERSHIP_OF_SYNCHRONIZED_SCENE(int scene) { return big::native_invoker::invoke<4408, false, void>(scene); }
	FORCEINLINE constexpr BOOL FORCE_PED_MOTION_STATE(Ped ped, Hash motionStateHash, BOOL p2, int p3, BOOL p4) { return big::native_invoker::invoke<4409, false, BOOL>(ped, motionStateHash, p2, p3, p4); }
	FORCEINLINE constexpr BOOL GET_PED_CURRENT_MOVE_BLEND_RATIO(Ped ped, float* speedX, float* speedY) { return big::native_invoker::invoke<4410, false, BOOL>(ped, speedX, speedY); }
	FORCEINLINE constexpr void SET_PED_MAX_MOVE_BLEND_RATIO(Ped ped, float value) { return big::native_invoker::invoke<4411, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_MIN_MOVE_BLEND_RATIO(Ped ped, float value) { return big::native_invoker::invoke<4412, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_MOVE_RATE_OVERRIDE(Ped ped, float value) { return big::native_invoker::invoke<4413, false, void>(ped, value); }
	FORCEINLINE constexpr void SET_PED_MOVE_RATE_IN_WATER_OVERRIDE(Ped ped, float p1) { return big::native_invoker::invoke<4414, false, void>(ped, p1); }
	FORCEINLINE constexpr BOOL PED_HAS_SEXINESS_FLAG_SET(Ped ped, int sexinessFlag) { return big::native_invoker::invoke<4415, false, BOOL>(ped, sexinessFlag); }
	FORCEINLINE constexpr int GET_PED_NEARBY_VEHICLES(Ped ped, Any* sizeAndVehs) { return big::native_invoker::invoke<4416, false, int>(ped, sizeAndVehs); }
	FORCEINLINE constexpr int GET_PED_NEARBY_PEDS(Ped ped, Any* sizeAndPeds, int ignore) { return big::native_invoker::invoke<4417, false, int>(ped, sizeAndPeds, ignore); }
	FORCEINLINE constexpr BOOL HAVE_ALL_STREAMING_REQUESTS_COMPLETED(Ped ped) { return big::native_invoker::invoke<4418, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_USING_ACTION_MODE(Ped ped) { return big::native_invoker::invoke<4419, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_USING_ACTION_MODE(Ped ped, BOOL p1, int p2, const char* action) { return big::native_invoker::invoke<4420, false, void>(ped, p1, p2, action); }
	FORCEINLINE constexpr void SET_MOVEMENT_MODE_OVERRIDE(Ped ped, const char* name) { return big::native_invoker::invoke<4421, false, void>(ped, name); }
	FORCEINLINE constexpr void SET_PED_CAPSULE(Ped ped, float value) { return big::native_invoker::invoke<4422, false, void>(ped, value); }
	FORCEINLINE constexpr int REGISTER_PEDHEADSHOT(Ped ped) { return big::native_invoker::invoke<4423, false, int>(ped); }
	FORCEINLINE constexpr int REGISTER_PEDHEADSHOT_HIRES(Ped ped) { return big::native_invoker::invoke<4424, false, int>(ped); }
	FORCEINLINE constexpr int REGISTER_PEDHEADSHOT_TRANSPARENT(Ped ped) { return big::native_invoker::invoke<4425, false, int>(ped); }
	FORCEINLINE constexpr void UNREGISTER_PEDHEADSHOT(int id) { return big::native_invoker::invoke<4426, false, void>(id); }
	FORCEINLINE constexpr BOOL IS_PEDHEADSHOT_VALID(int id) { return big::native_invoker::invoke<4427, false, BOOL>(id); }
	FORCEINLINE constexpr BOOL IS_PEDHEADSHOT_READY(int id) { return big::native_invoker::invoke<4428, false, BOOL>(id); }
	FORCEINLINE constexpr const char* GET_PEDHEADSHOT_TXD_STRING(int id) { return big::native_invoker::invoke<4429, false, const char*>(id); }
	FORCEINLINE constexpr BOOL REQUEST_PEDHEADSHOT_IMG_UPLOAD(int id) { return big::native_invoker::invoke<4430, false, BOOL>(id); }
	FORCEINLINE constexpr void RELEASE_PEDHEADSHOT_IMG_UPLOAD(int id) { return big::native_invoker::invoke<4431, false, void>(id); }
	FORCEINLINE constexpr BOOL IS_PEDHEADSHOT_IMG_UPLOAD_AVAILABLE() { return big::native_invoker::invoke<4432, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_PEDHEADSHOT_IMG_UPLOAD_FAILED() { return big::native_invoker::invoke<4433, false, BOOL>(); }
	FORCEINLINE constexpr BOOL HAS_PEDHEADSHOT_IMG_UPLOAD_SUCCEEDED() { return big::native_invoker::invoke<4434, false, BOOL>(); }
	FORCEINLINE constexpr void SET_PED_HEATSCALE_OVERRIDE(Ped ped, float heatScale) { return big::native_invoker::invoke<4435, false, void>(ped, heatScale); }
	FORCEINLINE constexpr void DISABLE_PED_HEATSCALE_OVERRIDE(Ped ped) { return big::native_invoker::invoke<4436, false, void>(ped); }
	FORCEINLINE constexpr void SPAWNPOINTS_START_SEARCH(float p0, float p1, float p2, float p3, float p4, int interiorFlags, float scale, int duration) { return big::native_invoker::invoke<4437, false, void>(p0, p1, p2, p3, p4, interiorFlags, scale, duration); }
	FORCEINLINE constexpr void SPAWNPOINTS_START_SEARCH_IN_ANGLED_AREA(float x1, float y1, float z1, float x2, float y2, float z2, float width, int interiorFlags, float scale, int duration) { return big::native_invoker::invoke<4438, false, void>(x1, y1, z1, x2, y2, z2, width, interiorFlags, scale, duration); }
	FORCEINLINE constexpr void SPAWNPOINTS_CANCEL_SEARCH() { return big::native_invoker::invoke<4439, false, void>(); }
	FORCEINLINE constexpr BOOL SPAWNPOINTS_IS_SEARCH_ACTIVE() { return big::native_invoker::invoke<4440, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SPAWNPOINTS_IS_SEARCH_COMPLETE() { return big::native_invoker::invoke<4441, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SPAWNPOINTS_IS_SEARCH_FAILED() { return big::native_invoker::invoke<4442, false, BOOL>(); }
	FORCEINLINE constexpr int SPAWNPOINTS_GET_NUM_SEARCH_RESULTS() { return big::native_invoker::invoke<4443, false, int>(); }
	FORCEINLINE constexpr void SPAWNPOINTS_GET_SEARCH_RESULT(int randomInt, float* x, float* y, float* z) { return big::native_invoker::invoke<4444, false, void>(randomInt, x, y, z); }
	FORCEINLINE constexpr void SPAWNPOINTS_GET_SEARCH_RESULT_FLAGS(int p0, int* p1) { return big::native_invoker::invoke<4445, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_IK_TARGET(Ped ped, int ikIndex, Entity entityLookAt, int boneLookAt, float offsetX, float offsetY, float offsetZ, Any p7, int blendInDuration, int blendOutDuration) { return big::native_invoker::invoke<4446, false, void>(ped, ikIndex, entityLookAt, boneLookAt, offsetX, offsetY, offsetZ, p7, blendInDuration, blendOutDuration); }
	FORCEINLINE constexpr void FORCE_INSTANT_LEG_IK_SETUP(Ped ped) { return big::native_invoker::invoke<4447, false, void>(ped); }
	FORCEINLINE constexpr void REQUEST_ACTION_MODE_ASSET(const char* asset) { return big::native_invoker::invoke<4448, false, void>(asset); }
	FORCEINLINE constexpr BOOL HAS_ACTION_MODE_ASSET_LOADED(const char* asset) { return big::native_invoker::invoke<4449, false, BOOL>(asset); }
	FORCEINLINE constexpr void REMOVE_ACTION_MODE_ASSET(const char* asset) { return big::native_invoker::invoke<4450, false, void>(asset); }
	FORCEINLINE constexpr void REQUEST_STEALTH_MODE_ASSET(const char* asset) { return big::native_invoker::invoke<4451, false, void>(asset); }
	FORCEINLINE constexpr BOOL HAS_STEALTH_MODE_ASSET_LOADED(const char* asset) { return big::native_invoker::invoke<4452, false, BOOL>(asset); }
	FORCEINLINE constexpr void REMOVE_STEALTH_MODE_ASSET(const char* asset) { return big::native_invoker::invoke<4453, false, void>(asset); }
	FORCEINLINE constexpr void SET_PED_LOD_MULTIPLIER(Ped ped, float multiplier) { return big::native_invoker::invoke<4454, false, void>(ped, multiplier); }
	FORCEINLINE constexpr void SET_PED_CAN_LOSE_PROPS_ON_DAMAGE(Ped ped, BOOL toggle, int p2) { return big::native_invoker::invoke<4455, false, void>(ped, toggle, p2); }
	FORCEINLINE constexpr void SET_FORCE_FOOTSTEP_UPDATE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4456, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_FORCE_STEP_TYPE(Ped ped, BOOL p1, int type, int p3) { return big::native_invoker::invoke<4457, false, void>(ped, p1, type, p3); }
	FORCEINLINE constexpr BOOL IS_ANY_HOSTILE_PED_NEAR_POINT(Ped ped, float x, float y, float z, float radius) { return big::native_invoker::invoke<4458, false, BOOL>(ped, x, y, z, radius); }
	FORCEINLINE constexpr void SET_PED_CAN_PLAY_IN_CAR_IDLES(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4459, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL IS_TARGET_PED_IN_PERCEPTION_AREA(Ped ped, Ped targetPed, float p2, float p3, float p4, float p5) { return big::native_invoker::invoke<4460, false, BOOL>(ped, targetPed, p2, p3, p4, p5); }
	FORCEINLINE constexpr void SET_POP_CONTROL_SPHERE_THIS_FRAME(float x, float y, float z, float min, float max) { return big::native_invoker::invoke<4461, false, void>(x, y, z, min, max); }
	FORCEINLINE constexpr void FORCE_ZERO_MASS_IN_COLLISIONS(Ped ped) { return big::native_invoker::invoke<4462, false, void>(ped); }
	FORCEINLINE constexpr void SET_DISABLE_HIGH_FALL_DEATH(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4463, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_PHONE_PALETTE_IDX(Any p0, Any p1) { return big::native_invoker::invoke<4464, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_PED_STEER_BIAS(Ped ped, float value) { return big::native_invoker::invoke<4465, false, void>(ped, value); }
	FORCEINLINE constexpr BOOL IS_PED_SWITCHING_WEAPON(Ped Ped) { return big::native_invoker::invoke<4466, false, BOOL>(Ped); }
	FORCEINLINE constexpr void SET_PED_TREATED_AS_FRIENDLY(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<4467, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void SET_DISABLE_PED_MAP_COLLISION(Ped ped) { return big::native_invoker::invoke<4468, false, void>(ped); }
	FORCEINLINE constexpr void ENABLE_MP_LIGHT(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4469, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL GET_MP_LIGHT_ENABLED(Ped ped) { return big::native_invoker::invoke<4470, false, BOOL>(ped); }
	FORCEINLINE constexpr void CLEAR_COVER_POINT_FOR_PED(Ped ped) { return big::native_invoker::invoke<4471, false, void>(ped); }
	FORCEINLINE constexpr void SET_ALLOW_STUNT_JUMP_CAMERA(Ped ped, BOOL toggle) { return big::native_invoker::invoke<4472, false, void>(ped, toggle); }
}

namespace PHYSICS
{
	FORCEINLINE constexpr int ADD_ROPE(float x, float y, float z, float rotX, float rotY, float rotZ, float length, int ropeType, float maxLength, float minLength, float windingSpeed, BOOL p11, BOOL p12, BOOL rigid, float p14, BOOL breakWhenShot, Any* unkPtr) { return big::native_invoker::invoke<4473, false, int>(x, y, z, rotX, rotY, rotZ, length, ropeType, maxLength, minLength, windingSpeed, p11, p12, rigid, p14, breakWhenShot, unkPtr); }
	FORCEINLINE constexpr void DELETE_ROPE(int* ropeId) { return big::native_invoker::invoke<4474, false, void>(ropeId); }
	FORCEINLINE constexpr void DELETE_CHILD_ROPE(int ropeId) { return big::native_invoker::invoke<4475, false, void>(ropeId); }
	FORCEINLINE constexpr BOOL DOES_ROPE_EXIST(int* ropeId) { return big::native_invoker::invoke<4476, false, BOOL>(ropeId); }
	FORCEINLINE constexpr void ROPE_DRAW_ENABLED(int* ropeId, BOOL p1) { return big::native_invoker::invoke<4477, false, void>(ropeId, p1); }
	FORCEINLINE constexpr void ROPE_DRAW_SHADOW_ENABLED(int* ropeId, BOOL toggle) { return big::native_invoker::invoke<4478, false, void>(ropeId, toggle); }
	FORCEINLINE constexpr void LOAD_ROPE_DATA(int ropeId, const char* rope_preset) { return big::native_invoker::invoke<4479, false, void>(ropeId, rope_preset); }
	FORCEINLINE constexpr void PIN_ROPE_VERTEX(int ropeId, int vertex, float x, float y, float z) { return big::native_invoker::invoke<4480, false, void>(ropeId, vertex, x, y, z); }
	FORCEINLINE constexpr void UNPIN_ROPE_VERTEX(int ropeId, int vertex) { return big::native_invoker::invoke<4481, false, void>(ropeId, vertex); }
	FORCEINLINE constexpr int GET_ROPE_VERTEX_COUNT(int ropeId) { return big::native_invoker::invoke<4482, false, int>(ropeId); }
	FORCEINLINE constexpr void ATTACH_ENTITIES_TO_ROPE(int ropeId, Entity ent1, Entity ent2, float ent1_x, float ent1_y, float ent1_z, float ent2_x, float ent2_y, float ent2_z, float length, BOOL p10, BOOL p11, Any* p12, Any* p13) { return big::native_invoker::invoke<4483, false, void>(ropeId, ent1, ent2, ent1_x, ent1_y, ent1_z, ent2_x, ent2_y, ent2_z, length, p10, p11, p12, p13); }
	FORCEINLINE constexpr void ATTACH_ROPE_TO_ENTITY(int ropeId, Entity entity, float x, float y, float z, BOOL p5) { return big::native_invoker::invoke<4484, false, void>(ropeId, entity, x, y, z, p5); }
	FORCEINLINE constexpr void DETACH_ROPE_FROM_ENTITY(int ropeId, Entity entity) { return big::native_invoker::invoke<4485, false, void>(ropeId, entity); }
	FORCEINLINE constexpr void ROPE_SET_UPDATE_PINVERTS(int ropeId) { return big::native_invoker::invoke<4486, false, void>(ropeId); }
	FORCEINLINE constexpr void ROPE_SET_UPDATE_ORDER(int ropeId, Any p1) { return big::native_invoker::invoke<4487, false, void>(ropeId, p1); }
	FORCEINLINE constexpr void ROPE_SET_SMOOTH_REELIN(int ropeId, BOOL p1) { return big::native_invoker::invoke<4488, false, void>(ropeId, p1); }
	FORCEINLINE constexpr BOOL IS_ROPE_ATTACHED_AT_BOTH_ENDS(int* ropeId) { return big::native_invoker::invoke<4489, false, BOOL>(ropeId); }
	FORCEINLINE constexpr Vector3 GET_ROPE_LAST_VERTEX_COORD(int ropeId) { return big::native_invoker::invoke<4490, false, Vector3>(ropeId); }
	FORCEINLINE constexpr Vector3 GET_ROPE_VERTEX_COORD(int ropeId, int vertex) { return big::native_invoker::invoke<4491, false, Vector3>(ropeId, vertex); }
	FORCEINLINE constexpr void START_ROPE_WINDING(int ropeId) { return big::native_invoker::invoke<4492, false, void>(ropeId); }
	FORCEINLINE constexpr void STOP_ROPE_WINDING(int ropeId) { return big::native_invoker::invoke<4493, false, void>(ropeId); }
	FORCEINLINE constexpr void START_ROPE_UNWINDING_FRONT(int ropeId) { return big::native_invoker::invoke<4494, false, void>(ropeId); }
	FORCEINLINE constexpr void STOP_ROPE_UNWINDING_FRONT(int ropeId) { return big::native_invoker::invoke<4495, false, void>(ropeId); }
	FORCEINLINE constexpr void ROPE_CONVERT_TO_SIMPLE(int ropeId) { return big::native_invoker::invoke<4496, false, void>(ropeId); }
	FORCEINLINE constexpr void ROPE_LOAD_TEXTURES() { return big::native_invoker::invoke<4497, false, void>(); }
	FORCEINLINE constexpr BOOL ROPE_ARE_TEXTURES_LOADED() { return big::native_invoker::invoke<4498, false, BOOL>(); }
	FORCEINLINE constexpr void ROPE_UNLOAD_TEXTURES() { return big::native_invoker::invoke<4499, false, void>(); }
	FORCEINLINE constexpr BOOL DOES_SCRIPT_OWN_ROPE(int ropeId) { return big::native_invoker::invoke<4500, false, BOOL>(ropeId); }
	FORCEINLINE constexpr void ROPE_ATTACH_VIRTUAL_BOUND_GEOM(int ropeId, int p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, float p9, float p10, float p11, float p12, float p13) { return big::native_invoker::invoke<4501, false, void>(ropeId, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10, p11, p12, p13); }
	FORCEINLINE constexpr void ROPE_CHANGE_SCRIPT_OWNER(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<4502, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void ROPE_SET_REFFRAMEVELOCITY_COLLIDERORDER(int ropeId, int p1) { return big::native_invoker::invoke<4503, false, void>(ropeId, p1); }
	FORCEINLINE constexpr float ROPE_GET_DISTANCE_BETWEEN_ENDS(int ropeId) { return big::native_invoker::invoke<4504, false, float>(ropeId); }
	FORCEINLINE constexpr void ROPE_FORCE_LENGTH(int ropeId, float length) { return big::native_invoker::invoke<4505, false, void>(ropeId, length); }
	FORCEINLINE constexpr void ROPE_RESET_LENGTH(int ropeId, float length) { return big::native_invoker::invoke<4506, false, void>(ropeId, length); }
	FORCEINLINE constexpr void APPLY_IMPULSE_TO_CLOTH(float posX, float posY, float posZ, float vecX, float vecY, float vecZ, float impulse) { return big::native_invoker::invoke<4507, false, void>(posX, posY, posZ, vecX, vecY, vecZ, impulse); }
	FORCEINLINE constexpr void SET_DAMPING(Entity entity, int vertex, float value) { return big::native_invoker::invoke<4508, false, void>(entity, vertex, value); }
	FORCEINLINE constexpr void ACTIVATE_PHYSICS(Entity entity) { return big::native_invoker::invoke<4509, false, void>(entity); }
	FORCEINLINE constexpr void SET_CGOFFSET(Entity entity, float x, float y, float z) { return big::native_invoker::invoke<4510, false, void>(entity, x, y, z); }
	FORCEINLINE constexpr Vector3 GET_CGOFFSET(Entity entity) { return big::native_invoker::invoke<4511, false, Vector3>(entity); }
	FORCEINLINE constexpr void SET_CG_AT_BOUNDCENTER(Entity entity) { return big::native_invoker::invoke<4512, false, void>(entity); }
	FORCEINLINE constexpr void BREAK_ENTITY_GLASS(Entity entity, float p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, Any p9, BOOL p10) { return big::native_invoker::invoke<4513, false, void>(entity, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr BOOL GET_IS_ENTITY_A_FRAG(Object object) { return big::native_invoker::invoke<4514, false, BOOL>(object); }
	FORCEINLINE constexpr void SET_DISABLE_BREAKING(Object object, BOOL toggle) { return big::native_invoker::invoke<4515, false, void>(object, toggle); }
	FORCEINLINE constexpr void RESET_DISABLE_BREAKING(Object object) { return big::native_invoker::invoke<4516, false, void>(object); }
	FORCEINLINE constexpr void SET_DISABLE_FRAG_DAMAGE(Object object, BOOL toggle) { return big::native_invoker::invoke<4517, false, void>(object, toggle); }
	FORCEINLINE constexpr void SET_USE_KINEMATIC_PHYSICS(Entity entity, BOOL toggle) { return big::native_invoker::invoke<4518, false, void>(entity, toggle); }
	FORCEINLINE constexpr void SET_IN_STUNT_MODE(BOOL p0) { return big::native_invoker::invoke<4519, false, void>(p0); }
	FORCEINLINE constexpr void SET_IN_ARENA_MODE(BOOL toggle) { return big::native_invoker::invoke<4520, false, void>(toggle); }
}

namespace PLAYER
{
	FORCEINLINE constexpr Ped GET_PLAYER_PED(Player player) { return big::native_invoker::invoke<4521, false, Ped>(player); }
	FORCEINLINE constexpr Ped GET_PLAYER_PED_SCRIPT_INDEX(Player player) { return big::native_invoker::invoke<4522, false, Ped>(player); }
	FORCEINLINE constexpr void SET_PLAYER_MODEL(Player player, Hash model) { return big::native_invoker::invoke<4523, false, void>(player, model); }
	FORCEINLINE constexpr void CHANGE_PLAYER_PED(Player player, Ped ped, BOOL p2, BOOL resetDamage) { return big::native_invoker::invoke<4524, false, void>(player, ped, p2, resetDamage); }
	FORCEINLINE constexpr void GET_PLAYER_RGB_COLOUR(Player player, int* r, int* g, int* b) { return big::native_invoker::invoke<4525, false, void>(player, r, g, b); }
	FORCEINLINE constexpr int GET_NUMBER_OF_PLAYERS() { return big::native_invoker::invoke<4526, false, int>(); }
	FORCEINLINE constexpr int GET_PLAYER_TEAM(Player player) { return big::native_invoker::invoke<4527, false, int>(player); }
	FORCEINLINE constexpr void SET_PLAYER_TEAM(Player player, int team) { return big::native_invoker::invoke<4528, false, void>(player, team); }
	FORCEINLINE constexpr int GET_NUMBER_OF_PLAYERS_IN_TEAM(int team) { return big::native_invoker::invoke<4529, false, int>(team); }
	FORCEINLINE constexpr const char* GET_PLAYER_NAME(Player player) { return big::native_invoker::invoke<4530, false, const char*>(player); }
	FORCEINLINE constexpr float GET_WANTED_LEVEL_RADIUS(Player player) { return big::native_invoker::invoke<4531, false, float>(player); }
	FORCEINLINE constexpr Vector3 GET_PLAYER_WANTED_CENTRE_POSITION(Player player) { return big::native_invoker::invoke<4532, false, Vector3>(player); }
	FORCEINLINE constexpr void SET_PLAYER_WANTED_CENTRE_POSITION(Player player, Vector3* position, BOOL p2, BOOL p3) { return big::native_invoker::invoke<4533, true, void>(player, position, p2, p3); }
	FORCEINLINE constexpr int GET_WANTED_LEVEL_THRESHOLD(int wantedLevel) { return big::native_invoker::invoke<4534, false, int>(wantedLevel); }
	FORCEINLINE constexpr void SET_PLAYER_WANTED_LEVEL(Player player, int wantedLevel, BOOL disableNoMission) { return big::native_invoker::invoke<4535, false, void>(player, wantedLevel, disableNoMission); }
	FORCEINLINE constexpr void SET_PLAYER_WANTED_LEVEL_NO_DROP(Player player, int wantedLevel, BOOL p2) { return big::native_invoker::invoke<4536, false, void>(player, wantedLevel, p2); }
	FORCEINLINE constexpr void SET_PLAYER_WANTED_LEVEL_NOW(Player player, BOOL p1) { return big::native_invoker::invoke<4537, false, void>(player, p1); }
	FORCEINLINE constexpr BOOL ARE_PLAYER_FLASHING_STARS_ABOUT_TO_DROP(Player player) { return big::native_invoker::invoke<4538, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL ARE_PLAYER_STARS_GREYED_OUT(Player player) { return big::native_invoker::invoke<4539, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_WANTED_AND_HAS_BEEN_SEEN_BY_COPS(Player player) { return big::native_invoker::invoke<4540, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_DISPATCH_COPS_FOR_PLAYER(Player player, BOOL toggle) { return big::native_invoker::invoke<4541, false, void>(player, toggle); }
	FORCEINLINE constexpr BOOL IS_PLAYER_WANTED_LEVEL_GREATER(Player player, int wantedLevel) { return big::native_invoker::invoke<4542, false, BOOL>(player, wantedLevel); }
	FORCEINLINE constexpr void CLEAR_PLAYER_WANTED_LEVEL(Player player) { return big::native_invoker::invoke<4543, false, void>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_DEAD(Player player) { return big::native_invoker::invoke<4544, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_PRESSING_HORN(Player player) { return big::native_invoker::invoke<4545, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_PLAYER_CONTROL(Player player, BOOL bHasControl, int flags) { return big::native_invoker::invoke<4546, false, void>(player, bHasControl, flags); }
	FORCEINLINE constexpr int GET_PLAYER_WANTED_LEVEL(Player player) { return big::native_invoker::invoke<4547, false, int>(player); }
	FORCEINLINE constexpr void SET_MAX_WANTED_LEVEL(int maxWantedLevel) { return big::native_invoker::invoke<4548, false, void>(maxWantedLevel); }
	FORCEINLINE constexpr void SET_POLICE_RADAR_BLIPS(BOOL toggle) { return big::native_invoker::invoke<4549, false, void>(toggle); }
	FORCEINLINE constexpr void SET_POLICE_IGNORE_PLAYER(Player player, BOOL toggle) { return big::native_invoker::invoke<4550, false, void>(player, toggle); }
	FORCEINLINE constexpr BOOL IS_PLAYER_PLAYING(Player player) { return big::native_invoker::invoke<4551, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_EVERYONE_IGNORE_PLAYER(Player player, BOOL toggle) { return big::native_invoker::invoke<4552, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_ALL_RANDOM_PEDS_FLEE(Player player, BOOL toggle) { return big::native_invoker::invoke<4553, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_ALL_RANDOM_PEDS_FLEE_THIS_FRAME(Player player) { return big::native_invoker::invoke<4554, false, void>(player); }
	FORCEINLINE constexpr void SET_ALL_NEUTRAL_RANDOM_PEDS_FLEE(Player player, BOOL toggle) { return big::native_invoker::invoke<4555, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_ALL_NEUTRAL_RANDOM_PEDS_FLEE_THIS_FRAME(Player player) { return big::native_invoker::invoke<4556, false, void>(player); }
	FORCEINLINE constexpr void SET_LAW_PEDS_CAN_ATTACK_NON_WANTED_PLAYER_THIS_FRAME(Player player) { return big::native_invoker::invoke<4557, false, void>(player); }
	FORCEINLINE constexpr void SET_IGNORE_LOW_PRIORITY_SHOCKING_EVENTS(Player player, BOOL toggle) { return big::native_invoker::invoke<4558, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_WANTED_LEVEL_MULTIPLIER(float multiplier) { return big::native_invoker::invoke<4559, false, void>(multiplier); }
	FORCEINLINE constexpr void SET_WANTED_LEVEL_DIFFICULTY(Player player, float difficulty) { return big::native_invoker::invoke<4560, false, void>(player, difficulty); }
	FORCEINLINE constexpr void RESET_WANTED_LEVEL_DIFFICULTY(Player player) { return big::native_invoker::invoke<4561, false, void>(player); }
	FORCEINLINE constexpr int GET_WANTED_LEVEL_TIME_TO_ESCAPE() { return big::native_invoker::invoke<4562, false, int>(); }
	FORCEINLINE constexpr void SET_WANTED_LEVEL_HIDDEN_ESCAPE_TIME(Player player, int wantedLevel, int lossTime) { return big::native_invoker::invoke<4563, false, void>(player, wantedLevel, lossTime); }
	FORCEINLINE constexpr void RESET_WANTED_LEVEL_HIDDEN_ESCAPE_TIME(Player player) { return big::native_invoker::invoke<4564, false, void>(player); }
	FORCEINLINE constexpr void START_FIRING_AMNESTY(int duration) { return big::native_invoker::invoke<4565, false, void>(duration); }
	FORCEINLINE constexpr void REPORT_CRIME(Player player, int crimeType, int wantedLvlThresh) { return big::native_invoker::invoke<4566, false, void>(player, crimeType, wantedLvlThresh); }
	FORCEINLINE constexpr void SUPPRESS_CRIME_THIS_FRAME(Player player, int crimeType) { return big::native_invoker::invoke<4567, false, void>(player, crimeType); }
	FORCEINLINE constexpr void UPDATE_WANTED_POSITION_THIS_FRAME(Player player) { return big::native_invoker::invoke<4568, false, void>(player); }
	FORCEINLINE constexpr void SUPPRESS_LOSING_WANTED_LEVEL_IF_HIDDEN_THIS_FRAME(Player player) { return big::native_invoker::invoke<4569, false, void>(player); }
	FORCEINLINE constexpr void ALLOW_EVASION_HUD_IF_DISABLING_HIDDEN_EVASION_THIS_FRAME(Player player, Any p1) { return big::native_invoker::invoke<4570, false, void>(player, p1); }
	FORCEINLINE constexpr void FORCE_START_HIDDEN_EVASION(Player player) { return big::native_invoker::invoke<4571, false, void>(player); }
	FORCEINLINE constexpr void SUPPRESS_WITNESSES_CALLING_POLICE_THIS_FRAME(Player player) { return big::native_invoker::invoke<4572, false, void>(player); }
	FORCEINLINE constexpr void REPORT_POLICE_SPOTTED_PLAYER(Player player) { return big::native_invoker::invoke<4573, false, void>(player); }
	FORCEINLINE constexpr void SET_LAW_RESPONSE_DELAY_OVERRIDE(float p0) { return big::native_invoker::invoke<4574, false, void>(p0); }
	FORCEINLINE constexpr void RESET_LAW_RESPONSE_DELAY_OVERRIDE() { return big::native_invoker::invoke<4575, false, void>(); }
	FORCEINLINE constexpr BOOL CAN_PLAYER_START_MISSION(Player player) { return big::native_invoker::invoke<4576, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_READY_FOR_CUTSCENE(Player player) { return big::native_invoker::invoke<4577, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_TARGETTING_ENTITY(Player player, Entity entity) { return big::native_invoker::invoke<4578, false, BOOL>(player, entity); }
	FORCEINLINE constexpr BOOL GET_PLAYER_TARGET_ENTITY(Player player, Entity* entity) { return big::native_invoker::invoke<4579, false, BOOL>(player, entity); }
	FORCEINLINE constexpr BOOL IS_PLAYER_FREE_AIMING(Player player) { return big::native_invoker::invoke<4580, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_FREE_AIMING_AT_ENTITY(Player player, Entity entity) { return big::native_invoker::invoke<4581, false, BOOL>(player, entity); }
	FORCEINLINE constexpr BOOL GET_ENTITY_PLAYER_IS_FREE_AIMING_AT(Player player, Entity* entity) { return big::native_invoker::invoke<4582, false, BOOL>(player, entity); }
	FORCEINLINE constexpr void SET_PLAYER_LOCKON_RANGE_OVERRIDE(Player player, float range) { return big::native_invoker::invoke<4583, false, void>(player, range); }
	FORCEINLINE constexpr void SET_PLAYER_CAN_DO_DRIVE_BY(Player player, BOOL toggle) { return big::native_invoker::invoke<4584, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_CAN_BE_HASSLED_BY_GANGS(Player player, BOOL toggle) { return big::native_invoker::invoke<4585, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_CAN_USE_COVER(Player player, BOOL toggle) { return big::native_invoker::invoke<4586, false, void>(player, toggle); }
	FORCEINLINE constexpr int GET_MAX_WANTED_LEVEL() { return big::native_invoker::invoke<4587, false, int>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_TARGETTING_ANYTHING(Player player) { return big::native_invoker::invoke<4588, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_PLAYER_SPRINT(Player player, BOOL toggle) { return big::native_invoker::invoke<4589, false, void>(player, toggle); }
	FORCEINLINE constexpr void RESET_PLAYER_STAMINA(Player player) { return big::native_invoker::invoke<4590, false, void>(player); }
	FORCEINLINE constexpr void RESTORE_PLAYER_STAMINA(Player player, float p1) { return big::native_invoker::invoke<4591, false, void>(player, p1); }
	FORCEINLINE constexpr float GET_PLAYER_SPRINT_STAMINA_REMAINING(Player player) { return big::native_invoker::invoke<4592, false, float>(player); }
	FORCEINLINE constexpr float GET_PLAYER_SPRINT_TIME_REMAINING(Player player) { return big::native_invoker::invoke<4593, false, float>(player); }
	FORCEINLINE constexpr float GET_PLAYER_UNDERWATER_TIME_REMAINING(Player player) { return big::native_invoker::invoke<4594, false, float>(player); }
	FORCEINLINE constexpr float SET_PLAYER_UNDERWATER_BREATH_PERCENT_REMAINING(Player player, float time) { return big::native_invoker::invoke<4595, false, float>(player, time); }
	FORCEINLINE constexpr int GET_PLAYER_GROUP(Player player) { return big::native_invoker::invoke<4596, false, int>(player); }
	FORCEINLINE constexpr int GET_PLAYER_MAX_ARMOUR(Player player) { return big::native_invoker::invoke<4597, false, int>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_CONTROL_ON(Player player) { return big::native_invoker::invoke<4598, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL GET_ARE_CAMERA_CONTROLS_DISABLED() { return big::native_invoker::invoke<4599, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_SCRIPT_CONTROL_ON(Player player) { return big::native_invoker::invoke<4600, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_CLIMBING(Player player) { return big::native_invoker::invoke<4601, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_BEING_ARRESTED(Player player, BOOL atArresting) { return big::native_invoker::invoke<4602, false, BOOL>(player, atArresting); }
	FORCEINLINE constexpr void RESET_PLAYER_ARREST_STATE(Player player) { return big::native_invoker::invoke<4603, false, void>(player); }
	FORCEINLINE constexpr Vehicle GET_PLAYERS_LAST_VEHICLE() { return big::native_invoker::invoke<4604, false, Vehicle>(); }
	FORCEINLINE constexpr Player GET_PLAYER_INDEX() { return big::native_invoker::invoke<4605, false, Player>(); }
	FORCEINLINE constexpr Player INT_TO_PLAYERINDEX(int value) { return big::native_invoker::invoke<4606, false, Player>(value); }
	FORCEINLINE constexpr int INT_TO_PARTICIPANTINDEX(int value) { return big::native_invoker::invoke<4607, false, int>(value); }
	FORCEINLINE constexpr int GET_TIME_SINCE_PLAYER_HIT_VEHICLE(Player player) { return big::native_invoker::invoke<4608, false, int>(player); }
	FORCEINLINE constexpr int GET_TIME_SINCE_PLAYER_HIT_PED(Player player) { return big::native_invoker::invoke<4609, false, int>(player); }
	FORCEINLINE constexpr int GET_TIME_SINCE_PLAYER_DROVE_ON_PAVEMENT(Player player) { return big::native_invoker::invoke<4610, false, int>(player); }
	FORCEINLINE constexpr int GET_TIME_SINCE_PLAYER_DROVE_AGAINST_TRAFFIC(Player player) { return big::native_invoker::invoke<4611, false, int>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_FREE_FOR_AMBIENT_TASK(Player player) { return big::native_invoker::invoke<4612, false, BOOL>(player); }
	FORCEINLINE constexpr Player PLAYER_ID() { return big::native_invoker::invoke<4613, false, Player>(); }
	FORCEINLINE constexpr Ped PLAYER_PED_ID() { return big::native_invoker::invoke<4614, false, Ped>(); }
	FORCEINLINE constexpr int NETWORK_PLAYER_ID_TO_INT() { return big::native_invoker::invoke<4615, false, int>(); }
	FORCEINLINE constexpr BOOL HAS_FORCE_CLEANUP_OCCURRED(int cleanupFlags) { return big::native_invoker::invoke<4616, false, BOOL>(cleanupFlags); }
	FORCEINLINE constexpr void FORCE_CLEANUP(int cleanupFlags) { return big::native_invoker::invoke<4617, false, void>(cleanupFlags); }
	FORCEINLINE constexpr void FORCE_CLEANUP_FOR_ALL_THREADS_WITH_THIS_NAME(const char* name, int cleanupFlags) { return big::native_invoker::invoke<4618, false, void>(name, cleanupFlags); }
	FORCEINLINE constexpr void FORCE_CLEANUP_FOR_THREAD_WITH_THIS_ID(int id, int cleanupFlags) { return big::native_invoker::invoke<4619, false, void>(id, cleanupFlags); }
	FORCEINLINE constexpr int GET_CAUSE_OF_MOST_RECENT_FORCE_CLEANUP() { return big::native_invoker::invoke<4620, false, int>(); }
	FORCEINLINE constexpr void SET_PLAYER_MAY_ONLY_ENTER_THIS_VEHICLE(Player player, Vehicle vehicle) { return big::native_invoker::invoke<4621, false, void>(player, vehicle); }
	FORCEINLINE constexpr void SET_PLAYER_MAY_NOT_ENTER_ANY_VEHICLE(Player player) { return big::native_invoker::invoke<4622, false, void>(player); }
	FORCEINLINE constexpr BOOL GIVE_ACHIEVEMENT_TO_PLAYER(int achievementId) { return big::native_invoker::invoke<4623, false, BOOL>(achievementId); }
	FORCEINLINE constexpr BOOL SET_ACHIEVEMENT_PROGRESS(int achievementId, int progress) { return big::native_invoker::invoke<4624, false, BOOL>(achievementId, progress); }
	FORCEINLINE constexpr int GET_ACHIEVEMENT_PROGRESS(int achievementId) { return big::native_invoker::invoke<4625, false, int>(achievementId); }
	FORCEINLINE constexpr BOOL HAS_ACHIEVEMENT_BEEN_PASSED(int achievementId) { return big::native_invoker::invoke<4626, false, BOOL>(achievementId); }
	FORCEINLINE constexpr BOOL IS_PLAYER_ONLINE() { return big::native_invoker::invoke<4627, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_LOGGING_IN_NP() { return big::native_invoker::invoke<4628, false, BOOL>(); }
	FORCEINLINE constexpr void DISPLAY_SYSTEM_SIGNIN_UI(BOOL p0) { return big::native_invoker::invoke<4629, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_SYSTEM_UI_BEING_DISPLAYED() { return big::native_invoker::invoke<4630, false, BOOL>(); }
	FORCEINLINE constexpr void SET_PLAYER_INVINCIBLE(Player player, BOOL toggle) { return big::native_invoker::invoke<4631, false, void>(player, toggle); }
	FORCEINLINE constexpr BOOL GET_PLAYER_INVINCIBLE(Player player) { return big::native_invoker::invoke<4632, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL GET_PLAYER_DEBUG_INVINCIBLE(Player player) { return big::native_invoker::invoke<4633, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_PLAYER_INVINCIBLE_BUT_HAS_REACTIONS(Player player, BOOL toggle) { return big::native_invoker::invoke<4634, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_CAN_COLLECT_DROPPED_MONEY(Player player, BOOL p1) { return big::native_invoker::invoke<4635, false, void>(player, p1); }
	FORCEINLINE constexpr void REMOVE_PLAYER_HELMET(Player player, BOOL p2) { return big::native_invoker::invoke<4636, false, void>(player, p2); }
	FORCEINLINE constexpr void GIVE_PLAYER_RAGDOLL_CONTROL(Player player, BOOL toggle) { return big::native_invoker::invoke<4637, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_LOCKON(Player player, BOOL toggle) { return big::native_invoker::invoke<4638, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_TARGETING_MODE(int targetMode) { return big::native_invoker::invoke<4639, false, void>(targetMode); }
	FORCEINLINE constexpr void SET_PLAYER_TARGET_LEVEL(int targetLevel) { return big::native_invoker::invoke<4640, false, void>(targetLevel); }
	FORCEINLINE constexpr BOOL GET_IS_USING_FPS_THIRD_PERSON_COVER() { return big::native_invoker::invoke<4641, false, BOOL>(); }
	FORCEINLINE constexpr BOOL GET_IS_USING_HOOD_CAMERA() { return big::native_invoker::invoke<4642, false, BOOL>(); }
	FORCEINLINE constexpr void CLEAR_PLAYER_HAS_DAMAGED_AT_LEAST_ONE_PED(Player player) { return big::native_invoker::invoke<4643, false, void>(player); }
	FORCEINLINE constexpr BOOL HAS_PLAYER_DAMAGED_AT_LEAST_ONE_PED(Player player) { return big::native_invoker::invoke<4644, false, BOOL>(player); }
	FORCEINLINE constexpr void CLEAR_PLAYER_HAS_DAMAGED_AT_LEAST_ONE_NON_ANIMAL_PED(Player player) { return big::native_invoker::invoke<4645, false, void>(player); }
	FORCEINLINE constexpr BOOL HAS_PLAYER_DAMAGED_AT_LEAST_ONE_NON_ANIMAL_PED(Player player) { return big::native_invoker::invoke<4646, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_AIR_DRAG_MULTIPLIER_FOR_PLAYERS_VEHICLE(Player player, float multiplier) { return big::native_invoker::invoke<4647, false, void>(player, multiplier); }
	FORCEINLINE constexpr void SET_SWIM_MULTIPLIER_FOR_PLAYER(Player player, float multiplier) { return big::native_invoker::invoke<4648, false, void>(player, multiplier); }
	FORCEINLINE constexpr void SET_RUN_SPRINT_MULTIPLIER_FOR_PLAYER(Player player, float multiplier) { return big::native_invoker::invoke<4649, false, void>(player, multiplier); }
	FORCEINLINE constexpr int GET_TIME_SINCE_LAST_ARREST() { return big::native_invoker::invoke<4650, false, int>(); }
	FORCEINLINE constexpr int GET_TIME_SINCE_LAST_DEATH() { return big::native_invoker::invoke<4651, false, int>(); }
	FORCEINLINE constexpr void ASSISTED_MOVEMENT_CLOSE_ROUTE() { return big::native_invoker::invoke<4652, false, void>(); }
	FORCEINLINE constexpr void ASSISTED_MOVEMENT_FLUSH_ROUTE() { return big::native_invoker::invoke<4653, false, void>(); }
	FORCEINLINE constexpr void SET_PLAYER_FORCED_AIM(Player player, BOOL toggle) { return big::native_invoker::invoke<4654, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_FORCED_ZOOM(Player player, BOOL toggle) { return big::native_invoker::invoke<4655, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_FORCE_SKIP_AIM_INTRO(Player player, BOOL toggle) { return big::native_invoker::invoke<4656, false, void>(player, toggle); }
	FORCEINLINE constexpr void DISABLE_PLAYER_FIRING(Player player, BOOL toggle) { return big::native_invoker::invoke<4657, false, void>(player, toggle); }
	FORCEINLINE constexpr void DISABLE_PLAYER_THROW_GRENADE_WHILE_USING_GUN() { return big::native_invoker::invoke<4658, false, void>(); }
	FORCEINLINE constexpr void SET_DISABLE_AMBIENT_MELEE_MOVE(Player player, BOOL toggle) { return big::native_invoker::invoke<4659, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_MAX_ARMOUR(Player player, int value) { return big::native_invoker::invoke<4660, false, void>(player, value); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_ACTIVATE(Player player, int p1) { return big::native_invoker::invoke<4661, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_SPECIAL_ABILITY_MP(Player player, int p1, Any p2) { return big::native_invoker::invoke<4662, false, void>(player, p1, p2); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_DEACTIVATE_MP(Player player, int p1) { return big::native_invoker::invoke<4663, false, void>(player, p1); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_DEACTIVATE(Player player, Any p1) { return big::native_invoker::invoke<4664, false, void>(player, p1); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_DEACTIVATE_FAST(Player player, Any p1) { return big::native_invoker::invoke<4665, false, void>(player, p1); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_RESET(Player player, Any p1) { return big::native_invoker::invoke<4666, false, void>(player, p1); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_ON_MISSION_FAILED(Player player, Any p1) { return big::native_invoker::invoke<4667, false, void>(player, p1); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_SMALL(Player player, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<4668, false, void>(player, p1, p2, p3); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_MEDIUM(Player player, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<4669, false, void>(player, p1, p2, p3); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_LARGE(Player player, BOOL p1, BOOL p2, Any p3) { return big::native_invoker::invoke<4670, false, void>(player, p1, p2, p3); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_CONTINUOUS(Player player, Ped p1, Any p2) { return big::native_invoker::invoke<4671, false, void>(player, p1, p2); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_ABSOLUTE(Player player, int p1, BOOL p2, Any p3) { return big::native_invoker::invoke<4672, false, void>(player, p1, p2, p3); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_CHARGE_NORMALIZED(Player player, float normalizedValue, BOOL p2, Any p3) { return big::native_invoker::invoke<4673, false, void>(player, normalizedValue, p2, p3); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_FILL_METER(Player player, BOOL p1, Any p2) { return big::native_invoker::invoke<4674, false, void>(player, p1, p2); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_DEPLETE_METER(Player player, BOOL p1, Any p2) { return big::native_invoker::invoke<4675, false, void>(player, p1, p2); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_LOCK(Hash playerModel, Any p1) { return big::native_invoker::invoke<4676, false, void>(playerModel, p1); }
	FORCEINLINE constexpr void SPECIAL_ABILITY_UNLOCK(Hash playerModel, Any p1) { return big::native_invoker::invoke<4677, false, void>(playerModel, p1); }
	FORCEINLINE constexpr BOOL IS_SPECIAL_ABILITY_UNLOCKED(Hash playerModel) { return big::native_invoker::invoke<4678, false, BOOL>(playerModel); }
	FORCEINLINE constexpr BOOL IS_SPECIAL_ABILITY_ACTIVE(Player player, Any p1) { return big::native_invoker::invoke<4679, false, BOOL>(player, p1); }
	FORCEINLINE constexpr BOOL IS_SPECIAL_ABILITY_METER_FULL(Player player, Any p1) { return big::native_invoker::invoke<4680, false, BOOL>(player, p1); }
	FORCEINLINE constexpr void ENABLE_SPECIAL_ABILITY(Player player, BOOL toggle, Any p2) { return big::native_invoker::invoke<4681, false, void>(player, toggle, p2); }
	FORCEINLINE constexpr BOOL IS_SPECIAL_ABILITY_ENABLED(Player player, Any p1) { return big::native_invoker::invoke<4682, false, BOOL>(player, p1); }
	FORCEINLINE constexpr void SET_SPECIAL_ABILITY_MULTIPLIER(float multiplier) { return big::native_invoker::invoke<4683, false, void>(multiplier); }
	FORCEINLINE constexpr void UPDATE_SPECIAL_ABILITY_FROM_STAT(Player player, Any p1) { return big::native_invoker::invoke<4684, false, void>(player, p1); }
	FORCEINLINE constexpr BOOL GET_IS_PLAYER_DRIVING_ON_HIGHWAY(Player player) { return big::native_invoker::invoke<4685, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL GET_IS_PLAYER_DRIVING_WRECKLESS(Player player, int p1) { return big::native_invoker::invoke<4686, false, BOOL>(player, p1); }
	FORCEINLINE constexpr BOOL GET_IS_MOPPING_AREA_FREE_IN_FRONT_OF_PLAYER(Player player, float p1) { return big::native_invoker::invoke<4687, false, BOOL>(player, p1); }
	FORCEINLINE constexpr void START_PLAYER_TELEPORT(Player player, float x, float y, float z, float heading, BOOL p5, BOOL findCollisionLand, BOOL p7) { return big::native_invoker::invoke<4688, false, void>(player, x, y, z, heading, p5, findCollisionLand, p7); }
	FORCEINLINE constexpr BOOL UPDATE_PLAYER_TELEPORT(Player player) { return big::native_invoker::invoke<4689, false, BOOL>(player); }
	FORCEINLINE constexpr void STOP_PLAYER_TELEPORT() { return big::native_invoker::invoke<4690, false, void>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_TELEPORT_ACTIVE() { return big::native_invoker::invoke<4691, false, BOOL>(); }
	FORCEINLINE constexpr float GET_PLAYER_CURRENT_STEALTH_NOISE(Player player) { return big::native_invoker::invoke<4692, false, float>(player); }
	FORCEINLINE constexpr void SET_PLAYER_HEALTH_RECHARGE_MULTIPLIER(Player player, float regenRate) { return big::native_invoker::invoke<4693, false, void>(player, regenRate); }
	FORCEINLINE constexpr float GET_PLAYER_HEALTH_RECHARGE_MAX_PERCENT(Player player) { return big::native_invoker::invoke<4694, false, float>(player); }
	FORCEINLINE constexpr void SET_PLAYER_HEALTH_RECHARGE_MAX_PERCENT(Player player, float limit) { return big::native_invoker::invoke<4695, false, void>(player, limit); }
	FORCEINLINE constexpr void DISABLE_PLAYER_HEALTH_RECHARGE(Player player) { return big::native_invoker::invoke<4696, false, void>(player); }
	FORCEINLINE constexpr void SET_PLAYER_FALL_DISTANCE_TO_TRIGGER_RAGDOLL_OVERRIDE(Player player, float p1) { return big::native_invoker::invoke<4697, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_PLAYER_WEAPON_DAMAGE_MODIFIER(Player player, float modifier) { return big::native_invoker::invoke<4698, false, void>(player, modifier); }
	FORCEINLINE constexpr void SET_PLAYER_WEAPON_DEFENSE_MODIFIER(Player player, float modifier) { return big::native_invoker::invoke<4699, false, void>(player, modifier); }
	FORCEINLINE constexpr void SET_PLAYER_WEAPON_MINIGUN_DEFENSE_MODIFIER(Player player, float modifier) { return big::native_invoker::invoke<4700, false, void>(player, modifier); }
	FORCEINLINE constexpr void SET_PLAYER_MELEE_WEAPON_DAMAGE_MODIFIER(Player player, float modifier, BOOL p2) { return big::native_invoker::invoke<4701, false, void>(player, modifier, p2); }
	FORCEINLINE constexpr void SET_PLAYER_MELEE_WEAPON_DEFENSE_MODIFIER(Player player, float modifier) { return big::native_invoker::invoke<4702, false, void>(player, modifier); }
	FORCEINLINE constexpr void SET_PLAYER_VEHICLE_DAMAGE_MODIFIER(Player player, float modifier) { return big::native_invoker::invoke<4703, false, void>(player, modifier); }
	FORCEINLINE constexpr void SET_PLAYER_VEHICLE_DEFENSE_MODIFIER(Player player, float modifier) { return big::native_invoker::invoke<4704, false, void>(player, modifier); }
	FORCEINLINE constexpr void SET_PLAYER_MAX_EXPLOSIVE_DAMAGE(Player player, float p1) { return big::native_invoker::invoke<4705, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_PLAYER_EXPLOSIVE_DAMAGE_MODIFIER(Player player, Any p1) { return big::native_invoker::invoke<4706, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_PLAYER_WEAPON_TAKEDOWN_DEFENSE_MODIFIER(Player player, float p1) { return big::native_invoker::invoke<4707, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_PLAYER_PARACHUTE_TINT_INDEX(Player player, int tintIndex) { return big::native_invoker::invoke<4708, false, void>(player, tintIndex); }
	FORCEINLINE constexpr void GET_PLAYER_PARACHUTE_TINT_INDEX(Player player, int* tintIndex) { return big::native_invoker::invoke<4709, false, void>(player, tintIndex); }
	FORCEINLINE constexpr void SET_PLAYER_RESERVE_PARACHUTE_TINT_INDEX(Player player, int index) { return big::native_invoker::invoke<4710, false, void>(player, index); }
	FORCEINLINE constexpr void GET_PLAYER_RESERVE_PARACHUTE_TINT_INDEX(Player player, int* index) { return big::native_invoker::invoke<4711, false, void>(player, index); }
	FORCEINLINE constexpr void SET_PLAYER_PARACHUTE_PACK_TINT_INDEX(Player player, int tintIndex) { return big::native_invoker::invoke<4712, false, void>(player, tintIndex); }
	FORCEINLINE constexpr void GET_PLAYER_PARACHUTE_PACK_TINT_INDEX(Player player, int* tintIndex) { return big::native_invoker::invoke<4713, false, void>(player, tintIndex); }
	FORCEINLINE constexpr void SET_PLAYER_HAS_RESERVE_PARACHUTE(Player player) { return big::native_invoker::invoke<4714, false, void>(player); }
	FORCEINLINE constexpr BOOL GET_PLAYER_HAS_RESERVE_PARACHUTE(Player player) { return big::native_invoker::invoke<4715, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_PLAYER_CAN_LEAVE_PARACHUTE_SMOKE_TRAIL(Player player, BOOL enabled) { return big::native_invoker::invoke<4716, false, void>(player, enabled); }
	FORCEINLINE constexpr void SET_PLAYER_PARACHUTE_SMOKE_TRAIL_COLOR(Player player, int r, int g, int b) { return big::native_invoker::invoke<4717, false, void>(player, r, g, b); }
	FORCEINLINE constexpr void GET_PLAYER_PARACHUTE_SMOKE_TRAIL_COLOR(Player player, int* r, int* g, int* b) { return big::native_invoker::invoke<4718, false, void>(player, r, g, b); }
	FORCEINLINE constexpr void SET_PLAYER_PHONE_PALETTE_IDX(Player player, int flags) { return big::native_invoker::invoke<4719, false, void>(player, flags); }
	FORCEINLINE constexpr void SET_PLAYER_NOISE_MULTIPLIER(Player player, float multiplier) { return big::native_invoker::invoke<4720, false, void>(player, multiplier); }
	FORCEINLINE constexpr void SET_PLAYER_SNEAKING_NOISE_MULTIPLIER(Player player, float multiplier) { return big::native_invoker::invoke<4721, false, void>(player, multiplier); }
	FORCEINLINE constexpr BOOL CAN_PED_HEAR_PLAYER(Player player, Ped ped) { return big::native_invoker::invoke<4722, false, BOOL>(player, ped); }
	FORCEINLINE constexpr void SIMULATE_PLAYER_INPUT_GAIT(Player player, float amount, int gaitType, float speed, BOOL p4, BOOL p5, Any p6) { return big::native_invoker::invoke<4723, false, void>(player, amount, gaitType, speed, p4, p5, p6); }
	FORCEINLINE constexpr void RESET_PLAYER_INPUT_GAIT(Player player) { return big::native_invoker::invoke<4724, false, void>(player); }
	FORCEINLINE constexpr void SET_AUTO_GIVE_PARACHUTE_WHEN_ENTER_PLANE(Player player, BOOL toggle) { return big::native_invoker::invoke<4725, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_AUTO_GIVE_SCUBA_GEAR_WHEN_EXIT_VEHICLE(Player player, BOOL toggle) { return big::native_invoker::invoke<4726, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_STEALTH_PERCEPTION_MODIFIER(Player player, float value) { return big::native_invoker::invoke<4727, false, void>(player, value); }
	FORCEINLINE constexpr BOOL IS_REMOTE_PLAYER_IN_NON_CLONED_VEHICLE(Player player) { return big::native_invoker::invoke<4728, false, BOOL>(player); }
	FORCEINLINE constexpr void INCREASE_PLAYER_JUMP_SUPPRESSION_RANGE(Player player) { return big::native_invoker::invoke<4729, false, void>(player); }
	FORCEINLINE constexpr void SET_PLAYER_SIMULATE_AIMING(Player player, BOOL toggle) { return big::native_invoker::invoke<4730, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_CLOTH_PIN_FRAMES(Player player, int p1) { return big::native_invoker::invoke<4731, false, void>(player, p1); }
	FORCEINLINE constexpr void SET_PLAYER_CLOTH_PACKAGE_INDEX(int index) { return big::native_invoker::invoke<4732, false, void>(index); }
	FORCEINLINE constexpr void SET_PLAYER_CLOTH_LOCK_COUNTER(int value) { return big::native_invoker::invoke<4733, false, void>(value); }
	FORCEINLINE constexpr void PLAYER_ATTACH_VIRTUAL_BOUND(float p0, float p1, float p2, float p3, float p4, float p5, float p6, float p7) { return big::native_invoker::invoke<4734, false, void>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr void PLAYER_DETACH_VIRTUAL_BOUND() { return big::native_invoker::invoke<4735, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_PLAYER_BEEN_SPOTTED_IN_STOLEN_VEHICLE(Player player) { return big::native_invoker::invoke<4736, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL IS_PLAYER_BATTLE_AWARE(Player player) { return big::native_invoker::invoke<4737, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL GET_PLAYER_RECEIVED_BATTLE_EVENT_RECENTLY(Player player, int p1, BOOL p2) { return big::native_invoker::invoke<4738, false, BOOL>(player, p1, p2); }
	FORCEINLINE constexpr void EXTEND_WORLD_BOUNDARY_FOR_PLAYER(float x, float y, float z) { return big::native_invoker::invoke<4739, false, void>(x, y, z); }
	FORCEINLINE constexpr void RESET_WORLD_BOUNDARY_FOR_PLAYER() { return big::native_invoker::invoke<4740, false, void>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_RIDING_TRAIN(Player player) { return big::native_invoker::invoke<4741, false, BOOL>(player); }
	FORCEINLINE constexpr BOOL HAS_PLAYER_LEFT_THE_WORLD(Player player) { return big::native_invoker::invoke<4742, false, BOOL>(player); }
	FORCEINLINE constexpr void SET_PLAYER_LEAVE_PED_BEHIND(Player player, BOOL toggle) { return big::native_invoker::invoke<4743, false, void>(player, toggle); }
	FORCEINLINE constexpr void SET_PLAYER_PARACHUTE_VARIATION_OVERRIDE(Player player, int p1, Any p2, Any p3, BOOL p4) { return big::native_invoker::invoke<4744, false, void>(player, p1, p2, p3, p4); }
	FORCEINLINE constexpr void CLEAR_PLAYER_PARACHUTE_VARIATION_OVERRIDE(Player player) { return big::native_invoker::invoke<4745, false, void>(player); }
	FORCEINLINE constexpr void SET_PLAYER_PARACHUTE_MODEL_OVERRIDE(Player player, Hash model) { return big::native_invoker::invoke<4746, false, void>(player, model); }
	FORCEINLINE constexpr void SET_PLAYER_RESERVE_PARACHUTE_MODEL_OVERRIDE(Player player, Hash model) { return big::native_invoker::invoke<4747, false, void>(player, model); }
	FORCEINLINE constexpr Hash GET_PLAYER_PARACHUTE_MODEL_OVERRIDE(Player player) { return big::native_invoker::invoke<4748, false, Hash>(player); }
	FORCEINLINE constexpr Hash GET_PLAYER_RESERVE_PARACHUTE_MODEL_OVERRIDE(Player player) { return big::native_invoker::invoke<4749, false, Hash>(player); }
	FORCEINLINE constexpr void CLEAR_PLAYER_PARACHUTE_MODEL_OVERRIDE(Player player) { return big::native_invoker::invoke<4750, false, void>(player); }
	FORCEINLINE constexpr void CLEAR_PLAYER_RESERVE_PARACHUTE_MODEL_OVERRIDE(Player player) { return big::native_invoker::invoke<4751, false, void>(player); }
	FORCEINLINE constexpr void SET_PLAYER_PARACHUTE_PACK_MODEL_OVERRIDE(Player player, Hash model) { return big::native_invoker::invoke<4752, false, void>(player, model); }
	FORCEINLINE constexpr void CLEAR_PLAYER_PARACHUTE_PACK_MODEL_OVERRIDE(Player player) { return big::native_invoker::invoke<4753, false, void>(player); }
	FORCEINLINE constexpr void DISABLE_PLAYER_VEHICLE_REWARDS(Player player) { return big::native_invoker::invoke<4754, false, void>(player); }
	FORCEINLINE constexpr void SET_PLAYER_SPECTATED_VEHICLE_RADIO_OVERRIDE(BOOL p0) { return big::native_invoker::invoke<4755, false, void>(p0); }
	FORCEINLINE constexpr void SET_PLAYER_BLUETOOTH_STATE(Player player, BOOL state) { return big::native_invoker::invoke<4756, false, void>(player, state); }
	FORCEINLINE constexpr BOOL IS_PLAYER_BLUETOOTH_ENABLE(Player player) { return big::native_invoker::invoke<4757, false, BOOL>(player); }
	FORCEINLINE constexpr void DISABLE_CAMERA_VIEW_MODE_CYCLE(Player player) { return big::native_invoker::invoke<4758, false, void>(player); }
	FORCEINLINE constexpr int GET_PLAYER_FAKE_WANTED_LEVEL(Player player) { return big::native_invoker::invoke<4759, false, int>(player); }
	FORCEINLINE constexpr void SET_PLAYER_CAN_DAMAGE_PLAYER(Player player1, Player player2, BOOL toggle) { return big::native_invoker::invoke<4760, false, void>(player1, player2, toggle); }
	FORCEINLINE constexpr void SET_APPLY_WAYPOINT_OF_PLAYER(Player player, int hudColor) { return big::native_invoker::invoke<4761, false, void>(player, hudColor); }
	FORCEINLINE constexpr BOOL IS_PLAYER_VEHICLE_WEAPON_TOGGLED_TO_NON_HOMING(Any p0) { return big::native_invoker::invoke<4762, false, BOOL>(p0); }
	FORCEINLINE constexpr void SET_PLAYER_VEHICLE_WEAPON_TO_NON_HOMING(Any p0) { return big::native_invoker::invoke<4763, false, void>(p0); }
	FORCEINLINE constexpr void SET_PLAYER_HOMING_DISABLED_FOR_ALL_VEHICLE_WEAPONS(Any p0, Any p1) { return big::native_invoker::invoke<4764, false, void>(p0, p1); }
	FORCEINLINE constexpr void ADD_PLAYER_TARGETABLE_ENTITY(Player player, Entity entity) { return big::native_invoker::invoke<4765, false, void>(player, entity); }
	FORCEINLINE constexpr void REMOVE_PLAYER_TARGETABLE_ENTITY(Player player, Entity entity) { return big::native_invoker::invoke<4766, false, void>(player, entity); }
	FORCEINLINE constexpr void SET_PLAYER_PREVIOUS_VARIATION_DATA(Player player, int p1, int p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<4767, false, void>(player, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void REMOVE_SCRIPT_FIRE_POSITION() { return big::native_invoker::invoke<4768, false, void>(); }
	FORCEINLINE constexpr void SET_SCRIPT_FIRE_POSITION(float coordX, float coordY, float coordZ) { return big::native_invoker::invoke<4769, false, void>(coordX, coordY, coordZ); }
}

namespace RECORDING
{
	FORCEINLINE constexpr void REPLAY_START_EVENT(int p0) { return big::native_invoker::invoke<4770, false, void>(p0); }
	FORCEINLINE constexpr void REPLAY_STOP_EVENT() { return big::native_invoker::invoke<4771, false, void>(); }
	FORCEINLINE constexpr void REPLAY_CANCEL_EVENT() { return big::native_invoker::invoke<4772, false, void>(); }
	FORCEINLINE constexpr void REPLAY_RECORD_BACK_FOR_TIME(float p0, float p1, int p2) { return big::native_invoker::invoke<4773, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void REPLAY_CHECK_FOR_EVENT_THIS_FRAME(const char* missionNameLabel, Any p1) { return big::native_invoker::invoke<4774, false, void>(missionNameLabel, p1); }
	FORCEINLINE constexpr void REPLAY_PREVENT_RECORDING_THIS_FRAME() { return big::native_invoker::invoke<4775, false, void>(); }
	FORCEINLINE constexpr void REPLAY_RESET_EVENT_INFO() { return big::native_invoker::invoke<4776, false, void>(); }
	FORCEINLINE constexpr void REPLAY_DISABLE_CAMERA_MOVEMENT_THIS_FRAME() { return big::native_invoker::invoke<4777, false, void>(); }
	FORCEINLINE constexpr void RECORD_GREATEST_MOMENT(int p0, int p1, int p2) { return big::native_invoker::invoke<4778, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void START_REPLAY_RECORDING(int mode) { return big::native_invoker::invoke<4779, false, void>(mode); }
	FORCEINLINE constexpr void STOP_REPLAY_RECORDING() { return big::native_invoker::invoke<4780, false, void>(); }
	FORCEINLINE constexpr void CANCEL_REPLAY_RECORDING() { return big::native_invoker::invoke<4781, false, void>(); }
	FORCEINLINE constexpr BOOL SAVE_REPLAY_RECORDING() { return big::native_invoker::invoke<4782, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_REPLAY_RECORDING() { return big::native_invoker::invoke<4783, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_REPLAY_INITIALIZED() { return big::native_invoker::invoke<4784, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_REPLAY_AVAILABLE() { return big::native_invoker::invoke<4785, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_REPLAY_RECORD_SPACE_AVAILABLE(BOOL p0) { return big::native_invoker::invoke<4786, false, BOOL>(p0); }
}

namespace REPLAY
{
	FORCEINLINE constexpr void REGISTER_EFFECT_FOR_REPLAY_EDITOR(const char* p0, BOOL p1) { return big::native_invoker::invoke<4787, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL REPLAY_SYSTEM_HAS_REQUESTED_A_SCRIPT_CLEANUP() { return big::native_invoker::invoke<4788, false, BOOL>(); }
	FORCEINLINE constexpr void SET_SCRIPTS_HAVE_CLEANED_UP_FOR_REPLAY_SYSTEM() { return big::native_invoker::invoke<4789, false, void>(); }
	FORCEINLINE constexpr void SET_REPLAY_SYSTEM_PAUSED_FOR_SAVE(BOOL p0) { return big::native_invoker::invoke<4790, false, void>(p0); }
	FORCEINLINE constexpr void REPLAY_CONTROL_SHUTDOWN() { return big::native_invoker::invoke<4791, false, void>(); }
	FORCEINLINE constexpr void ACTIVATE_ROCKSTAR_EDITOR(int p0) { return big::native_invoker::invoke<4792, false, void>(p0); }
}

namespace SAVEMIGRATION
{
	FORCEINLINE constexpr BOOL SAVEMIGRATION_IS_MP_ENABLED() { return big::native_invoker::invoke<4793, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SAVEMIGRATION_MP_REQUEST_ACCOUNTS() { return big::native_invoker::invoke<4794, false, BOOL>(); }
	FORCEINLINE constexpr int SAVEMIGRATION_MP_GET_ACCOUNTS_STATUS() { return big::native_invoker::invoke<4795, false, int>(); }
	FORCEINLINE constexpr int SAVEMIGRATION_MP_NUM_ACCOUNTS() { return big::native_invoker::invoke<4796, false, int>(); }
	FORCEINLINE constexpr BOOL SAVEMIGRATION_MP_GET_ACCOUNT(int p0, Any* p1) { return big::native_invoker::invoke<4797, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SAVEMIGRATION_MP_REQUEST_STATUS() { return big::native_invoker::invoke<4798, false, BOOL>(); }
	FORCEINLINE constexpr int SAVEMIGRATION_MP_GET_STATUS() { return big::native_invoker::invoke<4799, false, int>(); }
}

namespace SCRIPT
{
	FORCEINLINE constexpr void REQUEST_SCRIPT(const char* scriptName) { return big::native_invoker::invoke<4800, false, void>(scriptName); }
	FORCEINLINE constexpr void SET_SCRIPT_AS_NO_LONGER_NEEDED(const char* scriptName) { return big::native_invoker::invoke<4801, false, void>(scriptName); }
	FORCEINLINE constexpr BOOL HAS_SCRIPT_LOADED(const char* scriptName) { return big::native_invoker::invoke<4802, false, BOOL>(scriptName); }
	FORCEINLINE constexpr BOOL DOES_SCRIPT_EXIST(const char* scriptName) { return big::native_invoker::invoke<4803, false, BOOL>(scriptName); }
	FORCEINLINE constexpr void REQUEST_SCRIPT_WITH_NAME_HASH(Hash scriptHash) { return big::native_invoker::invoke<4804, false, void>(scriptHash); }
	FORCEINLINE constexpr void SET_SCRIPT_WITH_NAME_HASH_AS_NO_LONGER_NEEDED(Hash scriptHash) { return big::native_invoker::invoke<4805, false, void>(scriptHash); }
	FORCEINLINE constexpr BOOL HAS_SCRIPT_WITH_NAME_HASH_LOADED(Hash scriptHash) { return big::native_invoker::invoke<4806, false, BOOL>(scriptHash); }
	FORCEINLINE constexpr BOOL DOES_SCRIPT_WITH_NAME_HASH_EXIST(Hash scriptHash) { return big::native_invoker::invoke<4807, false, BOOL>(scriptHash); }
	FORCEINLINE constexpr void TERMINATE_THREAD(int threadId) { return big::native_invoker::invoke<4808, false, void>(threadId); }
	FORCEINLINE constexpr BOOL IS_THREAD_ACTIVE(int threadId) { return big::native_invoker::invoke<4809, false, BOOL>(threadId); }
	FORCEINLINE constexpr const char* GET_NAME_OF_SCRIPT_WITH_THIS_ID(int threadId) { return big::native_invoker::invoke<4810, false, const char*>(threadId); }
	FORCEINLINE constexpr void SCRIPT_THREAD_ITERATOR_RESET() { return big::native_invoker::invoke<4811, false, void>(); }
	FORCEINLINE constexpr int SCRIPT_THREAD_ITERATOR_GET_NEXT_THREAD_ID() { return big::native_invoker::invoke<4812, false, int>(); }
	FORCEINLINE constexpr int GET_ID_OF_THIS_THREAD() { return big::native_invoker::invoke<4813, false, int>(); }
	FORCEINLINE constexpr void TERMINATE_THIS_THREAD() { return big::native_invoker::invoke<4814, false, void>(); }
	FORCEINLINE constexpr int GET_NUMBER_OF_THREADS_RUNNING_THE_SCRIPT_WITH_THIS_HASH(Hash scriptHash) { return big::native_invoker::invoke<4815, false, int>(scriptHash); }
	FORCEINLINE constexpr const char* GET_THIS_SCRIPT_NAME() { return big::native_invoker::invoke<4816, false, const char*>(); }
	FORCEINLINE constexpr Hash GET_HASH_OF_THIS_SCRIPT_NAME() { return big::native_invoker::invoke<4817, false, Hash>(); }
	FORCEINLINE constexpr int GET_NUMBER_OF_EVENTS(int eventGroup) { return big::native_invoker::invoke<4818, false, int>(eventGroup); }
	FORCEINLINE constexpr BOOL GET_EVENT_EXISTS(int eventGroup, int eventIndex) { return big::native_invoker::invoke<4819, false, BOOL>(eventGroup, eventIndex); }
	FORCEINLINE constexpr int GET_EVENT_AT_INDEX(int eventGroup, int eventIndex) { return big::native_invoker::invoke<4820, false, int>(eventGroup, eventIndex); }
	FORCEINLINE constexpr BOOL GET_EVENT_DATA(int eventGroup, int eventIndex, Any* eventData, int eventDataSize) { return big::native_invoker::invoke<4821, false, BOOL>(eventGroup, eventIndex, eventData, eventDataSize); }
	FORCEINLINE constexpr void TRIGGER_SCRIPT_EVENT(int eventGroup, Any* eventData, int eventDataSize, int playerBits) { return big::native_invoker::invoke<4822, false, void>(eventGroup, eventData, eventDataSize, playerBits); }
	FORCEINLINE constexpr void SHUTDOWN_LOADING_SCREEN() { return big::native_invoker::invoke<4823, false, void>(); }
	FORCEINLINE constexpr void SET_NO_LOADING_SCREEN(BOOL toggle) { return big::native_invoker::invoke<4824, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_NO_LOADING_SCREEN() { return big::native_invoker::invoke<4825, false, BOOL>(); }
	FORCEINLINE constexpr void COMMIT_TO_LOADINGSCREEN_SELCTION() { return big::native_invoker::invoke<4826, false, void>(); }
	FORCEINLINE constexpr BOOL BG_IS_EXITFLAG_SET() { return big::native_invoker::invoke<4827, false, BOOL>(); }
	FORCEINLINE constexpr void BG_SET_EXITFLAG_RESPONSE() { return big::native_invoker::invoke<4828, false, void>(); }
	FORCEINLINE constexpr void BG_START_CONTEXT_HASH(Hash contextHash) { return big::native_invoker::invoke<4829, false, void>(contextHash); }
	FORCEINLINE constexpr void BG_END_CONTEXT_HASH(Hash contextHash) { return big::native_invoker::invoke<4830, false, void>(contextHash); }
	FORCEINLINE constexpr void BG_START_CONTEXT(const char* contextName) { return big::native_invoker::invoke<4831, false, void>(contextName); }
	FORCEINLINE constexpr void BG_END_CONTEXT(const char* contextName) { return big::native_invoker::invoke<4832, false, void>(contextName); }
	FORCEINLINE constexpr BOOL BG_DOES_LAUNCH_PARAM_EXIST(int scriptIndex, const char* p1) { return big::native_invoker::invoke<4833, false, BOOL>(scriptIndex, p1); }
	FORCEINLINE constexpr int BG_GET_LAUNCH_PARAM_VALUE(int scriptIndex, const char* p1) { return big::native_invoker::invoke<4834, false, int>(scriptIndex, p1); }
	FORCEINLINE constexpr int BG_GET_SCRIPT_ID_FROM_NAME_HASH(Hash p0) { return big::native_invoker::invoke<4835, false, int>(p0); }
	FORCEINLINE constexpr void _SEND_TU_SCRIPT_EVENT_NEW(int eventGroup, Any* eventData, int eventDataSize, int playerBits, Hash eventType) { return big::native_invoker::invoke<4836, false, void>(eventGroup, eventData, eventDataSize, playerBits, eventType); }
}

namespace SECURITY
{
	FORCEINLINE constexpr void REGISTER_SCRIPT_VARIABLE(Any* variable) { return big::native_invoker::invoke<4837, false, void>(variable); }
	FORCEINLINE constexpr void UNREGISTER_SCRIPT_VARIABLE(Any* variable) { return big::native_invoker::invoke<4838, false, void>(variable); }
	FORCEINLINE constexpr void FORCE_CHECK_SCRIPT_VARIABLES() { return big::native_invoker::invoke<4839, false, void>(); }
}

namespace SHAPETEST
{
	FORCEINLINE constexpr int START_SHAPE_TEST_LOS_PROBE(float x1, float y1, float z1, float x2, float y2, float z2, int flags, Entity entity, int p8) { return big::native_invoker::invoke<4840, false, int>(x1, y1, z1, x2, y2, z2, flags, entity, p8); }
	FORCEINLINE constexpr int START_EXPENSIVE_SYNCHRONOUS_SHAPE_TEST_LOS_PROBE(float x1, float y1, float z1, float x2, float y2, float z2, int flags, Entity entity, int p8) { return big::native_invoker::invoke<4841, false, int>(x1, y1, z1, x2, y2, z2, flags, entity, p8); }
	FORCEINLINE constexpr int START_SHAPE_TEST_BOUNDING_BOX(Entity entity, int flags1, int flags2) { return big::native_invoker::invoke<4842, false, int>(entity, flags1, flags2); }
	FORCEINLINE constexpr int START_SHAPE_TEST_BOX(float x, float y, float z, float dimX, float dimY, float dimZ, float rotX, float rotY, float rotZ, Any p9, int flags, Entity entity, Any p12) { return big::native_invoker::invoke<4843, false, int>(x, y, z, dimX, dimY, dimZ, rotX, rotY, rotZ, p9, flags, entity, p12); }
	FORCEINLINE constexpr int START_SHAPE_TEST_BOUND(Entity entity, int flags1, int flags2) { return big::native_invoker::invoke<4844, false, int>(entity, flags1, flags2); }
	FORCEINLINE constexpr int START_SHAPE_TEST_CAPSULE(float x1, float y1, float z1, float x2, float y2, float z2, float radius, int flags, Entity entity, int p9) { return big::native_invoker::invoke<4845, false, int>(x1, y1, z1, x2, y2, z2, radius, flags, entity, p9); }
	FORCEINLINE constexpr int START_SHAPE_TEST_SWEPT_SPHERE(float x1, float y1, float z1, float x2, float y2, float z2, float radius, int flags, Entity entity, Any p9) { return big::native_invoker::invoke<4846, false, int>(x1, y1, z1, x2, y2, z2, radius, flags, entity, p9); }
	FORCEINLINE constexpr int START_SHAPE_TEST_MOUSE_CURSOR_LOS_PROBE(Vector3* pVec1, Vector3* pVec2, int flag, Entity entity, int flag2) { return big::native_invoker::invoke<4847, true, int>(pVec1, pVec2, flag, entity, flag2); }
	FORCEINLINE constexpr int GET_SHAPE_TEST_RESULT(int shapeTestHandle, BOOL* hit, Vector3* endCoords, Vector3* surfaceNormal, Entity* entityHit) { return big::native_invoker::invoke<4848, true, int>(shapeTestHandle, hit, endCoords, surfaceNormal, entityHit); }
	FORCEINLINE constexpr int GET_SHAPE_TEST_RESULT_INCLUDING_MATERIAL(int shapeTestHandle, BOOL* hit, Vector3* endCoords, Vector3* surfaceNormal, Hash* materialHash, Entity* entityHit) { return big::native_invoker::invoke<4849, true, int>(shapeTestHandle, hit, endCoords, surfaceNormal, materialHash, entityHit); }
	FORCEINLINE constexpr void RELEASE_SCRIPT_GUID_FROM_ENTITY(Entity entityHit) { return big::native_invoker::invoke<4850, false, void>(entityHit); }
}

namespace SOCIALCLUB
{
	FORCEINLINE constexpr int SC_INBOX_GET_TOTAL_NUM_MESSAGES() { return big::native_invoker::invoke<4851, false, int>(); }
	FORCEINLINE constexpr Hash SC_INBOX_GET_MESSAGE_TYPE_AT_INDEX(int msgIndex) { return big::native_invoker::invoke<4852, false, Hash>(msgIndex); }
	FORCEINLINE constexpr BOOL SC_INBOX_GET_MESSAGE_IS_READ_AT_INDEX(int msgIndex) { return big::native_invoker::invoke<4853, false, BOOL>(msgIndex); }
	FORCEINLINE constexpr BOOL SC_INBOX_SET_MESSAGE_AS_READ_AT_INDEX(int msgIndex) { return big::native_invoker::invoke<4854, false, BOOL>(msgIndex); }
	FORCEINLINE constexpr BOOL SC_INBOX_MESSAGE_GET_DATA_INT(int p0, const char* context, int* out) { return big::native_invoker::invoke<4855, false, BOOL>(p0, context, out); }
	FORCEINLINE constexpr BOOL SC_INBOX_MESSAGE_GET_DATA_BOOL(int p0, const char* p1) { return big::native_invoker::invoke<4856, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_INBOX_MESSAGE_GET_DATA_STRING(int p0, const char* context, char* out) { return big::native_invoker::invoke<4857, false, BOOL>(p0, context, out); }
	FORCEINLINE constexpr BOOL SC_INBOX_MESSAGE_DO_APPLY(int p0) { return big::native_invoker::invoke<4858, false, BOOL>(p0); }
	FORCEINLINE constexpr const char* SC_INBOX_MESSAGE_GET_RAW_TYPE_AT_INDEX(int p0) { return big::native_invoker::invoke<4859, false, const char*>(p0); }
	FORCEINLINE constexpr void SC_INBOX_MESSAGE_PUSH_GAMER_T0_RECIP_LIST(Any* gamerHandle) { return big::native_invoker::invoke<4860, false, void>(gamerHandle); }
	FORCEINLINE constexpr void SC_INBOX_SEND_UGCSTATUPDATE_TO_RECIP_LIST(Any* data) { return big::native_invoker::invoke<4861, false, void>(data); }
	FORCEINLINE constexpr BOOL SC_INBOX_MESSAGE_GET_UGCDATA(int p0, Any* p1) { return big::native_invoker::invoke<4862, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_INBOX_GET_BOUNTY_DATA_AT_INDEX(int index, Any* outData) { return big::native_invoker::invoke<4863, false, BOOL>(index, outData); }
	FORCEINLINE constexpr void SC_EMAIL_RETRIEVE_EMAILS(int offset, int limit) { return big::native_invoker::invoke<4864, false, void>(offset, limit); }
	FORCEINLINE constexpr int SC_EMAIL_GET_RETRIEVAL_STATUS() { return big::native_invoker::invoke<4865, false, int>(); }
	FORCEINLINE constexpr int SC_EMAIL_GET_NUM_RETRIEVED_EMAILS() { return big::native_invoker::invoke<4866, false, int>(); }
	FORCEINLINE constexpr BOOL SC_EMAIL_GET_EMAIL_AT_INDEX(int p0, Any* p1) { return big::native_invoker::invoke<4867, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void _SC_EMAIL_MARKETING_EMAIL_OPENED(int index) { return big::native_invoker::invoke<4868, false, void>(index); }
	FORCEINLINE constexpr void SC_EMAIL_DELETE_EMAILS(Any* p0, Any p1) { return big::native_invoker::invoke<4869, false, void>(p0, p1); }
	FORCEINLINE constexpr void SC_EMAIL_MESSAGE_PUSH_GAMER_TO_RECIP_LIST(Any* gamerHandle) { return big::native_invoker::invoke<4870, false, void>(gamerHandle); }
	FORCEINLINE constexpr void SC_EMAIL_MESSAGE_CLEAR_RECIP_LIST() { return big::native_invoker::invoke<4871, false, void>(); }
	FORCEINLINE constexpr void SC_EMAIL_SEND_EMAIL(const char* p0) { return big::native_invoker::invoke<4872, false, void>(p0); }
	FORCEINLINE constexpr BOOL SC_EMAIL_SET_CURRENT_EMAIL_TAG(Any p0) { return big::native_invoker::invoke<4873, false, BOOL>(p0); }
	FORCEINLINE constexpr void SC_CACHE_NEW_ROCKSTAR_MSGS(BOOL toggle) { return big::native_invoker::invoke<4874, false, void>(toggle); }
	FORCEINLINE constexpr BOOL SC_HAS_NEW_ROCKSTAR_MSG() { return big::native_invoker::invoke<4875, false, BOOL>(); }
	FORCEINLINE constexpr const char* SC_GET_NEW_ROCKSTAR_MSG() { return big::native_invoker::invoke<4876, false, const char*>(); }
	FORCEINLINE constexpr BOOL SC_PRESENCE_ATTR_SET_INT(Hash attrHash, int value) { return big::native_invoker::invoke<4877, false, BOOL>(attrHash, value); }
	FORCEINLINE constexpr BOOL SC_PRESENCE_ATTR_SET_FLOAT(Hash attrHash, float value) { return big::native_invoker::invoke<4878, false, BOOL>(attrHash, value); }
	FORCEINLINE constexpr BOOL SC_PRESENCE_ATTR_SET_STRING(Hash attrHash, const char* value) { return big::native_invoker::invoke<4879, false, BOOL>(attrHash, value); }
	FORCEINLINE constexpr BOOL SC_PRESENCE_SET_ACTIVITY_RATING(Any p0, float p1) { return big::native_invoker::invoke<4880, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_GAMERDATA_GET_INT(const char* name, int* value) { return big::native_invoker::invoke<4881, false, BOOL>(name, value); }
	FORCEINLINE constexpr BOOL SC_GAMERDATA_GET_FLOAT(const char* name, float* value) { return big::native_invoker::invoke<4882, false, BOOL>(name, value); }
	FORCEINLINE constexpr BOOL SC_GAMERDATA_GET_BOOL(const char* name) { return big::native_invoker::invoke<4883, false, BOOL>(name); }
	FORCEINLINE constexpr BOOL SC_GAMERDATA_GET_STRING(const char* name, char* value) { return big::native_invoker::invoke<4884, false, BOOL>(name, value); }
	FORCEINLINE constexpr BOOL SC_GAMERDATA_GET_ACTIVE_XP_BONUS(float* value) { return big::native_invoker::invoke<4885, false, BOOL>(value); }
	FORCEINLINE constexpr BOOL SC_PROFANITY_CHECK_STRING(const char* string, int* token) { return big::native_invoker::invoke<4886, false, BOOL>(string, token); }
	FORCEINLINE constexpr BOOL SC_PROFANITY_CHECK_STRING_UGC(const char* string, int* token) { return big::native_invoker::invoke<4887, false, BOOL>(string, token); }
	FORCEINLINE constexpr BOOL SC_PROFANITY_GET_CHECK_IS_VALID(int token) { return big::native_invoker::invoke<4888, false, BOOL>(token); }
	FORCEINLINE constexpr BOOL SC_PROFANITY_GET_CHECK_IS_PENDING(int token) { return big::native_invoker::invoke<4889, false, BOOL>(token); }
	FORCEINLINE constexpr BOOL SC_PROFANITY_GET_STRING_PASSED(int token) { return big::native_invoker::invoke<4890, false, BOOL>(token); }
	FORCEINLINE constexpr int SC_PROFANITY_GET_STRING_STATUS(int token) { return big::native_invoker::invoke<4891, false, int>(token); }
	FORCEINLINE constexpr BOOL SC_PROFANITY_GET_PROFANE_WORD(int token, char* outProfaneWord) { return big::native_invoker::invoke<4892, false, BOOL>(token, outProfaneWord); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_CHECK_STRING(const char* p0, int* p1) { return big::native_invoker::invoke<4893, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_GET_CHECK_IS_VALID(Any p0) { return big::native_invoker::invoke<4894, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_GET_CHECK_IS_PENDING(Any p0) { return big::native_invoker::invoke<4895, false, BOOL>(p0); }
	FORCEINLINE constexpr int SC_LICENSEPLATE_GET_COUNT(int token) { return big::native_invoker::invoke<4896, false, int>(token); }
	FORCEINLINE constexpr const char* SC_LICENSEPLATE_GET_PLATE(int token, int plateIndex) { return big::native_invoker::invoke<4897, false, const char*>(token, plateIndex); }
	FORCEINLINE constexpr const char* SC_LICENSEPLATE_GET_PLATE_DATA(int token, int plateIndex) { return big::native_invoker::invoke<4898, false, const char*>(token, plateIndex); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_SET_PLATE_DATA(const char* oldPlateText, const char* newPlateText, Any* plateData) { return big::native_invoker::invoke<4899, false, BOOL>(oldPlateText, newPlateText, plateData); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_ADD(const char* plateText, Any* plateData, int* token) { return big::native_invoker::invoke<4900, false, BOOL>(plateText, plateData, token); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_GET_ADD_IS_PENDING(int token) { return big::native_invoker::invoke<4901, false, BOOL>(token); }
	FORCEINLINE constexpr int SC_LICENSEPLATE_GET_ADD_STATUS(int token) { return big::native_invoker::invoke<4902, false, int>(token); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_ISVALID(const char* plateText, int* token) { return big::native_invoker::invoke<4903, false, BOOL>(plateText, token); }
	FORCEINLINE constexpr BOOL SC_LICENSEPLATE_GET_ISVALID_IS_PENDING(int token) { return big::native_invoker::invoke<4904, false, BOOL>(token); }
	FORCEINLINE constexpr int SC_LICENSEPLATE_GET_ISVALID_STATUS(int token) { return big::native_invoker::invoke<4905, false, int>(token); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_IS_ACTIVE() { return big::native_invoker::invoke<4906, false, BOOL>(); }
	FORCEINLINE constexpr int SC_COMMUNITY_EVENT_GET_EVENT_ID() { return big::native_invoker::invoke<4907, false, int>(); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_INT(const char* p0, int* p1) { return big::native_invoker::invoke<4908, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_FLOAT(const char* p0, float* p1) { return big::native_invoker::invoke<4909, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_STRING(const char* p0, char* p1) { return big::native_invoker::invoke<4910, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_DISPLAY_NAME(char* p0) { return big::native_invoker::invoke<4911, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_IS_ACTIVE_FOR_TYPE(const char* p0) { return big::native_invoker::invoke<4912, false, BOOL>(p0); }
	FORCEINLINE constexpr int SC_COMMUNITY_EVENT_GET_EVENT_ID_FOR_TYPE(const char* p0) { return big::native_invoker::invoke<4913, false, int>(p0); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_INT_FOR_TYPE(const char* p0, int* p1, const char* p2) { return big::native_invoker::invoke<4914, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_FLOAT_FOR_TYPE(const char* p0, float* p1, const char* p2) { return big::native_invoker::invoke<4915, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_STRING_FOR_TYPE(const char* p0, char* p1, const char* p2) { return big::native_invoker::invoke<4916, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_DISPLAY_NAME_FOR_TYPE(char* p0, const char* p1) { return big::native_invoker::invoke<4917, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_IS_ACTIVE_BY_ID(int p0) { return big::native_invoker::invoke<4918, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_INT_BY_ID(int p0, const char* p1, int* p2) { return big::native_invoker::invoke<4919, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_FLOAT_BY_ID(int p0, const char* p1, float* p2) { return big::native_invoker::invoke<4920, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_EXTRA_DATA_STRING_BY_ID(int p0, const char* p1, char* p2) { return big::native_invoker::invoke<4921, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL SC_COMMUNITY_EVENT_GET_DISPLAY_NAME_BY_ID(int p0, char* p1) { return big::native_invoker::invoke<4922, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_TRANSITION_NEWS_SHOW(Any p0) { return big::native_invoker::invoke<4923, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SC_TRANSITION_NEWS_SHOW_TIMED(Any p0, Any p1) { return big::native_invoker::invoke<4924, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL SC_TRANSITION_NEWS_SHOW_NEXT_ITEM() { return big::native_invoker::invoke<4925, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SC_TRANSITION_NEWS_HAS_EXTRA_DATA_TU() { return big::native_invoker::invoke<4926, false, BOOL>(); }
	FORCEINLINE constexpr BOOL SC_TRANSITION_NEWS_GET_EXTRA_DATA_INT_TU(const char* p0, int* p1) { return big::native_invoker::invoke<4927, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void SC_TRANSITION_NEWS_END() { return big::native_invoker::invoke<4928, false, void>(); }
	FORCEINLINE constexpr BOOL SC_PAUSE_NEWS_INIT_STARTER_PACK(Any p0) { return big::native_invoker::invoke<4929, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SC_PAUSE_NEWS_GET_PENDING_STORY(Any p0) { return big::native_invoker::invoke<4930, false, BOOL>(p0); }
	FORCEINLINE constexpr void SC_PAUSE_NEWS_SHUTDOWN() { return big::native_invoker::invoke<4931, false, void>(); }
	FORCEINLINE constexpr const char* SC_ACCOUNT_INFO_GET_NICKNAME() { return big::native_invoker::invoke<4932, false, const char*>(); }
	FORCEINLINE constexpr BOOL SC_ACHIEVEMENT_INFO_STATUS(int* p0) { return big::native_invoker::invoke<4933, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SC_HAS_ACHIEVEMENT_BEEN_PASSED(int achievementId) { return big::native_invoker::invoke<4934, false, BOOL>(achievementId); }
}

namespace STATS
{
	FORCEINLINE constexpr BOOL STAT_CLEAR_SLOT_FOR_RELOAD(int statSlot) { return big::native_invoker::invoke<4935, false, BOOL>(statSlot); }
	FORCEINLINE constexpr BOOL STAT_LOAD(int statSlot) { return big::native_invoker::invoke<4936, false, BOOL>(statSlot); }
	FORCEINLINE constexpr BOOL STAT_SAVE(int p0, BOOL p1, int p2, BOOL p3) { return big::native_invoker::invoke<4937, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void STAT_SET_OPEN_SAVETYPE_IN_JOB(int p0) { return big::native_invoker::invoke<4938, false, void>(p0); }
	FORCEINLINE constexpr BOOL STAT_LOAD_PENDING(int statSlot) { return big::native_invoker::invoke<4939, false, BOOL>(statSlot); }
	FORCEINLINE constexpr BOOL STAT_SAVE_PENDING() { return big::native_invoker::invoke<4940, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_SAVE_PENDING_OR_REQUESTED() { return big::native_invoker::invoke<4941, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_DELETE_SLOT(int p0) { return big::native_invoker::invoke<4942, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL STAT_SLOT_IS_LOADED(int statSlot) { return big::native_invoker::invoke<4943, false, BOOL>(statSlot); }
	FORCEINLINE constexpr BOOL STAT_CLOUD_SLOT_LOAD_FAILED(int p0) { return big::native_invoker::invoke<4944, false, BOOL>(p0); }
	FORCEINLINE constexpr int STAT_CLOUD_SLOT_LOAD_FAILED_CODE(Any p0) { return big::native_invoker::invoke<4945, false, int>(p0); }
	FORCEINLINE constexpr void STAT_SET_BLOCK_SAVES(BOOL toggle) { return big::native_invoker::invoke<4946, false, void>(toggle); }
	FORCEINLINE constexpr BOOL STAT_GET_BLOCK_SAVES() { return big::native_invoker::invoke<4947, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_CLOUD_SLOT_SAVE_FAILED(Any p0) { return big::native_invoker::invoke<4948, false, BOOL>(p0); }
	FORCEINLINE constexpr void STAT_CLEAR_PENDING_SAVES(Any p0) { return big::native_invoker::invoke<4949, false, void>(p0); }
	FORCEINLINE constexpr BOOL STAT_LOAD_DIRTY_READ_DETECTED() { return big::native_invoker::invoke<4950, false, BOOL>(); }
	FORCEINLINE constexpr void STAT_CLEAR_DIRTY_READ_DETECTED() { return big::native_invoker::invoke<4951, false, void>(); }
	FORCEINLINE constexpr BOOL STAT_GET_LOAD_SAFE_TO_PROGRESS_TO_MP_FROM_SP() { return big::native_invoker::invoke<4952, false, BOOL>(); }
	FORCEINLINE constexpr Hash _GET_STAT_HASH_FOR_CHARACTER_STAT(int dataType, int statIndex, int charSlot) { return big::native_invoker::invoke<4953, false, Hash>(dataType, statIndex, charSlot); }
	FORCEINLINE constexpr BOOL STAT_SET_INT(Hash statName, int value, BOOL save) { return big::native_invoker::invoke<4954, false, BOOL>(statName, value, save); }
	FORCEINLINE constexpr BOOL STAT_SET_FLOAT(Hash statName, float value, BOOL save) { return big::native_invoker::invoke<4955, false, BOOL>(statName, value, save); }
	FORCEINLINE constexpr BOOL STAT_SET_BOOL(Hash statName, BOOL value, BOOL save) { return big::native_invoker::invoke<4956, false, BOOL>(statName, value, save); }
	FORCEINLINE constexpr BOOL STAT_SET_GXT_LABEL(Hash statName, const char* value, BOOL save) { return big::native_invoker::invoke<4957, false, BOOL>(statName, value, save); }
	FORCEINLINE constexpr BOOL STAT_SET_DATE(Hash statName, Any* value, int numFields, BOOL save) { return big::native_invoker::invoke<4958, false, BOOL>(statName, value, numFields, save); }
	FORCEINLINE constexpr BOOL STAT_SET_STRING(Hash statName, const char* value, BOOL save) { return big::native_invoker::invoke<4959, false, BOOL>(statName, value, save); }
	FORCEINLINE constexpr BOOL STAT_SET_POS(Hash statName, float x, float y, float z, BOOL save) { return big::native_invoker::invoke<4960, false, BOOL>(statName, x, y, z, save); }
	FORCEINLINE constexpr BOOL STAT_SET_MASKED_INT(Hash statName, int p1, int p2, int p3, BOOL save) { return big::native_invoker::invoke<4961, false, BOOL>(statName, p1, p2, p3, save); }
	FORCEINLINE constexpr BOOL STAT_SET_USER_ID(Hash statName, const char* value, BOOL save) { return big::native_invoker::invoke<4962, false, BOOL>(statName, value, save); }
	FORCEINLINE constexpr BOOL STAT_SET_CURRENT_POSIX_TIME(Hash statName, BOOL p1) { return big::native_invoker::invoke<4963, false, BOOL>(statName, p1); }
	FORCEINLINE constexpr BOOL STAT_GET_INT(Hash statHash, int* outValue, int p2) { return big::native_invoker::invoke<4964, false, BOOL>(statHash, outValue, p2); }
	FORCEINLINE constexpr BOOL STAT_GET_FLOAT(Hash statHash, float* outValue, Any p2) { return big::native_invoker::invoke<4965, false, BOOL>(statHash, outValue, p2); }
	FORCEINLINE constexpr BOOL STAT_GET_BOOL(Hash statHash, BOOL* outValue, Any p2) { return big::native_invoker::invoke<4966, false, BOOL>(statHash, outValue, p2); }
	FORCEINLINE constexpr BOOL STAT_GET_DATE(Hash statHash, Any* outValue, int numFields, Any p3) { return big::native_invoker::invoke<4967, false, BOOL>(statHash, outValue, numFields, p3); }
	FORCEINLINE constexpr const char* STAT_GET_STRING(Hash statHash, int p1) { return big::native_invoker::invoke<4968, false, const char*>(statHash, p1); }
	FORCEINLINE constexpr BOOL STAT_GET_POS(Hash statName, float* outX, float* outY, float* outZ, Any p4) { return big::native_invoker::invoke<4969, false, BOOL>(statName, outX, outY, outZ, p4); }
	FORCEINLINE constexpr BOOL STAT_GET_MASKED_INT(Hash statHash, int* outValue, int p2, int p3, Any p4) { return big::native_invoker::invoke<4970, false, BOOL>(statHash, outValue, p2, p3, p4); }
	FORCEINLINE constexpr const char* STAT_GET_USER_ID(Hash statHash) { return big::native_invoker::invoke<4971, false, const char*>(statHash); }
	FORCEINLINE constexpr const char* STAT_GET_LICENSE_PLATE(Hash statName) { return big::native_invoker::invoke<4972, false, const char*>(statName); }
	FORCEINLINE constexpr BOOL STAT_SET_LICENSE_PLATE(Hash statName, const char* str) { return big::native_invoker::invoke<4973, false, BOOL>(statName, str); }
	FORCEINLINE constexpr void STAT_INCREMENT(Hash statName, float value) { return big::native_invoker::invoke<4974, false, void>(statName, value); }
	FORCEINLINE constexpr BOOL STAT_COMMUNITY_START_SYNCH() { return big::native_invoker::invoke<4975, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_COMMUNITY_SYNCH_IS_PENDING() { return big::native_invoker::invoke<4976, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_COMMUNITY_GET_HISTORY(Hash statName, int p1, float* outValue) { return big::native_invoker::invoke<4977, false, BOOL>(statName, p1, outValue); }
	FORCEINLINE constexpr void STAT_RESET_ALL_ONLINE_CHARACTER_STATS(int p0) { return big::native_invoker::invoke<4978, false, void>(p0); }
	FORCEINLINE constexpr void STAT_LOCAL_RESET_ALL_ONLINE_CHARACTER_STATS(int p0) { return big::native_invoker::invoke<4979, false, void>(p0); }
	FORCEINLINE constexpr int STAT_GET_NUMBER_OF_DAYS(Hash statName) { return big::native_invoker::invoke<4980, false, int>(statName); }
	FORCEINLINE constexpr int STAT_GET_NUMBER_OF_HOURS(Hash statName) { return big::native_invoker::invoke<4981, false, int>(statName); }
	FORCEINLINE constexpr int STAT_GET_NUMBER_OF_MINUTES(Hash statName) { return big::native_invoker::invoke<4982, false, int>(statName); }
	FORCEINLINE constexpr int STAT_GET_NUMBER_OF_SECONDS(Hash statName) { return big::native_invoker::invoke<4983, false, int>(statName); }
	FORCEINLINE constexpr void STAT_SET_PROFILE_SETTING_VALUE(int profileSetting, int value) { return big::native_invoker::invoke<4984, false, void>(profileSetting, value); }
	FORCEINLINE constexpr void STATS_COMPLETED_CHARACTER_CREATION(Any p0) { return big::native_invoker::invoke<4985, false, void>(p0); }
	FORCEINLINE constexpr int PACKED_STAT_GET_INT_STAT_INDEX(int p0) { return big::native_invoker::invoke<4986, false, int>(p0); }
	FORCEINLINE constexpr Hash GET_PACKED_INT_STAT_KEY(int index, BOOL spStat, BOOL charStat, int character) { return big::native_invoker::invoke<4987, false, Hash>(index, spStat, charStat, character); }
	FORCEINLINE constexpr Hash GET_PACKED_TU_INT_STAT_KEY(int index, BOOL spStat, BOOL charStat, int character) { return big::native_invoker::invoke<4988, false, Hash>(index, spStat, charStat, character); }
	FORCEINLINE constexpr Hash GET_PACKED_NG_INT_STAT_KEY(int index, BOOL spStat, BOOL charStat, int character, const char* section) { return big::native_invoker::invoke<4989, false, Hash>(index, spStat, charStat, character, section); }
	FORCEINLINE constexpr BOOL GET_PACKED_STAT_BOOL_CODE(int index, int characterSlot) { return big::native_invoker::invoke<4990, false, BOOL>(index, characterSlot); }
	FORCEINLINE constexpr int GET_PACKED_STAT_INT_CODE(int index, int characterSlot) { return big::native_invoker::invoke<4991, false, int>(index, characterSlot); }
	FORCEINLINE constexpr void SET_PACKED_STAT_BOOL_CODE(int index, BOOL value, int characterSlot) { return big::native_invoker::invoke<4992, false, void>(index, value, characterSlot); }
	FORCEINLINE constexpr void SET_PACKED_STAT_INT_CODE(int index, int value, int characterSlot) { return big::native_invoker::invoke<4993, false, void>(index, value, characterSlot); }
	FORCEINLINE constexpr void PLAYSTATS_BACKGROUND_SCRIPT_ACTION(const char* action, int value) { return big::native_invoker::invoke<4994, false, void>(action, value); }
	FORCEINLINE constexpr void _PLAYSTATS_FLOW_LOW(float posX, float posY, float posZ, const char* action, BOOL p4, int p5) { return big::native_invoker::invoke<4995, false, void>(posX, posY, posZ, action, p4, p5); }
	FORCEINLINE constexpr void _PLAYSTATS_FLOW_MEDIUM(float posX, float posY, float posZ, const char* action, BOOL p4, int p5) { return big::native_invoker::invoke<4996, false, void>(posX, posY, posZ, action, p4, p5); }
	FORCEINLINE constexpr void PLAYSTATS_NPC_INVITE(const char* p0) { return big::native_invoker::invoke<4997, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_AWARD_XP(int amount, Hash type, Hash category) { return big::native_invoker::invoke<4998, false, void>(amount, type, category); }
	FORCEINLINE constexpr void PLAYSTATS_RANK_UP(int rank) { return big::native_invoker::invoke<4999, false, void>(rank); }
	FORCEINLINE constexpr void PLAYSTATS_STARTED_SESSION_IN_OFFLINEMODE() { return big::native_invoker::invoke<5000, false, void>(); }
	FORCEINLINE constexpr void PLAYSTATS_ACTIVITY_DONE(int p0, int activityId, Any p2) { return big::native_invoker::invoke<5001, false, void>(p0, activityId, p2); }
	FORCEINLINE constexpr void PLAYSTATS_LEAVE_JOB_CHAIN(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5002, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_MISSION_STARTED(const char* p0, Any p1, Any p2, BOOL p3) { return big::native_invoker::invoke<5003, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_MISSION_OVER(const char* p0, Any p1, Any p2, BOOL p3, BOOL p4, BOOL p5) { return big::native_invoker::invoke<5004, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void PLAYSTATS_MISSION_CHECKPOINT(const char* p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5005, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_RANDOM_MISSION_DONE(const char* name, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5006, false, void>(name, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_ROS_BET(int amount, int act, Player player, float cm) { return big::native_invoker::invoke<5007, false, void>(amount, act, player, cm); }
	FORCEINLINE constexpr void PLAYSTATS_RACE_CHECKPOINT(Vehicle p0, Any p1, int p2, int p3, Any p4) { return big::native_invoker::invoke<5008, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr BOOL PLAYSTATS_CREATE_MATCH_HISTORY_ID_2(int* playerAccountId, int* posixTime) { return big::native_invoker::invoke<5009, false, BOOL>(playerAccountId, posixTime); }
	FORCEINLINE constexpr void PLAYSTATS_MATCH_STARTED(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5010, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void PLAYSTATS_SHOP_ITEM(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5011, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_CRATE_DROP_MISSION_DONE(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7) { return big::native_invoker::invoke<5012, false, void>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr void PLAYSTATS_CRATE_CREATED(float p0, float p1, float p2) { return big::native_invoker::invoke<5013, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void PLAYSTATS_HOLD_UP_MISSION_DONE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5014, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_IMPORT_EXPORT_MISSION_DONE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5015, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_RACE_TO_POINT_MISSION_DONE(int p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5016, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_ACQUIRED_HIDDEN_PACKAGE(Any p0) { return big::native_invoker::invoke<5017, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_WEBSITE_VISITED(Hash scaleformHash, int p1) { return big::native_invoker::invoke<5018, false, void>(scaleformHash, p1); }
	FORCEINLINE constexpr void PLAYSTATS_FRIEND_ACTIVITY(int p0, BOOL p1) { return big::native_invoker::invoke<5019, false, void>(p0, p1); }
	FORCEINLINE constexpr void PLAYSTATS_ODDJOB_DONE(int totalTimeMs, int p1, BOOL p2) { return big::native_invoker::invoke<5020, false, void>(totalTimeMs, p1, p2); }
	FORCEINLINE constexpr void PLAYSTATS_PROP_CHANGE(Ped p0, int p1, int p2, int p3) { return big::native_invoker::invoke<5021, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_CLOTH_CHANGE(Ped p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5022, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_WEAPON_MODE_CHANGE(Hash weaponHash, Hash componentHashTo, Hash componentHashFrom) { return big::native_invoker::invoke<5023, false, void>(weaponHash, componentHashTo, componentHashFrom); }
	FORCEINLINE constexpr void PLAYSTATS_CHEAT_APPLIED(const char* cheat) { return big::native_invoker::invoke<5024, false, void>(cheat); }
	FORCEINLINE constexpr void PLAYSTATS_JOB_ACTIVITY_END(Any* p0, Any* p1, Any* p2, Any* p3) { return big::native_invoker::invoke<5025, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_JOB_BEND(Any* p0, Any* p1, Any* p2, Any* p3) { return big::native_invoker::invoke<5026, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_JOB_LTS_END(Any* p0, Any* p1, Any* p2, Any* p3) { return big::native_invoker::invoke<5027, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_JOB_LTS_ROUND_END(Any* p0, Any* p1, Any* p2, Any* p3) { return big::native_invoker::invoke<5028, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_QUICKFIX_TOOL(int element, const char* item) { return big::native_invoker::invoke<5029, false, void>(element, item); }
	FORCEINLINE constexpr void PLAYSTATS_IDLE_KICK(int msStoodIdle) { return big::native_invoker::invoke<5030, false, void>(msStoodIdle); }
	FORCEINLINE constexpr void PLAYSTATS_SET_JOIN_TYPE(int joinType) { return big::native_invoker::invoke<5031, false, void>(joinType); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST_SAVE_CHEAT(Hash hash, int p1) { return big::native_invoker::invoke<5032, false, void>(hash, p1); }
	FORCEINLINE constexpr void PLAYSTATS_APPEND_DIRECTOR_METRIC(Any* p0) { return big::native_invoker::invoke<5033, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_AWARD_BAD_SPORT(int id) { return big::native_invoker::invoke<5034, false, void>(id); }
	FORCEINLINE constexpr void PLAYSTATS_PEGASUS_AS_PERSONAL_AIRCRAFT(Hash modelHash) { return big::native_invoker::invoke<5035, false, void>(modelHash); }
	FORCEINLINE constexpr void _PLAYSTATS_SHOPMENU_NAV(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5036, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_CHALLENGES(Any p0) { return big::native_invoker::invoke<5037, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_VEHICLETARGET(Any p0) { return big::native_invoker::invoke<5038, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_URBANWARFARE(Any p0) { return big::native_invoker::invoke<5039, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_CHECKPOINTCOLLECTION(Any p0) { return big::native_invoker::invoke<5040, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_ATOB(Any p0) { return big::native_invoker::invoke<5041, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_PENNEDIN(Any p0) { return big::native_invoker::invoke<5042, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_PASSTHEPARCEL(Any p0) { return big::native_invoker::invoke<5043, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_HOTPROPERTY(Any p0) { return big::native_invoker::invoke<5044, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_DEADDROP(Any p0) { return big::native_invoker::invoke<5045, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_KINGOFTHECASTLE(Any p0) { return big::native_invoker::invoke<5046, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_CRIMINALDAMAGE(Any p0) { return big::native_invoker::invoke<5047, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_COMPETITIVEURBANWARFARE(Any p0) { return big::native_invoker::invoke<5048, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_EVENT_HUNTBEAST(Any p0) { return big::native_invoker::invoke<5049, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_PIMENU_HIDE_OPTIONS(Any* data) { return big::native_invoker::invoke<5050, false, void>(data); }
	FORCEINLINE constexpr void _PLAYSTATS_NAMED_USER_CONTENT(BOOL isBoss, int bossType, int bossId1, int bossId2, int textType, const char* textString, int textSource) { return big::native_invoker::invoke<5051, false, void>(isBoss, bossType, bossId1, bossId2, textType, textString, textSource); }
	FORCEINLINE constexpr int LEADERBOARDS_GET_NUMBER_OF_COLUMNS(int p0, Any p1) { return big::native_invoker::invoke<5052, false, int>(p0, p1); }
	FORCEINLINE constexpr int LEADERBOARDS_GET_COLUMN_ID(int p0, int p1, int p2) { return big::native_invoker::invoke<5053, false, int>(p0, p1, p2); }
	FORCEINLINE constexpr int LEADERBOARDS_GET_COLUMN_TYPE(int p0, Any p1, Any p2) { return big::native_invoker::invoke<5054, false, int>(p0, p1, p2); }
	FORCEINLINE constexpr int LEADERBOARDS_READ_CLEAR_ALL() { return big::native_invoker::invoke<5055, false, int>(); }
	FORCEINLINE constexpr int LEADERBOARDS_READ_CLEAR(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5056, false, int>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS_READ_PENDING(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5057, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS_READ_ANY_PENDING() { return big::native_invoker::invoke<5058, false, BOOL>(); }
	FORCEINLINE constexpr BOOL LEADERBOARDS_READ_SUCCESSFUL(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5059, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_FRIENDS_BY_ROW(Any* p0, Any* p1, Any p2, BOOL p3, Any p4, Any p5) { return big::native_invoker::invoke<5060, false, BOOL>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_BY_HANDLE(Any* p0, Any* p1) { return big::native_invoker::invoke<5061, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_BY_RANK(Any* p0, Any p1, Any p2) { return big::native_invoker::invoke<5062, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_BY_RADIUS(Any* p0, Any p1, Any* p2) { return big::native_invoker::invoke<5063, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_BY_SCORE_INT(Any* p0, Any p1, Any p2) { return big::native_invoker::invoke<5064, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_BY_SCORE_FLOAT(Any* p0, float p1, Any p2) { return big::native_invoker::invoke<5065, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_RANK_PREDICTION(Any* p0, Any* p1, Any* p2) { return big::native_invoker::invoke<5066, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_BY_PLAFORM(Any* p0, const char* gamerHandleCsv, const char* platformName) { return big::native_invoker::invoke<5067, false, BOOL>(p0, gamerHandleCsv, platformName); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_GET_ROW_DATA_START(Any* p0) { return big::native_invoker::invoke<5068, false, BOOL>(p0); }
	FORCEINLINE constexpr void LEADERBOARDS2_READ_GET_ROW_DATA_END() { return big::native_invoker::invoke<5069, false, void>(); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_READ_GET_ROW_DATA_INFO(Any p0, Any* p1) { return big::native_invoker::invoke<5070, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr int LEADERBOARDS2_READ_GET_ROW_DATA_INT(Any p0, Any p1) { return big::native_invoker::invoke<5071, false, int>(p0, p1); }
	FORCEINLINE constexpr float LEADERBOARDS2_READ_GET_ROW_DATA_FLOAT(Any p0, Any p1) { return big::native_invoker::invoke<5072, false, float>(p0, p1); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_WRITE_DATA(Any* p0) { return big::native_invoker::invoke<5073, false, BOOL>(p0); }
	FORCEINLINE constexpr void LEADERBOARDS_WRITE_ADD_COLUMN(Any p0, Any p1, float p2) { return big::native_invoker::invoke<5074, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void LEADERBOARDS_WRITE_ADD_COLUMN_LONG(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5075, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr BOOL LEADERBOARDS_CACHE_DATA_ROW(Any* p0) { return big::native_invoker::invoke<5076, false, BOOL>(p0); }
	FORCEINLINE constexpr void LEADERBOARDS_CLEAR_CACHE_DATA() { return big::native_invoker::invoke<5077, false, void>(); }
	FORCEINLINE constexpr void LEADERBOARDS_CLEAR_CACHE_DATA_ID(Any p0) { return big::native_invoker::invoke<5078, false, void>(p0); }
	FORCEINLINE constexpr BOOL LEADERBOARDS_GET_CACHE_EXISTS(Any p0) { return big::native_invoker::invoke<5079, false, BOOL>(p0); }
	FORCEINLINE constexpr int LEADERBOARDS_GET_CACHE_TIME(Any p0) { return big::native_invoker::invoke<5080, false, int>(p0); }
	FORCEINLINE constexpr int LEADERBOARDS_GET_CACHE_NUMBER_OF_ROWS(Any p0) { return big::native_invoker::invoke<5081, false, int>(p0); }
	FORCEINLINE constexpr BOOL LEADERBOARDS_GET_CACHE_DATA_ROW(Any p0, Any p1, Any* p2) { return big::native_invoker::invoke<5082, false, BOOL>(p0, p1, p2); }
	FORCEINLINE constexpr void PRESENCE_EVENT_UPDATESTAT_INT(Hash statHash, int value, int p2) { return big::native_invoker::invoke<5083, false, void>(statHash, value, p2); }
	FORCEINLINE constexpr void PRESENCE_EVENT_UPDATESTAT_FLOAT(Hash statHash, float value, int p2) { return big::native_invoker::invoke<5084, false, void>(statHash, value, p2); }
	FORCEINLINE constexpr void PRESENCE_EVENT_UPDATESTAT_INT_WITH_STRING(Hash statHash, int value, int p2, const char* string) { return big::native_invoker::invoke<5085, false, void>(statHash, value, p2, string); }
	FORCEINLINE constexpr BOOL GET_PLAYER_HAS_DRIVEN_ALL_VEHICLES() { return big::native_invoker::invoke<5086, false, BOOL>(); }
	FORCEINLINE constexpr void SET_HAS_POSTED_ALL_VEHICLES_DRIVEN() { return big::native_invoker::invoke<5087, false, void>(); }
	FORCEINLINE constexpr void SET_PROFILE_SETTING_PROLOGUE_COMPLETE() { return big::native_invoker::invoke<5088, false, void>(); }
	FORCEINLINE constexpr void SET_PROFILE_SETTING_SP_CHOP_MISSION_COMPLETE() { return big::native_invoker::invoke<5089, false, void>(); }
	FORCEINLINE constexpr void SET_PROFILE_SETTING_CREATOR_RACES_DONE(int value) { return big::native_invoker::invoke<5090, false, void>(value); }
	FORCEINLINE constexpr void SET_PROFILE_SETTING_CREATOR_DM_DONE(int value) { return big::native_invoker::invoke<5091, false, void>(value); }
	FORCEINLINE constexpr void SET_PROFILE_SETTING_CREATOR_CTF_DONE(int value) { return big::native_invoker::invoke<5092, false, void>(value); }
	FORCEINLINE constexpr void SET_JOB_ACTIVITY_ID_STARTED(Any p0, int characterSlot) { return big::native_invoker::invoke<5093, false, void>(p0, characterSlot); }
	FORCEINLINE constexpr void SET_FREEMODE_PROLOGUE_DONE(Any p0, int characterSlot) { return big::native_invoker::invoke<5094, false, void>(p0, characterSlot); }
	FORCEINLINE constexpr void SET_FREEMODE_STRAND_PROGRESSION_STATUS(int profileSetting, int settingValue) { return big::native_invoker::invoke<5095, false, void>(profileSetting, settingValue); }
	FORCEINLINE constexpr void STAT_NETWORK_INCREMENT_ON_SUICIDE(Any p0, float p1) { return big::native_invoker::invoke<5096, false, void>(p0, p1); }
	FORCEINLINE constexpr void STAT_SET_CHEAT_IS_ACTIVE() { return big::native_invoker::invoke<5097, false, void>(); }
	FORCEINLINE constexpr BOOL LEADERBOARDS2_WRITE_DATA_FOR_EVENT_TYPE(Any* p0, Any* p1) { return big::native_invoker::invoke<5098, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void FORCE_CLOUD_MP_STATS_DOWNLOAD_AND_OVERWRITE_LOCAL_SAVE() { return big::native_invoker::invoke<5099, false, void>(); }
	FORCEINLINE constexpr void STAT_MIGRATE_CLEAR_FOR_RESTART() { return big::native_invoker::invoke<5100, false, void>(); }
	FORCEINLINE constexpr BOOL STAT_MIGRATE_SAVEGAME_START(const char* platformName) { return big::native_invoker::invoke<5101, false, BOOL>(platformName); }
	FORCEINLINE constexpr int STAT_MIGRATE_SAVEGAME_GET_STATUS() { return big::native_invoker::invoke<5102, false, int>(); }
	FORCEINLINE constexpr BOOL STAT_MIGRATE_CHECK_ALREADY_DONE() { return big::native_invoker::invoke<5103, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_MIGRATE_CHECK_START() { return big::native_invoker::invoke<5104, false, BOOL>(); }
	FORCEINLINE constexpr int STAT_MIGRATE_CHECK_GET_IS_PLATFORM_AVAILABLE(int p0) { return big::native_invoker::invoke<5105, false, int>(p0); }
	FORCEINLINE constexpr int STAT_MIGRATE_CHECK_GET_PLATFORM_STATUS(int p0, Any* p1) { return big::native_invoker::invoke<5106, false, int>(p0, p1); }
	FORCEINLINE constexpr int STAT_GET_SAVE_MIGRATION_STATUS(Any* data) { return big::native_invoker::invoke<5107, false, int>(data); }
	FORCEINLINE constexpr BOOL STAT_SAVE_MIGRATION_CANCEL_PENDING_OPERATION() { return big::native_invoker::invoke<5108, false, BOOL>(); }
	FORCEINLINE constexpr int STAT_GET_CANCEL_SAVE_MIGRATION_STATUS() { return big::native_invoker::invoke<5109, false, int>(); }
	FORCEINLINE constexpr BOOL STAT_SAVE_MIGRATION_CONSUME_CONTENT(Hash contentId, const char* srcPlatform, const char* srcGamerHandle) { return big::native_invoker::invoke<5110, false, BOOL>(contentId, srcPlatform, srcGamerHandle); }
	FORCEINLINE constexpr int STAT_GET_SAVE_MIGRATION_CONSUME_CONTENT_STATUS(int* p0) { return big::native_invoker::invoke<5111, false, int>(p0); }
	FORCEINLINE constexpr void STAT_ENABLE_STATS_TRACKING() { return big::native_invoker::invoke<5112, false, void>(); }
	FORCEINLINE constexpr void STAT_DISABLE_STATS_TRACKING() { return big::native_invoker::invoke<5113, false, void>(); }
	FORCEINLINE constexpr BOOL STAT_IS_STATS_TRACKING_ENABLED() { return big::native_invoker::invoke<5114, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_START_RECORD_STAT(int statType, int valueType) { return big::native_invoker::invoke<5115, false, BOOL>(statType, valueType); }
	FORCEINLINE constexpr BOOL STAT_STOP_RECORD_STAT() { return big::native_invoker::invoke<5116, false, BOOL>(); }
	FORCEINLINE constexpr BOOL STAT_GET_RECORDED_VALUE(float* value) { return big::native_invoker::invoke<5117, false, BOOL>(value); }
	FORCEINLINE constexpr BOOL STAT_IS_RECORDING_STAT() { return big::native_invoker::invoke<5118, false, BOOL>(); }
	FORCEINLINE constexpr int STAT_GET_CURRENT_NEAR_MISS_NOCRASH_PRECISE() { return big::native_invoker::invoke<5119, false, int>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_REAR_WHEEL_DISTANCE() { return big::native_invoker::invoke<5120, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_FRONT_WHEEL_DISTANCE() { return big::native_invoker::invoke<5121, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_JUMP_DISTANCE() { return big::native_invoker::invoke<5122, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_DRIVE_NOCRASH_DISTANCE() { return big::native_invoker::invoke<5123, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_SPEED() { return big::native_invoker::invoke<5124, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_DRIVING_REVERSE_DISTANCE() { return big::native_invoker::invoke<5125, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CURRENT_SKYDIVING_DISTANCE() { return big::native_invoker::invoke<5126, false, float>(); }
	FORCEINLINE constexpr float STAT_GET_CHALLENGE_FLYING_DIST() { return big::native_invoker::invoke<5127, false, float>(); }
	FORCEINLINE constexpr BOOL STAT_GET_FLYING_ALTITUDE(float* outValue) { return big::native_invoker::invoke<5128, false, BOOL>(outValue); }
	FORCEINLINE constexpr BOOL STAT_IS_PLAYER_VEHICLE_ABOVE_OCEAN() { return big::native_invoker::invoke<5129, false, BOOL>(); }
	FORCEINLINE constexpr float STAT_GET_VEHICLE_BAIL_DISTANCE() { return big::native_invoker::invoke<5130, false, float>(); }
	FORCEINLINE constexpr BOOL STAT_ROLLBACK_SAVE_MIGRATION() { return big::native_invoker::invoke<5131, false, BOOL>(); }
	FORCEINLINE constexpr void SET_HAS_SPECIALEDITION_CONTENT(int value) { return big::native_invoker::invoke<5132, false, void>(value); }
	FORCEINLINE constexpr void SET_SAVE_MIGRATION_TRANSACTION_ID_WARNING(int transactionId) { return big::native_invoker::invoke<5133, false, void>(transactionId); }
	FORCEINLINE constexpr void GET_BOSS_GOON_UUID(int characterSlot, Any p1, Any p2) { return big::native_invoker::invoke<5134, false, void>(characterSlot, p1, p2); }
	FORCEINLINE constexpr void PLAYSTATS_BW_BOSSONBOSSDEATHMATCH(Any p0) { return big::native_invoker::invoke<5135, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_YATCHATTACK(Any p0) { return big::native_invoker::invoke<5136, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_HUNT_THE_BOSS(Any p0) { return big::native_invoker::invoke<5137, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_SIGHTSEER(Any p0) { return big::native_invoker::invoke<5138, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_ASSAULT(Any p0) { return big::native_invoker::invoke<5139, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_BELLY_OF_THE_BEAST(Any p0) { return big::native_invoker::invoke<5140, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_HEAD_HUNTER(Any p0) { return big::native_invoker::invoke<5141, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_FRAGILE_GOODS(Any p0) { return big::native_invoker::invoke<5142, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BW_AIR_FREIGHT(Any p0) { return big::native_invoker::invoke<5143, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_CAR_JACKING(Any p0) { return big::native_invoker::invoke<5144, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_SMASH_AND_GRAB(Any p0) { return big::native_invoker::invoke<5145, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_PROTECTION_RACKET(Any p0) { return big::native_invoker::invoke<5146, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_MOST_WANTED(Any p0) { return big::native_invoker::invoke<5147, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_FINDERS_KEEPERS(Any p0) { return big::native_invoker::invoke<5148, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_POINT_TO_POINT(Any p0) { return big::native_invoker::invoke<5149, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_CASHING(Any p0) { return big::native_invoker::invoke<5150, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BC_SALVAGE(Any p0) { return big::native_invoker::invoke<5151, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_SPENT_PI_CUSTOM_LOADOUT(int amount) { return big::native_invoker::invoke<5152, false, void>(amount); }
	FORCEINLINE constexpr void PLAYSTATS_BUY_CONTRABAND_MISSION(Any* data) { return big::native_invoker::invoke<5153, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_SELL_CONTRABAND_MISSION(Any* data) { return big::native_invoker::invoke<5154, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_DEFEND_CONTRABAND_MISSION(Any* data) { return big::native_invoker::invoke<5155, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_RECOVER_CONTRABAND_MISSION(Any* data) { return big::native_invoker::invoke<5156, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_HIT_CONTRABAND_DESTROY_LIMIT(Any p0) { return big::native_invoker::invoke<5157, false, void>(p0); }
	FORCEINLINE constexpr void START_BEING_BOSS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5158, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void START_BEING_GOON(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5159, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void END_BEING_BOSS(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5160, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void END_BEING_GOON(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5161, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void HIRED_LIMO(Any p0, Any p1) { return big::native_invoker::invoke<5162, false, void>(p0, p1); }
	FORCEINLINE constexpr void ORDER_BOSS_VEHICLE(Any p0, Any p1, Hash vehicleHash) { return big::native_invoker::invoke<5163, false, void>(p0, p1, vehicleHash); }
	FORCEINLINE constexpr void CHANGE_UNIFORM(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5164, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void CHANGE_GOON_LOOKING_FOR_WORK(Any p0) { return big::native_invoker::invoke<5165, false, void>(p0); }
	FORCEINLINE constexpr void SEND_METRIC_GHOSTING_TO_PLAYER(Any p0) { return big::native_invoker::invoke<5166, false, void>(p0); }
	FORCEINLINE constexpr void SEND_METRIC_VIP_POACH(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5167, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void SEND_METRIC_PUNISH_BODYGUARD(Any p0) { return big::native_invoker::invoke<5168, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_START_TRACKING_STUNTS() { return big::native_invoker::invoke<5169, false, void>(); }
	FORCEINLINE constexpr void PLAYSTATS_STOP_TRACKING_STUNTS() { return big::native_invoker::invoke<5170, false, void>(); }
	FORCEINLINE constexpr void PLAYSTATS_MISSION_ENDED(Any p0) { return big::native_invoker::invoke<5171, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_IMPEXP_MISSION_ENDED(Any p0) { return big::native_invoker::invoke<5172, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CHANGE_MC_ROLE(Any p0, Any p1, Any p2, Any p3, int role, int p5, Any p6) { return big::native_invoker::invoke<5173, false, void>(p0, p1, p2, p3, role, p5, p6); }
	FORCEINLINE constexpr void PLAYSTATS_CHANGE_MC_OUTFIT(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5174, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_SWITCH_MC_EMBLEM(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5175, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_MC_REQUEST_BIKE(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5176, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_MC_KILLED_RIVAL_MC_MEMBER(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5177, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_ABANDONED_MC(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5178, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_EARNED_MC_POINTS(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<5179, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void PLAYSTATS_MC_FORMATION_ENDS(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<5180, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void PLAYSTATS_MC_CLUBHOUSE_ACTIVITY(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7) { return big::native_invoker::invoke<5181, false, void>(p0, p1, p2, p3, p4, p5, p6, p7); }
	FORCEINLINE constexpr void PLAYSTATS_RIVAL_BEHAVIOR(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9) { return big::native_invoker::invoke<5182, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr void PLAYSTATS_COPY_RANK_INTO_NEW_SLOT(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<5183, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void PLAYSTATS_DUPE_DETECTED(Any* data) { return big::native_invoker::invoke<5184, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_BAN_ALERT(int p0) { return big::native_invoker::invoke<5185, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_GUNRUNNING_MISSION_ENDED(Any* data) { return big::native_invoker::invoke<5186, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_GUNRUNNING_RND(Any p0) { return big::native_invoker::invoke<5187, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_BUSINESS_BATTLE_ENDED(Any p0) { return big::native_invoker::invoke<5188, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_WAREHOUSE_MISSION_ENDED(Any p0) { return big::native_invoker::invoke<5189, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_NIGHTCLUB_MISSION_ENDED(Any p0) { return big::native_invoker::invoke<5190, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_DJ_USAGE(Any p0, Any p1) { return big::native_invoker::invoke<5191, false, void>(p0, p1); }
	FORCEINLINE constexpr void PLAYSTATS_MINIGAME_USAGE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5192, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void PLAYSTATS_STONE_HATCHET_ENDED(Any* data) { return big::native_invoker::invoke<5193, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_SMUGGLER_MISSION_ENDED(Any* data) { return big::native_invoker::invoke<5194, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_FM_HEIST_PREP_ENDED(Any* data) { return big::native_invoker::invoke<5195, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_INSTANCED_HEIST_ENDED(Any* data, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5196, false, void>(data, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_DAR_CHECKPOINT(Any* data) { return big::native_invoker::invoke<5197, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_ENTER_SESSION_PACK(Any* data) { return big::native_invoker::invoke<5198, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_DRONE_USAGE(int p0, int p1, int p2) { return big::native_invoker::invoke<5199, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void PLAYSTATS_SPIN_WHEEL(int p0, int p1, int p2, int p3) { return big::native_invoker::invoke<5200, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_ARENA_WARS_SPECTATOR(int p0, int p1, int p2, int p3, int p4) { return big::native_invoker::invoke<5201, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_ARENA_WARS_ENDED(Any* data) { return big::native_invoker::invoke<5202, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_SWITCH_PASSIVE_MODE(BOOL p0, int p1, int p2, int p3) { return big::native_invoker::invoke<5203, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_COLLECTIBLE_PICKED_UP(int p0, Hash objectHash, Any p2, Any p3, int moneyAmount, int rpAmount, int chipsAmount, Any p7, int p8, Any p9, Any p10) { return big::native_invoker::invoke<5204, false, void>(p0, objectHash, p2, p3, moneyAmount, rpAmount, chipsAmount, p7, p8, p9, p10); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_STORY_MISSION_ENDED(Any p0, Any p1) { return big::native_invoker::invoke<5205, false, void>(p0, p1); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_CHIP(Any p0) { return big::native_invoker::invoke<5206, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_ROULETTE(Any p0) { return big::native_invoker::invoke<5207, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_BLACKJACK(Any p0) { return big::native_invoker::invoke<5208, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_THREE_CARD_POKER(Any p0) { return big::native_invoker::invoke<5209, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_SLOT_MACHINE(Any p0) { return big::native_invoker::invoke<5210, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_INSIDE_TRACK(Any p0) { return big::native_invoker::invoke<5211, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_LUCKY_SEVEN(Any p0) { return big::native_invoker::invoke<5212, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_ROULETTE_LIGHT(Any p0) { return big::native_invoker::invoke<5213, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_BLACKJACK_LIGHT(Any p0) { return big::native_invoker::invoke<5214, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_THREE_CARD_POKER_LIGHT(Any p0) { return big::native_invoker::invoke<5215, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_SLOT_MACHINE_LIGHT(Any p0) { return big::native_invoker::invoke<5216, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CASINO_INSIDE_TRACK_LIGHT(Any p0) { return big::native_invoker::invoke<5217, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_ARCADE_GAME(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6) { return big::native_invoker::invoke<5218, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void PLAYSTATS_ARCADE_LOVE_MATCH(Any p0, Any p1) { return big::native_invoker::invoke<5219, false, void>(p0, p1); }
	FORCEINLINE constexpr void PLAYSTATS_FREEMODE_CASINO_MISSION_ENDED(Any* data) { return big::native_invoker::invoke<5220, false, void>(data); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST3_DRONE(Any p0) { return big::native_invoker::invoke<5221, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST3_HACK(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<5222, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void PLAYSTATS_NPC_PHONE(Any* p0) { return big::native_invoker::invoke<5223, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_ARCADE_CABINET(Any p0) { return big::native_invoker::invoke<5224, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST3_FINALE(Any p0) { return big::native_invoker::invoke<5225, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST3_PREP(Any p0) { return big::native_invoker::invoke<5226, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_MASTER_CONTROL(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5227, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_QUIT_MODE(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5228, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_MISSION_VOTE(Any p0) { return big::native_invoker::invoke<5229, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_NJVS_VOTE(Any p0) { return big::native_invoker::invoke<5230, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_FM_MISSION_END(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5231, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST4_PREP(Any p0) { return big::native_invoker::invoke<5232, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST4_FINALE(Any p0) { return big::native_invoker::invoke<5233, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_HEIST4_HACK(Any p0, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<5234, false, void>(p0, p1, p2, p3, p4); }
	FORCEINLINE constexpr void PLAYSTATS_SUB_WEAP(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5235, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_FAST_TRVL(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8, Any p9, Any p10) { return big::native_invoker::invoke<5236, false, void>(p0, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10); }
	FORCEINLINE constexpr void PLAYSTATS_HUB_ENTRY(Any p0) { return big::native_invoker::invoke<5237, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_DJ_MISSION_ENDED(Any p0) { return big::native_invoker::invoke<5238, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_ROBBERY_PREP(Any p0) { return big::native_invoker::invoke<5239, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_ROBBERY_FINALE(Any p0) { return big::native_invoker::invoke<5240, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_EXTRA_EVENT(Any p0) { return big::native_invoker::invoke<5241, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CARCLUB_POINTS(Any p0) { return big::native_invoker::invoke<5242, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_CARCLUB_CHALLENGE(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5243, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_CARCLUB_PRIZE(int p0, Hash vehicleModel) { return big::native_invoker::invoke<5244, false, void>(p0, vehicleModel); }
	FORCEINLINE constexpr void PLAYSTATS_AWARD_NAV(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5245, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void PLAYSTATS_INST_MISSION_END(Any p0) { return big::native_invoker::invoke<5246, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_HUB_EXIT(Any p0) { return big::native_invoker::invoke<5247, false, void>(p0); }
	FORCEINLINE constexpr void PLAYSTATS_VEH_DEL(int bossId1, int bossId2, int bossType, int vehicleID, int reason) { return big::native_invoker::invoke<5248, false, void>(bossId1, bossId2, bossType, vehicleID, reason); }
	FORCEINLINE constexpr void PLAYSTATS_INVENTORY(Any p0) { return big::native_invoker::invoke<5249, false, void>(p0); }
	FORCEINLINE constexpr void _PLAYSTATS_ACID_MISSION_END(Any p0) { return big::native_invoker::invoke<5250, false, void>(p0); }
	FORCEINLINE constexpr void _PLAYSTATS_ACID_RND(Any p0) { return big::native_invoker::invoke<5251, false, void>(p0); }
	FORCEINLINE constexpr void _PLAYSTATS_IDLE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<5252, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void _PLAYSTATS_PLAYER_STYLE(Any p0) { return big::native_invoker::invoke<5253, false, void>(p0); }
	FORCEINLINE constexpr void _PLAYSTATS_RANDOM_EVENT(Any p0) { return big::native_invoker::invoke<5254, false, void>(p0); }
	FORCEINLINE constexpr void _PLAYSTATS_ALERT(Any* data) { return big::native_invoker::invoke<5255, false, void>(data); }
	FORCEINLINE constexpr void _PLAYSTATS_ATTRITION_STAGE_END(Any p0) { return big::native_invoker::invoke<5256, false, void>(p0); }
	FORCEINLINE constexpr void _PLAYSTATS_SHOWROOM_NAV(Any p0, Any p1, Hash entity) { return big::native_invoker::invoke<5257, false, void>(p0, p1, entity); }
	FORCEINLINE constexpr void _PLAYSTATS_SHOWROOM_OVERVIEW(Any* data) { return big::native_invoker::invoke<5258, false, void>(data); }
	FORCEINLINE constexpr void _PLAYSTATS_PIMENU_NAV(Any* data) { return big::native_invoker::invoke<5259, false, void>(data); }
	FORCEINLINE constexpr void _PLAYSTATS_RECOVER_VEHICLE(Any* data) { return big::native_invoker::invoke<5260, false, void>(data); }
}

namespace STREAMING
{
	FORCEINLINE constexpr void LOAD_ALL_OBJECTS_NOW() { return big::native_invoker::invoke<5261, false, void>(); }
	FORCEINLINE constexpr void LOAD_SCENE(float x, float y, float z) { return big::native_invoker::invoke<5262, false, void>(x, y, z); }
	FORCEINLINE constexpr BOOL NETWORK_UPDATE_LOAD_SCENE() { return big::native_invoker::invoke<5263, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_NETWORK_LOADING_SCENE() { return big::native_invoker::invoke<5264, false, BOOL>(); }
	FORCEINLINE constexpr void SET_INTERIOR_ACTIVE(int interiorID, BOOL toggle) { return big::native_invoker::invoke<5265, false, void>(interiorID, toggle); }
	FORCEINLINE constexpr void REQUEST_MODEL(Hash model) { return big::native_invoker::invoke<5266, false, void>(model); }
	FORCEINLINE constexpr void REQUEST_MENU_PED_MODEL(Hash model) { return big::native_invoker::invoke<5267, false, void>(model); }
	FORCEINLINE constexpr BOOL HAS_MODEL_LOADED(Hash model) { return big::native_invoker::invoke<5268, false, BOOL>(model); }
	FORCEINLINE constexpr void REQUEST_MODELS_IN_ROOM(Interior interior, const char* roomName) { return big::native_invoker::invoke<5269, false, void>(interior, roomName); }
	FORCEINLINE constexpr void SET_MODEL_AS_NO_LONGER_NEEDED(Hash model) { return big::native_invoker::invoke<5270, false, void>(model); }
	FORCEINLINE constexpr BOOL IS_MODEL_IN_CDIMAGE(Hash model) { return big::native_invoker::invoke<5271, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_MODEL_VALID(Hash model) { return big::native_invoker::invoke<5272, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_MODEL_A_PED(Hash model) { return big::native_invoker::invoke<5273, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_MODEL_A_VEHICLE(Hash model) { return big::native_invoker::invoke<5274, false, BOOL>(model); }
	FORCEINLINE constexpr void REQUEST_COLLISION_AT_COORD(float x, float y, float z) { return big::native_invoker::invoke<5275, false, void>(x, y, z); }
	FORCEINLINE constexpr void REQUEST_COLLISION_FOR_MODEL(Hash model) { return big::native_invoker::invoke<5276, false, void>(model); }
	FORCEINLINE constexpr BOOL HAS_COLLISION_FOR_MODEL_LOADED(Hash model) { return big::native_invoker::invoke<5277, false, BOOL>(model); }
	FORCEINLINE constexpr void REQUEST_ADDITIONAL_COLLISION_AT_COORD(float x, float y, float z) { return big::native_invoker::invoke<5278, false, void>(x, y, z); }
	FORCEINLINE constexpr BOOL DOES_ANIM_DICT_EXIST(const char* animDict) { return big::native_invoker::invoke<5279, false, BOOL>(animDict); }
	FORCEINLINE constexpr void REQUEST_ANIM_DICT(const char* animDict) { return big::native_invoker::invoke<5280, false, void>(animDict); }
	FORCEINLINE constexpr BOOL HAS_ANIM_DICT_LOADED(const char* animDict) { return big::native_invoker::invoke<5281, false, BOOL>(animDict); }
	FORCEINLINE constexpr void REMOVE_ANIM_DICT(const char* animDict) { return big::native_invoker::invoke<5282, false, void>(animDict); }
	FORCEINLINE constexpr void REQUEST_ANIM_SET(const char* animSet) { return big::native_invoker::invoke<5283, false, void>(animSet); }
	FORCEINLINE constexpr BOOL HAS_ANIM_SET_LOADED(const char* animSet) { return big::native_invoker::invoke<5284, false, BOOL>(animSet); }
	FORCEINLINE constexpr void REMOVE_ANIM_SET(const char* animSet) { return big::native_invoker::invoke<5285, false, void>(animSet); }
	FORCEINLINE constexpr void REQUEST_CLIP_SET(const char* clipSet) { return big::native_invoker::invoke<5286, false, void>(clipSet); }
	FORCEINLINE constexpr BOOL HAS_CLIP_SET_LOADED(const char* clipSet) { return big::native_invoker::invoke<5287, false, BOOL>(clipSet); }
	FORCEINLINE constexpr void REMOVE_CLIP_SET(const char* clipSet) { return big::native_invoker::invoke<5288, false, void>(clipSet); }
	FORCEINLINE constexpr void REQUEST_IPL(const char* iplName) { return big::native_invoker::invoke<5289, false, void>(iplName); }
	FORCEINLINE constexpr void REMOVE_IPL(const char* iplName) { return big::native_invoker::invoke<5290, false, void>(iplName); }
	FORCEINLINE constexpr BOOL IS_IPL_ACTIVE(const char* iplName) { return big::native_invoker::invoke<5291, false, BOOL>(iplName); }
	FORCEINLINE constexpr void SET_STREAMING(BOOL toggle) { return big::native_invoker::invoke<5292, false, void>(toggle); }
	FORCEINLINE constexpr void LOAD_GLOBAL_WATER_FILE(int waterType) { return big::native_invoker::invoke<5293, false, void>(waterType); }
	FORCEINLINE constexpr int GET_GLOBAL_WATER_FILE() { return big::native_invoker::invoke<5294, false, int>(); }
	FORCEINLINE constexpr void SET_GAME_PAUSES_FOR_STREAMING(BOOL toggle) { return big::native_invoker::invoke<5295, false, void>(toggle); }
	FORCEINLINE constexpr void SET_REDUCE_PED_MODEL_BUDGET(BOOL toggle) { return big::native_invoker::invoke<5296, false, void>(toggle); }
	FORCEINLINE constexpr void SET_REDUCE_VEHICLE_MODEL_BUDGET(BOOL toggle) { return big::native_invoker::invoke<5297, false, void>(toggle); }
	FORCEINLINE constexpr void SET_DITCH_POLICE_MODELS(BOOL toggle) { return big::native_invoker::invoke<5298, false, void>(toggle); }
	FORCEINLINE constexpr int GET_NUMBER_OF_STREAMING_REQUESTS() { return big::native_invoker::invoke<5299, false, int>(); }
	FORCEINLINE constexpr void REQUEST_PTFX_ASSET() { return big::native_invoker::invoke<5300, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_PTFX_ASSET_LOADED() { return big::native_invoker::invoke<5301, false, BOOL>(); }
	FORCEINLINE constexpr void REMOVE_PTFX_ASSET() { return big::native_invoker::invoke<5302, false, void>(); }
	FORCEINLINE constexpr void REQUEST_NAMED_PTFX_ASSET(const char* fxName) { return big::native_invoker::invoke<5303, false, void>(fxName); }
	FORCEINLINE constexpr BOOL HAS_NAMED_PTFX_ASSET_LOADED(const char* fxName) { return big::native_invoker::invoke<5304, false, BOOL>(fxName); }
	FORCEINLINE constexpr void REMOVE_NAMED_PTFX_ASSET(const char* fxName) { return big::native_invoker::invoke<5305, false, void>(fxName); }
	FORCEINLINE constexpr void SET_VEHICLE_POPULATION_BUDGET(int p0) { return big::native_invoker::invoke<5306, false, void>(p0); }
	FORCEINLINE constexpr void SET_PED_POPULATION_BUDGET(int p0) { return big::native_invoker::invoke<5307, false, void>(p0); }
	FORCEINLINE constexpr void CLEAR_FOCUS() { return big::native_invoker::invoke<5308, false, void>(); }
	FORCEINLINE constexpr void SET_FOCUS_POS_AND_VEL(float x, float y, float z, float offsetX, float offsetY, float offsetZ) { return big::native_invoker::invoke<5309, false, void>(x, y, z, offsetX, offsetY, offsetZ); }
	FORCEINLINE constexpr void SET_FOCUS_ENTITY(Entity entity) { return big::native_invoker::invoke<5310, false, void>(entity); }
	FORCEINLINE constexpr BOOL IS_ENTITY_FOCUS(Entity entity) { return big::native_invoker::invoke<5311, false, BOOL>(entity); }
	FORCEINLINE constexpr void SET_RESTORE_FOCUS_ENTITY(Entity p0) { return big::native_invoker::invoke<5312, false, void>(p0); }
	FORCEINLINE constexpr void SET_MAPDATACULLBOX_ENABLED(const char* name, BOOL toggle) { return big::native_invoker::invoke<5313, false, void>(name, toggle); }
	FORCEINLINE constexpr void SET_ALL_MAPDATA_CULLED(Any p0) { return big::native_invoker::invoke<5314, false, void>(p0); }
	FORCEINLINE constexpr int STREAMVOL_CREATE_SPHERE(float x, float y, float z, float rad, Any p4, Any p5) { return big::native_invoker::invoke<5315, false, int>(x, y, z, rad, p4, p5); }
	FORCEINLINE constexpr int STREAMVOL_CREATE_FRUSTUM(float p0, float p1, float p2, float p3, float p4, float p5, float p6, Any p7, Any p8) { return big::native_invoker::invoke<5316, false, int>(p0, p1, p2, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr int STREAMVOL_CREATE_LINE(float p0, float p1, float p2, float p3, float p4, float p5, Any p6) { return big::native_invoker::invoke<5317, false, int>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void STREAMVOL_DELETE(Any unused) { return big::native_invoker::invoke<5318, false, void>(unused); }
	FORCEINLINE constexpr BOOL STREAMVOL_HAS_LOADED(Any unused) { return big::native_invoker::invoke<5319, false, BOOL>(unused); }
	FORCEINLINE constexpr BOOL STREAMVOL_IS_VALID(Any unused) { return big::native_invoker::invoke<5320, false, BOOL>(unused); }
	FORCEINLINE constexpr BOOL IS_STREAMVOL_ACTIVE() { return big::native_invoker::invoke<5321, false, BOOL>(); }
	FORCEINLINE constexpr BOOL NEW_LOAD_SCENE_START(float posX, float posY, float posZ, float offsetX, float offsetY, float offsetZ, float radius, int p7) { return big::native_invoker::invoke<5322, false, BOOL>(posX, posY, posZ, offsetX, offsetY, offsetZ, radius, p7); }
	FORCEINLINE constexpr BOOL NEW_LOAD_SCENE_START_SPHERE(float x, float y, float z, float radius, Any p4) { return big::native_invoker::invoke<5323, false, BOOL>(x, y, z, radius, p4); }
	FORCEINLINE constexpr void NEW_LOAD_SCENE_STOP() { return big::native_invoker::invoke<5324, false, void>(); }
	FORCEINLINE constexpr BOOL IS_NEW_LOAD_SCENE_ACTIVE() { return big::native_invoker::invoke<5325, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_NEW_LOAD_SCENE_LOADED() { return big::native_invoker::invoke<5326, false, BOOL>(); }
	FORCEINLINE constexpr BOOL IS_SAFE_TO_START_PLAYER_SWITCH() { return big::native_invoker::invoke<5327, false, BOOL>(); }
	FORCEINLINE constexpr void START_PLAYER_SWITCH(Ped from, Ped to, int flags, int switchType) { return big::native_invoker::invoke<5328, false, void>(from, to, flags, switchType); }
	FORCEINLINE constexpr void STOP_PLAYER_SWITCH() { return big::native_invoker::invoke<5329, false, void>(); }
	FORCEINLINE constexpr BOOL IS_PLAYER_SWITCH_IN_PROGRESS() { return big::native_invoker::invoke<5330, false, BOOL>(); }
	FORCEINLINE constexpr int GET_PLAYER_SWITCH_TYPE() { return big::native_invoker::invoke<5331, false, int>(); }
	FORCEINLINE constexpr int GET_IDEAL_PLAYER_SWITCH_TYPE(float x1, float y1, float z1, float x2, float y2, float z2) { return big::native_invoker::invoke<5332, false, int>(x1, y1, z1, x2, y2, z2); }
	FORCEINLINE constexpr int GET_PLAYER_SWITCH_STATE() { return big::native_invoker::invoke<5333, false, int>(); }
	FORCEINLINE constexpr int GET_PLAYER_SHORT_SWITCH_STATE() { return big::native_invoker::invoke<5334, false, int>(); }
	FORCEINLINE constexpr void SET_PLAYER_SHORT_SWITCH_STYLE(int p0) { return big::native_invoker::invoke<5335, false, void>(p0); }
	FORCEINLINE constexpr int GET_PLAYER_SWITCH_JUMP_CUT_INDEX() { return big::native_invoker::invoke<5336, false, int>(); }
	FORCEINLINE constexpr void SET_PLAYER_SWITCH_OUTRO(float cameraCoordX, float cameraCoordY, float cameraCoordZ, float camRotationX, float camRotationY, float camRotationZ, float camFov, float camFarClip, int rotationOrder) { return big::native_invoker::invoke<5337, false, void>(cameraCoordX, cameraCoordY, cameraCoordZ, camRotationX, camRotationY, camRotationZ, camFov, camFarClip, rotationOrder); }
	FORCEINLINE constexpr void SET_PLAYER_SWITCH_ESTABLISHING_SHOT(const char* name) { return big::native_invoker::invoke<5338, false, void>(name); }
	FORCEINLINE constexpr void ALLOW_PLAYER_SWITCH_PAN() { return big::native_invoker::invoke<5339, false, void>(); }
	FORCEINLINE constexpr void ALLOW_PLAYER_SWITCH_OUTRO() { return big::native_invoker::invoke<5340, false, void>(); }
	FORCEINLINE constexpr void ALLOW_PLAYER_SWITCH_ASCENT() { return big::native_invoker::invoke<5341, false, void>(); }
	FORCEINLINE constexpr void ALLOW_PLAYER_SWITCH_DESCENT() { return big::native_invoker::invoke<5342, false, void>(); }
	FORCEINLINE constexpr BOOL IS_SWITCH_READY_FOR_DESCENT() { return big::native_invoker::invoke<5343, false, BOOL>(); }
	FORCEINLINE constexpr void ENABLE_SWITCH_PAUSE_BEFORE_DESCENT() { return big::native_invoker::invoke<5344, false, void>(); }
	FORCEINLINE constexpr void DISABLE_SWITCH_OUTRO_FX() { return big::native_invoker::invoke<5345, false, void>(); }
	FORCEINLINE constexpr void SWITCH_TO_MULTI_FIRSTPART(Ped ped, int flags, int switchType) { return big::native_invoker::invoke<5346, false, void>(ped, flags, switchType); }
	FORCEINLINE constexpr void SWITCH_TO_MULTI_SECONDPART(Ped ped) { return big::native_invoker::invoke<5347, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_SWITCH_TO_MULTI_FIRSTPART_FINISHED() { return big::native_invoker::invoke<5348, false, BOOL>(); }
	FORCEINLINE constexpr int GET_PLAYER_SWITCH_INTERP_OUT_DURATION() { return big::native_invoker::invoke<5349, false, int>(); }
	FORCEINLINE constexpr int GET_PLAYER_SWITCH_INTERP_OUT_CURRENT_TIME() { return big::native_invoker::invoke<5350, false, int>(); }
	FORCEINLINE constexpr BOOL IS_SWITCH_SKIPPING_DESCENT() { return big::native_invoker::invoke<5351, false, BOOL>(); }
	FORCEINLINE constexpr void SET_SCENE_STREAMING_TRACKS_CAM_POS_THIS_FRAME() { return big::native_invoker::invoke<5352, false, void>(); }
	FORCEINLINE constexpr float GET_LODSCALE() { return big::native_invoker::invoke<5353, false, float>(); }
	FORCEINLINE constexpr void OVERRIDE_LODSCALE_THIS_FRAME(float scaling) { return big::native_invoker::invoke<5354, false, void>(scaling); }
	FORCEINLINE constexpr void REMAP_LODSCALE_RANGE_THIS_FRAME(float p0, float p1, float p2, float p3) { return big::native_invoker::invoke<5355, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SUPPRESS_HD_MAP_STREAMING_THIS_FRAME() { return big::native_invoker::invoke<5356, false, void>(); }
	FORCEINLINE constexpr void SET_RENDER_HD_ONLY(BOOL toggle) { return big::native_invoker::invoke<5357, false, void>(toggle); }
	FORCEINLINE constexpr void FORCE_ALLOW_TIME_BASED_FADING_THIS_FRAME() { return big::native_invoker::invoke<5358, false, void>(); }
	FORCEINLINE constexpr void IPL_GROUP_SWAP_START(const char* iplName1, const char* iplName2) { return big::native_invoker::invoke<5359, false, void>(iplName1, iplName2); }
	FORCEINLINE constexpr void IPL_GROUP_SWAP_CANCEL() { return big::native_invoker::invoke<5360, false, void>(); }
	FORCEINLINE constexpr BOOL IPL_GROUP_SWAP_IS_READY() { return big::native_invoker::invoke<5361, false, BOOL>(); }
	FORCEINLINE constexpr void IPL_GROUP_SWAP_FINISH() { return big::native_invoker::invoke<5362, false, void>(); }
	FORCEINLINE constexpr BOOL IPL_GROUP_SWAP_IS_ACTIVE() { return big::native_invoker::invoke<5363, false, BOOL>(); }
	FORCEINLINE constexpr void PREFETCH_SRL(const char* srl) { return big::native_invoker::invoke<5364, false, void>(srl); }
	FORCEINLINE constexpr BOOL IS_SRL_LOADED() { return big::native_invoker::invoke<5365, false, BOOL>(); }
	FORCEINLINE constexpr void BEGIN_SRL() { return big::native_invoker::invoke<5366, false, void>(); }
	FORCEINLINE constexpr void END_SRL() { return big::native_invoker::invoke<5367, false, void>(); }
	FORCEINLINE constexpr void SET_SRL_TIME(float p0) { return big::native_invoker::invoke<5368, false, void>(p0); }
	FORCEINLINE constexpr void SET_SRL_POST_CUTSCENE_CAMERA(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<5369, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void SET_SRL_READAHEAD_TIMES(Any p0, Any p1, Any p2, Any p3) { return big::native_invoker::invoke<5370, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void SET_SRL_LONG_JUMP_MODE(BOOL p0) { return big::native_invoker::invoke<5371, false, void>(p0); }
	FORCEINLINE constexpr void SET_SRL_FORCE_PRESTREAM(Any p0) { return big::native_invoker::invoke<5372, false, void>(p0); }
	FORCEINLINE constexpr void SET_HD_AREA(float x, float y, float z, float radius) { return big::native_invoker::invoke<5373, false, void>(x, y, z, radius); }
	FORCEINLINE constexpr void CLEAR_HD_AREA() { return big::native_invoker::invoke<5374, false, void>(); }
	FORCEINLINE constexpr void INIT_CREATOR_BUDGET() { return big::native_invoker::invoke<5375, false, void>(); }
	FORCEINLINE constexpr void SHUTDOWN_CREATOR_BUDGET() { return big::native_invoker::invoke<5376, false, void>(); }
	FORCEINLINE constexpr BOOL ADD_MODEL_TO_CREATOR_BUDGET(Hash modelHash) { return big::native_invoker::invoke<5377, false, BOOL>(modelHash); }
	FORCEINLINE constexpr void REMOVE_MODEL_FROM_CREATOR_BUDGET(Hash modelHash) { return big::native_invoker::invoke<5378, false, void>(modelHash); }
	FORCEINLINE constexpr float GET_USED_CREATOR_BUDGET() { return big::native_invoker::invoke<5379, false, float>(); }
	FORCEINLINE constexpr void SET_ISLAND_ENABLED(const char* name, BOOL toggle) { return big::native_invoker::invoke<5380, false, void>(name, toggle); }
}

namespace TASK
{
	FORCEINLINE constexpr void TASK_PAUSE(Ped ped, int ms) { return big::native_invoker::invoke<5381, false, void>(ped, ms); }
	FORCEINLINE constexpr void TASK_STAND_STILL(Ped ped, int time) { return big::native_invoker::invoke<5382, false, void>(ped, time); }
	FORCEINLINE constexpr void TASK_JUMP(Ped ped, BOOL usePlayerLaunchForce, BOOL doSuperJump, BOOL useFullSuperJumpForce) { return big::native_invoker::invoke<5383, false, void>(ped, usePlayerLaunchForce, doSuperJump, useFullSuperJumpForce); }
	FORCEINLINE constexpr void TASK_COWER(Ped ped, int duration) { return big::native_invoker::invoke<5384, false, void>(ped, duration); }
	FORCEINLINE constexpr void TASK_HANDS_UP(Ped ped, int duration, Ped facingPed, int timeToFacePed, int flags) { return big::native_invoker::invoke<5385, false, void>(ped, duration, facingPed, timeToFacePed, flags); }
	FORCEINLINE constexpr void UPDATE_TASK_HANDS_UP_DURATION(Ped ped, int duration) { return big::native_invoker::invoke<5386, false, void>(ped, duration); }
	FORCEINLINE constexpr void TASK_OPEN_VEHICLE_DOOR(Ped ped, Vehicle vehicle, int timeOut, int seat, float speed) { return big::native_invoker::invoke<5387, false, void>(ped, vehicle, timeOut, seat, speed); }
	FORCEINLINE constexpr void TASK_ENTER_VEHICLE(Ped ped, Vehicle vehicle, int timeout, int seat, float speed, int flag, const char* overrideEntryClipsetName, Any p7) { return big::native_invoker::invoke<5388, false, void>(ped, vehicle, timeout, seat, speed, flag, overrideEntryClipsetName, p7); }
	FORCEINLINE constexpr void TASK_LEAVE_VEHICLE(Ped ped, Vehicle vehicle, int flags) { return big::native_invoker::invoke<5389, false, void>(ped, vehicle, flags); }
	FORCEINLINE constexpr void TASK_GET_OFF_BOAT(Ped ped, Vehicle boat) { return big::native_invoker::invoke<5390, false, void>(ped, boat); }
	FORCEINLINE constexpr void TASK_SKY_DIVE(Ped ped, BOOL instant) { return big::native_invoker::invoke<5391, false, void>(ped, instant); }
	FORCEINLINE constexpr void TASK_PARACHUTE(Ped ped, BOOL giveParachuteItem, BOOL instant) { return big::native_invoker::invoke<5392, false, void>(ped, giveParachuteItem, instant); }
	FORCEINLINE constexpr void TASK_PARACHUTE_TO_TARGET(Ped ped, float x, float y, float z) { return big::native_invoker::invoke<5393, false, void>(ped, x, y, z); }
	FORCEINLINE constexpr void SET_PARACHUTE_TASK_TARGET(Ped ped, float x, float y, float z) { return big::native_invoker::invoke<5394, false, void>(ped, x, y, z); }
	FORCEINLINE constexpr void SET_PARACHUTE_TASK_THRUST(Ped ped, float thrust) { return big::native_invoker::invoke<5395, false, void>(ped, thrust); }
	FORCEINLINE constexpr void TASK_RAPPEL_FROM_HELI(Ped ped, float minHeightAboveGround) { return big::native_invoker::invoke<5396, false, void>(ped, minHeightAboveGround); }
	FORCEINLINE constexpr void TASK_VEHICLE_DRIVE_TO_COORD(Ped ped, Vehicle vehicle, float x, float y, float z, float speed, Any p6, Hash vehicleModel, int drivingMode, float stopRange, float straightLineDistance) { return big::native_invoker::invoke<5397, false, void>(ped, vehicle, x, y, z, speed, p6, vehicleModel, drivingMode, stopRange, straightLineDistance); }
	FORCEINLINE constexpr void TASK_VEHICLE_DRIVE_TO_COORD_LONGRANGE(Ped ped, Vehicle vehicle, float x, float y, float z, float speed, int driveMode, float stopRange) { return big::native_invoker::invoke<5398, false, void>(ped, vehicle, x, y, z, speed, driveMode, stopRange); }
	FORCEINLINE constexpr void TASK_VEHICLE_DRIVE_WANDER(Ped ped, Vehicle vehicle, float speed, int drivingStyle) { return big::native_invoker::invoke<5399, false, void>(ped, vehicle, speed, drivingStyle); }
	FORCEINLINE constexpr void TASK_FOLLOW_TO_OFFSET_OF_ENTITY(Ped ped, Entity entity, float offsetX, float offsetY, float offsetZ, float movementSpeed, int timeout, float stoppingRange, BOOL persistFollowing) { return big::native_invoker::invoke<5400, false, void>(ped, entity, offsetX, offsetY, offsetZ, movementSpeed, timeout, stoppingRange, persistFollowing); }
	FORCEINLINE constexpr void TASK_GO_STRAIGHT_TO_COORD(Ped ped, float x, float y, float z, float speed, int timeout, float targetHeading, float distanceToSlide) { return big::native_invoker::invoke<5401, false, void>(ped, x, y, z, speed, timeout, targetHeading, distanceToSlide); }
	FORCEINLINE constexpr void TASK_GO_STRAIGHT_TO_COORD_RELATIVE_TO_ENTITY(Ped ped, Entity entity, float x, float y, float z, float moveBlendRatio, int time) { return big::native_invoker::invoke<5402, false, void>(ped, entity, x, y, z, moveBlendRatio, time); }
	FORCEINLINE constexpr void TASK_ACHIEVE_HEADING(Ped ped, float heading, int timeout) { return big::native_invoker::invoke<5403, false, void>(ped, heading, timeout); }
	FORCEINLINE constexpr void TASK_FLUSH_ROUTE() { return big::native_invoker::invoke<5404, false, void>(); }
	FORCEINLINE constexpr void TASK_EXTEND_ROUTE(float x, float y, float z) { return big::native_invoker::invoke<5405, false, void>(x, y, z); }
	FORCEINLINE constexpr void TASK_FOLLOW_POINT_ROUTE(Ped ped, float speed, int mode) { return big::native_invoker::invoke<5406, false, void>(ped, speed, mode); }
	FORCEINLINE constexpr void TASK_GO_TO_ENTITY(Entity entity, Entity target, int duration, float distance, float moveBlendRatio, float slowDownDistance, int flags) { return big::native_invoker::invoke<5407, false, void>(entity, target, duration, distance, moveBlendRatio, slowDownDistance, flags); }
	FORCEINLINE constexpr void TASK_SMART_FLEE_COORD(Ped ped, float x, float y, float z, float distance, int time, BOOL preferPavements, BOOL quitIfOutOfRange) { return big::native_invoker::invoke<5408, false, void>(ped, x, y, z, distance, time, preferPavements, quitIfOutOfRange); }
	FORCEINLINE constexpr void TASK_SMART_FLEE_PED(Ped ped, Ped fleeTarget, float safeDistance, int fleeTime, BOOL preferPavements, BOOL updateToNearestHatedPed) { return big::native_invoker::invoke<5409, false, void>(ped, fleeTarget, safeDistance, fleeTime, preferPavements, updateToNearestHatedPed); }
	FORCEINLINE constexpr void TASK_REACT_AND_FLEE_PED(Ped ped, Ped fleeTarget) { return big::native_invoker::invoke<5410, false, void>(ped, fleeTarget); }
	FORCEINLINE constexpr void TASK_SHOCKING_EVENT_REACT(Ped ped, int eventHandle) { return big::native_invoker::invoke<5411, false, void>(ped, eventHandle); }
	FORCEINLINE constexpr void TASK_WANDER_IN_AREA(Ped ped, float x, float y, float z, float radius, float minimalLength, float timeBetweenWalks) { return big::native_invoker::invoke<5412, false, void>(ped, x, y, z, radius, minimalLength, timeBetweenWalks); }
	FORCEINLINE constexpr void TASK_WANDER_STANDARD(Ped ped, float heading, int flags) { return big::native_invoker::invoke<5413, false, void>(ped, heading, flags); }
	FORCEINLINE constexpr void TASK_WANDER_SPECIFIC(Ped ped, const char* conditionalAnimGroupStr, const char* conditionalAnimStr, float heading) { return big::native_invoker::invoke<5414, false, void>(ped, conditionalAnimGroupStr, conditionalAnimStr, heading); }
	FORCEINLINE constexpr void TASK_VEHICLE_PARK(Ped ped, Vehicle vehicle, float x, float y, float z, float heading, int mode, float radius, BOOL keepEngineOn) { return big::native_invoker::invoke<5415, false, void>(ped, vehicle, x, y, z, heading, mode, radius, keepEngineOn); }
	FORCEINLINE constexpr void TASK_STEALTH_KILL(Ped killer, Ped target, Hash stealthKillActionResultHash, float desiredMoveBlendRatio, int stealthFlags) { return big::native_invoker::invoke<5416, false, void>(killer, target, stealthKillActionResultHash, desiredMoveBlendRatio, stealthFlags); }
	FORCEINLINE constexpr void TASK_PLANT_BOMB(Ped ped, float x, float y, float z, float heading) { return big::native_invoker::invoke<5417, false, void>(ped, x, y, z, heading); }
	FORCEINLINE constexpr void TASK_FOLLOW_NAV_MESH_TO_COORD(Ped ped, float x, float y, float z, float moveBlendRatio, int time, float targetRadius, int flags, float targetHeading) { return big::native_invoker::invoke<5418, false, void>(ped, x, y, z, moveBlendRatio, time, targetRadius, flags, targetHeading); }
	FORCEINLINE constexpr void TASK_FOLLOW_NAV_MESH_TO_COORD_ADVANCED(Ped ped, float x, float y, float z, float moveBlendRatio, int time, float targetRadius, int flags, float slideToCoordHeading, float maxSlopeNavigable, float clampMaxSearchDistance, float targetHeading) { return big::native_invoker::invoke<5419, false, void>(ped, x, y, z, moveBlendRatio, time, targetRadius, flags, slideToCoordHeading, maxSlopeNavigable, clampMaxSearchDistance, targetHeading); }
	FORCEINLINE constexpr void SET_PED_PATH_CAN_USE_CLIMBOVERS(Ped ped, BOOL Toggle) { return big::native_invoker::invoke<5420, false, void>(ped, Toggle); }
	FORCEINLINE constexpr void SET_PED_PATH_CAN_USE_LADDERS(Ped ped, BOOL Toggle) { return big::native_invoker::invoke<5421, false, void>(ped, Toggle); }
	FORCEINLINE constexpr void SET_PED_PATH_CAN_DROP_FROM_HEIGHT(Ped ped, BOOL Toggle) { return big::native_invoker::invoke<5422, false, void>(ped, Toggle); }
	FORCEINLINE constexpr void SET_PED_PATH_CLIMB_COST_MODIFIER(Ped ped, float modifier) { return big::native_invoker::invoke<5423, false, void>(ped, modifier); }
	FORCEINLINE constexpr void SET_PED_PATH_MAY_ENTER_WATER(Ped ped, BOOL mayEnterWater) { return big::native_invoker::invoke<5424, false, void>(ped, mayEnterWater); }
	FORCEINLINE constexpr void SET_PED_PATH_PREFER_TO_AVOID_WATER(Ped ped, BOOL avoidWater) { return big::native_invoker::invoke<5425, false, void>(ped, avoidWater); }
	FORCEINLINE constexpr void SET_PED_PATH_AVOID_FIRE(Ped ped, BOOL avoidFire) { return big::native_invoker::invoke<5426, false, void>(ped, avoidFire); }
	FORCEINLINE constexpr void SET_GLOBAL_MIN_BIRD_FLIGHT_HEIGHT(float height) { return big::native_invoker::invoke<5427, false, void>(height); }
	FORCEINLINE constexpr int GET_NAVMESH_ROUTE_DISTANCE_REMAINING(Ped ped, float* distanceRemaining, BOOL* isPathReady) { return big::native_invoker::invoke<5428, false, int>(ped, distanceRemaining, isPathReady); }
	FORCEINLINE constexpr int GET_NAVMESH_ROUTE_RESULT(Ped ped) { return big::native_invoker::invoke<5429, false, int>(ped); }
	FORCEINLINE constexpr BOOL IS_CONTROLLED_VEHICLE_UNABLE_TO_GET_TO_ROAD(Ped ped) { return big::native_invoker::invoke<5430, false, BOOL>(ped); }
	FORCEINLINE constexpr void TASK_GO_TO_COORD_ANY_MEANS(Ped ped, float x, float y, float z, float moveBlendRatio, Vehicle vehicle, BOOL useLongRangeVehiclePathing, int drivingFlags, float maxRangeToShootTargets) { return big::native_invoker::invoke<5431, false, void>(ped, x, y, z, moveBlendRatio, vehicle, useLongRangeVehiclePathing, drivingFlags, maxRangeToShootTargets); }
	FORCEINLINE constexpr void TASK_GO_TO_COORD_ANY_MEANS_EXTRA_PARAMS(Ped ped, float x, float y, float z, float moveBlendRatio, Vehicle vehicle, BOOL useLongRangeVehiclePathing, int drivingFlags, float maxRangeToShootTargets, float extraVehToTargetDistToPreferVehicle, float driveStraightLineDistance, int extraFlags, float warpTimerMS) { return big::native_invoker::invoke<5432, false, void>(ped, x, y, z, moveBlendRatio, vehicle, useLongRangeVehiclePathing, drivingFlags, maxRangeToShootTargets, extraVehToTargetDistToPreferVehicle, driveStraightLineDistance, extraFlags, warpTimerMS); }
	FORCEINLINE constexpr void TASK_GO_TO_COORD_ANY_MEANS_EXTRA_PARAMS_WITH_CRUISE_SPEED(Ped ped, float x, float y, float z, float moveBlendRatio, Vehicle vehicle, BOOL useLongRangeVehiclePathing, int drivingFlags, float maxRangeToShootTargets, float extraVehToTargetDistToPreferVehicle, float driveStraightLineDistance, int extraFlags, float cruiseSpeed, float targetArriveDist) { return big::native_invoker::invoke<5433, false, void>(ped, x, y, z, moveBlendRatio, vehicle, useLongRangeVehiclePathing, drivingFlags, maxRangeToShootTargets, extraVehToTargetDistToPreferVehicle, driveStraightLineDistance, extraFlags, cruiseSpeed, targetArriveDist); }
	FORCEINLINE constexpr void TASK_PLAY_ANIM(Ped ped, const char* animDictionary, const char* animationName, float blendInSpeed, float blendOutSpeed, int duration, int flag, float playbackRate, BOOL lockX, BOOL lockY, BOOL lockZ) { return big::native_invoker::invoke<5434, false, void>(ped, animDictionary, animationName, blendInSpeed, blendOutSpeed, duration, flag, playbackRate, lockX, lockY, lockZ); }
	FORCEINLINE constexpr void TASK_PLAY_ANIM_ADVANCED(Ped ped, const char* animDict, const char* animName, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float animEnterSpeed, float animExitSpeed, int duration, Any flag, float animTime, int rotOrder, int ikFlags) { return big::native_invoker::invoke<5435, false, void>(ped, animDict, animName, posX, posY, posZ, rotX, rotY, rotZ, animEnterSpeed, animExitSpeed, duration, flag, animTime, rotOrder, ikFlags); }
	FORCEINLINE constexpr void STOP_ANIM_TASK(Entity entity, const char* animDictionary, const char* animationName, float blendDelta) { return big::native_invoker::invoke<5436, false, void>(entity, animDictionary, animationName, blendDelta); }
	FORCEINLINE constexpr void TASK_SCRIPTED_ANIMATION(Ped ped, int* priorityLowData, int* priorityMidData, int* priorityHighData, float blendInDelta, float blendOutDelta) { return big::native_invoker::invoke<5437, false, void>(ped, priorityLowData, priorityMidData, priorityHighData, blendInDelta, blendOutDelta); }
	FORCEINLINE constexpr void PLAY_ENTITY_SCRIPTED_ANIM(Entity entity, int* priorityLowData, int* priorityMidData, int* priorityHighData, float blendInDelta, float blendOutDelta) { return big::native_invoker::invoke<5438, false, void>(entity, priorityLowData, priorityMidData, priorityHighData, blendInDelta, blendOutDelta); }
	FORCEINLINE constexpr void STOP_ANIM_PLAYBACK(Entity entity, int priority, BOOL secondary) { return big::native_invoker::invoke<5439, false, void>(entity, priority, secondary); }
	FORCEINLINE constexpr void SET_ANIM_WEIGHT(Entity entity, float weight, int priority, int index, BOOL secondary) { return big::native_invoker::invoke<5440, false, void>(entity, weight, priority, index, secondary); }
	FORCEINLINE constexpr void SET_ANIM_PHASE(Entity entity, float phase, int priority, BOOL secondary) { return big::native_invoker::invoke<5441, false, void>(entity, phase, priority, secondary); }
	FORCEINLINE constexpr void SET_ANIM_RATE(Entity entity, float rate, int priority, BOOL secondary) { return big::native_invoker::invoke<5442, false, void>(entity, rate, priority, secondary); }
	FORCEINLINE constexpr void SET_ANIM_LOOPED(Entity entity, BOOL looped, int priority, BOOL secondary) { return big::native_invoker::invoke<5443, false, void>(entity, looped, priority, secondary); }
	FORCEINLINE constexpr void TASK_PLAY_PHONE_GESTURE_ANIMATION(Ped ped, const char* animDict, const char* animation, const char* boneMaskType, float blendInDuration, float blendOutDuration, BOOL isLooping, BOOL holdLastFrame) { return big::native_invoker::invoke<5444, false, void>(ped, animDict, animation, boneMaskType, blendInDuration, blendOutDuration, isLooping, holdLastFrame); }
	FORCEINLINE constexpr void TASK_STOP_PHONE_GESTURE_ANIMATION(Ped ped, float blendOutOverride) { return big::native_invoker::invoke<5445, false, void>(ped, blendOutOverride); }
	FORCEINLINE constexpr BOOL IS_PLAYING_PHONE_GESTURE_ANIM(Ped ped) { return big::native_invoker::invoke<5446, false, BOOL>(ped); }
	FORCEINLINE constexpr float GET_PHONE_GESTURE_ANIM_CURRENT_TIME(Ped ped) { return big::native_invoker::invoke<5447, false, float>(ped); }
	FORCEINLINE constexpr float GET_PHONE_GESTURE_ANIM_TOTAL_TIME(Ped ped) { return big::native_invoker::invoke<5448, false, float>(ped); }
	FORCEINLINE constexpr void TASK_VEHICLE_PLAY_ANIM(Vehicle vehicle, const char* animationSet, const char* animationName) { return big::native_invoker::invoke<5449, false, void>(vehicle, animationSet, animationName); }
	FORCEINLINE constexpr void TASK_LOOK_AT_COORD(Entity entity, float x, float y, float z, int duration, int flags, int priority) { return big::native_invoker::invoke<5450, false, void>(entity, x, y, z, duration, flags, priority); }
	FORCEINLINE constexpr void TASK_LOOK_AT_ENTITY(Ped ped, Entity lookAt, int duration, int flags, int priority) { return big::native_invoker::invoke<5451, false, void>(ped, lookAt, duration, flags, priority); }
	FORCEINLINE constexpr void TASK_CLEAR_LOOK_AT(Ped ped) { return big::native_invoker::invoke<5452, false, void>(ped); }
	FORCEINLINE constexpr void OPEN_SEQUENCE_TASK(int* taskSequenceId) { return big::native_invoker::invoke<5453, false, void>(taskSequenceId); }
	FORCEINLINE constexpr void CLOSE_SEQUENCE_TASK(int taskSequenceId) { return big::native_invoker::invoke<5454, false, void>(taskSequenceId); }
	FORCEINLINE constexpr void TASK_PERFORM_SEQUENCE(Ped ped, int taskSequenceId) { return big::native_invoker::invoke<5455, false, void>(ped, taskSequenceId); }
	FORCEINLINE constexpr void TASK_PERFORM_SEQUENCE_LOCALLY(Ped ped, int taskSequenceId) { return big::native_invoker::invoke<5456, false, void>(ped, taskSequenceId); }
	FORCEINLINE constexpr void CLEAR_SEQUENCE_TASK(int* taskSequenceId) { return big::native_invoker::invoke<5457, false, void>(taskSequenceId); }
	FORCEINLINE constexpr void SET_SEQUENCE_TO_REPEAT(int taskSequenceId, BOOL repeat) { return big::native_invoker::invoke<5458, false, void>(taskSequenceId, repeat); }
	FORCEINLINE constexpr int GET_SEQUENCE_PROGRESS(Ped ped) { return big::native_invoker::invoke<5459, false, int>(ped); }
	FORCEINLINE constexpr BOOL GET_IS_TASK_ACTIVE(Ped ped, int taskIndex) { return big::native_invoker::invoke<5460, false, BOOL>(ped, taskIndex); }
	FORCEINLINE constexpr int GET_SCRIPT_TASK_STATUS(Ped ped, Hash taskHash) { return big::native_invoker::invoke<5461, false, int>(ped, taskHash); }
	FORCEINLINE constexpr int GET_ACTIVE_VEHICLE_MISSION_TYPE(Vehicle vehicle) { return big::native_invoker::invoke<5462, false, int>(vehicle); }
	FORCEINLINE constexpr void TASK_LEAVE_ANY_VEHICLE(Ped ped, int delayTime, int flags) { return big::native_invoker::invoke<5463, false, void>(ped, delayTime, flags); }
	FORCEINLINE constexpr void TASK_AIM_GUN_SCRIPTED(Ped ped, Hash scriptTask, BOOL disableBlockingClip, BOOL instantBlendToAim) { return big::native_invoker::invoke<5464, false, void>(ped, scriptTask, disableBlockingClip, instantBlendToAim); }
	FORCEINLINE constexpr void TASK_AIM_GUN_SCRIPTED_WITH_TARGET(Ped ped, Ped target, float x, float y, float z, int gunTaskType, BOOL disableBlockingClip, BOOL forceAim) { return big::native_invoker::invoke<5465, false, void>(ped, target, x, y, z, gunTaskType, disableBlockingClip, forceAim); }
	FORCEINLINE constexpr void UPDATE_TASK_AIM_GUN_SCRIPTED_TARGET(Ped ped, Ped target, float x, float y, float z, BOOL disableBlockingClip) { return big::native_invoker::invoke<5466, false, void>(ped, target, x, y, z, disableBlockingClip); }
	FORCEINLINE constexpr const char* GET_CLIP_SET_FOR_SCRIPTED_GUN_TASK(int gunTaskType) { return big::native_invoker::invoke<5467, false, const char*>(gunTaskType); }
	FORCEINLINE constexpr void TASK_AIM_GUN_AT_ENTITY(Ped ped, Entity entity, int duration, BOOL instantBlendToAim) { return big::native_invoker::invoke<5468, false, void>(ped, entity, duration, instantBlendToAim); }
	FORCEINLINE constexpr void TASK_TURN_PED_TO_FACE_ENTITY(Ped ped, Entity entity, int duration) { return big::native_invoker::invoke<5469, false, void>(ped, entity, duration); }
	FORCEINLINE constexpr void TASK_AIM_GUN_AT_COORD(Ped ped, float x, float y, float z, int time, BOOL instantBlendToAim, BOOL playAnimIntro) { return big::native_invoker::invoke<5470, false, void>(ped, x, y, z, time, instantBlendToAim, playAnimIntro); }
	FORCEINLINE constexpr void TASK_SHOOT_AT_COORD(Ped ped, float x, float y, float z, int duration, Hash firingPattern) { return big::native_invoker::invoke<5471, false, void>(ped, x, y, z, duration, firingPattern); }
	FORCEINLINE constexpr void TASK_SHUFFLE_TO_NEXT_VEHICLE_SEAT(Ped ped, Vehicle vehicle, BOOL useAlternateShuffle) { return big::native_invoker::invoke<5472, false, void>(ped, vehicle, useAlternateShuffle); }
	FORCEINLINE constexpr void CLEAR_PED_TASKS(Ped ped) { return big::native_invoker::invoke<5473, false, void>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_SECONDARY_TASK(Ped ped) { return big::native_invoker::invoke<5474, false, void>(ped); }
	FORCEINLINE constexpr void TASK_EVERYONE_LEAVE_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5475, false, void>(vehicle); }
	FORCEINLINE constexpr void TASK_GOTO_ENTITY_OFFSET(Ped ped, Entity entity, int time, float seekRadius, float seekAngleDeg, float moveBlendRatio, int gotoEntityOffsetFlags) { return big::native_invoker::invoke<5476, false, void>(ped, entity, time, seekRadius, seekAngleDeg, moveBlendRatio, gotoEntityOffsetFlags); }
	FORCEINLINE constexpr void TASK_GOTO_ENTITY_OFFSET_XY(Ped ped, Entity entity, int duration, float targetRadius, float offsetX, float offsetY, float moveBlendRatio, int gotoEntityOffsetFlags) { return big::native_invoker::invoke<5477, false, void>(ped, entity, duration, targetRadius, offsetX, offsetY, moveBlendRatio, gotoEntityOffsetFlags); }
	FORCEINLINE constexpr void TASK_TURN_PED_TO_FACE_COORD(Ped ped, float x, float y, float z, int duration) { return big::native_invoker::invoke<5478, false, void>(ped, x, y, z, duration); }
	FORCEINLINE constexpr void TASK_VEHICLE_TEMP_ACTION(Ped driver, Vehicle vehicle, int action, int time) { return big::native_invoker::invoke<5479, false, void>(driver, vehicle, action, time); }
	FORCEINLINE constexpr void TASK_VEHICLE_MISSION(Ped driver, Vehicle vehicle, Vehicle vehicleTarget, int missionType, float cruiseSpeed, int drivingStyle, float targetReached, float straightLineDistance, BOOL DriveAgainstTraffic) { return big::native_invoker::invoke<5480, false, void>(driver, vehicle, vehicleTarget, missionType, cruiseSpeed, drivingStyle, targetReached, straightLineDistance, DriveAgainstTraffic); }
	FORCEINLINE constexpr void TASK_VEHICLE_MISSION_PED_TARGET(Ped ped, Vehicle vehicle, Ped pedTarget, int missionType, float maxSpeed, int drivingStyle, float minDistance, float straightLineDistance, BOOL DriveAgainstTraffic) { return big::native_invoker::invoke<5481, false, void>(ped, vehicle, pedTarget, missionType, maxSpeed, drivingStyle, minDistance, straightLineDistance, DriveAgainstTraffic); }
	FORCEINLINE constexpr void TASK_VEHICLE_MISSION_COORS_TARGET(Ped ped, Vehicle vehicle, float x, float y, float z, int mission, float cruiseSpeed, int drivingStyle, float targetReached, float straightLineDistance, BOOL DriveAgainstTraffic) { return big::native_invoker::invoke<5482, false, void>(ped, vehicle, x, y, z, mission, cruiseSpeed, drivingStyle, targetReached, straightLineDistance, DriveAgainstTraffic); }
	FORCEINLINE constexpr void TASK_VEHICLE_ESCORT(Ped ped, Vehicle vehicle, Vehicle targetVehicle, int mode, float speed, int drivingStyle, float minDistance, int minHeightAboveTerrain, float noRoadsDistance) { return big::native_invoker::invoke<5483, false, void>(ped, vehicle, targetVehicle, mode, speed, drivingStyle, minDistance, minHeightAboveTerrain, noRoadsDistance); }
	FORCEINLINE constexpr void TASK_VEHICLE_FOLLOW(Ped driver, Vehicle vehicle, Entity targetEntity, float speed, int drivingStyle, int minDistance) { return big::native_invoker::invoke<5484, false, void>(driver, vehicle, targetEntity, speed, drivingStyle, minDistance); }
	FORCEINLINE constexpr void TASK_VEHICLE_CHASE(Ped driver, Entity targetEnt) { return big::native_invoker::invoke<5485, false, void>(driver, targetEnt); }
	FORCEINLINE constexpr void TASK_VEHICLE_HELI_PROTECT(Ped pilot, Vehicle vehicle, Entity entityToFollow, float targetSpeed, int drivingFlags, float radius, int altitude, int heliFlags) { return big::native_invoker::invoke<5486, false, void>(pilot, vehicle, entityToFollow, targetSpeed, drivingFlags, radius, altitude, heliFlags); }
	FORCEINLINE constexpr void SET_TASK_VEHICLE_CHASE_BEHAVIOR_FLAG(Ped ped, int flag, BOOL set) { return big::native_invoker::invoke<5487, false, void>(ped, flag, set); }
	FORCEINLINE constexpr void SET_TASK_VEHICLE_CHASE_IDEAL_PURSUIT_DISTANCE(Ped ped, float distance) { return big::native_invoker::invoke<5488, false, void>(ped, distance); }
	FORCEINLINE constexpr void TASK_HELI_CHASE(Ped pilot, Entity entityToFollow, float x, float y, float z) { return big::native_invoker::invoke<5489, false, void>(pilot, entityToFollow, x, y, z); }
	FORCEINLINE constexpr void TASK_PLANE_CHASE(Ped pilot, Entity entityToFollow, float x, float y, float z) { return big::native_invoker::invoke<5490, false, void>(pilot, entityToFollow, x, y, z); }
	FORCEINLINE constexpr void TASK_PLANE_LAND(Ped pilot, Vehicle plane, float runwayStartX, float runwayStartY, float runwayStartZ, float runwayEndX, float runwayEndY, float runwayEndZ) { return big::native_invoker::invoke<5491, false, void>(pilot, plane, runwayStartX, runwayStartY, runwayStartZ, runwayEndX, runwayEndY, runwayEndZ); }
	FORCEINLINE constexpr void CLEAR_DEFAULT_PRIMARY_TASK(Ped ped) { return big::native_invoker::invoke<5492, false, void>(ped); }
	FORCEINLINE constexpr void CLEAR_PRIMARY_VEHICLE_TASK(Vehicle vehicle) { return big::native_invoker::invoke<5493, false, void>(vehicle); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_CRASH_TASK(Vehicle vehicle) { return big::native_invoker::invoke<5494, false, void>(vehicle); }
	FORCEINLINE constexpr void TASK_PLANE_GOTO_PRECISE_VTOL(Ped ped, Vehicle vehicle, float x, float y, float z, int flightHeight, int minHeightAboveTerrain, BOOL useDesiredOrientation, float desiredOrientation, BOOL autopilot) { return big::native_invoker::invoke<5495, false, void>(ped, vehicle, x, y, z, flightHeight, minHeightAboveTerrain, useDesiredOrientation, desiredOrientation, autopilot); }
	FORCEINLINE constexpr void TASK_SUBMARINE_GOTO_AND_STOP(Ped ped, Vehicle submarine, float x, float y, float z, BOOL autopilot) { return big::native_invoker::invoke<5496, false, void>(ped, submarine, x, y, z, autopilot); }
	FORCEINLINE constexpr void TASK_HELI_MISSION(Ped pilot, Vehicle aircraft, Vehicle targetVehicle, Ped targetPed, float destinationX, float destinationY, float destinationZ, int missionFlag, float maxSpeed, float radius, float targetHeading, int maxHeight, int minHeight, float slowDownDistance, int behaviorFlags) { return big::native_invoker::invoke<5497, false, void>(pilot, aircraft, targetVehicle, targetPed, destinationX, destinationY, destinationZ, missionFlag, maxSpeed, radius, targetHeading, maxHeight, minHeight, slowDownDistance, behaviorFlags); }
	FORCEINLINE constexpr void TASK_HELI_ESCORT_HELI(Ped pilot, Vehicle heli1, Vehicle heli2, float offsetX, float offsetY, float offsetZ) { return big::native_invoker::invoke<5498, false, void>(pilot, heli1, heli2, offsetX, offsetY, offsetZ); }
	FORCEINLINE constexpr void TASK_PLANE_MISSION(Ped pilot, Vehicle aircraft, Vehicle targetVehicle, Ped targetPed, float destinationX, float destinationY, float destinationZ, int missionFlag, float angularDrag, float targetReached, float targetHeading, float maxZ, float minZ, BOOL precise) { return big::native_invoker::invoke<5499, false, void>(pilot, aircraft, targetVehicle, targetPed, destinationX, destinationY, destinationZ, missionFlag, angularDrag, targetReached, targetHeading, maxZ, minZ, precise); }
	FORCEINLINE constexpr void TASK_PLANE_TAXI(Ped pilot, Vehicle aircraft, float x, float y, float z, float cruiseSpeed, float targetReached) { return big::native_invoker::invoke<5500, false, void>(pilot, aircraft, x, y, z, cruiseSpeed, targetReached); }
	FORCEINLINE constexpr void TASK_BOAT_MISSION(Ped pedDriver, Vehicle vehicle, Vehicle targetVehicle, Ped targetPed, float x, float y, float z, int mission, float maxSpeed, int drivingStyle, float targetReached, Any boatFlags) { return big::native_invoker::invoke<5501, false, void>(pedDriver, vehicle, targetVehicle, targetPed, x, y, z, mission, maxSpeed, drivingStyle, targetReached, boatFlags); }
	FORCEINLINE constexpr void TASK_DRIVE_BY(Ped driverPed, Ped targetPed, Vehicle targetVehicle, float targetX, float targetY, float targetZ, float distanceToShoot, int pedAccuracy, BOOL pushUnderneathDrivingTaskIfDriving, Hash firingPattern) { return big::native_invoker::invoke<5502, false, void>(driverPed, targetPed, targetVehicle, targetX, targetY, targetZ, distanceToShoot, pedAccuracy, pushUnderneathDrivingTaskIfDriving, firingPattern); }
	FORCEINLINE constexpr void SET_DRIVEBY_TASK_TARGET(Ped shootingPed, Ped targetPed, Vehicle targetVehicle, float x, float y, float z) { return big::native_invoker::invoke<5503, false, void>(shootingPed, targetPed, targetVehicle, x, y, z); }
	FORCEINLINE constexpr void CLEAR_DRIVEBY_TASK_UNDERNEATH_DRIVING_TASK(Ped ped) { return big::native_invoker::invoke<5504, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_DRIVEBY_TASK_UNDERNEATH_DRIVING_TASK(Ped ped) { return big::native_invoker::invoke<5505, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL CONTROL_MOUNTED_WEAPON(Ped ped) { return big::native_invoker::invoke<5506, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_MOUNTED_WEAPON_TARGET(Ped shootingPed, Ped targetPed, Vehicle targetVehicle, float x, float y, float z, int taskMode, BOOL ignoreTargetVehDeadCheck) { return big::native_invoker::invoke<5507, false, void>(shootingPed, targetPed, targetVehicle, x, y, z, taskMode, ignoreTargetVehDeadCheck); }
	FORCEINLINE constexpr BOOL IS_MOUNTED_WEAPON_TASK_UNDERNEATH_DRIVING_TASK(Ped ped) { return big::native_invoker::invoke<5508, false, BOOL>(ped); }
	FORCEINLINE constexpr void TASK_USE_MOBILE_PHONE(Ped ped, BOOL usePhone, int desiredPhoneMode) { return big::native_invoker::invoke<5509, false, void>(ped, usePhone, desiredPhoneMode); }
	FORCEINLINE constexpr void TASK_USE_MOBILE_PHONE_TIMED(Ped ped, int duration) { return big::native_invoker::invoke<5510, false, void>(ped, duration); }
	FORCEINLINE constexpr void TASK_CHAT_TO_PED(Ped ped, Ped target, int flags, float goToLocationX, float goToLocationY, float goToLocationZ, float headingDegs, float idleTime) { return big::native_invoker::invoke<5511, false, void>(ped, target, flags, goToLocationX, goToLocationY, goToLocationZ, headingDegs, idleTime); }
	FORCEINLINE constexpr void TASK_WARP_PED_INTO_VEHICLE(Ped ped, Vehicle vehicle, int seat) { return big::native_invoker::invoke<5512, false, void>(ped, vehicle, seat); }
	FORCEINLINE constexpr void TASK_SHOOT_AT_ENTITY(Entity entity, Entity target, int duration, Hash firingPattern) { return big::native_invoker::invoke<5513, false, void>(entity, target, duration, firingPattern); }
	FORCEINLINE constexpr void TASK_CLIMB(Ped ped, BOOL usePlayerLaunchForce) { return big::native_invoker::invoke<5514, false, void>(ped, usePlayerLaunchForce); }
	FORCEINLINE constexpr void TASK_CLIMB_LADDER(Ped ped, BOOL fast) { return big::native_invoker::invoke<5515, false, void>(ped, fast); }
	FORCEINLINE constexpr void TASK_RAPPEL_DOWN_WALL_USING_CLIPSET_OVERRIDE(Ped ped, float x1, float y1, float z1, float x2, float y2, float z2, float minZ, int ropeHandle, const char* clipSet, Any p10, Any p11) { return big::native_invoker::invoke<5516, false, void>(ped, x1, y1, z1, x2, y2, z2, minZ, ropeHandle, clipSet, p10, p11); }
	FORCEINLINE constexpr int GET_TASK_RAPPEL_DOWN_WALL_STATE(Ped ped) { return big::native_invoker::invoke<5517, false, int>(ped); }
	FORCEINLINE constexpr void CLEAR_PED_TASKS_IMMEDIATELY(Ped ped) { return big::native_invoker::invoke<5518, false, void>(ped); }
	FORCEINLINE constexpr void TASK_PERFORM_SEQUENCE_FROM_PROGRESS(Ped ped, int taskIndex, int progress1, int progress2) { return big::native_invoker::invoke<5519, false, void>(ped, taskIndex, progress1, progress2); }
	FORCEINLINE constexpr void SET_NEXT_DESIRED_MOVE_STATE(float nextMoveState) { return big::native_invoker::invoke<5520, false, void>(nextMoveState); }
	FORCEINLINE constexpr void SET_PED_DESIRED_MOVE_BLEND_RATIO(Ped ped, float newMoveBlendRatio) { return big::native_invoker::invoke<5521, false, void>(ped, newMoveBlendRatio); }
	FORCEINLINE constexpr float GET_PED_DESIRED_MOVE_BLEND_RATIO(Ped ped) { return big::native_invoker::invoke<5522, false, float>(ped); }
	FORCEINLINE constexpr void TASK_GOTO_ENTITY_AIMING(Ped ped, Entity target, float distanceToStopAt, float StartAimingDist) { return big::native_invoker::invoke<5523, false, void>(ped, target, distanceToStopAt, StartAimingDist); }
	FORCEINLINE constexpr void TASK_SET_DECISION_MAKER(Ped ped, Hash decisionMakerId) { return big::native_invoker::invoke<5524, false, void>(ped, decisionMakerId); }
	FORCEINLINE constexpr void TASK_SET_SPHERE_DEFENSIVE_AREA(Ped ped, float x, float y, float z, float radius) { return big::native_invoker::invoke<5525, false, void>(ped, x, y, z, radius); }
	FORCEINLINE constexpr void TASK_CLEAR_DEFENSIVE_AREA(Ped ped) { return big::native_invoker::invoke<5526, false, void>(ped); }
	FORCEINLINE constexpr void TASK_PED_SLIDE_TO_COORD(Ped ped, float x, float y, float z, float heading, float speed) { return big::native_invoker::invoke<5527, false, void>(ped, x, y, z, heading, speed); }
	FORCEINLINE constexpr void TASK_PED_SLIDE_TO_COORD_HDG_RATE(Ped ped, float x, float y, float z, float heading, float speed, float headingChangeRate) { return big::native_invoker::invoke<5528, false, void>(ped, x, y, z, heading, speed, headingChangeRate); }
	FORCEINLINE constexpr ScrHandle ADD_COVER_POINT(float x, float y, float z, float direction, int usage, int height, int arc, BOOL isPriority) { return big::native_invoker::invoke<5529, false, ScrHandle>(x, y, z, direction, usage, height, arc, isPriority); }
	FORCEINLINE constexpr void REMOVE_COVER_POINT(ScrHandle coverpoint) { return big::native_invoker::invoke<5530, false, void>(coverpoint); }
	FORCEINLINE constexpr BOOL DOES_SCRIPTED_COVER_POINT_EXIST_AT_COORDS(float x, float y, float z) { return big::native_invoker::invoke<5531, false, BOOL>(x, y, z); }
	FORCEINLINE constexpr Vector3 GET_SCRIPTED_COVER_POINT_COORDS(ScrHandle coverpoint) { return big::native_invoker::invoke<5532, false, Vector3>(coverpoint); }
	FORCEINLINE constexpr void ADD_SCRIPTED_COVER_AREA(float x, float y, float z, float radius) { return big::native_invoker::invoke<5533, false, void>(x, y, z, radius); }
	FORCEINLINE constexpr void TASK_COMBAT_PED(Ped ped, Ped targetPed, int combatFlags, int threatResponseFlags) { return big::native_invoker::invoke<5534, false, void>(ped, targetPed, combatFlags, threatResponseFlags); }
	FORCEINLINE constexpr void TASK_COMBAT_PED_TIMED(Ped ped, Ped target, int time, int flags) { return big::native_invoker::invoke<5535, false, void>(ped, target, time, flags); }
	FORCEINLINE constexpr void TASK_SEEK_COVER_FROM_POS(Ped ped, float x, float y, float z, int duration, BOOL allowPeekingAndFiring) { return big::native_invoker::invoke<5536, false, void>(ped, x, y, z, duration, allowPeekingAndFiring); }
	FORCEINLINE constexpr void TASK_SEEK_COVER_FROM_PED(Ped ped, Ped target, int duration, BOOL allowPeekingAndFiring) { return big::native_invoker::invoke<5537, false, void>(ped, target, duration, allowPeekingAndFiring); }
	FORCEINLINE constexpr void TASK_SEEK_COVER_TO_COVER_POINT(Ped ped, ScrHandle coverpoint, float x, float y, float z, int time, BOOL allowPeekingAndFiring) { return big::native_invoker::invoke<5538, false, void>(ped, coverpoint, x, y, z, time, allowPeekingAndFiring); }
	FORCEINLINE constexpr void TASK_SEEK_COVER_TO_COORDS(Ped ped, float x1, float y1, float z1, float x2, float y2, float z2, int timeout, BOOL shortRoute) { return big::native_invoker::invoke<5539, false, void>(ped, x1, y1, z1, x2, y2, z2, timeout, shortRoute); }
	FORCEINLINE constexpr void TASK_PUT_PED_DIRECTLY_INTO_COVER(Ped ped, float x, float y, float z, int time, BOOL allowPeekingAndFiring, float blendInDuration, BOOL forceInitialFacingDirection, BOOL forceFaceLeft, int identifier, BOOL doEntry) { return big::native_invoker::invoke<5540, false, void>(ped, x, y, z, time, allowPeekingAndFiring, blendInDuration, forceInitialFacingDirection, forceFaceLeft, identifier, doEntry); }
	FORCEINLINE constexpr void TASK_WARP_PED_DIRECTLY_INTO_COVER(Ped ped, int time, BOOL allowPeekingAndFiring, BOOL forceInitialFacingDirection, BOOL forceFaceLeft, int identifier) { return big::native_invoker::invoke<5541, false, void>(ped, time, allowPeekingAndFiring, forceInitialFacingDirection, forceFaceLeft, identifier); }
	FORCEINLINE constexpr void TASK_EXIT_COVER(Ped ped, int exitType, float x, float y, float z) { return big::native_invoker::invoke<5542, false, void>(ped, exitType, x, y, z); }
	FORCEINLINE constexpr void TASK_PUT_PED_DIRECTLY_INTO_MELEE(Ped ped, Ped meleeTarget, float blendInDuration, float timeInMelee, float strafePhaseSync, int aiCombatFlags) { return big::native_invoker::invoke<5543, false, void>(ped, meleeTarget, blendInDuration, timeInMelee, strafePhaseSync, aiCombatFlags); }
	FORCEINLINE constexpr void TASK_TOGGLE_DUCK(Ped ped, int toggleType) { return big::native_invoker::invoke<5544, false, void>(ped, toggleType); }
	FORCEINLINE constexpr void TASK_GUARD_CURRENT_POSITION(Ped ped, float maxPatrolProximity, float defensiveAreaRadius, BOOL setDefensiveArea) { return big::native_invoker::invoke<5545, false, void>(ped, maxPatrolProximity, defensiveAreaRadius, setDefensiveArea); }
	FORCEINLINE constexpr void TASK_GUARD_ASSIGNED_DEFENSIVE_AREA(Ped ped, float x, float y, float z, float heading, float maxPatrolProximity, int timer) { return big::native_invoker::invoke<5546, false, void>(ped, x, y, z, heading, maxPatrolProximity, timer); }
	FORCEINLINE constexpr void TASK_GUARD_SPHERE_DEFENSIVE_AREA(Ped ped, float defendPositionX, float defendPositionY, float defendPositionZ, float heading, float maxPatrolProximity, int time, float x, float y, float z, float defensiveAreaRadius) { return big::native_invoker::invoke<5547, false, void>(ped, defendPositionX, defendPositionY, defendPositionZ, heading, maxPatrolProximity, time, x, y, z, defensiveAreaRadius); }
	FORCEINLINE constexpr void TASK_STAND_GUARD(Ped ped, float x, float y, float z, float heading, const char* scenarioName) { return big::native_invoker::invoke<5548, false, void>(ped, x, y, z, heading, scenarioName); }
	FORCEINLINE constexpr void SET_DRIVE_TASK_CRUISE_SPEED(Ped driver, float cruiseSpeed) { return big::native_invoker::invoke<5549, false, void>(driver, cruiseSpeed); }
	FORCEINLINE constexpr void SET_DRIVE_TASK_MAX_CRUISE_SPEED(Ped ped, float speed) { return big::native_invoker::invoke<5550, false, void>(ped, speed); }
	FORCEINLINE constexpr void SET_DRIVE_TASK_DRIVING_STYLE(Ped ped, int drivingStyle) { return big::native_invoker::invoke<5551, false, void>(ped, drivingStyle); }
	FORCEINLINE constexpr void ADD_COVER_BLOCKING_AREA(float startX, float startY, float startZ, float endX, float endY, float endZ, BOOL blockObjects, BOOL blockVehicles, BOOL blockMap, BOOL blockPlayer) { return big::native_invoker::invoke<5552, false, void>(startX, startY, startZ, endX, endY, endZ, blockObjects, blockVehicles, blockMap, blockPlayer); }
	FORCEINLINE constexpr void REMOVE_ALL_COVER_BLOCKING_AREAS() { return big::native_invoker::invoke<5553, false, void>(); }
	FORCEINLINE constexpr void REMOVE_COVER_BLOCKING_AREAS_AT_POSITION(float x, float y, float z) { return big::native_invoker::invoke<5554, false, void>(x, y, z); }
	FORCEINLINE constexpr void REMOVE_SPECIFIC_COVER_BLOCKING_AREAS(float startX, float startY, float startZ, float endX, float endY, float endZ, BOOL blockObjects, BOOL blockVehicles, BOOL blockMap, BOOL blockPlayer) { return big::native_invoker::invoke<5555, false, void>(startX, startY, startZ, endX, endY, endZ, blockObjects, blockVehicles, blockMap, blockPlayer); }
	FORCEINLINE constexpr void TASK_START_SCENARIO_IN_PLACE(Ped ped, const char* scenarioName, int unkDelay, BOOL playEnterAnim) { return big::native_invoker::invoke<5556, false, void>(ped, scenarioName, unkDelay, playEnterAnim); }
	FORCEINLINE constexpr void TASK_START_SCENARIO_AT_POSITION(Ped ped, const char* scenarioName, float x, float y, float z, float heading, int duration, BOOL sittingScenario, BOOL teleport) { return big::native_invoker::invoke<5557, false, void>(ped, scenarioName, x, y, z, heading, duration, sittingScenario, teleport); }
	FORCEINLINE constexpr void TASK_USE_NEAREST_SCENARIO_TO_COORD(Ped ped, float x, float y, float z, float distance, int duration) { return big::native_invoker::invoke<5558, false, void>(ped, x, y, z, distance, duration); }
	FORCEINLINE constexpr void TASK_USE_NEAREST_SCENARIO_TO_COORD_WARP(Ped ped, float x, float y, float z, float radius, int timeToLeave) { return big::native_invoker::invoke<5559, false, void>(ped, x, y, z, radius, timeToLeave); }
	FORCEINLINE constexpr void TASK_USE_NEAREST_SCENARIO_CHAIN_TO_COORD(Ped ped, float x, float y, float z, float maxRange, int timeToLeave) { return big::native_invoker::invoke<5560, false, void>(ped, x, y, z, maxRange, timeToLeave); }
	FORCEINLINE constexpr void TASK_USE_NEAREST_SCENARIO_CHAIN_TO_COORD_WARP(Ped ped, float x, float y, float z, float radius, int timeToLeave) { return big::native_invoker::invoke<5561, false, void>(ped, x, y, z, radius, timeToLeave); }
	FORCEINLINE constexpr BOOL DOES_SCENARIO_EXIST_IN_AREA(float x, float y, float z, float radius, BOOL mustBeFree) { return big::native_invoker::invoke<5562, false, BOOL>(x, y, z, radius, mustBeFree); }
	FORCEINLINE constexpr BOOL DOES_SCENARIO_OF_TYPE_EXIST_IN_AREA(float x, float y, float z, const char* scenarioName, float radius, BOOL mustBeFree) { return big::native_invoker::invoke<5563, false, BOOL>(x, y, z, scenarioName, radius, mustBeFree); }
	FORCEINLINE constexpr BOOL IS_SCENARIO_OCCUPIED(float x, float y, float z, float maxRange, BOOL onlyUsersActuallyAtScenario) { return big::native_invoker::invoke<5564, false, BOOL>(x, y, z, maxRange, onlyUsersActuallyAtScenario); }
	FORCEINLINE constexpr BOOL PED_HAS_USE_SCENARIO_TASK(Ped ped) { return big::native_invoker::invoke<5565, false, BOOL>(ped); }
	FORCEINLINE constexpr void PLAY_ANIM_ON_RUNNING_SCENARIO(Ped ped, const char* animDict, const char* animName) { return big::native_invoker::invoke<5566, false, void>(ped, animDict, animName); }
	FORCEINLINE constexpr BOOL DOES_SCENARIO_GROUP_EXIST(const char* scenarioGroup) { return big::native_invoker::invoke<5567, false, BOOL>(scenarioGroup); }
	FORCEINLINE constexpr BOOL IS_SCENARIO_GROUP_ENABLED(const char* scenarioGroup) { return big::native_invoker::invoke<5568, false, BOOL>(scenarioGroup); }
	FORCEINLINE constexpr void SET_SCENARIO_GROUP_ENABLED(const char* scenarioGroup, BOOL enabled) { return big::native_invoker::invoke<5569, false, void>(scenarioGroup, enabled); }
	FORCEINLINE constexpr void RESET_SCENARIO_GROUPS_ENABLED() { return big::native_invoker::invoke<5570, false, void>(); }
	FORCEINLINE constexpr void SET_EXCLUSIVE_SCENARIO_GROUP(const char* scenarioGroup) { return big::native_invoker::invoke<5571, false, void>(scenarioGroup); }
	FORCEINLINE constexpr void RESET_EXCLUSIVE_SCENARIO_GROUP() { return big::native_invoker::invoke<5572, false, void>(); }
	FORCEINLINE constexpr BOOL IS_SCENARIO_TYPE_ENABLED(const char* scenarioType) { return big::native_invoker::invoke<5573, false, BOOL>(scenarioType); }
	FORCEINLINE constexpr void SET_SCENARIO_TYPE_ENABLED(const char* scenarioType, BOOL toggle) { return big::native_invoker::invoke<5574, false, void>(scenarioType, toggle); }
	FORCEINLINE constexpr void RESET_SCENARIO_TYPES_ENABLED() { return big::native_invoker::invoke<5575, false, void>(); }
	FORCEINLINE constexpr BOOL IS_PED_ACTIVE_IN_SCENARIO(Ped ped) { return big::native_invoker::invoke<5576, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_PLAYING_BASE_CLIP_IN_SCENARIO(Ped ped) { return big::native_invoker::invoke<5577, false, BOOL>(ped); }
	FORCEINLINE constexpr void SET_PED_CAN_PLAY_AMBIENT_IDLES(Ped ped, BOOL blockIdleClips, BOOL removeIdleClipIfPlaying) { return big::native_invoker::invoke<5578, false, void>(ped, blockIdleClips, removeIdleClipIfPlaying); }
	FORCEINLINE constexpr void TASK_COMBAT_HATED_TARGETS_IN_AREA(Ped ped, float x, float y, float z, float radius, int combatFlags) { return big::native_invoker::invoke<5579, false, void>(ped, x, y, z, radius, combatFlags); }
	FORCEINLINE constexpr void TASK_COMBAT_HATED_TARGETS_AROUND_PED(Ped ped, float radius, int combatFlags) { return big::native_invoker::invoke<5580, false, void>(ped, radius, combatFlags); }
	FORCEINLINE constexpr void TASK_COMBAT_HATED_TARGETS_AROUND_PED_TIMED(Ped ped, float radius, int time, int combatFlags) { return big::native_invoker::invoke<5581, false, void>(ped, radius, time, combatFlags); }
	FORCEINLINE constexpr void TASK_THROW_PROJECTILE(Ped ped, float x, float y, float z, int ignoreCollisionEntityIndex, BOOL createInvincibleProjectile) { return big::native_invoker::invoke<5582, false, void>(ped, x, y, z, ignoreCollisionEntityIndex, createInvincibleProjectile); }
	FORCEINLINE constexpr void TASK_SWAP_WEAPON(Ped ped, BOOL drawWeapon) { return big::native_invoker::invoke<5583, false, void>(ped, drawWeapon); }
	FORCEINLINE constexpr void TASK_RELOAD_WEAPON(Ped ped, BOOL drawWeapon) { return big::native_invoker::invoke<5584, false, void>(ped, drawWeapon); }
	FORCEINLINE constexpr BOOL IS_PED_GETTING_UP(Ped ped) { return big::native_invoker::invoke<5585, false, BOOL>(ped); }
	FORCEINLINE constexpr void TASK_WRITHE(Ped ped, Ped target, int minFireLoops, int startState, BOOL forceShootOnGround, int shootFromGroundTimer) { return big::native_invoker::invoke<5586, false, void>(ped, target, minFireLoops, startState, forceShootOnGround, shootFromGroundTimer); }
	FORCEINLINE constexpr BOOL IS_PED_IN_WRITHE(Ped ped) { return big::native_invoker::invoke<5587, false, BOOL>(ped); }
	FORCEINLINE constexpr void OPEN_PATROL_ROUTE(const char* patrolRoute) { return big::native_invoker::invoke<5588, false, void>(patrolRoute); }
	FORCEINLINE constexpr void CLOSE_PATROL_ROUTE() { return big::native_invoker::invoke<5589, false, void>(); }
	FORCEINLINE constexpr void ADD_PATROL_ROUTE_NODE(int nodeId, const char* nodeType, float posX, float posY, float posZ, float headingX, float headingY, float headingZ, int duration) { return big::native_invoker::invoke<5590, false, void>(nodeId, nodeType, posX, posY, posZ, headingX, headingY, headingZ, duration); }
	FORCEINLINE constexpr void ADD_PATROL_ROUTE_LINK(int nodeId1, int nodeId2) { return big::native_invoker::invoke<5591, false, void>(nodeId1, nodeId2); }
	FORCEINLINE constexpr void CREATE_PATROL_ROUTE() { return big::native_invoker::invoke<5592, false, void>(); }
	FORCEINLINE constexpr void DELETE_PATROL_ROUTE(const char* patrolRoute) { return big::native_invoker::invoke<5593, false, void>(patrolRoute); }
	FORCEINLINE constexpr BOOL GET_PATROL_TASK_INFO(Ped ped, int* timeLeftAtNode, int* nodeId) { return big::native_invoker::invoke<5594, false, BOOL>(ped, timeLeftAtNode, nodeId); }
	FORCEINLINE constexpr void TASK_PATROL(Ped ped, const char* patrolRouteName, int alertState, BOOL canChatToPeds, BOOL useHeadLookAt) { return big::native_invoker::invoke<5595, false, void>(ped, patrolRouteName, alertState, canChatToPeds, useHeadLookAt); }
	FORCEINLINE constexpr void TASK_STAY_IN_COVER(Ped ped) { return big::native_invoker::invoke<5596, false, void>(ped); }
	FORCEINLINE constexpr void ADD_VEHICLE_SUBTASK_ATTACK_COORD(Ped ped, float x, float y, float z) { return big::native_invoker::invoke<5597, false, void>(ped, x, y, z); }
	FORCEINLINE constexpr void ADD_VEHICLE_SUBTASK_ATTACK_PED(Ped ped, Ped target) { return big::native_invoker::invoke<5598, false, void>(ped, target); }
	FORCEINLINE constexpr void TASK_VEHICLE_SHOOT_AT_PED(Ped ped, Ped target, float fireTolerance) { return big::native_invoker::invoke<5599, false, void>(ped, target, fireTolerance); }
	FORCEINLINE constexpr void TASK_VEHICLE_AIM_AT_PED(Ped ped, Ped target) { return big::native_invoker::invoke<5600, false, void>(ped, target); }
	FORCEINLINE constexpr void TASK_VEHICLE_SHOOT_AT_COORD(Ped ped, float x, float y, float z, float fireTolerance) { return big::native_invoker::invoke<5601, false, void>(ped, x, y, z, fireTolerance); }
	FORCEINLINE constexpr void TASK_VEHICLE_AIM_AT_COORD(Ped ped, float x, float y, float z) { return big::native_invoker::invoke<5602, false, void>(ped, x, y, z); }
	FORCEINLINE constexpr void TASK_VEHICLE_GOTO_NAVMESH(Ped ped, Vehicle vehicle, float x, float y, float z, float speed, int behaviorFlag, float stoppingRange) { return big::native_invoker::invoke<5603, false, void>(ped, vehicle, x, y, z, speed, behaviorFlag, stoppingRange); }
	FORCEINLINE constexpr void TASK_GO_TO_COORD_WHILE_AIMING_AT_COORD(Ped ped, float x, float y, float z, float aimAtX, float aimAtY, float aimAtZ, float moveBlendRatio, BOOL shoot, float targetRadius, float slowDistance, BOOL useNavMesh, int navFlags, BOOL instantBlendToAim, Hash firingPattern) { return big::native_invoker::invoke<5604, false, void>(ped, x, y, z, aimAtX, aimAtY, aimAtZ, moveBlendRatio, shoot, targetRadius, slowDistance, useNavMesh, navFlags, instantBlendToAim, firingPattern); }
	FORCEINLINE constexpr void TASK_GO_TO_COORD_WHILE_AIMING_AT_ENTITY(Ped ped, float x, float y, float z, Entity aimAtID, float moveBlendRatio, BOOL shoot, float targetRadius, float slowDistance, BOOL useNavMesh, int navFlags, BOOL instantBlendToAim, Hash firingPattern, int time) { return big::native_invoker::invoke<5605, false, void>(ped, x, y, z, aimAtID, moveBlendRatio, shoot, targetRadius, slowDistance, useNavMesh, navFlags, instantBlendToAim, firingPattern, time); }
	FORCEINLINE constexpr void TASK_GO_TO_COORD_AND_AIM_AT_HATED_ENTITIES_NEAR_COORD(Ped pedHandle, float goToLocationX, float goToLocationY, float goToLocationZ, float focusLocationX, float focusLocationY, float focusLocationZ, float speed, BOOL shootAtEnemies, float distanceToStopAt, float noRoadsDistance, BOOL useNavMesh, int navFlags, int taskFlags, Hash firingPattern) { return big::native_invoker::invoke<5606, false, void>(pedHandle, goToLocationX, goToLocationY, goToLocationZ, focusLocationX, focusLocationY, focusLocationZ, speed, shootAtEnemies, distanceToStopAt, noRoadsDistance, useNavMesh, navFlags, taskFlags, firingPattern); }
	FORCEINLINE constexpr void TASK_GO_TO_ENTITY_WHILE_AIMING_AT_COORD(Ped ped, Entity entity, float aimX, float aimY, float aimZ, float moveBlendRatio, BOOL shoot, float targetRadius, float slowDistance, BOOL useNavMesh, BOOL instantBlendToAim, Hash firingPattern) { return big::native_invoker::invoke<5607, false, void>(ped, entity, aimX, aimY, aimZ, moveBlendRatio, shoot, targetRadius, slowDistance, useNavMesh, instantBlendToAim, firingPattern); }
	FORCEINLINE constexpr void TASK_GO_TO_ENTITY_WHILE_AIMING_AT_ENTITY(Ped ped, Entity entityToWalkTo, Entity entityToAimAt, float speed, BOOL shootatEntity, float targetRadius, float slowDistance, BOOL useNavMesh, BOOL instantBlendToAim, Hash firingPattern) { return big::native_invoker::invoke<5608, false, void>(ped, entityToWalkTo, entityToAimAt, speed, shootatEntity, targetRadius, slowDistance, useNavMesh, instantBlendToAim, firingPattern); }
	FORCEINLINE constexpr void SET_HIGH_FALL_TASK(Ped ped, int minTime, int maxTime, int entryType) { return big::native_invoker::invoke<5609, false, void>(ped, minTime, maxTime, entryType); }
	FORCEINLINE constexpr void REQUEST_WAYPOINT_RECORDING(const char* name) { return big::native_invoker::invoke<5610, false, void>(name); }
	FORCEINLINE constexpr BOOL GET_IS_WAYPOINT_RECORDING_LOADED(const char* name) { return big::native_invoker::invoke<5611, false, BOOL>(name); }
	FORCEINLINE constexpr void REMOVE_WAYPOINT_RECORDING(const char* name) { return big::native_invoker::invoke<5612, false, void>(name); }
	FORCEINLINE constexpr BOOL WAYPOINT_RECORDING_GET_NUM_POINTS(const char* name, int* points) { return big::native_invoker::invoke<5613, false, BOOL>(name, points); }
	FORCEINLINE constexpr BOOL WAYPOINT_RECORDING_GET_COORD(const char* name, int point, Vector3* coord) { return big::native_invoker::invoke<5614, true, BOOL>(name, point, coord); }
	FORCEINLINE constexpr float WAYPOINT_RECORDING_GET_SPEED_AT_POINT(const char* name, int point) { return big::native_invoker::invoke<5615, false, float>(name, point); }
	FORCEINLINE constexpr BOOL WAYPOINT_RECORDING_GET_CLOSEST_WAYPOINT(const char* name, float x, float y, float z, int* point) { return big::native_invoker::invoke<5616, false, BOOL>(name, x, y, z, point); }
	FORCEINLINE constexpr void TASK_FOLLOW_WAYPOINT_RECORDING(Ped ped, const char* name, int p2, int p3, int p4) { return big::native_invoker::invoke<5617, false, void>(ped, name, p2, p3, p4); }
	FORCEINLINE constexpr BOOL IS_WAYPOINT_PLAYBACK_GOING_ON_FOR_PED(Ped ped) { return big::native_invoker::invoke<5618, false, BOOL>(ped); }
	FORCEINLINE constexpr int GET_PED_WAYPOINT_PROGRESS(Ped ped) { return big::native_invoker::invoke<5619, false, int>(ped); }
	FORCEINLINE constexpr float GET_PED_WAYPOINT_DISTANCE(Any p0) { return big::native_invoker::invoke<5620, false, float>(p0); }
	FORCEINLINE constexpr BOOL SET_PED_WAYPOINT_ROUTE_OFFSET(Ped ped, float x, float y, float z) { return big::native_invoker::invoke<5621, false, BOOL>(ped, x, y, z); }
	FORCEINLINE constexpr float GET_WAYPOINT_DISTANCE_ALONG_ROUTE(const char* name, int point) { return big::native_invoker::invoke<5622, false, float>(name, point); }
	FORCEINLINE constexpr BOOL WAYPOINT_PLAYBACK_GET_IS_PAUSED(Any p0) { return big::native_invoker::invoke<5623, false, BOOL>(p0); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_PAUSE(Any p0, BOOL p1, BOOL p2) { return big::native_invoker::invoke<5624, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_RESUME(Any p0, BOOL p1, Any p2, Any p3) { return big::native_invoker::invoke<5625, false, void>(p0, p1, p2, p3); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_OVERRIDE_SPEED(Any p0, float p1, BOOL p2) { return big::native_invoker::invoke<5626, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_USE_DEFAULT_SPEED(Any p0) { return big::native_invoker::invoke<5627, false, void>(p0); }
	FORCEINLINE constexpr void USE_WAYPOINT_RECORDING_AS_ASSISTED_MOVEMENT_ROUTE(const char* name, BOOL p1, float p2, float p3) { return big::native_invoker::invoke<5628, false, void>(name, p1, p2, p3); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_START_AIMING_AT_PED(Ped ped, Ped target, BOOL p2) { return big::native_invoker::invoke<5629, false, void>(ped, target, p2); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_START_AIMING_AT_COORD(Ped ped, float x, float y, float z, BOOL p4) { return big::native_invoker::invoke<5630, false, void>(ped, x, y, z, p4); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_START_SHOOTING_AT_PED(Ped ped, Ped ped2, BOOL p2, BOOL p3) { return big::native_invoker::invoke<5631, false, void>(ped, ped2, p2, p3); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_START_SHOOTING_AT_COORD(Ped ped, float x, float y, float z, BOOL p4, Hash firingPattern) { return big::native_invoker::invoke<5632, false, void>(ped, x, y, z, p4, firingPattern); }
	FORCEINLINE constexpr void WAYPOINT_PLAYBACK_STOP_AIMING_OR_SHOOTING(Ped ped) { return big::native_invoker::invoke<5633, false, void>(ped); }
	FORCEINLINE constexpr void ASSISTED_MOVEMENT_REQUEST_ROUTE(const char* route) { return big::native_invoker::invoke<5634, false, void>(route); }
	FORCEINLINE constexpr void ASSISTED_MOVEMENT_REMOVE_ROUTE(const char* route) { return big::native_invoker::invoke<5635, false, void>(route); }
	FORCEINLINE constexpr BOOL ASSISTED_MOVEMENT_IS_ROUTE_LOADED(const char* route) { return big::native_invoker::invoke<5636, false, BOOL>(route); }
	FORCEINLINE constexpr void ASSISTED_MOVEMENT_SET_ROUTE_PROPERTIES(const char* route, int props) { return big::native_invoker::invoke<5637, false, void>(route, props); }
	FORCEINLINE constexpr void ASSISTED_MOVEMENT_OVERRIDE_LOAD_DISTANCE_THIS_FRAME(float dist) { return big::native_invoker::invoke<5638, false, void>(dist); }
	FORCEINLINE constexpr void TASK_VEHICLE_FOLLOW_WAYPOINT_RECORDING(Ped ped, Vehicle vehicle, const char* WPRecording, int p3, int p4, int p5, int p6, float p7, BOOL p8, float p9) { return big::native_invoker::invoke<5639, false, void>(ped, vehicle, WPRecording, p3, p4, p5, p6, p7, p8, p9); }
	FORCEINLINE constexpr BOOL IS_WAYPOINT_PLAYBACK_GOING_ON_FOR_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5640, false, BOOL>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_WAYPOINT_PROGRESS(Vehicle vehicle) { return big::native_invoker::invoke<5641, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_WAYPOINT_TARGET_POINT(Vehicle vehicle) { return big::native_invoker::invoke<5642, false, int>(vehicle); }
	FORCEINLINE constexpr void VEHICLE_WAYPOINT_PLAYBACK_PAUSE(Vehicle vehicle) { return big::native_invoker::invoke<5643, false, void>(vehicle); }
	FORCEINLINE constexpr void VEHICLE_WAYPOINT_PLAYBACK_RESUME(Vehicle vehicle) { return big::native_invoker::invoke<5644, false, void>(vehicle); }
	FORCEINLINE constexpr void VEHICLE_WAYPOINT_PLAYBACK_USE_DEFAULT_SPEED(Vehicle vehicle) { return big::native_invoker::invoke<5645, false, void>(vehicle); }
	FORCEINLINE constexpr void VEHICLE_WAYPOINT_PLAYBACK_OVERRIDE_SPEED(Vehicle vehicle, float speed) { return big::native_invoker::invoke<5646, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void TASK_SET_BLOCKING_OF_NON_TEMPORARY_EVENTS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<5647, false, void>(ped, toggle); }
	FORCEINLINE constexpr void TASK_FORCE_MOTION_STATE(Ped ped, Hash state, BOOL forceRestart) { return big::native_invoker::invoke<5648, false, void>(ped, state, forceRestart); }
	FORCEINLINE constexpr void TASK_MOVE_NETWORK_BY_NAME(Ped ped, const char* task, float multiplier, BOOL allowOverrideCloneUpdate, const char* animDict, int flags) { return big::native_invoker::invoke<5649, false, void>(ped, task, multiplier, allowOverrideCloneUpdate, animDict, flags); }
	FORCEINLINE constexpr void TASK_MOVE_NETWORK_ADVANCED_BY_NAME(Ped ped, const char* network, float x, float y, float z, float rotX, float rotY, float rotZ, int rotOrder, float blendDuration, BOOL allowOverrideCloneUpdate, const char* animDict, int flags) { return big::native_invoker::invoke<5650, false, void>(ped, network, x, y, z, rotX, rotY, rotZ, rotOrder, blendDuration, allowOverrideCloneUpdate, animDict, flags); }
	FORCEINLINE constexpr void TASK_MOVE_NETWORK_BY_NAME_WITH_INIT_PARAMS(Ped ped, const char* network, int* initialParameters, float blendDuration, BOOL allowOverrideCloneUpdate, const char* animDict, int flags) { return big::native_invoker::invoke<5651, false, void>(ped, network, initialParameters, blendDuration, allowOverrideCloneUpdate, animDict, flags); }
	FORCEINLINE constexpr void TASK_MOVE_NETWORK_ADVANCED_BY_NAME_WITH_INIT_PARAMS(Ped ped, const char* network, int* initialParameters, float x, float y, float z, float rotX, float rotY, float rotZ, int rotOrder, float blendDuration, BOOL allowOverrideCloneUpdate, const char* dictionary, int flags) { return big::native_invoker::invoke<5652, false, void>(ped, network, initialParameters, x, y, z, rotX, rotY, rotZ, rotOrder, blendDuration, allowOverrideCloneUpdate, dictionary, flags); }
	FORCEINLINE constexpr BOOL IS_TASK_MOVE_NETWORK_ACTIVE(Ped ped) { return big::native_invoker::invoke<5653, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_TASK_MOVE_NETWORK_READY_FOR_TRANSITION(Ped ped) { return big::native_invoker::invoke<5654, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL REQUEST_TASK_MOVE_NETWORK_STATE_TRANSITION(Ped ped, const char* name) { return big::native_invoker::invoke<5655, false, BOOL>(ped, name); }
	FORCEINLINE constexpr BOOL SET_EXPECTED_CLONE_NEXT_TASK_MOVE_NETWORK_STATE(Ped ped, const char* state) { return big::native_invoker::invoke<5656, false, BOOL>(ped, state); }
	FORCEINLINE constexpr const char* GET_TASK_MOVE_NETWORK_STATE(Ped ped) { return big::native_invoker::invoke<5657, false, const char*>(ped); }
	FORCEINLINE constexpr void SET_TASK_MOVE_NETWORK_ANIM_SET(Ped ped, Hash clipSet, Hash variableClipSet) { return big::native_invoker::invoke<5658, false, void>(ped, clipSet, variableClipSet); }
	FORCEINLINE constexpr void SET_TASK_MOVE_NETWORK_SIGNAL_FLOAT(Ped ped, const char* signalName, float value) { return big::native_invoker::invoke<5659, false, void>(ped, signalName, value); }
	FORCEINLINE constexpr void SET_TASK_MOVE_NETWORK_SIGNAL_LOCAL_FLOAT(Ped ped, const char* signalName, float value) { return big::native_invoker::invoke<5660, false, void>(ped, signalName, value); }
	FORCEINLINE constexpr void SET_TASK_MOVE_NETWORK_SIGNAL_FLOAT_LERP_RATE(Ped ped, const char* signalName, float value) { return big::native_invoker::invoke<5661, false, void>(ped, signalName, value); }
	FORCEINLINE constexpr void SET_TASK_MOVE_NETWORK_SIGNAL_BOOL(Ped ped, const char* signalName, BOOL value) { return big::native_invoker::invoke<5662, false, void>(ped, signalName, value); }
	FORCEINLINE constexpr float GET_TASK_MOVE_NETWORK_SIGNAL_FLOAT(Ped ped, const char* signalName) { return big::native_invoker::invoke<5663, false, float>(ped, signalName); }
	FORCEINLINE constexpr BOOL GET_TASK_MOVE_NETWORK_SIGNAL_BOOL(Ped ped, const char* signalName) { return big::native_invoker::invoke<5664, false, BOOL>(ped, signalName); }
	FORCEINLINE constexpr BOOL GET_TASK_MOVE_NETWORK_EVENT(Ped ped, const char* eventName) { return big::native_invoker::invoke<5665, false, BOOL>(ped, eventName); }
	FORCEINLINE constexpr BOOL SET_TASK_MOVE_NETWORK_ENABLE_COLLISION_ON_NETWORK_CLONE_WHEN_FIXED(Ped ped, BOOL enable) { return big::native_invoker::invoke<5666, false, BOOL>(ped, enable); }
	FORCEINLINE constexpr void _SET_SCRIPT_TASK_ENABLE_COLLISION_ON_NETWORK_CLONE_WHEN_FIXED(Ped ped, BOOL enable) { return big::native_invoker::invoke<5667, false, void>(ped, enable); }
	FORCEINLINE constexpr BOOL IS_MOVE_BLEND_RATIO_STILL(Ped ped) { return big::native_invoker::invoke<5668, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_MOVE_BLEND_RATIO_WALKING(Ped ped) { return big::native_invoker::invoke<5669, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_MOVE_BLEND_RATIO_RUNNING(Ped ped) { return big::native_invoker::invoke<5670, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_MOVE_BLEND_RATIO_SPRINTING(Ped ped) { return big::native_invoker::invoke<5671, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_STILL(Ped ped) { return big::native_invoker::invoke<5672, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_WALKING(Ped ped) { return big::native_invoker::invoke<5673, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_RUNNING(Ped ped) { return big::native_invoker::invoke<5674, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_SPRINTING(Ped ped) { return big::native_invoker::invoke<5675, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_STRAFING(Ped ped) { return big::native_invoker::invoke<5676, false, BOOL>(ped); }
	FORCEINLINE constexpr void TASK_SYNCHRONIZED_SCENE(Ped ped, int scene, const char* animDictionary, const char* animationName, float blendIn, float blendOut, int flags, int ragdollBlockingFlags, float moverBlendDelta, int ikFlags) { return big::native_invoker::invoke<5677, false, void>(ped, scene, animDictionary, animationName, blendIn, blendOut, flags, ragdollBlockingFlags, moverBlendDelta, ikFlags); }
	FORCEINLINE constexpr void TASK_AGITATED_ACTION_CONFRONT_RESPONSE(Ped ped, Ped ped2) { return big::native_invoker::invoke<5678, false, void>(ped, ped2); }
	FORCEINLINE constexpr void TASK_SWEEP_AIM_ENTITY(Ped ped, const char* animDict, const char* lowAnimName, const char* medAnimName, const char* hiAnimName, int runtime, Entity targetEntity, float turnRate, float blendInDuration) { return big::native_invoker::invoke<5679, false, void>(ped, animDict, lowAnimName, medAnimName, hiAnimName, runtime, targetEntity, turnRate, blendInDuration); }
	FORCEINLINE constexpr void UPDATE_TASK_SWEEP_AIM_ENTITY(Ped ped, Entity entity) { return big::native_invoker::invoke<5680, false, void>(ped, entity); }
	FORCEINLINE constexpr void TASK_SWEEP_AIM_POSITION(Ped ped, const char* animDict, const char* lowAnimName, const char* medAnimName, const char* hiAnimName, int runtime, float x, float y, float z, float turnRate, float blendInDuration) { return big::native_invoker::invoke<5681, false, void>(ped, animDict, lowAnimName, medAnimName, hiAnimName, runtime, x, y, z, turnRate, blendInDuration); }
	FORCEINLINE constexpr void UPDATE_TASK_SWEEP_AIM_POSITION(Ped ped, float x, float y, float z) { return big::native_invoker::invoke<5682, false, void>(ped, x, y, z); }
	FORCEINLINE constexpr void TASK_ARREST_PED(Ped ped, Ped target) { return big::native_invoker::invoke<5683, false, void>(ped, target); }
	FORCEINLINE constexpr BOOL IS_PED_RUNNING_ARREST_TASK(Ped ped) { return big::native_invoker::invoke<5684, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_BEING_ARRESTED(Ped ped) { return big::native_invoker::invoke<5685, false, BOOL>(ped); }
	FORCEINLINE constexpr void UNCUFF_PED(Ped ped) { return big::native_invoker::invoke<5686, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_CUFFED(Ped ped) { return big::native_invoker::invoke<5687, false, BOOL>(ped); }
}

namespace VEHICLE
{
	FORCEINLINE constexpr Vehicle CREATE_VEHICLE(Hash modelHash, float x, float y, float z, float heading, BOOL isNetwork, BOOL bScriptHostVeh, BOOL p7) { return big::native_invoker::invoke<5688, false, Vehicle>(modelHash, x, y, z, heading, isNetwork, bScriptHostVeh, p7); }
	FORCEINLINE constexpr void DELETE_VEHICLE(Vehicle* vehicle) { return big::native_invoker::invoke<5689, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_ALLOW_HOMING_MISSLE_LOCKON(Vehicle vehicle, BOOL toggle, BOOL p2) { return big::native_invoker::invoke<5690, false, void>(vehicle, toggle, p2); }
	FORCEINLINE constexpr void SET_VEHICLE_ALLOW_HOMING_MISSLE_LOCKON_SYNCED(Vehicle vehicle, BOOL canBeLockedOn, BOOL p2) { return big::native_invoker::invoke<5691, false, void>(vehicle, canBeLockedOn, p2); }
	FORCEINLINE constexpr void SET_VEHICLE_ALLOW_NO_PASSENGERS_LOCKON(Vehicle veh, BOOL toggle) { return big::native_invoker::invoke<5692, false, void>(veh, toggle); }
	FORCEINLINE constexpr int GET_VEHICLE_HOMING_LOCKON_STATE(Vehicle vehicle) { return big::native_invoker::invoke<5693, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_HOMING_LOCKEDONTO_STATE(Any p0) { return big::native_invoker::invoke<5694, false, int>(p0); }
	FORCEINLINE constexpr void SET_VEHICLE_HOMING_LOCKEDONTO_STATE(Any p0, Any p1) { return big::native_invoker::invoke<5695, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_MODEL(Vehicle vehicle, Hash model) { return big::native_invoker::invoke<5696, false, BOOL>(vehicle, model); }
	FORCEINLINE constexpr BOOL DOES_SCRIPT_VEHICLE_GENERATOR_EXIST(int vehicleGenerator) { return big::native_invoker::invoke<5697, false, BOOL>(vehicleGenerator); }
	FORCEINLINE constexpr int CREATE_SCRIPT_VEHICLE_GENERATOR(float x, float y, float z, float heading, float p4, float p5, Hash modelHash, int p7, int p8, int p9, int p10, BOOL p11, BOOL p12, BOOL p13, BOOL p14, BOOL p15, int p16) { return big::native_invoker::invoke<5698, false, int>(x, y, z, heading, p4, p5, modelHash, p7, p8, p9, p10, p11, p12, p13, p14, p15, p16); }
	FORCEINLINE constexpr void DELETE_SCRIPT_VEHICLE_GENERATOR(int vehicleGenerator) { return big::native_invoker::invoke<5699, false, void>(vehicleGenerator); }
	FORCEINLINE constexpr void SET_SCRIPT_VEHICLE_GENERATOR(int vehicleGenerator, BOOL enabled) { return big::native_invoker::invoke<5700, false, void>(vehicleGenerator, enabled); }
	FORCEINLINE constexpr void SET_ALL_VEHICLE_GENERATORS_ACTIVE_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, BOOL toggle, BOOL p7) { return big::native_invoker::invoke<5701, false, void>(x1, y1, z1, x2, y2, z2, toggle, p7); }
	FORCEINLINE constexpr void SET_ALL_VEHICLE_GENERATORS_ACTIVE() { return big::native_invoker::invoke<5702, false, void>(); }
	FORCEINLINE constexpr void SET_ALL_LOW_PRIORITY_VEHICLE_GENERATORS_ACTIVE(BOOL active) { return big::native_invoker::invoke<5703, false, void>(active); }
	FORCEINLINE constexpr void SET_VEHICLE_GENERATOR_AREA_OF_INTEREST(float x, float y, float z, float radius) { return big::native_invoker::invoke<5704, false, void>(x, y, z, radius); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_GENERATOR_AREA_OF_INTEREST() { return big::native_invoker::invoke<5705, false, void>(); }
	FORCEINLINE constexpr BOOL SET_VEHICLE_ON_GROUND_PROPERLY(Vehicle vehicle, float p1) { return big::native_invoker::invoke<5706, false, BOOL>(vehicle, p1); }
	FORCEINLINE constexpr BOOL SET_VEHICLE_USE_CUTSCENE_WHEEL_COMPRESSION(Vehicle p0, BOOL p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<5707, false, BOOL>(p0, p1, p2, p3); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_STUCK_ON_ROOF(Vehicle vehicle) { return big::native_invoker::invoke<5708, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void ADD_VEHICLE_UPSIDEDOWN_CHECK(Vehicle vehicle) { return big::native_invoker::invoke<5709, false, void>(vehicle); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_UPSIDEDOWN_CHECK(Vehicle vehicle) { return big::native_invoker::invoke<5710, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_STOPPED(Vehicle vehicle) { return big::native_invoker::invoke<5711, false, BOOL>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_NUMBER_OF_PASSENGERS(Vehicle vehicle, BOOL includeDriver, BOOL includeDeadOccupants) { return big::native_invoker::invoke<5712, false, int>(vehicle, includeDriver, includeDeadOccupants); }
	FORCEINLINE constexpr int GET_VEHICLE_MAX_NUMBER_OF_PASSENGERS(Vehicle vehicle) { return big::native_invoker::invoke<5713, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_MODEL_NUMBER_OF_SEATS(Hash modelHash) { return big::native_invoker::invoke<5714, false, int>(modelHash); }
	FORCEINLINE constexpr BOOL IS_SEAT_WARP_ONLY(Vehicle vehicle, int seatIndex) { return big::native_invoker::invoke<5715, false, BOOL>(vehicle, seatIndex); }
	FORCEINLINE constexpr BOOL IS_TURRET_SEAT(Vehicle vehicle, int seatIndex) { return big::native_invoker::invoke<5716, false, BOOL>(vehicle, seatIndex); }
	FORCEINLINE constexpr BOOL DOES_VEHICLE_ALLOW_RAPPEL(Vehicle vehicle) { return big::native_invoker::invoke<5717, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_DENSITY_MULTIPLIER_THIS_FRAME(float multiplier) { return big::native_invoker::invoke<5718, false, void>(multiplier); }
	FORCEINLINE constexpr void SET_RANDOM_VEHICLE_DENSITY_MULTIPLIER_THIS_FRAME(float multiplier) { return big::native_invoker::invoke<5719, false, void>(multiplier); }
	FORCEINLINE constexpr void SET_PARKED_VEHICLE_DENSITY_MULTIPLIER_THIS_FRAME(float multiplier) { return big::native_invoker::invoke<5720, false, void>(multiplier); }
	FORCEINLINE constexpr void SET_DISABLE_RANDOM_TRAINS_THIS_FRAME(BOOL toggle) { return big::native_invoker::invoke<5721, false, void>(toggle); }
	FORCEINLINE constexpr void SET_AMBIENT_VEHICLE_RANGE_MULTIPLIER_THIS_FRAME(float value) { return big::native_invoker::invoke<5722, false, void>(value); }
	FORCEINLINE constexpr void SET_FAR_DRAW_VEHICLES(BOOL toggle) { return big::native_invoker::invoke<5723, false, void>(toggle); }
	FORCEINLINE constexpr void SET_NUMBER_OF_PARKED_VEHICLES(int value) { return big::native_invoker::invoke<5724, false, void>(value); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_LOCKED(Vehicle vehicle, int doorLockStatus) { return big::native_invoker::invoke<5725, false, void>(vehicle, doorLockStatus); }
	FORCEINLINE constexpr void SET_VEHICLE_INDIVIDUAL_DOORS_LOCKED(Vehicle vehicle, int doorId, int doorLockStatus) { return big::native_invoker::invoke<5726, false, void>(vehicle, doorId, doorLockStatus); }
	FORCEINLINE constexpr void SET_VEHICLE_HAS_MUTED_SIRENS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5727, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_LOCKED_FOR_PLAYER(Vehicle vehicle, Player player, BOOL toggle) { return big::native_invoker::invoke<5728, false, void>(vehicle, player, toggle); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_DOORS_LOCKED_FOR_PLAYER(Vehicle vehicle, Player player) { return big::native_invoker::invoke<5729, false, BOOL>(vehicle, player); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_LOCKED_FOR_ALL_PLAYERS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5730, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_LOCKED_FOR_NON_SCRIPT_PLAYERS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5731, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_LOCKED_FOR_TEAM(Vehicle vehicle, int team, BOOL toggle) { return big::native_invoker::invoke<5732, false, void>(vehicle, team, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_LOCKED_FOR_ALL_TEAMS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5733, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DONT_TERMINATE_TASK_WHEN_ACHIEVED(Vehicle vehicle) { return big::native_invoker::invoke<5734, false, void>(vehicle); }
	FORCEINLINE constexpr void _SET_VEHICLE_MAX_LAUNCH_ENGINE_REVS(Vehicle vehicle, float modifier) { return big::native_invoker::invoke<5735, false, void>(vehicle, modifier); }
	FORCEINLINE constexpr float _GET_VEHICLE_THROTTLE(Vehicle vehicle) { return big::native_invoker::invoke<5736, false, float>(vehicle); }
	FORCEINLINE constexpr void EXPLODE_VEHICLE(Vehicle vehicle, BOOL isAudible, BOOL isInvisible) { return big::native_invoker::invoke<5737, false, void>(vehicle, isAudible, isInvisible); }
	FORCEINLINE constexpr void SET_VEHICLE_OUT_OF_CONTROL(Vehicle vehicle, BOOL killDriver, BOOL explodeOnImpact) { return big::native_invoker::invoke<5738, false, void>(vehicle, killDriver, explodeOnImpact); }
	FORCEINLINE constexpr void SET_VEHICLE_TIMED_EXPLOSION(Vehicle vehicle, Ped ped, BOOL toggle) { return big::native_invoker::invoke<5739, false, void>(vehicle, ped, toggle); }
	FORCEINLINE constexpr void ADD_VEHICLE_PHONE_EXPLOSIVE_DEVICE(Vehicle vehicle) { return big::native_invoker::invoke<5740, false, void>(vehicle); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_PHONE_EXPLOSIVE_DEVICE() { return big::native_invoker::invoke<5741, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_VEHICLE_PHONE_EXPLOSIVE_DEVICE() { return big::native_invoker::invoke<5742, false, BOOL>(); }
	FORCEINLINE constexpr void DETONATE_VEHICLE_PHONE_EXPLOSIVE_DEVICE() { return big::native_invoker::invoke<5743, false, void>(); }
	FORCEINLINE constexpr BOOL HAVE_VEHICLE_REAR_DOORS_BEEN_BLOWN_OPEN_BY_STICKYBOMB(Vehicle vehicle) { return big::native_invoker::invoke<5744, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_TAXI_LIGHTS(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<5745, false, void>(vehicle, state); }
	FORCEINLINE constexpr BOOL IS_TAXI_LIGHT_ON(Vehicle vehicle) { return big::native_invoker::invoke<5746, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_IN_GARAGE_AREA(const char* garageName, Vehicle vehicle) { return big::native_invoker::invoke<5747, false, BOOL>(garageName, vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_COLOURS(Vehicle vehicle, int colorPrimary, int colorSecondary) { return big::native_invoker::invoke<5748, false, void>(vehicle, colorPrimary, colorSecondary); }
	FORCEINLINE constexpr void SET_VEHICLE_FULLBEAM(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5749, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_IS_RACING(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5750, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_CUSTOM_PRIMARY_COLOUR(Vehicle vehicle, int r, int g, int b) { return big::native_invoker::invoke<5751, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void GET_VEHICLE_CUSTOM_PRIMARY_COLOUR(Vehicle vehicle, int* r, int* g, int* b) { return big::native_invoker::invoke<5752, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_CUSTOM_PRIMARY_COLOUR(Vehicle vehicle) { return big::native_invoker::invoke<5753, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL GET_IS_VEHICLE_PRIMARY_COLOUR_CUSTOM(Vehicle vehicle) { return big::native_invoker::invoke<5754, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_CUSTOM_SECONDARY_COLOUR(Vehicle vehicle, int r, int g, int b) { return big::native_invoker::invoke<5755, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void GET_VEHICLE_CUSTOM_SECONDARY_COLOUR(Vehicle vehicle, int* r, int* g, int* b) { return big::native_invoker::invoke<5756, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_CUSTOM_SECONDARY_COLOUR(Vehicle vehicle) { return big::native_invoker::invoke<5757, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL GET_IS_VEHICLE_SECONDARY_COLOUR_CUSTOM(Vehicle vehicle) { return big::native_invoker::invoke<5758, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_ENVEFF_SCALE(Vehicle vehicle, float fade) { return big::native_invoker::invoke<5759, false, void>(vehicle, fade); }
	FORCEINLINE constexpr float GET_VEHICLE_ENVEFF_SCALE(Vehicle vehicle) { return big::native_invoker::invoke<5760, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_CAN_RESPRAY_VEHICLE(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<5761, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_GOON_BOSS_VEHICLE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5762, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_OPEN_REAR_DOORS_ON_EXPLOSION(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5763, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void FORCE_SUBMARINE_SURFACE_MODE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5764, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void FORCE_SUBMARINE_NEURTAL_BUOYANCY(Any p0, Any p1) { return big::native_invoker::invoke<5765, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_SUBMARINE_CRUSH_DEPTHS(Vehicle vehicle, BOOL p1, float depth1, float depth2, float depth3) { return big::native_invoker::invoke<5766, false, void>(vehicle, p1, depth1, depth2, depth3); }
	FORCEINLINE constexpr BOOL GET_SUBMARINE_IS_UNDER_DESIGN_DEPTH(Vehicle submarine) { return big::native_invoker::invoke<5767, false, BOOL>(submarine); }
	FORCEINLINE constexpr int GET_SUBMARINE_NUMBER_OF_AIR_LEAKS(Vehicle submarine) { return big::native_invoker::invoke<5768, false, int>(submarine); }
	FORCEINLINE constexpr void SET_BOAT_IGNORE_LAND_PROBES(Any p0, Any p1) { return big::native_invoker::invoke<5769, false, void>(p0, p1); }
	FORCEINLINE constexpr void _SET_BOUNDS_AFFECT_WATER_PROBES(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5770, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_BOAT_ANCHOR(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5771, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL CAN_ANCHOR_BOAT_HERE(Vehicle vehicle) { return big::native_invoker::invoke<5772, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL CAN_ANCHOR_BOAT_HERE_IGNORE_PLAYERS(Vehicle vehicle) { return big::native_invoker::invoke<5773, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_BOAT_REMAINS_ANCHORED_WHILE_PLAYER_IS_DRIVER(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5774, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_FORCE_LOW_LOD_ANCHOR_MODE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5775, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_BOAT_LOW_LOD_ANCHOR_DISTANCE(Vehicle vehicle, float value) { return big::native_invoker::invoke<5776, false, void>(vehicle, value); }
	FORCEINLINE constexpr BOOL IS_BOAT_ANCHORED(Vehicle vehicle) { return big::native_invoker::invoke<5777, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_BOAT_SINKS_WHEN_WRECKED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5778, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_BOAT_WRECKED(Vehicle vehicle) { return big::native_invoker::invoke<5779, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_SIREN(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5780, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_SIREN_ON(Vehicle vehicle) { return big::native_invoker::invoke<5781, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_SIREN_AUDIO_ON(Vehicle vehicle) { return big::native_invoker::invoke<5782, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_STRONG(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5783, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_STUCK_CHECK(Vehicle vehicle) { return big::native_invoker::invoke<5784, false, void>(vehicle); }
	FORCEINLINE constexpr void GET_VEHICLE_COLOURS(Vehicle vehicle, int* colorPrimary, int* colorSecondary) { return big::native_invoker::invoke<5785, false, void>(vehicle, colorPrimary, colorSecondary); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_SEAT_FREE(Vehicle vehicle, int seatIndex, BOOL isTaskRunning) { return big::native_invoker::invoke<5786, false, BOOL>(vehicle, seatIndex, isTaskRunning); }
	FORCEINLINE constexpr Ped GET_PED_IN_VEHICLE_SEAT(Vehicle vehicle, int seatIndex, BOOL p2) { return big::native_invoker::invoke<5787, false, Ped>(vehicle, seatIndex, p2); }
	FORCEINLINE constexpr Ped GET_LAST_PED_IN_VEHICLE_SEAT(Vehicle vehicle, int seatIndex) { return big::native_invoker::invoke<5788, false, Ped>(vehicle, seatIndex); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_LIGHTS_STATE(Vehicle vehicle, BOOL* lightsOn, BOOL* highbeamsOn) { return big::native_invoker::invoke<5789, false, BOOL>(vehicle, lightsOn, highbeamsOn); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_TYRE_BURST(Vehicle vehicle, int wheelID, BOOL completely) { return big::native_invoker::invoke<5790, false, BOOL>(vehicle, wheelID, completely); }
	FORCEINLINE constexpr void SET_VEHICLE_FORWARD_SPEED(Vehicle vehicle, float speed) { return big::native_invoker::invoke<5791, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void SET_VEHICLE_FORWARD_SPEED_XY(Vehicle vehicle, float speed) { return big::native_invoker::invoke<5792, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void BRING_VEHICLE_TO_HALT(Vehicle vehicle, float distance, int duration, BOOL p3) { return big::native_invoker::invoke<5793, false, void>(vehicle, distance, duration, p3); }
	FORCEINLINE constexpr void SET_VEHICLE_STEER_FOR_BUILDINGS(Vehicle vehicle, Any p1) { return big::native_invoker::invoke<5794, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_CAUSES_SWERVING(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5795, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_IGNORE_PLANES_SMALL_PITCH_CHANGE(Any p0, Any p1) { return big::native_invoker::invoke<5796, false, void>(p0, p1); }
	FORCEINLINE constexpr void STOP_BRINGING_VEHICLE_TO_HALT(Vehicle vehicle) { return big::native_invoker::invoke<5797, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_BEING_BROUGHT_TO_HALT(Vehicle vehicle) { return big::native_invoker::invoke<5798, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void LOWER_FORKLIFT_FORKS(Vehicle forklift) { return big::native_invoker::invoke<5799, false, void>(forklift); }
	FORCEINLINE constexpr void SET_FORKLIFT_FORK_HEIGHT(Vehicle vehicle, float height) { return big::native_invoker::invoke<5800, false, void>(vehicle, height); }
	FORCEINLINE constexpr BOOL IS_ENTITY_ATTACHED_TO_HANDLER_FRAME(Vehicle vehicle, Entity entity) { return big::native_invoker::invoke<5801, false, BOOL>(vehicle, entity); }
	FORCEINLINE constexpr BOOL IS_ANY_ENTITY_ATTACHED_TO_HANDLER_FRAME(Vehicle vehicle) { return big::native_invoker::invoke<5802, false, BOOL>(vehicle); }
	FORCEINLINE constexpr Vehicle FIND_HANDLER_VEHICLE_CONTAINER_IS_ATTACHED_TO(Entity entity) { return big::native_invoker::invoke<5803, false, Vehicle>(entity); }
	FORCEINLINE constexpr BOOL IS_HANDLER_FRAME_LINED_UP_WITH_CONTAINER(Vehicle vehicle, Entity entity) { return big::native_invoker::invoke<5804, false, BOOL>(vehicle, entity); }
	FORCEINLINE constexpr void ATTACH_CONTAINER_TO_HANDLER_FRAME_WHEN_LINED_UP(Vehicle vehicle, Entity entity) { return big::native_invoker::invoke<5805, false, void>(vehicle, entity); }
	FORCEINLINE constexpr void DETACH_CONTAINER_FROM_HANDLER_FRAME(Vehicle vehicle) { return big::native_invoker::invoke<5806, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_DISABLE_HEIGHT_MAP_AVOIDANCE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5807, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_BOAT_DISABLE_AVOIDANCE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5808, false, void>(vehicle, p1); }
	FORCEINLINE constexpr BOOL IS_HELI_LANDING_AREA_BLOCKED(Vehicle vehicle) { return big::native_invoker::invoke<5809, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_SHORT_SLOWDOWN_FOR_LANDING(Vehicle vehicle) { return big::native_invoker::invoke<5810, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_HELI_TURBULENCE_SCALAR(Vehicle vehicle, float p1) { return big::native_invoker::invoke<5811, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_CAR_BOOT_OPEN(Vehicle vehicle) { return big::native_invoker::invoke<5812, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_TYRE_BURST(Vehicle vehicle, int index, BOOL onRim, float p3) { return big::native_invoker::invoke<5813, false, void>(vehicle, index, onRim, p3); }
	FORCEINLINE constexpr void SET_VEHICLE_DOORS_SHUT(Vehicle vehicle, BOOL closeInstantly) { return big::native_invoker::invoke<5814, false, void>(vehicle, closeInstantly); }
	FORCEINLINE constexpr void SET_VEHICLE_TYRES_CAN_BURST(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5815, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_TYRES_CAN_BURST(Vehicle vehicle) { return big::native_invoker::invoke<5816, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_WHEELS_CAN_BREAK(Vehicle vehicle, BOOL enabled) { return big::native_invoker::invoke<5817, false, void>(vehicle, enabled); }
	FORCEINLINE constexpr void SET_VEHICLE_DOOR_OPEN(Vehicle vehicle, int doorId, BOOL loose, BOOL openInstantly) { return big::native_invoker::invoke<5818, false, void>(vehicle, doorId, loose, openInstantly); }
	FORCEINLINE constexpr void SET_VEHICLE_DOOR_AUTO_LOCK(Vehicle vehicle, int doorId, BOOL toggle) { return big::native_invoker::invoke<5819, false, void>(vehicle, doorId, toggle); }
	FORCEINLINE constexpr void SET_FLEEING_VEHICLES_USE_SWITCHED_OFF_NODES(Any p0) { return big::native_invoker::invoke<5820, false, void>(p0); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_WINDOW(Vehicle vehicle, int windowIndex) { return big::native_invoker::invoke<5821, false, void>(vehicle, windowIndex); }
	FORCEINLINE constexpr void ROLL_DOWN_WINDOWS(Vehicle vehicle) { return big::native_invoker::invoke<5822, false, void>(vehicle); }
	FORCEINLINE constexpr void ROLL_DOWN_WINDOW(Vehicle vehicle, int windowIndex) { return big::native_invoker::invoke<5823, false, void>(vehicle, windowIndex); }
	FORCEINLINE constexpr void ROLL_UP_WINDOW(Vehicle vehicle, int windowIndex) { return big::native_invoker::invoke<5824, false, void>(vehicle, windowIndex); }
	FORCEINLINE constexpr void SMASH_VEHICLE_WINDOW(Vehicle vehicle, int windowIndex) { return big::native_invoker::invoke<5825, false, void>(vehicle, windowIndex); }
	FORCEINLINE constexpr void FIX_VEHICLE_WINDOW(Vehicle vehicle, int windowIndex) { return big::native_invoker::invoke<5826, false, void>(vehicle, windowIndex); }
	FORCEINLINE constexpr void POP_OUT_VEHICLE_WINDSCREEN(Vehicle vehicle) { return big::native_invoker::invoke<5827, false, void>(vehicle); }
	FORCEINLINE constexpr void POP_OFF_VEHICLE_ROOF_WITH_IMPULSE(Vehicle vehicle, float x, float y, float z) { return big::native_invoker::invoke<5828, false, void>(vehicle, x, y, z); }
	FORCEINLINE constexpr void SET_VEHICLE_LIGHTS(Vehicle vehicle, int state) { return big::native_invoker::invoke<5829, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_VEHICLE_USE_PLAYER_LIGHT_SETTINGS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5830, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_HEADLIGHT_SHADOWS(Vehicle vehicle, int p1) { return big::native_invoker::invoke<5831, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_ALARM(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<5832, false, void>(vehicle, state); }
	FORCEINLINE constexpr void START_VEHICLE_ALARM(Vehicle vehicle) { return big::native_invoker::invoke<5833, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_ALARM_ACTIVATED(Vehicle vehicle) { return big::native_invoker::invoke<5834, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_INTERIORLIGHT(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5835, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_FORCE_INTERIORLIGHT(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5836, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_LIGHT_MULTIPLIER(Vehicle vehicle, float multiplier) { return big::native_invoker::invoke<5837, false, void>(vehicle, multiplier); }
	FORCEINLINE constexpr void ATTACH_VEHICLE_TO_TRAILER(Vehicle vehicle, Vehicle trailer, float radius) { return big::native_invoker::invoke<5838, false, void>(vehicle, trailer, radius); }
	FORCEINLINE constexpr void ATTACH_VEHICLE_ON_TO_TRAILER(Vehicle vehicle, Vehicle trailer, float offsetX, float offsetY, float offsetZ, float coordsX, float coordsY, float coordsZ, float rotationX, float rotationY, float rotationZ, float disableCollisions) { return big::native_invoker::invoke<5839, false, void>(vehicle, trailer, offsetX, offsetY, offsetZ, coordsX, coordsY, coordsZ, rotationX, rotationY, rotationZ, disableCollisions); }
	FORCEINLINE constexpr void STABILISE_ENTITY_ATTACHED_TO_HELI(Vehicle vehicle, Entity entity, float p2) { return big::native_invoker::invoke<5840, false, void>(vehicle, entity, p2); }
	FORCEINLINE constexpr void DETACH_VEHICLE_FROM_TRAILER(Vehicle vehicle) { return big::native_invoker::invoke<5841, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_ATTACHED_TO_TRAILER(Vehicle vehicle) { return big::native_invoker::invoke<5842, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_TRAILER_INVERSE_MASS_SCALE(Vehicle vehicle, float p1) { return big::native_invoker::invoke<5843, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_TRAILER_LEGS_RAISED(Vehicle vehicle) { return big::native_invoker::invoke<5844, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_TRAILER_LEGS_LOWERED(Vehicle vehicle) { return big::native_invoker::invoke<5845, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_TYRE_FIXED(Vehicle vehicle, int tyreIndex) { return big::native_invoker::invoke<5846, false, void>(vehicle, tyreIndex); }
	FORCEINLINE constexpr void SET_VEHICLE_NUMBER_PLATE_TEXT(Vehicle vehicle, const char* plateText) { return big::native_invoker::invoke<5847, false, void>(vehicle, plateText); }
	FORCEINLINE constexpr const char* GET_VEHICLE_NUMBER_PLATE_TEXT(Vehicle vehicle) { return big::native_invoker::invoke<5848, false, const char*>(vehicle); }
	FORCEINLINE constexpr int GET_NUMBER_OF_VEHICLE_NUMBER_PLATES() { return big::native_invoker::invoke<5849, false, int>(); }
	FORCEINLINE constexpr void SET_VEHICLE_NUMBER_PLATE_TEXT_INDEX(Vehicle vehicle, int plateIndex) { return big::native_invoker::invoke<5850, false, void>(vehicle, plateIndex); }
	FORCEINLINE constexpr int GET_VEHICLE_NUMBER_PLATE_TEXT_INDEX(Vehicle vehicle) { return big::native_invoker::invoke<5851, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_RANDOM_TRAINS(BOOL toggle) { return big::native_invoker::invoke<5852, false, void>(toggle); }
	FORCEINLINE constexpr Vehicle CREATE_MISSION_TRAIN(int variation, float x, float y, float z, BOOL direction, Any p5, Any p6) { return big::native_invoker::invoke<5853, false, Vehicle>(variation, x, y, z, direction, p5, p6); }
	FORCEINLINE constexpr void SWITCH_TRAIN_TRACK(int trackId, BOOL state) { return big::native_invoker::invoke<5854, false, void>(trackId, state); }
	FORCEINLINE constexpr void SET_TRAIN_TRACK_SPAWN_FREQUENCY(int trackIndex, int frequency) { return big::native_invoker::invoke<5855, false, void>(trackIndex, frequency); }
	FORCEINLINE constexpr void ALLOW_TRAIN_TO_BE_REMOVED_BY_POPULATION(Any p0) { return big::native_invoker::invoke<5856, false, void>(p0); }
	FORCEINLINE constexpr void DELETE_ALL_TRAINS() { return big::native_invoker::invoke<5857, false, void>(); }
	FORCEINLINE constexpr void SET_TRAIN_SPEED(Vehicle train, float speed) { return big::native_invoker::invoke<5858, false, void>(train, speed); }
	FORCEINLINE constexpr void SET_TRAIN_CRUISE_SPEED(Vehicle train, float speed) { return big::native_invoker::invoke<5859, false, void>(train, speed); }
	FORCEINLINE constexpr void SET_RANDOM_BOATS(BOOL toggle) { return big::native_invoker::invoke<5860, false, void>(toggle); }
	FORCEINLINE constexpr void SET_RANDOM_BOATS_MP(BOOL toggle) { return big::native_invoker::invoke<5861, false, void>(toggle); }
	FORCEINLINE constexpr void SET_GARBAGE_TRUCKS(BOOL toggle) { return big::native_invoker::invoke<5862, false, void>(toggle); }
	FORCEINLINE constexpr BOOL DOES_VEHICLE_HAVE_STUCK_VEHICLE_CHECK(Vehicle vehicle) { return big::native_invoker::invoke<5863, false, BOOL>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_RECORDING_ID(int recording, const char* script) { return big::native_invoker::invoke<5864, false, int>(recording, script); }
	FORCEINLINE constexpr void REQUEST_VEHICLE_RECORDING(int recording, const char* script) { return big::native_invoker::invoke<5865, false, void>(recording, script); }
	FORCEINLINE constexpr BOOL HAS_VEHICLE_RECORDING_BEEN_LOADED(int recording, const char* script) { return big::native_invoker::invoke<5866, false, BOOL>(recording, script); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_RECORDING(int recording, const char* script) { return big::native_invoker::invoke<5867, false, void>(recording, script); }
	FORCEINLINE constexpr Vector3 GET_POSITION_OF_VEHICLE_RECORDING_ID_AT_TIME(int id, float time) { return big::native_invoker::invoke<5868, false, Vector3>(id, time); }
	FORCEINLINE constexpr Vector3 GET_POSITION_OF_VEHICLE_RECORDING_AT_TIME(int recording, float time, const char* script) { return big::native_invoker::invoke<5869, false, Vector3>(recording, time, script); }
	FORCEINLINE constexpr Vector3 GET_ROTATION_OF_VEHICLE_RECORDING_ID_AT_TIME(int id, float time) { return big::native_invoker::invoke<5870, false, Vector3>(id, time); }
	FORCEINLINE constexpr Vector3 GET_ROTATION_OF_VEHICLE_RECORDING_AT_TIME(int recording, float time, const char* script) { return big::native_invoker::invoke<5871, false, Vector3>(recording, time, script); }
	FORCEINLINE constexpr float GET_TOTAL_DURATION_OF_VEHICLE_RECORDING_ID(int id) { return big::native_invoker::invoke<5872, false, float>(id); }
	FORCEINLINE constexpr float GET_TOTAL_DURATION_OF_VEHICLE_RECORDING(int recording, const char* script) { return big::native_invoker::invoke<5873, false, float>(recording, script); }
	FORCEINLINE constexpr float GET_POSITION_IN_RECORDING(Vehicle vehicle) { return big::native_invoker::invoke<5874, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_TIME_POSITION_IN_RECORDING(Vehicle vehicle) { return big::native_invoker::invoke<5875, false, float>(vehicle); }
	FORCEINLINE constexpr void START_PLAYBACK_RECORDED_VEHICLE(Vehicle vehicle, int recording, const char* script, BOOL p3) { return big::native_invoker::invoke<5876, false, void>(vehicle, recording, script, p3); }
	FORCEINLINE constexpr void START_PLAYBACK_RECORDED_VEHICLE_WITH_FLAGS(Vehicle vehicle, int recording, const char* script, int flags, int time, int drivingStyle) { return big::native_invoker::invoke<5877, false, void>(vehicle, recording, script, flags, time, drivingStyle); }
	FORCEINLINE constexpr void FORCE_PLAYBACK_RECORDED_VEHICLE_UPDATE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5878, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void STOP_PLAYBACK_RECORDED_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5879, false, void>(vehicle); }
	FORCEINLINE constexpr void PAUSE_PLAYBACK_RECORDED_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5880, false, void>(vehicle); }
	FORCEINLINE constexpr void UNPAUSE_PLAYBACK_RECORDED_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5881, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_PLAYBACK_GOING_ON_FOR_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5882, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_PLAYBACK_USING_AI_GOING_ON_FOR_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5883, false, BOOL>(vehicle); }
	FORCEINLINE constexpr int GET_CURRENT_PLAYBACK_FOR_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5884, false, int>(vehicle); }
	FORCEINLINE constexpr void SKIP_TO_END_AND_STOP_PLAYBACK_RECORDED_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5885, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_PLAYBACK_SPEED(Vehicle vehicle, float speed) { return big::native_invoker::invoke<5886, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void START_PLAYBACK_RECORDED_VEHICLE_USING_AI(Vehicle vehicle, int recording, const char* script, float speed, int drivingStyle) { return big::native_invoker::invoke<5887, false, void>(vehicle, recording, script, speed, drivingStyle); }
	FORCEINLINE constexpr void SKIP_TIME_IN_PLAYBACK_RECORDED_VEHICLE(Vehicle vehicle, float time) { return big::native_invoker::invoke<5888, false, void>(vehicle, time); }
	FORCEINLINE constexpr void SET_PLAYBACK_TO_USE_AI(Vehicle vehicle, int drivingStyle) { return big::native_invoker::invoke<5889, false, void>(vehicle, drivingStyle); }
	FORCEINLINE constexpr void SET_PLAYBACK_TO_USE_AI_TRY_TO_REVERT_BACK_LATER(Vehicle vehicle, int time, int drivingStyle, BOOL p3) { return big::native_invoker::invoke<5890, false, void>(vehicle, time, drivingStyle, p3); }
	FORCEINLINE constexpr void SET_ADDITIONAL_ROTATION_FOR_RECORDED_VEHICLE_PLAYBACK(Vehicle vehicle, float x, float y, float z, Any p4) { return big::native_invoker::invoke<5891, false, void>(vehicle, x, y, z, p4); }
	FORCEINLINE constexpr void SET_POSITION_OFFSET_FOR_RECORDED_VEHICLE_PLAYBACK(Vehicle vehicle, float x, float y, float z) { return big::native_invoker::invoke<5892, false, void>(vehicle, x, y, z); }
	FORCEINLINE constexpr void SET_GLOBAL_POSITION_OFFSET_FOR_RECORDED_VEHICLE_PLAYBACK(Vehicle vehicle, float x, float y, float z) { return big::native_invoker::invoke<5893, false, void>(vehicle, x, y, z); }
	FORCEINLINE constexpr void SET_SHOULD_LERP_FROM_AI_TO_FULL_RECORDING(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5894, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void EXPLODE_VEHICLE_IN_CUTSCENE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5895, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void ADD_VEHICLE_STUCK_CHECK_WITH_WARP(Any p0, float p1, Any p2, BOOL p3, BOOL p4, BOOL p5, Any p6) { return big::native_invoker::invoke<5896, false, void>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void SET_VEHICLE_MODEL_IS_SUPPRESSED(Hash model, BOOL suppressed) { return big::native_invoker::invoke<5897, false, void>(model, suppressed); }
	FORCEINLINE constexpr Vehicle GET_RANDOM_VEHICLE_IN_SPHERE(float x, float y, float z, float radius, Hash modelHash, int flags) { return big::native_invoker::invoke<5898, false, Vehicle>(x, y, z, radius, modelHash, flags); }
	FORCEINLINE constexpr Vehicle GET_RANDOM_VEHICLE_FRONT_BUMPER_IN_SPHERE(float p0, float p1, float p2, float p3, int p4, int p5, int p6) { return big::native_invoker::invoke<5899, false, Vehicle>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr Vehicle GET_RANDOM_VEHICLE_BACK_BUMPER_IN_SPHERE(float p0, float p1, float p2, float p3, int p4, int p5, int p6) { return big::native_invoker::invoke<5900, false, Vehicle>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr Vehicle GET_CLOSEST_VEHICLE(float x, float y, float z, float radius, Hash modelHash, int flags) { return big::native_invoker::invoke<5901, false, Vehicle>(x, y, z, radius, modelHash, flags); }
	FORCEINLINE constexpr Vehicle GET_TRAIN_CARRIAGE(Vehicle train, int trailerNumber) { return big::native_invoker::invoke<5902, false, Vehicle>(train, trailerNumber); }
	FORCEINLINE constexpr BOOL IS_MISSION_TRAIN(Vehicle train) { return big::native_invoker::invoke<5903, false, BOOL>(train); }
	FORCEINLINE constexpr void DELETE_MISSION_TRAIN(Vehicle* train) { return big::native_invoker::invoke<5904, false, void>(train); }
	FORCEINLINE constexpr void SET_MISSION_TRAIN_AS_NO_LONGER_NEEDED(Vehicle* train, BOOL p1) { return big::native_invoker::invoke<5905, false, void>(train, p1); }
	FORCEINLINE constexpr void SET_MISSION_TRAIN_COORDS(Vehicle train, float x, float y, float z) { return big::native_invoker::invoke<5906, false, void>(train, x, y, z); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_BOAT(Hash model) { return big::native_invoker::invoke<5907, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_JETSKI(Hash model) { return big::native_invoker::invoke<5908, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_PLANE(Hash model) { return big::native_invoker::invoke<5909, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_HELI(Hash model) { return big::native_invoker::invoke<5910, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_CAR(Hash model) { return big::native_invoker::invoke<5911, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_TRAIN(Hash model) { return big::native_invoker::invoke<5912, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_BIKE(Hash model) { return big::native_invoker::invoke<5913, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_BICYCLE(Hash model) { return big::native_invoker::invoke<5914, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_A_QUADBIKE(Hash model) { return big::native_invoker::invoke<5915, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_AN_AMPHIBIOUS_CAR(Hash model) { return big::native_invoker::invoke<5916, false, BOOL>(model); }
	FORCEINLINE constexpr BOOL IS_THIS_MODEL_AN_AMPHIBIOUS_QUADBIKE(Hash model) { return big::native_invoker::invoke<5917, false, BOOL>(model); }
	FORCEINLINE constexpr void SET_HELI_BLADES_FULL_SPEED(Vehicle vehicle) { return big::native_invoker::invoke<5918, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_HELI_BLADES_SPEED(Vehicle vehicle, float speed) { return big::native_invoker::invoke<5919, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void FORCE_SUB_THROTTLE_FOR_TIME(Vehicle vehicle, float p1, float p2) { return big::native_invoker::invoke<5920, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_BE_TARGETTED(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<5921, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_DONT_ALLOW_PLAYER_TO_ENTER_VEHICLE_IF_LOCKED_FOR_PLAYER(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5922, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_BE_VISIBLY_DAMAGED(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<5923, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_VEHICLE_HAS_UNBREAKABLE_LIGHTS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5924, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_RESPECTS_LOCKS_WHEN_HAS_DRIVER(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5925, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_EJECT_PASSENGERS_IF_LOCKED(Any p0, Any p1) { return big::native_invoker::invoke<5926, false, void>(p0, p1); }
	FORCEINLINE constexpr float GET_VEHICLE_DIRT_LEVEL(Vehicle vehicle) { return big::native_invoker::invoke<5927, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_DIRT_LEVEL(Vehicle vehicle, float dirtLevel) { return big::native_invoker::invoke<5928, false, void>(vehicle, dirtLevel); }
	FORCEINLINE constexpr BOOL GET_DOES_VEHICLE_HAVE_DAMAGE_DECALS(Vehicle vehicle) { return big::native_invoker::invoke<5929, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_DOOR_FULLY_OPEN(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<5930, false, BOOL>(vehicle, doorId); }
	FORCEINLINE constexpr void SET_VEHICLE_ENGINE_ON(Vehicle vehicle, BOOL value, BOOL instantly, BOOL disableAutoStart) { return big::native_invoker::invoke<5931, false, void>(vehicle, value, instantly, disableAutoStart); }
	FORCEINLINE constexpr void SET_VEHICLE_UNDRIVEABLE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5932, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_PROVIDES_COVER(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5933, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DOOR_CONTROL(Vehicle vehicle, int doorId, int speed, float angle) { return big::native_invoker::invoke<5934, false, void>(vehicle, doorId, speed, angle); }
	FORCEINLINE constexpr void SET_VEHICLE_DOOR_LATCHED(Vehicle vehicle, int doorId, BOOL p2, BOOL p3, BOOL p4) { return big::native_invoker::invoke<5935, false, void>(vehicle, doorId, p2, p3, p4); }
	FORCEINLINE constexpr float GET_VEHICLE_DOOR_ANGLE_RATIO(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<5936, false, float>(vehicle, doorId); }
	FORCEINLINE constexpr Ped GET_PED_USING_VEHICLE_DOOR(Vehicle vehicle, int doord) { return big::native_invoker::invoke<5937, false, Ped>(vehicle, doord); }
	FORCEINLINE constexpr void SET_VEHICLE_DOOR_SHUT(Vehicle vehicle, int doorId, BOOL closeInstantly) { return big::native_invoker::invoke<5938, false, void>(vehicle, doorId, closeInstantly); }
	FORCEINLINE constexpr void SET_VEHICLE_DOOR_BROKEN(Vehicle vehicle, int doorId, BOOL deleteDoor) { return big::native_invoker::invoke<5939, false, void>(vehicle, doorId, deleteDoor); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_BREAK(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5940, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL DOES_VEHICLE_HAVE_ROOF(Vehicle vehicle) { return big::native_invoker::invoke<5941, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_REMOVE_AGGRESSIVE_CARJACK_MISSION(Any p0) { return big::native_invoker::invoke<5942, false, void>(p0); }
	FORCEINLINE constexpr void SET_VEHICLE_AVOID_PLAYER_VEHICLE_RIOT_VAN_MISSION(Any p0) { return big::native_invoker::invoke<5943, false, void>(p0); }
	FORCEINLINE constexpr void SET_CARJACK_MISSION_REMOVAL_PARAMETERS(Any p0, Any p1) { return big::native_invoker::invoke<5944, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL IS_BIG_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<5945, false, BOOL>(vehicle); }
	FORCEINLINE constexpr int GET_NUMBER_OF_VEHICLE_COLOURS(Vehicle vehicle) { return big::native_invoker::invoke<5946, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_COLOUR_COMBINATION(Vehicle vehicle, int colorCombination) { return big::native_invoker::invoke<5947, false, void>(vehicle, colorCombination); }
	FORCEINLINE constexpr int GET_VEHICLE_COLOUR_COMBINATION(Vehicle vehicle) { return big::native_invoker::invoke<5948, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_XENON_LIGHT_COLOR_INDEX(Vehicle vehicle, int colorIndex) { return big::native_invoker::invoke<5949, false, void>(vehicle, colorIndex); }
	FORCEINLINE constexpr int GET_VEHICLE_XENON_LIGHT_COLOR_INDEX(Vehicle vehicle) { return big::native_invoker::invoke<5950, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_IS_CONSIDERED_BY_PLAYER(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5951, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_WILL_FORCE_OTHER_VEHICLES_TO_STOP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5952, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_ACT_AS_IF_HAS_SIREN_ON(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5953, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_USE_MORE_RESTRICTIVE_SPAWN_CHECKS(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5954, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_MAY_BE_USED_BY_GOTO_POINT_ANY_MEANS(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5955, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void GET_RANDOM_VEHICLE_MODEL_IN_MEMORY(BOOL p0, Hash* modelHash, int* successIndicator) { return big::native_invoker::invoke<5956, false, void>(p0, modelHash, successIndicator); }
	FORCEINLINE constexpr int GET_VEHICLE_DOOR_LOCK_STATUS(Vehicle vehicle) { return big::native_invoker::invoke<5957, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_INDIVIDUAL_DOOR_LOCK_STATUS(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<5958, false, int>(vehicle, doorId); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_DOOR_DAMAGED(Vehicle veh, int doorID) { return big::native_invoker::invoke<5959, false, BOOL>(veh, doorID); }
	FORCEINLINE constexpr void SET_DOOR_ALLOWED_TO_BE_BROKEN_OFF(Vehicle vehicle, int doorId, BOOL isBreakable) { return big::native_invoker::invoke<5960, false, void>(vehicle, doorId, isBreakable); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_BUMPER_BOUNCING(Vehicle vehicle, BOOL frontBumper) { return big::native_invoker::invoke<5961, false, BOOL>(vehicle, frontBumper); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_BUMPER_BROKEN_OFF(Vehicle vehicle, BOOL frontBumper) { return big::native_invoker::invoke<5962, false, BOOL>(vehicle, frontBumper); }
	FORCEINLINE constexpr BOOL IS_COP_VEHICLE_IN_AREA_3D(float x1, float x2, float y1, float y2, float z1, float z2) { return big::native_invoker::invoke<5963, false, BOOL>(x1, x2, y1, y2, z1, z2); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_ON_ALL_WHEELS(Vehicle vehicle) { return big::native_invoker::invoke<5964, false, BOOL>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_MODEL_VALUE(Hash vehicleModel) { return big::native_invoker::invoke<5965, false, int>(vehicleModel); }
	FORCEINLINE constexpr Hash GET_VEHICLE_LAYOUT_HASH(Vehicle vehicle) { return big::native_invoker::invoke<5966, false, Hash>(vehicle); }
	FORCEINLINE constexpr Hash GET_IN_VEHICLE_CLIPSET_HASH_FOR_SEAT(Vehicle vehicle, int p1) { return big::native_invoker::invoke<5967, false, Hash>(vehicle, p1); }
	FORCEINLINE constexpr void SET_RENDER_TRAIN_AS_DERAILED(Vehicle train, BOOL toggle) { return big::native_invoker::invoke<5968, false, void>(train, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_EXTRA_COLOURS(Vehicle vehicle, int pearlescentColor, int wheelColor) { return big::native_invoker::invoke<5969, false, void>(vehicle, pearlescentColor, wheelColor); }
	FORCEINLINE constexpr void GET_VEHICLE_EXTRA_COLOURS(Vehicle vehicle, int* pearlescentColor, int* wheelColor) { return big::native_invoker::invoke<5970, false, void>(vehicle, pearlescentColor, wheelColor); }
	FORCEINLINE constexpr void SET_VEHICLE_EXTRA_COLOUR_5(Vehicle vehicle, int color) { return big::native_invoker::invoke<5971, false, void>(vehicle, color); }
	FORCEINLINE constexpr void GET_VEHICLE_EXTRA_COLOUR_5(Vehicle vehicle, int* color) { return big::native_invoker::invoke<5972, false, void>(vehicle, color); }
	FORCEINLINE constexpr void SET_VEHICLE_EXTRA_COLOUR_6(Vehicle vehicle, int color) { return big::native_invoker::invoke<5973, false, void>(vehicle, color); }
	FORCEINLINE constexpr void GET_VEHICLE_EXTRA_COLOUR_6(Vehicle vehicle, int* color) { return big::native_invoker::invoke<5974, false, void>(vehicle, color); }
	FORCEINLINE constexpr void STOP_ALL_GARAGE_ACTIVITY() { return big::native_invoker::invoke<5975, false, void>(); }
	FORCEINLINE constexpr void SET_VEHICLE_FIXED(Vehicle vehicle) { return big::native_invoker::invoke<5976, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_DEFORMATION_FIXED(Vehicle vehicle) { return big::native_invoker::invoke<5977, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_ENGINE_MISSFIRE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5978, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_LEAK_OIL(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5979, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_LEAK_PETROL(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5980, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_VEHICLE_PETROL_TANK_FIRES(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5981, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_VEHICLE_PETROL_TANK_DAMAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5982, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_VEHICLE_ENGINE_FIRES(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5983, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_LIMIT_SPEED_WHEN_PLAYER_INACTIVE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5984, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_STOP_INSTANTLY_WHEN_PLAYER_INACTIVE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5985, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_PRETEND_OCCUPANTS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<5986, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void REMOVE_VEHICLES_FROM_GENERATORS_IN_AREA(float x1, float y1, float z1, float x2, float y2, float z2, Any p6) { return big::native_invoker::invoke<5987, false, void>(x1, y1, z1, x2, y2, z2, p6); }
	FORCEINLINE constexpr void SET_VEHICLE_STEER_BIAS(Vehicle vehicle, float value) { return big::native_invoker::invoke<5988, false, void>(vehicle, value); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_EXTRA_TURNED_ON(Vehicle vehicle, int extraId) { return big::native_invoker::invoke<5989, false, BOOL>(vehicle, extraId); }
	FORCEINLINE constexpr void SET_VEHICLE_EXTRA(Vehicle vehicle, int extraId, BOOL disable) { return big::native_invoker::invoke<5990, false, void>(vehicle, extraId, disable); }
	FORCEINLINE constexpr BOOL DOES_EXTRA_EXIST(Vehicle vehicle, int extraId) { return big::native_invoker::invoke<5991, false, BOOL>(vehicle, extraId); }
	FORCEINLINE constexpr BOOL IS_EXTRA_BROKEN_OFF(Vehicle vehicle, int extraId) { return big::native_invoker::invoke<5992, false, BOOL>(vehicle, extraId); }
	FORCEINLINE constexpr void SET_CONVERTIBLE_ROOF(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5993, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void LOWER_CONVERTIBLE_ROOF(Vehicle vehicle, BOOL instantlyLower) { return big::native_invoker::invoke<5994, false, void>(vehicle, instantlyLower); }
	FORCEINLINE constexpr void RAISE_CONVERTIBLE_ROOF(Vehicle vehicle, BOOL instantlyRaise) { return big::native_invoker::invoke<5995, false, void>(vehicle, instantlyRaise); }
	FORCEINLINE constexpr int GET_CONVERTIBLE_ROOF_STATE(Vehicle vehicle) { return big::native_invoker::invoke<5996, false, int>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_A_CONVERTIBLE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<5997, false, BOOL>(vehicle, p1); }
	FORCEINLINE constexpr BOOL TRANSFORM_TO_SUBMARINE(Vehicle vehicle, BOOL noAnimation) { return big::native_invoker::invoke<5998, false, BOOL>(vehicle, noAnimation); }
	FORCEINLINE constexpr void TRANSFORM_TO_CAR(Vehicle vehicle, BOOL noAnimation) { return big::native_invoker::invoke<5999, false, void>(vehicle, noAnimation); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_IN_SUBMARINE_MODE(Vehicle vehicle) { return big::native_invoker::invoke<6000, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_STOPPED_AT_TRAFFIC_LIGHTS(Vehicle vehicle) { return big::native_invoker::invoke<6001, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_DAMAGE(Vehicle vehicle, float xOffset, float yOffset, float zOffset, float damage, float radius, BOOL focusOnModel) { return big::native_invoker::invoke<6002, false, void>(vehicle, xOffset, yOffset, zOffset, damage, radius, focusOnModel); }
	FORCEINLINE constexpr void SET_VEHICLE_OCCUPANTS_TAKE_EXPLOSIVE_DAMAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6003, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr float GET_VEHICLE_ENGINE_HEALTH(Vehicle vehicle) { return big::native_invoker::invoke<6004, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_ENGINE_HEALTH(Vehicle vehicle, float health) { return big::native_invoker::invoke<6005, false, void>(vehicle, health); }
	FORCEINLINE constexpr void SET_PLANE_ENGINE_HEALTH(Vehicle vehicle, float health) { return big::native_invoker::invoke<6006, false, void>(vehicle, health); }
	FORCEINLINE constexpr float GET_VEHICLE_PETROL_TANK_HEALTH(Vehicle vehicle) { return big::native_invoker::invoke<6007, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_PETROL_TANK_HEALTH(Vehicle vehicle, float health) { return big::native_invoker::invoke<6008, false, void>(vehicle, health); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_STUCK_TIMER_UP(Vehicle vehicle, int p1, int ms) { return big::native_invoker::invoke<6009, false, BOOL>(vehicle, p1, ms); }
	FORCEINLINE constexpr void RESET_VEHICLE_STUCK_TIMER(Vehicle vehicle, int nullAttributes) { return big::native_invoker::invoke<6010, false, void>(vehicle, nullAttributes); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_DRIVEABLE(Vehicle vehicle, BOOL isOnFireCheck) { return big::native_invoker::invoke<6011, false, BOOL>(vehicle, isOnFireCheck); }
	FORCEINLINE constexpr void SET_VEHICLE_HAS_BEEN_OWNED_BY_PLAYER(Vehicle vehicle, BOOL owned) { return big::native_invoker::invoke<6012, false, void>(vehicle, owned); }
	FORCEINLINE constexpr void SET_VEHICLE_NEEDS_TO_BE_HOTWIRED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6013, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_BLIP_THROTTLE_RANDOMLY(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6014, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_POLICE_FOCUS_WILL_TRACK_VEHICLE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6015, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void START_VEHICLE_HORN(Vehicle vehicle, int duration, Hash mode, BOOL forever) { return big::native_invoker::invoke<6016, false, void>(vehicle, duration, mode, forever); }
	FORCEINLINE constexpr void SET_VEHICLE_IN_CAR_MOD_SHOP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6017, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_HAS_STRONG_AXLES(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6018, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr const char* GET_DISPLAY_NAME_FROM_VEHICLE_MODEL(Hash modelHash) { return big::native_invoker::invoke<6019, false, const char*>(modelHash); }
	FORCEINLINE constexpr const char* GET_MAKE_NAME_FROM_VEHICLE_MODEL(Hash modelHash) { return big::native_invoker::invoke<6020, false, const char*>(modelHash); }
	FORCEINLINE constexpr Vector3 GET_VEHICLE_DEFORMATION_AT_POS(Vehicle vehicle, float offsetX, float offsetY, float offsetZ) { return big::native_invoker::invoke<6021, false, Vector3>(vehicle, offsetX, offsetY, offsetZ); }
	FORCEINLINE constexpr void SET_VEHICLE_LIVERY(Vehicle vehicle, int livery) { return big::native_invoker::invoke<6022, false, void>(vehicle, livery); }
	FORCEINLINE constexpr int GET_VEHICLE_LIVERY(Vehicle vehicle) { return big::native_invoker::invoke<6023, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_LIVERY_COUNT(Vehicle vehicle) { return big::native_invoker::invoke<6024, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_LIVERY2(Vehicle vehicle, int livery) { return big::native_invoker::invoke<6025, false, void>(vehicle, livery); }
	FORCEINLINE constexpr int GET_VEHICLE_LIVERY2(Vehicle vehicle) { return big::native_invoker::invoke<6026, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_LIVERY2_COUNT(Vehicle vehicle) { return big::native_invoker::invoke<6027, false, int>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_WINDOW_INTACT(Vehicle vehicle, int windowIndex) { return big::native_invoker::invoke<6028, false, BOOL>(vehicle, windowIndex); }
	FORCEINLINE constexpr BOOL ARE_ALL_VEHICLE_WINDOWS_INTACT(Vehicle vehicle) { return big::native_invoker::invoke<6029, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL ARE_ANY_VEHICLE_SEATS_FREE(Vehicle vehicle) { return big::native_invoker::invoke<6030, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void RESET_VEHICLE_WHEELS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6031, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL IS_HELI_PART_BROKEN(Vehicle vehicle, BOOL p1, BOOL p2, BOOL p3) { return big::native_invoker::invoke<6032, false, BOOL>(vehicle, p1, p2, p3); }
	FORCEINLINE constexpr float GET_HELI_MAIN_ROTOR_HEALTH(Vehicle vehicle) { return big::native_invoker::invoke<6033, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_HELI_TAIL_ROTOR_HEALTH(Vehicle vehicle) { return big::native_invoker::invoke<6034, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_HELI_TAIL_BOOM_HEALTH(Vehicle vehicle) { return big::native_invoker::invoke<6035, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_HELI_MAIN_ROTOR_HEALTH(Vehicle vehicle, float health) { return big::native_invoker::invoke<6036, false, void>(vehicle, health); }
	FORCEINLINE constexpr void SET_HELI_TAIL_ROTOR_HEALTH(Vehicle vehicle, float health) { return big::native_invoker::invoke<6037, false, void>(vehicle, health); }
	FORCEINLINE constexpr BOOL SET_HELI_TAIL_BOOM_CAN_BREAK_OFF(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6038, false, BOOL>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_NAME_DEBUG(Vehicle vehicle, const char* name) { return big::native_invoker::invoke<6039, false, void>(vehicle, name); }
	FORCEINLINE constexpr void SET_VEHICLE_EXPLODES_ON_HIGH_EXPLOSION_DAMAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6040, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_EXPLODES_ON_EXPLOSION_DAMAGE_AT_ZERO_BODY_HEALTH(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6041, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_ALLOW_VEHICLE_EXPLODES_ON_CONTACT(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6042, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DISABLE_TOWING(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6043, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_HAS_LANDING_GEAR(Vehicle vehicle) { return big::native_invoker::invoke<6044, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void CONTROL_LANDING_GEAR(Vehicle vehicle, int state) { return big::native_invoker::invoke<6045, false, void>(vehicle, state); }
	FORCEINLINE constexpr int GET_LANDING_GEAR_STATE(Vehicle vehicle) { return big::native_invoker::invoke<6046, false, int>(vehicle); }
	FORCEINLINE constexpr BOOL IS_ANY_VEHICLE_NEAR_POINT(float x, float y, float z, float radius) { return big::native_invoker::invoke<6047, false, BOOL>(x, y, z, radius); }
	FORCEINLINE constexpr void REQUEST_VEHICLE_HIGH_DETAIL_MODEL(Vehicle vehicle) { return big::native_invoker::invoke<6048, false, void>(vehicle); }
	FORCEINLINE constexpr int _GET_VEHICLE_MODEL_NUM_DRIVE_GEARS(Hash vehicleModel) { return big::native_invoker::invoke<6049, false, int>(vehicleModel); }
	FORCEINLINE constexpr int _GET_VEHICLE_MAX_DRIVE_GEAR_COUNT(Vehicle vehicle) { return big::native_invoker::invoke<6050, false, int>(vehicle); }
	FORCEINLINE constexpr BOOL _GET_IS_VEHICLE_ELECTRIC(Hash vehicleModel) { return big::native_invoker::invoke<6051, false, BOOL>(vehicleModel); }
	FORCEINLINE constexpr int _GET_VEHICLE_DRIVETRAIN_TYPE(Hash vehicleModel) { return big::native_invoker::invoke<6052, false, int>(vehicleModel); }
	FORCEINLINE constexpr int _GET_VEHICLE_CURRENT_DRIVE_GEAR(Vehicle vehicle) { return big::native_invoker::invoke<6053, false, int>(vehicle); }
	FORCEINLINE constexpr float _GET_VEHICLE_CURRENT_REV_RATIO(Vehicle vehicle) { return big::native_invoker::invoke<6054, false, float>(vehicle); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_HIGH_DETAIL_MODEL(Vehicle vehicle) { return big::native_invoker::invoke<6055, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_HIGH_DETAIL(Vehicle vehicle) { return big::native_invoker::invoke<6056, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void REQUEST_VEHICLE_ASSET(Hash vehicleHash, int vehicleAsset) { return big::native_invoker::invoke<6057, false, void>(vehicleHash, vehicleAsset); }
	FORCEINLINE constexpr BOOL HAS_VEHICLE_ASSET_LOADED(int vehicleAsset) { return big::native_invoker::invoke<6058, false, BOOL>(vehicleAsset); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_ASSET(int vehicleAsset) { return big::native_invoker::invoke<6059, false, void>(vehicleAsset); }
	FORCEINLINE constexpr void SET_VEHICLE_TOW_TRUCK_ARM_POSITION(Vehicle vehicle, float position) { return big::native_invoker::invoke<6060, false, void>(vehicle, position); }
	FORCEINLINE constexpr void _SET_ATTACHED_VEHICLE_TO_TOW_TRUCK_ARM(Vehicle towTruck, Vehicle vehicle) { return big::native_invoker::invoke<6061, false, void>(towTruck, vehicle); }
	FORCEINLINE constexpr void ATTACH_VEHICLE_TO_TOW_TRUCK(Vehicle towTruck, Vehicle vehicle, BOOL rear, float hookOffsetX, float hookOffsetY, float hookOffsetZ) { return big::native_invoker::invoke<6062, false, void>(towTruck, vehicle, rear, hookOffsetX, hookOffsetY, hookOffsetZ); }
	FORCEINLINE constexpr void DETACH_VEHICLE_FROM_TOW_TRUCK(Vehicle towTruck, Vehicle vehicle) { return big::native_invoker::invoke<6063, false, void>(towTruck, vehicle); }
	FORCEINLINE constexpr BOOL DETACH_VEHICLE_FROM_ANY_TOW_TRUCK(Vehicle vehicle) { return big::native_invoker::invoke<6064, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_ATTACHED_TO_TOW_TRUCK(Vehicle towTruck, Vehicle vehicle) { return big::native_invoker::invoke<6065, false, BOOL>(towTruck, vehicle); }
	FORCEINLINE constexpr Entity GET_ENTITY_ATTACHED_TO_TOW_TRUCK(Vehicle towTruck) { return big::native_invoker::invoke<6066, false, Entity>(towTruck); }
	FORCEINLINE constexpr Entity SET_VEHICLE_AUTOMATICALLY_ATTACHES(Vehicle vehicle, BOOL p1, Any p2) { return big::native_invoker::invoke<6067, false, Entity>(vehicle, p1, p2); }
	FORCEINLINE constexpr void SET_VEHICLE_BULLDOZER_ARM_POSITION(Vehicle vehicle, float position, BOOL p2) { return big::native_invoker::invoke<6068, false, void>(vehicle, position, p2); }
	FORCEINLINE constexpr void SET_VEHICLE_TANK_TURRET_POSITION(Vehicle vehicle, float position, BOOL p2) { return big::native_invoker::invoke<6069, false, void>(vehicle, position, p2); }
	FORCEINLINE constexpr void SET_VEHICLE_TURRET_TARGET(Vehicle vehicle, BOOL p1, float x, float y, float z, BOOL p5) { return big::native_invoker::invoke<6070, false, void>(vehicle, p1, x, y, z, p5); }
	FORCEINLINE constexpr void SET_VEHICLE_TANK_STATIONARY(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6071, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_TURRET_SPEED_THIS_FRAME(Vehicle vehicle, float speed) { return big::native_invoker::invoke<6072, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void DISABLE_VEHICLE_TURRET_MOVEMENT_THIS_FRAME(Vehicle vehicle) { return big::native_invoker::invoke<6073, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_FLIGHT_NOZZLE_POSITION(Vehicle vehicle, float angleRatio) { return big::native_invoker::invoke<6074, false, void>(vehicle, angleRatio); }
	FORCEINLINE constexpr void SET_VEHICLE_FLIGHT_NOZZLE_POSITION_IMMEDIATE(Vehicle vehicle, float angle) { return big::native_invoker::invoke<6075, false, void>(vehicle, angle); }
	FORCEINLINE constexpr float GET_VEHICLE_FLIGHT_NOZZLE_POSITION(Vehicle plane) { return big::native_invoker::invoke<6076, false, float>(plane); }
	FORCEINLINE constexpr void SET_DISABLE_VERTICAL_FLIGHT_MODE_TRANSITION(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6077, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL GENERATE_VEHICLE_CREATION_POS_FROM_PATHS(Vector3* outVec, Any p1, Vector3* outVec1, Any p3, Any p4, Any p5, Any p6, Any p7, Any p8) { return big::native_invoker::invoke<6078, true, BOOL>(outVec, p1, outVec1, p3, p4, p5, p6, p7, p8); }
	FORCEINLINE constexpr void SET_VEHICLE_BURNOUT(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6079, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_IN_BURNOUT(Vehicle vehicle) { return big::native_invoker::invoke<6080, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_REDUCE_GRIP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6081, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_REDUCE_GRIP_LEVEL(Vehicle vehicle, int val) { return big::native_invoker::invoke<6082, false, void>(vehicle, val); }
	FORCEINLINE constexpr void SET_VEHICLE_INDICATOR_LIGHTS(Vehicle vehicle, int turnSignal, BOOL toggle) { return big::native_invoker::invoke<6083, false, void>(vehicle, turnSignal, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_BRAKE_LIGHTS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6084, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_TAIL_LIGHTS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6085, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_HANDBRAKE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6086, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_BRAKE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6087, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void INSTANTLY_FILL_VEHICLE_POPULATION() { return big::native_invoker::invoke<6088, false, void>(); }
	FORCEINLINE constexpr BOOL HAS_INSTANT_FILL_VEHICLE_POPULATION_FINISHED() { return big::native_invoker::invoke<6089, false, BOOL>(); }
	FORCEINLINE constexpr void NETWORK_ENABLE_EMPTY_CROWDING_VEHICLES_REMOVAL(BOOL toggle) { return big::native_invoker::invoke<6090, false, void>(toggle); }
	FORCEINLINE constexpr void NETWORK_CAP_EMPTY_CROWDING_VEHICLES_REMOVAL(int p0) { return big::native_invoker::invoke<6091, false, void>(p0); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_TRAILER_VEHICLE(Vehicle vehicle, Vehicle* trailer) { return big::native_invoker::invoke<6092, false, BOOL>(vehicle, trailer); }
	FORCEINLINE constexpr Vehicle _GET_VEHICLE_TRAILER_PARENT_VEHICLE(Vehicle trailer) { return big::native_invoker::invoke<6093, false, Vehicle>(trailer); }
	FORCEINLINE constexpr void SET_VEHICLE_USES_LARGE_REAR_RAMP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6094, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_RUDDER_BROKEN(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6095, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_CONVERTIBLE_ROOF_LATCH_STATE(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<6096, false, void>(vehicle, state); }
	FORCEINLINE constexpr float GET_VEHICLE_ESTIMATED_MAX_SPEED(Vehicle vehicle) { return big::native_invoker::invoke<6097, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_VEHICLE_MAX_BRAKING(Vehicle vehicle) { return big::native_invoker::invoke<6098, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_VEHICLE_MAX_TRACTION(Vehicle vehicle) { return big::native_invoker::invoke<6099, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_VEHICLE_ACCELERATION(Vehicle vehicle) { return big::native_invoker::invoke<6100, false, float>(vehicle); }
	FORCEINLINE constexpr float GET_VEHICLE_MODEL_ESTIMATED_MAX_SPEED(Hash modelHash) { return big::native_invoker::invoke<6101, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_VEHICLE_MODEL_MAX_BRAKING(Hash modelHash) { return big::native_invoker::invoke<6102, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_VEHICLE_MODEL_MAX_BRAKING_MAX_MODS(Hash modelHash) { return big::native_invoker::invoke<6103, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_VEHICLE_MODEL_MAX_TRACTION(Hash modelHash) { return big::native_invoker::invoke<6104, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_VEHICLE_MODEL_ACCELERATION(Hash modelHash) { return big::native_invoker::invoke<6105, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_VEHICLE_MODEL_ACCELERATION_MAX_MODS(Hash modelHash) { return big::native_invoker::invoke<6106, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_FLYING_VEHICLE_MODEL_AGILITY(Hash modelHash) { return big::native_invoker::invoke<6107, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_BOAT_VEHICLE_MODEL_AGILITY(Hash modelHash) { return big::native_invoker::invoke<6108, false, float>(modelHash); }
	FORCEINLINE constexpr float GET_VEHICLE_CLASS_ESTIMATED_MAX_SPEED(int vehicleClass) { return big::native_invoker::invoke<6109, false, float>(vehicleClass); }
	FORCEINLINE constexpr float GET_VEHICLE_CLASS_MAX_TRACTION(int vehicleClass) { return big::native_invoker::invoke<6110, false, float>(vehicleClass); }
	FORCEINLINE constexpr float GET_VEHICLE_CLASS_MAX_AGILITY(int vehicleClass) { return big::native_invoker::invoke<6111, false, float>(vehicleClass); }
	FORCEINLINE constexpr float GET_VEHICLE_CLASS_MAX_ACCELERATION(int vehicleClass) { return big::native_invoker::invoke<6112, false, float>(vehicleClass); }
	FORCEINLINE constexpr float GET_VEHICLE_CLASS_MAX_BRAKING(int vehicleClass) { return big::native_invoker::invoke<6113, false, float>(vehicleClass); }
	FORCEINLINE constexpr int ADD_ROAD_NODE_SPEED_ZONE(float x, float y, float z, float radius, float speed, BOOL p5) { return big::native_invoker::invoke<6114, false, int>(x, y, z, radius, speed, p5); }
	FORCEINLINE constexpr BOOL REMOVE_ROAD_NODE_SPEED_ZONE(int speedzone) { return big::native_invoker::invoke<6115, false, BOOL>(speedzone); }
	FORCEINLINE constexpr void OPEN_BOMB_BAY_DOORS(Vehicle vehicle) { return big::native_invoker::invoke<6116, false, void>(vehicle); }
	FORCEINLINE constexpr void CLOSE_BOMB_BAY_DOORS(Vehicle vehicle) { return big::native_invoker::invoke<6117, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL GET_ARE_BOMB_BAY_DOORS_OPEN(Vehicle aircraft) { return big::native_invoker::invoke<6118, false, BOOL>(aircraft); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_SEARCHLIGHT_ON(Vehicle vehicle) { return big::native_invoker::invoke<6119, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_SEARCHLIGHT(Vehicle heli, BOOL toggle, BOOL canBeUsedByAI) { return big::native_invoker::invoke<6120, false, void>(heli, toggle, canBeUsedByAI); }
	FORCEINLINE constexpr BOOL DOES_VEHICLE_HAVE_SEARCHLIGHT(Vehicle vehicle) { return big::native_invoker::invoke<6121, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_ENTRY_POINT_FOR_SEAT_CLEAR(Ped ped, Vehicle vehicle, int seatIndex, BOOL side, BOOL onEnter) { return big::native_invoker::invoke<6122, false, BOOL>(ped, vehicle, seatIndex, side, onEnter); }
	FORCEINLINE constexpr Vector3 GET_ENTRY_POINT_POSITION(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<6123, false, Vector3>(vehicle, doorId); }
	FORCEINLINE constexpr BOOL CAN_SHUFFLE_SEAT(Vehicle vehicle, int seatIndex) { return big::native_invoker::invoke<6124, false, BOOL>(vehicle, seatIndex); }
	FORCEINLINE constexpr int GET_NUM_MOD_KITS(Vehicle vehicle) { return big::native_invoker::invoke<6125, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_MOD_KIT(Vehicle vehicle, int modKit) { return big::native_invoker::invoke<6126, false, void>(vehicle, modKit); }
	FORCEINLINE constexpr int GET_VEHICLE_MOD_KIT(Vehicle vehicle) { return big::native_invoker::invoke<6127, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_MOD_KIT_TYPE(Vehicle vehicle) { return big::native_invoker::invoke<6128, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_WHEEL_TYPE(Vehicle vehicle) { return big::native_invoker::invoke<6129, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_WHEEL_TYPE(Vehicle vehicle, int WheelType) { return big::native_invoker::invoke<6130, false, void>(vehicle, WheelType); }
	FORCEINLINE constexpr int GET_NUM_MOD_COLORS(int paintType, BOOL p1) { return big::native_invoker::invoke<6131, false, int>(paintType, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_MOD_COLOR_1(Vehicle vehicle, int paintType, int color, int pearlescentColor) { return big::native_invoker::invoke<6132, false, void>(vehicle, paintType, color, pearlescentColor); }
	FORCEINLINE constexpr void SET_VEHICLE_MOD_COLOR_2(Vehicle vehicle, int paintType, int color) { return big::native_invoker::invoke<6133, false, void>(vehicle, paintType, color); }
	FORCEINLINE constexpr void GET_VEHICLE_MOD_COLOR_1(Vehicle vehicle, int* paintType, int* color, int* pearlescentColor) { return big::native_invoker::invoke<6134, false, void>(vehicle, paintType, color, pearlescentColor); }
	FORCEINLINE constexpr void GET_VEHICLE_MOD_COLOR_2(Vehicle vehicle, int* paintType, int* color) { return big::native_invoker::invoke<6135, false, void>(vehicle, paintType, color); }
	FORCEINLINE constexpr const char* GET_VEHICLE_MOD_COLOR_1_NAME(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6136, false, const char*>(vehicle, p1); }
	FORCEINLINE constexpr const char* GET_VEHICLE_MOD_COLOR_2_NAME(Vehicle vehicle) { return big::native_invoker::invoke<6137, false, const char*>(vehicle); }
	FORCEINLINE constexpr BOOL HAVE_VEHICLE_MODS_STREAMED_IN(Vehicle vehicle) { return big::native_invoker::invoke<6138, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_MOD_GEN9_EXCLUSIVE(Vehicle vehicle, int modType, int modIndex) { return big::native_invoker::invoke<6139, false, BOOL>(vehicle, modType, modIndex); }
	FORCEINLINE constexpr void SET_VEHICLE_MOD(Vehicle vehicle, int modType, int modIndex, BOOL customTires) { return big::native_invoker::invoke<6140, false, void>(vehicle, modType, modIndex, customTires); }
	FORCEINLINE constexpr int GET_VEHICLE_MOD(Vehicle vehicle, int modType) { return big::native_invoker::invoke<6141, false, int>(vehicle, modType); }
	FORCEINLINE constexpr int GET_VEHICLE_MOD_VARIATION(Vehicle vehicle, int modType) { return big::native_invoker::invoke<6142, false, int>(vehicle, modType); }
	FORCEINLINE constexpr int GET_NUM_VEHICLE_MODS(Vehicle vehicle, int modType) { return big::native_invoker::invoke<6143, false, int>(vehicle, modType); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_MOD(Vehicle vehicle, int modType) { return big::native_invoker::invoke<6144, false, void>(vehicle, modType); }
	FORCEINLINE constexpr void TOGGLE_VEHICLE_MOD(Vehicle vehicle, int modType, BOOL toggle) { return big::native_invoker::invoke<6145, false, void>(vehicle, modType, toggle); }
	FORCEINLINE constexpr BOOL IS_TOGGLE_MOD_ON(Vehicle vehicle, int modType) { return big::native_invoker::invoke<6146, false, BOOL>(vehicle, modType); }
	FORCEINLINE constexpr const char* GET_MOD_TEXT_LABEL(Vehicle vehicle, int modType, int modValue) { return big::native_invoker::invoke<6147, false, const char*>(vehicle, modType, modValue); }
	FORCEINLINE constexpr const char* GET_MOD_SLOT_NAME(Vehicle vehicle, int modType) { return big::native_invoker::invoke<6148, false, const char*>(vehicle, modType); }
	FORCEINLINE constexpr const char* GET_LIVERY_NAME(Vehicle vehicle, int liveryIndex) { return big::native_invoker::invoke<6149, false, const char*>(vehicle, liveryIndex); }
	FORCEINLINE constexpr int GET_VEHICLE_MOD_MODIFIER_VALUE(Vehicle vehicle, int modType, int modIndex) { return big::native_invoker::invoke<6150, false, int>(vehicle, modType, modIndex); }
	FORCEINLINE constexpr Hash GET_VEHICLE_MOD_IDENTIFIER_HASH(Vehicle vehicle, int modType, int modIndex) { return big::native_invoker::invoke<6151, false, Hash>(vehicle, modType, modIndex); }
	FORCEINLINE constexpr void PRELOAD_VEHICLE_MOD(Vehicle vehicle, int modType, int modIndex) { return big::native_invoker::invoke<6152, false, void>(vehicle, modType, modIndex); }
	FORCEINLINE constexpr BOOL HAS_PRELOAD_MODS_FINISHED(Vehicle vehicle) { return big::native_invoker::invoke<6153, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void RELEASE_PRELOAD_MODS(Vehicle vehicle) { return big::native_invoker::invoke<6154, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_TYRE_SMOKE_COLOR(Vehicle vehicle, int r, int g, int b) { return big::native_invoker::invoke<6155, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void GET_VEHICLE_TYRE_SMOKE_COLOR(Vehicle vehicle, int* r, int* g, int* b) { return big::native_invoker::invoke<6156, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void SET_VEHICLE_WINDOW_TINT(Vehicle vehicle, int tint) { return big::native_invoker::invoke<6157, false, void>(vehicle, tint); }
	FORCEINLINE constexpr int GET_VEHICLE_WINDOW_TINT(Vehicle vehicle) { return big::native_invoker::invoke<6158, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_NUM_VEHICLE_WINDOW_TINTS() { return big::native_invoker::invoke<6159, false, int>(); }
	FORCEINLINE constexpr void GET_VEHICLE_COLOR(Vehicle vehicle, int* r, int* g, int* b) { return big::native_invoker::invoke<6160, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr int GET_VEHICLE_COLOURS_WHICH_CAN_BE_SET(Vehicle vehicle) { return big::native_invoker::invoke<6161, false, int>(vehicle); }
	FORCEINLINE constexpr Hash GET_VEHICLE_CAUSE_OF_DESTRUCTION(Vehicle vehicle) { return big::native_invoker::invoke<6162, false, Hash>(vehicle); }
	FORCEINLINE constexpr void OVERRIDE_PLANE_DAMAGE_THREHSOLD(Vehicle vehicle, float health) { return big::native_invoker::invoke<6163, false, void>(vehicle, health); }
	FORCEINLINE constexpr void _SET_TRANSMISSION_REDUCED_GEAR_RATIO(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6164, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr int _GET_VEHICLE_DESIRED_DRIVE_GEAR(Vehicle vehicle) { return big::native_invoker::invoke<6165, false, int>(vehicle); }
	FORCEINLINE constexpr BOOL GET_IS_LEFT_VEHICLE_HEADLIGHT_DAMAGED(Vehicle vehicle) { return big::native_invoker::invoke<6166, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL GET_IS_RIGHT_VEHICLE_HEADLIGHT_DAMAGED(Vehicle vehicle) { return big::native_invoker::invoke<6167, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL GET_BOTH_VEHICLE_HEADLIGHTS_DAMAGED(Vehicle vehicle) { return big::native_invoker::invoke<6168, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void MODIFY_VEHICLE_TOP_SPEED(Vehicle vehicle, float value) { return big::native_invoker::invoke<6169, false, void>(vehicle, value); }
	FORCEINLINE constexpr void SET_VEHICLE_MAX_SPEED(Vehicle vehicle, float speed) { return big::native_invoker::invoke<6170, false, void>(vehicle, speed); }
	FORCEINLINE constexpr void SET_VEHICLE_STAYS_FROZEN_WHEN_CLEANED_UP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6171, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_ACT_AS_IF_HIGH_SPEED_FOR_FRAG_SMASHING(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6172, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_PEDS_CAN_FALL_OFF_THIS_VEHICLE_FROM_LARGE_FALL_DAMAGE(Vehicle vehicle, BOOL toggle, float p2) { return big::native_invoker::invoke<6173, false, void>(vehicle, toggle, p2); }
	FORCEINLINE constexpr int ADD_VEHICLE_COMBAT_ANGLED_AVOIDANCE_AREA(float p0, float p1, float p2, float p3, float p4, float p5, float p6) { return big::native_invoker::invoke<6174, false, int>(p0, p1, p2, p3, p4, p5, p6); }
	FORCEINLINE constexpr void REMOVE_VEHICLE_COMBAT_AVOIDANCE_AREA(int p0) { return big::native_invoker::invoke<6175, false, void>(p0); }
	FORCEINLINE constexpr BOOL IS_ANY_PED_RAPPELLING_FROM_HELI(Vehicle vehicle) { return big::native_invoker::invoke<6176, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_CHEAT_POWER_INCREASE(Vehicle vehicle, float value) { return big::native_invoker::invoke<6177, false, void>(vehicle, value); }
	FORCEINLINE constexpr void SET_VEHICLE_INFLUENCES_WANTED_LEVEL(Any p0, BOOL p1) { return big::native_invoker::invoke<6178, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_IS_WANTED(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<6179, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SWING_BOAT_BOOM_TO_RATIO(Vehicle vehicle, float ratio) { return big::native_invoker::invoke<6180, false, void>(vehicle, ratio); }
	FORCEINLINE constexpr void SWING_BOAT_BOOM_FREELY(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6181, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void ALLOW_BOAT_BOOM_TO_ANIMATE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6182, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr float GET_BOAT_BOOM_POSITION_RATIO(Vehicle vehicle) { return big::native_invoker::invoke<6183, false, float>(vehicle); }
	FORCEINLINE constexpr void DISABLE_PLANE_AILERON(Vehicle vehicle, BOOL p1, BOOL p2) { return big::native_invoker::invoke<6184, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr BOOL GET_IS_VEHICLE_ENGINE_RUNNING(Vehicle vehicle) { return big::native_invoker::invoke<6185, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_USE_ALTERNATE_HANDLING(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6186, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_BIKE_ON_STAND(Vehicle vehicle, float x, float y) { return big::native_invoker::invoke<6187, false, void>(vehicle, x, y); }
	FORCEINLINE constexpr void SET_VEHICLE_NOT_STEALABLE_AMBIENTLY(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6188, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void LOCK_DOORS_WHEN_NO_LONGER_NEEDED(Vehicle vehicle) { return big::native_invoker::invoke<6189, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_LAST_DRIVEN_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<6190, false, void>(vehicle); }
	FORCEINLINE constexpr Vehicle GET_LAST_DRIVEN_VEHICLE() { return big::native_invoker::invoke<6191, false, Vehicle>(); }
	FORCEINLINE constexpr void CLEAR_LAST_DRIVEN_VEHICLE() { return big::native_invoker::invoke<6192, false, void>(); }
	FORCEINLINE constexpr void SET_VEHICLE_HAS_BEEN_DRIVEN_FLAG(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6193, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_TASK_VEHICLE_GOTO_PLANE_MIN_HEIGHT_ABOVE_TERRAIN(Vehicle plane, int height) { return big::native_invoker::invoke<6194, false, void>(plane, height); }
	FORCEINLINE constexpr void SET_VEHICLE_LOD_MULTIPLIER(Vehicle vehicle, float multiplier) { return big::native_invoker::invoke<6195, false, void>(vehicle, multiplier); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_SAVE_IN_GARAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6196, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr int GET_VEHICLE_NUM_OF_BROKEN_OFF_PARTS(Vehicle vehicle) { return big::native_invoker::invoke<6197, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_NUM_OF_BROKEN_LOOSEN_PARTS(Vehicle vehicle) { return big::native_invoker::invoke<6198, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_FORCE_VEHICLE_ENGINE_DAMAGE_BY_BULLET(Any p0, BOOL p1) { return big::native_invoker::invoke<6199, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_GENERATES_ENGINE_SHOCKING_EVENTS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6200, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void COPY_VEHICLE_DAMAGES(Vehicle sourceVehicle, Vehicle targetVehicle) { return big::native_invoker::invoke<6201, false, void>(sourceVehicle, targetVehicle); }
	FORCEINLINE constexpr void DISABLE_VEHICLE_EXPLOSION_BREAK_OFF_PARTS() { return big::native_invoker::invoke<6202, false, void>(); }
	FORCEINLINE constexpr void SET_LIGHTS_CUTOFF_DISTANCE_TWEAK(float distance) { return big::native_invoker::invoke<6203, false, void>(distance); }
	FORCEINLINE constexpr void SET_VEHICLE_SHOOT_AT_TARGET(Ped driver, Entity entity, float xTarget, float yTarget, float zTarget) { return big::native_invoker::invoke<6204, false, void>(driver, entity, xTarget, yTarget, zTarget); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_LOCK_ON_TARGET(Vehicle vehicle, Entity* entity) { return big::native_invoker::invoke<6205, false, BOOL>(vehicle, entity); }
	FORCEINLINE constexpr void SET_FORCE_HD_VEHICLE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6206, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_CUSTOM_PATH_NODE_STREAMING_RADIUS(Vehicle vehicle, float p1) { return big::native_invoker::invoke<6207, false, void>(vehicle, p1); }
	FORCEINLINE constexpr int GET_VEHICLE_PLATE_TYPE(Vehicle vehicle) { return big::native_invoker::invoke<6208, false, int>(vehicle); }
	FORCEINLINE constexpr void TRACK_VEHICLE_VISIBILITY(Vehicle vehicle) { return big::native_invoker::invoke<6209, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_VISIBLE(Vehicle vehicle) { return big::native_invoker::invoke<6210, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_GRAVITY(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6211, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_ENABLE_VEHICLE_SLIPSTREAMING(BOOL toggle) { return big::native_invoker::invoke<6212, false, void>(toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_SLIPSTREAMING_SHOULD_TIME_OUT(BOOL toggle) { return big::native_invoker::invoke<6213, false, void>(toggle); }
	FORCEINLINE constexpr float GET_VEHICLE_CURRENT_TIME_IN_SLIP_STREAM(Vehicle vehicle) { return big::native_invoker::invoke<6214, false, float>(vehicle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_PRODUCING_SLIP_STREAM(Vehicle vehicle) { return big::native_invoker::invoke<6215, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_INACTIVE_DURING_PLAYBACK(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6216, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_ACTIVE_DURING_PLAYBACK(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6217, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_SPRAYABLE(Vehicle vehicle) { return big::native_invoker::invoke<6218, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_ENGINE_CAN_DEGRADE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6219, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void DISABLE_VEHCILE_DYNAMIC_AMBIENT_SCALES(Vehicle vehicle, int p1, int p2) { return big::native_invoker::invoke<6220, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr void ENABLE_VEHICLE_DYNAMIC_AMBIENT_SCALES(Vehicle vehicle) { return big::native_invoker::invoke<6221, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL IS_PLANE_LANDING_GEAR_INTACT(Vehicle plane) { return big::native_invoker::invoke<6222, false, BOOL>(plane); }
	FORCEINLINE constexpr BOOL ARE_PLANE_PROPELLERS_INTACT(Vehicle plane) { return big::native_invoker::invoke<6223, false, BOOL>(plane); }
	FORCEINLINE constexpr BOOL SET_PLANE_PROPELLER_HEALTH(Vehicle plane, float health) { return big::native_invoker::invoke<6224, false, BOOL>(plane, health); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_DEFORM_WHEELS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6225, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_STOLEN(Vehicle vehicle) { return big::native_invoker::invoke<6226, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_IS_STOLEN(Vehicle vehicle, BOOL isStolen) { return big::native_invoker::invoke<6227, false, void>(vehicle, isStolen); }
	FORCEINLINE constexpr void SET_PLANE_TURBULENCE_MULTIPLIER(Vehicle vehicle, float multiplier) { return big::native_invoker::invoke<6228, false, void>(vehicle, multiplier); }
	FORCEINLINE constexpr BOOL ARE_WINGS_OF_PLANE_INTACT(Vehicle plane) { return big::native_invoker::invoke<6229, false, BOOL>(plane); }
	FORCEINLINE constexpr void ALLOW_AMBIENT_VEHICLES_TO_AVOID_ADVERSE_CONDITIONS(Vehicle vehicle) { return big::native_invoker::invoke<6230, false, void>(vehicle); }
	FORCEINLINE constexpr void DETACH_VEHICLE_FROM_CARGOBOB(Vehicle vehicle, Vehicle cargobob) { return big::native_invoker::invoke<6231, false, void>(vehicle, cargobob); }
	FORCEINLINE constexpr BOOL DETACH_VEHICLE_FROM_ANY_CARGOBOB(Vehicle vehicle) { return big::native_invoker::invoke<6232, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL DETACH_ENTITY_FROM_CARGOBOB(Vehicle cargobob, Entity entity) { return big::native_invoker::invoke<6233, false, BOOL>(cargobob, entity); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_ATTACHED_TO_CARGOBOB(Vehicle cargobob, Vehicle vehicleAttached) { return big::native_invoker::invoke<6234, false, BOOL>(cargobob, vehicleAttached); }
	FORCEINLINE constexpr Vehicle GET_VEHICLE_ATTACHED_TO_CARGOBOB(Vehicle cargobob) { return big::native_invoker::invoke<6235, false, Vehicle>(cargobob); }
	FORCEINLINE constexpr Entity GET_ENTITY_ATTACHED_TO_CARGOBOB(Any p0) { return big::native_invoker::invoke<6236, false, Entity>(p0); }
	FORCEINLINE constexpr void ATTACH_VEHICLE_TO_CARGOBOB(Vehicle cargobob, Vehicle vehicle, int p2, float x, float y, float z) { return big::native_invoker::invoke<6237, false, void>(cargobob, vehicle, p2, x, y, z); }
	FORCEINLINE constexpr void ATTACH_ENTITY_TO_CARGOBOB(Any p0, Any p1, Any p2, Any p3, Any p4, Any p5) { return big::native_invoker::invoke<6238, false, void>(p0, p1, p2, p3, p4, p5); }
	FORCEINLINE constexpr void SET_CARGOBOB_FORCE_DONT_DETACH_VEHICLE(Vehicle cargobob, BOOL toggle) { return big::native_invoker::invoke<6239, false, void>(cargobob, toggle); }
	FORCEINLINE constexpr void SET_CARGOBOB_EXCLUDE_FROM_PICKUP_ENTITY(Any p0, Any p1) { return big::native_invoker::invoke<6240, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL CAN_CARGOBOB_PICK_UP_ENTITY(Any p0, Any p1) { return big::native_invoker::invoke<6241, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr Vector3 GET_ATTACHED_PICK_UP_HOOK_POSITION(Vehicle cargobob) { return big::native_invoker::invoke<6242, false, Vector3>(cargobob); }
	FORCEINLINE constexpr BOOL DOES_CARGOBOB_HAVE_PICK_UP_ROPE(Vehicle cargobob) { return big::native_invoker::invoke<6243, false, BOOL>(cargobob); }
	FORCEINLINE constexpr void CREATE_PICK_UP_ROPE_FOR_CARGOBOB(Vehicle cargobob, int state) { return big::native_invoker::invoke<6244, false, void>(cargobob, state); }
	FORCEINLINE constexpr void REMOVE_PICK_UP_ROPE_FOR_CARGOBOB(Vehicle cargobob) { return big::native_invoker::invoke<6245, false, void>(cargobob); }
	FORCEINLINE constexpr void SET_PICKUP_ROPE_LENGTH_FOR_CARGOBOB(Vehicle cargobob, float length1, float length2, BOOL p3) { return big::native_invoker::invoke<6246, false, void>(cargobob, length1, length2, p3); }
	FORCEINLINE constexpr void SET_PICKUP_ROPE_LENGTH_WITHOUT_CREATING_ROPE_FOR_CARGOBOB(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<6247, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_ROPE_DAMPING_MULTIPLIER(Any p0, Any p1) { return big::native_invoker::invoke<6248, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_ROPE_TYPE(Any p0, Any p1) { return big::native_invoker::invoke<6249, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL DOES_CARGOBOB_HAVE_PICKUP_MAGNET(Vehicle cargobob) { return big::native_invoker::invoke<6250, false, BOOL>(cargobob); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_ACTIVE(Vehicle cargobob, BOOL isActive) { return big::native_invoker::invoke<6251, false, void>(cargobob, isActive); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_STRENGTH(Vehicle cargobob, float strength) { return big::native_invoker::invoke<6252, false, void>(cargobob, strength); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_FALLOFF(Vehicle cargobob, float p1) { return big::native_invoker::invoke<6253, false, void>(cargobob, p1); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_REDUCED_STRENGTH(Vehicle cargobob, float p1) { return big::native_invoker::invoke<6254, false, void>(cargobob, p1); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_REDUCED_FALLOFF(Vehicle cargobob, float p1) { return big::native_invoker::invoke<6255, false, void>(cargobob, p1); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_PULL_STRENGTH(Vehicle cargobob, float p1) { return big::native_invoker::invoke<6256, false, void>(cargobob, p1); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_PULL_ROPE_LENGTH(Vehicle vehicle, float p1) { return big::native_invoker::invoke<6257, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_SET_TARGETED_MODE(Vehicle vehicle, Vehicle cargobob) { return big::native_invoker::invoke<6258, false, void>(vehicle, cargobob); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_SET_AMBIENT_MODE(Vehicle vehicle, BOOL p1, BOOL p2) { return big::native_invoker::invoke<6259, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr void SET_CARGOBOB_PICKUP_MAGNET_ENSURE_PICKUP_ENTITY_UPRIGHT(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6260, false, void>(vehicle, p1); }
	FORCEINLINE constexpr BOOL DOES_VEHICLE_HAVE_WEAPONS(Vehicle vehicle) { return big::native_invoker::invoke<6261, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_WILL_TELL_OTHERS_TO_HURRY(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6262, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void DISABLE_VEHICLE_WEAPON(BOOL disabled, Hash weaponHash, Vehicle vehicle, Ped owner) { return big::native_invoker::invoke<6263, false, void>(disabled, weaponHash, vehicle, owner); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_WEAPON_DISABLED(Hash weaponHash, Vehicle vehicle, Ped owner) { return big::native_invoker::invoke<6264, false, BOOL>(weaponHash, vehicle, owner); }
	FORCEINLINE constexpr void SET_VEHICLE_USED_FOR_PILOT_SCHOOL(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6265, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_ACTIVE_FOR_PED_NAVIGATION(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6266, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr int GET_VEHICLE_CLASS(Vehicle vehicle) { return big::native_invoker::invoke<6267, false, int>(vehicle); }
	FORCEINLINE constexpr int GET_VEHICLE_CLASS_FROM_NAME(Hash modelHash) { return big::native_invoker::invoke<6268, false, int>(modelHash); }
	FORCEINLINE constexpr void SET_PLAYERS_LAST_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<6269, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_CAN_BE_USED_BY_FLEEING_PEDS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6270, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_AIRCRAFT_PILOT_SKILL_NOISE_SCALAR(Vehicle vehicle, float p1) { return big::native_invoker::invoke<6271, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_DROPS_MONEY_WHEN_BLOWN_UP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6272, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_KEEP_ENGINE_ON_WHEN_ABANDONED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6273, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_IMPATIENCE_TIMER(Vehicle vehicle, Any p1) { return big::native_invoker::invoke<6274, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_HANDLING_OVERRIDE(Vehicle vehicle, Hash hash) { return big::native_invoker::invoke<6275, false, void>(vehicle, hash); }
	FORCEINLINE constexpr void SET_VEHICLE_EXTENDED_REMOVAL_RANGE(Vehicle vehicle, int range) { return big::native_invoker::invoke<6276, false, void>(vehicle, range); }
	FORCEINLINE constexpr void SET_VEHICLE_STEERING_BIAS_SCALAR(Any p0, float p1) { return big::native_invoker::invoke<6277, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_HELI_CONTROL_LAGGING_RATE_SCALAR(Vehicle helicopter, float multiplier) { return big::native_invoker::invoke<6278, false, void>(helicopter, multiplier); }
	FORCEINLINE constexpr void SET_VEHICLE_FRICTION_OVERRIDE(Vehicle vehicle, float friction) { return big::native_invoker::invoke<6279, false, void>(vehicle, friction); }
	FORCEINLINE constexpr void SET_VEHICLE_WHEELS_CAN_BREAK_OFF_WHEN_BLOW_UP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6280, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL ARE_PLANE_CONTROL_PANELS_INTACT(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6281, false, BOOL>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_CEILING_HEIGHT(Vehicle vehicle, float height) { return big::native_invoker::invoke<6282, false, void>(vehicle, height); }
	FORCEINLINE constexpr void SET_VEHICLE_NO_EXPLOSION_DAMAGE_FROM_DRIVER(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6283, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_ROUTE_HISTORY(Vehicle vehicle) { return big::native_invoker::invoke<6284, false, void>(vehicle); }
	FORCEINLINE constexpr Vehicle DOES_VEHICLE_EXIST_WITH_DECORATOR(const char* decorator) { return big::native_invoker::invoke<6285, false, Vehicle>(decorator); }
	FORCEINLINE constexpr void SET_VEHICLE_AI_CAN_USE_EXCLUSIVE_SEATS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6286, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_EXCLUSIVE_DRIVER(Vehicle vehicle, Ped ped, int index) { return big::native_invoker::invoke<6287, false, void>(vehicle, ped, index); }
	FORCEINLINE constexpr BOOL IS_PED_EXCLUSIVE_DRIVER_OF_VEHICLE(Ped ped, Vehicle vehicle, int* outIndex) { return big::native_invoker::invoke<6288, false, BOOL>(ped, vehicle, outIndex); }
	FORCEINLINE constexpr void DISABLE_INDIVIDUAL_PLANE_PROPELLER(Vehicle vehicle, int propeller) { return big::native_invoker::invoke<6289, false, void>(vehicle, propeller); }
	FORCEINLINE constexpr void SET_VEHICLE_FORCE_AFTERBURNER(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6290, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DONT_PROCESS_VEHICLE_GLASS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6291, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_WANTED_CONES_RESPONSE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6292, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_USE_DESIRED_Z_CRUISE_SPEED_FOR_LANDING(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6293, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_ARRIVE_DISTANCE_OVERRIDE_FOR_VEHICLE_PERSUIT_ATTACK(Vehicle vehicle, float p1) { return big::native_invoker::invoke<6294, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_READY_FOR_CLEANUP(Any p0) { return big::native_invoker::invoke<6295, false, void>(p0); }
	FORCEINLINE constexpr void SET_DISTANT_CARS_ENABLED(BOOL toggle) { return big::native_invoker::invoke<6296, false, void>(toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_NEON_COLOUR(Vehicle vehicle, int r, int g, int b) { return big::native_invoker::invoke<6297, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void SET_VEHICLE_NEON_INDEX_COLOUR(Vehicle vehicle, int index) { return big::native_invoker::invoke<6298, false, void>(vehicle, index); }
	FORCEINLINE constexpr void GET_VEHICLE_NEON_COLOUR(Vehicle vehicle, int* r, int* g, int* b) { return big::native_invoker::invoke<6299, false, void>(vehicle, r, g, b); }
	FORCEINLINE constexpr void SET_VEHICLE_NEON_ENABLED(Vehicle vehicle, int index, BOOL toggle) { return big::native_invoker::invoke<6300, false, void>(vehicle, index, toggle); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_NEON_ENABLED(Vehicle vehicle, int index) { return big::native_invoker::invoke<6301, false, BOOL>(vehicle, index); }
	FORCEINLINE constexpr void SET_AMBIENT_VEHICLE_NEON_ENABLED(BOOL p0) { return big::native_invoker::invoke<6302, false, void>(p0); }
	FORCEINLINE constexpr void SUPPRESS_NEONS_ON_VEHICLE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6303, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_SUPERDUMMY(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6304, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void REQUEST_VEHICLE_DIAL(Vehicle vehicle) { return big::native_invoker::invoke<6305, false, void>(vehicle); }
	FORCEINLINE constexpr float GET_VEHICLE_BODY_HEALTH(Vehicle vehicle) { return big::native_invoker::invoke<6306, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_BODY_HEALTH(Vehicle vehicle, float value) { return big::native_invoker::invoke<6307, false, void>(vehicle, value); }
	FORCEINLINE constexpr void GET_VEHICLE_SIZE(Vehicle vehicle, Vector3* out1, Vector3* out2) { return big::native_invoker::invoke<6308, true, void>(vehicle, out1, out2); }
	FORCEINLINE constexpr float GET_FAKE_SUSPENSION_LOWERING_AMOUNT(Vehicle vehicle) { return big::native_invoker::invoke<6309, false, float>(vehicle); }
	FORCEINLINE constexpr void SET_CAR_HIGH_SPEED_BUMP_SEVERITY_MULTIPLIER(float multiplier) { return big::native_invoker::invoke<6310, false, void>(multiplier); }
	FORCEINLINE constexpr int GET_NUMBER_OF_VEHICLE_DOORS(Vehicle vehicle) { return big::native_invoker::invoke<6311, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_HYDRAULICS_CONTROL(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6312, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_CAN_ADJUST_GROUND_CLEARANCE(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6313, false, void>(vehicle, p1); }
	FORCEINLINE constexpr float GET_VEHICLE_HEALTH_PERCENTAGE(Vehicle vehicle, float maxEngineHealth, float maxPetrolTankHealth, float maxBodyHealth, float maxMainRotorHealth, float maxTailRotorHealth, float maxUnkHealth) { return big::native_invoker::invoke<6314, false, float>(vehicle, maxEngineHealth, maxPetrolTankHealth, maxBodyHealth, maxMainRotorHealth, maxTailRotorHealth, maxUnkHealth); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_IS_MERCENARY(Vehicle vehicle) { return big::native_invoker::invoke<6315, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_BROKEN_PARTS_DONT_AFFECT_AI_HANDLING(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6316, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_KERS_ALLOWED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6317, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_HAS_KERS(Vehicle vehicle) { return big::native_invoker::invoke<6318, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_PLANE_RESIST_TO_EXPLOSION(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6319, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_HELI_RESIST_TO_EXPLOSION(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6320, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_BMX_EXTRA_TRICK_FORCES(Any p0) { return big::native_invoker::invoke<6321, false, void>(p0); }
	FORCEINLINE constexpr void SET_HYDRAULIC_SUSPENSION_RAISE_FACTOR(Vehicle vehicle, int wheelId, float value) { return big::native_invoker::invoke<6322, false, void>(vehicle, wheelId, value); }
	FORCEINLINE constexpr float GET_HYDRAULIC_SUSPENSION_RAISE_FACTOR(Vehicle vehicle, int wheelId) { return big::native_invoker::invoke<6323, false, float>(vehicle, wheelId); }
	FORCEINLINE constexpr void SET_CAN_USE_HYDRAULICS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6324, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_HYDRAULIC_VEHICLE_STATE(Vehicle vehicle, int state) { return big::native_invoker::invoke<6325, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_HYDRAULIC_WHEEL_STATE(Vehicle vehicle, int wheelId, int state, float value, Any p4) { return big::native_invoker::invoke<6326, false, void>(vehicle, wheelId, state, value, p4); }
	FORCEINLINE constexpr BOOL HAS_VEHICLE_PETROLTANK_SET_ON_FIRE_BY_ENTITY(Any p0, Any p1) { return big::native_invoker::invoke<6327, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void CLEAR_VEHICLE_PETROLTANK_FIRE_CULPRIT(Vehicle vehicle) { return big::native_invoker::invoke<6328, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_BOBBLEHEAD_VELOCITY(float x, float y, float p2) { return big::native_invoker::invoke<6329, false, void>(x, y, p2); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_IS_DUMMY(Any p0) { return big::native_invoker::invoke<6330, false, BOOL>(p0); }
	FORCEINLINE constexpr BOOL SET_VEHICLE_DAMAGE_SCALE(Vehicle vehicle, float p1) { return big::native_invoker::invoke<6331, false, BOOL>(vehicle, p1); }
	FORCEINLINE constexpr BOOL SET_VEHICLE_WEAPON_DAMAGE_SCALE(Vehicle vehicle, float multiplier) { return big::native_invoker::invoke<6332, false, BOOL>(vehicle, multiplier); }
	FORCEINLINE constexpr BOOL SET_DISABLE_DAMAGE_WITH_PICKED_UP_ENTITY(Any p0, Any p1) { return big::native_invoker::invoke<6333, false, BOOL>(p0, p1); }
	FORCEINLINE constexpr void SET_VEHICLE_USES_MP_PLAYER_DAMAGE_MULTIPLIER(Any p0, Any p1) { return big::native_invoker::invoke<6334, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_BIKE_EASY_TO_LAND(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6335, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_INVERT_VEHICLE_CONTROLS(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<6336, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_SPEED_BOOST_EFFECT_DISABLED(BOOL disabled) { return big::native_invoker::invoke<6337, false, void>(disabled); }
	FORCEINLINE constexpr void SET_SLOW_DOWN_EFFECT_DISABLED(BOOL disabled) { return big::native_invoker::invoke<6338, false, void>(disabled); }
	FORCEINLINE constexpr void SET_FORMATION_LEADER(Vehicle vehicle, float x, float y, float z, float p4) { return big::native_invoker::invoke<6339, false, void>(vehicle, x, y, z, p4); }
	FORCEINLINE constexpr void RESET_FORMATION_LEADER() { return big::native_invoker::invoke<6340, false, void>(); }
	FORCEINLINE constexpr BOOL GET_IS_BOAT_CAPSIZED(Vehicle vehicle) { return big::native_invoker::invoke<6341, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_ALLOW_RAMMING_SOOP_OR_RAMP(Any p0, Any p1) { return big::native_invoker::invoke<6342, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_SCRIPT_RAMP_IMPULSE_SCALE(Vehicle vehicle, float impulseScale) { return big::native_invoker::invoke<6343, false, void>(vehicle, impulseScale); }
	FORCEINLINE constexpr BOOL GET_IS_DOOR_VALID(Vehicle vehicle, int doorId) { return big::native_invoker::invoke<6344, false, BOOL>(vehicle, doorId); }
	FORCEINLINE constexpr void SET_SCRIPT_ROCKET_BOOST_RECHARGE_TIME(Vehicle vehicle, float seconds) { return big::native_invoker::invoke<6345, false, void>(vehicle, seconds); }
	FORCEINLINE constexpr BOOL GET_HAS_ROCKET_BOOST(Vehicle vehicle) { return big::native_invoker::invoke<6346, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL IS_ROCKET_BOOST_ACTIVE(Vehicle vehicle) { return big::native_invoker::invoke<6347, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_ROCKET_BOOST_ACTIVE(Vehicle vehicle, BOOL active) { return big::native_invoker::invoke<6348, false, void>(vehicle, active); }
	FORCEINLINE constexpr BOOL GET_HAS_RETRACTABLE_WHEELS(Vehicle vehicle) { return big::native_invoker::invoke<6349, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL GET_IS_WHEELS_RETRACTED(Vehicle vehicle) { return big::native_invoker::invoke<6350, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_WHEELS_EXTENDED_INSTANTLY(Vehicle vehicle) { return big::native_invoker::invoke<6351, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_WHEELS_RETRACTED_INSTANTLY(Vehicle vehicle) { return big::native_invoker::invoke<6352, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL GET_CAR_HAS_JUMP(Vehicle vehicle) { return big::native_invoker::invoke<6353, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_USE_HIGHER_CAR_JUMP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6354, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_CLEAR_FREEZE_WAITING_ON_COLLISION_ONCE_PLAYER_ENTERS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6355, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_WEAPON_RESTRICTED_AMMO(Vehicle vehicle, int weaponIndex, int capacity) { return big::native_invoker::invoke<6356, false, void>(vehicle, weaponIndex, capacity); }
	FORCEINLINE constexpr int GET_VEHICLE_WEAPON_RESTRICTED_AMMO(Vehicle vehicle, int weaponIndex) { return big::native_invoker::invoke<6357, false, int>(vehicle, weaponIndex); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_HAS_PARACHUTE(Vehicle vehicle) { return big::native_invoker::invoke<6358, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL GET_VEHICLE_CAN_DEPLOY_PARACHUTE(Vehicle vehicle) { return big::native_invoker::invoke<6359, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void VEHICLE_START_PARACHUTING(Vehicle vehicle, BOOL active) { return big::native_invoker::invoke<6360, false, void>(vehicle, active); }
	FORCEINLINE constexpr BOOL IS_VEHICLE_PARACHUTE_DEPLOYED(Vehicle vehicle) { return big::native_invoker::invoke<6361, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void VEHICLE_SET_RAMP_AND_RAMMING_CARS_TAKE_DAMAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6362, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void VEHICLE_SET_ENABLE_RAMP_CAR_SIDE_IMPULSE(Any p0, Any p1) { return big::native_invoker::invoke<6363, false, void>(p0, p1); }
	FORCEINLINE constexpr void VEHICLE_SET_ENABLE_NORMALISE_RAMP_CAR_VERTICAL_VELOCTIY(Any p0, Any p1) { return big::native_invoker::invoke<6364, false, void>(p0, p1); }
	FORCEINLINE constexpr void VEHICLE_SET_JET_WASH_FORCE_ENABLED(Any p0) { return big::native_invoker::invoke<6365, false, void>(p0); }
	FORCEINLINE constexpr void SET_VEHICLE_WEAPON_CAN_TARGET_OBJECTS(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6366, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_USE_BOOST_BUTTON_FOR_WHEEL_RETRACT(BOOL toggle) { return big::native_invoker::invoke<6367, false, void>(toggle); }
	FORCEINLINE constexpr void _SET_VEHICLE_USE_HORN_BUTTON_FOR_NITROUS(BOOL toggle) { return big::native_invoker::invoke<6368, false, void>(toggle); }
	FORCEINLINE constexpr void VEHICLE_SET_PARACHUTE_MODEL_OVERRIDE(Vehicle vehicle, Hash modelHash) { return big::native_invoker::invoke<6369, false, void>(vehicle, modelHash); }
	FORCEINLINE constexpr void VEHICLE_SET_PARACHUTE_MODEL_TINT_INDEX(Vehicle vehicle, int textureVariation) { return big::native_invoker::invoke<6370, false, void>(vehicle, textureVariation); }
	FORCEINLINE constexpr int VEHICLE_SET_OVERRIDE_EXTENABLE_SIDE_RATIO(Any p0, Any p1) { return big::native_invoker::invoke<6371, false, int>(p0, p1); }
	FORCEINLINE constexpr int VEHICLE_SET_EXTENABLE_SIDE_TARGET_RATIO(Any p0, Any p1) { return big::native_invoker::invoke<6372, false, int>(p0, p1); }
	FORCEINLINE constexpr int VEHICLE_SET_OVERRIDE_SIDE_RATIO(Any p0, Any p1) { return big::native_invoker::invoke<6373, false, int>(p0, p1); }
	FORCEINLINE constexpr int GET_ALL_VEHICLES(Any* vehsStruct) { return big::native_invoker::invoke<6374, false, int>(vehsStruct); }
	FORCEINLINE constexpr void SET_CARGOBOB_EXTA_PICKUP_RANGE(Any p0, Any p1) { return big::native_invoker::invoke<6375, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_OVERRIDE_VEHICLE_DOOR_TORQUE(Any p0, Any p1, Any p2) { return big::native_invoker::invoke<6376, false, void>(p0, p1, p2); }
	FORCEINLINE constexpr void SET_WHEELIE_ENABLED(Vehicle vehicle, BOOL enabled) { return big::native_invoker::invoke<6377, false, void>(vehicle, enabled); }
	FORCEINLINE constexpr void SET_DISABLE_HELI_EXPLODE_FROM_BODY_DAMAGE(Any p0, Any p1) { return big::native_invoker::invoke<6378, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_DISABLE_EXPLODE_FROM_BODY_DAMAGE_ON_COLLISION(Vehicle vehicle, float value) { return big::native_invoker::invoke<6379, false, void>(vehicle, value); }
	FORCEINLINE constexpr void SET_TRAILER_ATTACHMENT_ENABLED(Any p0, Any p1) { return big::native_invoker::invoke<6380, false, void>(p0, p1); }
	FORCEINLINE constexpr void SET_ROCKET_BOOST_FILL(Vehicle vehicle, float percentage) { return big::native_invoker::invoke<6381, false, void>(vehicle, percentage); }
	FORCEINLINE constexpr void SET_GLIDER_ACTIVE(Vehicle vehicle, BOOL state) { return big::native_invoker::invoke<6382, false, void>(vehicle, state); }
	FORCEINLINE constexpr void SET_SHOULD_RESET_TURRET_IN_SCRIPTED_CAMERAS(Vehicle vehicle, BOOL shouldReset) { return big::native_invoker::invoke<6383, false, void>(vehicle, shouldReset); }
	FORCEINLINE constexpr void SET_VEHICLE_DISABLE_COLLISION_UPON_CREATION(Vehicle vehicle, BOOL disable) { return big::native_invoker::invoke<6384, false, void>(vehicle, disable); }
	FORCEINLINE constexpr void SET_GROUND_EFFECT_REDUCES_DRAG(BOOL toggle) { return big::native_invoker::invoke<6385, false, void>(toggle); }
	FORCEINLINE constexpr void SET_DISABLE_MAP_COLLISION(Vehicle vehicle) { return big::native_invoker::invoke<6386, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_DISABLE_PED_STAND_ON_TOP(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6387, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DAMAGE_SCALES(Vehicle vehicle, Any p1, Any p2, Any p3, Any p4) { return big::native_invoker::invoke<6388, false, void>(vehicle, p1, p2, p3, p4); }
	FORCEINLINE constexpr void SET_PLANE_SECTION_DAMAGE_SCALE(Vehicle vehicle, Any p1, Any p2) { return big::native_invoker::invoke<6389, false, void>(vehicle, p1, p2); }
	FORCEINLINE constexpr void SET_HELI_CAN_PICKUP_ENTITY_THAT_HAS_PICK_UP_DISABLED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6390, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_BOMB_AMMO(Vehicle vehicle, int bombCount) { return big::native_invoker::invoke<6391, false, void>(vehicle, bombCount); }
	FORCEINLINE constexpr int GET_VEHICLE_BOMB_AMMO(Vehicle vehicle) { return big::native_invoker::invoke<6392, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_VEHICLE_COUNTERMEASURE_AMMO(Vehicle vehicle, int counterMeasureCount) { return big::native_invoker::invoke<6393, false, void>(vehicle, counterMeasureCount); }
	FORCEINLINE constexpr int GET_VEHICLE_COUNTERMEASURE_AMMO(Vehicle vehicle) { return big::native_invoker::invoke<6394, false, int>(vehicle); }
	FORCEINLINE constexpr void SET_HELI_COMBAT_OFFSET(Vehicle vehicle, float x, float y, float z) { return big::native_invoker::invoke<6395, false, void>(vehicle, x, y, z); }
	FORCEINLINE constexpr BOOL GET_CAN_VEHICLE_BE_PLACED_HERE(Vehicle vehicle, float x, float y, float z, float rotX, float rotY, float rotZ, int p7, Any p8) { return big::native_invoker::invoke<6396, false, BOOL>(vehicle, x, y, z, rotX, rotY, rotZ, p7, p8); }
	FORCEINLINE constexpr void SET_DISABLE_AUTOMATIC_CRASH_TASK(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6397, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_SPECIAL_FLIGHT_MODE_RATIO(Vehicle vehicle, float ratio) { return big::native_invoker::invoke<6398, false, void>(vehicle, ratio); }
	FORCEINLINE constexpr void SET_SPECIAL_FLIGHT_MODE_TARGET_RATIO(Vehicle vehicle, float targetRatio) { return big::native_invoker::invoke<6399, false, void>(vehicle, targetRatio); }
	FORCEINLINE constexpr void SET_SPECIAL_FLIGHT_MODE_ALLOWED(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6400, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_HOVER_MODE_FLIGHT(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6401, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL GET_OUTRIGGERS_DEPLOYED(Vehicle vehicle) { return big::native_invoker::invoke<6402, false, BOOL>(vehicle); }
	FORCEINLINE constexpr Vector3 FIND_SPAWN_COORDINATES_FOR_HELI(Ped ped) { return big::native_invoker::invoke<6403, false, Vector3>(ped); }
	FORCEINLINE constexpr void SET_DEPLOY_FOLDING_WINGS(Vehicle vehicle, BOOL deploy, BOOL p2) { return big::native_invoker::invoke<6404, false, void>(vehicle, deploy, p2); }
	FORCEINLINE constexpr BOOL ARE_FOLDING_WINGS_DEPLOYED(Vehicle vehicle) { return big::native_invoker::invoke<6405, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void _SET_DEPLOY_MISSILE_BAYS(Vehicle vehicle, BOOL deploy) { return big::native_invoker::invoke<6406, false, void>(vehicle, deploy); }
	FORCEINLINE constexpr BOOL _ARE_MISSILE_BAYS_DEPLOYED(Vehicle vehicle) { return big::native_invoker::invoke<6407, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_DIP_STRAIGHT_DOWN_WHEN_CRASHING_PLANE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6408, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_TURRET_HIDDEN(Vehicle vehicle, int index, BOOL toggle) { return big::native_invoker::invoke<6409, false, void>(vehicle, index, toggle); }
	FORCEINLINE constexpr void SET_HOVER_MODE_WING_RATIO(Vehicle vehicle, float ratio) { return big::native_invoker::invoke<6410, false, void>(vehicle, ratio); }
	FORCEINLINE constexpr void SET_DISABLE_TURRET_MOVEMENT(Vehicle vehicle, int turretId) { return big::native_invoker::invoke<6411, false, void>(vehicle, turretId); }
	FORCEINLINE constexpr void SET_FORCE_FIX_LINK_MATRICES(Vehicle vehicle) { return big::native_invoker::invoke<6412, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_TRANSFORM_RATE_FOR_ANIMATION(Vehicle vehicle, float transformRate) { return big::native_invoker::invoke<6413, false, void>(vehicle, transformRate); }
	FORCEINLINE constexpr void SET_TRANSFORM_TO_SUBMARINE_USES_ALTERNATE_INPUT(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6414, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_COMBAT_MODE(BOOL toggle) { return big::native_invoker::invoke<6415, false, void>(toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_DETONATION_MODE(BOOL toggle) { return big::native_invoker::invoke<6416, false, void>(toggle); }
	FORCEINLINE constexpr void SET_VEHICLE_SHUNT_ON_STICK(BOOL toggle) { return big::native_invoker::invoke<6417, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_IS_VEHICLE_SHUNTING(Vehicle vehicle) { return big::native_invoker::invoke<6418, false, BOOL>(vehicle); }
	FORCEINLINE constexpr BOOL GET_HAS_VEHICLE_BEEN_HIT_BY_SHUNT(Vehicle vehicle) { return big::native_invoker::invoke<6419, false, BOOL>(vehicle); }
	FORCEINLINE constexpr Vehicle GET_LAST_SHUNT_VEHICLE(Vehicle vehicle) { return big::native_invoker::invoke<6420, false, Vehicle>(vehicle); }
	FORCEINLINE constexpr void SET_DISABLE_VEHICLE_EXPLOSIONS_DAMAGE(BOOL toggle) { return big::native_invoker::invoke<6421, false, void>(toggle); }
	FORCEINLINE constexpr void SET_OVERRIDE_NITROUS_LEVEL(Vehicle vehicle, BOOL toggle, float level, float power, float rechargeTime, BOOL disableSound) { return big::native_invoker::invoke<6422, false, void>(vehicle, toggle, level, power, rechargeTime, disableSound); }
	FORCEINLINE constexpr void SET_NITROUS_IS_ACTIVE(Vehicle vehicle, BOOL enabled) { return big::native_invoker::invoke<6423, false, void>(vehicle, enabled); }
	FORCEINLINE constexpr void _SET_OVERRIDE_TRACTION_LOSS_MULTIPLIER(Vehicle vehicle, float modifier) { return big::native_invoker::invoke<6424, false, void>(vehicle, modifier); }
	FORCEINLINE constexpr void _SET_DRIFT_SLIP_ANGLE_LIMITS(Vehicle vehicle, float durationScalar, float amplitudeScalar, float slipAngleLimit) { return big::native_invoker::invoke<6425, false, void>(vehicle, durationScalar, amplitudeScalar, slipAngleLimit); }
	FORCEINLINE constexpr void _SET_MINIMUM_TIME_BETWEEN_GEAR_SHIFTS(Vehicle vehicle, int time) { return big::native_invoker::invoke<6426, false, void>(vehicle, time); }
	FORCEINLINE constexpr void FULLY_CHARGE_NITROUS(Vehicle vehicle) { return big::native_invoker::invoke<6427, false, void>(vehicle); }
	FORCEINLINE constexpr float _GET_REMAINING_NITROUS_DURATION(Vehicle vehicle) { return big::native_invoker::invoke<6428, false, float>(vehicle); }
	FORCEINLINE constexpr BOOL IS_NITROUS_ACTIVE(Vehicle vehicle) { return big::native_invoker::invoke<6429, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void CLEAR_NITROUS(Vehicle vehicle) { return big::native_invoker::invoke<6430, false, void>(vehicle); }
	FORCEINLINE constexpr void SET_INCREASE_WHEEL_CRUSH_DAMAGE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6431, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_DISABLE_WEAPON_BLADE_FORCES(BOOL toggle) { return big::native_invoker::invoke<6432, false, void>(toggle); }
	FORCEINLINE constexpr void SET_USE_DOUBLE_CLICK_FOR_CAR_JUMP(BOOL toggle) { return big::native_invoker::invoke<6433, false, void>(toggle); }
	FORCEINLINE constexpr BOOL GET_DOES_VEHICLE_HAVE_TOMBSTONE(Vehicle vehicle) { return big::native_invoker::invoke<6434, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void HIDE_TOMBSTONE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6435, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void APPLY_EMP_EFFECT(Vehicle vehicle) { return big::native_invoker::invoke<6436, false, void>(vehicle); }
	FORCEINLINE constexpr BOOL GET_IS_VEHICLE_DISABLED_BY_EMP(Vehicle vehicle) { return big::native_invoker::invoke<6437, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void SET_DISABLE_RETRACTING_WEAPON_BLADES(BOOL toggle) { return big::native_invoker::invoke<6438, false, void>(toggle); }
	FORCEINLINE constexpr float GET_TYRE_HEALTH(Vehicle vehicle, int wheelIndex) { return big::native_invoker::invoke<6439, false, float>(vehicle, wheelIndex); }
	FORCEINLINE constexpr void SET_TYRE_HEALTH(Vehicle vehicle, int wheelIndex, float health) { return big::native_invoker::invoke<6440, false, void>(vehicle, wheelIndex, health); }
	FORCEINLINE constexpr float GET_TYRE_WEAR_RATE(Vehicle vehicle, int wheelIndex) { return big::native_invoker::invoke<6441, false, float>(vehicle, wheelIndex); }
	FORCEINLINE constexpr void SET_TYRE_WEAR_RATE(Vehicle vehicle, int wheelIndex, float multiplier) { return big::native_invoker::invoke<6442, false, void>(vehicle, wheelIndex, multiplier); }
	FORCEINLINE constexpr void SET_TYRE_WEAR_RATE_SCALE(Vehicle vehicle, int wheelIndex, float multiplier) { return big::native_invoker::invoke<6443, false, void>(vehicle, wheelIndex, multiplier); }
	FORCEINLINE constexpr void SET_TYRE_MAXIMUM_GRIP_DIFFERENCE_DUE_TO_WEAR_RATE(Vehicle vehicle, int wheelIndex, float multiplier) { return big::native_invoker::invoke<6444, false, void>(vehicle, wheelIndex, multiplier); }
	FORCEINLINE constexpr void SET_AIRCRAFT_IGNORE_HIGHTMAP_OPTIMISATION(Vehicle vehicle, int p1) { return big::native_invoker::invoke<6445, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void SET_REDUCED_SUSPENSION_FORCE(Vehicle vehicle, BOOL enable) { return big::native_invoker::invoke<6446, false, void>(vehicle, enable); }
	FORCEINLINE constexpr void SET_DRIFT_TYRES(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6447, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL GET_DRIFT_TYRES_SET(Vehicle vehicle) { return big::native_invoker::invoke<6448, false, BOOL>(vehicle); }
	FORCEINLINE constexpr void NETWORK_USE_HIGH_PRECISION_TRAIN_BLENDING(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6449, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr void SET_CHECK_FOR_ENOUGH_ROOM_FOR_PED(Vehicle vehicle, BOOL p1) { return big::native_invoker::invoke<6450, false, void>(vehicle, p1); }
	FORCEINLINE constexpr void _SET_ALLOW_COLLISION_WHEN_IN_VEHICLE(Vehicle vehicle, BOOL toggle) { return big::native_invoker::invoke<6451, false, void>(vehicle, toggle); }
	FORCEINLINE constexpr BOOL _IS_VEHICLE_GEN9_EXCLUSIVE_MODEL(Hash vehicleModel) { return big::native_invoker::invoke<6452, false, BOOL>(vehicleModel); }
	FORCEINLINE constexpr int _GET_VEHICLE_MAX_EXHAUST_BONE_COUNT() { return big::native_invoker::invoke<6453, false, int>(); }
	FORCEINLINE constexpr BOOL _GET_VEHICLE_EXHAUST_BONE(Vehicle vehicle, int index, int* boneIndex, BOOL* axisX) { return big::native_invoker::invoke<6454, false, BOOL>(vehicle, index, boneIndex, axisX); }
}

namespace WATER
{
	FORCEINLINE constexpr BOOL GET_WATER_HEIGHT(float x, float y, float z, float* height) { return big::native_invoker::invoke<6455, false, BOOL>(x, y, z, height); }
	FORCEINLINE constexpr BOOL GET_WATER_HEIGHT_NO_WAVES(float x, float y, float z, float* height) { return big::native_invoker::invoke<6456, false, BOOL>(x, y, z, height); }
	FORCEINLINE constexpr BOOL TEST_PROBE_AGAINST_WATER(float x1, float y1, float z1, float x2, float y2, float z2, Vector3* result) { return big::native_invoker::invoke<6457, true, BOOL>(x1, y1, z1, x2, y2, z2, result); }
	FORCEINLINE constexpr int TEST_PROBE_AGAINST_ALL_WATER(float x1, float y1, float z1, float x2, float y2, float z2, int flags, float* waterHeight) { return big::native_invoker::invoke<6458, false, int>(x1, y1, z1, x2, y2, z2, flags, waterHeight); }
	FORCEINLINE constexpr int TEST_VERTICAL_PROBE_AGAINST_ALL_WATER(float x, float y, float z, int flags, float* waterHeight) { return big::native_invoker::invoke<6459, false, int>(x, y, z, flags, waterHeight); }
	FORCEINLINE constexpr void MODIFY_WATER(float x, float y, float radius, float height) { return big::native_invoker::invoke<6460, false, void>(x, y, radius, height); }
	FORCEINLINE constexpr int ADD_EXTRA_CALMING_QUAD(float xLow, float yLow, float xHigh, float yHigh, float height) { return big::native_invoker::invoke<6461, false, int>(xLow, yLow, xHigh, yHigh, height); }
	FORCEINLINE constexpr void REMOVE_EXTRA_CALMING_QUAD(int calmingQuad) { return big::native_invoker::invoke<6462, false, void>(calmingQuad); }
	FORCEINLINE constexpr void SET_DEEP_OCEAN_SCALER(float intensity) { return big::native_invoker::invoke<6463, false, void>(intensity); }
	FORCEINLINE constexpr float GET_DEEP_OCEAN_SCALER() { return big::native_invoker::invoke<6464, false, float>(); }
	FORCEINLINE constexpr void SET_CALMED_WAVE_HEIGHT_SCALER(float height) { return big::native_invoker::invoke<6465, false, void>(height); }
	FORCEINLINE constexpr void RESET_DEEP_OCEAN_SCALER() { return big::native_invoker::invoke<6466, false, void>(); }
}

namespace WEAPON
{
	FORCEINLINE constexpr void ENABLE_LASER_SIGHT_RENDERING(BOOL toggle) { return big::native_invoker::invoke<6467, false, void>(toggle); }
	FORCEINLINE constexpr Hash GET_WEAPON_COMPONENT_TYPE_MODEL(Hash componentHash) { return big::native_invoker::invoke<6468, false, Hash>(componentHash); }
	FORCEINLINE constexpr Hash GET_WEAPONTYPE_MODEL(Hash weaponHash) { return big::native_invoker::invoke<6469, false, Hash>(weaponHash); }
	FORCEINLINE constexpr Hash GET_WEAPONTYPE_SLOT(Hash weaponHash) { return big::native_invoker::invoke<6470, false, Hash>(weaponHash); }
	FORCEINLINE constexpr Hash GET_WEAPONTYPE_GROUP(Hash weaponHash) { return big::native_invoker::invoke<6471, false, Hash>(weaponHash); }
	FORCEINLINE constexpr int GET_WEAPON_COMPONENT_VARIANT_EXTRA_COUNT(Hash componentHash) { return big::native_invoker::invoke<6472, false, int>(componentHash); }
	FORCEINLINE constexpr Hash GET_WEAPON_COMPONENT_VARIANT_EXTRA_MODEL(Hash componentHash, int extraComponentIndex) { return big::native_invoker::invoke<6473, false, Hash>(componentHash, extraComponentIndex); }
	FORCEINLINE constexpr void SET_CURRENT_PED_WEAPON(Ped ped, Hash weaponHash, BOOL bForceInHand) { return big::native_invoker::invoke<6474, false, void>(ped, weaponHash, bForceInHand); }
	FORCEINLINE constexpr BOOL GET_CURRENT_PED_WEAPON(Ped ped, Hash* weaponHash, BOOL p2) { return big::native_invoker::invoke<6475, false, BOOL>(ped, weaponHash, p2); }
	FORCEINLINE constexpr Entity GET_CURRENT_PED_WEAPON_ENTITY_INDEX(Ped ped, Any p1) { return big::native_invoker::invoke<6476, false, Entity>(ped, p1); }
	FORCEINLINE constexpr Hash GET_BEST_PED_WEAPON(Ped ped, BOOL p1) { return big::native_invoker::invoke<6477, false, Hash>(ped, p1); }
	FORCEINLINE constexpr BOOL SET_CURRENT_PED_VEHICLE_WEAPON(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<6478, false, BOOL>(ped, weaponHash); }
	FORCEINLINE constexpr BOOL GET_CURRENT_PED_VEHICLE_WEAPON(Ped ped, Hash* weaponHash) { return big::native_invoker::invoke<6479, false, BOOL>(ped, weaponHash); }
	FORCEINLINE constexpr void SET_PED_CYCLE_VEHICLE_WEAPONS_ONLY(Ped ped) { return big::native_invoker::invoke<6480, false, void>(ped); }
	FORCEINLINE constexpr BOOL IS_PED_ARMED(Ped ped, int typeFlags) { return big::native_invoker::invoke<6481, false, BOOL>(ped, typeFlags); }
	FORCEINLINE constexpr BOOL IS_WEAPON_VALID(Hash weaponHash) { return big::native_invoker::invoke<6482, false, BOOL>(weaponHash); }
	FORCEINLINE constexpr BOOL HAS_PED_GOT_WEAPON(Ped ped, Hash weaponHash, BOOL p2) { return big::native_invoker::invoke<6483, false, BOOL>(ped, weaponHash, p2); }
	FORCEINLINE constexpr BOOL IS_PED_WEAPON_READY_TO_SHOOT(Ped ped) { return big::native_invoker::invoke<6484, false, BOOL>(ped); }
	FORCEINLINE constexpr Hash GET_PED_WEAPONTYPE_IN_SLOT(Ped ped, Hash weaponSlot) { return big::native_invoker::invoke<6485, false, Hash>(ped, weaponSlot); }
	FORCEINLINE constexpr int GET_AMMO_IN_PED_WEAPON(Ped ped, Hash weaponhash) { return big::native_invoker::invoke<6486, false, int>(ped, weaponhash); }
	FORCEINLINE constexpr void ADD_AMMO_TO_PED(Ped ped, Hash weaponHash, int ammo) { return big::native_invoker::invoke<6487, false, void>(ped, weaponHash, ammo); }
	FORCEINLINE constexpr void SET_PED_AMMO(Ped ped, Hash weaponHash, int ammo, BOOL p3) { return big::native_invoker::invoke<6488, false, void>(ped, weaponHash, ammo, p3); }
	FORCEINLINE constexpr void SET_PED_INFINITE_AMMO(Ped ped, BOOL toggle, Hash weaponHash) { return big::native_invoker::invoke<6489, false, void>(ped, toggle, weaponHash); }
	FORCEINLINE constexpr void SET_PED_INFINITE_AMMO_CLIP(Ped ped, BOOL toggle) { return big::native_invoker::invoke<6490, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_STUN_GUN_FINITE_AMMO(Any p0, Any p1) { return big::native_invoker::invoke<6491, false, void>(p0, p1); }
	FORCEINLINE constexpr void GIVE_WEAPON_TO_PED(Ped ped, Hash weaponHash, int ammoCount, BOOL isHidden, BOOL bForceInHand) { return big::native_invoker::invoke<6492, false, void>(ped, weaponHash, ammoCount, isHidden, bForceInHand); }
	FORCEINLINE constexpr void GIVE_DELAYED_WEAPON_TO_PED(Ped ped, Hash weaponHash, int ammoCount, BOOL bForceInHand) { return big::native_invoker::invoke<6493, false, void>(ped, weaponHash, ammoCount, bForceInHand); }
	FORCEINLINE constexpr void REMOVE_ALL_PED_WEAPONS(Ped ped, BOOL p1) { return big::native_invoker::invoke<6494, false, void>(ped, p1); }
	FORCEINLINE constexpr void REMOVE_WEAPON_FROM_PED(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<6495, false, void>(ped, weaponHash); }
	FORCEINLINE constexpr void HIDE_PED_WEAPON_FOR_SCRIPTED_CUTSCENE(Ped ped, BOOL toggle) { return big::native_invoker::invoke<6496, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_PED_CURRENT_WEAPON_VISIBLE(Ped ped, BOOL visible, BOOL deselectWeapon, BOOL p3, BOOL p4) { return big::native_invoker::invoke<6497, false, void>(ped, visible, deselectWeapon, p3, p4); }
	FORCEINLINE constexpr void SET_PED_DROPS_WEAPONS_WHEN_DEAD(Ped ped, BOOL toggle) { return big::native_invoker::invoke<6498, false, void>(ped, toggle); }
	FORCEINLINE constexpr BOOL HAS_PED_BEEN_DAMAGED_BY_WEAPON(Ped ped, Hash weaponHash, int weaponType) { return big::native_invoker::invoke<6499, false, BOOL>(ped, weaponHash, weaponType); }
	FORCEINLINE constexpr void CLEAR_PED_LAST_WEAPON_DAMAGE(Ped ped) { return big::native_invoker::invoke<6500, false, void>(ped); }
	FORCEINLINE constexpr BOOL HAS_ENTITY_BEEN_DAMAGED_BY_WEAPON(Entity entity, Hash weaponHash, int weaponType) { return big::native_invoker::invoke<6501, false, BOOL>(entity, weaponHash, weaponType); }
	FORCEINLINE constexpr void CLEAR_ENTITY_LAST_WEAPON_DAMAGE(Entity entity) { return big::native_invoker::invoke<6502, false, void>(entity); }
	FORCEINLINE constexpr void SET_PED_DROPS_WEAPON(Ped ped) { return big::native_invoker::invoke<6503, false, void>(ped); }
	FORCEINLINE constexpr void SET_PED_DROPS_INVENTORY_WEAPON(Ped ped, Hash weaponHash, float xOffset, float yOffset, float zOffset, int ammoCount) { return big::native_invoker::invoke<6504, false, void>(ped, weaponHash, xOffset, yOffset, zOffset, ammoCount); }
	FORCEINLINE constexpr int GET_MAX_AMMO_IN_CLIP(Ped ped, Hash weaponHash, BOOL p2) { return big::native_invoker::invoke<6505, false, int>(ped, weaponHash, p2); }
	FORCEINLINE constexpr BOOL GET_AMMO_IN_CLIP(Ped ped, Hash weaponHash, int* ammo) { return big::native_invoker::invoke<6506, false, BOOL>(ped, weaponHash, ammo); }
	FORCEINLINE constexpr BOOL SET_AMMO_IN_CLIP(Ped ped, Hash weaponHash, int ammo) { return big::native_invoker::invoke<6507, false, BOOL>(ped, weaponHash, ammo); }
	FORCEINLINE constexpr BOOL GET_MAX_AMMO(Ped ped, Hash weaponHash, int* ammo) { return big::native_invoker::invoke<6508, false, BOOL>(ped, weaponHash, ammo); }
	FORCEINLINE constexpr BOOL GET_MAX_AMMO_BY_TYPE(Ped ped, Hash ammoTypeHash, int* ammo) { return big::native_invoker::invoke<6509, false, BOOL>(ped, ammoTypeHash, ammo); }
	FORCEINLINE constexpr void ADD_PED_AMMO_BY_TYPE(Ped ped, Hash ammoTypeHash, int ammo) { return big::native_invoker::invoke<6510, false, void>(ped, ammoTypeHash, ammo); }
	FORCEINLINE constexpr void SET_PED_AMMO_BY_TYPE(Ped ped, Hash ammoTypeHash, int ammo) { return big::native_invoker::invoke<6511, false, void>(ped, ammoTypeHash, ammo); }
	FORCEINLINE constexpr int GET_PED_AMMO_BY_TYPE(Ped ped, Hash ammoTypeHash) { return big::native_invoker::invoke<6512, false, int>(ped, ammoTypeHash); }
	FORCEINLINE constexpr void SET_PED_AMMO_TO_DROP(Ped ped, int p1) { return big::native_invoker::invoke<6513, false, void>(ped, p1); }
	FORCEINLINE constexpr void SET_PICKUP_AMMO_AMOUNT_SCALER(float p0) { return big::native_invoker::invoke<6514, false, void>(p0); }
	FORCEINLINE constexpr Hash GET_PED_AMMO_TYPE_FROM_WEAPON(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<6515, false, Hash>(ped, weaponHash); }
	FORCEINLINE constexpr Hash GET_PED_ORIGINAL_AMMO_TYPE_FROM_WEAPON(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<6516, false, Hash>(ped, weaponHash); }
	FORCEINLINE constexpr BOOL GET_PED_LAST_WEAPON_IMPACT_COORD(Ped ped, Vector3* coords) { return big::native_invoker::invoke<6517, true, BOOL>(ped, coords); }
	FORCEINLINE constexpr void SET_PED_GADGET(Ped ped, Hash gadgetHash, BOOL p2) { return big::native_invoker::invoke<6518, false, void>(ped, gadgetHash, p2); }
	FORCEINLINE constexpr BOOL GET_IS_PED_GADGET_EQUIPPED(Ped ped, Hash gadgetHash) { return big::native_invoker::invoke<6519, false, BOOL>(ped, gadgetHash); }
	FORCEINLINE constexpr Hash GET_SELECTED_PED_WEAPON(Ped ped) { return big::native_invoker::invoke<6520, false, Hash>(ped); }
	FORCEINLINE constexpr void EXPLODE_PROJECTILES(Ped ped, Hash weaponHash, BOOL p2) { return big::native_invoker::invoke<6521, false, void>(ped, weaponHash, p2); }
	FORCEINLINE constexpr void REMOVE_ALL_PROJECTILES_OF_TYPE(Hash weaponHash, BOOL explode) { return big::native_invoker::invoke<6522, false, void>(weaponHash, explode); }
	FORCEINLINE constexpr float GET_LOCKON_DISTANCE_OF_CURRENT_PED_WEAPON(Ped ped) { return big::native_invoker::invoke<6523, false, float>(ped); }
	FORCEINLINE constexpr float GET_MAX_RANGE_OF_CURRENT_PED_WEAPON(Ped ped) { return big::native_invoker::invoke<6524, false, float>(ped); }
	FORCEINLINE constexpr BOOL HAS_VEHICLE_GOT_PROJECTILE_ATTACHED(Ped driver, Vehicle vehicle, Hash weaponHash, Any p3) { return big::native_invoker::invoke<6525, false, BOOL>(driver, vehicle, weaponHash, p3); }
	FORCEINLINE constexpr void GIVE_WEAPON_COMPONENT_TO_PED(Ped ped, Hash weaponHash, Hash componentHash) { return big::native_invoker::invoke<6526, false, void>(ped, weaponHash, componentHash); }
	FORCEINLINE constexpr void REMOVE_WEAPON_COMPONENT_FROM_PED(Ped ped, Hash weaponHash, Hash componentHash) { return big::native_invoker::invoke<6527, false, void>(ped, weaponHash, componentHash); }
	FORCEINLINE constexpr BOOL HAS_PED_GOT_WEAPON_COMPONENT(Ped ped, Hash weaponHash, Hash componentHash) { return big::native_invoker::invoke<6528, false, BOOL>(ped, weaponHash, componentHash); }
	FORCEINLINE constexpr BOOL IS_PED_WEAPON_COMPONENT_ACTIVE(Ped ped, Hash weaponHash, Hash componentHash) { return big::native_invoker::invoke<6529, false, BOOL>(ped, weaponHash, componentHash); }
	FORCEINLINE constexpr BOOL REFILL_AMMO_INSTANTLY(Ped ped) { return big::native_invoker::invoke<6530, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL MAKE_PED_RELOAD(Ped ped) { return big::native_invoker::invoke<6531, false, BOOL>(ped); }
	FORCEINLINE constexpr void REQUEST_WEAPON_ASSET(Hash weaponHash, int p1, int p2) { return big::native_invoker::invoke<6532, false, void>(weaponHash, p1, p2); }
	FORCEINLINE constexpr BOOL HAS_WEAPON_ASSET_LOADED(Hash weaponHash) { return big::native_invoker::invoke<6533, false, BOOL>(weaponHash); }
	FORCEINLINE constexpr void REMOVE_WEAPON_ASSET(Hash weaponHash) { return big::native_invoker::invoke<6534, false, void>(weaponHash); }
	FORCEINLINE constexpr Object CREATE_WEAPON_OBJECT(Hash weaponHash, int ammoCount, float x, float y, float z, BOOL showWorldModel, float scale, Any p7, Any p8, Any p9) { return big::native_invoker::invoke<6535, false, Object>(weaponHash, ammoCount, x, y, z, showWorldModel, scale, p7, p8, p9); }
	FORCEINLINE constexpr void GIVE_WEAPON_COMPONENT_TO_WEAPON_OBJECT(Object weaponObject, Hash componentHash) { return big::native_invoker::invoke<6536, false, void>(weaponObject, componentHash); }
	FORCEINLINE constexpr void REMOVE_WEAPON_COMPONENT_FROM_WEAPON_OBJECT(Object object, Hash componentHash) { return big::native_invoker::invoke<6537, false, void>(object, componentHash); }
	FORCEINLINE constexpr BOOL HAS_WEAPON_GOT_WEAPON_COMPONENT(Object weapon, Hash componentHash) { return big::native_invoker::invoke<6538, false, BOOL>(weapon, componentHash); }
	FORCEINLINE constexpr void GIVE_WEAPON_OBJECT_TO_PED(Object weaponObject, Ped ped) { return big::native_invoker::invoke<6539, false, void>(weaponObject, ped); }
	FORCEINLINE constexpr BOOL DOES_WEAPON_TAKE_WEAPON_COMPONENT(Hash weaponHash, Hash componentHash) { return big::native_invoker::invoke<6540, false, BOOL>(weaponHash, componentHash); }
	FORCEINLINE constexpr Object GET_WEAPON_OBJECT_FROM_PED(Ped ped, BOOL p1) { return big::native_invoker::invoke<6541, false, Object>(ped, p1); }
	FORCEINLINE constexpr void GIVE_LOADOUT_TO_PED(Ped ped, Hash loadoutHash) { return big::native_invoker::invoke<6542, false, void>(ped, loadoutHash); }
	FORCEINLINE constexpr void SET_PED_WEAPON_TINT_INDEX(Ped ped, Hash weaponHash, int tintIndex) { return big::native_invoker::invoke<6543, false, void>(ped, weaponHash, tintIndex); }
	FORCEINLINE constexpr int GET_PED_WEAPON_TINT_INDEX(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<6544, false, int>(ped, weaponHash); }
	FORCEINLINE constexpr void SET_WEAPON_OBJECT_TINT_INDEX(Object weapon, int tintIndex) { return big::native_invoker::invoke<6545, false, void>(weapon, tintIndex); }
	FORCEINLINE constexpr int GET_WEAPON_OBJECT_TINT_INDEX(Object weapon) { return big::native_invoker::invoke<6546, false, int>(weapon); }
	FORCEINLINE constexpr int GET_WEAPON_TINT_COUNT(Hash weaponHash) { return big::native_invoker::invoke<6547, false, int>(weaponHash); }
	FORCEINLINE constexpr void SET_PED_WEAPON_COMPONENT_TINT_INDEX(Ped ped, Hash weaponHash, Hash camoComponentHash, int colorIndex) { return big::native_invoker::invoke<6548, false, void>(ped, weaponHash, camoComponentHash, colorIndex); }
	FORCEINLINE constexpr int GET_PED_WEAPON_COMPONENT_TINT_INDEX(Ped ped, Hash weaponHash, Hash camoComponentHash) { return big::native_invoker::invoke<6549, false, int>(ped, weaponHash, camoComponentHash); }
	FORCEINLINE constexpr void SET_WEAPON_OBJECT_COMPONENT_TINT_INDEX(Object weaponObject, Hash camoComponentHash, int colorIndex) { return big::native_invoker::invoke<6550, false, void>(weaponObject, camoComponentHash, colorIndex); }
	FORCEINLINE constexpr int GET_WEAPON_OBJECT_COMPONENT_TINT_INDEX(Object weaponObject, Hash camoComponentHash) { return big::native_invoker::invoke<6551, false, int>(weaponObject, camoComponentHash); }
	FORCEINLINE constexpr int GET_PED_WEAPON_CAMO_INDEX(Ped ped, Hash weaponHash) { return big::native_invoker::invoke<6552, false, int>(ped, weaponHash); }
	FORCEINLINE constexpr void SET_WEAPON_OBJECT_CAMO_INDEX(Object weaponObject, int p1) { return big::native_invoker::invoke<6553, false, void>(weaponObject, p1); }
	FORCEINLINE constexpr BOOL GET_WEAPON_HUD_STATS(Hash weaponHash, Any* outData) { return big::native_invoker::invoke<6554, false, BOOL>(weaponHash, outData); }
	FORCEINLINE constexpr BOOL GET_WEAPON_COMPONENT_HUD_STATS(Hash componentHash, Any* outData) { return big::native_invoker::invoke<6555, false, BOOL>(componentHash, outData); }
	FORCEINLINE constexpr float GET_WEAPON_DAMAGE(Hash weaponHash, Hash componentHash) { return big::native_invoker::invoke<6556, false, float>(weaponHash, componentHash); }
	FORCEINLINE constexpr int GET_WEAPON_CLIP_SIZE(Hash weaponHash) { return big::native_invoker::invoke<6557, false, int>(weaponHash); }
	FORCEINLINE constexpr float GET_WEAPON_TIME_BETWEEN_SHOTS(Hash weaponHash) { return big::native_invoker::invoke<6558, false, float>(weaponHash); }
	FORCEINLINE constexpr void SET_PED_CHANCE_OF_FIRING_BLANKS(Ped ped, float xBias, float yBias) { return big::native_invoker::invoke<6559, false, void>(ped, xBias, yBias); }
	FORCEINLINE constexpr Object SET_PED_SHOOT_ORDNANCE_WEAPON(Ped ped, float p1) { return big::native_invoker::invoke<6560, false, Object>(ped, p1); }
	FORCEINLINE constexpr void REQUEST_WEAPON_HIGH_DETAIL_MODEL(Entity weaponObject) { return big::native_invoker::invoke<6561, false, void>(weaponObject); }
	FORCEINLINE constexpr void _SET_WEAPON_PED_DAMAGE_MODIFIER(Hash weapon, float damageModifier) { return big::native_invoker::invoke<6562, false, void>(weapon, damageModifier); }
	FORCEINLINE constexpr void SET_WEAPON_DAMAGE_MODIFIER(Hash weaponHash, float damageMultiplier) { return big::native_invoker::invoke<6563, false, void>(weaponHash, damageMultiplier); }
	FORCEINLINE constexpr void SET_WEAPON_AOE_MODIFIER(Hash weaponHash, float multiplier) { return big::native_invoker::invoke<6564, false, void>(weaponHash, multiplier); }
	FORCEINLINE constexpr void SET_WEAPON_EFFECT_DURATION_MODIFIER(Hash p0, float p1) { return big::native_invoker::invoke<6565, false, void>(p0, p1); }
	FORCEINLINE constexpr BOOL IS_PED_CURRENT_WEAPON_SILENCED(Ped ped) { return big::native_invoker::invoke<6566, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL IS_FLASH_LIGHT_ON(Ped ped) { return big::native_invoker::invoke<6567, false, BOOL>(ped); }
	FORCEINLINE constexpr BOOL SET_FLASH_LIGHT_FADE_DISTANCE(float distance) { return big::native_invoker::invoke<6568, false, BOOL>(distance); }
	FORCEINLINE constexpr void SET_FLASH_LIGHT_ACTIVE_HISTORY(Ped ped, BOOL toggle) { return big::native_invoker::invoke<6569, false, void>(ped, toggle); }
	FORCEINLINE constexpr void SET_WEAPON_ANIMATION_OVERRIDE(Ped ped, Hash animStyle) { return big::native_invoker::invoke<6570, false, void>(ped, animStyle); }
	FORCEINLINE constexpr int GET_WEAPON_DAMAGE_TYPE(Hash weaponHash) { return big::native_invoker::invoke<6571, false, int>(weaponHash); }
	FORCEINLINE constexpr void SET_EQIPPED_WEAPON_START_SPINNING_AT_FULL_SPEED(Ped ped) { return big::native_invoker::invoke<6572, false, void>(ped); }
	FORCEINLINE constexpr BOOL CAN_USE_WEAPON_ON_PARACHUTE(Hash weaponHash) { return big::native_invoker::invoke<6573, false, BOOL>(weaponHash); }
	FORCEINLINE constexpr int CREATE_AIR_DEFENCE_SPHERE(float x, float y, float z, float radius, float p4, float p5, float p6, Hash weaponHash) { return big::native_invoker::invoke<6574, false, int>(x, y, z, radius, p4, p5, p6, weaponHash); }
	FORCEINLINE constexpr int CREATE_AIR_DEFENCE_ANGLED_AREA(float p0, float p1, float p2, float p3, float p4, float p5, float p6, float p7, float p8, float radius, Hash weaponHash) { return big::native_invoker::invoke<6575, false, int>(p0, p1, p2, p3, p4, p5, p6, p7, p8, radius, weaponHash); }
	FORCEINLINE constexpr BOOL REMOVE_AIR_DEFENCE_SPHERE(int zoneId) { return big::native_invoker::invoke<6576, false, BOOL>(zoneId); }
	FORCEINLINE constexpr void REMOVE_ALL_AIR_DEFENCE_SPHERES() { return big::native_invoker::invoke<6577, false, void>(); }
	FORCEINLINE constexpr void SET_PLAYER_TARGETTABLE_FOR_AIR_DEFENCE_SPHERE(Player player, int zoneId, BOOL enable) { return big::native_invoker::invoke<6578, false, void>(player, zoneId, enable); }
	FORCEINLINE constexpr BOOL IS_AIR_DEFENCE_SPHERE_IN_AREA(float x, float y, float z, float radius, int* outZoneId) { return big::native_invoker::invoke<6579, false, BOOL>(x, y, z, radius, outZoneId); }
	FORCEINLINE constexpr void FIRE_AIR_DEFENCE_SPHERE_WEAPON_AT_POSITION(int zoneId, float x, float y, float z) { return big::native_invoker::invoke<6580, false, void>(zoneId, x, y, z); }
	FORCEINLINE constexpr BOOL DOES_AIR_DEFENCE_SPHERE_EXIST(int zoneId) { return big::native_invoker::invoke<6581, false, BOOL>(zoneId); }
	FORCEINLINE constexpr void SET_CAN_PED_SELECT_INVENTORY_WEAPON(Ped ped, Hash weaponHash, BOOL toggle) { return big::native_invoker::invoke<6582, false, void>(ped, weaponHash, toggle); }
	FORCEINLINE constexpr void SET_CAN_PED_SELECT_ALL_WEAPONS(Ped ped, BOOL toggle) { return big::native_invoker::invoke<6583, false, void>(ped, toggle); }
}

namespace ZONE
{
	FORCEINLINE constexpr int GET_ZONE_AT_COORDS(float x, float y, float z) { return big::native_invoker::invoke<6584, false, int>(x, y, z); }
	FORCEINLINE constexpr int GET_ZONE_FROM_NAME_ID(const char* zoneName) { return big::native_invoker::invoke<6585, false, int>(zoneName); }
	FORCEINLINE constexpr int GET_ZONE_POPSCHEDULE(int zoneId) { return big::native_invoker::invoke<6586, false, int>(zoneId); }
	FORCEINLINE constexpr const char* GET_NAME_OF_ZONE(float x, float y, float z) { return big::native_invoker::invoke<6587, false, const char*>(x, y, z); }
	FORCEINLINE constexpr void SET_ZONE_ENABLED(int zoneId, BOOL toggle) { return big::native_invoker::invoke<6588, false, void>(zoneId, toggle); }
	FORCEINLINE constexpr int GET_ZONE_SCUMMINESS(int zoneId) { return big::native_invoker::invoke<6589, false, int>(zoneId); }
	FORCEINLINE constexpr void OVERRIDE_POPSCHEDULE_VEHICLE_MODEL(int scheduleId, Hash vehicleHash) { return big::native_invoker::invoke<6590, false, void>(scheduleId, vehicleHash); }
	FORCEINLINE constexpr void CLEAR_POPSCHEDULE_OVERRIDE_VEHICLE_MODEL(int scheduleId) { return big::native_invoker::invoke<6591, false, void>(scheduleId); }
	FORCEINLINE constexpr Hash GET_HASH_OF_MAP_AREA_AT_COORDS(float x, float y, float z) { return big::native_invoker::invoke<6592, false, Hash>(x, y, z); }
}
// clang-format on
